=== modified file '.bzrignore'
--- .bzrignore	2007-09-02 15:42:18 +0000
+++ .bzrignore	2009-07-11 18:39:14 +0000
@@ -10,3 +10,4 @@
 bzr-gtk.trunk-matkor.e3p
 bzr-gtk.trunk-matkor.e3s
 bzr-gtk.trunk-matkor.e3t
+credits.pickle

=== modified file 'AUTHORS'
--- AUTHORS	2008-04-07 20:34:51 +0000
+++ AUTHORS	2011-11-29 10:06:50 +0000
@@ -1,6 +1,8 @@
 bzr-gtk is a plugin that is based on a collection of earlier plugins for 
-Bazaar. It is currently maintained by Jelmer Vernooij <jelmer@samba.org> and 
-Szilveszter Farkas <Szilveszter.Farkas@gmail.com>.
+Bazaar. It was originally developed by Jelmer Vernooij <jelmer@samba.org> and 
+Szilveszter Farkas <Szilveszter.Farkas@gmail.com> but is now maintained 
+by a team of developers; see https://launchpad.net/~bzr-gtk/+members for 
+a list
 
 bzrk was written by Scott James Remnant <scott@ubuntu.com>. 
 It's vaguely based on a screenshot of gitk (the equivalent tool for git)
@@ -11,10 +13,10 @@
 
 nautilus-bzr was written by Jelmer Vernooij and Jeff Bailey.
 
-Olive was written by Szilveszter Farkas <Szilveszter.Farkas@gmail.com>.
-
 The tag icon was created by Jakub Steiner.
 The bug icon was created by Josef Vybíral.
 
 Numerous other people have contributed useful patches.  See the Bazaar history 
 of this branch for a full list of authors.
+
+Curtis Hovey converted bzr-gtk to pygi and Gtk3.

=== modified file 'HACKING'
--- HACKING	2007-07-15 15:05:06 +0000
+++ HACKING	2011-08-29 14:12:30 +0000
@@ -8,4 +8,6 @@
 (http://developer.gnome.org/projects/gup/hig/) should be followed where 
 possible.
 
+Don't add new code that uses glade.
+
 Please update the NEWS file when closing bugs or adding new features.

=== modified file 'MANIFEST.in'
--- MANIFEST.in	2005-10-17 01:07:49 +0000
+++ MANIFEST.in	2010-05-25 17:09:02 +0000
@@ -1,2 +1,13 @@
 include AUTHORS
 include COPYING
+include HACKING
+include NEWS
+include TODO
+include bzr-gtk.applications
+include bzr-gtk.cfg
+include credits.pickle
+include preferences/TODO
+include *.desktop
+include *.ui
+recursive-include icons *.png *.svg
+recursive-include po *.po *.pot

=== modified file 'NEWS'
--- NEWS	2008-06-06 18:04:45 +0000
+++ NEWS	2011-12-11 17:14:12 +0000
@@ -1,22 +1,309 @@
-0.95.0	UNRELEASED
+0.104.0	UNRELEASED
+
+0.103.0	2011-12-11
+
+ FEATURES
+
+  * Internationalization support has been added. (David Planella, #621680)
+
+  * Show avatars for committers and authors in "bzr viz". (Guillaume Hain)
+
+  * gannotate now supports interactive substring search in the file content.
+    interactive search for line numbers has been removed, use Ctrl-G instead.
+    (Sergei Golubchik)
+
+  * visualise now supports interactive changeset comment search.
+    interactive search for revision numbers continues to work.
+    (Sergei Golubchik)
+
+  * Switch to gtk3. The old gtk2 branch is still available as lp:bzr-gtk/gtk2. (Curtis Hovey)
+
+  * Remove keyring support - this is broken for GTK3, and replaced by a DBus service
+    that is not specific to GNOME. Instead, bzr or bzr-dbus will provide support
+    for this service. (Jelmer Vernooij)
+
+ BUG FIXES
+
+  * Ensure config directory exists before writing configuration.
+    (Jelmer Vernooij, #231150)
+
+  * Mark as supporting bzr 2.5.0. (Jelmer Vernooij)
+
+  * Add X-GNOME-Autostart-Delay=30 to bzr-notify.desktop.
+    (Mikkel Kamstrup Erlandsen, #861201)
+
+0.100.0	2011-03-02
+
+ BUG FIXES
+
+  * make sure that gdiff opened from gannotate knows its parent
+    (gannotate, that is, and does not exit when it (gdiff) is closed.
+
+  * Clarify 'visualise' help about the multiple branches feature
+    and the --revision parameter. (Vincent Ladeuil, #556347)
+
+  * Mark as compatible with bzr 2.3. (Jelmer Vernooij)
+
+  * Fix appindicator icon category. (Michael Terry, #685634)
+
+  * Mark as compatible with Bazaar 2.4. (Jelmer Vernooij)
+
+  * "bzr viz" now shows authors instead of committers. (Jelmer Vernooij, #693949)
+
+  * Don't use markup for secondary text in error dialogs.
+    (Edward Ari Bichetero, #656641)
+
+  * Generate pickles file when running 'setup.py sdist'. (Jelmer Vernooij, #397526)
+
+ FEATURES
+ 
+  * Add lock dialog. (Daniel Schierbeck, #93652)
+
+ FEATURES
+
+  * Add option to use "bzr viz" with a vertical layout.
+    (Ximin Luo, #649273)
+
+0.99.1	2010-08-26
+
+ BUG FIXES
+
+  * Trivial release to include credits pickle file.
+
+   * Mark as compatible with Bazaar 2.3. (Vincent Ladeuil)
+
+0.99.0 2010-08-13
+
+ BUG FIXES
+
+   * Guard setup() call when not loaded as __main__. (Robert Collins)
+
+   * Ignore gnomekeyring.IOError when checking if credentials are available
+     in the GNOME keyring. (Jelmer Vernooij, #534326)
+
+   * Don't crash when there is already a lan-notify instance running.
+     (Jelmer Vernooij, #339284)
+
+   * Return the credentials if successfully found in gnome-keyring.
+     (John Szakmeister)
+
+   * Support non-bzr patches. (Toshio Kuratomi, #502076)
+
+   * Avoid using private functions to get branch config. (Jelmer Vernooij,
+     #583554)
+
+   * Mark as compatible with Bazaar 2.2. (Martin Pool, #597379)
+
+FEATURES
+
+  * Add 'Find' button to start text search.
+    (Martin Pool, #556347)
+
+  * Add 'glog' as an alias for visualize (aka viz) as too many
+    people are still confused.
+    (Vincent Ladeuil)
+
+  * Add support for Indicator Application (Sense Hofstede, Jelmer Vernooij,
+    #518179)
+
+  * Add more tooltips to Olive. (Adrian Room, #333876)
+
+0.98.0 2010-02-24
+
+BUG FIXES
+
+  * Fix relative import in olive menu.
+    (Mathias Brodala, #269883)
+
+  * Fix typo in checkout dialog.
+    (Jasper Groenewegen, #466507)
+
+  * Adds help for ginit and gtags.
+    (Andrew Starr-Bochicchio, #512701)
+
+0.97.0 2009-08-25
+
+BUG FIXES
+
+  * Avoid GnomeKeyringCredentialStore traceback on Ubuntu Hardy
+    by being more tolerant about gobject methods availability.
+    (Vincent Ladeuil, #403430)
+  
+  * Fixed emblem and nautilus bzr-status column for ignored files.
+    (Lucas Shrewsbury, #294632)
+    
+  * Fixed emblem and nautilus bzr-status column for unversioned files.
+    (Lucas Shrewsbury, #417966)
+
+  * Switch to using disutils sdist instead of bzr export.
+    (Mark Lee, #398242)
+
+0.96.2	2009-07-08
+
+ BUG FIXES
+
+  * Same player shoots again. Version credits.pickle and rebuild the tarball
+    after running 'python ./setup.py build_credits', update
+    http://bazaar-vcs.org/bzr-gtk/releasing accordingly.  
+    (Vincent Ladeuil, #397526)
+ 
+0.96.1	2009-07-08
+
+ BUG FIXES
+ 
+  * Rebuild the tarball after running 'python ./setup.py build_credits',
+    update http://bazaar-vcs.org/bzr-gtk/releasing accordingly.
+   (Vincent Ladeuil, #397526)
+ 
+
+0.96.0	2009-07-08
+
+ UI
+ 
+  * Add colored status messages in Olive file list (Jasper Groenewegen)
+
+  * Use the new progress bar implementation from bzrlib.
+   (Vincent Ladeuil, 385191)
+
+ CHANGES
+ 
+  * Add ginfo command line option (Jasper Groenewegen)
+  
+  * Diff window uses GtkSourceView2 now. (Szilveszter Farkas)
+
+ BUG FIXES
+ 
+  * Fix the Branch/Get dialog refusing to open after hitting Cancel. (Markus
+  Korn, #294396)
+
+  * Fix Olive homepage URL. (#255152)
+
+  * Fix gannotate.conf handling. (Vincent Ladeuil, #373157)
+
+  * Save commit messages at uncommit time, restore them at
+    gcommit time. Also allow saving commit messages if the commit
+    is cancelled. (Anne Mohsen, Vincent Ladeuil, #215674)
+
+  * Mark as compatible with bzr 1.13.
+
+ FEATURES
+
+  * Support storing credentials in the GNOME Keyring if it is 
+    available. (Jelmer Vernooij)
+
+  * Fix opening Status window in Olive (#316310)
+
+0.95.0	2008-08-04
 
  UI
 
   * Added Refresh menu option with F5 keyboard shortcut (Russ Brown)
 
+  * Show progress bars in bzr viz window (Chad Miller, Jelmer Vernooij)
+
+  * Added menu option for indexing branches if bzr-search is present.
+    (Jelmer Vernooij)
+
+  * Add "Send Merge Directive" button in bzr viz. (Jelmer Vernooij)
+
+  * Remove dummy "Edit->Find" option. (Jelmer Vernooij)
+
+  * Added an optional diff panel to bzr vis.  (Scott Scriven)
+
+  * Made bzr vis remember whether the toolbar is visible.  (Scott Scriven)
+
+  * Made bzr vis remember window and panel sizes.  (Scott Scriven)
+
+  * Sort Olive bookmarks by title (Jasper Groenewegen)
+  
+  * Add controls to wrap long lines in gdiff and diff in visualise. (Jasper Groenewegen, #229789)
+  
+  * Made merge dialog to give choice between folder and custom location (Jasper Groenewegen)
+
+  * Add new dialog to browse looms and switch to threads in loom branches. (Jelmer Vernooij)
+  
+  * Show status for folders in Olive file list (Jasper Groenewegen)
+  
+  * Change appearance Olive bookmarks (Jasper Groenewegen)
+  
+  * Add ability to have dialog popup from Olive location bar. (Jasper Groenewegen)
+
  BUG FIXES
 
   * Replace _() calls by _i18n() calls. (Vincent Ladeuil, #187283)
   
   * Fixed adding tags. (Javier Derderian, #228709)
 
+  * Fix history mode button. (Jasper Groenewegen, #144962)
+
+  * Fixed handle-patch script. (Jelmer Vernooij)
+
+  * Fix import in olive. (Jelmer Vernooij, #223935)
+
+  * Avoid use of removed smart_add. (Jelmer Vernooij, #244025, #244027)
+
+  * Remove use of upstream removed Repository.revision_parents() 
+    (Jelmer Vernooij)
+
+  * List network drives in Olive. (Kevin Light, #244308)
+
+  * Fix progress bar handling. (Jelmer Vernooij)
+
+  * Fix broken symlink handling. (Jasper Groenewegen)
+
+  * Fix import in Olive rename dialog. (Kevin Light)
+
+  * Removed some redundant screen redrawing in bzr vis.  (Scott Scriven)
+
+  * Fixed overflowing labels in bzr vis.  (Scott Scriven)
+
+  * Fix plugin description in gpreferences. (Jasper Groenewegen, #232191)
+
+  * Remove question for setting default push location. (Jasper Groenewegen, #151818)
+
+  * Automatically change to history mode on selecting a revision from the list. (Jasper Groenewegen, #144963)
+
+  * Check if file is versioned before opening gannotate window from olive. (Jasper Groenewegen, #115358)
+  
+  * Make sure error/info/warning dialogs know their parent window. (Jasper Groenewegen, #252208)
+  
+  * Handle unreadable .bzr subfolder in Olive. (Jasper Groenewegen, #229044)
+
+  * Import gobject in bzr-notify, as it is used there to set a timeout. (James Westby)
+
+ CHANGES
+
+  * Moved notify icon code to separate script. (Jelmer Vernooij)
+
+  * Verify testaments when showing signatures on revisions and
+    re-enable signature display. (Jelmer Vernooij)
+
+  * Show credits for bzr-gtk in the about dialog. (Jelmer Vernooij)
+  
+  * Add gmerge command line option (Jasper Groenewegen, #124760)
+
  INTERNALS
 
   * All i18n calls should now go through _i18n which must be imported from
     bzrlib.plugins.gtk. This addresses the occasional collisions with '_' used
     as an anonymous variable. (Vincent Ladeuil)
 
-
+  * Add test for linegraph code. (Jelmer Vernooij)
+
+  * Remove obsolete tortoisebzr tests. (Jelmer Vernooij)
+
+  * Share revision context menu and main revision menu in bzr viz. (Jelmer Vernooij)
+
+  * Remove glade from merge dialog. (Jasper Groenewegen)
+
+  * Remove glade from olive about, rename, remove, move, mkdir, add dialogs. (Jasper Groenewegen)
+
+  * Remove glade from olive main window (Jasper Groenewegen)
+  
+  * Remove glade from olive info dialog (Jasper Groenewegen)
+
+  * Rewrite Olive mouse button event handling (Kevin Light)
+  
 0.94.0    2008-05-04
 
  CHANGES

=== modified file 'README'
--- README	2008-03-09 13:47:52 +0000
+++ README	2011-07-31 16:50:29 +0000
@@ -15,7 +15,7 @@
 
   * Python 2.4
   * Bazaar with the same major version as bzr-gtk
-  * PyGTK 2.8 or later
+  * PyGObject
 
 In order to see graphs in the visualisation tool, you will also need:
 
@@ -23,8 +23,8 @@
 
 In order to see syntax highlighted diffs:
 
-  * gtksourceview python bindings (on Debian and Ubuntu systems, these
-    are in the python-gnome2-desktop package)
+  * GtkSourceView2 Python bindings (on Debian and Ubuntu systems, these
+    are in the python-gtksourceview2 package)
 
 In order to use the nautilus integration, you will need:
 
@@ -119,7 +119,7 @@
 
  - Python: http://www.python.org/download/releases/2.4.3/
  - GTK: http://gladewin32.sourceforge.net/
- - PyGTK: http://www.mapr.ucl.ac.be/~gustin/win32_ports (pygtk, pygobject and pycairo)
+ - PyGTK: http://www.mapr.ucl.ac.be/~gustin/win32_ports (pygobject and pycairo)
  - Bazaar: http://bazaar-vcs.org/WindowsDownloads (Python-based should be okay)
  - pyWin32: http://sourceforge.net/project/showfiles.php?group_id=78018
 

=== modified file '__init__.py'
--- __init__.py	2008-06-27 16:53:56 +0000
+++ __init__.py	2011-12-19 17:47:22 +0000
@@ -15,28 +15,54 @@
 """Graphical support for Bazaar using GTK.
 
 This plugin includes:
-commit-notify     Start the graphical notifier of commits.
-gannotate         GTK+ annotate. 
-gbranch           GTK+ branching. 
-gcheckout         GTK+ checkout. 
+gannotate         GTK+ annotate.
+gbranch           GTK+ branching.
+gcheckout         GTK+ checkout.
 gcommit           GTK+ commit dialog.
-gconflicts        GTK+ conflicts. 
-gdiff             Show differences in working tree in a GTK+ Window. 
+gconflicts        GTK+ conflicts.
+gdiff             Show differences in working tree in a GTK+ Window.
 ginit             Initialise a new branch.
-gmissing          GTK+ missing revisions dialog. 
-gpreferences      GTK+ preferences dialog. 
+gloom             GTK+ loom browse dialog
+gmerge            GTK+ merge dialog
+gmissing          GTK+ missing revisions dialog.
+gpreferences      GTK+ preferences dialog.
 gpush             GTK+ push.
 gsend             GTK+ send merge directive.
 gstatus           GTK+ status dialog.
 gtags             Manage branch tags.
-visualise         Graphically visualise this branch. 
+visualise         Graphically visualise this branch.
 """
 
+from __future__ import absolute_import
+
+import os
 import sys
 
+if getattr(sys, "frozen", None) is not None: # we run bzr.exe
+
+    # FIXME: Unless a better packaging solution is found, the following
+    # provides a workaround for https://bugs.launchpad.net/bzr/+bug/388790 Also
+    # see https://code.edge.launchpad.net/~vila/bzr-gtk/388790-windows-setup
+    # for more details about while it's needed.
+
+    # NOTE: _lib must be ahead of bzrlib or sax.saxutils (in olive) fails
+    here = os.path.dirname(__file__)
+    sys.path.insert(0, os.path.join(here, '_lib'))
+    sys.path.append(os.path.join(here, '_lib/gtk-2.0'))
+
+
 import bzrlib
+import bzrlib.api
+from bzrlib import (
+    branch,
+    config,
+    )
+from bzrlib.commands import plugin_cmds
 
-version_info = (0, 95, 0, 'dev', 1)
+from bzrlib.plugins.gtk.info import (
+    bzr_plugin_version as version_info,
+    bzr_compatible_versions,
+    )
 
 if version_info[3] == 'final':
     version_string = '%d.%d.%d' % version_info[:3]
@@ -44,683 +70,96 @@
     version_string = '%d.%d.%d%s%d' % version_info
 __version__ = version_string
 
-required_bzrlib = (1, 3)
-
-def check_bzrlib_version(desired):
-    """Check that bzrlib is compatible.
-
-    If version is < bzr-gtk version, assume incompatible.
-    """
-    bzrlib_version = bzrlib.version_info[:2]
-    try:
-        from bzrlib.trace import warning
-    except ImportError:
-        # get the message out any way we can
-        from warnings import warn as warning
-    if bzrlib_version < desired:
-        from bzrlib.errors import BzrError
-        warning('Installed Bazaar version %s is too old to be used with bzr-gtk'
-                ' %s.' % (bzrlib.__version__, __version__))
-        raise BzrError('Version mismatch: %r, %r' % (version_info, bzrlib.version_info) )
-
-
-if version_info[2] == "final":
-    check_bzrlib_version(required_bzrlib)
-
-from bzrlib.trace import warning
+bzrlib.api.require_any_api(bzrlib, bzr_compatible_versions)
+
 if __name__ != 'bzrlib.plugins.gtk':
+    from bzrlib.trace import warning
     warning("Not running as bzrlib.plugins.gtk, things may break.")
 
-from bzrlib.lazy_import import lazy_import
-lazy_import(globals(), """
-from bzrlib import (
-    branch,
-    builtins,
-    errors,
-    merge_directive,
-    workingtree,
-    )
-""")
-
-from bzrlib.commands import Command, register_command, display_command
-from bzrlib.errors import NotVersionedError, BzrCommandError, NoSuchFile
-from bzrlib.option import Option
-
-import os.path
-
-def import_pygtk():
-    try:
-        import pygtk
-    except ImportError:
-        raise errors.BzrCommandError("PyGTK not installed.")
-    pygtk.require('2.0')
-    return pygtk
-
 
 def set_ui_factory():
-    import_pygtk()
-    from ui import GtkUIFactory
+    from bzrlib.plugins.gtk.ui import GtkUIFactory
     import bzrlib.ui
     bzrlib.ui.ui_factory = GtkUIFactory()
 
 
-def data_path():
-    return os.path.dirname(__file__)
-
-
-def icon_path(*args):
-    basedirs = [os.path.join(data_path()),
+def data_basedirs():
+    return [os.path.dirname(__file__),
              "/usr/share/bzr-gtk", 
              "/usr/local/share/bzr-gtk"]
-    for basedir in basedirs:
-        path = os.path.join(basedir, 'icons', *args)
+
+
+def data_path(*args):
+    for basedir in data_basedirs():
+        path = os.path.join(basedir, *args)
         if os.path.exists(path):
             return path
     return None
 
 
-def open_display():
-    pygtk = import_pygtk()
-    try:
-        import gtk
-    except RuntimeError, e:
-        if str(e) == "could not open display":
-            raise NoDisplayError
-    set_ui_factory()
-    return gtk
- 
-
-class GTKCommand(Command):
-    """Abstract class providing GTK specific run commands."""
-
-    def run(self):
-        open_display()
-        dialog = self.get_gtk_dialog(os.path.abspath('.'))
-        dialog.run()
-
-
-class cmd_gbranch(GTKCommand):
-    """GTK+ branching.
-    
-    """
-
-    def get_gtk_dialog(self, path):
-        from bzrlib.plugins.gtk.branch import BranchDialog
-        return BranchDialog(path)
-
-
-class cmd_gcheckout(GTKCommand):
-    """ GTK+ checkout.
-    
-    """
-    
-    def get_gtk_dialog(self, path):
-        from bzrlib.plugins.gtk.checkout import CheckoutDialog
-        return CheckoutDialog(path)
-
-
-
-class cmd_gpush(GTKCommand):
-    """ GTK+ push.
-    
-    """
-    takes_args = [ "location?" ]
-
-    def run(self, location="."):
-        (br, path) = branch.Branch.open_containing(location)
-        open_display()
-        from push import PushDialog
-        dialog = PushDialog(br.repository, br.last_revision(), br)
-        dialog.run()
-
-
-
-class cmd_gdiff(GTKCommand):
-    """Show differences in working tree in a GTK+ Window.
-    
-    Otherwise, all changes for the tree are listed.
-    """
-    takes_args = ['filename?']
-    takes_options = ['revision']
-
-    @display_command
-    def run(self, revision=None, filename=None):
-        set_ui_factory()
-        wt = workingtree.WorkingTree.open_containing(".")[0]
-        wt.lock_read()
-        try:
-            branch = wt.branch
-            if revision is not None:
-                if len(revision) == 1:
-                    tree1 = wt
-                    revision_id = revision[0].as_revision_id(tree1.branch)
-                    tree2 = branch.repository.revision_tree(revision_id)
-                elif len(revision) == 2:
-                    revision_id_0 = revision[0].as_revision_id(branch)
-                    tree2 = branch.repository.revision_tree(revision_id_0)
-                    revision_id_1 = revision[1].as_revision_id(branch)
-                    tree1 = branch.repository.revision_tree(revision_id_1)
-            else:
-                tree1 = wt
-                tree2 = tree1.basis_tree()
-
-            from diff import DiffWindow
-            import gtk
-            window = DiffWindow()
-            window.connect("destroy", gtk.main_quit)
-            window.set_diff("Working Tree", tree1, tree2)
-            if filename is not None:
-                tree_filename = wt.relpath(filename)
-                try:
-                    window.set_file(tree_filename)
-                except NoSuchFile:
-                    if (tree1.path2id(tree_filename) is None and 
-                        tree2.path2id(tree_filename) is None):
-                        raise NotVersionedError(filename)
-                    raise BzrCommandError('No changes found for file "%s"' % 
-                                          filename)
-            window.show()
-
-            gtk.main()
-        finally:
-            wt.unlock()
-
-
-def start_viz_window(branch, revisions, limit=None):
-    """Start viz on branch with revision revision.
-    
-    :return: The viz window object.
-    """
-    from viz import BranchWindow
-    return BranchWindow(branch, revisions, limit)
-
-
-class cmd_visualise(Command):
-    """Graphically visualise this branch.
-
-    Opens a graphical window to allow you to see the history of the branch
-    and relationships between revisions in a visual manner,
-
-    The default starting point is latest revision on the branch, you can
-    specify a starting point with -r revision.
-    """
-    takes_options = [
-        "revision",
-        Option('limit', "Maximum number of revisions to display.",
-               int, 'count')]
-    takes_args = [ "locations*" ]
-    aliases = [ "visualize", "vis", "viz" ]
-
-    def run(self, locations_list, revision=None, limit=None):
-        set_ui_factory()
-        if locations_list is None:
-            locations_list = ["."]
-        revids = []
-        for location in locations_list:
-            (br, path) = branch.Branch.open_containing(location)
-            if revision is None:
-                revids.append(br.last_revision())
-            else:
-                revids.append(revision[0].as_revision_id(br))
-        import gtk
-        pp = start_viz_window(br, revids, limit)
-        pp.connect("destroy", lambda w: gtk.main_quit())
-        pp.show()
-        gtk.main()
-
-
-class cmd_gannotate(GTKCommand):
-    """GTK+ annotate.
-    
-    Browse changes to FILENAME line by line in a GTK+ window.
-    """
-
-    takes_args = ["filename", "line?"]
-    takes_options = [
-        Option("all", help="Show annotations on all lines."),
-        Option("plain", help="Don't highlight annotation lines."),
-        Option("line", type=int, argname="lineno",
-               help="Jump to specified line number."),
-        "revision",
-    ]
-    aliases = ["gblame", "gpraise"]
-    
-    def run(self, filename, all=False, plain=False, line='1', revision=None):
-        gtk = open_display()
-
-        try:
-            line = int(line)
-        except ValueError:
-            raise BzrCommandError('Line argument ("%s") is not a number.' % 
-                                  line)
-
-        from annotate.gannotate import GAnnotateWindow
-        from annotate.config import GAnnotateConfig
-        from bzrlib.bzrdir import BzrDir
-
-        wt, br, path = BzrDir.open_containing_tree_or_branch(filename)
-        if wt is not None:
-            tree = wt
-        else:
-            tree = br.basis_tree()
-
-        file_id = tree.path2id(path)
-
-        if file_id is None:
-            raise NotVersionedError(filename)
-        if revision is not None:
-            if len(revision) != 1:
-                raise BzrCommandError("Only 1 revion may be specified.")
-            revision_id = revision[0].as_revision_id(br)
-            tree = br.repository.revision_tree(revision_id)
-        else:
-            revision_id = getattr(tree, 'get_revision_id', lambda: None)()
-
-        window = GAnnotateWindow(all, plain, branch=br)
-        window.connect("destroy", lambda w: gtk.main_quit())
-        config = GAnnotateConfig(window)
-        window.show()
-        br.lock_read()
-        if wt is not None:
-            wt.lock_read()
-        try:
-            window.annotate(tree, br, file_id)
-            window.jump_to_line(line)
-            gtk.main()
-        finally:
-            br.unlock()
-            if wt is not None:
-                wt.unlock()
-
-
-
-class cmd_gcommit(GTKCommand):
-    """GTK+ commit dialog
-
-    Graphical user interface for committing revisions"""
-
-    aliases = [ "gci" ]
-    takes_args = []
-    takes_options = []
-
-    def run(self, filename=None):
-        import os
-        open_display()
-        from commit import CommitDialog
-        from bzrlib.errors import (BzrCommandError,
-                                   NotBranchError,
-                                   NoWorkingTree)
-
-        wt = None
-        br = None
-        try:
-            (wt, path) = workingtree.WorkingTree.open_containing(filename)
-            br = wt.branch
-        except NoWorkingTree, e:
-            from dialog import error_dialog
-            error_dialog(_i18n('Directory does not have a working tree'),
-                         _i18n('Operation aborted.'))
-            return 1 # should this be retval=3?
-
-        # It is a good habit to keep things locked for the duration, but it
-        # could cause difficulties if someone wants to do things in another
-        # window... We could lock_read() until we actually go to commit
-        # changes... Just a thought.
-        wt.lock_write()
-        try:
-            dlg = CommitDialog(wt)
-            return dlg.run()
-        finally:
-            wt.unlock()
-
-
-class cmd_gstatus(GTKCommand):
-    """GTK+ status dialog
-
-    Graphical user interface for showing status 
-    information."""
-    
-    aliases = [ "gst" ]
-    takes_args = ['PATH?']
-    takes_options = ['revision']
-
-    def run(self, path='.', revision=None):
-        import os
-        gtk = open_display()
-        from status import StatusDialog
-        (wt, wt_path) = workingtree.WorkingTree.open_containing(path)
-        
-        if revision is not None:
-            try:
-                revision_id = revision[0].as_revision_id(wt.branch)
-            except:
-                from bzrlib.errors import BzrError
-                raise BzrError('Revision %r doesn\'t exist' % revision[0].user_spec )
-        else:
-            revision_id = None
-
-        status = StatusDialog(wt, wt_path, revision_id)
-        status.connect("destroy", gtk.main_quit)
-        status.run()
-
-
-class cmd_gsend(GTKCommand):
-    """GTK+ send merge directive.
-
-    """
-    def run(self):
-        (br, path) = branch.Branch.open_containing(".")
-        gtk = open_display()
-        from bzrlib.plugins.gtk.mergedirective import SendMergeDirectiveDialog
-        from StringIO import StringIO
-        dialog = SendMergeDirectiveDialog(br)
-        if dialog.run() == gtk.RESPONSE_OK:
-            outf = StringIO()
-            outf.writelines(dialog.get_merge_directive().to_lines())
-            mail_client = br.get_config().get_mail_client()
-            mail_client.compose_merge_request(dialog.get_mail_to(), "[MERGE]", 
-                outf.getvalue())
-
-            
-
-
-class cmd_gconflicts(GTKCommand):
-    """GTK+ conflicts.
-    
-    Select files from the list of conflicts and run an external utility to
-    resolve them.
-    """
-    def run(self):
-        (wt, path) = workingtree.WorkingTree.open_containing('.')
-        open_display()
-        from bzrlib.plugins.gtk.conflicts import ConflictsDialog
-        dialog = ConflictsDialog(wt)
-        dialog.run()
-
-
-class cmd_gpreferences(GTKCommand):
-    """ GTK+ preferences dialog.
-
-    """
-    def run(self):
-        open_display()
-        from bzrlib.plugins.gtk.preferences import PreferencesWindow
-        dialog = PreferencesWindow()
-        dialog.run()
-
-
-class cmd_gmissing(Command):
-    """ GTK+ missing revisions dialog.
-
-    """
-    takes_args = ["other_branch?"]
-    def run(self, other_branch=None):
-        pygtk = import_pygtk()
-        try:
-            import gtk
-        except RuntimeError, e:
-            if str(e) == "could not open display":
-                raise NoDisplayError
-
-        from bzrlib.plugins.gtk.missing import MissingWindow
-        from bzrlib.branch import Branch
-
-        local_branch = Branch.open_containing(".")[0]
-        if other_branch is None:
-            other_branch = local_branch.get_parent()
-            
-            if other_branch is None:
-                raise errors.BzrCommandError("No peer location known or specified.")
-        remote_branch = Branch.open_containing(other_branch)[0]
-        set_ui_factory()
-        local_branch.lock_read()
-        try:
-            remote_branch.lock_read()
-            try:
-                dialog = MissingWindow(local_branch, remote_branch)
-                dialog.run()
-            finally:
-                remote_branch.unlock()
-        finally:
-            local_branch.unlock()
-
-
-class cmd_ginit(GTKCommand):
-    def run(self):
-        open_display()
-        from initialize import InitDialog
-        dialog = InitDialog(os.path.abspath(os.path.curdir))
-        dialog.run()
-
-
-class cmd_gtags(GTKCommand):
-    def run(self):
-        br = branch.Branch.open_containing('.')[0]
-        
-        gtk = open_display()
-        from tags import TagsWindow
-        window = TagsWindow(br)
-        window.show()
-        gtk.main()
-
-
-commands = [
-    cmd_gannotate, 
-    cmd_gbranch,
-    cmd_gcheckout, 
-    cmd_gcommit, 
-    cmd_gconflicts, 
-    cmd_gdiff,
-    cmd_ginit,
-    cmd_gmissing, 
-    cmd_gpreferences, 
-    cmd_gpush, 
-    cmd_gsend,
-    cmd_gstatus,
-    cmd_gtags,
-    cmd_visualise
-    ]
-
-for cmd in commands:
-    register_command(cmd)
-
-
-class cmd_commit_notify(GTKCommand):
-    """Run the bzr commit notifier.
-
-    This is a background program which will pop up a notification on the users
-    screen when a commit occurs.
-    """
-
-    def run(self):
-        from notify import NotifyPopupMenu
-        gtk = open_display()
-        menu = NotifyPopupMenu()
-        icon = gtk.status_icon_new_from_file(icon_path("bzr-icon-64.png"))
-        icon.connect('popup-menu', menu.display)
-
-        import cgi
-        import dbus
-        import dbus.service
-        import pynotify
-        from bzrlib.bzrdir import BzrDir
-        from bzrlib import errors
-        from bzrlib.osutils import format_date
-        from bzrlib.transport import get_transport
-        if getattr(dbus, 'version', (0,0,0)) >= (0,41,0):
-            import dbus.glib
-        BROADCAST_INTERFACE = "org.bazaarvcs.plugins.dbus.Broadcast"
-        bus = dbus.SessionBus()
-
-        def catch_branch(revision_id, urls):
-            # TODO: show all the urls, or perhaps choose the 'best'.
-            url = urls[0]
-            try:
-                if isinstance(revision_id, unicode):
-                    revision_id = revision_id.encode('utf8')
-                transport = get_transport(url)
-                a_dir = BzrDir.open_from_transport(transport)
-                branch = a_dir.open_branch()
-                revno = branch.revision_id_to_revno(revision_id)
-                revision = branch.repository.get_revision(revision_id)
-                summary = 'New revision %d in %s' % (revno, url)
-                body  = 'Committer: %s\n' % revision.committer
-                body += 'Date: %s\n' % format_date(revision.timestamp,
-                    revision.timezone)
-                body += '\n'
-                body += revision.message
-                body = cgi.escape(body)
-                nw = pynotify.Notification(summary, body)
-                def start_viz(notification=None, action=None, data=None):
-                    """Start the viz program."""
-                    pp = start_viz_window(branch, revision_id)
-                    pp.show()
-                def start_branch(notification=None, action=None, data=None):
-                    """Start a Branch dialog"""
-                    from bzrlib.plugins.gtk.branch import BranchDialog
-                    bd = BranchDialog(remote_path=url)
-                    bd.run()
-                nw.add_action("inspect", "Inspect", start_viz, None)
-                nw.add_action("branch", "Branch", start_branch, None)
-                nw.set_timeout(5000)
-                nw.show()
-            except Exception, e:
-                print e
-                raise
-        bus.add_signal_receiver(catch_branch,
-                                dbus_interface=BROADCAST_INTERFACE,
-                                signal_name="Revision")
-        pynotify.init("bzr commit-notify")
-        gtk.main()
-
-register_command(cmd_commit_notify)
-
-
-class cmd_gselftest(GTKCommand):
-    """Version of selftest that displays a notification at the end"""
-
-    takes_args = builtins.cmd_selftest.takes_args
-    takes_options = builtins.cmd_selftest.takes_options
-    _see_also = ['selftest']
-
-    def run(self, *args, **kwargs):
-        import cgi
-        import sys
-        default_encoding = sys.getdefaultencoding()
-        # prevent gtk from blowing up later
-        gtk = import_pygtk()
-        # prevent gtk from messing with default encoding
-        import pynotify
-        if sys.getdefaultencoding() != default_encoding:
-            reload(sys)
-            sys.setdefaultencoding(default_encoding)
-        result = builtins.cmd_selftest().run(*args, **kwargs)
-        if result == 0:
-            summary = 'Success'
-            body = 'Selftest succeeded in "%s"' % os.getcwd()
-        if result == 1:
-            summary = 'Failure'
-            body = 'Selftest failed in "%s"' % os.getcwd()
-        pynotify.init("bzr gselftest")
-        note = pynotify.Notification(cgi.escape(summary), cgi.escape(body))
-        note.set_timeout(pynotify.EXPIRES_NEVER)
-        note.show()
-
-
-register_command(cmd_gselftest)
-
-
-class cmd_test_gtk(GTKCommand):
-    """Version of selftest that just runs the gtk test suite."""
-
-    takes_options = ['verbose',
-                     Option('one', short_name='1',
-                            help='Stop when one test fails.'),
-                     Option('benchmark', help='Run the benchmarks.'),
-                     Option('lsprof-timed',
-                     help='Generate lsprof output for benchmarked'
-                          ' sections of code.'),
-                     Option('list-only',
-                     help='List the tests instead of running them.'),
-                     Option('randomize', type=str, argname="SEED",
-                     help='Randomize the order of tests using the given'
-                          ' seed or "now" for the current time.'),
-                    ]
-    takes_args = ['testspecs*']
-
-    def run(self, verbose=None, one=False, benchmark=None,
-            lsprof_timed=None, list_only=False, randomize=None,
-            testspecs_list=None):
-        from bzrlib import __path__ as bzrlib_path
-        from bzrlib.tests import selftest
-
-        print '%10s: %s' % ('bzrlib', bzrlib_path[0])
-        if benchmark:
-            print 'No benchmarks yet'
-            return 3
-
-            test_suite_factory = bench_suite
-            if verbose is None:
-                verbose = True
-            # TODO: should possibly lock the history file...
-            benchfile = open(".perf_history", "at", buffering=1)
-        else:
-            test_suite_factory = test_suite
-            if verbose is None:
-                verbose = False
-            benchfile = None
-
-        if testspecs_list is not None:
-            pattern = '|'.join(testspecs_list)
-        else:
-            pattern = ".*"
-
-        try:
-            result = selftest(verbose=verbose,
-                              pattern=pattern,
-                              stop_on_failure=one,
-                              test_suite_factory=test_suite_factory,
-                              lsprof_timed=lsprof_timed,
-                              bench_history=benchfile,
-                              list_only=list_only,
-                              random_seed=randomize,
-                             )
-        finally:
-            if benchfile is not None:
-                benchfile.close()
-
-register_command(cmd_test_gtk)
-
-
-
-import gettext
-gettext.install('olive-gtk')
-
-# Let's create a specialized alias to protect '_' from being erased by other
-# uses of '_' as an anonymous variable (think pdb for one).
-_i18n = gettext.gettext
-
-class NoDisplayError(BzrCommandError):
-    """gtk could not find a proper display"""
-
-    def __str__(self):
-        return "No DISPLAY. Unable to run GTK+ application."
-
-
-def test_suite():
-    from unittest import TestSuite
-    import tests
+def icon_path(*args):
+    return data_path(os.path.join('icons', *args))
+
+
+commands = {
+    "gannotate": ["gblame", "gpraise"],
+    "gbranch": [],
+    "gcheckout": [],
+    "gcommit": ["gci"],
+    "gconflicts": [],
+    "gdiff": [],
+    "ginit": [],
+    "gmerge": [],
+    "gmissing": [],
+    "gpreferences": [],
+    "gpush": [],
+    "gsend": [],
+    "gstatus": ["gst"],
+    "gtags": [],
+    "visualise": ["visualize", "vis", "viz", 'glog'],
+    }
+
+try:
+    from bzrlib.plugins import loom
+except ImportError:
+    pass # Loom plugin doesn't appear to be present
+else:
+    commands["gloom"] = []
+
+for cmd, aliases in commands.iteritems():
+    plugin_cmds.register_lazy("cmd_%s" % cmd, aliases,
+                              "bzrlib.plugins.gtk.commands")
+
+def save_commit_messages(*args):
+    from bzrlib.plugins.gtk import commitmsgs
+    commitmsgs.save_commit_messages(*args)
+
+branch.Branch.hooks.install_named_hook('post_uncommit',
+                                       save_commit_messages,
+                                       "Saving commit messages for gcommit")
+
+option_registry = getattr(config, "option_registry", None)
+if option_registry is not None:
+    config.option_registry.register_lazy('nautilus_integration',
+            'bzrlib.plugins.gtk.config', 'opt_nautilus_integration')
+
+def load_tests(basic_tests, module, loader):
+    testmod_names = [
+        'tests',
+        ]
     import sys
     default_encoding = sys.getdefaultencoding()
     try:
-        result = TestSuite()
+        result = basic_tests
         try:
-            import_pygtk()
-        except errors.BzrCommandError:
-            return result
-        result.addTest(tests.test_suite())
+            import gi.repository.Gtk
+        except ImportError:
+            return basic_tests
+        basic_tests.addTest(loader.loadTestsFromModuleNames(
+                ["%s.%s" % (__name__, tmn) for tmn in testmod_names]))
     finally:
         if sys.getdefaultencoding() != default_encoding:
             reload(sys)
             sys.setdefaultencoding(default_encoding)
-    return result
+    return basic_tests
+

=== modified file 'about.py'
--- about.py	2008-04-01 09:59:41 +0000
+++ about.py	2011-08-27 18:35:08 +0000
@@ -14,24 +14,51 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
+from gi.repository import Gtk
+from gi.repository import GdkPixbuf
+import os
 
 import bzrlib
-import gtk
-import os
-from bzrlib.plugins.gtk import icon_path
-
-class AboutDialog(gtk.AboutDialog):
+
+from bzrlib.plugins.gtk import (
+    data_path,
+    icon_path,
+    )
+
+
+def read_license():
+    license_paths = [data_path("COPYING"), "/usr/share/common-licenses/GPL-2"]
+    for license_file in license_paths:
+        if license_file is not None and os.path.exists(license_file):
+            return file(license_file).read()
+    # Fall back to just license name if we can't find the file
+    return "GPLv2 or later"
+
+
+def load_credits():
+    import pickle
+    try:
+        credits = pickle.load(file(data_path("credits.pickle")))
+    except IOError:
+        credits = None
+    return credits
+
+
+class AboutDialog(Gtk.AboutDialog):
     def __init__(self):
         super(AboutDialog, self).__init__()
         self.set_name("Bazaar GTK")
         self.set_version(bzrlib.plugins.gtk.version_string)
         self.set_website("http://bazaar-vcs.org/BzrGtk")
-        self.set_license("GNU GPL v2 or later")
-        self.set_icon(gtk.gdk.pixbuf_new_from_file(icon_path("bzr-icon-64.png")))
+        self.set_license(read_license())
+        self.set_logo(GdkPixbuf.Pixbuf.new_from_file(icon_path("bzr-icon-64.png")))
+        credits = load_credits()
+        if credits is not None:
+            (authors, documenters, artists, translators) = credits
+            self.set_authors(authors)
+            self.set_documenters(documenters)
+            self.set_artists(artists)
+            self.set_translator_credits("\n".join(translators))
         self.connect ("response", lambda d, r: d.destroy())
 
+

=== modified file 'annotate/colormap.py'
--- annotate/colormap.py	2007-08-16 14:31:02 +0000
+++ annotate/colormap.py	2011-09-05 03:44:26 +0000
@@ -13,8 +13,12 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+__metaclass__ = type
+
 import sys
 
+
 class AnnotateColorMap:
 
     really_old_color = "#0046FF"
@@ -61,9 +65,10 @@
 
         return color
 
+
 class AnnotateColorSaturation(AnnotateColorMap):
     def __init__(self, span=340.):
-        AnnotateColorMap.__init__(self, span)
+        super(AnnotateColorSaturation, self).__init__(span)
         self.current_angle = 0
 
     def hue(self, angle):
@@ -88,7 +93,7 @@
 
     def saturate_v(self, saturation, hv):
         return int(255 - (saturation/3*(1-hv)))
-    
+
     def committer_angle(self, committer):
         return float(abs(hash(committer))) / sys.maxint * 360.0
 

=== modified file 'annotate/config.py'
--- annotate/config.py	2007-01-17 06:42:55 +0000
+++ annotate/config.py	2011-09-05 03:44:26 +0000
@@ -16,26 +16,17 @@
 
 import os
 
-import gtk.gdk
-
-from bzrlib.config import config_dir
-import bzrlib.util.configobj.configobj as configobj
-
-
-gannotate_configspec = (
-    "[window]",
-    "width = integer(default=750)",
-    "height = integer(default=550)",
-    "maximized = boolean(default=False)",
-    "x = integer(default=0)",
-    "y = integer(default=0)",
-    "pane_position = integer(default=325)",
-    "[spans]",
-    "max_custom_spans = integer(default=4)",
-    "custom_spans = float_list()"
-)
-
-gannotate_config_filename = os.path.join(config_dir(), "gannotate.conf")
+from gi.repository import Gdk
+
+from bzrlib import config
+try:
+    import bzrlib.util.configobj.configobj as configobj
+except ImportError:
+    import configobj
+
+
+def gannotate_config_filename():
+    return os.path.join(config.config_dir(), "gannotate.conf")
 
 
 class GAnnotateConfig(configobj.ConfigObj):
@@ -47,20 +38,20 @@
     """
 
     def __init__(self, window):
-        configobj.ConfigObj.__init__(self, gannotate_config_filename,
-                                     configspec=gannotate_configspec)
+        super(GAnnotateConfig, self).__init__(gannotate_config_filename())
         self.window = window
         self.pane = window.pane
-        
-        self.initial_comment = ["gannotate plugin configuration"]
-        self['window']['width'] = 750
-        self['window']['height'] = 550
-        self['window']['maximized'] = False
-        self['window']['x'] = 0
-        self['window']['y'] = 0
-        self['window']['pane_position'] = 325
-        self['spans']['max_custom_spans'] = 4
-        self['spans']['custom_spans'] = []
+
+        if 'window' not in self:
+            # Set default values, configobj expects strings here
+            self.initial_comment = ["gannotate plugin configuration"]
+            self['window'] = {}
+            self['window']['width'] = '750'
+            self['window']['height'] = '550'
+            self['window']['maximized'] = 'False'
+            self['window']['x'] = '0'
+            self['window']['y'] = '0'
+            self['window']['pane_position'] = '325'
 
         self.apply()
         self._connect_signals()
@@ -68,16 +59,14 @@
     def apply(self):
         """Apply properties and such from gannotate.conf, or
         gannotate_configspec defaults."""
-        self.pane.set_position(self["window"]["pane_position"])
-        self.window.set_default_size(self["window"]["width"],
-                                     self["window"]["height"])
-        self.window.move(self["window"]["x"], self["window"]["y"])
+        self.pane.set_position(self['window'].as_int('pane_position'))
+        self.window.set_default_size(self['window'].as_int('width'),
+                                     self['window'].as_int('height'))
+        self.window.move(self['window'].as_int('x'), self['window'].as_int('y'))
 
-        if self["window"]["maximized"]:
+        if self['window'].as_bool('maximized'):
             self.window.maximize()
 
-        # XXX Don't know how to set an empty list as default in
-        # gannotate_configspec.
     def _connect_signals(self):
         self.window.connect("destroy", self._write)
         self.window.connect("configure-event", self._save_window_props)
@@ -85,30 +74,23 @@
         self.pane.connect("notify", self._save_pane_props)
 
     def _save_window_props(self, w, e, *args):
-        if e.window.get_state() & gtk.gdk.WINDOW_STATE_MAXIMIZED:
+        if e.window.get_state() & Gdk.WindowState.MAXIMIZED:
             maximized = True
         else:
             self["window"]["width"], self["window"]["height"] = w.get_size()
             self["window"]["x"], self["window"]["y"] = w.get_position()
             maximized = False
-
         self["window"]["maximized"] = maximized
-        
         return False
 
     def _save_pane_props(self, w, gparam):
-        if gparam.name == "position":
+        if gparam and gparam.name == "position":
             self["window"]["pane_position"] = w.get_position()
 
         return False
 
-    def _save_custom_spans(self, w, *args):
-        self["spans"]["custom_spans"] = w.custom_spans
-
-        return False
-
     def _write(self, *args):
+        config.ensure_config_dir_exists()
         self.write()
-
         return False
 

=== modified file 'annotate/gannotate.py'
--- annotate/gannotate.py	2008-04-29 08:17:01 +0000
+++ annotate/gannotate.py	2011-11-17 21:27:30 +0000
@@ -16,18 +16,17 @@
 
 import time
 
-import pygtk
-pygtk.require("2.0")
-import gobject
-import gtk
-import pango
+from gi.repository import GObject
+from gi.repository import Gdk
+from gi.repository import Gtk
+from gi.repository import Pango
 import re
 
-from bzrlib import patiencediff, tsort
+from bzrlib import patiencediff
 from bzrlib.errors import NoSuchRevision
 from bzrlib.revision import NULL_REVISION, CURRENT_REVISION
 
-from colormap import AnnotateColorMap, AnnotateColorSaturation
+from bzrlib.plugins.gtk.annotate.colormap import AnnotateColorSaturation
 from bzrlib.plugins.gtk.revisionview import RevisionView
 from bzrlib.plugins.gtk.window import Window
 
@@ -49,10 +48,11 @@
         self.all = all
         self.plain = plain
         self._branch = branch
-        
-        Window.__init__(self, parent)
-        
-        self.set_icon(self.render_icon(gtk.STOCK_FIND, gtk.ICON_SIZE_BUTTON))
+
+        super(GAnnotateWindow, self).__init__(parent=parent)
+
+        self.set_icon(
+            self.render_icon_pixbuf(Gtk.STOCK_FIND, Gtk.IconSize.BUTTON))
         self.annotate_colormap = AnnotateColorSaturation()
 
         self._create()
@@ -68,15 +68,15 @@
         self.revisionview.set_file_id(file_id)
         self.revision_id = getattr(tree, 'get_revision_id', 
                                    lambda: CURRENT_REVISION)()
-        
+
         # [revision id, line number, author, revno, highlight color, line]
-        self.annomodel = gtk.ListStore(gobject.TYPE_STRING,
-                                       gobject.TYPE_STRING,
-                                       gobject.TYPE_STRING,
-                                       gobject.TYPE_STRING,
-                                       gobject.TYPE_STRING,
-                                       gobject.TYPE_STRING)
-        
+        self.annomodel = Gtk.ListStore(GObject.TYPE_STRING,
+                                       GObject.TYPE_INT,
+                                       GObject.TYPE_STRING,
+                                       GObject.TYPE_STRING,
+                                       GObject.TYPE_STRING,
+                                       GObject.TYPE_STRING)
+
         last_seen = None
         try:
             branch.lock_read()
@@ -86,12 +86,12 @@
             for revision_id, revno in revno_map.iteritems():
                 self.dotted[revision_id] = '.'.join(str(num) for num in revno)
             for line_no, (revision, revno, line)\
-                    in enumerate(self._annotate(tree, file_id)):
+                in enumerate(self._annotate(tree, file_id)):
                 if revision.revision_id == last_seen and not self.all:
                     revno = author = ""
                 else:
                     last_seen = revision.revision_id
-                    author = revision.get_apparent_author()
+                    author = ", ".join(revision.get_apparent_authors())
 
                 if revision.revision_id not in self.revisions:
                     self.revisions[revision.revision_id] = revision
@@ -102,7 +102,7 @@
                                        revno,
                                        None,
                                        line.rstrip("\r\n")
-                                      ])
+                                       ])
                 self.annotations.append(revision)
 
             if not self.plain:
@@ -125,13 +125,13 @@
             # bar?
             print("gannotate: Line number %d does't exist. Defaulting to "
                   "line 1." % lineno)
-	    return
+            return
         else:
             row = lineno - 1
 
-        self.annoview.set_cursor(row)
-        self.annoview.scroll_to_cell(row, use_align=True)
-
+        tree_path = Gtk.TreePath(path=row)
+        self.annoview.set_cursor(tree_path, None, False)
+        self.annoview.scroll_to_cell(tree_path, use_align=True)
 
     def _annotate(self, tree, file_id):
         current_revision = FakeRevision(CURRENT_REVISION)
@@ -139,7 +139,7 @@
         current_revision.timestamp = time.time()
         current_revision.message = '[Not yet committed]'
         current_revision.parent_ids = tree.get_parent_ids()
-        current_revision.properties['branch-nick'] = self.branch.nick
+        current_revision.properties['branch-nick'] = self.branch._get_nick(local=True)
         current_revno = '%d?' % (self.branch.revno() + 1)
         repository = self.branch.repository
         if self.revision_id == CURRENT_REVISION:
@@ -167,8 +167,9 @@
     def _highlight_annotation(self, model, path, iter, now):
         revision_id, = model.get(iter, REVISION_ID_COL)
         revision = self.revisions[revision_id]
-        model.set(iter, HIGHLIGHT_COLOR_COL,
-                  self.annotate_colormap.get_color(revision, now))
+        # XXX sinzui 2011-08-12: What does get_color return?
+        color = self.annotate_colormap.get_color(revision, now)
+        model.set_value(iter, HIGHLIGHT_COLOR_COL, color)
 
     def _selected_revision(self):
         (path, col) = self.annoview.get_cursor()
@@ -193,57 +194,61 @@
         self.revisionview = self._create_log_view()
         self.annoview = self._create_annotate_view()
 
-        vbox = gtk.VBox(False)
+        vbox = Gtk.VBox(homogeneous=False, spacing=0)
         vbox.show()
 
-        sw = gtk.ScrolledWindow()
-        sw.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
-        sw.set_shadow_type(gtk.SHADOW_IN)
+        sw = Gtk.ScrolledWindow()
+        sw.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        sw.set_shadow_type(Gtk.ShadowType.IN)
         sw.add(self.annoview)
         self.annoview.gwindow = self
         sw.show()
 
-        swbox = gtk.VBox()
-        swbox.pack_start(sw)
+        swbox = Gtk.VBox()
+        swbox.pack_start(sw, True, True, 0)
         swbox.show()
 
-        hbox = gtk.HBox(False, 6)
+        hbox = Gtk.HBox(homogeneous=False, spacing=6)
         self.back_button = self._create_back_button()
-        hbox.pack_start(self.back_button, expand=False, fill=True)
+        hbox.pack_start(self.back_button, False, True, 0)
         self.forward_button = self._create_forward_button()
-        hbox.pack_start(self.forward_button, expand=False, fill=True)
+        hbox.pack_start(self.forward_button, False, True, 0)
+        self.find_button = self._create_find_button()
+        hbox.pack_start(self.find_button, False, True, 0)
+        self.goto_button = self._create_goto_button()
+        hbox.pack_start(self.goto_button, False, True, 0)
         hbox.show()
-        vbox.pack_start(hbox, expand=False, fill=True)
-        
-        self.pane = pane = gtk.VPaned()
+        vbox.pack_start(hbox, False, True, 0)
+
+        self.pane = pane = Gtk.VPaned()
         pane.add1(swbox)
         pane.add2(self.revisionview)
         pane.show()
-        vbox.pack_start(pane, expand=True, fill=True)
+        vbox.pack_start(pane, True, True, 0)
 
         self._search = SearchBox()
-        swbox.pack_start(self._search, expand=False, fill=True)
-        accels = gtk.AccelGroup()
-        accels.connect_group(gtk.keysyms.f, gtk.gdk.CONTROL_MASK,
-                             gtk.ACCEL_LOCKED,
+        swbox.pack_start(self._search, False, True, 0)
+        accels = Gtk.AccelGroup()
+        accels.connect(Gdk.KEY_f, Gdk.ModifierType.CONTROL_MASK,
+                             Gtk.AccelFlags.LOCKED,
                              self._search_by_text)
-        accels.connect_group(gtk.keysyms.g, gtk.gdk.CONTROL_MASK,
-                             gtk.ACCEL_LOCKED,
+        accels.connect(Gdk.KEY_g, Gdk.ModifierType.CONTROL_MASK,
+                             Gtk.AccelFlags.LOCKED,
                              self._search_by_line)
         self.add_accel_group(accels)
 
         self.add(vbox)
 
-    def _search_by_text(self, accel_group, window, key, modifiers):
+    def _search_by_text(self, *ignored): # (accel_group, window, key, modifiers):
         self._search.show_for('text')
         self._search.set_target(self.annoview, TEXT_LINE_COL)
 
-    def _search_by_line(self, accel_group, window, key, modifiers):
+    def _search_by_line(self, *ignored): # accel_group, window, key, modifiers):
         self._search.show_for('line')
         self._search.set_target(self.annoview, LINE_NUM_COL)
 
     def line_diff(self, tv, path, tvc):
-        row = path[0]
+        row = path.get_indices()[0]
         revision = self.annotations[row]
         repository = self.branch.repository
         if revision.revision_id == CURRENT_REVISION:
@@ -256,67 +261,70 @@
             else:
                 tree2 = repository.revision_tree(NULL_REVISION)
         from bzrlib.plugins.gtk.diff import DiffWindow
-        window = DiffWindow()
+        window = DiffWindow(self)
         window.set_diff("Diff for line %d" % (row+1), tree1, tree2)
         window.set_file(tree1.id2path(self.file_id))
         window.show()
 
 
     def _create_annotate_view(self):
-        tv = gtk.TreeView()
+        tv = Gtk.TreeView()
         tv.set_rules_hint(False)
         tv.connect("cursor-changed", self._activate_selected_revision)
         tv.show()
         tv.connect("row-activated", self.line_diff)
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("xalign", 1.0)
         cell.set_property("ypad", 0)
         cell.set_property("family", "Monospace")
         cell.set_property("cell-background-gdk",
-                          tv.get_style().bg[gtk.STATE_NORMAL])
-        col = gtk.TreeViewColumn()
+                          tv.get_style().bg[Gtk.StateType.NORMAL])
+        col = Gtk.TreeViewColumn()
         col.set_resizable(False)
-        col.pack_start(cell, expand=True)
+        col.pack_start(cell, True)
         col.add_attribute(cell, "text", LINE_NUM_COL)
         tv.append_column(col)
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("ypad", 0)
-        cell.set_property("ellipsize", pango.ELLIPSIZE_END)
+        cell.set_property("ellipsize", Pango.EllipsizeMode.END)
         cell.set_property("cell-background-gdk",
-                          self.get_style().bg[gtk.STATE_NORMAL])
-        col = gtk.TreeViewColumn("Committer")
+                          self.get_style().bg[Gtk.StateType.NORMAL])
+        col = Gtk.TreeViewColumn("Committer")
         col.set_resizable(True)
-        col.pack_start(cell, expand=True)
+        col.pack_start(cell, True)
         col.add_attribute(cell, "text", COMMITTER_COL)
         tv.append_column(col)
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("xalign", 1.0)
         cell.set_property("ypad", 0)
         cell.set_property("cell-background-gdk",
-                          self.get_style().bg[gtk.STATE_NORMAL])
-        col = gtk.TreeViewColumn("Revno")
+                          self.get_style().bg[Gtk.StateType.NORMAL])
+        col = Gtk.TreeViewColumn("Revno")
         col.set_resizable(False)
-        col.pack_start(cell, expand=True)
+        col.pack_start(cell, True)
         col.add_attribute(cell, "markup", REVNO_COL)
         tv.append_column(col)
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("ypad", 0)
         cell.set_property("family", "Monospace")
-        col = gtk.TreeViewColumn()
+        col = Gtk.TreeViewColumn()
         col.set_resizable(False)
-        col.pack_start(cell, expand=True)
+        col.pack_start(cell, True)
 #        col.add_attribute(cell, "foreground", HIGHLIGHT_COLOR_COL)
         col.add_attribute(cell, "background", HIGHLIGHT_COLOR_COL)
         col.add_attribute(cell, "text", TEXT_LINE_COL)
         tv.append_column(col)
 
-        # FIXME: Now that C-f is now used for search by text we
-        # may as well disable the auto search.
-        tv.set_search_column(LINE_NUM_COL)
+        # interactive substring search
+        def search_equal_func(model, column, key, iter):
+            return model.get_value(iter, TEXT_LINE_COL).lower().find(key.lower()) == -1
+
+        tv.set_enable_search(True)
+        tv.set_search_equal_func(search_equal_func, None)
 
         return tv
 
@@ -326,24 +334,45 @@
         return lv
 
     def _create_back_button(self):
-        button = gtk.Button()
+        button = Gtk.Button()
         button.set_use_stock(True)
         button.set_label("gtk-go-back")
         button.connect("clicked", lambda w: self.go_back())
-        button.set_relief(gtk.RELIEF_NONE)
+        button.set_relief(Gtk.ReliefStyle.NONE)
         button.show()
         return button
 
     def _create_forward_button(self):
-        button = gtk.Button()
+        button = Gtk.Button()
         button.set_use_stock(True)
         button.set_label("gtk-go-forward")
         button.connect("clicked", lambda w: self.go_forward())
-        button.set_relief(gtk.RELIEF_NONE)
+        button.set_relief(Gtk.ReliefStyle.NONE)
         button.show()
         button.set_sensitive(False)
         return button
 
+    def _create_find_button(self):
+        button = Gtk.Button()
+        button.set_use_stock(True)
+        button.set_label("gtk-find")
+        button.set_tooltip_text("Search for text (Ctrl+F)")
+        button.connect("clicked", self._search_by_text)
+        button.set_relief(Gtk.ReliefStyle.NONE)
+        button.show()
+        button.set_sensitive(True)
+        return button
+
+    def _create_goto_button(self):
+        button = Gtk.Button()
+        button.set_label("Goto Line")
+        button.set_tooltip_text("Scroll to a line by entering its number (Ctrl+G)")
+        button.connect("clicked", self._search_by_line)
+        button.set_relief(Gtk.ReliefStyle.NONE)
+        button.show()
+        button.set_sensitive(True)
+        return button
+
     def go_back(self):
         last_tree = self.tree
         rev_id = self._selected_revision()
@@ -368,12 +397,14 @@
         rev_id = self._selected_revision()
         if self.file_id in target_tree:
             offset = self.get_scroll_offset(target_tree)
-            (row,), col = self.annoview.get_cursor()
+            path, col = self.annoview.get_cursor()
+            (row,) = path.get_indices()
             self.annotate(target_tree, self.branch, self.file_id)
             new_row = row+offset
             if new_row < 0:
                 new_row = 0
-            self.annoview.set_cursor(new_row)
+            new_path = Gtk.TreePath(path=new_row)
+            self.annoview.set_cursor(new_path, None, False)
             return True
         else:
             return False
@@ -381,7 +412,8 @@
     def get_scroll_offset(self, tree):
         old = self.tree.get_file(self.file_id)
         new = tree.get_file(self.file_id)
-        (row,), col = self.annoview.get_cursor()
+        path, col = self.annoview.get_cursor()
+        (row,) = path.get_indices()
         matcher = patiencediff.PatienceSequenceMatcher(None, old.readlines(),
                                                        new.readlines())
         for i, j, n in matcher.get_matching_blocks():
@@ -389,7 +421,7 @@
                 return j - i
 
 
-class FakeRevision:
+class FakeRevision(object):
     """ A fake revision.
 
     For when a revision is referenced but not present.
@@ -404,12 +436,13 @@
         self.timezone = 0
         self.properties = {}
 
-    def get_apparent_author(self):
-        return self.committer
+    def get_apparent_authors(self):
+        return [self.committer]
 
 
 class RevisionCache(object):
     """A caching revision source"""
+
     def __init__(self, real_source, seed_cache=None):
         self.__real_source = real_source
         if seed_cache is None:
@@ -423,57 +456,58 @@
             self.__cache[revision_id] = revision
         return self.__cache[revision_id]
 
-class SearchBox(gtk.HBox):
+
+class SearchBox(Gtk.HBox):
     """A button box for searching in text or lines of annotations"""
     def __init__(self):
-        gtk.HBox.__init__(self, False, 6)
+        super(SearchBox, self).__init__(homogeneous=False, spacing=6)
 
         # Close button
-        button = gtk.Button()
-        image = gtk.Image()
-        image.set_from_stock('gtk-stop', gtk.ICON_SIZE_BUTTON)
+        button = Gtk.Button()
+        image = Gtk.Image()
+        image.set_from_stock('gtk-stop', Gtk.IconSize.BUTTON)
         button.set_image(image)
-        button.set_relief(gtk.RELIEF_NONE)
-        button.connect("clicked", lambda w: self.hide_all())
-        self.pack_start(button, expand=False, fill=False)
+        button.set_relief(Gtk.ReliefStyle.NONE)
+        button.connect("clicked", lambda w: self.hide())
+        self.pack_start(button, False, False, 0)
 
         # Search entry
-        label = gtk.Label()
+        label = Gtk.Label()
         self._label = label
-        self.pack_start(label, expand=False, fill=False)
+        self.pack_start(label, False, False, 0)
 
-        entry = gtk.Entry()
+        entry = Gtk.Entry()
         self._entry = entry
         entry.connect("activate", lambda w, d: self._do_search(d),
                       'forward')
-        self.pack_start(entry, expand=False, fill=False)
+        self.pack_start(entry, False, False, 0)
 
         # Next/previous buttons
-        button = gtk.Button('_Next')
-        image = gtk.Image()
-        image.set_from_stock('gtk-go-forward', gtk.ICON_SIZE_BUTTON)
+        button = Gtk.Button('_Next')
+        image = Gtk.Image()
+        image.set_from_stock('gtk-go-forward', Gtk.IconSize.BUTTON)
         button.set_image(image)
         button.connect("clicked", lambda w, d: self._do_search(d),
                        'forward')
-        self.pack_start(button, expand=False, fill=False)
+        self.pack_start(button, False, False, 0)
 
-        button = gtk.Button('_Previous')
-        image = gtk.Image()
-        image.set_from_stock('gtk-go-back', gtk.ICON_SIZE_BUTTON)
+        button = Gtk.Button('_Previous')
+        image = Gtk.Image()
+        image.set_from_stock('gtk-go-back', Gtk.IconSize.BUTTON)
         button.set_image(image)
         button.connect("clicked", lambda w, d: self._do_search(d),
                        'backward')
-        self.pack_start(button, expand=False, fill=False)
+        self.pack_start(button, False, False, 0)
 
         # Search options
-        check = gtk.CheckButton('Match case')
+        check = Gtk.CheckButton('Match case')
         self._match_case = check
-        self.pack_start(check, expand=False, fill=False)
+        self.pack_start(check, False, False, 0)
 
-        check = gtk.CheckButton('Regexp')
+        check = Gtk.CheckButton('Regexp')
         check.connect("toggled", lambda w: self._set_label())
         self._regexp = check
-        self.pack_start(check, expand=False, fill=False)
+        self.pack_start(check, False, False, 0)
 
         self._view = None
         self._column = None
@@ -506,18 +540,22 @@
 
     def _match(self, model, iterator, column):
         matching_case = self._match_case.get_active()
-        string, = model.get(iterator, column)
+        cell_value, = model.get(iterator, column)
         key = self._entry.get_text()
-        if self._regexp.get_active():
+        if column == LINE_NUM_COL:
+            # FIXME: For goto-line there are faster algorithms than searching 
+            # every line til we find the right one! -- mbp 2011-01-27
+            return key.strip() == str(cell_value)
+        elif self._regexp.get_active():
             if matching_case:
-                match = re.compile(key).search(string, 1)
+                match = re.compile(key).search(cell_value, 1)
             else:
-                match = re.compile(key, re.I).search(string, 1)
+                match = re.compile(key, re.I).search(cell_value, 1)
         else:
             if not matching_case:
-                string = string.lower()
+                cell_value = cell_value.lower()
                 key = key.lower()
-            match = string.find(key) != -1
+            match = cell_value.find(key) != -1
 
         return match
 
@@ -555,6 +593,6 @@
         for row in iterate(model, start):
             if self._match(model, row, self._column):
                 path = model.get_path(row)
-                self._view.set_cursor(path)
+                self._view.set_cursor(path, None, False)
                 self._view.scroll_to_cell(path, use_align=True)
                 break

=== modified file 'annotate/spanselector.py'
--- annotate/spanselector.py	2006-05-19 16:56:46 +0000
+++ annotate/spanselector.py	2011-09-05 03:44:26 +0000
@@ -15,10 +15,8 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 
-import pygtk
-pygtk.require("2.0")
-import gobject
-import gtk
+from gi.repository import GObject
+from gi.repository import Gtk
 
 
 (
@@ -29,30 +27,31 @@
 ) = range(4)
 
 
-class SpanSelector(gtk.HBox):
+class SpanSelector(Gtk.HBox):
     """Encapsulates creation and functionality of widgets used for changing
     highlight spans.
-    
+
     Note that calling any activate_* methods will emit "span-changed".
     """
-    
+
     max_custom_spans = 4
     custom_spans = []
     last_selected = None
 
     def __init__(self, homogeneous=False, spacing=6):
-        gtk.HBox.__init__(self, homogeneous, spacing)
+        super(SpanSelector, self).__init__(
+            homogeneous=homogeneous, spacing=spacing)
 
         self.model = self._create_model()
         self.combo = self._create_combobox(self.model)
         self.entry = self._create_custom_entry()
 
-        label = gtk.Label("Highlighting spans:")
+        label = Gtk.Label(label="Highlighting spans:")
         label.show()
 
-        self.pack_start(label, expand=False, fill=True)
-        self.pack_start(self.combo, expand=False, fill=False)
-        self.pack_start(self.entry, expand=False, fill=False)
+        self.pack_start(label, False, True, True, 0)
+        self.pack_start(self.combo, False, False, True, 0)
+        self.pack_start(self.entry, False, False, True, 0)
 
     def set_to_oldest_span(self, span):
         """Set the span associated with the "to Oldest Revision" entry."""
@@ -67,7 +66,7 @@
         self.max_custom_spans = n
 
     def activate(self, iter):
-        """Activate the row pointed to by gtk.TreeIter iter."""
+        """Activate the row pointed to by Gtk.TreeIter iter."""
         index = self._get_index_from_iter(iter)
         self.combo.set_active(index)
 
@@ -100,11 +99,11 @@
             self.emit("span-changed", model.get_value(iter, SPAN_DAYS_COL))
 
     def _activate_custom_span_cb(self, w):
-        self.entry.hide_all()
+        self.entry.hide()
         self.combo.show()
 
         span = float(w.get_text())
-        
+
         if span == 0:
             # FIXME this works as "cancel", returning to the previous span,
             # but it emits "span-changed", which isn't necessary.
@@ -121,11 +120,11 @@
             self.custom_iter = self.model.insert_after(self.custom_iter,
                                                        self.separator)
             self.custom_iter_top = self.custom_iter.copy()
-        
+
         if len(self.custom_spans) == self.max_custom_spans:
             self.custom_spans.pop(0)
             self.model.remove(self.model.iter_next(self.custom_iter_top))
-        
+
         self.custom_spans.append(span)
         self.custom_iter = self.model.insert_after(
             self.custom_iter, [span, "%.2f Days" % span, False, False])
@@ -137,13 +136,13 @@
     def _create_model(self):
         # [span in days, span as string, row is seperator?, row is select
         # default?]
-        m = gtk.ListStore(gobject.TYPE_FLOAT,
-                          gobject.TYPE_STRING,
-                          gobject.TYPE_BOOLEAN,
-                          gobject.TYPE_BOOLEAN)
+        m = Gtk.ListStore(GObject.TYPE_FLOAT,
+                          GObject.TYPE_STRING,
+                          GObject.TYPE_BOOLEAN,
+                          GObject.TYPE_BOOLEAN)
 
         self.separator = [0., "", True, False]
-        
+
         self.oldest_iter = m.append([0., "to Oldest Revision", False, False])
         self.newest_iter = m.append([0., "Newest to Oldest", False, False])
         m.append(self.separator)
@@ -157,10 +156,10 @@
         return m
 
     def _create_combobox(self, model):
-        cb = gtk.ComboBox(model)
+        cb = Gtk.ComboBox(model)
         cb.set_row_separator_func(
             lambda m, i: m.get_value(i, SPAN_IS_SEPARATOR_COL))
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cb.pack_start(cell, False)
         cb.add_attribute(cell, "text", SPAN_STR_COL)
         cb.connect("changed", self._combo_changed_cb)
@@ -169,19 +168,19 @@
         return cb
 
     def _create_custom_entry(self):
-        entry = gtk.HBox(False, 6)
-        
-        spin = gtk.SpinButton(digits=2)
+        entry = Gtk.HBox(False, 6)
+
+        spin = Gtk.SpinButton(digits=2)
         spin.set_numeric(True)
         spin.set_increments(1., 10.)
         spin.set_range(0., 100 * 365) # I presume 100 years is sufficient
         spin.connect("activate", self._activate_custom_span_cb)
         spin.connect("show", lambda w: w.grab_focus())
 
-        label = gtk.Label("Days")
+        label = Gtk.Label(label="Days")
 
-        entry.pack_start(spin, expand=False, fill=False)
-        entry.pack_start(label, expand=False, fill=False)
+        entry.pack_start(spin, False, False, True, 0)
+        entry.pack_start(label, False, False, True, 0)
 
         return entry
 
@@ -191,18 +190,18 @@
 
 Callback signature: def callback(SpanSelector, span, [user_param, ...])
 """
-gobject.signal_new("span-changed", SpanSelector,
-                   gobject.SIGNAL_RUN_LAST,
-                   gobject.TYPE_NONE,
-                   (gobject.TYPE_FLOAT,))
+GObject.signal_new("span-changed", SpanSelector,
+                   GObject.SignalFlags.RUN_LAST,
+                   None,
+                   (GObject.TYPE_FLOAT,))
 
 """The "custom-span-added" signal is emitted after a custom span has been
 added, but before it has been selected.
 
 Callback signature: def callback(SpanSelector, span, [user_param, ...])
 """
-gobject.signal_new("custom-span-added", SpanSelector,
-                   gobject.SIGNAL_RUN_LAST,
-                   gobject.TYPE_NONE,
-                   (gobject.TYPE_FLOAT,))
+GObject.signal_new("custom-span-added", SpanSelector,
+                   GObject.SignalFlags.RUN_LAST,
+                   None,
+                   (GObject.TYPE_FLOAT,))
 

=== added file 'avatarproviders.py'
--- avatarproviders.py	1970-01-01 00:00:00 +0000
+++ avatarproviders.py	2011-10-30 08:07:30 +0000
@@ -0,0 +1,125 @@
+# Copyright (C) 2011 by Guillaume Hain (zedtux) <zedtux@zedroot.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+import Queue
+import urllib
+import urllib2
+import hashlib
+import threading
+
+
+class AvatarProvider(object):
+    """Base class for Avatar providers.
+
+    All AvatarProviderXxxx classes should inherite from this one
+    and override at least get_base_url.
+    """
+    def __init__(self, size=80):
+        """ Constructor """
+        self.size = size
+
+    def get_base_url(self):
+        """Return the base URL of this provider.
+        """
+        raise NotImplementedError(self.get_base_url)
+
+
+class AvatarDownloaderWorker(threading.Thread):
+    """Threaded worker to retrieve avatar from a provider.
+
+    This creates a persistant connection to the provider in order
+    to get avatars quickly through the same socket (urllib2).
+    """
+
+    def __init__(self, provider_method):
+        """Constructor
+
+        :param provider_method: Provider method that returns fields
+                 to send with the request.
+        """
+        threading.Thread.__init__(self)
+        self.__stop = threading.Event()
+        self.__queue = Queue.Queue()
+        self.__provider_method = provider_method
+        self.__callback_method = None
+        self.__error_method = None
+
+    def stop(self):
+        """ Stop this worker """
+        self.__stop.set()
+        while self.__queue.qsize() > 0:
+            self.__queue.get_nowait()
+            self.__queue.task_done()
+        self.__queue.join()
+
+    @property
+    def is_running(self):
+        return not self.__stop.is_set()
+
+    def set_callback_method(self, method):
+        """Fire the given callback method when treatment is finished."""
+        self.__callback_method = method
+
+    def set_error_method(self, method):
+        """Fire the given callback when retrieving a avatar fails."""
+        self.__error_method = method
+
+    def queue(self, id_field):
+        """Put in Queue the id_field to treat in the thread.
+
+        This id_field is for example with Gravatar the email address.
+        """
+        if self.is_running:
+            self.__queue.put(id_field)
+            if not self.is_alive():
+                self.start()
+
+    def run(self):
+        """Worker core code. """
+        while self.is_running:
+            try:
+                id_field = self.__queue.get_nowait()
+                # Call provider method to get fields to pass in the request
+                url = self.__provider_method(id_field)
+                # Execute the request
+                try:
+                    response = urllib2.urlopen(url)
+                except urllib2.URLError, e:
+                    if self.__error_method is not None:
+                        self.__error_method(e)
+                else:
+                    # Fire the callback method
+                    if not self.__callback_method is None:
+                        self.__callback_method(response, id_field)
+                self.__queue.task_done()
+            except Queue.Empty:
+                # There is no more work to do.
+                pass
+
+
+class AvatarProviderGravatar(AvatarProvider):
+    """Gravatar provider."""
+
+    def get_base_url(self):
+        return "http://www.gravatar.com/avatar.php?"
+
+    def gravatar_id_for_email(self, email):
+        """Return a gravatar URL for an email address.."""
+        return self.get_base_url() + \
+                urllib.urlencode({
+                    'gravatar_id': hashlib.md5(email.lower()).hexdigest(),
+                    'size': str(self.size)
+                })

=== added file 'avatarsbox.py'
--- avatarsbox.py	1970-01-01 00:00:00 +0000
+++ avatarsbox.py	2011-09-05 03:44:26 +0000
@@ -0,0 +1,248 @@
+# Copyright (C) 2011 by Guillaume Hain (zedtux) <zedtux@zedroot.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+from gi.repository import Gtk
+from gi.repository import GdkPixbuf
+
+from bzrlib.config import parse_username
+
+from bzrlib.plugins.gtk.i18n import _i18n
+from bzrlib.plugins.gtk.avatarproviders import (
+    AvatarProviderGravatar,
+    AvatarDownloaderWorker,
+    )
+
+
+class Avatar(Gtk.HBox):
+    """ Author or committer avatar """
+
+    def __init__(self, apparent_username):
+        """ Constructor """
+        super(Avatar, self).__init__()
+
+        self.apparent_username = apparent_username
+        self.username, self.email = parse_username(apparent_username)
+        self.image = None
+
+    def __eq__(self, other):
+        return (self.apparent_username == other.apparent_username and
+                self.username == other.username and
+                self.email == other.email)
+
+    def show_spinner(self):
+        """
+        Replace the current content of the Avatar with a Gtk.Spinner
+        if an email address has been parsed. If not, show an Gtk.Label with
+        the translatable 'No email' text.
+        """
+        if self.email:
+            tooltip = _i18n("Retrieving avatar for %s...") % self.email
+            spinner = Gtk.Spinner()
+            spinner.start()
+            self.pack_start(spinner, False, True, 0)
+            spinner.set_tooltip_text(tooltip)
+            spinner.set_size_request(20, 20)
+            spinner.show()
+        else:
+            no_email = Gtk.Label(label=_i18n("No email"))
+            self.pack_start(no_email, True, True, 0)
+            self.set_tooltip_text(self.apparent_username)
+            no_email.show()
+
+    def show_image(self):
+        """Replace the current content of the Avatar with the Gtk.Image """
+        if self.email and self.image:
+            children = self.get_children()
+            if children != []:
+                self.remove(children[0])
+            self.pack_start(self.image, True, True, 0)
+            self.image.set_tooltip_text(self.apparent_username)
+            self.image.show()
+
+
+class AvatarBox(Gtk.HBox):
+    """HBox showing an avatar."""
+
+    def __init__(self, homogeneous=False, spacing=0):
+        super(AvatarBox, self).__init__(
+            homogeneous=homogeneous, spacing=spacing)
+        self.__avatars = {}
+        self.avatar = None
+        self.__displaying = None
+
+    def reset_view(self):
+        """Remove current avatars from the gtk box."""
+        for child in self.get_children():
+            self.remove(child)
+        self.__displaying = None
+
+    def have_avatar(self, avatar):
+        """Return True if this box has the specified avatar.
+        """
+        return avatar.email in self.__avatars
+
+    def showing(self, avatar):
+        """Return True if the displaying avatar matches the specified one.
+        """
+        return self.__displaying and self.__displaying == avatar
+
+    def append_avatars_with(self, avatar):
+        """
+        Append avatars collection with the given one if not already registed
+        otherwise render it back.
+        When an avatar is added this method True, otherwise, if the avatar
+        was in the collection, return False.
+        """
+        if avatar.email and not avatar.email in self.__avatars:
+            self.__avatars[avatar.email] = avatar
+            self._new_cell_for_avatar(avatar)
+            return True
+        else:
+            self.and_avatar_email(avatar.email).come_back_to_gui()
+        return False
+
+    def and_avatar_email(self, email):
+        """
+        Select the avatar from avatars collection
+        in order to apply future actions
+        """
+        self.avatar = None
+        if email and email in self.__avatars:
+            self.avatar = self.__avatars[email]
+        else:
+            self.avatar = None
+        return self
+
+    def update_avatar_image_from_pixbuf_loader(self, loader):
+        """Replace the Gtk.Spinner with the given loader."""
+        if self.avatar:
+            self.avatar.image = Gtk.Image()
+            self.avatar.image.set_from_pixbuf(loader.get_pixbuf())
+            self.avatar.show_image()
+            self.__displaying = self.avatar
+
+    def come_back_to_gui(self):
+        """Render back avatar in the GUI."""
+        if self.avatar:
+            self.pack_start(self.avatar, True, True, 0)
+            self.__displaying = self.avatar
+        else:
+            self._show_no_email()
+
+    def _new_cell_for_avatar(self, avatar):
+        """Create a new cell in this box with a Gtk.Spinner."""
+        avatar.show_spinner()
+        self.pack_start(avatar, True, True, 0)
+        avatar.show()
+        self.__displaying = avatar
+
+    def _show_no_email(self):
+        """Show a Gtk.Label with text 'No email'."""
+        no_email = Gtk.Label(label=_i18n("No email"))
+        self.pack_start(no_email, True, True, 0)
+        no_email.show()
+
+
+class AvatarsBox(Gtk.HBox):
+    """GTK container for author and committer avatars."""
+
+    def __init__(self):
+        super(AvatarsBox, self).__init__(homogeneous=False, spacing=10)
+        self.__committer_box = None
+        self.__authors_box = None
+        self._init_gui()
+
+        # If more later you want to implement more avatar providers:
+        # * Create a new class named AvatarProvider + provider_name that
+        #   inherit from the AvatarProvider class.
+        # * Implement a method that return url to use in the request.
+
+        # For example, with Gravatar, the method return the complete url
+        # with MD5 hash of the email address and put the value in a
+        # gravatar_id field.
+        # Then create a new worker (manage them in a python dictionary).
+        provider = AvatarProviderGravatar()
+        self.__worker = AvatarDownloaderWorker(
+            provider.gravatar_id_for_email
+        )
+        # This callback method should be fired by all workers when a request
+        # is done.
+        self.__worker.set_callback_method(self._update_avatar_from_response)
+        self.connect('destroy', self.on_destroy)
+
+    def on_destroy(self, widget):
+        self.__worker.stop()
+        if self.__worker.is_alive():
+            self.__worker.join()
+
+    def add(self, username, role):
+        """Add the given username in the role box and add in the worker queue.
+        """
+        avatar = Avatar(username)
+        is_shown = self._role_box_for("committer").showing(avatar)
+        if (role == "author" and not is_shown) or role == "committer":
+            if self._role_box_for(role).append_avatars_with(avatar):
+                self.__worker.queue(avatar.email)
+
+    def merge(self, usernames, role):
+        """Add avatars from a list"""
+        for username in usernames:
+            self.add(username, role)
+
+    def reset(self):
+        """
+        Request a reset view for all boxes in order to show only avatars
+        of the selected line in the revision view screen.
+        """
+        for role in ("committer", "author"):
+            self._role_box_for(role).reset_view()
+
+    def _init_gui(self):
+        """Create boxes where avatars will be displayed."""
+        # 2 Gtk.HBox: One for the committer and one for authors
+        # Committer
+        self.__committer_box = AvatarBox()
+        self.__committer_box.set_size_request(80, 80)
+        self.pack_end(self.__committer_box, False, True, 0)
+        self.__committer_box.show()
+        # Authors
+        self.__authors_box = AvatarBox()
+        self.pack_end(self.__authors_box, False, True, 0)
+        self.__authors_box.set_spacing(10)
+        self.__authors_box.show()
+
+    def _update_avatar_from_response(self, response, email):
+        """Callback method fired by avatar worker when finished.
+
+        :param response: a urllib2.urlopen() return value.
+        :param email: used to identify item from self.__avatars.
+        """
+        if email:
+            # Convert downloaded image from provider to Gtk.Image
+            loader = GdkPixbuf.PixbufLoader()
+            loader.write(response.read())
+            loader.close()
+
+            for role in ["committer", "author"]:
+                self._role_box_for(role).and_avatar_email(
+                    email).update_avatar_image_from_pixbuf_loader(loader)
+
+    def _role_box_for(self, role):
+        """ Return the Gtk.HBox for the given role """
+        if role == "committer":
+            return self.__committer_box
+        else:
+            return self.__authors_box

=== added file 'bazaar-properties.desktop'
--- bazaar-properties.desktop	1970-01-01 00:00:00 +0000
+++ bazaar-properties.desktop	2011-03-06 08:24:07 +0000
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Bazaar Preferences
+Comment=Configure Bazaar settings
+Icon=bzr-icon-64
+Exec=bzr gpreferences
+Terminal=false
+Type=Application
+Categories=Settings;
+OnlyShowIn=GNOME;

=== renamed file 'bazaar-properties.desktop' => 'bazaar-properties.desktop.in'
--- bazaar-properties.desktop	2007-07-15 15:13:34 +0000
+++ bazaar-properties.desktop.in	2010-08-21 09:32:13 +0000
@@ -1,8 +1,7 @@
 [Desktop Entry]
-Encoding=UTF-8
-Name=Bazaar Preferences
-Comment=Configure Bazaar settings
-Icon=bazaar
+_Name=Bazaar Preferences
+_Comment=Configure Bazaar settings
+Icon=bzr-icon-64
 Exec=bzr gpreferences
 Terminal=false
 Type=Application

=== modified file 'branch.py'
--- branch.py	2008-05-05 18:16:46 +0000
+++ branch.py	2011-09-05 03:44:26 +0000
@@ -16,60 +16,54 @@
 
 import os
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-
-from errors import show_bzr_error
-
+from gi.repository import Gtk
+
+from bzrlib import (
+    errors,
+    )
 from bzrlib.branch import Branch
-import bzrlib.errors as errors
-
-from bzrlib.plugins.gtk import _i18n
-
-from dialog import error_dialog, info_dialog
-
-from branchbox import BranchSelectionBox
-
-class BranchDialog(gtk.Dialog):
+from bzrlib.transport import get_transport
+
+from bzrlib.plugins.gtk.dialog import error_dialog, info_dialog
+from bzrlib.plugins.gtk.errors import show_bzr_error
+from bzrlib.plugins.gtk.i18n import _i18n
+from bzrlib.plugins.gtk.branchbox import BranchSelectionBox
+
+
+class BranchDialog(Gtk.Dialog):
     """ New implementation of the Branch dialog. """
 
     def __init__(self, path=None, parent=None, remote_path=None):
         """ Initialize the Branch dialog. """
-        gtk.Dialog.__init__(self, title="Branch - Olive",
-                                  parent=parent,
-                                  flags=0,
-                                  buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
-        
+        super(BranchDialog, self).__init__(
+            title="Branch - Olive", parent=parent, flags=0,
+            buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
+
         # Get arguments
         self.path = path
-        
+
         # Create the widgets
-        self._button_branch = gtk.Button(_i18n("_Branch"), use_underline=True)
+        self._button_branch = Gtk.Button(_i18n("_Branch"), use_underline=True)
         self._remote_branch = BranchSelectionBox()
-        self._button_revision = gtk.Button('')
-        self._label_location = gtk.Label(_i18n("Branch location:"))
+        self._button_revision = Gtk.Button('')
+        self._label_location = Gtk.Label(label=_i18n("Branch location:"))
         self._label_location.set_alignment(0, 0.5)
-        self._label_destination = gtk.Label(_i18n("Destination:"))
-        self._label_nick = gtk.Label(_i18n("Branck nick:"))
-        self._label_revision = gtk.Label(_i18n("Revision:"))
-        self._filechooser = gtk.FileChooserButton(_i18n("Please select a folder"))
-        self._filechooser.set_action(gtk.FILE_CHOOSER_ACTION_SELECT_FOLDER)
-        self._hbox_revision = gtk.HBox()
-        self._entry_revision = gtk.Entry()
-        self._entry_nick = gtk.Entry()
-        
+        self._label_destination = Gtk.Label(label=_i18n("Destination:"))
+        self._label_nick = Gtk.Label(label=_i18n("Branck nick:"))
+        self._label_revision = Gtk.Label(label=_i18n("Revision:"))
+        self._filechooser = Gtk.FileChooserButton(_i18n("Please select a folder"))
+        self._filechooser.set_action(Gtk.FileChooserAction.SELECT_FOLDER)
+        self._hbox_revision = Gtk.HBox()
+        self._entry_revision = Gtk.Entry()
+        self._entry_nick = Gtk.Entry()
+
         # Set callbacks
         self._button_branch.connect('clicked', self._on_branch_clicked)
         self._button_revision.connect('clicked', self._on_revision_clicked)
         self._remote_branch.connect('branch-changed', self._on_branch_changed)
 
         # Create the table and pack the widgets into it
-        self._table = gtk.Table(rows=3, columns=2)
+        self._table = Gtk.Table(rows=3, columns=2)
         self._table.attach(self._label_location, 0, 1, 0, 1)
         self._table.attach(self._remote_branch, 1, 2, 0, 1)
         self._table.attach(self._label_destination, 0, 1, 1, 2)
@@ -78,10 +72,10 @@
         self._table.attach(self._filechooser, 1, 2, 1, 2)
         self._table.attach(self._entry_nick, 1, 2, 2, 3)
         self._table.attach(self._hbox_revision, 1, 2, 3, 4)
-        
+
         # Set properties
-        self._image_browse = gtk.Image()
-        self._image_browse.set_from_stock(gtk.STOCK_OPEN, gtk.ICON_SIZE_BUTTON)
+        self._image_browse = Gtk.Image()
+        self._image_browse.set_from_stock(Gtk.STOCK_OPEN, Gtk.IconSize.BUTTON)
         self._button_revision.set_image(self._image_browse)
         self._button_revision.set_sensitive(False)
         self._label_destination.set_alignment(0, 0.5)
@@ -89,21 +83,21 @@
         self._label_revision.set_alignment(0, 0.5)
         self._table.set_row_spacings(3)
         self._table.set_col_spacings(3)
-        self.vbox.set_spacing(3)
+        self.get_content_area().set_spacing(3)
         if remote_path is not None:
             self._remote_branch.set_url(remote_path)
         if self.path is not None:
             self._filechooser.set_filename(self.path)
-        
+
         # Pack some widgets
-        self._hbox_revision.pack_start(self._entry_revision, True, True)
-        self._hbox_revision.pack_start(self._button_revision, False, False)
-        self.vbox.add(self._table)
-        self.action_area.pack_end(self._button_branch)
-        
+        self._hbox_revision.pack_start(self._entry_revision, True, True, 0)
+        self._hbox_revision.pack_start(self._button_revision, False, False, 0)
+        self.get_content_area().add(self._table)
+        self.action_area.pack_end(self._button_branch, False, False, 0)
+
         # Show the dialog
-        self.vbox.show_all()
-    
+        self.get_content_area().show_all()
+
     def _get_last_revno(self):
         """ Get the revno of the last revision (if any). """
         try:
@@ -111,27 +105,27 @@
             return br.revno()
         except:
             pass
-    
+
     def _on_revision_clicked(self, button):
         """ Browse for revision button clicked handler. """
         from revbrowser import RevisionBrowser
-        
-        
+
+
         try:
             br = self._remote_branch.get_branch()
         except:
             return
         revb = RevisionBrowser(br, self)
         response = revb.run()
-        if response != gtk.RESPONSE_NONE:
+        if response != Gtk.ResponseType.NONE:
             revb.hide()
-    
-            if response == gtk.RESPONSE_OK:
+
+            if response == Gtk.ResponseType.OK:
                 if revb.selected_revno is not None:
                     self._entry_revision.set_text(revb.selected_revno)
-        
+
             revb.destroy()
-    
+
     @show_bzr_error
     def _on_branch_clicked(self, button):
         """ Branch button clicked handler. """
@@ -140,32 +134,30 @@
             error_dialog(_i18n('Missing branch location'),
                          _i18n('You must specify a branch location.'))
             return
-        
+
         destination = self._filechooser.get_filename()
         try:
             revno = int(self._entry_revision.get_text())
         except:
             revno = None
-        
+
         nick = self._entry_nick.get_text()
         if nick is '':
             nick = os.path.basename(location.rstrip("/\\"))
-        
+
         br_from = Branch.open(location)
-        
+
         br_from.lock_read()
         try:
-            from bzrlib.transport import get_transport
-
             revision_id = br_from.get_rev_id(revno)
 
             basis_dir = None
-            
+
             to_location = destination + os.sep + nick
             to_transport = get_transport(to_location)
-            
+
             to_transport.mkdir('.')
-            
+
             try:
                 # preserve whatever source format we have.
                 dir = br_from.bzrdir.sprout(to_transport.base,
@@ -178,12 +170,12 @@
                 raise
         finally:
             br_from.unlock()
-                
+
         info_dialog(_i18n('Branching successful'),
                     _i18n('%d revision(s) branched.') % revs)
-        
-        self.response(gtk.RESPONSE_OK)
-    
+
+        self.response(Gtk.ResponseType.OK)
+
     def _on_branch_changed(self, widget, event):
         """ We try to get the last revision if focus lost. """
         rev = self._get_last_revno()

=== modified file 'branchbox.py'
--- branchbox.py	2008-03-14 02:13:27 +0000
+++ branchbox.py	2011-09-05 03:44:26 +0000
@@ -14,35 +14,29 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
+from gi.repository import Gtk
+from gi.repository import GObject
 
 from bzrlib.branch import Branch
 from bzrlib.config import GlobalConfig
-import gtk
-from history import UrlHistory
-from olive import Preferences
-import gobject
-
-class BranchSelectionBox(gtk.HBox):
+
+from bzrlib.plugins.gtk.history import UrlHistory
+
+
+class BranchSelectionBox(Gtk.HBox):
+
     def __init__(self, path=None):
         super(BranchSelectionBox, self).__init__()
-        self._combo = gtk.ComboBoxEntry()
-        self._combo.child.connect('focus-out-event', self._on_combo_changed)
-        
+        self._combo = Gtk.ComboBox.new_with_entry()
+        self._combo.get_child().connect(
+            'focus-out-event', self._on_combo_changed)
+
         # Build branch history
         self._history = UrlHistory(GlobalConfig(), 'branch_history')
         self._build_history()
 
         self.add(self._combo)
 
-        gobject.signal_new('branch-changed', BranchSelectionBox, 
-                           gobject.SIGNAL_RUN_LAST,
-                           gobject.TYPE_NONE, (gobject.TYPE_OBJECT,))
-
         if path is not None:
             self.set_url(path)
 
@@ -57,18 +51,19 @@
 
     def _build_history(self):
         """ Build up the branch history. """
-        self._combo_model = gtk.ListStore(str)
-        
+        self._combo_model = Gtk.ListStore(str)
+
         for item in self._history.get_entries():
             self._combo_model.append([ item ])
-        
-        pref = Preferences()
-        for item in pref.get_bookmarks():
-            self._combo_model.append([ item ])
-        
+
         self._combo.set_model(self._combo_model)
-        self._combo.set_text_column(0)
+        self._combo.set_entry_text_column(0)
 
     def _on_combo_changed(self, widget, event):
         self.emit('branch-changed', widget)
-    
+
+
+GObject.signal_new('branch-changed', BranchSelectionBox,
+                   GObject.SignalFlags.RUN_LAST,
+                   None, (GObject.TYPE_OBJECT,))
+GObject.type_register(BranchSelectionBox)

=== modified file 'branchview/__init__.py'
--- branchview/__init__.py	2008-01-13 14:12:49 +0000
+++ branchview/__init__.py	2011-02-18 13:01:03 +0000
@@ -1,2 +1,1 @@
-
 from treeview import *

=== modified file 'branchview/graphcell.py'
--- branchview/graphcell.py	2008-04-02 23:21:11 +0000
+++ branchview/graphcell.py	2011-09-07 16:01:14 +0000
@@ -10,19 +10,34 @@
 just be for the background.
 """
 
-__copyright__ = "Copyright © 2005 Canonical Ltd."
+__copyright__ = "Copyright © 2005-2011 Canonical Ltd."
 __author__    = "Scott James Remnant <scott@ubuntu.com>"
 
 
 import math
 
-import gtk
-import gobject
-import pango
-import cairo
-
-
-class CellRendererGraph(gtk.GenericCellRenderer):
+from gi.repository import Gtk
+from gi.repository import GObject
+from gi.repository import Pango
+from gi.repository import PangoCairo
+
+
+# Cairo constants are not exported yet. These are taken from documentation.
+CAIRO_LINE_CAP_BUTT = 0
+CAIRO_LINE_CAP_ROUND = 1
+CAIRO_LINE_CAP_SQUARE = 2
+
+
+CAIRO_FILL_RULE_WINDING = 0
+CAIRO_FILL_RULE_EVEN_ODD = 1
+
+
+# Macro from  Pango header.
+def PANGO_PIXELS(d):
+    return (d + 512) / 1000
+
+
+class CellRendererGraph(Gtk.CellRendererPixbuf):
     """Cell renderer for directed graph.
 
     Properties:
@@ -30,28 +45,28 @@
       in_lines          (start, end, colour) tuple list to draw inward lines,
       out_lines         (start, end, colour) tuple list to draw outward lines.
     """
-    
+
     columns_len = 0
 
     __gproperties__ = {
-        "node":         ( gobject.TYPE_PYOBJECT, "node",
+        "node":         ( GObject.TYPE_PYOBJECT, "node",
                           "revision node instruction",
-                          gobject.PARAM_WRITABLE
+                          GObject.PARAM_WRITABLE
                         ),
-        "tags":         ( gobject.TYPE_PYOBJECT, "tags",
+        "tags":         ( GObject.TYPE_PYOBJECT, "tags",
                           "list of tags associated with the node",
-                          gobject.PARAM_WRITABLE
+                          GObject.PARAM_WRITABLE
                         ),
-        "in-lines":     ( gobject.TYPE_PYOBJECT, "in-lines",
+        "in-lines":     ( GObject.TYPE_PYOBJECT, "in-lines",
                           "instructions to draw lines into the cell",
-                          gobject.PARAM_WRITABLE
+                          GObject.PARAM_WRITABLE
                         ),
-        "out-lines":    ( gobject.TYPE_PYOBJECT, "out-lines",
+        "out-lines":    ( GObject.TYPE_PYOBJECT, "out-lines",
                           "instructions to draw lines out of the cell",
-                          gobject.PARAM_WRITABLE
+                          GObject.PARAM_WRITABLE
                         ),
         }
-    
+
     def do_set_property(self, property, value):
         """Set properties from GObject properties."""
         if property.name == "node":
@@ -76,11 +91,9 @@
         except AttributeError:
             pango_ctx = widget.get_pango_context()
             font_desc = widget.get_style().font_desc
-            metrics = pango_ctx.get_metrics(font_desc)
-
-            ascent = pango.PIXELS(metrics.get_ascent())
-            descent = pango.PIXELS(metrics.get_descent())
-
+            metrics = pango_ctx.get_metrics(font_desc, None)
+            ascent = PANGO_PIXELS(metrics.get_ascent())
+            descent = PANGO_PIXELS(metrics.get_descent())
             self._box_size = ascent + descent + 6
             return self._box_size
 
@@ -113,7 +126,15 @@
 
         ctx.set_source_rgb(red, green, blue)
 
-    def on_get_size(self, widget, cell_area):
+    def do_activate(event, widget, path, bg_area, cell_area, flags):
+        """Renderers cannot be activated; always return True."""
+        return True
+
+    def do_editing_started(event, widget, path, fb_area, cell_area, flags):
+        """Renderers cannot be edited; always return None."""
+        return None
+
+    def do_get_size(self, widget, cell_area):
         """Return the size we need for this cell.
 
         Each cell is drawn individually and is only as wide as it needs
@@ -128,7 +149,7 @@
         # FIXME I have no idea how to use cell_area properly
         return (0, 0, width, height)
 
-    def on_render(self, window, widget, bg_area, cell_area, exp_area, flags):
+    def do_render(self, ctx, widget, bg_area, cell_area, flags):
         """Render an individual cell.
 
         Draws the cell contents using cairo, taking care to clip what we
@@ -142,7 +163,6 @@
         instead of a pure diagonal ... this reduces confusion by an
         incredible amount.
         """
-        ctx = window.cairo_create()
         ctx.rectangle(bg_area.x, bg_area.y, bg_area.width, bg_area.height)
         ctx.clip()
 
@@ -168,7 +188,7 @@
                 cell_area.y + cell_area.height / 2,
                 box_size / 4, 0, 2 * math.pi)
 
-        if flags & gtk.CELL_RENDERER_SELECTED:
+        if flags & Gtk.CellRendererState.SELECTED:
             ctx.set_source_rgb(1.0, 1.0, 1.0)
             ctx.set_line_width(box_size / 4)
             ctx.stroke_preserve()
@@ -181,18 +201,19 @@
         ctx.fill()
 
         self.render_tags(ctx, widget.create_pango_context(), cell_area, box_size)
-    
-    def render_line(self, ctx, cell_area, box_size, mid, height, start, end, colour, flags):
+
+    def render_line(self, ctx, cell_area, box_size,
+                    mid, height, start, end, colour, flags):
         if start is None:
-            ctx.set_line_cap(cairo.LINE_CAP_ROUND)
+            ctx.set_line_cap(CAIRO_LINE_CAP_ROUND)
             x = cell_area.x + box_size * end + box_size / 2
             ctx.move_to(x, mid + height / 3)
             ctx.line_to(x, mid + height / 3)
             ctx.move_to(x, mid + height / 6)
             ctx.line_to(x, mid + height / 6)
-            
+
         elif end is None:
-            ctx.set_line_cap(cairo.LINE_CAP_ROUND)
+            ctx.set_line_cap(CAIRO_LINE_CAP_ROUND)
             x = cell_area.x + box_size * start + box_size / 2
             ctx.move_to(x, mid - height / 3)
             ctx.line_to(x, mid - height / 3)
@@ -200,12 +221,12 @@
             ctx.line_to(x, mid - height / 6)
 
         else:
-            ctx.set_line_cap(cairo.LINE_CAP_BUTT)
+            ctx.set_line_cap(CAIRO_LINE_CAP_BUTT)
             startx = cell_area.x + box_size * start + box_size / 2
             endx = cell_area.x + box_size * end + box_size / 2
-            
+
             ctx.move_to(startx, mid - height / 2)
-            
+
             if start - end == 0 :
                 ctx.line_to(endx, mid + height / 2 + 1)
             else:
@@ -217,7 +238,7 @@
                              endx, mid + height / 5 ,
                              endx, mid + height / 2 + 1)
 
-        if flags & gtk.CELL_RENDERER_SELECTED:
+        if flags & Gtk.CellRendererState.SELECTED:
             ctx.set_source_rgb(1.0, 1.0, 1.0)
             ctx.set_line_width(box_size / 5)
             ctx.stroke_preserve()
@@ -233,17 +254,17 @@
 
         (column, colour) = self.node
 
-        font_desc = pango.FontDescription()
-        font_desc.set_size(pango.SCALE * 7)
+        font_desc = Pango.FontDescription()
+        font_desc.set_size(Pango.SCALE * 7)
 
-        tag_layout = pango.Layout(pango_ctx)
+        tag_layout = Pango.Layout(pango_ctx)
         tag_layout.set_font_description(font_desc)
 
         # The width of the tag label stack
         width = 0
 
         for tag_idx, tag in enumerate(self.tags):
-            tag_layout.set_text(" " + tag + " ")
+            tag_layout.set_text(" " + tag + " ", -1)
             text_width, text_height = tag_layout.get_pixel_size()
 
             x0 = cell_area.x + \
@@ -272,12 +293,11 @@
             self.set_colour(ctx, TAG_COLOUR_ID, 0.0, 0.5)
             ctx.stroke_preserve()
 
-            ctx.set_fill_rule (cairo.FILL_RULE_EVEN_ODD)
+            ctx.set_fill_rule (CAIRO_FILL_RULE_EVEN_ODD)
             self.set_colour(ctx, TAG_COLOUR_ID, 0.5, 1.0)
             ctx.fill()
 
             # Draw the tag text
             self.set_colour(ctx, 0, 0.0, 0.0)
             ctx.move_to(x0, y0)
-            ctx.show_layout(tag_layout)
-
+            PangoCairo.show_layout(ctx, tag_layout)

=== modified file 'branchview/linegraph.py'
--- branchview/linegraph.py	2008-06-29 18:12:29 +0000
+++ branchview/linegraph.py	2011-03-14 20:12:19 +0000
@@ -1,4 +1,3 @@
-# -*- coding: UTF-8 -*-
 """Directed graph production.
 
 This module contains the code to produce an ordered directed graph of a
@@ -6,13 +5,14 @@
 window.
 """
 
-__copyright__ = "Copyright © 2005 Canonical Ltd."
+__copyright__ = "Copyright 2005 Canonical Ltd."
 __author__    = "Scott James Remnant <scott@ubuntu.com>"
 
 from bzrlib.revision import NULL_REVISION
 from bzrlib.tsort import merge_sort
 from bzrlib import ui
 
+
 def linegraph(graph, start_revs, maxnum=None, broken_line_length=None,
               graph_data=True, mainline_only=False, root_progress=None):
     """Produce a directed graph of a bzr repository.
@@ -27,7 +27,7 @@
     * revid_index is a dict of each revision with the key being the revid, and
       the value the row index, and
     * columns_len is the number of columns need to draw the line graph.
-    
+
 
     Node is a tuple of (column, colour) with column being a zero-indexed
     column number of the graph that this revision represents and colour
@@ -47,7 +47,7 @@
     def update_root_progress(step_number):
         """IFF our container received a root progress bar, then update it."""
         if root_progress is not None:
-            root_progress.update(current_cnt=step_number)
+            root_progress.update(None, step_number)
 
     graph_parents = {}
     ghosts = set()
@@ -55,7 +55,7 @@
     update_root_progress(1)
     progress_bar = ui.ui_factory.nested_progress_bar()
     try:
-        progress_bar.update(msg="Arranging tree fragments")
+        progress_bar.update("Arranging tree fragments")
         for i, (revid, parent_revids) in enumerate(graph.iter_ancestry(start_revs)):
             if i % 25 == 0:
                 progress_bar.tick()
@@ -75,10 +75,10 @@
     update_root_progress(2)
     progress_bar = ui.ui_factory.nested_progress_bar()
     try:
-        progress_bar.update(msg="Removing ghosts", total_cnt=len(ghosts))
+        progress_bar.update("Removing ghosts", 0, len(ghosts))
         for i, ghost in enumerate(ghosts):
             if i % 25 == 0:
-                progress_bar.update(None, current_cnt=i)
+                progress_bar.update(None, i)
             for ghost_child in graph_children[ghost]:
                 graph_parents[ghost_child] = [p for p in graph_parents[ghost_child]
                                               if p not in ghosts]
@@ -93,17 +93,17 @@
             generate_revno=True)
     else:
         merge_sorted_revisions = ()
-    
+
     if mainline_only:
         merge_sorted_revisions = [elem for elem in merge_sorted_revisions \
                                   if len(elem[3])==1 ]
 
     assert merge_sorted_revisions[0][1] == "top:"
     merge_sorted_revisions = merge_sorted_revisions[1:]
-    
+
     revid_index = {}
     revno_index = {}
-    
+
     # This will hold an item for each "branch". For a revisions, the revsion
     # number less the least significant digit is the branch_id, and used as the
     # key for the dict. Hence revision with the same revsion number less the
@@ -112,13 +112,13 @@
     # and these two revisions will be in the same branch line. Each value is
     # a list of rev_indexes in the branch.
     branch_lines = {}
-    
-    linegraph = []    
-    
+
+    linegraph = []
+
     update_root_progress(3)
     progress_bar = ui.ui_factory.nested_progress_bar()
     try:
-        progress_bar.update(msg="Finding nodes", total_cnt=len(merge_sorted_revisions))
+        progress_bar.update("Finding nodes", 0, len(merge_sorted_revisions))
         for (rev_index, (sequence_number,
                          revid,
                          merge_depth,
@@ -126,11 +126,11 @@
                          end_of_merge)) in enumerate(merge_sorted_revisions):
 
             if rev_index % 25 == 0:
-                progress_bar.update(None, current_cnt=rev_index)
+                progress_bar.update(None, rev_index)
             if maxnum and rev_index >= maxnum:
                 break
             revid_index[revid] = rev_index
-            
+
             parents = graph_parents[revid]
             linegraph.append([revid,
                               None,
@@ -138,26 +138,26 @@
                               parents,
                               None,
                               revno_sequence])
-            
+
             if graph_data:
                 revno_index[revno_sequence] = rev_index
-                
+
                 branch_id = revno_sequence[0:-1]
-                
+
                 branch_line = None
                 if branch_id not in branch_lines:
                     branch_line = []
                     branch_lines[branch_id] = branch_line
                 else:
                     branch_line = branch_lines[branch_id]
-                
-                branch_line.append(rev_index)        
+
+                branch_line.append(rev_index)
     finally:
         progress_bar.finished()
 
     if graph_data:
         branch_ids = branch_lines.keys()
-    
+
         def branch_id_cmp(x, y):
             """Compaire branch_id's first by the number of digits, then reversed
             by their value"""
@@ -166,7 +166,7 @@
             if len_x == len_y:
                 return -cmp(x, y)
             return cmp(len_x, len_y)
-        
+
         branch_ids.sort(branch_id_cmp)
         # This will hold a tuple of (child_index, parent_index, col_index) for each
         # line that needs to be drawn. If col_index is not none, then the line is
@@ -179,17 +179,17 @@
         # cell allready contains a node or line. This use when deciding what column
         # to place a branch line or line in, without it overlaping something else.
         columns = [list(empty_column)]
-        
-        
+
+
         update_root_progress(4)
         progress_bar = ui.ui_factory.nested_progress_bar()
         try:
-            progress_bar.update(msg="Organizing edges", total_cnt=len(branch_ids))
+            progress_bar.update("Organizing edges", 0, len(branch_ids))
             for i, branch_id in enumerate(branch_ids):
                 if i % 25 == 0:
-                    progress_bar.update(None, current_cnt=i)
+                    progress_bar.update(None, i)
                 branch_line = branch_lines[branch_id]
-                
+
                 # Find the col_index for the direct parent branch. This will be the
                 # starting point when looking for a free column.
                 parent_col_index = 0
@@ -201,13 +201,13 @@
                         parent_node = linegraph[parent_index][1]
                         if parent_node:
                             parent_col_index = parent_node[0]
-                        
-                
+
+
                 col_search_order = _branch_line_col_search_order(columns,
                                                                  parent_col_index)
                 color = reduce(lambda x, y: x+y, branch_id, 0)
                 cur_cont_line = []
-                
+
                 line_range = []
                 last_rev_index = None
                 for rev_index in branch_line:
@@ -218,17 +218,17 @@
                             line_range.append(rev_index-1)
                         else:
                             line_range.extend(range(last_rev_index+1, rev_index))
-                    
+
                     line_range.append(rev_index)
                     last_rev_index = rev_index
-                
+
                 if parent_index:
                     if broken_line_length and \
                        parent_index - last_rev_index > broken_line_length:
                         line_range.append(last_rev_index+1)
                     else:
                         line_range.extend(range(last_rev_index+1, parent_index))
-                
+
                 col_index = _find_free_column(columns,
                                               empty_column,
                                               col_search_order,
@@ -237,21 +237,21 @@
                 for rev_index in branch_line:
                     linegraph[rev_index][1] = node
                     columns[col_index][rev_index] = True
-                
+
                 for rev_index in branch_line:
                     (sequence_number,
                          revid,
                          merge_depth,
                          revno_sequence,
                          end_of_merge) = merge_sorted_revisions[rev_index]
-                    
+
                     linegraph[rev_index][4] = graph_children[revid]
                     col_index = linegraph[rev_index][1][0]
-                    
+
                     for parent_revid in graph_parents[revid]:
                         if parent_revid in revid_index:
-                            
-                            parent_index = revid_index[parent_revid]                            
+
+                            parent_index = revid_index[parent_revid]
                             parent_node = linegraph[parent_index][1]
                             if parent_node:
                                 parent_col_index = parent_node[0]
@@ -261,7 +261,7 @@
                                     _line_col_search_order(columns,
                                                            parent_col_index,
                                                            col_index)
-                                
+
                             # If this line is really long, break it.
                             if len(branch_id) > 0 and \
                                broken_line_length and \
@@ -274,7 +274,7 @@
                                 _mark_column_as_used(columns,
                                                      child_line_col_index,
                                                      (rev_index + 1,))
-                                
+
                                 # Recall _line_col_search_order to reset it back to
                                 # the beging.
                                 col_search_order = \
@@ -310,17 +310,17 @@
                                               (line_col_index,)))
         finally:
             progress_bar.finished()
-        
+
         update_root_progress(5)
         progress_bar = ui.ui_factory.nested_progress_bar()
         try:
-            progress_bar.update(msg="Pretifying graph", total_cnt=len(lines))
+            progress_bar.update("Prettifying graph", 0, len(lines))
             for i, (child_index, parent_index, line_col_indexes) in enumerate(lines):
                 if i % 25 == 0:
-                    progress_bar.update(None, current_cnt=i)
+                    progress_bar.update(None, i)
                 (child_col_index, child_color) = linegraph[child_index][1]
                 (parent_col_index, parent_color) = linegraph[parent_index][1]
-                
+
                 if len(line_col_indexes) == 1:
                     if parent_index - child_index == 1:
                         linegraph[child_index][2].append(
@@ -336,7 +336,7 @@
                         # lines down the line's column
                         for line_part_index in range(child_index+1, parent_index-1):
                             linegraph[line_part_index][2].append(
-                                (line_col_indexes[0],   
+                                (line_col_indexes[0], 
                                  line_col_indexes[0],
                                  parent_color))
                         # line from the line's column to the parent's column
@@ -356,7 +356,7 @@
                         (line_col_indexes[0],
                          None,
                          parent_color))
-                    
+
                     # Broken line end 
                     linegraph[parent_index-2][2].append(
                         (None,
@@ -372,7 +372,7 @@
         return (linegraph, revid_index, len(columns))
     else:
         return (linegraph, revid_index, 0)
-    
+
 
 def _branch_line_col_search_order(columns, parent_col_index):
     for col_index in range(parent_col_index, len(columns)):
@@ -418,7 +418,7 @@
 def _mark_column_as_used(columns, col_index, line_range):
     column = columns[col_index]
     for row_index in line_range:
-        column[row_index] = True    
+        column[row_index] = True
 
 def same_branch(a, b):
     """Return whether we think revisions a and b are on the same branch."""

=== modified file 'branchview/treemodel.py'
--- branchview/treemodel.py	2008-04-24 15:26:14 +0000
+++ branchview/treemodel.py	2011-09-04 20:04:03 +0000
@@ -1,20 +1,22 @@
 # -*- coding: UTF-8 -*-
-"""Tree model.
-
-"""
+"""BranchTreeModel."""
 
 __copyright__ = "Copyright  2005 Canonical Ltd."
-__author__    = "Gary van der Merwe <garyvdm@gmail.com>"
-
-
-import gtk
-import gobject
-import pango
-import re
+__author__ = "Gary van der Merwe <garyvdm@gmail.com>"
+
+
+from gi.repository import Gtk
+from gi.repository import GObject
 from xml.sax.saxutils import escape
+
+from bzrlib.config import parse_username
 from bzrlib.revision import NULL_REVISION
 
-from time import (strftime, localtime)
+from time import (
+    strftime,
+    localtime,
+    )
+
 
 REVID = 0
 NODE = 1
@@ -29,21 +31,36 @@
 PARENTS = 10
 CHILDREN = 11
 TAGS = 12
-
-class TreeModel(gtk.GenericTreeModel):
-
-    
-    def __init__ (self, branch, line_graph_data):
-        gtk.GenericTreeModel.__init__(self)
+AUTHORS = 13
+
+
+class BranchTreeModel(Gtk.ListStore):
+    """A model of branch's merge history."""
+
+    def __init__(self, branch, line_graph_data):
+        super(BranchTreeModel, self).__init__(
+            GObject.TYPE_STRING,
+            GObject.TYPE_PYOBJECT,
+            GObject.TYPE_PYOBJECT,
+            GObject.TYPE_PYOBJECT,
+            GObject.TYPE_STRING,
+            GObject.TYPE_STRING,
+            GObject.TYPE_STRING,
+            GObject.TYPE_STRING,
+            GObject.TYPE_STRING,
+            GObject.TYPE_PYOBJECT,
+            GObject.TYPE_PYOBJECT,
+            GObject.TYPE_PYOBJECT,
+            GObject.TYPE_PYOBJECT,
+            GObject.TYPE_STRING)
         self.revisions = {}
-	self.branch = branch
+        self.branch = branch
         self.repository = branch.repository
-        self.line_graph_data = line_graph_data
-
-    	if self.branch.supports_tags():
+        if self.branch.supports_tags():
             self.tags = self.branch.tags.get_reverse_tag_dict()
         else:
             self.tags = {}
+        self.set_line_graph_data(line_graph_data)
 
     def add_tag(self, tag, revid):
         self.branch.tags.set_tag(tag, revid)
@@ -52,90 +69,39 @@
         except KeyError:
             self.tags[revid] = [tag]
 
-    def on_get_flags(self):
-        return gtk.TREE_MODEL_LIST_ONLY
-    
-    def on_get_n_columns(self):
-        return 13
-    
-    def on_get_column_type(self, index):
-        if index == REVID: return gobject.TYPE_STRING
-        if index == NODE: return gobject.TYPE_PYOBJECT
-        if index == LINES: return gobject.TYPE_PYOBJECT
-        if index == LAST_LINES: return gobject.TYPE_PYOBJECT
-        if index == REVNO: return gobject.TYPE_STRING
-        if index == SUMMARY: return gobject.TYPE_STRING
-        if index == MESSAGE: return gobject.TYPE_STRING
-        if index == COMMITTER: return gobject.TYPE_STRING
-        if index == TIMESTAMP: return gobject.TYPE_STRING
-        if index == REVISION: return gobject.TYPE_PYOBJECT
-        if index == PARENTS: return gobject.TYPE_PYOBJECT
-        if index == CHILDREN: return gobject.TYPE_PYOBJECT
-        if index == TAGS: return gobject.TYPE_PYOBJECT
-        
-    def on_get_iter(self, path):
-        return path[0]
-    
-    def on_get_path(self, rowref):
-        return rowref
-    
-    def on_get_value(self, rowref, column):
-        if len(self.line_graph_data) > 0:
-            (revid, node, lines, parents,
-             children, revno_sequence) = self.line_graph_data[rowref]
+    def _line_graph_item_to_model_row(self, rowref, data):
+        revid, node, lines, parents, children, revno_sequence = data
+        if rowref > 0:
+            last_lines = self.line_graph_data[rowref - 1][2]
         else:
-            (revid, node, lines, parents,
-             children, revno_sequence) = (None, (0, 0), (), (),
-                                          (), ())
-        if column == REVID: return revid
-        if column == NODE: return node
-        if column == LINES: return lines
-        if column == PARENTS: return parents
-        if column == CHILDREN: return children
-        if column == LAST_LINES:
-            if rowref>0:
-                return self.line_graph_data[rowref-1][2]
-            return []
-        if column == REVNO: return ".".join(["%d" % (revno)
-                                      for revno in revno_sequence])
-
-        if column == TAGS: return self.tags.get(revid, [])
-
+            last_lines = []
+        revno = ".".join(["%d" % (revno) for revno in revno_sequence])
+        tags = self.tags.get(revid, [])
         if not revid or revid == NULL_REVISION:
-            return None
-        if revid not in self.revisions:
+            revision = None
+        elif revid not in self.revisions:
             revision = self.repository.get_revisions([revid])[0]
             self.revisions[revid] = revision
         else:
             revision = self.revisions[revid]
-        
-        if column == REVISION: return revision
-        if column == SUMMARY: return escape(revision.get_summary())
-        if column == MESSAGE: return escape(revision.message)
-        if column == COMMITTER: return re.sub('<.*@.*>', '', 
-                                             revision.committer).strip(' ')
-        if column == TIMESTAMP: 
-            return strftime("%Y-%m-%d %H:%M", localtime(revision.timestamp))
+        if revision is None:
+            summary = message = committer = timestamp = authors = None
+        else:
+            summary = escape(revision.get_summary())
+            message = escape(revision.message)
+            committer = parse_username(revision.committer)[0]
+            timestamp = strftime(
+                "%Y-%m-%d %H:%M", localtime(revision.timestamp))
+            authors = ", ".join([
+                parse_username(author)[0]
+                for author in revision.get_apparent_authors()])
+        return (revid, node, lines, last_lines, revno, summary, message,
+                committer, timestamp, revision, parents, children, tags,
+                authors)
 
-    def on_iter_next(self, rowref):
-        if rowref < len(self.line_graph_data) - 1:
-            return rowref+1
-        return None
-    
-    def on_iter_children(self, parent):
-        if parent is None: return 0
-        return None
-    
-    def on_iter_has_child(self, rowref):
-        return False
-    
-    def on_iter_n_children(self, rowref):
-        if rowref is None: return len(self.line_graph_data)
-        return 0
-    
-    def on_iter_nth_child(self, parent, n):
-        if parent is None: return n
-        return None
-    
-    def on_iter_parent(self, child):
-        return None
+    def set_line_graph_data(self, line_graph_data):
+        self.clear()
+        self.line_graph_data = line_graph_data
+        for rowref, data in enumerate(self.line_graph_data):
+            row = self._line_graph_item_to_model_row(rowref, data)
+            self.append(row)

=== modified file 'branchview/treeview.py'
--- branchview/treeview.py	2008-06-29 18:12:29 +0000
+++ branchview/treeview.py	2011-10-30 08:33:37 +0000
@@ -6,94 +6,93 @@
 __copyright__ = "Copyright © 2005 Canonical Ltd."
 __author__    = "Daniel Schierbeck <daniel.schierbeck@gmail.com>"
 
-import sys
-import string
-import gtk
-import gobject
-import pango
-import re
-import treemodel
+from gi.repository import Gtk
+from gi.repository import GObject
+from gi.repository import Pango
+
 from bzrlib import ui
-
-from bzrlib.plugins.gtk import _i18n
-from bzrlib.plugins.gtk.ui import GtkProgressBar, ProgressPanel
-from linegraph import linegraph, same_branch
-from graphcell import CellRendererGraph
-from treemodel import TreeModel
 from bzrlib.revision import NULL_REVISION
 
-
-class TreeView(gtk.VBox):
+from bzrlib.plugins.gtk import lock
+from bzrlib.plugins.gtk.ui import ProgressPanel
+from bzrlib.plugins.gtk.branchview import treemodel
+from bzrlib.plugins.gtk.branchview.linegraph import linegraph, same_branch
+from bzrlib.plugins.gtk.branchview.graphcell import CellRendererGraph
+
+
+class TreeView(Gtk.VBox):
 
     __gproperties__ = {
-        'branch': (gobject.TYPE_PYOBJECT,
+        'branch': (GObject.TYPE_PYOBJECT,
                    'Branch',
                    'The Bazaar branch being visualized',
-                   gobject.PARAM_CONSTRUCT_ONLY | gobject.PARAM_WRITABLE),
+                   GObject.PARAM_CONSTRUCT_ONLY | GObject.PARAM_WRITABLE),
 
-        'revision': (gobject.TYPE_PYOBJECT,
+        'revision': (GObject.TYPE_PYOBJECT,
                      'Revision',
                      'The currently selected revision',
-                     gobject.PARAM_READWRITE),
+                     GObject.PARAM_READWRITE),
 
-        'revision-number': (gobject.TYPE_STRING,
+        'revision-number': (GObject.TYPE_STRING,
                             'Revision number',
                             'The number of the selected revision',
                             '',
-                            gobject.PARAM_READABLE),
+                            GObject.PARAM_READABLE),
 
-        'children': (gobject.TYPE_PYOBJECT,
+        'children': (GObject.TYPE_PYOBJECT,
                      'Child revisions',
                      'Children of the currently selected revision',
-                     gobject.PARAM_READABLE),
+                     GObject.PARAM_READABLE),
 
-        'parents': (gobject.TYPE_PYOBJECT,
+        'parents': (GObject.TYPE_PYOBJECT,
                     'Parent revisions',
                     'Parents to the currently selected revision',
-                    gobject.PARAM_READABLE),
+                    GObject.PARAM_READABLE),
 
-        'revno-column-visible': (gobject.TYPE_BOOLEAN,
+        'revno-column-visible': (GObject.TYPE_BOOLEAN,
                                  'Revision number column',
                                  'Show revision number column',
                                  True,
-                                 gobject.PARAM_READWRITE),
+                                 GObject.PARAM_READWRITE),
 
-        'graph-column-visible': (gobject.TYPE_BOOLEAN,
+        'graph-column-visible': (GObject.TYPE_BOOLEAN,
                                  'Graph column',
                                  'Show graph column',
                                  True,
-                                 gobject.PARAM_READWRITE),
+                                 GObject.PARAM_READWRITE),
 
-        'date-column-visible': (gobject.TYPE_BOOLEAN,
+        'date-column-visible': (GObject.TYPE_BOOLEAN,
                                  'Date',
                                  'Show date column',
                                  False,
-                                 gobject.PARAM_READWRITE),
+                                 GObject.PARAM_READWRITE),
 
-        'compact': (gobject.TYPE_BOOLEAN,
+        'compact': (GObject.TYPE_BOOLEAN,
                     'Compact view',
                     'Break ancestry lines to save space',
                     True,
-                    gobject.PARAM_CONSTRUCT | gobject.PARAM_READWRITE),
+                    GObject.PARAM_CONSTRUCT | GObject.PARAM_READWRITE),
 
-        'mainline-only': (gobject.TYPE_BOOLEAN,
+        'mainline-only': (GObject.TYPE_BOOLEAN,
                     'Mainline only',
                     'Only show the mainline history.',
                     False,
-                    gobject.PARAM_CONSTRUCT | gobject.PARAM_READWRITE),
+                    GObject.PARAM_CONSTRUCT | GObject.PARAM_READWRITE),
 
     }
 
     __gsignals__ = {
-        'revision-selected': (gobject.SIGNAL_RUN_FIRST,
-                              gobject.TYPE_NONE,
+        'revision-selected': (GObject.SignalFlags.RUN_FIRST,
+                              None,
                               ()),
-        'revision-activated': (gobject.SIGNAL_RUN_FIRST,
-                              gobject.TYPE_NONE,
-                              (gobject.TYPE_PYOBJECT, gobject.TYPE_PYOBJECT)),
-        'tag-added': (gobject.SIGNAL_RUN_FIRST,
-                              gobject.TYPE_NONE,
-                              (gobject.TYPE_STRING, gobject.TYPE_STRING))
+        'revision-activated': (GObject.SignalFlags.RUN_FIRST,
+                              None,
+                              (GObject.TYPE_PYOBJECT, GObject.TYPE_PYOBJECT)),
+        'tag-added': (GObject.SignalFlags.RUN_FIRST,
+                              None,
+                              (GObject.TYPE_STRING, GObject.TYPE_STRING)),
+        'refreshed': (GObject.SignalFlags.RUN_FIRST, None,
+                              ())
     }
 
     def __init__(self, branch, start, maxnum, compact=True):
@@ -106,32 +105,42 @@
         :param broken_line_length: After how much lines to break 
                                    branches.
         """
-        gtk.VBox.__init__(self, spacing=0)
-
-        loading_msg_widget = ProgressPanel()
-        ui.ui_factory.set_nested_progress_bar_widget(loading_msg_widget.get_progress_bar)
-        self.pack_start(loading_msg_widget, expand=False, fill=True)
-
-        self.scrolled_window = gtk.ScrolledWindow()
-        self.scrolled_window.set_policy(gtk.POLICY_AUTOMATIC,
-                                        gtk.POLICY_AUTOMATIC)
-        self.scrolled_window.set_shadow_type(gtk.SHADOW_IN)
+        super(TreeView, self).__init__(homogeneous=False, spacing=0)
+
+        self.progress_widget = ProgressPanel()
+        self.pack_start(self.progress_widget, False, True, 0)
+        if getattr(ui.ui_factory, "set_progress_bar_widget", None) is not None:
+            # We'are using our own ui, let's tell it to use our widget.
+            ui.ui_factory.set_progress_bar_widget(self.progress_widget)
+
+        self.scrolled_window = Gtk.ScrolledWindow()
+        self.scrolled_window.set_policy(Gtk.PolicyType.AUTOMATIC,
+                                        Gtk.PolicyType.AUTOMATIC)
+        self.scrolled_window.set_shadow_type(Gtk.ShadowType.IN)
         self.scrolled_window.show()
-        self.pack_start(self.scrolled_window, expand=True, fill=True)
+        self.pack_start(self.scrolled_window, True, True, 0)
 
         self.scrolled_window.add(self.construct_treeview())
 
-        self.iter = None
+        self.path = None
         self.branch = branch
         self.revision = None
+        self.index = {}
 
         self.start = start
         self.maxnum = maxnum
         self.compact = compact
 
-        gobject.idle_add(self.populate)
-
-        self.connect("destroy", lambda x: self.branch.unlock())
+        self.model = treemodel.BranchTreeModel(self.branch, [])
+        GObject.idle_add(self.populate)
+
+        self.connect("destroy", self._on_destroy)
+
+    def _on_destroy(self, *ignored):
+        self.branch.unlock()
+        if getattr(ui.ui_factory, "set_progress_bar_widget", None) is not None:
+            # We'are using our own ui, let's tell it to stop using our widget.
+            ui.ui_factory.set_progress_bar_widget(None)
 
     def do_get_property(self, property):
         if property.name == 'revno-column-visible':
@@ -147,13 +156,25 @@
         elif property.name == 'branch':
             return self.branch
         elif property.name == 'revision':
-            return self.model.get_value(self.iter, treemodel.REVISION)
+            if self.path is None:
+                return None
+            return self.model.get_value(self.model.get_iter(self.path),
+                                        treemodel.REVISION)
         elif property.name == 'revision-number':
-            return self.model.get_value(self.iter, treemodel.REVNO)
+            if self.path is None:
+                return None
+            return self.model.get_value(self.model.get_iter(self.path),
+                                        treemodel.REVNO)
         elif property.name == 'children':
-            return self.model.get_value(self.iter, treemodel.CHILDREN)
+            if self.path is None:
+                return None
+            return self.model.get_value(self.model.get_iter(self.path),
+                                        treemodel.CHILDREN)
         elif property.name == 'parents':
-            return self.model.get_value(self.iter, treemodel.PARENTS)
+            if self.path is None:
+                return None
+            return self.model.get_value(self.model.get_iter(self.path),
+                                        treemodel.PARENTS)
         else:
             raise AttributeError, 'unknown property %s' % property.name
 
@@ -179,6 +200,9 @@
         """Return revision id of currently selected revision, or None."""
         return self.get_property('revision')
 
+    def has_revision_id(self, revision_id):
+        return (revision_id in self.index)
+
     def set_revision(self, revision):
         self.set_property('revision', revision)
 
@@ -187,7 +211,8 @@
 
         :param revid: Revision id of revision to display.
         """
-        self.treeview.set_cursor(self.index[revid])
+        self.treeview.set_cursor(
+            Gtk.TreePath(path=self.index[revid]), None, False)
         self.treeview.grab_focus()
 
     def get_children(self):
@@ -207,22 +232,19 @@
     def add_tag(self, tag, revid=None):
         if revid is None: revid = self.revision.revision_id
 
-        try:
-            self.branch.unlock()
-
+        if lock.release(self.branch):
             try:
-                self.branch.lock_write()
+                lock.acquire(self.branch, lock.WRITE)
                 self.model.add_tag(tag, revid)
             finally:
-                self.branch.unlock()
-
-        finally:
-            self.branch.lock_read()
-
-        self.emit('tag-added', tag, revid)
-        
+                lock.release(self.branch)
+
+            lock.acquire(self.branch, lock.READ)
+
+            self.emit('tag-added', tag, revid)
+
     def refresh(self):
-        gobject.idle_add(self.populate, self.get_revision())
+        GObject.idle_add(self.populate, self.get_revision())
 
     def update(self):
         try:
@@ -238,7 +260,7 @@
     def back(self):
         """Signal handler for the Back button."""
         parents = self.get_parents()
-        if not len(parents):
+        if not parents:
             return
 
         for parent_id in parents:
@@ -253,7 +275,7 @@
     def forward(self):
         """Signal handler for the Forward button."""
         children = self.get_children()
-        if not len(children):
+        if not children:
             return
 
         for child_id in children:
@@ -275,56 +297,74 @@
                        should be broken.
         """
 
+        if getattr(ui.ui_factory, "set_progress_bar_widget", None) is not None:
+            # We'are using our own ui, let's tell it to use our widget.
+            ui.ui_factory.set_progress_bar_widget(self.progress_widget)
         self.progress_bar = ui.ui_factory.nested_progress_bar()
-        self.progress_bar.update(msg="Loading ancestry graph", total_cnt=5)
+        self.progress_bar.update("Loading ancestry graph", 0, 5)
 
         try:
             if self.compact:
                 broken_line_length = 32
             else:
                 broken_line_length = None
-            
+
             show_graph = self.graph_column.get_visible()
 
             self.branch.lock_read()
-            (linegraphdata, index, columns_len) = linegraph(self.branch.repository.get_graph(),
-                                                            self.start,
-                                                            self.maxnum, 
-                                                            broken_line_length,
-                                                            show_graph,
-                                                            self.mainline_only,
-                                                            self.progress_bar)
+            (linegraphdata, index, columns_len) = linegraph(
+                self.branch.repository.get_graph(),
+                self.start,
+                self.maxnum, 
+                broken_line_length,
+                show_graph,
+                self.mainline_only,
+                self.progress_bar)
 
-            self.model = TreeModel(self.branch, linegraphdata)
+            self.model.set_line_graph_data(linegraphdata)
             self.graph_cell.columns_len = columns_len
-            width = self.graph_cell.get_size(self.treeview)[2]
+            width = self.graph_cell.get_preferred_width(self.treeview)[1]
             if width > 500:
                 width = 500
+            elif width == 0:
+                # The get_preferred_width() call got an insane value.
+                width = 200
             self.graph_column.set_fixed_width(width)
             self.graph_column.set_max_width(width)
             self.index = index
             self.treeview.set_model(self.model)
 
             if not revision or revision == NULL_REVISION:
-                self.treeview.set_cursor(0)
+                self.treeview.set_cursor(Gtk.TreePath(path=0), None, False)
             else:
                 self.set_revision(revision)
 
+            self.emit('refreshed')
             return False
         finally:
             self.progress_bar.finished()
 
     def construct_treeview(self):
-        self.treeview = gtk.TreeView()
+        self.treeview = Gtk.TreeView()
 
         self.treeview.set_rules_hint(True)
-        self.treeview.set_search_column(treemodel.REVNO)
-        
-        # Fix old PyGTK bug - by JAM
-        set_tooltip = getattr(self.treeview, 'set_tooltip_column', None)
-        if set_tooltip is not None:
-            set_tooltip(treemodel.MESSAGE)
-
+        # combined revno/summary interactive search
+        #
+        # the row in a treemodel is considered "matched" if a REVNO *starts*
+        # from the key (that is the key is found in a REVNO at the offset 0)
+        # or if a MESSAGE *contains* the key anywhere (that is, the key is
+        # found case insensitively in a MESSAGE at any offset)
+        def search_equal_func(model, column, key, iter):
+            return (model.get_value(iter, treemodel.REVNO).find(key) != 0
+                and model.get_value(iter, treemodel.MESSAGE).lower().find(key.lower()) == -1)
+
+        self.treeview.set_search_equal_func(search_equal_func, None)
+        self.treeview.set_enable_search(True)
+
+        self.treeview.set_tooltip_column(treemodel.MESSAGE)
+        self.treeview.set_headers_visible(True)
+
+        self._prev_cursor_path = None
         self.treeview.connect("cursor-changed",
                 self._on_selection_changed)
 
@@ -338,80 +378,87 @@
 
         self.treeview.show()
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("width-chars", 15)
-        cell.set_property("ellipsize", pango.ELLIPSIZE_END)
-        self.revno_column = gtk.TreeViewColumn("Revision No")
-        self.revno_column.set_resizable(False)
-        self.revno_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
-        self.revno_column.set_fixed_width(cell.get_size(self.treeview)[2])
-        self.revno_column.pack_start(cell, expand=True)
+        cell.set_property("ellipsize", Pango.EllipsizeMode.END)
+        self.revno_column = Gtk.TreeViewColumn("Revision No")
+        self.revno_column.set_resizable(True)
+        self.revno_column.set_sizing(Gtk.TreeViewColumnSizing.FIXED)
+        self.revno_column.set_fixed_width(
+            cell.get_preferred_width(self.treeview)[1])
+        self.revno_column.pack_start(cell, True)
         self.revno_column.add_attribute(cell, "text", treemodel.REVNO)
         self.treeview.append_column(self.revno_column)
 
         self.graph_cell = CellRendererGraph()
-        self.graph_column = gtk.TreeViewColumn()
-        self.graph_column.set_resizable(False)
-        self.graph_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
-        self.graph_column.pack_start(self.graph_cell, expand=True)
-        self.graph_column.add_attribute(self.graph_cell, "node", treemodel.NODE)
-        self.graph_column.add_attribute(self.graph_cell, "tags", treemodel.TAGS)
-        self.graph_column.add_attribute(self.graph_cell, "in-lines", treemodel.LAST_LINES)
-        self.graph_column.add_attribute(self.graph_cell, "out-lines", treemodel.LINES)
+        self.graph_column = Gtk.TreeViewColumn()
+        self.graph_column.set_resizable(True)
+        self.graph_column.set_sizing(Gtk.TreeViewColumnSizing.FIXED)
+        self.graph_column.pack_start(self.graph_cell, True)
+        self.graph_column.add_attribute(
+            self.graph_cell, "node", treemodel.NODE)
+        self.graph_column.add_attribute(
+            self.graph_cell, "tags", treemodel.TAGS)
+        self.graph_column.add_attribute(
+            self.graph_cell, "in-lines", treemodel.LAST_LINES)
+        self.graph_column.add_attribute(
+            self.graph_cell, "out-lines", treemodel.LINES)
         self.treeview.append_column(self.graph_column)
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("width-chars", 65)
-        cell.set_property("ellipsize", pango.ELLIPSIZE_END)
-        self.summary_column = gtk.TreeViewColumn("Summary")
-        self.summary_column.set_resizable(False)
+        cell.set_property("ellipsize", Pango.EllipsizeMode.END)
+        self.summary_column = Gtk.TreeViewColumn("Summary")
+        self.summary_column.set_resizable(True)
         self.summary_column.set_expand(True)
-        self.summary_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
-        self.summary_column.set_fixed_width(cell.get_size(self.treeview)[2])
-        self.summary_column.pack_start(cell, expand=True)
+        self.summary_column.set_sizing(Gtk.TreeViewColumnSizing.FIXED)
+        self.summary_column.set_fixed_width(
+            cell.get_preferred_width(self.treeview)[1])
+        self.summary_column.pack_start(cell, True)
         self.summary_column.add_attribute(cell, "markup", treemodel.SUMMARY)
         self.treeview.append_column(self.summary_column)
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("width-chars", 15)
-        cell.set_property("ellipsize", pango.ELLIPSIZE_END)
-        self.committer_column = gtk.TreeViewColumn("Committer")
-        self.committer_column.set_resizable(False)
-        self.committer_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
-        self.committer_column.set_fixed_width(200)
-        self.committer_column.pack_start(cell, expand=True)
-        self.committer_column.add_attribute(cell, "text", treemodel.COMMITTER)
-        self.treeview.append_column(self.committer_column)
+        cell.set_property("ellipsize", Pango.EllipsizeMode.END)
+        self.authors_column = Gtk.TreeViewColumn("Author(s)")
+        self.authors_column.set_resizable(False)
+        self.authors_column.set_sizing(Gtk.TreeViewColumnSizing.FIXED)
+        self.authors_column.set_fixed_width(200)
+        self.authors_column.pack_start(cell, True)
+        self.authors_column.add_attribute(cell, "text", treemodel.AUTHORS)
+        self.treeview.append_column(self.authors_column)
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("width-chars", 20)
-        cell.set_property("ellipsize", pango.ELLIPSIZE_END)
-        self.date_column = gtk.TreeViewColumn("Date")
+        cell.set_property("ellipsize", Pango.EllipsizeMode.END)
+        self.date_column = Gtk.TreeViewColumn("Date")
         self.date_column.set_visible(False)
-        self.date_column.set_resizable(False)
-        self.date_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
+        self.date_column.set_resizable(True)
+        self.date_column.set_sizing(Gtk.TreeViewColumnSizing.FIXED)
         self.date_column.set_fixed_width(130)
-        self.date_column.pack_start(cell, expand=True)
+        self.date_column.pack_start(cell, True)
         self.date_column.add_attribute(cell, "text", treemodel.TIMESTAMP)
         self.treeview.append_column(self.date_column)
-        
+
         return self.treeview
-    
+
     def _on_selection_changed(self, treeview):
         """callback for when the treeview changes."""
         (path, focus) = treeview.get_cursor()
-        if path is not None:
-            self.iter = self.model.get_iter(path)
+        if (path is not None) and (path != self._prev_cursor_path):
+            self._prev_cursor_path = path # avoid emitting twice per click
+            self.path = path
             self.emit('revision-selected')
 
     def _on_revision_selected(self, widget, event):
-        from bzrlib.plugins.gtk.revisionmenu import RevisionPopupMenu
+        from bzrlib.plugins.gtk.revisionmenu import RevisionMenu
         if event.button == 3:
-            menu = RevisionPopupMenu(self.branch.repository, 
+            menu = RevisionMenu(self.branch.repository, 
                 [self.get_revision().revision_id],
                 self.branch)
             menu.connect('tag-added', lambda w, t, r: self.add_tag(t, r))
-            menu.popup(None, None, None, event.button, event.get_time())
+            menu.popup(None, None, None, None, event.button, event.get_time())
 
     def _on_revision_activated(self, widget, path, col):
         self.emit('revision-activated', path, col)

=== modified file 'bzr-handle-patch'
--- bzr-handle-patch	2008-06-27 16:53:56 +0000
+++ bzr-handle-patch	2011-07-31 16:50:29 +0000
@@ -2,7 +2,8 @@
 
 from bzrlib import errors, merge_directive
 from bzrlib.plugin import load_plugins
-from bzrlib.plugins.gtk import open_display
+from bzrlib.plugins.gtk.commands import open_display
+
 load_plugins()
 
 import sys
@@ -25,15 +26,15 @@
 	try:
 		directive = merge_directive.MergeDirective.from_lines(lines)
 	except errors.NotAMergeDirective:
-		controller = DiffController(path, lines)
+		controller = DiffController(path, lines, allow_dirty=True)
 	else:
 		controller = MergeDirectiveController(path, directive)
 	window = controller.window
 	window.show()
-	gtk = open_display()
+	Gtk = open_display()
 	window.connect("destroy", gtk.main_quit)
 except Exception, e:
-	from dialog import error_dialog
+	from bzrlib.plugins.gtk.dialog import error_dialog
 	error_dialog('Error', str(e))
 	raise
 gtk.main()

=== added file 'bzr-handle-patch.desktop'
--- bzr-handle-patch.desktop	1970-01-01 00:00:00 +0000
+++ bzr-handle-patch.desktop	2011-03-06 08:24:07 +0000
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=Bazaar
+Comment=Apply Bazaar Bundle
+Icon=bzr-icon-64
+Exec=bzr-handle-patch %f
+NoDisplay=true
+Terminal=false
+Type=Application
+Categories=Application;Development;RevisionControl;
+MimeType=text/x-diff;text/x-patch;application/x-bazaar-merge-directive;

=== renamed file 'bzr-handle-patch.desktop' => 'bzr-handle-patch.desktop.in'
--- bzr-handle-patch.desktop	2008-05-01 13:00:15 +0000
+++ bzr-handle-patch.desktop.in	2010-08-21 09:32:13 +0000
@@ -1,8 +1,8 @@
 [Desktop Entry]
-Name=Bazaar
-Comment=Apply Bazaar Bundle
-Icon=bazaar
-Exec=bzr ghandle-patch %f
+_Name=Bazaar
+_Comment=Apply Bazaar Bundle
+Icon=bzr-icon-64
+Exec=bzr-handle-patch %f
 NoDisplay=true
 Terminal=false
 Type=Application

=== added file 'bzr-notify'
--- bzr-notify	1970-01-01 00:00:00 +0000
+++ bzr-notify	2011-07-31 16:50:29 +0000
@@ -0,0 +1,92 @@
+#!/usr/bin/env python
+
+"""Run the bzr tray icon.
+
+This is a background program which will pop up a notification on the users
+screen when a commit occurs.
+"""
+
+from bzrlib.plugin import load_plugins
+load_plugins()
+
+from bzrlib.plugins.gtk.commands import open_display
+
+from bzrlib.plugins.gtk.notify import NotifyPopupMenu
+Gtk = open_display()
+
+import cgi
+import dbus
+import dbus.service
+import gobject
+import pynotify
+from bzrlib.bzrdir import BzrDir
+from bzrlib.osutils import format_date
+from bzrlib.transport import get_transport
+
+menu = NotifyPopupMenu()
+try:
+    import appindicator
+except ImportError:
+    icon = gtk.status_icon_new_from_icon_name("bzr-panel")
+    icon.connect('popup-menu', menu.display)
+    icon.set_visible(False)
+    hide_icon = lambda: icon.set_visible(False)
+    show_icon = lambda: icon.set_visible(True)
+else:
+    indicator = appindicator.Indicator ("bzr-gtk-notify",
+        "bzr-panel", appindicator.CATEGORY_OTHER)
+    indicator.set_status (appindicator.STATUS_PASSIVE)
+    indicator.set_attention_icon("bzr-panel")
+    indicator.set_menu(menu)
+    hide_icon = lambda: indicator.set_status (appindicator.STATUS_PASSIVE)
+    show_icon = lambda: indicator.set_status (appindicator.STATUS_ATTENTION)
+
+if getattr(dbus, 'version', (0,0,0)) >= (0,41,0):
+    import dbus.glib
+BROADCAST_INTERFACE = "org.bazaarvcs.plugins.dbus.Broadcast"
+bus = dbus.SessionBus()
+
+def catch_branch(revision_id, urls):
+    # TODO: show all the urls, or perhaps choose the 'best'.
+    url = urls[0]
+    try:
+        if isinstance(revision_id, unicode):
+            revision_id = revision_id.encode('utf8')
+        transport = get_transport(url)
+        a_dir = BzrDir.open_from_transport(transport)
+        branch = a_dir.open_branch()
+        revno = branch.revision_id_to_revno(revision_id)
+        revision = branch.repository.get_revision(revision_id)
+        summary = 'New revision %d in %s' % (revno, url)
+        body = 'Committer: %s\n' % revision.committer
+        body += 'Date: %s\n' % format_date(revision.timestamp,
+            revision.timezone)
+        body += '\n'
+        body += revision.message
+        body = cgi.escape(body)
+        nw = pynotify.Notification(summary, body)
+        def start_viz(notification=None, action=None, data=None):
+            """Start the viz program."""
+            from bzrlib.plugins.gtk.commands import start_viz_window
+            pp = start_viz_window(branch, revision_id)
+            pp.show()
+        def start_branch(notification=None, action=None, data=None):
+            """Start a Branch dialog"""
+            from bzrlib.plugins.gtk.branch import BranchDialog
+            bd = BranchDialog(remote_path=url)
+            bd.run()
+        if "actions" in pynotify.get_server_caps():
+            nw.add_action("inspect", "Inspect", start_viz, None)
+            nw.add_action("branch", "Branch", start_branch, None)
+        show_icon()
+        gobject.timeout_add(5000, hide_icon)
+        nw.set_timeout(5000)
+        nw.show()
+    except Exception, e:
+        print e
+        raise
+bus.add_signal_receiver(catch_branch,
+                        dbus_interface=BROADCAST_INTERFACE,
+                        signal_name="Revision")
+pynotify.init("bzr-notify")
+gtk.main()

=== added file 'bzr-notify.desktop'
--- bzr-notify.desktop	1970-01-01 00:00:00 +0000
+++ bzr-notify.desktop	2011-09-28 07:45:39 +0000
@@ -0,0 +1,12 @@
+[Desktop Entry]
+Type=Application
+Version=0.1
+Name=Bazaar Notification
+GenericName=Bazaar Notification
+Comment=Notification Area Icon for Bazaar
+Icon=bzr-icon-64
+Exec=bzr-notify
+Categories=Application;Development;RevisionControl;
+Terminal=false
+X-GNOME-Autostart-Delay=30
+

=== renamed file 'bzr-notify.desktop' => 'bzr-notify.desktop.in'
--- bzr-notify.desktop	2008-05-01 13:00:15 +0000
+++ bzr-notify.desktop.in	2010-08-21 09:32:13 +0000
@@ -1,11 +1,10 @@
 [Desktop Entry]
-Encoding=UTF-8
 Type=Application
 Version=0.1
-Name=Bazaar Notification
-GenericName=
-Comment=Notification Area Icon for Bazaar
-Icon=bzr-icon-64.png
-Exec=bzr commit-notify
+_Name=Bazaar Notification
+_GenericName=Bazaar Notification
+_Comment=Notification Area Icon for Bazaar
+Icon=bzr-icon-64
+Exec=bzr-notify
 Categories=Application;Development;RevisionControl;
 Terminal=false

=== modified file 'checkout.py'
--- checkout.py	2008-05-05 18:16:46 +0000
+++ checkout.py	2011-09-05 03:44:26 +0000
@@ -16,60 +16,53 @@
 
 import os
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-
-from bzrlib.plugins.gtk import _i18n
-from errors import show_bzr_error
+from gi.repository import GObject
+from gi.repository import Gtk
 
 from bzrlib.branch import Branch
 from bzrlib.config import GlobalConfig
 
-from dialog import error_dialog
-
-from history import UrlHistory
-from olive import Preferences
-
-class CheckoutDialog(gtk.Dialog):
+from bzrlib.plugins.gtk.dialog import error_dialog
+from bzrlib.plugins.gtk.errors import show_bzr_error
+from bzrlib.plugins.gtk.history import UrlHistory
+from bzrlib.plugins.gtk.i18n import _i18n
+
+
+class CheckoutDialog(Gtk.Dialog):
     """ New implementation of the Checkout dialog. """
+
     def __init__(self, path=None, parent=None, remote_path=None):
         """ Initialize the Checkout dialog. """
-        gtk.Dialog.__init__(self, title="Checkout - Olive",
-                                  parent=parent,
-                                  flags=0,
-                                  buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
-        
+        super(CheckoutDialog, self).__init__(
+            title="Checkout - Olive", parent=parent, flags=0,
+            buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
+
         # Get arguments
         self.path = path
-        
+
         # Create the widgets
-        self._button_checkout = gtk.Button(_i18n("Check_out"), use_underline=True)
-        self._button_revision = gtk.Button('')
-        self._image_browse = gtk.Image()
-        self._filechooser = gtk.FileChooserButton(_i18n("Please select a folder"))
-        self._combo = gtk.ComboBoxEntry()
-        self._label_location = gtk.Label(_i18n("Branch location:"))
-        self._label_destination = gtk.Label(_i18n("Destination:"))
-        self._label_nick = gtk.Label(_i18n("Branck nick:"))
-        self._label_revision = gtk.Label(_i18n("Revision:"))
-        self._hbox_revision = gtk.HBox()
-        self._entry_revision = gtk.Entry()
-        self._entry_nick = gtk.Entry()
-        self._check_lightweight = gtk.CheckButton(_i18n("_Lightweight checkout"),
+        self._button_checkout = Gtk.Button(_i18n("Check_out"), use_underline=True)
+        self._button_revision = Gtk.Button('')
+        self._image_browse = Gtk.Image()
+        self._filechooser = Gtk.FileChooserButton(_i18n("Please select a folder"))
+        self._combo = Gtk.ComboBox.new_with_entry()
+        self._label_location = Gtk.Label(label=_i18n("Branch location:"))
+        self._label_destination = Gtk.Label(label=_i18n("Destination:"))
+        self._label_nick = Gtk.Label(label=_i18n("Branch nick:"))
+        self._label_revision = Gtk.Label(label=_i18n("Revision:"))
+        self._hbox_revision = Gtk.HBox()
+        self._entry_revision = Gtk.Entry()
+        self._entry_nick = Gtk.Entry()
+        self._check_lightweight = Gtk.CheckButton(_i18n("_Lightweight checkout"),
                                                   use_underline=True)
-        
+
         # Set callbacks
         self._button_checkout.connect('clicked', self._on_checkout_clicked)
         self._button_revision.connect('clicked', self._on_revision_clicked)
-        self._combo.child.connect('focus-out-event', self._on_combo_changed)
-        
+        self._combo.get_child().connect('focus-out-event', self._on_combo_changed)
+
         # Create the table and pack the widgets into it
-        self._table = gtk.Table(rows=3, columns=2)
+        self._table = Gtk.Table(rows=3, columns=2)
         self._table.attach(self._label_location, 0, 1, 0, 1)
         self._table.attach(self._label_destination, 0, 1, 1, 2)
         self._table.attach(self._label_nick, 0, 1, 2, 3)
@@ -79,51 +72,47 @@
         self._table.attach(self._entry_nick, 1, 2, 2, 3)
         self._table.attach(self._hbox_revision, 1, 2, 3, 4)
         self._table.attach(self._check_lightweight, 1, 2, 4, 5)
-        
+
         # Set properties
-        self._image_browse.set_from_stock(gtk.STOCK_OPEN, gtk.ICON_SIZE_BUTTON)
+        self._image_browse.set_from_stock(Gtk.STOCK_OPEN, Gtk.IconSize.BUTTON)
         self._button_revision.set_image(self._image_browse)
         self._button_revision.set_sensitive(False)
-        self._filechooser.set_action(gtk.FILE_CHOOSER_ACTION_SELECT_FOLDER)
+        self._filechooser.set_action(Gtk.FileChooserAction.SELECT_FOLDER)
         self._label_location.set_alignment(0, 0.5)
         self._label_destination.set_alignment(0, 0.5)
         self._label_nick.set_alignment(0, 0.5)
         self._label_revision.set_alignment(0, 0.5)
         self._table.set_row_spacings(3)
         self._table.set_col_spacings(3)
-        self.vbox.set_spacing(3)
+        self.get_content_area().set_spacing(3)
         if self.path is not None:
             self._filechooser.set_filename(self.path)
         if remote_path is not None:
-            self._combo.child.set_text(remote_path)
-        
+            self._combo.get_child().set_text(remote_path)
+
         # Pack some widgets
-        self._hbox_revision.pack_start(self._entry_revision, True, True)
-        self._hbox_revision.pack_start(self._button_revision, False, False)
-        self.vbox.add(self._table)
-        self.action_area.pack_end(self._button_checkout)
-        
+        self._hbox_revision.pack_start(self._entry_revision, True, True, 0)
+        self._hbox_revision.pack_start(self._button_revision, False, False, 0)
+        self.get_content_area().add(self._table)
+        self.action_area.pack_end(self._button_checkout, False, False, 0)
+
         # Show the dialog
-        self.vbox.show_all()
-        
+        self.get_content_area().show_all()
+
         # Build checkout history
         self._history = UrlHistory(GlobalConfig(), 'branch_history')
         self._build_history()
-    
+
     def _build_history(self):
         """ Build up the checkout history. """
-        self._combo_model = gtk.ListStore(str)
-        
+        self._combo_model = Gtk.ListStore(str)
+
         for item in self._history.get_entries():
             self._combo_model.append([ item ])
-        
-        pref = Preferences()
-        for item in pref.get_bookmarks():
-            self._combo_model.append([ item ])
-        
+
         self._combo.set_model(self._combo_model)
-        self._combo.set_text_column(0)
-    
+        self._combo.set_entry_text_column(0)
+
     def _get_last_revno(self):
         """ Get the revno of the last revision (if any). """
         location = self._combo.get_child().get_text()
@@ -133,13 +122,13 @@
             return None
         else:
             return br.revno()
-    
+
     def _on_revision_clicked(self, button):
         """ Browse for revision button clicked handler. """
         from revbrowser import RevisionBrowser
-        
+
         location = self._combo.get_child().get_text()
-        
+
         try:
             br = Branch.open(location)
         except:
@@ -147,15 +136,15 @@
         else:
             revb = RevisionBrowser(br, self)
             response = revb.run()
-            if response != gtk.RESPONSE_NONE:
+            if response != Gtk.ResponseType.NONE:
                 revb.hide()
-        
-                if response == gtk.RESPONSE_OK:
+
+                if response == Gtk.ResponseType.OK:
                     if revb.selected_revno is not None:
                         self._entry_revision.set_text(revb.selected_revno)
-            
+
                 revb.destroy()
-    
+
     @show_bzr_error
     def _on_checkout_clicked(self, button):
         """ Checkout button clicked handler. """
@@ -164,31 +153,31 @@
             error_dialog(_i18n('Missing branch location'),
                          _i18n('You must specify a branch location.'))
             return
-        
+
         destination = self._filechooser.get_filename()
         try:
             revno = int(self._entry_revision.get_text())
         except:
             revno = None
-        
+
         nick = self._entry_nick.get_text()
         if nick is '':
             nick = os.path.basename(location.rstrip("/\\"))
-        
+
         br_from = Branch.open(location)
-        
+
         revision_id = br_from.get_rev_id(revno)
         lightweight = self._check_lightweight.get_active()
         to_location = destination + os.sep + nick
-        
+
         os.mkdir(to_location)
-        
+
         br_from.create_checkout(to_location, revision_id, lightweight)
-        
+
         self._history.add_entry(location)
-        
-        self.response(gtk.RESPONSE_OK)
-    
+
+        self.response(Gtk.ResponseType.OK)
+
     def _on_combo_changed(self, widget, event):
         """ We try to get the last revision if focus lost. """
         rev = self._get_last_revno()

=== removed file 'cmenu.ui'
--- cmenu.ui	2007-07-21 13:16:33 +0000
+++ cmenu.ui	1970-01-01 00:00:00 +0000
@@ -1,32 +0,0 @@
-<ui>
-    <popup name="context_right">
-        <menuitem name="add" action="add" />
-        <menuitem name="remove" action="remove" />
-        <menuitem name="remove_and_delete" action="remove_and_delete" />
-        <menuitem name="rename" action="rename" />
-        <menuitem name="open" action="open" />
-        <separator />
-        <menuitem name="revert" action="revert" />
-        <menuitem name="commit" action="commit" />
-        <separator />
-        <menuitem name="annotate" action="annotate" />
-        <menuitem name="diff" action="diff" />
-        <separator />
-        <menuitem name="bookmark" action="bookmark" />
-    </popup>
-    <popup name="context_left">
-        <menuitem name="edit_bookmark" action="edit_bookmark" />
-        <menuitem name="remove_bookmark" action="remove_bookmark" />
-        <separator />
-        <menuitem name="open_folder" action="open_folder" />
-    </popup>
-    <popup name="toolbar_diff">
-        <menuitem name="diff_selected" action="diff_selected" />
-        <menuitem name="diff_all" action="diff_all" />
-    </popup>
-    <popup name="context_remote">
-        <menuitem name="view_remote" action="view_remote" />
-        <menuitem name="diff_remote" action="diff_remote" />
-        <menuitem name="revert_remote" action="revert_remote" />
-    </popup>
-</ui>

=== added file 'commands.py'
--- commands.py	1970-01-01 00:00:00 +0000
+++ commands.py	2011-07-31 16:50:29 +0000
@@ -0,0 +1,480 @@
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+import os
+
+from bzrlib import (
+    branch,
+    errors,
+    workingtree,
+    )
+from bzrlib.commands import (
+    Command,
+    display_command,
+    )
+from bzrlib.errors import (
+    BzrCommandError,
+    NoWorkingTree,
+    NotVersionedError,
+    NoSuchFile,
+    )
+from bzrlib.option import Option
+
+from bzrlib.plugins.gtk import (
+    set_ui_factory,
+    )
+from bzrlib.plugins.gtk.i18n import _i18n
+
+
+class NoDisplayError(errors.BzrCommandError):
+    """gtk could not find a proper display"""
+
+    def __str__(self):
+        return "No DISPLAY. Unable to run GTK+ application."
+
+
+def open_display():
+    try:
+        from gi.repository import Gtk
+    except RuntimeError, e:
+        if str(e) == "could not open display":
+            raise NoDisplayError
+    set_ui_factory()
+    return Gtk
+
+
+
+class GTKCommand(Command):
+    """Abstract class providing GTK specific run commands."""
+
+    def run(self):
+        open_display()
+        dialog = self.get_gtk_dialog(os.path.abspath('.'))
+        dialog.run()
+
+
+class cmd_gbranch(GTKCommand):
+    """GTK+ branching.
+    
+    """
+
+    def get_gtk_dialog(self, path):
+        from bzrlib.plugins.gtk.branch import BranchDialog
+        return BranchDialog(path)
+
+
+class cmd_gcheckout(GTKCommand):
+    """ GTK+ checkout.
+    
+    """
+    
+    def get_gtk_dialog(self, path):
+        from bzrlib.plugins.gtk.checkout import CheckoutDialog
+        return CheckoutDialog(path)
+
+
+
+class cmd_gpush(GTKCommand):
+    """ GTK+ push.
+    
+    """
+    takes_args = [ "location?" ]
+
+    def run(self, location="."):
+        (br, path) = branch.Branch.open_containing(location)
+        open_display()
+        from bzrlib.plugins.gtk.push import PushDialog
+        dialog = PushDialog(br.repository, br.last_revision(), br)
+        dialog.run()
+
+
+class cmd_gloom(GTKCommand):
+    """ GTK+ loom.
+    
+    """
+    takes_args = [ "location?" ]
+
+    def run(self, location="."):
+        try:
+            (tree, path) = workingtree.WorkingTree.open_containing(location)
+            br = tree.branch
+        except NoWorkingTree, e:
+            (br, path) = branch.Branch.open_containing(location)
+            tree = None
+        open_display()
+        from bzrlib.plugins.gtk.loom import LoomDialog
+        dialog = LoomDialog(br, tree)
+        dialog.run()
+
+
+class cmd_gdiff(GTKCommand):
+    """Show differences in working tree in a GTK+ Window.
+    
+    Otherwise, all changes for the tree are listed.
+    """
+    takes_args = ['filename?']
+    takes_options = ['revision']
+
+    @display_command
+    def run(self, revision=None, filename=None):
+        set_ui_factory()
+        wt = workingtree.WorkingTree.open_containing(".")[0]
+        wt.lock_read()
+        try:
+            branch = wt.branch
+            if revision is not None:
+                if len(revision) == 1:
+                    tree1 = wt
+                    revision_id = revision[0].as_revision_id(tree1.branch)
+                    tree2 = branch.repository.revision_tree(revision_id)
+                elif len(revision) == 2:
+                    revision_id_0 = revision[0].as_revision_id(branch)
+                    tree2 = branch.repository.revision_tree(revision_id_0)
+                    revision_id_1 = revision[1].as_revision_id(branch)
+                    tree1 = branch.repository.revision_tree(revision_id_1)
+            else:
+                tree1 = wt
+                tree2 = tree1.basis_tree()
+
+            from diff import DiffWindow
+            from gi.repository import Gtk
+            window = DiffWindow()
+            window.connect("destroy", Gtk.main_quit)
+            window.set_diff("Working Tree", tree1, tree2)
+            if filename is not None:
+                tree_filename = wt.relpath(filename)
+                try:
+                    window.set_file(tree_filename)
+                except NoSuchFile:
+                    if (tree1.path2id(tree_filename) is None and 
+                        tree2.path2id(tree_filename) is None):
+                        raise NotVersionedError(filename)
+                    raise BzrCommandError('No changes found for file "%s"' % 
+                                          filename)
+            window.show()
+
+            Gtk.main()
+        finally:
+            wt.unlock()
+
+
+def start_viz_window(branch, revisions, limit=None):
+    """Start viz on branch with revision revision.
+    
+    :return: The viz window object.
+    """
+    from bzrlib.plugins.gtk.viz import BranchWindow
+    return BranchWindow(branch, revisions, limit)
+
+
+class cmd_visualise(Command):
+    """Graphically visualise one or several branches.
+
+    Opens a graphical window to allow you to see branches history and
+    relationships between revisions in a visual manner,
+
+    If no revision is specified, the branch last revision is taken as a
+    starting point. When a revision is specified, the presented graph starts
+    with it (as a side effect, when a shared repository is used, any revision
+    can be used even if it's not part of the branch history).
+    """
+    takes_options = [
+        "revision",
+        Option('limit', "Maximum number of revisions to display.",
+               int, 'count')]
+    takes_args = [ "locations*" ]
+    aliases = [ "visualize", "vis", "viz" ]
+
+    def run(self, locations_list, revision=None, limit=None):
+        set_ui_factory()
+        if locations_list is None:
+            locations_list = ["."]
+        revids = []
+        for location in locations_list:
+            (br, path) = branch.Branch.open_containing(location)
+            if revision is None:
+                revids.append(br.last_revision())
+            else:
+                revids.append(revision[0].as_revision_id(br))
+        from gi.repository import Gtk
+        pp = start_viz_window(br, revids, limit)
+        pp.connect("destroy", lambda w: Gtk.main_quit())
+        pp.show()
+        Gtk.main()
+
+
+class cmd_gannotate(GTKCommand):
+    """GTK+ annotate.
+    
+    Browse changes to FILENAME line by line in a GTK+ window.
+
+    Within the annotate window, you can use Ctrl-F to search for text, and 
+    Ctrl-G to jump to a line by number.
+    """
+
+    takes_args = ["filename", "line?"]
+    takes_options = [
+        Option("all", help="Show annotations on all lines."),
+        Option("plain", help="Don't highlight annotation lines."),
+        Option("line", type=int, argname="lineno",
+               help="Jump to specified line number."),
+        "revision",
+    ]
+    aliases = ["gblame", "gpraise"]
+    
+    def run(self, filename, all=False, plain=False, line='1', revision=None):
+        Gtk = open_display()
+
+        try:
+            line = int(line)
+        except ValueError:
+            raise BzrCommandError('Line argument ("%s") is not a number.' % 
+                                  line)
+
+        from annotate.gannotate import GAnnotateWindow
+        from annotate.config import GAnnotateConfig
+        from bzrlib.bzrdir import BzrDir
+
+        wt, br, path = BzrDir.open_containing_tree_or_branch(filename)
+        if wt is not None:
+            tree = wt
+        else:
+            tree = br.basis_tree()
+
+        file_id = tree.path2id(path)
+
+        if file_id is None:
+            raise NotVersionedError(filename)
+        if revision is not None:
+            if len(revision) != 1:
+                raise BzrCommandError("Only 1 revion may be specified.")
+            revision_id = revision[0].as_revision_id(br)
+            tree = br.repository.revision_tree(revision_id)
+        else:
+            revision_id = getattr(tree, 'get_revision_id', lambda: None)()
+
+        window = GAnnotateWindow(all, plain, branch=br)
+        window.connect("destroy", lambda w: Gtk.main_quit())
+        config = GAnnotateConfig(window)
+        window.show()
+        br.lock_read()
+        if wt is not None:
+            wt.lock_read()
+        try:
+            window.annotate(tree, br, file_id)
+            window.jump_to_line(line)
+            Gtk.main()
+        finally:
+            br.unlock()
+            if wt is not None:
+                wt.unlock()
+
+
+
+class cmd_gcommit(GTKCommand):
+    """GTK+ commit dialog
+
+    Graphical user interface for committing revisions"""
+
+    aliases = [ "gci" ]
+    takes_args = []
+    takes_options = []
+
+    def run(self, filename=None):
+        open_display()
+        from commit import CommitDialog
+
+        wt = None
+        br = None
+        try:
+            (wt, path) = workingtree.WorkingTree.open_containing(filename)
+            br = wt.branch
+        except NoWorkingTree, e:
+            from dialog import error_dialog
+            error_dialog(_i18n('Directory does not have a working tree'),
+                         _i18n('Operation aborted.'))
+            return 1 # should this be retval=3?
+
+        # It is a good habit to keep things locked for the duration, but it
+        # could cause difficulties if someone wants to do things in another
+        # window... We could lock_read() until we actually go to commit
+        # changes... Just a thought.
+        wt.lock_write()
+        try:
+            dlg = CommitDialog(wt)
+            return dlg.run()
+        finally:
+            wt.unlock()
+
+
+class cmd_gstatus(GTKCommand):
+    """GTK+ status dialog
+
+    Graphical user interface for showing status 
+    information."""
+
+    aliases = [ "gst" ]
+    takes_args = ['PATH?']
+    takes_options = ['revision']
+
+    def run(self, path='.', revision=None):
+        Gtk = open_display()
+        from bzrlib.plugins.gtk.status import StatusWindow
+        (wt, wt_path) = workingtree.WorkingTree.open_containing(path)
+
+        if revision is not None:
+            try:
+                revision_id = revision[0].as_revision_id(wt.branch)
+            except:
+                from bzrlib.errors import BzrError
+                raise BzrError('Revision %r doesn\'t exist'
+                               % revision[0].user_spec )
+        else:
+            revision_id = None
+
+        status = StatusWindow(wt, wt_path, revision_id)
+        status.connect("destroy", Gtk.main_quit)
+        status.show()
+        Gtk.main()
+
+
+class cmd_gsend(GTKCommand):
+    """GTK+ send merge directive.
+
+    """
+    def run(self):
+        (br, path) = branch.Branch.open_containing(".")
+        Gtk = open_display()
+        from bzrlib.plugins.gtk.mergedirective import SendMergeDirectiveDialog
+        from StringIO import StringIO
+        dialog = SendMergeDirectiveDialog(br)
+        if dialog.run() == Gtk.ResponseType.OK:
+            outf = StringIO()
+            outf.writelines(dialog.get_merge_directive().to_lines())
+            mail_client = br.get_config().get_mail_client()
+            mail_client.compose_merge_request(dialog.get_mail_to(), "[MERGE]", 
+                outf.getvalue())
+
+            
+
+
+class cmd_gconflicts(GTKCommand):
+    """GTK+ conflicts.
+    
+    Select files from the list of conflicts and run an external utility to
+    resolve them.
+    """
+    def run(self):
+        (wt, path) = workingtree.WorkingTree.open_containing('.')
+        open_display()
+        from bzrlib.plugins.gtk.conflicts import ConflictsDialog
+        dialog = ConflictsDialog(wt)
+        dialog.run()
+
+
+class cmd_gpreferences(GTKCommand):
+    """ GTK+ preferences dialog.
+
+    """
+    def run(self):
+        open_display()
+        from bzrlib.plugins.gtk.preferences import PreferencesWindow
+        dialog = PreferencesWindow()
+        dialog.run()
+
+
+class cmd_gmerge(Command):
+    """ GTK+ merge dialog
+    
+    """
+    takes_args = ["merge_from_path?"]
+    def run(self, merge_from_path=None):
+        from bzrlib.plugins.gtk.dialog import error_dialog
+        from bzrlib.plugins.gtk.merge import MergeDialog
+        
+        (wt, path) = workingtree.WorkingTree.open_containing('.')
+        old_tree = wt.branch.repository.revision_tree(wt.branch.last_revision())
+        delta = wt.changes_from(old_tree)
+        if len(delta.added) or len(delta.removed) or len(delta.renamed) or len(delta.modified):
+            error_dialog(_i18n('There are local changes in the branch'),
+                         _i18n('Please commit or revert the changes before merging.'))
+        else:
+            parent_branch_path = wt.branch.get_parent()
+            merge = MergeDialog(wt, path, parent_branch_path)
+            response = merge.run()
+            merge.destroy()
+
+
+class cmd_gmissing(Command):
+    """ GTK+ missing revisions dialog.
+
+    """
+    takes_args = ["other_branch?"]
+    def run(self, other_branch=None):
+        try:
+            from gi.repository import Gtk
+        except RuntimeError, e:
+            if str(e) == "could not open display":
+                raise NoDisplayError
+
+        from bzrlib.plugins.gtk.missing import MissingWindow
+        from bzrlib.branch import Branch
+
+        local_branch = Branch.open_containing(".")[0]
+        if other_branch is None:
+            other_branch = local_branch.get_parent()
+            
+            if other_branch is None:
+                raise BzrCommandError("No peer location known or specified.")
+        remote_branch = Branch.open_containing(other_branch)[0]
+        set_ui_factory()
+        local_branch.lock_read()
+        try:
+            remote_branch.lock_read()
+            try:
+                dialog = MissingWindow(local_branch, remote_branch)
+                dialog.run()
+            finally:
+                remote_branch.unlock()
+        finally:
+            local_branch.unlock()
+
+
+class cmd_ginit(GTKCommand):
+    """ GTK+ init dialog
+
+    Graphical user interface for initializing new branches.
+
+    """
+    def run(self):
+        open_display()
+        from initialize import InitDialog
+        dialog = InitDialog(os.path.abspath(os.path.curdir))
+        dialog.run()
+
+
+class cmd_gtags(GTKCommand):
+    """ GTK+ tags dialog 
+
+    Graphical user interface to view, create, or remove tags.
+
+    """
+    def run(self):
+        br = branch.Branch.open_containing('.')[0]
+        
+        Gtk = open_display()
+        from tags import TagsWindow
+        window = TagsWindow(br)
+        window.show()
+        Gtk.main()

=== modified file 'commit.py'
--- commit.py	2008-06-07 09:00:24 +0000
+++ commit.py	2011-11-24 14:53:53 +0000
@@ -14,26 +14,26 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-import gobject
-import pango
-
-import os.path
 import re
 
-from bzrlib import errors, osutils
-from bzrlib.trace import mutter
-from bzrlib.util import bencode
-
-from bzrlib.plugins.gtk import _i18n
-from dialog import error_dialog, question_dialog
-from errors import show_bzr_error
+from gi.repository import Gdk
+from gi.repository import Gtk
+from gi.repository import GObject
+from gi.repository import Pango
+
+try:
+    from bzrlib import bencode
+except ImportError:
+    from bzrlib.util import bencode
+
+from bzrlib import (
+    errors,
+    trace,
+    )
+from bzrlib.plugins.gtk.dialog import question_dialog
+from bzrlib.plugins.gtk.errors import show_bzr_error
+from bzrlib.plugins.gtk.i18n import _i18n
+from bzrlib.plugins.gtk.commitmsgs import SavedCommitMessagesManager
 
 try:
     import dbus
@@ -62,15 +62,10 @@
     last_revision = parents[0]
 
     if last_revision is not None:
-        try:
-            ignore = set(branch.repository.get_ancestry(last_revision,
-                                                        topo_sorted=False))
-        except errors.NoSuchRevision:
-            # the last revision is a ghost : assume everything is new
-            # except for it
-            ignore = set([None, last_revision])
+        graph = branch.repository.get_graph()
+        ignore = set([r for r,ps in graph.iter_ancestry([last_revision])])
     else:
-        ignore = set([None])
+        ignore = set([])
 
     pm = []
     for merge in pending:
@@ -97,16 +92,24 @@
     return pm
 
 
-class CommitDialog(gtk.Dialog):
+_newline_variants_re = re.compile(r'\r\n?')
+def _sanitize_and_decode_message(utf8_message):
+    """Turn a utf-8 message into a sanitized Unicode message."""
+    fixed_newline = _newline_variants_re.sub('\n', utf8_message)
+    return fixed_newline.decode('utf-8')
+
+
+class CommitDialog(Gtk.Dialog):
     """Implementation of Commit."""
 
     def __init__(self, wt, selected=None, parent=None):
-        gtk.Dialog.__init__(self, title="Commit - Olive",
-                                  parent=parent,
-                                  flags=0,
-                                  buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
+        super(CommitDialog, self).__init__(
+            title="Commit to %s" % wt.basedir, parent=parent, flags=0)
+        self.connect('delete-event', self._on_delete_window)
         self._question_dialog = question_dialog
 
+        self.set_type_hint(Gdk.WindowTypeHint.NORMAL)
+
         self._wt = wt
         # TODO: Do something with this value, it is used by Olive
         #       It used to set all changes but this one to False
@@ -114,6 +117,8 @@
         self._enable_per_file_commits = True
         self._commit_all_changes = True
         self.committed_revision_id = None # Nothing has been committed yet
+        self._saved_commit_messages_manager = SavedCommitMessagesManager(
+            self._wt, self._wt.branch)
 
         self.setup_params()
         self.construct()
@@ -123,7 +128,11 @@
         """Setup the member variables for state."""
         self._basis_tree = self._wt.basis_tree()
         self._delta = None
-        self._pending = pending_revisions(self._wt)
+        self._wt.lock_read()
+        try:
+            self._pending = pending_revisions(self._wt)
+        finally:
+            self._wt.unlock()
 
         self._is_checkout = (self._wt.branch.get_bound_location() is not None)
 
@@ -188,19 +197,24 @@
         self._basis_tree.lock_read()
         try:
             from diff import iter_changes_to_status
+            saved_file_messages = self._saved_commit_messages_manager.get()[1]
             for (file_id, real_path, change_type, display_path
                 ) in iter_changes_to_status(self._basis_tree, self._wt):
                 if self._selected and real_path != self._selected:
                     enabled = False
                 else:
                     enabled = True
+                try:
+                    default_message = saved_file_messages[file_id]
+                except KeyError:
+                    default_message = ''
                 item_iter = store.append([
                     file_id,
                     real_path.encode('UTF-8'),
                     enabled,
                     display_path.encode('UTF-8'),
                     change_type,
-                    '', # Initial comment
+                    default_message, # Initial comment
                     ])
                 if self._selected and enabled:
                     initial_cursor = store.get_path(item_iter)
@@ -213,7 +227,7 @@
         # This sets the cursor, which causes the expander to close, which
         # causes the _file_message_text_view to never get realized. So we have
         # to give it a little kick, or it warns when we try to grab the focus
-        self._treeview_files.set_cursor(initial_cursor)
+        self._treeview_files.set_cursor(initial_cursor, None, False)
 
         def _realize_file_message_tree_view(*args):
             self._file_message_text_view.realize()
@@ -232,7 +246,7 @@
                 proxy_obj = bus.get_object('org.freedesktop.NetworkManager',
                                            '/org/freedesktop/NetworkManager')
             except dbus.DBusException:
-                mutter("networkmanager not available.")
+                trace.mutter("networkmanager not available.")
                 self._check_local.show()
                 return
             
@@ -244,7 +258,7 @@
             except dbus.DBusException, e:
                 # Silently drop errors. While DBus may be
                 # available, NetworkManager doesn't necessarily have to be
-                mutter("unable to get networkmanager state: %r" % e)
+                trace.mutter("unable to get networkmanager state: %r" % e)
         self._check_local.show()
 
     def _fill_in_per_file_info(self):
@@ -267,13 +281,13 @@
         """Build up the dialog widgets."""
         # The primary pane which splits it into left and right (adjustable)
         # sections.
-        self._hpane = gtk.HPaned()
+        self._hpane = Gtk.HPaned()
 
         self._construct_left_pane()
         self._construct_right_pane()
         self._construct_action_pane()
 
-        self.vbox.pack_start(self._hpane)
+        self.get_content_area().pack_start(self._hpane, True, True, 0)
         self._hpane.show()
         self.set_focus(self._global_message_text_view)
 
@@ -298,22 +312,22 @@
         self._hpane.set_position(300)
 
     def _construct_accelerators(self):
-        group = gtk.AccelGroup()
-        group.connect_group(gtk.gdk.keyval_from_name('N'),
-                            gtk.gdk.CONTROL_MASK, 0, self._on_accel_next)
+        group = Gtk.AccelGroup()
+        group.connect(Gdk.keyval_from_name('N'),
+                      Gdk.ModifierType.CONTROL_MASK, 0, self._on_accel_next)
         self.add_accel_group(group)
 
         # ignore the escape key (avoid closing the window)
         self.connect_object('close', self.emit_stop_by_name, 'close')
 
     def _construct_left_pane(self):
-        self._left_pane_box = gtk.VBox(homogeneous=False, spacing=5)
+        self._left_pane_box = Gtk.VBox(homogeneous=False, spacing=5)
         self._construct_file_list()
         self._construct_pending_list()
 
-        self._check_local = gtk.CheckButton(_i18n("_Only commit locally"),
+        self._check_local = Gtk.CheckButton(_i18n("_Only commit locally"),
                                             use_underline=True)
-        self._left_pane_box.pack_end(self._check_local, False, False)
+        self._left_pane_box.pack_end(self._check_local, False, False, 0)
         self._check_local.set_active(False)
 
         self._hpane.pack1(self._left_pane_box, resize=False, shrink=False)
@@ -326,7 +340,7 @@
         # commit, and 1 for file commit, and it looked good. But I don't seem
         # to have a way to do that with the gtk boxes... :( (Which is extra
         # weird since wx uses gtk on Linux...)
-        self._right_pane_table = gtk.Table(rows=10, columns=1, homogeneous=False)
+        self._right_pane_table = Gtk.Table(rows=10, columns=1, homogeneous=False)
         self._right_pane_table.set_row_spacings(5)
         self._right_pane_table.set_col_spacings(5)
         self._right_pane_table_row = 0
@@ -338,11 +352,17 @@
         self._hpane.pack2(self._right_pane_table, resize=True, shrink=True)
 
     def _construct_action_pane(self):
-        self._button_commit = gtk.Button(_i18n("Comm_it"), use_underline=True)
+        self._button_cancel = Gtk.Button(stock=Gtk.STOCK_CANCEL)
+        self._button_cancel.connect('clicked', self._on_cancel_clicked)
+        self._button_cancel.show()
+        self.get_action_area().pack_end(
+            self._button_cancel, True, True, 0)
+        self._button_commit = Gtk.Button(_i18n("Comm_it"), use_underline=True)
         self._button_commit.connect('clicked', self._on_commit_clicked)
-        self._button_commit.set_flags(gtk.CAN_DEFAULT)
+        self._button_commit.set_can_default(True)
         self._button_commit.show()
-        self.action_area.pack_end(self._button_commit)
+        self.get_action_area().pack_end(
+            self._button_commit, True, True, 0)
         self._button_commit.grab_default()
 
     def _add_to_right_table(self, widget, weight, expanding=False):
@@ -354,7 +374,7 @@
         """
         end_row = self._right_pane_table_row + weight
         options = 0
-        expand_opts = gtk.EXPAND | gtk.FILL | gtk.SHRINK
+        expand_opts = Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL | Gtk.AttachOptions.SHRINK
         if expanding:
             options = expand_opts
         self._right_pane_table.attach(widget, 0, 1,
@@ -363,20 +383,20 @@
         self._right_pane_table_row = end_row
 
     def _construct_file_list(self):
-        self._files_box = gtk.VBox(homogeneous=False, spacing=0)
-        file_label = gtk.Label(_i18n('Files'))
+        self._files_box = Gtk.VBox(homogeneous=False, spacing=0)
+        file_label = Gtk.Label(label=_i18n('Files'))
         # file_label.show()
-        self._files_box.pack_start(file_label, expand=False)
+        self._files_box.pack_start(file_label, False, True, 0)
 
-        self._commit_all_files_radio = gtk.RadioButton(
+        self._commit_all_files_radio = Gtk.RadioButton.new_with_label(
             None, _i18n("Commit all changes"))
-        self._files_box.pack_start(self._commit_all_files_radio, expand=False)
+        self._files_box.pack_start(self._commit_all_files_radio, False, True, 0)
         self._commit_all_files_radio.show()
         self._commit_all_files_radio.connect('toggled',
             self._toggle_commit_selection)
-        self._commit_selected_radio = gtk.RadioButton(
+        self._commit_selected_radio = Gtk.RadioButton.new_with_label_from_widget(
             self._commit_all_files_radio, _i18n("Only commit selected changes"))
-        self._files_box.pack_start(self._commit_selected_radio, expand=False)
+        self._files_box.pack_start(self._commit_selected_radio, False, True, 0)
         self._commit_selected_radio.show()
         self._commit_selected_radio.connect('toggled',
             self._toggle_commit_selection)
@@ -385,45 +405,44 @@
             self._commit_all_files_radio.set_sensitive(False)
             self._commit_selected_radio.set_sensitive(False)
 
-        scroller = gtk.ScrolledWindow()
-        scroller.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
-        self._treeview_files = gtk.TreeView()
+        scroller = Gtk.ScrolledWindow()
+        scroller.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        self._treeview_files = Gtk.TreeView()
         self._treeview_files.show()
         scroller.add(self._treeview_files)
-        scroller.set_shadow_type(gtk.SHADOW_IN)
+        scroller.set_shadow_type(Gtk.ShadowType.IN)
         scroller.show()
-        self._files_box.pack_start(scroller,
-                                   expand=True, fill=True)
+        self._files_box.pack_start(scroller, True, True, 0)
         self._files_box.show()
-        self._left_pane_box.pack_start(self._files_box)
+        self._left_pane_box.pack_start(self._files_box, True, True, 0)
 
         # Keep note that all strings stored in a ListStore must be UTF-8
         # strings. GTK does not support directly setting and restoring Unicode
         # objects.
-        liststore = gtk.ListStore(
-            gobject.TYPE_STRING,  # [0] file_id
-            gobject.TYPE_STRING,  # [1] real path
-            gobject.TYPE_BOOLEAN, # [2] checkbox
-            gobject.TYPE_STRING,  # [3] display path
-            gobject.TYPE_STRING,  # [4] changes type
-            gobject.TYPE_STRING,  # [5] commit message
+        liststore = Gtk.ListStore(
+            GObject.TYPE_STRING,  # [0] file_id
+            GObject.TYPE_STRING,  # [1] real path
+            GObject.TYPE_BOOLEAN, # [2] checkbox
+            GObject.TYPE_STRING,  # [3] display path
+            GObject.TYPE_STRING,  # [4] changes type
+            GObject.TYPE_STRING,  # [5] commit message
             )
         self._files_store = liststore
         self._treeview_files.set_model(liststore)
-        crt = gtk.CellRendererToggle()
+        crt = Gtk.CellRendererToggle()
         crt.set_property('activatable', not bool(self._pending))
         crt.connect("toggled", self._toggle_commit, self._files_store)
         if self._pending:
             name = _i18n('Commit*')
         else:
             name = _i18n('Commit')
-        commit_col = gtk.TreeViewColumn(name, crt, active=2)
+        commit_col = Gtk.TreeViewColumn(name, crt, active=2)
         commit_col.set_visible(False)
         self._treeview_files.append_column(commit_col)
-        self._treeview_files.append_column(gtk.TreeViewColumn(_i18n('Path'),
-                                           gtk.CellRendererText(), text=3))
-        self._treeview_files.append_column(gtk.TreeViewColumn(_i18n('Type'),
-                                           gtk.CellRendererText(), text=4))
+        self._treeview_files.append_column(Gtk.TreeViewColumn(_i18n('Path'),
+                                           Gtk.CellRendererText(), text=3))
+        self._treeview_files.append_column(Gtk.TreeViewColumn(_i18n('Type'),
+                                           Gtk.CellRendererText(), text=4))
         self._treeview_files.connect('cursor-changed',
                                      self._on_treeview_files_cursor_changed)
 
@@ -444,58 +463,57 @@
                 checked_col.set_visible(False)
             else:
                 checked_col.set_visible(True)
-            renderer = checked_col.get_cell_renderers()[0]
+            renderer = checked_col.get_cells()[0]
             renderer.set_property('activatable', not all_files)
 
     def _construct_pending_list(self):
         # Pending information defaults to hidden, we put it all in 1 box, so
         # that we can show/hide all of them at once
-        self._pending_box = gtk.VBox()
+        self._pending_box = Gtk.VBox()
         self._pending_box.hide()
 
-        pending_message = gtk.Label()
+        pending_message = Gtk.Label()
         pending_message.set_markup(
             _i18n('<i>* Cannot select specific files when merging</i>'))
-        self._pending_box.pack_start(pending_message, expand=False, padding=5)
+        self._pending_box.pack_start(pending_message, False, True, 5)
         pending_message.show()
 
-        pending_label = gtk.Label(_i18n('Pending Revisions'))
-        self._pending_box.pack_start(pending_label, expand=False, padding=0)
+        pending_label = Gtk.Label(label=_i18n('Pending Revisions'))
+        self._pending_box.pack_start(pending_label, False, True, 0)
         pending_label.show()
 
-        scroller = gtk.ScrolledWindow()
-        scroller.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
-        self._treeview_pending = gtk.TreeView()
+        scroller = Gtk.ScrolledWindow()
+        scroller.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        self._treeview_pending = Gtk.TreeView()
         scroller.add(self._treeview_pending)
-        scroller.set_shadow_type(gtk.SHADOW_IN)
+        scroller.set_shadow_type(Gtk.ShadowType.IN)
         scroller.show()
-        self._pending_box.pack_start(scroller,
-                                     expand=True, fill=True, padding=5)
+        self._pending_box.pack_start(scroller, True, True, 5)
         self._treeview_pending.show()
-        self._left_pane_box.pack_start(self._pending_box)
+        self._left_pane_box.pack_start(self._pending_box, True, True, 0)
 
-        liststore = gtk.ListStore(gobject.TYPE_STRING, # revision_id
-                                  gobject.TYPE_STRING, # date
-                                  gobject.TYPE_STRING, # committer
-                                  gobject.TYPE_STRING, # summary
+        liststore = Gtk.ListStore(GObject.TYPE_STRING, # revision_id
+                                  GObject.TYPE_STRING, # date
+                                  GObject.TYPE_STRING, # committer
+                                  GObject.TYPE_STRING, # summary
                                  )
         self._pending_store = liststore
         self._treeview_pending.set_model(liststore)
-        self._treeview_pending.append_column(gtk.TreeViewColumn(_i18n('Date'),
-                                             gtk.CellRendererText(), text=1))
-        self._treeview_pending.append_column(gtk.TreeViewColumn(_i18n('Committer'),
-                                             gtk.CellRendererText(), text=2))
-        self._treeview_pending.append_column(gtk.TreeViewColumn(_i18n('Summary'),
-                                             gtk.CellRendererText(), text=3))
+        self._treeview_pending.append_column(Gtk.TreeViewColumn(_i18n('Date'),
+                                             Gtk.CellRendererText(), text=1))
+        self._treeview_pending.append_column(Gtk.TreeViewColumn(_i18n('Committer'),
+                                             Gtk.CellRendererText(), text=2))
+        self._treeview_pending.append_column(Gtk.TreeViewColumn(_i18n('Summary'),
+                                             Gtk.CellRendererText(), text=3))
 
     def _construct_diff_view(self):
-        from diff import DiffView
+        from bzrlib.plugins.gtk.diff import DiffView
 
         # TODO: jam 2007-10-30 The diff label is currently disabled. If we
         #       decide that we really don't ever want to display it, we should
         #       actually remove it, and other references to it, along with the
         #       tests that it is set properly.
-        self._diff_label = gtk.Label(_i18n('Diff for whole tree'))
+        self._diff_label = Gtk.Label(label=_i18n('Diff for whole tree'))
         self._diff_label.set_alignment(0, 0)
         self._right_pane_table.set_row_spacing(self._right_pane_table_row, 0)
         self._add_to_right_table(self._diff_label, 1, False)
@@ -506,27 +524,28 @@
         self._diff_view.show()
 
     def _construct_file_message(self):
-        scroller = gtk.ScrolledWindow()
-        scroller.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
+        scroller = Gtk.ScrolledWindow()
+        scroller.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
 
-        self._file_message_text_view = gtk.TextView()
+        self._file_message_text_view = Gtk.TextView()
         scroller.add(self._file_message_text_view)
-        scroller.set_shadow_type(gtk.SHADOW_IN)
+        scroller.set_shadow_type(Gtk.ShadowType.IN)
         scroller.show()
 
-        self._file_message_text_view.modify_font(pango.FontDescription("Monospace"))
-        self._file_message_text_view.set_wrap_mode(gtk.WRAP_WORD)
+        self._file_message_text_view.modify_font(Pango.FontDescription("Monospace"))
+        self._file_message_text_view.set_wrap_mode(Gtk.WrapMode.WORD)
         self._file_message_text_view.set_accepts_tab(False)
         self._file_message_text_view.show()
 
-        self._file_message_expander = gtk.Expander(_i18n('File commit message'))
+        self._file_message_expander = Gtk.Expander(
+            label=_i18n('File commit message'))
         self._file_message_expander.set_expanded(True)
         self._file_message_expander.add(scroller)
         self._add_to_right_table(self._file_message_expander, 1, False)
         self._file_message_expander.show()
 
     def _construct_global_message(self):
-        self._global_message_label = gtk.Label(_i18n('Global Commit Message'))
+        self._global_message_label = Gtk.Label(label=_i18n('Global Commit Message'))
         self._global_message_label.set_markup(
             _i18n('<b>Global Commit Message</b>'))
         self._global_message_label.set_alignment(0, 0)
@@ -535,16 +554,17 @@
         # Can we remove the spacing between the label and the box?
         self._global_message_label.show()
 
-        scroller = gtk.ScrolledWindow()
-        scroller.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
+        scroller = Gtk.ScrolledWindow()
+        scroller.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
 
-        self._global_message_text_view = gtk.TextView()
-        self._global_message_text_view.modify_font(pango.FontDescription("Monospace"))
+        self._global_message_text_view = Gtk.TextView()
+        self._set_global_commit_message(self._saved_commit_messages_manager.get()[0])
+        self._global_message_text_view.modify_font(Pango.FontDescription("Monospace"))
         scroller.add(self._global_message_text_view)
-        scroller.set_shadow_type(gtk.SHADOW_IN)
+        scroller.set_shadow_type(Gtk.ShadowType.IN)
         scroller.show()
         self._add_to_right_table(scroller, 2, True)
-        self._file_message_text_view.set_wrap_mode(gtk.WRAP_WORD)
+        self._file_message_text_view.set_wrap_mode(Gtk.WrapMode.WORD)
         self._file_message_text_view.set_accepts_tab(False)
         self._global_message_text_view.show()
 
@@ -575,12 +595,13 @@
             # We have either made it to the end of the list, or nothing was
             # selected. Either way, select All Files, and jump to the global
             # commit message.
-            self._treeview_files.set_cursor((0,))
+            self._treeview_files.set_cursor(
+                Gtk.TreePath(path=0), None, False)
             self._global_message_text_view.grab_focus()
         else:
             # Set the cursor to this entry, and jump to the per-file commit
             # message
-            self._treeview_files.set_cursor(model.get_path(next))
+            self._treeview_files.set_cursor(model.get_path(next), None, False)
             self._file_message_text_view.grab_focus()
 
     def _save_current_file_message(self):
@@ -588,7 +609,7 @@
             return # Nothing to save
         text_buffer = self._file_message_text_view.get_buffer()
         cur_text = text_buffer.get_text(text_buffer.get_start_iter(),
-                                        text_buffer.get_end_iter())
+                                        text_buffer.get_end_iter(), True)
         last_selected = self._files_store.get_iter(self._last_selected_file)
         self._files_store.set_value(last_selected, 5, cur_text)
 
@@ -630,10 +651,12 @@
             if self._commit_all_changes or record[2]:# [2] checkbox
                 file_id = record[0] # [0] file_id
                 path = record[1]    # [1] real path
-                file_message = record[5] # [5] commit message
+                # [5] commit message
+                file_message = _sanitize_and_decode_message(record[5])
                 files.append(path.decode('UTF-8'))
                 if self._enable_per_file_commits and file_message:
                     # All of this needs to be utf-8 information
+                    file_message = file_message.encode('UTF-8')
                     file_info.append({'path':path, 'file_id':file_id,
                                      'message':file_message})
         file_info.sort(key=lambda x:(x['path'], x['file_id']))
@@ -643,6 +666,33 @@
             return files, []
 
     @show_bzr_error
+    def _on_cancel_clicked(self, button):
+        """ Cancel button clicked handler. """
+        self._do_cancel()
+
+    @show_bzr_error
+    def _on_delete_window(self, source, event):
+        """ Delete window handler. """
+        self._do_cancel()
+
+    def _do_cancel(self):
+        """If requested, saves commit messages when cancelling gcommit; they are re-used by a next gcommit"""
+        mgr = SavedCommitMessagesManager()
+        self._saved_commit_messages_manager = mgr
+        mgr.insert(self._get_global_commit_message(),
+                   self._get_specific_files()[1])
+        if mgr.is_not_empty(): # maybe worth saving
+            response = self._question_dialog(
+                _i18n('Commit cancelled'),
+                _i18n('Do you want to save your commit messages ?'),
+                parent=self)
+            if response == Gtk.ResponseType.NO:
+                 # save nothing and destroy old comments if any
+                mgr = SavedCommitMessagesManager()
+        mgr.save(self._wt, self._wt.branch)
+        self.response(Gtk.ResponseType.CANCEL) # close window
+
+    @show_bzr_error
     def _on_commit_clicked(self, button):
         """ Commit button clicked handler. """
         self._do_commit()
@@ -653,8 +703,9 @@
         if message == '':
             response = self._question_dialog(
                 _i18n('Commit with an empty message?'),
-                _i18n('You can describe your commit intent in the message.'))
-            if response == gtk.RESPONSE_NO:
+                _i18n('You can describe your commit intent in the message.'),
+                parent=self)
+            if response == Gtk.ResponseType.NO:
                 # Kindly give focus to message area
                 self._global_message_text_view.grab_focus()
                 return
@@ -673,8 +724,10 @@
         for path in self._wt.unknowns():
             response = self._question_dialog(
                 _i18n("Commit with unknowns?"),
-                _i18n("Unknown files exist in the working tree. Commit anyway?"))
-            if response == gtk.RESPONSE_NO:
+                _i18n("Unknown files exist in the working tree. Commit anyway?"),
+                parent=self)
+                # Doesn't set a parent for the dialog..
+            if response == Gtk.ResponseType.NO:
                 return
             break
 
@@ -693,8 +746,9 @@
             response = self._question_dialog(
                 _i18n('Commit with no changes?'),
                 _i18n('There are no changes in the working tree.'
-                      ' Do you want to commit anyway?'))
-            if response == gtk.RESPONSE_YES:
+                      ' Do you want to commit anyway?'),
+                parent=self)
+            if response == Gtk.ResponseType.YES:
                 rev_id = self._wt.commit(message,
                                allow_pointless=True,
                                strict=False,
@@ -702,12 +756,15 @@
                                specific_files=specific_files,
                                revprops=revprops)
         self.committed_revision_id = rev_id
-        self.response(gtk.RESPONSE_OK)
+        # destroy old comments if any
+        SavedCommitMessagesManager().save(self._wt, self._wt.branch)
+        self.response(Gtk.ResponseType.OK)
 
     def _get_global_commit_message(self):
         buf = self._global_message_text_view.get_buffer()
         start, end = buf.get_bounds()
-        return buf.get_text(start, end).decode('utf-8')
+        text = buf.get_text(start, end, True)
+        return _sanitize_and_decode_message(text)
 
     def _set_global_commit_message(self, message):
         """Just a helper for the test suite."""
@@ -734,3 +791,4 @@
                                        show_offset=False)
         rev_dict['revision_id'] = rev.revision_id
         return rev_dict
+

=== added file 'commitmsgs.py'
--- commitmsgs.py	1970-01-01 00:00:00 +0000
+++ commitmsgs.py	2011-11-02 15:30:20 +0000
@@ -0,0 +1,121 @@
+# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+try:
+    from bzrlib import bencode
+except ImportError:
+    from bzrlib.util import bencode
+
+from bzrlib import osutils
+
+class SavedCommitMessagesManager(object):
+    """Save global and per-file commit messages.
+
+    Saves global commit message and utf-8 file_id->message dictionary
+    of per-file commit messages on disk. Re-reads them later for re-using.
+    """
+
+    def __init__(self, tree=None, branch=None):
+        """If branch is None, builds empty messages, otherwise reads them
+        from branch's disk storage. 'tree' argument is for the future."""
+        if branch is None:
+            self.global_message = u''
+            self.file_messages = {}
+        else:
+            config = branch.get_config()
+            self.global_message = config.get_user_option(
+                'gtk_global_commit_message')
+            if self.global_message is None:
+                self.global_message = u''
+            file_messages = config.get_user_option('gtk_file_commit_messages')
+            if file_messages: # unicode and B-encoded:
+                self.file_messages = bencode.bdecode(
+                    file_messages.encode('UTF-8'))
+            else:
+                self.file_messages = {}
+
+    def get(self):
+        return self.global_message, self.file_messages
+
+    def is_not_empty(self):
+        return bool(self.global_message or self.file_messages)
+
+    def insert(self, global_message, file_info):
+        """Formats per-file commit messages (list of dictionaries, one per file)
+        into one utf-8 file_id->message dictionary and merges this with
+        previously existing dictionary. Merges global commit message too."""
+        file_messages = {}
+        for fi in file_info:
+            file_message = fi['message']
+            if file_message:
+                file_messages[fi['file_id']] = file_message # utf-8 strings
+        for k,v in file_messages.iteritems():
+            try:
+                self.file_messages[k] = v + '\n******\n' + self.file_messages[k]
+            except KeyError:
+                self.file_messages[k] = v
+        if self.global_message:
+            self.global_message = global_message + '\n******\n' \
+                + self.global_message
+        else:
+            self.global_message = global_message
+
+    def save(self, tree, branch):
+        # We store in branch's config, which can be a problem if two gcommit
+        # are done in two checkouts of one single branch (comments overwrite
+        # each other). Ideally should be in working tree. But uncommit does
+        # not always have a working tree, though it always has a branch.
+        # 'tree' argument is for the future
+        config = branch.get_config()
+        # should it be named "gtk_" or some more neutral name ("gui_" ?) to
+        # be compatible with qbzr in the future?
+        config.set_user_option('gtk_global_commit_message', self.global_message)
+        # bencode() does not know unicode objects but set_user_option()
+        # requires one:
+        config.set_user_option(
+            'gtk_file_commit_messages',
+            bencode.bencode(self.file_messages).decode('UTF-8'))
+
+
+def save_commit_messages(local, master, old_revno, old_revid,
+                         new_revno, new_revid):
+    b = local
+    if b is None:
+        b = master
+    mgr = SavedCommitMessagesManager(None, b)
+    graph = b.repository.get_graph()
+    revid_iterator = graph.iter_lefthand_ancestry(old_revid)
+    cur_revno = old_revno
+    new_revision_id = old_revid
+    graph = b.repository.get_graph()
+    for rev_id in revid_iterator:
+        if cur_revno == new_revno:
+            break
+        cur_revno -= 1
+        rev = b.repository.get_revision(rev_id)
+        file_info = rev.properties.get('file-info', None)
+        if file_info is None:
+            file_info = {}
+        else:
+            file_info = bencode.bdecode(file_info.encode('UTF-8'))
+        global_message = osutils.safe_unicode(rev.message)
+        # Concatenate comment of the uncommitted revision
+        mgr.insert(global_message, file_info)
+
+        parents = graph.get_parent_map([rev_id]).get(rev_id, None)
+        if not parents:
+            continue
+    mgr.save(None, b)

=== added file 'config.py'
--- config.py	1970-01-01 00:00:00 +0000
+++ config.py	2011-12-06 16:57:32 +0000
@@ -0,0 +1,36 @@
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+"""Configuration options."""
+
+from bzrlib import (
+    config,
+    version_info as bzrlib_version,
+    )
+
+if bzrlib_version < (2, 5):
+    def Option(*args, **kwargs):
+        if 'help' in kwargs:
+            del kwargs['help']
+        return config.Option(*args, **kwargs)
+else:
+    Option = config.Option
+
+opt_nautilus_integration = Option('nautilus_integration', default=True,
+               from_unicode=config.bool_from_store,
+               help='''\
+Whether to enable nautilus integration.
+
+Defines whether Nautilus integration should be enabled.
+''')

=== modified file 'conflicts.py'
--- conflicts.py	2008-05-05 18:16:46 +0000
+++ conflicts.py	2011-09-05 03:44:26 +0000
@@ -14,71 +14,68 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 import subprocess
 
-import gtk
-import gobject
+from gi.repository import Gtk
+from gi.repository import GObject
 
 from bzrlib.config import GlobalConfig
-from bzrlib.plugins.gtk import _i18n
-
-from dialog import error_dialog, warning_dialog
-from errors import show_bzr_error
-
-class ConflictsDialog(gtk.Dialog):
+from bzrlib.plugins.gtk.i18n import _i18n
+from bzrlib.plugins.gtk.dialog import (
+    error_dialog,
+    warning_dialog,
+    )
+
+
+class ConflictsDialog(Gtk.Dialog):
     """ This dialog displays the list of conflicts. """
+
     def __init__(self, wt, parent=None):
         """ Initialize the Conflicts dialog. """
-        gtk.Dialog.__init__(self, title="Conflicts - Olive",
-                                  parent=parent,
-                                  flags=0,
-                                  buttons=(gtk.STOCK_CLOSE, gtk.RESPONSE_CANCEL))
-        
+        super(ConflictsDialog, self).__init__(
+            title="Conflicts - Olive", parent=parent, flags=0,
+            buttons=(Gtk.STOCK_CLOSE, Gtk.ResponseType.CANCEL))
+
         # Get arguments
         self.wt = wt
-        
+
         # Create the widgets
-        self._scrolledwindow = gtk.ScrolledWindow()
-        self._treeview = gtk.TreeView()
-        self._label_diff3 = gtk.Label(_i18n("External utility:"))
-        self._entry_diff3 = gtk.Entry()
-        self._image_diff3 = gtk.Image()
-        self._button_diff3 = gtk.Button()
-        self._hbox_diff3 = gtk.HBox()
-        
+        self._scrolledwindow = Gtk.ScrolledWindow()
+        self._treeview = Gtk.TreeView()
+        self._label_diff3 = Gtk.Label(label=_i18n("External utility:"))
+        self._entry_diff3 = Gtk.Entry()
+        self._image_diff3 = Gtk.Image()
+        self._button_diff3 = Gtk.Button()
+        self._hbox_diff3 = Gtk.HBox()
+
         # Set callbacks
         self._button_diff3.connect('clicked', self._on_diff3_clicked)
-        
+
         # Set properties
-        self._scrolledwindow.set_policy(gtk.POLICY_AUTOMATIC,
-                                        gtk.POLICY_AUTOMATIC)
-        self._image_diff3.set_from_stock(gtk.STOCK_APPLY, gtk.ICON_SIZE_BUTTON)
+        self._scrolledwindow.set_policy(Gtk.PolicyType.AUTOMATIC,
+                                        Gtk.PolicyType.AUTOMATIC)
+        self._image_diff3.set_from_stock(Gtk.STOCK_APPLY, Gtk.IconSize.BUTTON)
         self._button_diff3.set_image(self._image_diff3)
         self._entry_diff3.set_text(self._get_diff3())
         self._hbox_diff3.set_spacing(3)
-        self.vbox.set_spacing(3)
+        content_area = self.get_content_area()
+        content_area.set_spacing(3)
         self.set_default_size(400, 300)
-        
+
         # Construct dialog
-        self._hbox_diff3.pack_start(self._label_diff3, False, False)
-        self._hbox_diff3.pack_start(self._entry_diff3, True, True)
-        self._hbox_diff3.pack_start(self._button_diff3, False, False)
+        self._hbox_diff3.pack_start(self._label_diff3, False, False, 0)
+        self._hbox_diff3.pack_start(self._entry_diff3, True, True, 0)
+        self._hbox_diff3.pack_start(self._button_diff3, False, False, 0)
         self._scrolledwindow.add(self._treeview)
-        self.vbox.pack_start(self._scrolledwindow, True, True)
-        self.vbox.pack_start(self._hbox_diff3, False, False)
-        
+        content_area.pack_start(self._scrolledwindow, True, True, 0)
+        content_area.pack_start(self._hbox_diff3, False, False, 0)
+
         # Create the conflict list
         self._create_conflicts()
-        
+
         # Show the dialog
-        self.vbox.show_all()
-    
+        content_area.show_all()
+
     def _get_diff3(self):
         """ Get the specified diff3 utility. Default is meld. """
         config = GlobalConfig()
@@ -86,31 +83,31 @@
         if diff3 is None:
             diff3 = 'meld'
         return diff3
-    
+
     def _set_diff3(self, cmd):
         """ Set the default diff3 utility to cmd. """
         config = GlobalConfig()
         config.set_user_option('gconflicts_diff3', cmd)
-    
+
     def _create_conflicts(self):
         """ Construct the list of conflicts. """
         if len(self.wt.conflicts()) == 0:
-            self.model = gtk.ListStore(gobject.TYPE_STRING)
+            self.model = Gtk.ListStore(GObject.TYPE_STRING)
             self._treeview.set_model(self.model)
-            self._treeview.append_column(gtk.TreeViewColumn(_i18n('Conflicts'),
-                                         gtk.CellRendererText(), text=0))
-            self._treeview.set_headers_visible(False)            
+            self._treeview.append_column(Gtk.TreeViewColumn(_i18n('Conflicts'),
+                                         Gtk.CellRendererText(), text=0))
+            self._treeview.set_headers_visible(False)
             self.model.append([ _i18n("No conflicts in working tree.") ])
             self._button_diff3.set_sensitive(False)
         else:
-            self.model = gtk.ListStore(gobject.TYPE_STRING,
-                                       gobject.TYPE_STRING,
-                                       gobject.TYPE_STRING)
+            self.model = Gtk.ListStore(GObject.TYPE_STRING,
+                                       GObject.TYPE_STRING,
+                                       GObject.TYPE_STRING)
             self._treeview.set_model(self.model)
-            self._treeview.append_column(gtk.TreeViewColumn(_i18n('Path'),
-                                         gtk.CellRendererText(), text=0))
-            self._treeview.append_column(gtk.TreeViewColumn(_i18n('Type'),
-                                         gtk.CellRendererText(), text=1))
+            self._treeview.append_column(Gtk.TreeViewColumn(_i18n('Path'),
+                                         Gtk.CellRendererText(), text=0))
+            self._treeview.append_column(Gtk.TreeViewColumn(_i18n('Type'),
+                                         Gtk.CellRendererText(), text=1))
             self._treeview.set_search_column(0)
             for conflict in self.wt.conflicts():
                 if conflict.typestring == 'path conflict':
@@ -133,29 +130,29 @@
                     t = _i18n("deleting parent")
                 else:
                     t = _i18n("unknown type of conflict")
-                
-                self.model.append([ conflict.path, t, conflict.typestring ]) 
-    
+
+                self.model.append([ conflict.path, t, conflict.typestring ])
+
     def _get_selected_file(self):
         """ Return the selected conflict's filename. """
         treeselection = self._treeview.get_selection()
         (model, iter) = treeselection.get_selected()
-        
+
         if iter is None:
             return None
         else:
             return model.get_value(iter, 0)
-    
+
     def _get_selected_type(self):
         """ Return the type of the selected conflict. """
         treeselection = self._treeview.get_selection()
         (model, iter) = treeselection.get_selected()
-        
+
         if iter is None:
             return None
         else:
             return model.get_value(iter, 2)
-    
+
     def _on_diff3_clicked(self, widget):
         """ Launch external utility to resolve conflicts. """
         self._set_diff3(self._entry_diff3.get_text())

=== modified file 'dialog.py'
--- dialog.py	2008-04-11 20:34:06 +0000
+++ dialog.py	2011-08-01 14:46:23 +0000
@@ -14,43 +14,36 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-import gtk.glade
-
-
-def _message_dialog(type, primary, secondary, buttons=gtk.BUTTONS_OK):
+from gi.repository import Gtk
+
+
+def _message_dialog(type, primary, secondary, parent=None, buttons=Gtk.ButtonsType.OK):
     """ Display a given type of MessageDialog with the given message.
-    
+
     :param type: message dialog type
-    
+
     :param message: the message you want to display.
     """
-    dialog = gtk.MessageDialog(flags=gtk.DIALOG_MODAL, type=type,
-                               buttons=buttons)
+    dialog = Gtk.MessageDialog(parent=parent, flags=Gtk.DialogFlags.MODAL,
+                               type=type, buttons=buttons)
     dialog.set_markup('<big><b>' + primary + '</b></big>')
-    dialog.format_secondary_markup(secondary)
+    dialog.format_secondary_text(secondary)
     response = dialog.run()
     dialog.destroy()
     return response
 
-def error_dialog(primary, secondary):
+def error_dialog(primary, secondary, parent=None):
     """ Display an error dialog with the given message. """
-    return _message_dialog(gtk.MESSAGE_ERROR, primary, secondary)
+    return _message_dialog(Gtk.MessageType.ERROR, primary, secondary, parent)
 
-def info_dialog(primary, secondary):
+def info_dialog(primary, secondary, parent=None):
     """ Display an info dialog with the given message. """
-    return _message_dialog(gtk.MESSAGE_INFO, primary, secondary)
+    return _message_dialog(Gtk.MessageType.INFO, primary, secondary, parent)
 
-def warning_dialog(primary, secondary):
+def warning_dialog(primary, secondary, parent=None):
     """ Display a warning dialog with the given message. """
-    return _message_dialog(gtk.MESSAGE_WARNING, primary, secondary)
+    return _message_dialog(Gtk.MessageType.WARNING, primary, secondary, parent)
 
-def question_dialog(primary, secondary):
+def question_dialog(primary, secondary, parent=None):
     """ Display a dialog with the given question. """
-    return _message_dialog(gtk.MESSAGE_QUESTION, primary, secondary, gtk.BUTTONS_YES_NO)
+    return _message_dialog(Gtk.MessageType.QUESTION, primary, secondary, parent, Gtk.ButtonsType.YES_NO)

=== modified file 'diff.py'
--- diff.py	2008-05-22 02:33:40 +0000
+++ diff.py	2011-09-05 03:44:26 +0000
@@ -1,49 +1,62 @@
-# -*- coding: UTF-8 -*-
 """Difference window.
 
 This module contains the code to manage the diff window which shows
 the changes made between two revisions on a branch.
 """
 
-__copyright__ = "Copyright © 2005 Canonical Ltd."
+__copyright__ = "Copyright 2005 Canonical Ltd."
 __author__    = "Scott James Remnant <scott@ubuntu.com>"
 
 
 from cStringIO import StringIO
 
-import pygtk
-pygtk.require("2.0")
-import gtk
-import pango
+from gi.repository import Gtk
+from gi.repository import Pango
 import os
 import re
 import sys
+import inspect
+try:
+    from xml.etree.ElementTree import Element, SubElement, tostring
+except ImportError:
+    from elementtree.ElementTree import Element, SubElement, tostring
 
 try:
-    import gtksourceview
+    from gi.repository import GtkSource
     have_gtksourceview = True
 except ImportError:
     have_gtksourceview = False
 try:
-    import gconf
+    from gi.repository import GConf
     have_gconf = True
 except ImportError:
     have_gconf = False
 
 from bzrlib import (
+    errors,
     merge as _mod_merge,
     osutils,
-    progress,
     urlutils,
     workingtree,
 )
-from bzrlib.diff import show_diff_trees, internal_diff
-from bzrlib.errors import NoSuchFile
+from bzrlib.diff import show_diff_trees
 from bzrlib.patches import parse_patches
 from bzrlib.trace import warning
-from bzrlib.plugins.gtk import _i18n
+from bzrlib.plugins.gtk.dialog import (
+    error_dialog,
+    info_dialog,
+    warning_dialog,
+    )
+from bzrlib.plugins.gtk.i18n import _i18n
 from bzrlib.plugins.gtk.window import Window
-from dialog import error_dialog, info_dialog, warning_dialog
+
+
+def fallback_guess_language(slm, content_type):
+    for lang_id in slm.get_language_ids():
+        lang = slm.get_language(lang_id)
+        if "text/x-patch" in lang.get_mime_types():
+            return lang
+    return None
 
 
 class SelectCancelled(Exception):
@@ -51,157 +64,132 @@
     pass
 
 
-class DiffFileView(gtk.ScrolledWindow):
+class DiffFileView(Gtk.ScrolledWindow):
     """Window for displaying diffs from a diff file"""
 
     def __init__(self):
-        gtk.ScrolledWindow.__init__(self)
+        super(DiffFileView, self).__init__()
         self.construct()
         self._diffs = {}
 
     def construct(self):
-        self.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
-        self.set_shadow_type(gtk.SHADOW_IN)
+        self.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        self.set_shadow_type(Gtk.ShadowType.IN)
 
         if have_gtksourceview:
-            self.buffer = gtksourceview.SourceBuffer()
-            slm = gtksourceview.SourceLanguagesManager()
-            gsl = slm.get_language_from_mime_type("text/x-patch")
+            self.buffer = GtkSource.Buffer()
+            lang_manager = GtkSource.LanguageManager.get_default()
+            language = lang_manager.guess_language(None, "text/x-patch")
             if have_gconf:
-                self.apply_gedit_colors(gsl)
-            self.apply_colordiff_colors(gsl)
-            self.buffer.set_language(gsl)
-            self.buffer.set_highlight(True)
+                self.apply_gedit_colors(self.buffer)
+            self.apply_colordiff_colors(self.buffer)
+            self.buffer.set_language(language)
+            self.buffer.set_highlight_syntax(True)
 
-            sourceview = gtksourceview.SourceView(self.buffer)
+            self.sourceview = GtkSource.View(buffer=self.buffer)
         else:
-            self.buffer = gtk.TextBuffer()
-            sourceview = gtk.TextView(self.buffer)
+            self.buffer = Gtk.TextBuffer()
+            self.sourceview = Gtk.TextView(self.buffer)
 
-        sourceview.set_editable(False)
-        sourceview.modify_font(pango.FontDescription("Monospace"))
-        self.add(sourceview)
-        sourceview.show()
+        self.sourceview.set_editable(False)
+        self.sourceview.modify_font(Pango.FontDescription("Monospace"))
+        self.add(self.sourceview)
+        self.sourceview.show()
 
     @staticmethod
-    def apply_gedit_colors(lang):
-        """Set style for lang to that specified in gedit configuration.
+    def apply_gedit_colors(buf):
+        """Set style to that specified in gedit configuration.
 
         This method needs the gconf module.
 
-        :param lang: a gtksourceview.SourceLanguage object.
+        :param buf: a GtkSource.Buffer object.
         """
-        GEDIT_SYNTAX_PATH = '/apps/gedit-2/preferences/syntax_highlighting'
-        GEDIT_LANG_PATH = GEDIT_SYNTAX_PATH + '/' + lang.get_id()
-
-        client = gconf.client_get_default()
-        client.add_dir(GEDIT_LANG_PATH, gconf.CLIENT_PRELOAD_NONE)
-
-        for tag in lang.get_tags():
-            tag_id = tag.get_id()
-            gconf_key = GEDIT_LANG_PATH + '/' + tag_id
-            style_string = client.get_string(gconf_key)
-
-            if style_string is None:
-                continue
-
-            # function to get a bool from a string that's either '0' or '1'
-            string_bool = lambda x: bool(int(x))
-
-            # style_string is a string like "2/#FFCCAA/#000000/0/1/0/0"
-            # values are: mask, fg, bg, italic, bold, underline, strike
-            # this packs them into (str_value, attr_name, conv_func) tuples
-            items = zip(style_string.split('/'), ['mask', 'foreground',
-                'background', 'italic', 'bold', 'underline', 'strikethrough' ],
-                [ int, gtk.gdk.color_parse, gtk.gdk.color_parse, string_bool,
-                    string_bool, string_bool, string_bool ]
-            )
-
-            style = gtksourceview.SourceTagStyle()
-
-            # XXX The mask attribute controls whether the present values of
-            # foreground and background color should in fact be used. Ideally
-            # (and that's what gedit does), one could set all three attributes,
-            # and let the TagStyle object figure out which colors to use.
-            # However, in the GtkSourceview python bindings, the mask attribute
-            # is read-only, and it's derived instead from the colors being
-            # set or not. This means that we have to sometimes refrain from
-            # setting fg or bg colors, depending on the value of the mask.
-            # This code could go away if mask were writable.
-            mask = int(items[0][0])
-            if not (mask & 1): # GTK_SOURCE_TAG_STYLE_USE_BACKGROUND
-                items[2:3] = []
-            if not (mask & 2): # GTK_SOURCE_TAG_STYLE_USE_FOREGROUND
-                items[1:2] = []
-            items[0:1] = [] # skip the mask unconditionally
-
-            for value, attr, func in items:
-                try:
-                    value = func(value)
-                except ValueError:
-                    warning('gconf key %s contains an invalid value: %s'
-                            % gconf_key, value)
-                else:
-                    setattr(style, attr, value)
-
-            lang.set_tag_style(tag_id, style)
+        GEDIT_SCHEME_PATH = '/apps/gedit-2/preferences/editor/colors/scheme'
+        GEDIT_USER_STYLES_PATH = os.path.expanduser('~/.gnome2/gedit/styles')
+
+        client = GConf.Client.get_default()
+        style_scheme_name = client.get_string(GEDIT_SCHEME_PATH)
+        if style_scheme_name is not None:
+            style_scheme_mgr = GtkSource.StyleSchemeManager()
+            style_scheme_mgr.append_search_path(GEDIT_USER_STYLES_PATH)
+            
+            style_scheme = style_scheme_mgr.get_scheme(style_scheme_name)
+            
+            if style_scheme is not None:
+                buf.set_style_scheme(style_scheme)
 
     @classmethod
-    def apply_colordiff_colors(klass, lang):
+    def apply_colordiff_colors(klass, buf):
         """Set style colors for lang using the colordiff configuration file.
 
         Both ~/.colordiffrc and ~/.colordiffrc.bzr-gtk are read.
 
-        :param lang: a "Diff" gtksourceview.SourceLanguage object.
+        :param buf: a "Diff" GtkSource.Buffer object.
         """
-        colors = {}
-
-        for f in ('~/.colordiffrc', '~/.colordiffrc.bzr-gtk'):
-            f = os.path.expanduser(f)
-            if os.path.exists(f):
-                try:
-                    f = file(f)
-                except IOError, e:
-                    warning('could not open file %s: %s' % (f, str(e)))
-                else:
-                    colors.update(klass.parse_colordiffrc(f))
-                    f.close()
-
-        if not colors:
-            # ~/.colordiffrc does not exist
-            return
-
-        mapping = {
-                # map GtkSourceView tags to colordiff names
+        scheme_manager = GtkSource.StyleSchemeManager()
+        style_scheme = scheme_manager.get_scheme('colordiff')
+        
+        # if style scheme not found, we'll generate it from colordiffrc
+        # TODO: reload if colordiffrc has changed.
+        if style_scheme is None:
+            colors = {}
+
+            for f in ('~/.colordiffrc', '~/.colordiffrc.bzr-gtk'):
+                f = os.path.expanduser(f)
+                if os.path.exists(f):
+                    try:
+                        f = file(f)
+                    except IOError, e:
+                        warning('could not open file %s: %s' % (f, str(e)))
+                    else:
+                        colors.update(klass.parse_colordiffrc(f))
+                        f.close()
+
+            if not colors:
+                # ~/.colordiffrc does not exist
+                return
+            
+            mapping = {
+                # map GtkSourceView2 scheme styles to colordiff names
                 # since GSV is richer, accept new names for extra bits,
                 # defaulting to old names if they're not present
-                'Added@32@line': ['newtext'],
-                'Removed@32@line': ['oldtext'],
-                'Location': ['location', 'diffstuff'],
-                'Diff@32@file': ['file', 'diffstuff'],
-                'Special@32@case': ['specialcase', 'diffstuff'],
-        }
-
-        for tag in lang.get_tags():
-            tag_id = tag.get_id()
-            keys = mapping.get(tag_id, [])
-            color = None
-
-            for key in keys:
-                color = colors.get(key, None)
-                if color is not None:
-                    break
-
-            if color is None:
-                continue
-
-            style = gtksourceview.SourceTagStyle()
-            try:
-                style.foreground = gtk.gdk.color_parse(color)
-            except ValueError:
-                warning('not a valid color: %s' % color)
-            else:
-                lang.set_tag_style(tag_id, style)
+                'diff:added-line': ['newtext'],
+                'diff:removed-line': ['oldtext'],
+                'diff:location': ['location', 'diffstuff'],
+                'diff:file': ['file', 'diffstuff'],
+                'diff:special-case': ['specialcase', 'diffstuff'],
+            }
+            
+            converted_colors = {}
+            for name, values in mapping.items():
+                color = None
+                for value in values:
+                    color = colors.get(value, None)
+                    if color is not None:
+                        break
+                if color is None:
+                    continue
+                converted_colors[name] = color
+            
+            # some xml magic to produce needed style scheme description
+            e_style_scheme = Element('style-scheme')
+            e_style_scheme.set('id', 'colordiff')
+            e_style_scheme.set('_name', 'ColorDiff')
+            e_style_scheme.set('version', '1.0')
+            for name, color in converted_colors.items():
+                style = SubElement(e_style_scheme, 'style')
+                style.set('name', name)
+                style.set('foreground', '#%s' % color)
+            
+            scheme_xml = tostring(e_style_scheme, 'UTF-8')
+            if not os.path.exists(os.path.expanduser('~/.local/share/gtksourceview-2.0/styles')):
+                os.makedirs(os.path.expanduser('~/.local/share/gtksourceview-2.0/styles'))
+            file(os.path.expanduser('~/.local/share/gtksourceview-2.0/styles/colordiff.xml'), 'w').write(scheme_xml)
+            
+            scheme_manager.force_rescan()
+            style_scheme = scheme_manager.get_scheme('colordiff')
+        
+        buf.set_style_scheme(style_scheme)
 
     @staticmethod
     def parse_colordiffrc(fileobj):
@@ -262,7 +250,7 @@
     """This is the soft and chewy filling for a DiffWindow."""
 
     def __init__(self):
-        DiffFileView.__init__(self)
+        super(DiffView, self).__init__()
         self.rev_tree = None
         self.parent_tree = None
 
@@ -292,7 +280,7 @@
         self.buffer.set_text(decoded.encode('UTF-8'))
 
 
-class DiffWidget(gtk.HPaned):
+class DiffWidget(Gtk.HPaned):
     """Diff widget
 
     """
@@ -300,24 +288,24 @@
         super(DiffWidget, self).__init__()
 
         # The file hierarchy: a scrollable treeview
-        scrollwin = gtk.ScrolledWindow()
-        scrollwin.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
-        scrollwin.set_shadow_type(gtk.SHADOW_IN)
+        scrollwin = Gtk.ScrolledWindow()
+        scrollwin.set_policy(Gtk.PolicyType.NEVER, Gtk.PolicyType.AUTOMATIC)
+        scrollwin.set_shadow_type(Gtk.ShadowType.IN)
         self.pack1(scrollwin)
         scrollwin.show()
-
-        self.model = gtk.TreeStore(str, str)
-        self.treeview = gtk.TreeView(self.model)
+        
+        self.model = Gtk.TreeStore(str, str)
+        self.treeview = Gtk.TreeView(model=self.model)
         self.treeview.set_headers_visible(False)
         self.treeview.set_search_column(1)
         self.treeview.connect("cursor-changed", self._treeview_cursor_cb)
         scrollwin.add(self.treeview)
         self.treeview.show()
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("width-chars", 20)
-        column = gtk.TreeViewColumn()
-        column.pack_start(cell, expand=True)
+        column = Gtk.TreeViewColumn()
+        column.pack_start(cell, True)
         column.add_attribute(cell, "text", 0)
         self.treeview.append_column(column)
 
@@ -330,9 +318,10 @@
         # text view
 
     def set_diff_text_sections(self, sections):
-        self.diff_view = DiffFileView()
+        if getattr(self, 'diff_view', None) is None:
+            self.diff_view = DiffFileView()
+            self.pack2(self.diff_view)
         self.diff_view.show()
-        self.pack2(self.diff_view)
         for oldname, newname, patch in sections:
             self.diff_view._diffs[newname] = str(patch)
             if newname is None:
@@ -346,8 +335,9 @@
         Compares the two trees and populates the window with the
         differences.
         """
-        self.diff_view = DiffView()
-        self.pack2(self.diff_view)
+        if getattr(self, 'diff_view', None) is None:
+            self.diff_view = DiffView()
+            self.pack2(self.diff_view)
         self.diff_view.show()
         self.diff_view.set_trees(rev_tree, parent_tree)
         self.rev_tree = rev_tree
@@ -380,6 +370,7 @@
                 self.model.append(titer, [ path, path ])
 
         self.treeview.expand_all()
+        self.diff_view.show_diff(None)
 
     def set_file(self, file_path):
         """Select the current file to display"""
@@ -390,8 +381,8 @@
                     tv_path = child.path
                     break
         if tv_path is None:
-            raise NoSuchFile(file_path)
-        self.treeview.set_cursor(tv_path)
+            raise errors.NoSuchFile(file_path)
+        self.treeview.set_cursor(tv_path, None, False)
         self.treeview.scroll_to_cell(tv_path)
 
     def _treeview_cursor_cb(self, *args):
@@ -402,9 +393,15 @@
             return
         elif specific_files == [ "" ]:
             specific_files = None
-
+        
         self.diff_view.show_diff(specific_files)
-
+    
+    def _on_wraplines_toggled(self, widget=None, wrap=False):
+        """Callback for when the wrap lines checkbutton is toggled"""
+        if wrap or widget.get_active():
+            self.diff_view.sourceview.set_wrap_mode(Gtk.WrapMode.WORD)
+        else:
+            self.diff_view.sourceview.set_wrap_mode(Gtk.WrapMode.NONE)
 
 class DiffWindow(Window):
     """Diff window.
@@ -414,7 +411,7 @@
     """
 
     def __init__(self, parent=None, operations=None):
-        Window.__init__(self, parent)
+        super(DiffWindow, self).__init__(parent=parent)
         self.set_border_width(0)
         self.set_title("bzrk diff")
 
@@ -428,16 +425,37 @@
 
     def construct(self, operations):
         """Construct the window contents."""
-        self.vbox = gtk.VBox()
+        self.vbox = Gtk.VBox()
         self.add(self.vbox)
         self.vbox.show()
+        self.diff = DiffWidget()
+        self.vbox.pack_end(self.diff, True, True, 0)
+        self.diff.show_all()
+        # Build after DiffWidget to connect signals
+        menubar = self._get_menu_bar()
+        self.vbox.pack_start(menubar, False, False, 0)
         hbox = self._get_button_bar(operations)
         if hbox is not None:
-            self.vbox.pack_start(hbox, expand=False, fill=True)
-        self.diff = DiffWidget()
-        self.vbox.add(self.diff)
-        self.diff.show_all()
-
+            self.vbox.pack_start(hbox, False, True, 0)
+        
+    
+    def _get_menu_bar(self):
+        menubar = Gtk.MenuBar()
+        # View menu
+        mb_view = Gtk.MenuItem.new_with_mnemonic(_i18n("_View"))
+        mb_view_menu = Gtk.Menu()
+        mb_view_wrapsource = Gtk.CheckMenuItem.new_with_mnemonic(
+            _i18n("Wrap _Long Lines"))
+        mb_view_wrapsource.connect('activate', self.diff._on_wraplines_toggled)
+        mb_view_wrapsource.show()
+        mb_view_menu.append(mb_view_wrapsource)
+        mb_view.show()
+        mb_view.set_submenu(mb_view_menu)
+        mb_view.show()
+        menubar.append(mb_view)
+        menubar.show()
+        return menubar
+    
     def _get_button_bar(self, operations):
         """Return a button bar to use.
 
@@ -445,26 +463,26 @@
         """
         if operations is None:
             return None
-        hbox = gtk.HButtonBox()
-        hbox.set_layout(gtk.BUTTONBOX_START)
+        hbox = Gtk.HButtonBox()
+        hbox.set_layout(Gtk.ButtonBoxStyle.START)
         for title, method in operations:
-            merge_button = gtk.Button(title)
+            merge_button = Gtk.Button(title)
             merge_button.show()
-            merge_button.set_relief(gtk.RELIEF_NONE)
+            merge_button.set_relief(Gtk.ReliefStyle.NONE)
             merge_button.connect("clicked", method)
             hbox.pack_start(merge_button, expand=False, fill=True)
         hbox.show()
         return hbox
 
     def _get_merge_target(self):
-        d = gtk.FileChooserDialog('Merge branch', self,
-                                  gtk.FILE_CHOOSER_ACTION_SELECT_FOLDER,
-                                  buttons=(gtk.STOCK_OK, gtk.RESPONSE_OK,
-                                           gtk.STOCK_CANCEL,
-                                           gtk.RESPONSE_CANCEL,))
+        d = Gtk.FileChooserDialog('Merge branch', self,
+                                  Gtk.FileChooserAction.SELECT_FOLDER,
+                                  buttons=(Gtk.STOCK_OK, Gtk.ResponseType.OK,
+                                           Gtk.STOCK_CANCEL,
+                                           Gtk.ResponseType.CANCEL,))
         try:
             result = d.run()
-            if result != gtk.RESPONSE_OK:
+            if result != Gtk.ResponseType.OK:
                 raise SelectCancelled()
             return d.get_current_folder_uri()
         finally:
@@ -484,15 +502,15 @@
         error_dialog('Error', str(e))
 
     def _get_save_path(self, basename):
-        d = gtk.FileChooserDialog('Save As', self,
-                                  gtk.FILE_CHOOSER_ACTION_SAVE,
-                                  buttons=(gtk.STOCK_OK, gtk.RESPONSE_OK,
-                                           gtk.STOCK_CANCEL,
-                                           gtk.RESPONSE_CANCEL,))
+        d = Gtk.FileChooserDialog('Save As', self,
+                                  Gtk.FileChooserAction.SAVE,
+                                  buttons=(Gtk.STOCK_OK, Gtk.ResponseType.OK,
+                                           Gtk.STOCK_CANCEL,
+                                           Gtk.ResponseType.CANCEL,))
         d.set_current_name(basename)
         try:
             result = d.run()
-            if result != gtk.RESPONSE_OK:
+            if result != Gtk.ResponseType.OK:
                 raise SelectCancelled()
             return urlutils.local_path_from_url(d.get_uri())
         finally:
@@ -513,9 +531,10 @@
 
 class DiffController(object):
 
-    def __init__(self, path, patch, window=None):
+    def __init__(self, path, patch, window=None, allow_dirty=False):
         self.path = path
         self.patch = patch
+        self.allow_dirty = allow_dirty
         if window is None:
             window = DiffWindow(operations=self._provide_operations())
             self.initialize_window(window)
@@ -527,7 +546,12 @@
 
     def get_diff_sections(self):
         yield "Complete Diff", None, ''.join(self.patch)
-        for patch in parse_patches(self.patch):
+        # allow_dirty was added to parse_patches in bzrlib 2.2b1
+        if 'allow_dirty' in inspect.getargspec(parse_patches).args:
+            patches = parse_patches(self.patch, allow_dirty=self.allow_dirty)
+        else:
+            patches = parse_patches(self.patch)
+        for patch in patches:
             oldname = patch.oldname.split('\t')[0]
             newname = patch.newname.split('\t')[0]
             yield oldname, newname, str(patch)
@@ -554,8 +578,8 @@
 class MergeDirectiveController(DiffController):
 
     def __init__(self, path, directive, window=None):
-        DiffController.__init__(self, path, directive.patch.splitlines(True),
-                                window)
+        super(MergeDirectiveController, self).__init__(
+            path, directive.patch.splitlines(True), window)
         self.directive = directive
         self.merge_target = None
 
@@ -572,9 +596,10 @@
         tree.lock_write()
         try:
             try:
-                merger, verified = _mod_merge.Merger.from_mergeable(tree,
-                    self.directive, progress.DummyProgress())
-                merger.check_basis(True)
+                if tree.has_changes():
+                    raise errors.UncommittedChanges(tree)
+                merger, verified = _mod_merge.Merger.from_mergeable(
+                    tree, self.directive, pb=None)
                 merger.merge_type = _mod_merge.Merge3Merger
                 conflict_count = merger.do_merge()
                 merger.set_pending()
@@ -606,6 +631,7 @@
     renamed_and_modified = 'renamed and modified'
     modified = 'modified'
     kind_changed = 'kind changed'
+    missing = 'missing'
 
     # TODO: Handle metadata changes
 
@@ -626,9 +652,15 @@
                     source_marker = ''
                 else:
                     source_marker = osutils.kind_marker(kinds[0])
+
                 if kinds[1] is None:
-                    assert kinds[0] is not None
-                    marker = osutils.kind_marker(kinds[0])
+                    if kinds[0] is None:
+                        # We assume bzr will flag only files in that case,
+                        # there may be a bzr bug there as only files seems to
+                        # not receive any kind.
+                        marker = osutils.kind_marker('file')
+                    else:
+                        marker = osutils.kind_marker(kinds[0])
                 else:
                     marker = osutils.kind_marker(kinds[1])
 
@@ -636,17 +668,20 @@
                 if real_path is None:
                     real_path = paths[0]
                 assert real_path is not None
-                display_path = real_path + marker
 
                 present_source = versioned[0] and kinds[0] is not None
                 present_target = versioned[1] and kinds[1] is not None
 
-                if present_source != present_target:
+                if kinds[0] is None and kinds[1] is None:
+                    change_type = missing
+                    display_path = real_path + marker
+                elif present_source != present_target:
                     if present_target:
                         change_type = added
                     else:
                         assert present_source
                         change_type = removed
+                    display_path = real_path + marker
                 elif names[0] != names[1] or parent_ids[0] != parent_ids[1]:
                     # Renamed
                     if changed_content or executables[0] != executables[1]:
@@ -660,8 +695,9 @@
                     change_type = kind_changed
                     display_path = (paths[0] + source_marker
                                     + ' => ' + paths[1] + marker)
-                elif changed_content is True or executables[0] != executables[1]:
+                elif changed_content or executables[0] != executables[1]:
                     change_type = modified
+                    display_path = real_path + marker
                 else:
                     assert False, "How did we get here?"
 

=== modified file 'errors.py'
--- errors.py	2008-05-05 18:16:46 +0000
+++ errors.py	2011-04-10 18:44:39 +0000
@@ -14,9 +14,12 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-import bzrlib.errors as errors
-from bzrlib.plugins.gtk import _i18n
-from dialog import error_dialog
+from bzrlib import errors
+from bzrlib.plugins.gtk.dialog import (
+    error_dialog,
+    info_dialog,
+    )
+from bzrlib.plugins.gtk.i18n import _i18n
 
 
 def show_bzr_error(unbound):
@@ -33,6 +36,9 @@
         except errors.PointlessCommit:
             error_dialog(_i18n('No changes to commit'),
                          _i18n('Try force commit if you want to commit anyway.'))
+        except errors.PointlessMerge:
+            info_dialog(_i18n('No changes to merge'),
+                         _i18n('Merge location is already fully merged in working tree.'))
         except errors.ConflictsInTree:
             error_dialog(_i18n('Conflicts in tree'),
                          _i18n('You need to resolve the conflicts before committing.'))

=== removed file 'genpot.sh'
--- genpot.sh	2008-05-05 18:16:46 +0000
+++ genpot.sh	1970-01-01 00:00:00 +0000
@@ -1,43 +0,0 @@
-#!/bin/sh
-
-# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-# Generate translation template
-
-if [ "$1" = "" ]; then
-    POT=po/olive-gtk.pot
-else
-    # Used for debugging
-    POT=$1 
-fi
-
-XGETTEXT="xgettext -o $POT"
-PY_XGETTEXT="$XGETTEXT -L python --from-code=ASCII --keyword=_i18n"
-
-if [ -x $POT ]; then
-    rm $POT
-    touch $POT
-else
-    touch $POT
-fi
-$PY_XGETTEXT olive-gtk
-$XGETTEXT -j olive.glade
-
-for d in . annotate branchview olive preferences viz ;
-do
-   $PY_XGETTEXT -j $d/*.py
-done

=== added file 'i18n.py'
--- i18n.py	1970-01-01 00:00:00 +0000
+++ i18n.py	2011-04-10 18:44:39 +0000
@@ -0,0 +1,34 @@
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+from gettext import (
+    gettext,
+    textdomain,
+    bindtextdomain,
+    bind_textdomain_codeset,
+    )
+
+# FIXME: We should find out LOCALEDIR at compile or run time. The current
+# hardcoded path will work for most distributions, but not for e.g.
+# Solaris and
+# Windows
+GETTEXT_PACKAGE = 'bzr-gtk'
+LOCALEDIR = '/usr/share/locale'
+
+bindtextdomain(GETTEXT_PACKAGE, LOCALEDIR)
+bind_textdomain_codeset(GETTEXT_PACKAGE, 'UTF-8')
+textdomain(GETTEXT_PACKAGE)
+
+def _i18n(text):
+    return gettext(text)

=== added file 'icons/bzr-panel.svg'
--- icons/bzr-panel.svg	1970-01-01 00:00:00 +0000
+++ icons/bzr-panel.svg	2010-10-20 00:38:43 +0000
@@ -0,0 +1,123 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:xlink="http://www.w3.org/1999/xlink"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   width="125.3576"
+   height="127.96403"
+   id="svg2393"
+   sodipodi:version="0.32"
+   inkscape:version="0.46"
+   version="1.0"
+   sodipodi:docname="bzr-logo.svg"
+   inkscape:output_extension="org.inkscape.output.svg.inkscape">
+  <defs
+     id="defs2395">
+    <linearGradient
+       id="linearGradient5444">
+      <stop
+         id="stop5446"
+         offset="0"
+         style="stop-color:#729fcf;stop-opacity:1;" />
+      <stop
+         style="stop-color:#3465a4;stop-opacity:1;"
+         offset="0.5"
+         id="stop4547" />
+      <stop
+         id="stop5448"
+         offset="1"
+         style="stop-color:#204ab7;stop-opacity:1;" />
+    </linearGradient>
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5444"
+       id="linearGradient2200"
+       x1="372.24512"
+       y1="69.037941"
+       x2="372.24512"
+       y2="0"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1.027169,0,0,1,571.72345,145.71693)" />
+    <inkscape:perspective
+       sodipodi:type="inkscape:persp3d"
+       inkscape:vp_x="0 : 526.18109 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_z="744.09448 : 526.18109 : 1"
+       inkscape:persp3d-origin="372.04724 : 350.78739 : 1"
+       id="perspective2401" />
+  </defs>
+  <sodipodi:namedview
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1.0"
+     gridtolerance="10000"
+     guidetolerance="10"
+     objecttolerance="10"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="0.35"
+     inkscape:cx="375"
+     inkscape:cy="520"
+     inkscape:document-units="px"
+     inkscape:current-layer="layer1"
+     showgrid="false"
+     inkscape:window-width="642"
+     inkscape:window-height="716"
+     inkscape:window-x="0"
+     inkscape:window-y="26" />
+  <metadata
+     id="metadata2398">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+      </cc:Work>
+    </rdf:RDF>
+  </metadata>
+  <g
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer"
+     id="layer1"
+     transform="translate(-580.17834,-151.23731)">
+    <path
+       style="opacity:1;fill:url(#linearGradient2200);fill-opacity:1;stroke:none;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1;display:inline"
+       d="M 588.19225,214.74818 L 703.94225,214.74818 C 703.0194,210.71454 649.52368,155.39489 646.56725,155.46693 C 644.54816,155.51613 591.83132,209.09818 588.19225,214.74818 z"
+       id="rect1307"
+       inkscape:export-filename="/home/matt/BZR Header.png"
+       inkscape:export-xdpi="96"
+       inkscape:export-ydpi="96" />
+    <g
+       style="opacity:1;display:inline"
+       id="g3653"
+       transform="translate(754.85055,325.08453)"
+       inkscape:export-filename="/home/matt/Projects/Ubuntu/Bazaar Website/bzr icon 64.png"
+       inkscape:export-xdpi="45.012665"
+       inkscape:export-ydpi="45.012665">
+      <path
+         id="path2749"
+         d="M -143.51431,-75.4275 C -158.48768,-90.57687 -171.17625,-103.66019 -171.7111,-104.50153 C -174.63909,-109.10738 -172.34363,-112.16647 -143.7155,-141.81059 C -119.96256,-166.4065 -114.08422,-171.84722 -111.26302,-171.84722 C -108.45655,-171.84722 -102.57922,-166.49332 -79.566158,-142.97326 C -59.704508,-122.67403 -51.314608,-113.24681 -51.314608,-111.22876 C -51.314608,-107.03298 -109.21126,-47.88319 -113.31814,-47.88319 C -115.49463,-47.88319 -123.57621,-55.25503 -143.51431,-75.4275 z"
+         style="opacity:1;fill:#fce94f;fill-opacity:1;stroke:#fce94f;stroke-width:4;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1;display:inline" />
+      <path
+         id="path2721"
+         d="M -118.75152,-74.850683 C -119.22012,-75.319283 -119.60352,-85.958443 -119.60352,-98.493313 L -119.60352,-121.28395 L -124.85215,-121.28395 C -131.2088,-121.28395 -131.22918,-121.19503 -121.27316,-136.90004 C -116.77235,-143.99978 -113.38241,-148.09169 -112.19584,-147.85705 C -110.34853,-147.49175 -95.321883,-124.90849 -95.321883,-122.4975 C -95.321883,-121.83004 -97.640303,-121.28395 -100.47393,-121.28395 C -103.84689,-121.28395 -105.87693,-120.6299 -106.35276,-119.38989 C -107.55959,-116.24495 -103.45251,-106.32746 -97.296233,-97.520823 C -90.988133,-88.497013 -90.461803,-86.665103 -93.461883,-84.175253 C -95.128693,-82.791933 -96.185063,-83.268713 -100.25177,-87.239733 C -102.90055,-89.826193 -105.46285,-91.547323 -105.94572,-91.064423 C -106.42862,-90.581523 -106.8237,-86.544203 -106.8237,-82.092573 L -106.8237,-73.998703 L -112.36162,-73.998703 C -115.40746,-73.998703 -118.28294,-74.382103 -118.75152,-74.850683 z"
+         style="opacity:1;fill:#c4a000;fill-opacity:1;stroke:#c4a000;display:inline" />
+      <path
+         id="path2727"
+         d="M -120.75152,-76.85072 C -121.22012,-77.31932 -121.60352,-87.95848 -121.60352,-100.49335 L -121.60352,-123.28399 L -126.85215,-123.28399 C -133.2088,-123.28399 -133.22918,-123.19507 -123.27316,-138.90007 C -118.77235,-145.99981 -115.38241,-150.09172 -114.19584,-149.85708 C -112.34853,-149.49178 -97.321888,-126.90852 -97.321888,-124.49754 C -97.321888,-123.83008 -99.640308,-123.28399 -102.47393,-123.28399 C -105.84689,-123.28399 -107.87693,-122.62994 -108.35276,-121.38993 C -109.55959,-118.24499 -105.45251,-108.3275 -99.296238,-99.52086 C -92.988138,-90.49705 -92.461808,-88.66514 -95.461888,-86.17529 C -97.128698,-84.79197 -98.185068,-85.26875 -102.25177,-89.23977 C -104.90055,-91.82623 -107.46285,-93.54736 -107.94572,-93.06446 C -108.42862,-92.58156 -108.8237,-88.54424 -108.8237,-84.09261 L -108.8237,-75.99874 L -114.36162,-75.99874 C -117.40746,-75.99874 -120.28294,-76.38214 -120.75152,-76.85072 z"
+         style="opacity:1;fill:#555753;fill-opacity:1;stroke:#2e3436;stroke-opacity:1;display:inline" />
+      <path
+         d="M -143.51431,-75.4275 C -158.48768,-90.57687 -171.17625,-103.66019 -171.7111,-104.50153 C -174.63909,-109.10738 -172.34363,-112.16647 -143.7155,-141.81059 C -119.96256,-166.4065 -114.08422,-171.84722 -111.26302,-171.84722 C -108.45655,-171.84722 -102.57922,-166.49332 -79.566162,-142.97326 C -59.704512,-122.67403 -51.314612,-113.24681 -51.314612,-111.22876 C -51.314612,-107.03298 -109.21126,-47.88319 -113.31814,-47.88319 C -115.49463,-47.88319 -123.57621,-55.25503 -143.51431,-75.4275 z M -82.734602,-78.80831 C -63.284082,-98.78654 -53.870592,-109.3496 -53.870592,-111.19708 C -53.870592,-114.35673 -108.28764,-170.68595 -111.26979,-170.61328 C -113.31427,-170.56346 -167.39892,-115.6112 -169.81635,-111.12752 C -171.82156,-107.40842 -170.53236,-105.76188 -145.24612,-79.74648 C -117.66227,-51.36719 -115.36413,-49.16116 -113.38369,-49.16116 C -112.40192,-49.16116 -98.609822,-62.50237 -82.734602,-78.80831 z"
+         style="opacity:1;fill:#555753;fill-opacity:1;stroke:#2e3436;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1;display:inline"
+         id="path2736" />
+    </g>
+  </g>
+</svg>

=== added file 'icons/emblem-bzr-ignored.svg'
--- icons/emblem-bzr-ignored.svg	1970-01-01 00:00:00 +0000
+++ icons/emblem-bzr-ignored.svg	2009-08-24 05:45:14 +0000
@@ -0,0 +1,175 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:xlink="http://www.w3.org/1999/xlink"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   width="47.999989"
+   height="48.000156"
+   id="svg2"
+   sodipodi:version="0.32"
+   inkscape:version="0.46"
+   sodipodi:docname="emblem-bzr-ignored.svg"
+   inkscape:output_extension="org.inkscape.output.svg.inkscape"
+   version="1.0">
+  <defs
+     id="defs4"><inkscape:perspective
+   sodipodi:type="inkscape:persp3d"
+   inkscape:vp_x="0 : 526.18109 : 1"
+   inkscape:vp_y="0 : 1000 : 0"
+   inkscape:vp_z="744.09448 : 526.18109 : 1"
+   inkscape:persp3d-origin="372.04724 : 350.78739 : 1"
+   id="perspective10" />
+<inkscape:perspective
+   id="perspective2810"
+   inkscape:persp3d-origin="24 : 16 : 1"
+   inkscape:vp_z="48 : 24 : 1"
+   inkscape:vp_y="0 : 1000 : 0"
+   inkscape:vp_x="0 : 24 : 1"
+   sodipodi:type="inkscape:persp3d" />
+
+	
+
+		
+	<linearGradient
+   inkscape:collect="always"
+   xlink:href="#path2394_1_"
+   id="linearGradient2854"
+   gradientUnits="userSpaceOnUse"
+   gradientTransform="matrix(3.3933,0,0,-3.4122,218.9189,318.1022)"
+   x1="-61.669102"
+   y1="89.502403"
+   x2="-66.316704"
+   y2="102.8654" />
+
+			
+			
+				
+			
+				
+			
+				
+			
+			
+		</defs>
+  <sodipodi:namedview
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1.0"
+     gridtolerance="10000"
+     guidetolerance="10"
+     objecttolerance="10"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="11.2"
+     inkscape:cx="26.312796"
+     inkscape:cy="20.859372"
+     inkscape:document-units="px"
+     inkscape:current-layer="layer1"
+     showgrid="false"
+     inkscape:window-width="1440"
+     inkscape:window-height="815"
+     inkscape:window-x="0"
+     inkscape:window-y="33" />
+  <metadata
+     id="metadata7">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+      </cc:Work>
+    </rdf:RDF>
+  </metadata>
+  <g
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer"
+     id="layer1"
+     transform="translate(-402.78946,-590.46098)">
+    <g
+       id="g3730">
+      <path
+         d="M 450.78945,614.57487 C 450.78945,627.76661 440.04465,638.46113 426.78945,638.46113 C 413.53426,638.46113 402.78946,627.76661 402.78946,614.57487 C 402.78946,601.38313 413.53426,590.68861 426.78945,590.68861 C 440.04465,590.68861 450.78945,601.38313 450.78945,614.57487 L 450.78945,614.57487 z"
+         id="path1880"
+         style="fill:#cecece;fill-opacity:1" />
+      <path
+         d="M 410.65906,604.57402 L 442.70145,604.38984 L 426.84705,631.00774 L 410.65906,604.57402 z"
+         randomized="0"
+         rounded="-5.8980598e-17"
+         flatsided="true"
+         arg2="2.3170736"
+         arg1="1.2698761"
+         r2="1.1936886"
+         r1="2.387377"
+         cy="4.4422603"
+         cx="5.0319409"
+         sides="3"
+         type="star"
+         id="path1876"
+         style="fill:#ffffff;stroke:#ffffff;stroke-width:0.62367463;stroke-linecap:round;stroke-linejoin:round" />
+      <a
+         transform="matrix(0.8635686,0,0,-0.8635686,58.384145,1148.9732)"
+         id="a3656">
+        <rect
+           style="fill:#cecece;fill-opacity:1;stroke:#cecece;stroke-width:0.81032175;stroke-linecap:round;stroke-linejoin:round;stroke-opacity:1"
+           id="rect1878"
+           x="424.77585"
+           y="605.72937"
+           width="3.9887989"
+           height="11.656094" />
+      </a>
+      <rect
+         transform="scale(1,-1)"
+         height="2.9972355"
+         width="4.0166292"
+         y="-612.50317"
+         x="424.97717"
+         id="rect1880"
+         style="fill:#cecece;fill-opacity:1;stroke:#cecece;stroke-width:0.41237092;stroke-linecap:round;stroke-linejoin:round;stroke-opacity:1" />
+      <polygon
+         transform="matrix(2.3999994,0,0,2.3919749,400.38946,588.22966)"
+         points="5.148,9.137 12.528,7.054 13.806,11.666 6.427,13.749 5.148,9.137 "
+         id="rect2942"
+         style="fill:none" />
+      <g
+         label="Layer 1"
+         transform="matrix(3.3932944,0,0,3.4122168,400.02647,587.51282)"
+         id="g1972">
+				
+					<linearGradient
+   gradientTransform="matrix(3.3933,0,0,-3.4122,218.9189,318.1022)"
+   y2="102.8654"
+   x2="-66.316704"
+   y1="89.502403"
+   x1="-61.669102"
+   gradientUnits="userSpaceOnUse"
+   id="path2394_1_">
+					<stop
+   id="stop2800"
+   style="stop-color:#EEEEEC"
+   offset="0" />
+
+					<stop
+   id="stop2802"
+   style="stop-color:#EEEEEC"
+   offset="1" />
+
+				</linearGradient>
+
+				<path
+   d="M 7.943,0.864 C 4.039,0.864 0.849,4 0.849,7.864 C 0.849,8.086 0.863,8.408 0.884,8.624 C 1.34,8.366 1.738,8.039 2.268,7.809 C 3.793,7.148 5.583,6.483 7.599,6.114 C 9.614,5.745 11.805,5.551 14.13,5.551 C 14.274,5.551 14.393,5.581 14.536,5.582 C 13.571,2.854 11.028,0.864 7.943,0.864 z"
+   nodetypes="cscssscc"
+   id="path2394"
+   style="fill:url(#linearGradient2854)" />
+
+			</g>
+    </g>
+  </g>
+</svg>

=== added file 'info.py'
--- info.py	1970-01-01 00:00:00 +0000
+++ info.py	2011-12-11 17:14:12 +0000
@@ -0,0 +1,32 @@
+#!/usr/bin/env python
+# API Info for bzr-gtk
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+bzr_plugin_name = "gtk"
+
+# versions ending in 'exp' mean experimental mappings
+# versions ending in 'dev' mean development version
+# versions ending in 'final' mean release (well tested, etc)
+bzr_plugin_version = (0, 104, 0, 'dev', 0)
+
+#FIXME: fill this in automatically somehow
+bzr_commands = []
+
+bzr_compatible_versions = [(2, 1, 0), (2, 2, 0), (2, 3, 0), (2, 4, 0), (2, 5, 0)]
+
+bzr_minimum_version = bzr_compatible_versions[0]
+
+bzr_maximum_version = bzr_compatible_versions[-1]

=== modified file 'initialize.py'
--- initialize.py	2008-05-05 18:16:46 +0000
+++ initialize.py	2011-09-05 03:44:26 +0000
@@ -14,43 +14,43 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
+from gi.repository import GObject
+from gi.repository import Gtk
 
 import os
 
-from dialog import error_dialog
-from errors import show_bzr_error
-
-from bzrlib import bzrdir
-from bzrlib import transport
-import bzrlib.errors as errors
-from bzrlib.plugins.gtk import _i18n
-
-class InitDialog(gtk.Dialog):
+from bzrlib import (
+    bzrdir,
+    errors,
+    transport,
+    )
+
+from bzrlib.plugins.gtk.dialog import error_dialog
+from bzrlib.plugins.gtk.errors import show_bzr_error
+from bzrlib.plugins.gtk.i18n import _i18n
+
+
+class InitDialog(Gtk.Dialog):
     """ Initialize dialog. """
+
     def __init__(self, path, parent=None):
         """ Initialize the Initialize dialog. """
-        gtk.Dialog.__init__(self, title="Initialize - Olive",
-                                  parent=parent,
-                                  flags=0,
-                                  buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
+        super(InitDialog, self).__init__(
+            title="Initialize - Olive", parent=parent, flags=0,
+            buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
         
         # Get arguments
         self.path = path
         
         # Create the widgets
-        self._button_init = gtk.Button(_i18n("_Initialize"), use_underline=True)
-        self._label_question = gtk.Label(_i18n("Which directory do you want to initialize?"))
-        self._radio_current = gtk.RadioButton(None, _i18n("Current directory"))
-        self._radio_custom = gtk.RadioButton(self._radio_current, _i18n("Create a new directory with the name:"))
-        self._entry_custom = gtk.Entry()
-        self._hbox_custom = gtk.HBox()
+        self._button_init = Gtk.Button(_i18n("_Initialize"), use_underline=True)
+        self._label_question = Gtk.Label(label=_i18n("Which directory do you want to initialize?"))
+        self._radio_current = Gtk.RadioButton.new_with_label(
+            None, _i18n("Current directory"))
+        self._radio_custom = Gtk.RadioButton.new_with_label_from_widget(
+            self._radio_current, _i18n("Create a new directory with the name:"))
+        self._entry_custom = Gtk.Entry()
+        self._hbox_custom = Gtk.HBox()
         
         # Set callbacks
         self._button_init.connect('clicked', self._on_init_clicked)
@@ -60,17 +60,18 @@
         self._entry_custom.set_sensitive(False)
         
         # Construct the dialog
-        self.action_area.pack_end(self._button_init)
-        
-        self._hbox_custom.pack_start(self._radio_custom, False, False)
-        self._hbox_custom.pack_start(self._entry_custom, True, True)
-        
-        self.vbox.pack_start(self._label_question)
-        self.vbox.pack_start(self._radio_current)
-        self.vbox.pack_start(self._hbox_custom)
+        self.action_area.pack_end(self._button_init, False, False, 0)
+        
+        self._hbox_custom.pack_start(self._radio_custom, False, False, 0)
+        self._hbox_custom.pack_start(self._entry_custom, True, True, 0)
+        
+        content_area = self.get_content_area()
+        content_area.pack_start(self._label_question, True, True, 0)
+        content_area.pack_start(self._radio_current, True, True, 0)
+        content_area.pack_start(self._hbox_custom, True, True, 0)
         
         # Display the dialog
-        self.vbox.show_all()
+        content_area.show_all()
     
     def _on_custom_toggled(self, widget):
         """ Occurs if the Custom radiobutton is toggled. """
@@ -116,4 +117,4 @@
                 branch = existing_bzrdir.create_branch()
                 existing_bzrdir.create_workingtree()
         
-        self.response(gtk.RESPONSE_OK)
+        self.response(Gtk.ResponseType.OK)

=== added file 'lock.py'
--- lock.py	1970-01-01 00:00:00 +0000
+++ lock.py	2011-09-05 03:44:26 +0000
@@ -0,0 +1,63 @@
+from gi.repository import Gtk
+
+
+RESPONSE_BREAK = 0
+RESPONSE_CANCEL = Gtk.ResponseType.CANCEL
+
+READ = "read"
+WRITE = "write"
+
+
+def acquire(branch, lock_type):
+    if branch.get_physical_lock_status():
+        dialog = LockDialog(branch)
+        response = dialog.run()
+        dialog.destroy()
+
+        if response == RESPONSE_BREAK:
+            branch.break_lock()
+        else:
+            return False
+
+    if lock_type == READ:
+        branch.lock_read()
+    elif lock_type == WRITE:
+        branch.lock_write()
+
+    return True
+
+
+def release(branch):
+    if branch.get_physical_lock_status():
+        dialog = LockDialog(branch)
+        response = dialog.run()
+        dialog.destroy()
+
+        if response == RESPONSE_BREAK:
+            branch.break_lock()
+        elif response == RESPONSE_CANCEL:
+            return False
+
+    branch.unlock()
+
+    return True
+
+
+class LockDialog(Gtk.Dialog):
+
+    def __init__(self, branch):
+        super(LockDialog, self).__init__()
+
+        self.branch = branch
+
+        self.set_title('Lock Not Held')
+
+        self.get_content_area().add(
+            Gtk.Label(label=(
+                'This operation cannot be completed as '
+                'another application has locked the branch.')))
+
+        self.add_button('Break Lock', RESPONSE_BREAK)
+        self.add_button(Gtk.STOCK_CANCEL, RESPONSE_CANCEL)
+
+        self.get_content_area().show_all()

=== added file 'loom.py'
--- loom.py	1970-01-01 00:00:00 +0000
+++ loom.py	2011-09-08 03:11:06 +0000
@@ -0,0 +1,118 @@
+# Copyright (C) 2008 Jelmer Vernooij <jelmer@samba.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+from gi.repository import Gtk
+from gi.repository import GObject
+
+from bzrlib.plugins.gtk.diff import DiffWidget
+from bzrlib.plugins.gtk.dialog import question_dialog
+from bzrlib.plugins.loom import (
+    branch as loom_branch,
+    tree as loom_tree,
+    )
+from bzrlib.plugins.gtk.i18n import _i18n
+
+
+class LoomDialog(Gtk.Dialog):
+    """Simple Loom browse dialog."""
+
+    def __init__(self, branch, tree=None, parent=None):
+        super(LoomDialog, self).__init__(
+            title="Threads", parent=parent, flags=0,
+            buttons=(Gtk.STOCK_CLOSE,Gtk.ResponseType.OK))
+        self.branch = branch
+        if tree is not None:
+            self.tree = loom_tree.LoomTreeDecorator(tree)
+        else:
+            self.tree = None
+
+        self._construct()
+
+    def run(self):
+        try:
+            loom_branch.require_loom_branch(self.branch)
+        except loom_branch.NotALoom:
+            response = question_dialog(
+                _i18n("Upgrade to Loom branch?"),
+                _i18n("Branch is not a loom branch. Upgrade to Loom format?"),
+                parent=self)
+                # Doesn't set a parent for the dialog..
+            if response == Gtk.ResponseType.NO:
+                return
+            assert self.branch.nick is not None
+            loom_branch.loomify(self.branch)
+        self._load_threads()
+        return super(LoomDialog, self).run()
+
+    def _construct(self):
+        hbox = Gtk.HBox()
+
+        self._threads_scroller = Gtk.ScrolledWindow()
+        self._threads_scroller.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        self._threads_view = Gtk.TreeView()
+        self._threads_scroller.add(self._threads_view)
+        self._threads_scroller.set_shadow_type(Gtk.ShadowType.IN)
+        hbox.pack_start(self._threads_scroller, True, True, 0)
+
+        self._threads_store = Gtk.ListStore(
+                GObject.TYPE_STRING, GObject.TYPE_STRING, GObject.TYPE_PYOBJECT, GObject.TYPE_STRING)
+        self._threads_view.set_model(self._threads_store)
+        self._threads_view.append_column(Gtk.TreeViewColumn("Name", Gtk.CellRendererText(), text=0))
+        self._threads_view.connect('cursor-changed', self._on_view_thread)
+        if self.tree is not None:
+            self._threads_view.connect('row-activated', self._on_switch_thread)
+
+        self._diff = DiffWidget()
+        self._diff.show()
+        hbox.pack_end(self._diff, False, False, 0)
+
+        hbox.show_all()
+        self.get_content_area().pack_start(hbox, True, True, 0)
+
+        # FIXME: Buttons: combine-thread, revert-loom, record
+        self.set_default_size(500, 350)
+
+    def _on_view_thread(self, treeview):
+        treeselection = treeview.get_selection()
+        (model, selection) = treeselection.get_selected()
+        if selection is None:
+            return
+        revid, parent_revid = model.get(selection, 1, 3)
+        if parent_revid is None:
+            return
+        self.branch.lock_read()
+        try:
+            (rev_tree, parent_tree) = tuple(self.branch.repository.revision_trees([revid, parent_revid]))
+            self._diff.set_diff(rev_tree, parent_tree)
+        finally:
+            self.branch.unlock()
+
+    def _on_switch_thread(self, treeview, path, view_column):
+        new_thread = self._threads_store.get_value(self._threads_store.get_iter(path), 0)
+        self.tree.down_thread(new_thread)
+
+    def _load_threads(self):
+        self._threads_store.clear()
+        
+        self.branch.lock_read()
+        try:
+            threads = self.branch.get_loom_state().get_threads()
+            last_revid = None
+            for name, revid, parent_ids in reversed(threads):
+                self._threads_store.append([name, revid, parent_ids, last_revid])
+                last_revid = revid
+        finally:
+            self.branch.unlock()

=== modified file 'merge.py'
--- merge.py	2008-05-05 18:16:46 +0000
+++ merge.py	2011-09-08 03:11:06 +0000
@@ -16,55 +16,116 @@
 
 import os
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-import gtk.glade
+from gi.repository import Gtk
 
 from bzrlib.branch import Branch
 import bzrlib.errors as errors
-from bzrlib.plugins.gtk import _i18n
-
-from dialog import error_dialog, info_dialog, warning_dialog
-from errors import show_bzr_error
-from olive.guifiles import GLADEFILENAME
-
-
-class MergeDialog:
+
+from bzrlib.plugins.gtk import icon_path
+from bzrlib.plugins.gtk.dialog import (
+    error_dialog,
+    info_dialog,
+    warning_dialog,
+    )
+from bzrlib.plugins.gtk.errors import show_bzr_error
+from bzrlib.plugins.gtk.i18n import _i18n
+
+
+class MergeDialog(Gtk.Dialog):
     """ Display the Merge dialog and perform the needed actions. """
-    def __init__(self, wt, wtpath,default_branch_path=None):
+    
+    def __init__(self, wt, wtpath, default_branch_path=None, parent=None):
         """ Initialize the Merge dialog. """
-        self.glade = gtk.glade.XML(GLADEFILENAME, 'window_merge', 'olive-gtk')
-        
-        self.window = self.glade.get_widget('window_merge')
-        
-        # Dictionary for signal_autoconnect
-        dic = { "on_button_merge_merge_clicked": self.merge,
-                "on_button_merge_cancel_clicked": self.close,
-                "on_button_merge_open_clicked": self.open }
-        
-        # Connect the signals to the handlers
-        self.glade.signal_autoconnect(dic)
-
+        super(MergeDialog, self).__init__(
+            title="Merge changes", parent=parent, flags=0,
+            buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
+        self.set_icon_from_file(icon_path("bzr-icon-64.png"))
+        # Get arguments
         self.wt = wt
         self.wtpath = wtpath
-        
-        # Get some widgets
-        self.entry = self.glade.get_widget('entry_merge')
-        if default_branch_path:
-            self.entry.set_text(default_branch_path)
-
-    def display(self):
-        """ Display the Add file(s) dialog. """
-        self.window.show_all()
-
+        self.default_branch_path = default_branch_path
+        self.parent_window = parent
+        
+        # Create widgets
+        self._hbox = Gtk.HBox()
+        self._source = Gtk.HBox()
+        self._label_merge_from = Gtk.Label(label=_i18n("Merge from"))
+        self._combo_source = Gtk.ComboBoxText()
+        for entry in [_i18n("Folder"),_i18n("Custom Location")]:
+            self._combo_source.append_text(entry)
+        self._combo_source.connect("changed", self._on_combo_changed)
+        self._button_merge = Gtk.Button(_i18n("_Merge"))
+        self._button_merge_icon = Gtk.Image()
+        self._button_merge_icon.set_from_stock(Gtk.STOCK_APPLY, Gtk.IconSize.BUTTON)
+        self._button_merge.set_image(self._button_merge_icon)
+        self._button_merge.connect('clicked', self._on_merge_clicked)
+        
+        # Add widgets to dialog
+        self.get_content_area().pack_start(self._hbox, False, False, 0)
+        self._hbox.add(self._label_merge_from)
+        self._hbox.add(self._combo_source)
+        self._hbox.set_spacing(5)
+        self.action_area.pack_end(self._button_merge, False, False, 0)
+        
+        if self.default_branch_path and os.path.isdir(
+                            self.default_branch_path.partition('file://')[2]):
+            self.directory = self.default_branch_path.partition('file://')[2]
+            self._combo_source.set_active(0)
+        elif self.default_branch_path:
+            self._combo_source.set_active(1)
+        else:
+            # If no default_branch_path give, default to folder source with current folder
+            self._combo_source.set_active(0)
+        self.get_content_area().show_all()
+    
+    def _on_folder_source(self):
+        """ Merge from folder, create a filechooser dialog and button """
+        self._source = Gtk.HBox()
+        self._filechooser_dialog = Gtk.FileChooserDialog(title="Please select a folder",
+                                    parent=self.parent_window,
+                                    action=Gtk.FileChooserAction.SELECT_FOLDER,
+                                    buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL,
+                                             Gtk.STOCK_OPEN, Gtk.ResponseType.OK))
+        self._filechooser_dialog.set_default_response(Gtk.ResponseType.OK)
+        self._filechooser = Gtk.FileChooserButton(self._filechooser_dialog)
+        self._filechooser.show()
+        directory = getattr(self, 'directory', None)
+        if not directory:
+            directory = os.path.dirname(self.wt.abspath(self.wtpath))
+        self._filechooser_dialog.set_current_folder(directory)
+        self._source.pack_start(self._filechooser, True, True, 0)
+        self.get_content_area().pack_start(self._source, True, True, 5)
+        self._source.show()
+    
+    def _on_custom_source(self):
+        """ Merge from a custom source (can be folder, remote, etc), create entry """
+        self._source = Gtk.HBox()
+        self._custom_entry = Gtk.Entry()
+        if self.default_branch_path:
+            self._custom_entry.set_text(self.default_branch_path)
+        self._custom_entry.connect("activate", self._on_merge_clicked)
+        self._custom_entry.show()
+        self._source.pack_start(self._custom_entry, True, True, 0)
+        self.get_content_area().pack_start(self._source, True, True, 5)
+        self._source.show()
+    
+    def _on_combo_changed(self, widget):
+        merge_source = self._combo_source.get_active()
+        self._source.destroy()
+        if merge_source == 0:
+            # Merge from folder
+            self._on_folder_source()
+        elif merge_source == 1:
+            # Merge from custom
+            self._on_custom_source()
+    
     @show_bzr_error
-    def merge(self, widget):
-        branch = self.entry.get_text()
+    def _on_merge_clicked(self, widget):
+        merge_source = self._combo_source.get_active()
+        if merge_source == 0:
+            branch = self._filechooser.get_filename()
+        elif merge_source == 1:
+            branch = self._custom_entry.get_text()
         if branch == "":
             error_dialog(_i18n('Branch not given'),
                          _i18n('Please specify a branch to merge from.'))
@@ -78,7 +139,6 @@
             error_dialog(_i18n('Bazaar command error'), str(errmsg))
             return
         
-        self.close()
         if conflicts == 0:
             # No conflicts found.
             info_dialog(_i18n('Merge successful'),
@@ -87,19 +147,5 @@
             # There are conflicts to be resolved.
             warning_dialog(_i18n('Conflicts encountered'),
                            _i18n('Please resolve the conflicts manually before committing.'))
-    
-    def open(self, widget):
-        fcd = gtk.FileChooserDialog(title="Please select a folder",
-                                    parent=self.window,
-                                    action=gtk.FILE_CHOOSER_ACTION_SELECT_FOLDER,
-                                    buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL,
-                                             gtk.STOCK_OPEN, gtk.RESPONSE_OK))
-        fcd.set_default_response(gtk.RESPONSE_OK)
-        
-        if fcd.run() == gtk.RESPONSE_OK:
-            self.entry.set_text(fcd.get_filename())
-        
-        fcd.destroy()
-        
-    def close(self, widget=None):
-        self.window.destroy()
+        
+        self.response(Gtk.ResponseType.OK)

=== modified file 'mergedirective.py'
--- mergedirective.py	2008-03-14 02:19:21 +0000
+++ mergedirective.py	2011-11-30 21:45:54 +0000
@@ -14,19 +14,11 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import bzrlib
-import gtk
-import os
+from gi.repository import Gtk
 
 from bzrlib.plugins.gtk.branchbox import BranchSelectionBox
 
-class CreateMergeDirectiveDialog(gtk.Dialog):
+class CreateMergeDirectiveDialog(Gtk.Dialog):
     def __init__(self, branch, stop_revid=None):
         super(CreateMergeDirectiveDialog, self).__init__()
         self.branch = branch
@@ -38,13 +30,13 @@
         # submittted
 
         # TODO: Create a frame with a the ability to select a branch
-        
+
         # TODO: Create a frame with a button for selecting a file name 
         # for the bundle
         pass
 
 
-class SendMergeDirectiveDialog(gtk.Dialog):
+class SendMergeDirectiveDialog(Gtk.Dialog):
     def __init__(self, branch, parent=None):
         super(SendMergeDirectiveDialog, self).__init__(parent)
         self.branch = branch
@@ -52,31 +44,31 @@
         self._create()
 
     def _create(self):
-        table = gtk.Table(rows=3, columns=2)
-        self.vbox.add(table)
+        table = Gtk.Table(rows=3, columns=2)
+        self.get_content_area().add(table)
 
-        label = gtk.Label()
+        label = Gtk.Label()
         label.set_markup("<b>Branch to Submit:</b>")
-        table.attach(label, 0, 1, 0, 1, gtk.FILL, gtk.FILL)
-
-        label = gtk.Label(str(self.branch))
-        table.attach(label, 1, 2, 0, 1, gtk.FILL, gtk.FILL)
-
-        label = gtk.Label()
+        table.attach(label, 0, 1, 0, 1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
+
+        label = Gtk.Label(label=str(self.branch))
+        table.attach(label, 1, 2, 0, 1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
+
+        label = Gtk.Label()
         label.set_markup("<b>Target Branch:</b>")
-        table.attach(label, 0, 1, 1, 2, gtk.FILL, gtk.FILL)
+        table.attach(label, 0, 1, 1, 2, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
         self.submit_branch = BranchSelectionBox(self.branch.get_submit_branch())
-        table.attach(self.submit_branch, 1, 2, 1, 2, gtk.FILL, gtk.FILL)
+        table.attach(self.submit_branch, 1, 2, 1, 2, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        # TODO: Display number of revisions to be send whenever 
+        # TODO: Display number of revisions to be sent whenever 
         # submit branch changes
 
-        label = gtk.Label()
+        label = Gtk.Label()
         label.set_markup("<b>Email To:</b>")
-        table.attach(label, 0, 1, 2, 3, gtk.FILL, gtk.FILL)
+        table.attach(label, 0, 1, 2, 3, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        self.mail_to = gtk.ComboBoxEntry()
+        self.mail_to = Gtk.ComboBox.new_with_entry()
         mail_to = self.branch.get_config().get_user_option('submit_to')
         if mail_to is None:
             submit_branch = self.submit_branch.get_branch()
@@ -85,10 +77,10 @@
                             'child_submit_to')
         if mail_to is not None:
             self.mail_to.get_child().set_text(mail_to)
-        table.attach(self.mail_to, 1, 2, 2, 3, gtk.FILL, gtk.FILL)
+        table.attach(self.mail_to, 1, 2, 2, 3, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        self.add_buttons(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL, 
-                         gtk.STOCK_OK, gtk.RESPONSE_OK)
+        self.add_buttons(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL, 
+                         Gtk.STOCK_OK, Gtk.ResponseType.OK)
 
         self.show_all()
 
@@ -112,6 +104,6 @@
 
 
 
-class ApplyMergeDirectiveDialog(gtk.Dialog):
+class ApplyMergeDirectiveDialog(Gtk.Dialog):
     def __init__(self):
         super(ApplyMergeDirectiveDialog, self).__init__()

=== modified file 'missing.py'
--- missing.py	2007-12-06 23:37:06 +0000
+++ missing.py	2011-08-13 03:06:56 +0000
@@ -14,25 +14,19 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-
-from bzrlib.config import GlobalConfig
+from gi.repository import Gtk
+
 from bzrlib.missing import find_unmerged
 
-from revisionview import RevisionView
-
-class MissingWindow(gtk.Dialog):
+from bzrlib.plugins.gtk.revisionview import RevisionView
+
+
+class MissingWindow(Gtk.Dialog):
     """Displays revisions present in one branch but missing in 
     another."""
     def __init__(self, local_branch, remote_branch):
         """ Initialize the Status window. """
-        super(MissingWindow, self).__init__(flags=gtk.DIALOG_MODAL)
+        super(MissingWindow, self).__init__(flags=Gtk.DialogFlags.MODAL)
         self.set_title("Missing Revisions")
         self.local_branch = local_branch
         self.remote_branch = remote_branch
@@ -41,21 +35,21 @@
         self._create()
 
     def _create_revisions_frame(self, revisions):
-        extra_revs = gtk.ScrolledWindow()
-        vbox = gtk.VBox()
+        extra_revs = Gtk.ScrolledWindow()
+        vbox = Gtk.VBox()
         for rev in revisions:
             rv = RevisionView()
             rv.set_revision(rev)
-            vbox.pack_start(rv, True, True)
+            vbox.pack_start(rv, True, True, 0)
         extra_revs.add_with_viewport(vbox)
-        extra_revs.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
+        extra_revs.set_policy(Gtk.PolicyType.NEVER, Gtk.PolicyType.AUTOMATIC)
         return extra_revs
 
     def _create(self):
         self.set_default_size(600, 600)
-        paned = gtk.VPaned()
+        paned = Gtk.VPaned()
 
-        frame = gtk.Frame("You have the following extra revisions:")
+        frame = Gtk.Frame(label="You have the following extra revisions:")
 
         extra_revs = self._create_revisions_frame(
                 self.local_branch.repository.get_revisions(
@@ -67,10 +61,10 @@
                 self.remote_branch.repository.get_revisions(
                     map(lambda (x,y):y, self.remote_extra)))
 
-        frame = gtk.Frame("You are missing following revisions:")
+        frame = Gtk.Frame(label="You are missing following revisions:")
         frame.add(missing_revs)
 
         paned.pack2(frame, resize=False, shrink=True)
 
-        self.vbox.pack_start(paned, True, True)
-        self.vbox.show_all()
+        self.get_content_area().pack_start(paned, True, True, 0)
+        self.get_content_area().show_all()

=== modified file 'nautilus-bzr.py'
--- nautilus-bzr.py	2008-05-05 18:16:46 +0000
+++ nautilus-bzr.py	2011-12-01 10:46:10 +0000
@@ -2,451 +2,537 @@
 #
 # Copyright (C) 2006 Jeff Bailey
 # Copyright (C) 2006 Wouter van Heyst
-# Copyright (C) 2006-2008 Jelmer Vernooij <jelmer@samba.org>
-#
-# Published under the GNU GPL
-
-import gtk
-import nautilus
-import bzrlib
-from bzrlib.branch import Branch
-from bzrlib.bzrdir import BzrDir
-from bzrlib.errors import NotBranchError, NoWorkingTree, UnsupportedProtocol
-from bzrlib.tree import file_status
-from bzrlib.workingtree import WorkingTree
-from bzrlib.config import GlobalConfig
+# Copyright (C) 2006-2011 Jelmer Vernooij <jelmer@samba.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+# Installation:
+# setup.py can install nautilus-bzr to the right system folder, if pkg-config
+# is present.
+#
+# You can also install nautilus-bzr manually by copying it (or linking it from)
+# ~/.local/share/nautilus-python/extensions/nautilus-bzr.py
+
+from gi.repository import Gtk, GObject, Nautilus
+from bzrlib.controldir import ControlDir
+from bzrlib.errors import (
+    NotBranchError,
+    NoWorkingTree,
+    )
+from bzrlib.ignores import tree_ignores_add_patterns
+from bzrlib.tree import InterTree
 
 from bzrlib.plugin import load_plugins
 load_plugins()
 
-from bzrlib.plugins.gtk import _i18n, cmd_visualise, cmd_gannotate
-
-class BzrExtension(nautilus.MenuProvider, nautilus.ColumnProvider, nautilus.InfoProvider):
+from bzrlib.plugins.gtk.i18n import _i18n
+
+
+class BazaarExtension(Nautilus.MenuProvider, Nautilus.ColumnProvider,
+        Nautilus.InfoProvider, Nautilus.PropertyPageProvider,
+        Nautilus.LocationWidgetProvider, GObject.GObject):
+    """Nautilus extension providing Bazaar integration."""
+
     def __init__(self):
         pass
 
-    def add_cb(self, menu, vfs_file):
-        # We can only cope with local files
-        if vfs_file.get_uri_scheme() != 'file':
-            return
-
-        file = vfs_file.get_uri()
-        try:
-            tree, path = WorkingTree.open_containing(file)
-        except NotBranchError:
-            return
-
+    @classmethod
+    def _open_bzrdir(cls, vfs_file):
+        uri = vfs_file.get_uri()
+        controldir, path = ControlDir.open_containing(uri)
+        return controldir, path
+
+    @classmethod
+    def _open_tree(cls, vfs_file):
+        controldir, path = cls._open_bzrdir(vfs_file)
+        return controldir.open_workingtree(), path
+
+    def add_cb(self, menu, tree, path):
         tree.add(path)
 
-        return
-
-    def ignore_cb(self, menu, vfs_file):
-        # We can only cope with local files
-        if vfs_file.get_uri_scheme() != 'file':
-            return
-
-        file = vfs_file.get_uri()
-        try:
-            tree, path = WorkingTree.open_containing(file)
-        except NotBranchError:
-            return
-
-        #FIXME
-
-        return
-
-    def unignore_cb(self, menu, vfs_file):
-        # We can only cope with local files
-        if vfs_file.get_uri_scheme() != 'file':
-            return
-
-        file = vfs_file.get_uri()
-        try:
-            tree, path = WorkingTree.open_containing(file)
-        except NotBranchError:
-            return
-
-        #FIXME
-
-        return
-
-    def diff_cb(self, menu, vfs_file):
-        # We can only cope with local files
-        if vfs_file.get_uri_scheme() != 'file':
-            return
-
-        file = vfs_file.get_uri()
-        try:
-            tree, path = WorkingTree.open_containing(file)
-        except NotBranchError:
-            return
-
+    def ignore_cb(self, menu, tree, path):
+        # We can only cope with local files
+        tree_ignores_add_patterns(tree, [path])
+        #FIXME: Add path to ignore file
+
+    def unignore_cb(self, menu, tree, path):
+        pass
+        # We can only cope with local files
+        #FIXME
+
+    def diff_cb(self, menu, tree, path=None):
         from bzrlib.plugins.gtk.diff import DiffWindow
         window = DiffWindow()
-        window.set_diff(tree.branch.nick, tree, tree.branch.basis_tree())
+        window.set_diff(tree.branch._get_nick(local=True), tree, 
+                        tree.branch.basis_tree())
         window.show()
 
-        return
-
     def newtree_cb(self, menu, vfs_file):
-        # We can only cope with local files
-        if vfs_file.get_uri_scheme() != 'file':
-            return
-
-        file = vfs_file.get_uri()
-
-        # We only want to continue here if we get a NotBranchError
-        try:
-            tree, path = WorkingTree.open_containing(file)
-        except NotBranchError:
-            BzrDir.create_standalone_workingtree(file)
-
-    def remove_cb(self, menu, vfs_file):
-        # We can only cope with local files
-        if vfs_file.get_uri_scheme() != 'file':
-            return
-
-        file = vfs_file.get_uri()
-        try:
-            tree, path = WorkingTree.open_containing(file)
-        except NotBranchError:
-            return
-
+        controldir, path = self._open_bzrdir(vfs_file)
+        controldir.create_workingtree()
+
+    def remove_cb(self, menu, tree, path):
         tree.remove(path)
 
-    def annotate_cb(self, menu, vfs_file):
-        # We can only cope with local files
-        if vfs_file.get_uri_scheme() != 'file':
-            return
-
-        file = vfs_file.get_uri()
-
-        vis = cmd_gannotate()
-        vis.run(file)
+    def annotate_cb(self, menu, tree, path, file_id):
+        from bzrlib.plugins.gtk.annotate.gannotate import GAnnotateWindow
+        win = GAnnotateWindow()
+        win.show()
+        win.annotate(tree, tree.branch, file_id)
+        Gtk.main()
 
     def clone_cb(self, menu, vfs_file=None):
-        # We can only cope with local files
-        if vfs_file.get_uri_scheme() != 'file':
-            return
-
         from bzrlib.plugins.gtk.branch import BranchDialog
-        
+        controldir, path = self._open_bzrdir(vfs_file)
+
         dialog = BranchDialog(vfs_file.get_name())
         response = dialog.run()
-        if response != gtk.RESPONSE_NONE:
+        if response != Gtk.ResponseType.NONE:
             dialog.hide()
             dialog.destroy()
- 
-    def commit_cb(self, menu, vfs_file=None):
-        # We can only cope with local files
-        if vfs_file.get_uri_scheme() != 'file':
-            return
-
-        file = vfs_file.get_uri()
-        tree = None
-        branch = None
-        try:
-            tree, path = WorkingTree.open_containing(file)
-            branch = tree.branch
-        except NotBranchError, e:
-            path = e.path
-            #return
-        except NoWorkingTree, e:
-            path = e.base
-            try:
-                (branch, path) = Branch.open_containing(path)
-            except NotBranchError, e:
-                path = e.path
-
+
+    def commit_cb(self, menu, tree, path=None):
         from bzrlib.plugins.gtk.commit import CommitDialog
         dialog = CommitDialog(tree, path)
         response = dialog.run()
-        if response != gtk.RESPONSE_NONE:
+        if response != Gtk.ResponseType.NONE:
             dialog.hide()
             dialog.destroy()
 
-    def log_cb(self, menu, vfs_file):
-        # We can only cope with local files
-        if vfs_file.get_uri_scheme() != 'file':
-            return
-
-        file = vfs_file.get_uri()
-
-        # We only want to continue here if we get a NotBranchError
-        try:
-            tree, path = WorkingTree.open_containing(file)
-        except NotBranchError:
-            return
-
-        vis = cmd_visualise()
-        vis.run(file)
-
-        return
-
-    def pull_cb(self, menu, vfs_file):
-        # We can only cope with local files
-        if vfs_file.get_uri_scheme() != 'file':
-            return
-
-        file = vfs_file.get_uri()
-
-        # We only want to continue here if we get a NotBranchError
-        try:
-            tree, path = WorkingTree.open_containing(file)
-        except NotBranchError:
-            return
-
+    def log_cb(self, menu, controldir, path=None):
+        from bzrlib.plugins.gtk.viz import BranchWindow
+        branch = controldir.open_branch()
+        pp = BranchWindow(branch, [branch.last_revision()], None)
+        pp.show()
+        Gtk.main()
+
+    def pull_cb(self, menu, controldir, path=None):
         from bzrlib.plugins.gtk.pull import PullDialog
-        dialog = PullDialog(tree, path)
+        dialog = PullDialog(controldir.open_workingtree(), path)
         dialog.display()
-        gtk.main()
-
-    def merge_cb(self, menu, vfs_file):
-        # We can only cope with local files
-        if vfs_file.get_uri_scheme() != 'file':
-            return
-
-        file = vfs_file.get_uri()
-
-        # We only want to continue here if we get a NotBranchError
-        try:
-            tree, path = WorkingTree.open_containing(file)
-        except NotBranchError:
-            return
-
+        Gtk.main()
+
+    def merge_cb(self, menu, tree, path=None):
         from bzrlib.plugins.gtk.merge import MergeDialog
         dialog = MergeDialog(tree, path)
-        dialog.display()
-        gtk.main()
+        dialog.run()
+        dialog.destroy()
+
+    def create_tree_cb(self, menu, controldir):
+        controldir.create_workingtree()
 
     def get_background_items(self, window, vfs_file):
-        items = []
-        file = vfs_file.get_uri()
-
         try:
-            tree, path = WorkingTree.open_containing(file)
-            disabled_flag = self.check_branch_enabled(tree.branch)
-        except UnsupportedProtocol:
+            controldir, path = self._open_bzrdir(vfs_file)
+        except NotBranchError:
             return
+        try:
+            branch = controldir.open_branch()
         except NotBranchError:
-            disabled_flag = self.check_branch_enabled()
-            item = nautilus.MenuItem('BzrNautilus::newtree',
-                                 'Make directory versioned',
-                                 'Create new Bazaar tree in this folder')
+            items = []
+            item = Nautilus.MenuItem(name='BzrNautilus::newtree',
+                                 label='Make directory versioned',
+                                 tip='Create new Bazaar tree in this folder',
+                                 icon='')
             item.connect('activate', self.newtree_cb, vfs_file)
             items.append(item)
 
-            item = nautilus.MenuItem('BzrNautilus::clone',
-                                 'Checkout Bazaar branch',
-                                 'Checkout Existing Bazaar Branch')
+            item = Nautilus.MenuItem(name='BzrNautilus::clone',
+                                 label='Checkout Bazaar branch ...',
+                                 tip='Checkout Existing Bazaar Branch',
+                                 icon='')
             item.connect('activate', self.clone_cb, vfs_file)
             items.append(item)
-
             return items
+
+        items = []
+
+        nautilus_integration = self.check_branch_enabled(branch)
+        if not nautilus_integration:
+            item = Nautilus.MenuItem(name='BzrNautilus::enable',
+                                     label='Enable Bazaar Plugin for this Branch',
+                                     tip='Enable Bazaar plugin for nautilus',
+                                     icon='')
+            item.connect('activate', self.toggle_integration, True, branch)
+            return [item]
+        else:
+            item = Nautilus.MenuItem(name='BzrNautilus::disable',
+                                     label='Disable Bazaar Plugin this Branch',
+                                     tip='Disable Bazaar plugin for nautilus',
+                                     icon='')
+            item.connect('activate', self.toggle_integration, False, branch)
+            items.append(item)
+
+        item = Nautilus.MenuItem(name='BzrNautilus::log',
+                             label='History ...',
+                             tip='Show Bazaar history',
+                             icon='')
+        item.connect('activate', self.log_cb, controldir)
+        items.append(item)
+
+        item = Nautilus.MenuItem(name='BzrNautilus::pull',
+                             label='Pull ...',
+                             tip='Pull from another branch',
+                             icon='')
+        item.connect('activate', self.pull_cb, controldir)
+        items.append(item)
+
+        try:
+            tree = controldir.open_workingtree()
         except NoWorkingTree:
-            return
-        
-        if disabled_flag == 'False':
-            item = nautilus.MenuItem('BzrNautilus::enable',
-                                     'Enable Bazaar Plugin for this Branch',
-                                     'Enable Bazaar plugin for nautilus')
-            item.connect('activate', self.toggle_integration, 'True', vfs_file)
-            return item,
+            item = Nautilus.MenuItem(name='BzrNautilus::create_tree',
+                                 label='Create working tree...',
+                                 tip='Create a working tree for this branch',
+                                 icon='')
+            item.connect('activate', self.create_tree_cb, controldir)
+            items.append(item)
         else:
-            item = nautilus.MenuItem('BzrNautilus::disable',
-                                      'Disable Bazaar Plugin for the Branch',
-                                      'Disable Bazaar plugin for nautilus')
-            item.connect('activate', self.toggle_integration, 'False', vfs_file)
-            items.append(item)
-
-        item = nautilus.MenuItem('BzrNautilus::log',
-                             'Log',
-                             'Show Bazaar history')
-        item.connect('activate', self.log_cb, vfs_file)
-        items.append(item)
-
-        item = nautilus.MenuItem('BzrNautilus::pull',
-                             'Pull',
-                             'Pull from another branch')
-        item.connect('activate', self.pull_cb, vfs_file)
-        items.append(item)
-
-        item = nautilus.MenuItem('BzrNautilus::merge',
-                             'Merge',
-                             'Merge from another branch')
-        item.connect('activate', self.merge_cb, vfs_file)
-        items.append(item)
-
-        item = nautilus.MenuItem('BzrNautilus::commit',
-                             'Commit',
-                             'Commit Changes')
-        item.connect('activate', self.commit_cb, vfs_file)
-        items.append(item)
+            item = Nautilus.MenuItem(name='BzrNautilus::merge',
+                                 label='Merge ...',
+                                 tip='Merge from another branch',
+                                 icon='')
+            item.connect('activate', self.merge_cb, tree, path)
+            items.append(item)
+
+            item = Nautilus.MenuItem(name='BzrNautilus::commit',
+                                 label='Commit ...',
+                                 tip='Commit Changes',
+                                 icon='')
+            item.connect('activate', self.commit_cb, tree, path)
+            items.append(item)
 
         return items
 
+    def _get_file_menuitems(self, tree, intertree, path):
+        file_id = tree.path2id(path)
+        if file_id is None:
+            item = Nautilus.MenuItem(name='BzrNautilus::add',
+                                 label='Add',
+                                 tip='Add as versioned file',
+                                 icon='')
+            item.connect('activate', self.add_cb, tree, path)
+            yield item
+
+            item = Nautilus.MenuItem(name='BzrNautilus::ignore',
+                                 label='Ignore',
+                                 tip='Ignore file for versioning',
+                                 icon='')
+            item.connect('activate', self.ignore_cb, tree, path)
+            yield item
+        elif tree.is_ignored(path):
+            item = Nautilus.MenuItem(name='BzrNautilus::unignore',
+                                 label='Unignore',
+                                 tip='Unignore file for versioning',
+                                 icon='')
+            item.connect('activate', self.unignore_cb, tree, path)
+            yield item
+        else:
+            item = Nautilus.MenuItem(name='BzrNautilus::log',
+                             label='History ...',
+                             tip='List changes',
+                             icon='')
+            item.connect('activate', self.log_cb, tree.bzrdir, path)
+            yield item
+
+            if not intertree.file_content_matches(file_id, file_id):
+                item = Nautilus.MenuItem(name='BzrNautilus::diff',
+                                 label='View Changes ...',
+                                 tip='Show differences',
+                                 icon='')
+                item.connect('activate', self.diff_cb, tree, path)
+                yield item
+
+                item = Nautilus.MenuItem(name='BzrNautilus::commit',
+                             label='Commit ...',
+                             tip='Commit Changes',
+                             icon='')
+                item.connect('activate', self.commit_cb, tree, path)
+                yield item
+
+            item = Nautilus.MenuItem(name='BzrNautilus::remove',
+                                 label='Remove',
+                                 tip='Remove this file from versioning',
+                                 icon='')
+            item.connect('activate', self.remove_cb, tree, path)
+            yield item
+
+            item = Nautilus.MenuItem(name='BzrNautilus::annotate',
+                         label='Annotate ...',
+                         tip='Annotate File Data',
+                         icon='')
+            item.connect('activate', self.annotate_cb, tree, path, file_id)
+            yield item
+
     def get_file_items(self, window, files):
         items = []
-        
-        wtfiles = {}
-        for vfs_file in files:
-            # We can only cope with local files
-            if vfs_file.get_uri_scheme() != 'file':
-                continue
-
-            file = vfs_file.get_uri()
-            try:
-                tree, path = WorkingTree.open_containing(file)
-                disabled_flag = self.check_branch_enabled(tree.branch)
-            except NotBranchError:
-                disabled_flag = self.check_branch_enabled()
-                if not vfs_file.is_directory():
+        trees = {}
+
+        try:
+            for vfs_file in files:
+                controldir, path = self._open_bzrdir(vfs_file)
+
+                try:
+                    tree = trees[controldir.user_url]
+                except KeyError:
+                    try:
+                        tree = controldir.open_workingtree()
+                    except NoWorkingTree:
+                        continue
+                    trees[controldir.user_url] = tree
+                    tree.lock_read()
+
+                nautilus_integration = self.check_branch_enabled(tree.branch)
+                if not nautilus_integration:
                     continue
 
-                if disabled_flag == 'False':
-                    return
-
-                item = nautilus.MenuItem('BzrNautilus::newtree',
-                                     'Make directory versioned',
-                                     'Create new Bazaar tree in %s' % vfs_file.get_name())
-                item.connect('activate', self.newtree_cb, vfs_file)
-                return item,
-            except NoWorkingTree:
-                continue
-            # Refresh the list of filestatuses in the working tree
-            if path not in wtfiles.keys():
-                tree.lock_read()
-                for rpath, file_class, kind, id, entry in tree.list_files():
-                    wtfiles[rpath] = file_class
+                intertree = InterTree.get(tree.basis_tree(), tree)
+                items.extend(list(self._get_file_menuitems(tree, intertree, path)))
+        finally:
+            for tree in trees.itervalues():
                 tree.unlock()
-                wtfiles[u''] = 'V'
-
-            if wtfiles[path] == '?':
-                item = nautilus.MenuItem('BzrNautilus::add',
-                                     'Add',
-                                     'Add as versioned file')
-                item.connect('activate', self.add_cb, vfs_file)
-                items.append(item)
-
-                item = nautilus.MenuItem('BzrNautilus::ignore',
-                                     'Ignore',
-                                     'Ignore file for versioning')
-                item.connect('activate', self.ignore_cb, vfs_file)
-                items.append(item)
-            elif wtfiles[path] == 'I':
-                item = nautilus.MenuItem('BzrNautilus::unignore',
-                                     'Unignore',
-                                     'Unignore file for versioning')
-                item.connect('activate', self.unignore_cb, vfs_file)
-                items.append(item)
-            elif wtfiles[path] == 'V':
-                item = nautilus.MenuItem('BzrNautilus::log',
-                                 'Log',
-                                 'List changes')
-                item.connect('activate', self.log_cb, vfs_file)
-                items.append(item)
-
-                item = nautilus.MenuItem('BzrNautilus::diff',
-                                 'Diff',
-                                 'Show differences')
-                item.connect('activate', self.diff_cb, vfs_file)
-                items.append(item)
-
-                item = nautilus.MenuItem('BzrNautilus::remove',
-                                     'Remove',
-                                     'Remove this file from versioning')
-                item.connect('activate', self.remove_cb, vfs_file)
-                items.append(item)
-
-                item = nautilus.MenuItem('BzrNautilus::annotate',
-                             'Annotate',
-                             'Annotate File Data')
-                item.connect('activate', self.annotate_cb, vfs_file)
-                items.append(item)
-
-                item = nautilus.MenuItem('BzrNautilus::commit',
-                             'Commit',
-                             'Commit Changes')
-                item.connect('activate', self.commit_cb, vfs_file)
-                items.append(item)
 
         return items
 
     def get_columns(self):
-        return nautilus.Column("BzrNautilus::bzr_status",
-                               "bzr_status",
-                               "Bzr Status",
-                               "Version control status"),
-
-    def update_file_info(self, file):
-
-        if file.get_uri_scheme() != 'file':
-            return
-        
-        try:
-            tree, path = WorkingTree.open_containing(file.get_uri())
-        except NotBranchError:
-            return
-        except NoWorkingTree:
-            return   
-
-        disabled_flag = self.check_branch_enabled(tree.branch)
-        if disabled_flag == 'False':
-            return
-
+        return [
+            Nautilus.Column(name="BzrNautilus::bzr_status",
+                            attribute="bzr_status",
+                            label="Status",
+                            description="Version control status"),
+            Nautilus.Column(name="BzrNautilus::bzr_revision",
+                            attribute="bzr_revision",
+                            label="Revision",
+                            description="Last change revision"),
+            ]
+
+    def _file_summary(self, tree, basis_tree, intertree, path):
+        file_revision = ""
         emblem = None
-        status = None
-
-        if tree.has_filename(path):
-            emblem = 'bzr-controlled'
-            status = 'unchanged'
-            id = tree.path2id(path)
-
-            delta = tree.changes_from(tree.branch.basis_tree())
-            if delta.touches_file_id(id):
-                emblem = 'bzr-modified'
-                status = 'modified'
-            for f, _, _ in delta.added:
-                if f == path:
+
+        file_id = tree.path2id(path)
+        if file_id is None:
+            if tree.is_ignored(path):
+                status = 'ignored'
+                emblem = 'bzr-ignored'
+            else:
+                status = 'unversioned'
+            file_revision = "N/A"
+        elif tree.has_filename(path): # Still present
+            if not intertree.file_content_matches(file_id, file_id):
+                if not basis_tree.has_id(file_id):
                     emblem = 'bzr-added'
                     status = 'added'
-
-            for of, f, _, _, _, _ in delta.renamed:
-                if f == path:
-                    status = 'renamed from %s' % f
-
-        elif tree.branch.basis_tree().has_filename(path):
+                    file_revision = "new file"
+                elif basis_tree.path2id(file_id) != path:
+                    status = 'bzr-renamed'
+                    status = 'renamed from %s' % basis_tree.path2id(file_id)
+                else:
+                    emblem = 'bzr-modified'
+                    status = 'modified'
+            else:
+                emblem = 'bzr-controlled'
+                status = 'unchanged'
+        elif basis_tree.has_filename(path):
             emblem = 'bzr-removed'
             status = 'removed'
         else:
             # FIXME: Check for ignored files
             status = 'unversioned'
-        
-        if emblem is not None:
-            file.add_emblem(emblem)
-        file.add_string_attribute('bzr_status', status)
-
-    def check_branch_enabled(self, branch=None):
+        return (status, emblem, file_revision)
+
+    def update_file_info(self, vfs_file):
+        try:
+            controldir, path = self._open_bzrdir(vfs_file)
+        except NotBranchError:
+            return
+
+        try:
+            tree = controldir.open_workingtree()
+        except NoWorkingTree:
+            return
+
+        tree.lock_read()
+        try:
+            nautilus_integration = self.check_branch_enabled(tree.branch)
+            if not nautilus_integration:
+                return
+
+            basis_tree = tree.basis_tree()
+            intertree = InterTree.get(basis_tree, tree)
+
+            basis_tree.lock_read()
+            try:
+                (status, emblem, file_revision) = self._file_summary(tree, basis_tree, intertree, path)
+            finally:
+                basis_tree.unlock()
+            if emblem is not None:
+                vfs_file.add_emblem(emblem)
+            vfs_file.add_string_attribute('bzr_status', status)
+            vfs_file.add_string_attribute('bzr_revision', file_revision)
+        finally:
+            tree.unlock()
+
+    def check_branch_enabled(self, branch):
         # Supports global disable, but there is currently no UI to do this
-        config = GlobalConfig()
-        disabled_flag = config.get_user_option('nautilus_integration')
-        if disabled_flag != 'False':
-            if branch is not None:
-                config = branch.get_config()
-                disabled_flag = config.get_user_option('nautilus_integration')
-        return disabled_flag
-
-    def toggle_integration(self, menu, action, vfs_file=None):
+        config = branch.get_config_stack()
+        return config.get("nautilus_integration")
+
+    def toggle_integration(self, menu, action, branch):
+        config = branch.get_config_stack()
+        config.set("nautilus_integration", action)
+
+    def get_property_pages(self, files):
+        pages = []
+        for vfs_file in files:
+            try:
+                controldir, path = self._open_bzrdir(vfs_file)
+            except NotBranchError:
+                continue
+
+            try:
+                tree = controldir.open_workingtree()
+            except NoWorkingTree:
+                continue
+
+            tree.lock_read()
+            try:
+                file_id = tree.path2id(path)
+                pages.append(PropertyPageFile(tree, file_id, path))
+                pages.append(PropertyPageBranch(tree.branch))
+            finally:
+                tree.unlock()
+        return pages
+
+    def get_widget(self, uri, window):
+        controldir, path = ControlDir.open_containing(uri)
         try:
-            tree, path = WorkingTree.open_containing(vfs_file.get_uri())
-        except NotBranchError:
-            return
+            tree = controldir.open_workingtree()
         except NoWorkingTree:
             return
-        branch = tree.branch
-        if branch is None:
-            config = GlobalConfig()
-        else:
-            config = branch.get_config()
-        config.set_user_option('nautilus_integration', action)
-
+        ret = Gtk.HBox(False, 4)
+        text = 'This is a Bazaar working tree. '
+        get_shelf_manager = getattr(tree, 'get_shelf_manager', None)
+        if get_shelf_manager is not None:
+            manager = get_shelf_manager()
+            shelves = manager.active_shelves()
+            if len(shelves) == 0:
+                pass
+            elif len(shelves) == 1:
+                text += '1 shelf exists. '
+            else:
+                text += '%d shelf exists. ' % len(shelves)
+        label = Gtk.Label(text)
+        label.show()
+        ret.pack_start(label, True, True, 0)
+        ret.show_all()
+        return ret
+
+
+class PropertyPageFile(Nautilus.PropertyPage):
+
+    def __init__(self, tree, file_id, path):
+        self.tree = tree
+        self.file_id = file_id
+        self.path = path
+        label = Gtk.Label('File Version')
+        label.show()
+
+        table = self._create_table()
+
+        super(PropertyPageFile, self).__init__(label=label,
+            name="BzrNautilus::file_page", page=table)
+
+    def _create_table(self):
+        table = Gtk.Table(homogeneous=False, columns=2, rows=3)
+
+        table.attach(Gtk.Label(_i18n('File id:')), 0, 1, 0, 1)
+        table.attach(Gtk.Label(self.file_id), 1, 2, 0, 1)
+
+        table.attach(Gtk.Label(_i18n('SHA1Sum:')), 0, 1, 1, 2)
+        table.attach(Gtk.Label(self.tree.get_file_sha1(self.file_id, self.path)), 1, 1, 1, 2)
+
+        basis_tree = self.tree.revision_tree(self.tree.last_revision())
+        last_revision = basis_tree.get_file_revision(self.file_id)
+
+        table.attach(Gtk.Label(_i18n('Last Change Revision:')), 0, 1, 2, 3)
+        revno = ".".join([str(x) for x in
+            self.tree.branch.revision_id_to_dotted_revno(last_revision)])
+        table.attach(Gtk.Label(revno), 1, 1, 2, 3)
+
+        table.attach(Gtk.Label(_i18n('Last Change Author:')), 0, 1, 3, 4)
+        rev = self.tree.branch.repository.get_revision(last_revision)
+        table.attach(Gtk.Label("\n".join(rev.get_apparent_authors())), 1, 1, 3, 4)
+
+        table.show_all()
+        return table
+
+
+class PropertyPageBranch(Nautilus.PropertyPage):
+
+    def __init__(self, branch):
+        self.branch = branch
+        label = Gtk.Label('Branch')
+        label.show()
+
+        table = self._create_table()
+
+        super(PropertyPageBranch, self).__init__(label=label,
+            name="BzrNautilus::branch_page", page=table)
+
+    def _create_location_entry(self, get_location, set_location):
+        location = get_location()
+        ret = Gtk.Entry()
+        if location is not None:
+            ret.set_text(location)
+        return ret
+
+    def _create_table(self):
+        table = Gtk.Table(homogeneous=False, columns=2, rows=6)
+
+        self._push_location_entry = self._create_location_entry(
+            self.branch.get_push_location, self.branch.set_push_location)
+        self._parent_location_entry = self._create_location_entry(
+            self.branch.get_parent, self.branch.set_parent)
+        self._bound_location_entry = self._create_location_entry(
+            self.branch.get_bound_location, self.branch.set_bound_location)
+        self._public_location_entry = self._create_location_entry(
+            self.branch.get_public_branch, self.branch.set_public_branch)
+        self._submit_location_entry = self._create_location_entry(
+            self.branch.get_submit_branch, self.branch.set_submit_branch)
+
+        table.attach(Gtk.Label(_i18n('Push location:')), 0, 1, 0, 1)
+        table.attach(self._push_location_entry, 1, 2, 0, 1)
+
+        table.attach(Gtk.Label(_i18n('Parent location:')), 0, 1, 1, 2)
+        table.attach(self._parent_location_entry, 1, 1, 1, 2)
+
+        table.attach(Gtk.Label(_i18n('Bound location:')), 0, 1, 2, 3)
+        table.attach(self._bound_location_entry, 1, 1, 2, 3)
+
+        table.attach(Gtk.Label(_i18n('Public location:')), 0, 1, 3, 4)
+        table.attach(self._public_location_entry, 1, 1, 3, 4)
+
+        table.attach(Gtk.Label(_i18n('Submit location:')), 0, 1, 4, 5)
+        table.attach(self._submit_location_entry, 1, 1, 4, 5)
+
+        self._append_revisions_only = Gtk.CheckButton(_i18n('Append revisions only'))
+        value = self.branch.get_append_revisions_only()
+        if value is None:
+            value = False
+        self._append_revisions_only.set_active(value)
+        table.attach(self._append_revisions_only, 0, 2, 5, 6)
+
+        table.show_all()
+        return table

=== modified file 'notify.py'
--- notify.py	2007-07-15 15:13:34 +0000
+++ notify.py	2011-09-03 01:25:04 +0000
@@ -16,49 +16,66 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 """Notification area icon and notification for Bazaar."""
 
-import gtk
-
-class NotifyPopupMenu(gtk.Menu):
+from gi.repository import Gtk
+import bzrlib
+
+
+def has_dbus():
+    return (getattr(bzrlib.plugins, "dbus", None) is not None)
+
+
+def has_avahi():
+    return (getattr(bzrlib.plugins, "avahi", None) is not None)
+
+
+class NotifyPopupMenu(Gtk.Menu):
+
     def __init__(self):
         super(NotifyPopupMenu, self).__init__()
         self.create_items()
 
     def create_items(self):
+        from bzrlib import errors
+        item = Gtk.CheckMenuItem.new_with_mnemonic('_Gateway to LAN')
+        item.connect('toggled', self.toggle_lan_gateway)
+        self.append(item)
+        self.append(Gtk.SeparatorMenuItem())
         try:
             from bzrlib.plugins.dbus.activity import LanGateway
             self.langateway = LanGateway()
-            item = gtk.CheckMenuItem('_Gateway to LAN')
-            item.connect('toggled', self.toggle_lan_gateway)
-            self.append(item)
-            self.append(gtk.SeparatorMenuItem())
         except ImportError:
-            pass
+            item.set_sensitive(False)
+        except errors.BzrError:
+            # FIXME: Should only catch errors that indicate a lan-notify 
+            # process is already running.
+            item.set_sensitive(False)
 
+        item = Gtk.CheckMenuItem.new_with_mnemonic(
+            'Announce _branches on LAN')
+        item.connect('toggled', self.toggle_announce_branches)
+        self.append(item)
+        self.append(Gtk.SeparatorMenuItem())
         try:
             from bzrlib.plugins.avahi.share import ZeroConfServer
             from bzrlib import urlutils
             self.zeroconfserver = ZeroConfServer(urlutils.normalize_url('.'))
-            item = gtk.CheckMenuItem('Announce _branches on LAN')
-            item.connect('toggled', self.toggle_announce_branches)
-            self.append(item)
-            self.append(gtk.SeparatorMenuItem())
         except ImportError:
-            pass
+            item.set_sensitive(False)
 
-        item = gtk.ImageMenuItem(gtk.STOCK_PREFERENCES, None)
+        item = Gtk.ImageMenuItem(Gtk.STOCK_PREFERENCES, None)
         item.connect('activate', self.show_preferences)
         self.append(item)
-        item = gtk.ImageMenuItem(gtk.STOCK_ABOUT, None)
+        item = Gtk.ImageMenuItem(Gtk.STOCK_ABOUT, None)
         item.connect('activate', self.show_about)
         self.append(item)
-        self.append(gtk.SeparatorMenuItem())
-        item = gtk.ImageMenuItem(gtk.STOCK_QUIT, None)
-        item.connect('activate', gtk.main_quit)
+        self.append(Gtk.SeparatorMenuItem())
+        item = Gtk.ImageMenuItem(Gtk.STOCK_QUIT, None)
+        item.connect('activate', Gtk.main_quit)
         self.append(item)
         self.show_all()
 
     def display(self, icon, event_button, event_time):
-        self.popup(None, None, gtk.status_icon_position_menu, 
+        self.popup(None, None, Gtk.status_icon_position_menu, 
                event_button, event_time, icon)
 
     def toggle_lan_gateway(self, item):
@@ -74,12 +91,12 @@
             self.zeroconfserver.close()
 
     def show_about(self, item):
-        from about import AboutDialog
+        from bzrlib.plugins.gtk.about import AboutDialog
         dialog = AboutDialog()
         dialog.run()
 
     def show_preferences(self, item):
-        from preferences import PreferencesWindow
+        from bzrlib.plugins.gtk.preferences import PreferencesWindow
         prefs = PreferencesWindow()
         prefs.run()
 

=== removed directory 'olive'
=== removed file 'olive-gtk'
--- olive-gtk	2008-03-03 17:24:22 +0000
+++ olive-gtk	1970-01-01 00:00:00 +0000
@@ -1,95 +0,0 @@
-#!/usr/bin/python
-
-# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-import os
-import sys
-import re
-
-try:
-    version_info = sys.version_info
-except AttributeError:
-    version_info = 1, 5 # 1.5 or older
-
-REINVOKE = "__BZR_REINVOKE"
-NEED_VERS = (2, 4)
-KNOWN_PYTHONS = ('python2.4',)
-
-if version_info < NEED_VERS:
-    if not os.environ.has_key(REINVOKE):
-        # mutating os.environ doesn't work in old Pythons
-        os.putenv(REINVOKE, "1")
-        for python in KNOWN_PYTHONS:
-            try:
-                os.execvp(python, [python] + sys.argv)
-            except OSError:
-                pass
-    print >>sys.stderr, ('bzr: error: cannot find a suitable python interpreter'
-                         ' (need %d.%d or later)'
-                        ) % NEED_VERS
-    sys.exit(1)
-
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-try:
-    import gtk
-    import gtk.glade
-except:
-    print >>sys.stderr, ('You need to install python-glade2 and/or pygtk2 (gtk2)'
-                         ' or set your PYTHONPATH correctly.\n'
-                         'try: export PYTHONPATH=/usr/local/lib/python2.4/site-packages/'
-                        )
-    sys.exit(1)
-
-# gettext support
-import gettext
-gettext.install('olive-gtk')
-
-
-# make sure we could import bzrlib
-try:
-    import bzrlib
-except ImportError:
-    # try to find bzr if it exist in $PATH
-    p = os.popen('bzr version')
-    s = p.read()
-    r = p.close()
-    if r not in (None, 0):
-        print >>sys.stderr, "bzr not found"
-        sys.exit(1)
-    else:
-        bzrlib_match = re.compile(r"bzrlib: (.*)[/\\]bzrlib").search(s)
-        if bzrlib_match:
-            sys.path.append(bzrlib_match.group(1))
-        else:
-            print >>sys.stderr, "Can't find bzrlib location"
-            sys.exit(1)
-
-from bzrlib.plugin import load_plugins
-load_plugins()
-
-import bzrlib.ui
-import bzrlib.plugins.gtk.ui as ui
-bzrlib.ui.ui_factory = ui.GtkUIFactory()
-
-from bzrlib.plugins.gtk.olive import OliveGtk
-app = OliveGtk()
-gtk.main()

=== removed file 'olive-gtk.1'
--- olive-gtk.1	2008-05-01 12:55:33 +0000
+++ olive-gtk.1	1970-01-01 00:00:00 +0000
@@ -1,15 +0,0 @@
-.TH OLIVE-GTK 1 "April 24, 2007"
-.SH NAME
-olive-gtk \- GTK+ frontend for Bazaar
-.SH SYNOPSIS
-.B olive-gtk
-.SH DESCRIPTION
-Olive aims to be a full-featured graphical frontend for the Bazaar (bzr)
-source code management tool.
-.SH SEE ALSO
-.BR bzr (1).
-.SH AUTHOR
-\fBolive-gtk\fP was written by Szilveszter Farkas <szilveszter.farkas@gmail.com>
-.PP
-This manual page was written by Chris Lamb <chris@chris-lamb.co.uk>,
-for the Debian project (but may be used by others).

=== removed file 'olive-gtk.desktop'
--- olive-gtk.desktop	2008-06-03 01:43:08 +0000
+++ olive-gtk.desktop	1970-01-01 00:00:00 +0000
@@ -1,12 +0,0 @@
-[Desktop Entry]
-Encoding=UTF-8
-Type=Application
-Version=1.0
-Name=Olive
-GenericName=Version Control GUI
-GenericName[pl]=Klient graficzny Bazaar
-Comment=Graphical User Interface for the Bazaar Version Control System
-Comment[pl]=Graficzny interfejs dla systemu kontroli wersji Bazaar
-Icon=olive-gtk.png
-Exec=olive-gtk
-Categories=Application;Development;RevisionControl;GTK;GNOME;

=== removed file 'olive.glade'
--- olive.glade	2008-03-30 14:12:10 +0000
+++ olive.glade	1970-01-01 00:00:00 +0000
@@ -1,2550 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE glade-interface SYSTEM "glade-2.0.dtd">
-<!--*- mode: xml -*-->
-<glade-interface>
-  <widget class="GtkWindow" id="window_main">
-    <property name="width_request">700</property>
-    <property name="height_request">400</property>
-    <property name="title" translatable="yes">Olive - Bazaar GUI</property>
-    <property name="icon">icons/oliveicon2.png</property>
-    <signal name="destroy" handler="on_window_main_destroy"/>
-    <signal name="delete_event" handler="on_window_main_delete_event"/>
-    <child>
-      <widget class="GtkVBox" id="vbox_main">
-        <property name="visible">True</property>
-        <child>
-          <widget class="GtkMenuBar" id="menubar">
-            <property name="visible">True</property>
-            <child>
-              <widget class="GtkMenuItem" id="menuitem_file">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">_File</property>
-                <property name="use_underline">True</property>
-                <child>
-                  <widget class="GtkMenu" id="menuitem_file_menu">
-                    <child>
-                      <widget class="GtkImageMenuItem" id="menuitem_add_files">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">_Add file(s)...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_add_files_activate"/>
-                        <child internal-child="image">
-                          <widget class="GtkImage" id="image241">
-                            <property name="visible">True</property>
-                            <property name="stock">gtk-add</property>
-                            <property name="icon_size">1</property>
-                          </widget>
-                        </child>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkImageMenuItem" id="menuitem_remove_file">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">Remove file(s)...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_remove_file_activate"/>
-                        <child internal-child="image">
-                          <widget class="GtkImage" id="image242">
-                            <property name="visible">True</property>
-                            <property name="stock">gtk-remove</property>
-                            <property name="icon_size">1</property>
-                          </widget>
-                        </child>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkSeparatorMenuItem" id="separator_file3">
-                        <property name="visible">True</property>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_file_bookmark">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">_Bookmark current directory</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_file_bookmark_activate"/>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_file_make_directory">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">Make _directory...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_file_make_directory_activate"/>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkSeparatorMenuItem" id="separator_file1">
-                        <property name="visible">True</property>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_file_rename">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">_Rename...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_file_rename_activate"/>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_file_move">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">_Move...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_file_move_activate"/>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_file_annotate">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">_Annotate...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_file_annotate_activate"/>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkSeparatorMenuItem" id="separator_file2">
-                        <property name="visible">True</property>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkImageMenuItem" id="menuitem_quit">
-                        <property name="visible">True</property>
-                        <property name="label">gtk-quit</property>
-                        <property name="use_underline">True</property>
-                        <property name="use_stock">True</property>
-                        <signal name="activate" handler="on_quit_activate"/>
-                      </widget>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkMenuItem" id="menuitem_view">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">_View</property>
-                <property name="use_underline">True</property>
-                <signal name="activate" handler="on_menuitem_view_activate"/>
-                <child>
-                  <widget class="GtkMenu" id="menuitem_view_menu">
-                    <child>
-                      <widget class="GtkCheckMenuItem" id="menuitem_view_show_hidden_files">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">Show _hidden files</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_view_show_hidden_files_activate"/>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkCheckMenuItem" id="menuitem_view_show_ignored_files">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">Show _ignored files</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_view_show_ignored_files_activate"/>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkSeparatorMenuItem" id="separator_view1">
-                        <property name="visible">True</property>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_view_refresh">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">_Refresh</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_view_refresh_activate"/>
-                      </widget>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkMenuItem" id="menuitem_branch">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">_Branch</property>
-                <property name="use_underline">True</property>
-                <child>
-                  <widget class="GtkMenu" id="menuitem_branch_menu">
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_branch_initialize">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">_Initialize...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_branch_initialize_activate"/>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_branch_get">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">_Get...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_branch_get_activate"/>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_branch_checkout">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">C_heckout...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_branch_checkout_activate"/>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkSeparatorMenuItem" id="separator_branch1">
-                        <property name="visible">True</property>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkImageMenuItem" id="menuitem_branch_pull">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">Pu_ll</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_branch_pull_activate"/>
-                        <child internal-child="image">
-                          <widget class="GtkImage" id="image243">
-                            <property name="visible">True</property>
-                            <property name="pixbuf">icons/pull16.png</property>
-                          </widget>
-                        </child>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkImageMenuItem" id="menuitem_branch_push">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">Pu_sh...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_branch_push_activate"/>
-                        <child internal-child="image">
-                          <widget class="GtkImage" id="image244">
-                            <property name="visible">True</property>
-                            <property name="pixbuf">icons/push16.png</property>
-                          </widget>
-                        </child>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_branch_update">
-                        <property name="visible">True</property>
-                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                        <property name="label" translatable="yes">Update</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_branch_update_activate"/>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkSeparatorMenuItem" id="separator_branch2">
-                        <property name="visible">True</property>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_branch_revert">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">_Revert all changes</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_branch_revert_activate"/>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_branch_merge">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">_Merge...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_branch_merge_activate"/>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkImageMenuItem" id="menuitem_branch_commit">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">_Commit...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_branch_commit_activate"/>
-                        <child internal-child="image">
-                          <widget class="GtkImage" id="image245">
-                            <property name="visible">True</property>
-                            <property name="pixbuf">icons/commit16.png</property>
-                          </widget>
-                        </child>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkSeparatorMenuItem" id="separator_branch3">
-                        <property name="visible">True</property>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_branch_tags">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">Ta_gs...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_branch_tags_activate"/>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_branch_status">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">S_tatus...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_branch_status_activate"/>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_branch_missing_revisions">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">Missing _revisions</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_branch_missing_revisions_activate"/>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_branch_conflicts">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">Con_flicts...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_branch_conflicts_activate"/>
-                      </widget>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkMenuItem" id="menuitem_stats">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">_Statistics</property>
-                <property name="use_underline">True</property>
-                <child>
-                  <widget class="GtkMenu" id="menuitem_stats_menu">
-                    <child>
-                      <widget class="GtkImageMenuItem" id="menuitem_stats_diff">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">_Differences...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_stats_diff_activate"/>
-                        <child internal-child="image">
-                          <widget class="GtkImage" id="image246">
-                            <property name="visible">True</property>
-                            <property name="pixbuf">icons/diff16.png</property>
-                          </widget>
-                        </child>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkImageMenuItem" id="menuitem_stats_log">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">_Log...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_stats_log_activate"/>
-                        <child internal-child="image">
-                          <widget class="GtkImage" id="image247">
-                            <property name="visible">True</property>
-                            <property name="pixbuf">icons/log16.png</property>
-                          </widget>
-                        </child>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkMenuItem" id="menuitem_stats_infos">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">_Information...</property>
-                        <property name="use_underline">True</property>
-                        <signal name="activate" handler="on_menuitem_stats_infos_activate"/>
-                      </widget>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkMenuItem" id="menuitem_help">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">_Help</property>
-                <property name="use_underline">True</property>
-                <child>
-                  <widget class="GtkMenu" id="menuitem_help_menu">
-                    <child>
-                      <widget class="GtkImageMenuItem" id="menuitem_about">
-                        <property name="visible">True</property>
-                        <property name="label">gtk-about</property>
-                        <property name="use_underline">True</property>
-                        <property name="use_stock">True</property>
-                        <signal name="activate" handler="on_about_activate"/>
-                      </widget>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-          </packing>
-        </child>
-        <child>
-          <widget class="GtkToolbar" id="toolbar">
-            <property name="visible">True</property>
-            <child>
-              <widget class="GtkToolButton" id="toolbutton_refresh">
-                <property name="visible">True</property>
-                <property name="label">Refresh</property>
-                <property name="use_underline">True</property>
-                <property name="icon">icons/refresh.png</property>
-                <signal name="clicked" handler="on_toolbutton_refresh_clicked"/>
-              </widget>
-              <packing>
-                <property name="expand">False</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkToolButton" id="toolbutton_diff">
-                <property name="visible">True</property>
-                <property name="label">Diff</property>
-                <property name="use_underline">True</property>
-                <property name="icon">icons/diff.png</property>
-                <signal name="clicked" handler="on_toolbutton_diff_clicked"/>
-              </widget>
-              <packing>
-                <property name="expand">False</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkToolButton" id="toolbutton_log">
-                <property name="visible">True</property>
-                <property name="label">Log</property>
-                <property name="use_underline">True</property>
-                <property name="icon">icons/log.png</property>
-                <signal name="clicked" handler="on_toolbutton_log_clicked"/>
-              </widget>
-              <packing>
-                <property name="expand">False</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkSeparatorToolItem" id="separatortoolitem1">
-                <property name="visible">True</property>
-              </widget>
-              <packing>
-                <property name="expand">False</property>
-                <property name="homogeneous">False</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkToolButton" id="toolbutton_commit">
-                <property name="visible">True</property>
-                <property name="is_important">True</property>
-                <property name="label">Commit</property>
-                <property name="use_underline">True</property>
-                <property name="icon">icons/commit.png</property>
-                <signal name="clicked" handler="on_toolbutton_commit_clicked"/>
-              </widget>
-              <packing>
-                <property name="expand">False</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkSeparatorToolItem" id="separatortoolitem2">
-                <property name="visible">True</property>
-              </widget>
-              <packing>
-                <property name="expand">False</property>
-                <property name="homogeneous">False</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkToolButton" id="toolbutton_pull">
-                <property name="visible">True</property>
-                <property name="is_important">True</property>
-                <property name="label">Pull</property>
-                <property name="use_underline">True</property>
-                <property name="icon">icons/pull.png</property>
-                <signal name="clicked" handler="on_toolbutton_pull_clicked"/>
-              </widget>
-              <packing>
-                <property name="expand">False</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkToolButton" id="toolbutton_push">
-                <property name="visible">True</property>
-                <property name="is_important">True</property>
-                <property name="label">Push</property>
-                <property name="use_underline">True</property>
-                <property name="icon">icons/push.png</property>
-                <signal name="clicked" handler="on_toolbutton_push_clicked"/>
-              </widget>
-              <packing>
-                <property name="expand">False</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkToolButton" id="toolbutton_update">
-                <property name="visible">True</property>
-                <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                <property name="label" translatable="yes">Update</property>
-                <property name="icon">icons/pull.png</property>
-                <signal name="clicked" handler="on_toolbutton_update_clicked"/>
-              </widget>
-              <packing>
-                <property name="expand">False</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="position">1</property>
-          </packing>
-        </child>
-        <child>
-          <widget class="GtkHPaned" id="hpaned_main">
-            <property name="visible">True</property>
-            <property name="can_focus">True</property>
-            <property name="position">200</property>
-            <child>
-              <widget class="GtkScrolledWindow" id="scrolledwindow_left">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="hscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
-                <property name="vscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
-                <child>
-                  <widget class="GtkTreeView" id="treeview_left">
-                    <property name="visible">True</property>
-                    <property name="can_focus">True</property>
-                    <property name="headers_visible">False</property>
-                    <signal name="button_press_event" handler="on_treeview_left_button_press_event"/>
-                    <signal name="button_release_event" handler="on_treeview_left_button_release_event"/>
-                    <signal name="row_activated" handler="on_treeview_left_row_activated"/>
-                  </widget>
-                </child>
-              </widget>
-              <packing>
-                <property name="resize">False</property>
-                <property name="shrink">True</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkVBox" id="vbox_main_right">
-                <property name="visible">True</property>
-                <child>
-                  <widget class="GtkHBox" id="hbox_location">
-                    <property name="visible">True</property>
-                    <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                    <property name="border_width">3</property>
-                    <property name="spacing">3</property>
-                    <child>
-                      <widget class="GtkButton" id="button_location_up">
-                        <property name="visible">True</property>
-                        <property name="can_focus">True</property>
-                        <property name="receives_default">True</property>
-                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                        <property name="relief">GTK_RELIEF_NONE</property>
-                        <property name="response_id">0</property>
-                        <signal name="clicked" handler="on_button_location_up_clicked"/>
-                        <child>
-                          <widget class="GtkImage" id="image_location_up">
-                            <property name="visible">True</property>
-                            <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                            <property name="stock">gtk-go-up</property>
-                          </widget>
-                        </child>
-                      </widget>
-                      <packing>
-                        <property name="expand">False</property>
-                        <property name="fill">False</property>
-                      </packing>
-                    </child>
-                    <child>
-                      <placeholder/>
-                    </child>
-                    <child>
-                      <widget class="GtkEntry" id="entry_location">
-                        <property name="visible">True</property>
-                        <property name="can_focus">True</property>
-                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                        <signal name="key_press_event" handler="on_entry_location_key_press_event"/>
-                      </widget>
-                      <packing>
-                        <property name="position">2</property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkImage" id="image_location_error">
-                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                        <property name="stock">gtk-dialog-error</property>
-                      </widget>
-                      <packing>
-                        <property name="expand">False</property>
-                        <property name="fill">False</property>
-                        <property name="position">3</property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkButton" id="button_location_jump">
-                        <property name="visible">True</property>
-                        <property name="can_focus">True</property>
-                        <property name="receives_default">True</property>
-                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                        <property name="label" translatable="yes">gtk-jump-to</property>
-                        <property name="relief">GTK_RELIEF_NONE</property>
-                        <property name="use_stock">True</property>
-                        <property name="response_id">0</property>
-                        <signal name="clicked" handler="on_button_location_jump_clicked"/>
-                      </widget>
-                      <packing>
-                        <property name="expand">False</property>
-                        <property name="fill">False</property>
-                        <property name="position">4</property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkVSeparator" id="vseparator">
-                        <property name="visible">True</property>
-                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                      </widget>
-                      <packing>
-                        <property name="expand">False</property>
-                        <property name="fill">False</property>
-                        <property name="position">5</property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkCheckButton" id="checkbutton_history">
-                        <property name="visible">True</property>
-                        <property name="can_focus">True</property>
-                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                        <property name="label" translatable="yes">H_istory Mode</property>
-                        <property name="use_underline">True</property>
-                        <property name="response_id">0</property>
-                        <property name="draw_indicator">True</property>
-                        <signal name="toggled" handler="on_checkbutton_history_toggled"/>
-                      </widget>
-                      <packing>
-                        <property name="expand">False</property>
-                        <property name="fill">False</property>
-                        <property name="position">6</property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkEntry" id="entry_history_revno">
-                        <property name="width_request">75</property>
-                        <property name="visible">True</property>
-                        <property name="sensitive">False</property>
-                        <property name="can_focus">True</property>
-                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                        <signal name="key_press_event" handler="on_entry_history_revno_key_press_event"/>
-                      </widget>
-                      <packing>
-                        <property name="expand">False</property>
-                        <property name="fill">False</property>
-                        <property name="position">7</property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkButton" id="button_history_browse">
-                        <property name="visible">True</property>
-                        <property name="sensitive">False</property>
-                        <property name="can_focus">True</property>
-                        <property name="receives_default">True</property>
-                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                        <property name="response_id">0</property>
-                        <signal name="clicked" handler="on_button_history_browse_clicked"/>
-                        <child>
-                          <widget class="GtkImage" id="image_history_browse">
-                            <property name="visible">True</property>
-                            <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                            <property name="stock">gtk-open</property>
-                          </widget>
-                        </child>
-                      </widget>
-                      <packing>
-                        <property name="expand">False</property>
-                        <property name="fill">False</property>
-                        <property name="position">8</property>
-                      </packing>
-                    </child>
-                  </widget>
-                  <packing>
-                    <property name="expand">False</property>
-                    <property name="fill">False</property>
-                  </packing>
-                </child>
-                <child>
-                  <widget class="GtkScrolledWindow" id="scrolledwindow_right">
-                    <property name="visible">True</property>
-                    <property name="can_focus">True</property>
-                    <property name="hscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
-                    <property name="vscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
-                    <child>
-                      <widget class="GtkTreeView" id="treeview_right">
-                        <property name="visible">True</property>
-                        <property name="can_focus">True</property>
-                        <property name="headers_visible">False</property>
-                        <signal name="button_press_event" handler="on_treeview_right_button_press_event"/>
-                        <signal name="row_activated" handler="on_treeview_right_row_activated"/>
-                      </widget>
-                    </child>
-                  </widget>
-                  <packing>
-                    <property name="position">1</property>
-                  </packing>
-                </child>
-              </widget>
-              <packing>
-                <property name="resize">True</property>
-                <property name="shrink">True</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="position">2</property>
-          </packing>
-        </child>
-        <child>
-          <widget class="GtkStatusbar" id="statusbar">
-            <property name="visible">True</property>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="position">3</property>
-          </packing>
-        </child>
-      </widget>
-    </child>
-  </widget>
-  <widget class="GtkAboutDialog" id="aboutdialog">
-    <property name="visible">True</property>
-    <property name="type_hint">GDK_WINDOW_TYPE_HINT_NORMAL</property>
-    <property name="name">Olive</property>
-    <property name="copyright" translatable="yes">Copyright (C) 2006 Szilveszter Farkas (Phanatic)</property>
-    <property name="website">https://launchpad.net/products/olive</property>
-    <property name="website_label" translatable="yes">https://launchpad.net/products/olive</property>
-    <property name="authors">Szilveszter Farkas (Phanatic) &lt;szilveszter.farkas@gmail.com&gt;</property>
-    <property name="translator_credits" translatable="yes" comments="TRANSLATORS: Replace this string with your names, one name per line.">translator-credits</property>
-    <property name="logo">icons/oliveicon2.png</property>
-    <child internal-child="vbox">
-      <widget class="GtkVBox" id="dialog-vbox1">
-        <child internal-child="action_area">
-          <widget class="GtkHButtonBox" id="dialog-action_area1">
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="pack_type">GTK_PACK_END</property>
-          </packing>
-        </child>
-      </widget>
-    </child>
-  </widget>
-  <widget class="GtkDialog" id="window_add">
-    <property name="visible">True</property>
-    <property name="title" translatable="yes">Olive - Add file(s)</property>
-    <property name="resizable">False</property>
-    <property name="icon">icons/oliveicon2.png</property>
-    <property name="type_hint">GDK_WINDOW_TYPE_HINT_DIALOG</property>
-    <child internal-child="vbox">
-      <widget class="GtkVBox" id="vbox_add">
-        <property name="visible">True</property>
-        <property name="spacing">3</property>
-        <child>
-          <widget class="GtkLabel" id="label_add_question">
-            <property name="visible">True</property>
-            <property name="label" translatable="yes">Which file(s) do you want to add?</property>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="position">2</property>
-          </packing>
-        </child>
-        <child>
-          <widget class="GtkRadioButton" id="radiobutton_add_selected">
-            <property name="visible">True</property>
-            <property name="can_focus">True</property>
-            <property name="label" translatable="yes">Selected only</property>
-            <property name="use_underline">True</property>
-            <property name="response_id">0</property>
-            <property name="draw_indicator">True</property>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="position">3</property>
-          </packing>
-        </child>
-        <child>
-          <widget class="GtkRadioButton" id="radiobutton_add_unknown">
-            <property name="visible">True</property>
-            <property name="can_focus">True</property>
-            <property name="label" translatable="yes">All unknowns recursively</property>
-            <property name="use_underline">True</property>
-            <property name="response_id">0</property>
-            <property name="draw_indicator">True</property>
-            <property name="group">radiobutton_add_selected</property>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="position">4</property>
-          </packing>
-        </child>
-        <child internal-child="action_area">
-          <widget class="GtkHButtonBox" id="hbuttonbox_add">
-            <property name="visible">True</property>
-            <property name="layout_style">GTK_BUTTONBOX_END</property>
-            <child>
-              <widget class="GtkButton" id="button_add_cancel">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="can_default">True</property>
-                <property name="label">gtk-cancel</property>
-                <property name="use_stock">True</property>
-                <property name="response_id">0</property>
-                <signal name="clicked" handler="on_button_add_cancel_clicked"/>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkButton" id="button_add_add">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="can_default">True</property>
-                <property name="has_default">True</property>
-                <property name="response_id">0</property>
-                <signal name="clicked" handler="on_button_add_add_clicked"/>
-                <child>
-                  <widget class="GtkAlignment" id="alignment3">
-                    <property name="visible">True</property>
-                    <property name="xscale">0</property>
-                    <property name="yscale">0</property>
-                    <child>
-                      <widget class="GtkHBox" id="hbox5">
-                        <property name="visible">True</property>
-                        <property name="spacing">2</property>
-                        <child>
-                          <widget class="GtkImage" id="image13">
-                            <property name="visible">True</property>
-                            <property name="stock">gtk-add</property>
-                          </widget>
-                          <packing>
-                            <property name="expand">False</property>
-                            <property name="fill">False</property>
-                          </packing>
-                        </child>
-                        <child>
-                          <widget class="GtkLabel" id="label8">
-                            <property name="visible">True</property>
-                            <property name="label" translatable="yes">_Add</property>
-                            <property name="use_underline">True</property>
-                          </widget>
-                          <packing>
-                            <property name="expand">False</property>
-                            <property name="fill">False</property>
-                            <property name="position">1</property>
-                          </packing>
-                        </child>
-                      </widget>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-              <packing>
-                <property name="position">1</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="pack_type">GTK_PACK_END</property>
-          </packing>
-        </child>
-      </widget>
-    </child>
-  </widget>
-  <widget class="GtkDialog" id="window_remove">
-    <property name="visible">True</property>
-    <property name="title" translatable="yes">Olive - Remove file(s)</property>
-    <property name="resizable">False</property>
-    <property name="icon">icons/oliveicon2.png</property>
-    <property name="type_hint">GDK_WINDOW_TYPE_HINT_DIALOG</property>
-    <child internal-child="vbox">
-      <widget class="GtkVBox" id="vbox_remove">
-        <property name="visible">True</property>
-        <property name="spacing">3</property>
-        <child>
-          <widget class="GtkLabel" id="label_remove_question">
-            <property name="visible">True</property>
-            <property name="label" translatable="yes">Which file(s) do you want to remove?</property>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="position">2</property>
-          </packing>
-        </child>
-        <child>
-          <widget class="GtkRadioButton" id="radiobutton_remove_selected">
-            <property name="visible">True</property>
-            <property name="can_focus">True</property>
-            <property name="label" translatable="yes">Selected only</property>
-            <property name="use_underline">True</property>
-            <property name="response_id">0</property>
-            <property name="draw_indicator">True</property>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="position">3</property>
-          </packing>
-        </child>
-        <child>
-          <widget class="GtkRadioButton" id="radiobutton_remove_new">
-            <property name="visible">True</property>
-            <property name="can_focus">True</property>
-            <property name="label" translatable="yes">All files with status 'added'</property>
-            <property name="use_underline">True</property>
-            <property name="response_id">0</property>
-            <property name="draw_indicator">True</property>
-            <property name="group">radiobutton_remove_selected</property>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="position">4</property>
-          </packing>
-        </child>
-        <child internal-child="action_area">
-          <widget class="GtkHButtonBox" id="hbuttonbox_remove">
-            <property name="visible">True</property>
-            <property name="layout_style">GTK_BUTTONBOX_END</property>
-            <child>
-              <widget class="GtkButton" id="button_remove_cancel">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="can_default">True</property>
-                <property name="label">gtk-cancel</property>
-                <property name="use_stock">True</property>
-                <property name="response_id">0</property>
-                <signal name="clicked" handler="on_button_remove_cancel_clicked"/>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkButton" id="button_remove_remove">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="can_default">True</property>
-                <property name="has_default">True</property>
-                <property name="response_id">0</property>
-                <signal name="clicked" handler="on_button_remove_remove_clicked"/>
-                <child>
-                  <widget class="GtkAlignment" id="alignment4">
-                    <property name="visible">True</property>
-                    <property name="xscale">0</property>
-                    <property name="yscale">0</property>
-                    <child>
-                      <widget class="GtkHBox" id="hbox6">
-                        <property name="visible">True</property>
-                        <property name="spacing">2</property>
-                        <child>
-                          <widget class="GtkImage" id="image39">
-                            <property name="visible">True</property>
-                            <property name="stock">gtk-remove</property>
-                          </widget>
-                          <packing>
-                            <property name="expand">False</property>
-                            <property name="fill">False</property>
-                          </packing>
-                        </child>
-                        <child>
-                          <widget class="GtkLabel" id="label10">
-                            <property name="visible">True</property>
-                            <property name="label" translatable="yes">_Remove</property>
-                            <property name="use_underline">True</property>
-                          </widget>
-                          <packing>
-                            <property name="expand">False</property>
-                            <property name="fill">False</property>
-                            <property name="position">1</property>
-                          </packing>
-                        </child>
-                      </widget>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-              <packing>
-                <property name="position">1</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="pack_type">GTK_PACK_END</property>
-          </packing>
-        </child>
-      </widget>
-    </child>
-  </widget>
-  <widget class="GtkDialog" id="window_mkdir">
-    <property name="visible">True</property>
-    <property name="title" translatable="yes">Olive - Make directory</property>
-    <property name="icon">icons/oliveicon2.png</property>
-    <property name="type_hint">GDK_WINDOW_TYPE_HINT_DIALOG</property>
-    <child internal-child="vbox">
-      <widget class="GtkVBox" id="vbox_mkdir">
-        <property name="visible">True</property>
-        <property name="spacing">3</property>
-        <child>
-          <widget class="GtkEntry" id="entry_mkdir">
-            <property name="visible">True</property>
-            <property name="can_focus">True</property>
-            <property name="has_focus">True</property>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="position">2</property>
-          </packing>
-        </child>
-        <child>
-          <widget class="GtkCheckButton" id="checkbutton_mkdir_versioned">
-            <property name="visible">True</property>
-            <property name="can_focus">True</property>
-            <property name="label" translatable="yes">_Versioned directory</property>
-            <property name="use_underline">True</property>
-            <property name="response_id">0</property>
-            <property name="active">True</property>
-            <property name="draw_indicator">True</property>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="position">3</property>
-          </packing>
-        </child>
-        <child internal-child="action_area">
-          <widget class="GtkHButtonBox" id="hbuttonbox_mkdir">
-            <property name="visible">True</property>
-            <property name="layout_style">GTK_BUTTONBOX_END</property>
-            <child>
-              <widget class="GtkButton" id="button_mkdir_cancel">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="can_default">True</property>
-                <property name="label">gtk-cancel</property>
-                <property name="use_stock">True</property>
-                <property name="response_id">0</property>
-                <signal name="clicked" handler="on_button_mkdir_cancel_clicked"/>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkButton" id="button_mkdir_mkdir">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="can_default">True</property>
-                <property name="has_default">True</property>
-                <property name="response_id">0</property>
-                <signal name="clicked" handler="on_button_mkdir_mkdir_clicked"/>
-                <child>
-                  <widget class="GtkAlignment" id="alignment8">
-                    <property name="visible">True</property>
-                    <property name="xscale">0</property>
-                    <property name="yscale">0</property>
-                    <child>
-                      <widget class="GtkHBox" id="hbox10">
-                        <property name="visible">True</property>
-                        <property name="spacing">2</property>
-                        <child>
-                          <widget class="GtkImage" id="image143">
-                            <property name="visible">True</property>
-                            <property name="stock">gtk-add</property>
-                          </widget>
-                          <packing>
-                            <property name="expand">False</property>
-                            <property name="fill">False</property>
-                          </packing>
-                        </child>
-                        <child>
-                          <widget class="GtkLabel" id="label17">
-                            <property name="visible">True</property>
-                            <property name="label" translatable="yes">_Make directory</property>
-                            <property name="use_underline">True</property>
-                          </widget>
-                          <packing>
-                            <property name="expand">False</property>
-                            <property name="fill">False</property>
-                            <property name="position">1</property>
-                          </packing>
-                        </child>
-                      </widget>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-              <packing>
-                <property name="position">1</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="pack_type">GTK_PACK_END</property>
-          </packing>
-        </child>
-      </widget>
-    </child>
-  </widget>
-  <widget class="GtkDialog" id="window_move">
-    <property name="width_request">250</property>
-    <property name="title" translatable="yes">Olive - Move</property>
-    <property name="icon">icons/oliveicon2.png</property>
-    <property name="type_hint">GDK_WINDOW_TYPE_HINT_DIALOG</property>
-    <child internal-child="vbox">
-      <widget class="GtkVBox" id="vbox_move">
-        <property name="visible">True</property>
-        <property name="spacing">3</property>
-        <child>
-          <widget class="GtkHBox" id="hbox_move">
-            <property name="visible">True</property>
-            <property name="spacing">5</property>
-            <child>
-              <widget class="GtkLabel" id="label_move">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">Move to</property>
-              </widget>
-              <packing>
-                <property name="expand">False</property>
-                <property name="fill">False</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkFileChooserButton" id="filechooserbutton_move">
-                <property name="visible">True</property>
-                <property name="action">GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER</property>
-                <property name="title" translatable="yes">Select a directory</property>
-              </widget>
-              <packing>
-                <property name="position">1</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="position">2</property>
-          </packing>
-        </child>
-        <child internal-child="action_area">
-          <widget class="GtkHButtonBox" id="hbuttonbox_move">
-            <property name="visible">True</property>
-            <property name="layout_style">GTK_BUTTONBOX_END</property>
-            <child>
-              <widget class="GtkButton" id="button_move_cancel">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="can_default">True</property>
-                <property name="label">gtk-cancel</property>
-                <property name="use_stock">True</property>
-                <property name="response_id">0</property>
-                <signal name="clicked" handler="on_button_move_cancel_clicked"/>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkButton" id="button_move_move">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="can_default">True</property>
-                <property name="has_default">True</property>
-                <property name="response_id">0</property>
-                <signal name="clicked" handler="on_button_move_move_clicked"/>
-                <child>
-                  <widget class="GtkAlignment" id="alignment9">
-                    <property name="visible">True</property>
-                    <property name="xscale">0</property>
-                    <property name="yscale">0</property>
-                    <child>
-                      <widget class="GtkHBox" id="hbox11">
-                        <property name="visible">True</property>
-                        <property name="spacing">2</property>
-                        <child>
-                          <widget class="GtkImage" id="image151">
-                            <property name="visible">True</property>
-                            <property name="stock">gtk-apply</property>
-                          </widget>
-                          <packing>
-                            <property name="expand">False</property>
-                            <property name="fill">False</property>
-                          </packing>
-                        </child>
-                        <child>
-                          <widget class="GtkLabel" id="label18">
-                            <property name="visible">True</property>
-                            <property name="label" translatable="yes">_Move</property>
-                            <property name="use_underline">True</property>
-                          </widget>
-                          <packing>
-                            <property name="expand">False</property>
-                            <property name="fill">False</property>
-                            <property name="position">1</property>
-                          </packing>
-                        </child>
-                      </widget>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-              <packing>
-                <property name="position">1</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="pack_type">GTK_PACK_END</property>
-          </packing>
-        </child>
-      </widget>
-    </child>
-  </widget>
-  <widget class="GtkDialog" id="window_rename">
-    <property name="title" translatable="yes">Olive - Rename</property>
-    <property name="icon">icons/oliveicon2.png</property>
-    <property name="type_hint">GDK_WINDOW_TYPE_HINT_DIALOG</property>
-    <child internal-child="vbox">
-      <widget class="GtkVBox" id="vbox_rename">
-        <property name="visible">True</property>
-        <property name="spacing">3</property>
-        <child>
-          <widget class="GtkHBox" id="hbox_rename">
-            <property name="visible">True</property>
-            <property name="spacing">5</property>
-            <child>
-              <widget class="GtkLabel" id="label_rename">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">Rename to</property>
-              </widget>
-              <packing>
-                <property name="expand">False</property>
-                <property name="fill">False</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkEntry" id="entry_rename">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="has_focus">True</property>
-              </widget>
-              <packing>
-                <property name="position">1</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="position">2</property>
-          </packing>
-        </child>
-        <child internal-child="action_area">
-          <widget class="GtkHButtonBox" id="hbuttonbox_rename">
-            <property name="visible">True</property>
-            <property name="layout_style">GTK_BUTTONBOX_END</property>
-            <child>
-              <widget class="GtkButton" id="button_rename_cancel">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="can_default">True</property>
-                <property name="label">gtk-cancel</property>
-                <property name="use_stock">True</property>
-                <property name="response_id">0</property>
-                <signal name="clicked" handler="on_button_rename_cancel_clicked"/>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkButton" id="button_rename_rename">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="can_default">True</property>
-                <property name="has_default">True</property>
-                <property name="response_id">0</property>
-                <signal name="clicked" handler="on_button_rename_rename_clicked"/>
-                <child>
-                  <widget class="GtkAlignment" id="alignment10">
-                    <property name="visible">True</property>
-                    <property name="xscale">0</property>
-                    <property name="yscale">0</property>
-                    <child>
-                      <widget class="GtkHBox" id="hbox13">
-                        <property name="visible">True</property>
-                        <property name="spacing">2</property>
-                        <child>
-                          <widget class="GtkImage" id="image159">
-                            <property name="visible">True</property>
-                            <property name="stock">gtk-apply</property>
-                          </widget>
-                          <packing>
-                            <property name="expand">False</property>
-                            <property name="fill">False</property>
-                          </packing>
-                        </child>
-                        <child>
-                          <widget class="GtkLabel" id="label20">
-                            <property name="visible">True</property>
-                            <property name="label" translatable="yes">_Rename</property>
-                            <property name="use_underline">True</property>
-                          </widget>
-                          <packing>
-                            <property name="expand">False</property>
-                            <property name="fill">False</property>
-                            <property name="position">1</property>
-                          </packing>
-                        </child>
-                      </widget>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-              <packing>
-                <property name="position">1</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="pack_type">GTK_PACK_END</property>
-          </packing>
-        </child>
-      </widget>
-    </child>
-  </widget>
-  <widget class="GtkDialog" id="window_info">
-    <property name="title" translatable="yes">Olive - Information</property>
-    <property name="icon">icons/oliveicon2.png</property>
-    <property name="type_hint">GDK_WINDOW_TYPE_HINT_NORMAL</property>
-    <child internal-child="vbox">
-      <widget class="GtkVBox" id="vbox_info">
-        <property name="visible">True</property>
-        <property name="spacing">3</property>
-        <child>
-          <widget class="GtkExpander" id="expander_info_location">
-            <property name="can_focus">True</property>
-            <signal name="activate" handler="on_expander_info_location_activate"/>
-            <child>
-              <widget class="GtkAlignment" id="alignment11">
-                <property name="visible">True</property>
-                <property name="left_padding">24</property>
-                <child>
-                  <widget class="GtkTable" id="table_info_location">
-                    <property name="visible">True</property>
-                    <property name="n_rows">7</property>
-                    <property name="n_columns">2</property>
-                    <property name="column_spacing">12</property>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_repobranch">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">2</property>
-                        <property name="bottom_attach">3</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_cobranch">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">3</property>
-                        <property name="bottom_attach">4</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_repoco">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">4</property>
-                        <property name="bottom_attach">5</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_coroot">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">5</property>
-                        <property name="bottom_attach">6</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_branchroot">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">6</property>
-                        <property name="bottom_attach">7</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_sharedrepo">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_lightcoroot">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_coroot_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Checkout root: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">5</property>
-                        <property name="bottom_attach">6</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_branchroot_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Branch root: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">6</property>
-                        <property name="bottom_attach">7</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_repoco_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Repository checkout: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">4</property>
-                        <property name="bottom_attach">5</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_cobranch_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Checkout of branch: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">3</property>
-                        <property name="bottom_attach">4</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_repobranch_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Repository branch: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">2</property>
-                        <property name="bottom_attach">3</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_sharedrepo_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Shared repository: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_lightcoroot_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Light checkout root: </property>
-                      </widget>
-                      <packing>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkLabel" id="label_info_location">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">&lt;b&gt;Location:&lt;/b&gt;</property>
-                <property name="use_markup">True</property>
-              </widget>
-              <packing>
-                <property name="type">label_item</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="position">2</property>
-          </packing>
-        </child>
-        <child>
-          <widget class="GtkExpander" id="expander_info_related">
-            <property name="can_focus">True</property>
-            <signal name="activate" handler="on_expander_info_related_activate"/>
-            <child>
-              <widget class="GtkAlignment" id="alignment12">
-                <property name="visible">True</property>
-                <property name="left_padding">24</property>
-                <child>
-                  <widget class="GtkTable" id="table_info_related">
-                    <property name="visible">True</property>
-                    <property name="n_rows">2</property>
-                    <property name="n_columns">2</property>
-                    <property name="column_spacing">12</property>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_related_parentbranch">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_related_publishbranch">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_related_publishbranch_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Publish to branch: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_related_parentbranch_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Parent branch: </property>
-                      </widget>
-                      <packing>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkLabel" id="label_info_related">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">&lt;b&gt;Related branches:&lt;/b&gt;</property>
-                <property name="use_markup">True</property>
-              </widget>
-              <packing>
-                <property name="type">label_item</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="position">3</property>
-          </packing>
-        </child>
-        <child>
-          <widget class="GtkExpander" id="expander_info_format">
-            <property name="can_focus">True</property>
-            <signal name="activate" handler="on_expander_info_format_activate"/>
-            <child>
-              <widget class="GtkAlignment" id="alignment13">
-                <property name="visible">True</property>
-                <property name="left_padding">24</property>
-                <child>
-                  <widget class="GtkTable" id="table_info_format">
-                    <property name="visible">True</property>
-                    <property name="n_rows">4</property>
-                    <property name="n_columns">2</property>
-                    <property name="column_spacing">12</property>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_format_control">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_format_workingtree">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_format_branch">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">2</property>
-                        <property name="bottom_attach">3</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_format_repository">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">3</property>
-                        <property name="bottom_attach">4</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_format_repository_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Repository format: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">3</property>
-                        <property name="bottom_attach">4</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_format_branch_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Branch format: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">2</property>
-                        <property name="bottom_attach">3</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_format_workingtree_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Working tree format: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_format_control_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Control format: </property>
-                      </widget>
-                      <packing>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkLabel" id="label_info_format">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">&lt;b&gt;Format:&lt;/b&gt;</property>
-                <property name="use_markup">True</property>
-              </widget>
-              <packing>
-                <property name="type">label_item</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="position">4</property>
-          </packing>
-        </child>
-        <child>
-          <widget class="GtkExpander" id="expander_info_locking">
-            <property name="can_focus">True</property>
-            <signal name="activate" handler="on_expander_info_locking_activate"/>
-            <child>
-              <widget class="GtkAlignment" id="alignment14">
-                <property name="visible">True</property>
-                <property name="left_padding">24</property>
-                <child>
-                  <widget class="GtkTable" id="table_info_locking">
-                    <property name="visible">True</property>
-                    <property name="n_rows">3</property>
-                    <property name="n_columns">2</property>
-                    <property name="column_spacing">12</property>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_locking_workingtree">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_locking_branch">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_locking_repository">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">2</property>
-                        <property name="bottom_attach">3</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_locking_repository_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Repository lock status: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">2</property>
-                        <property name="bottom_attach">3</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_locking_branch_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Branch lock status: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_locking_workingtree_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Working tree lock status: </property>
-                      </widget>
-                      <packing>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkLabel" id="label_info_locking">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">&lt;b&gt;Lock status:&lt;/b&gt;</property>
-                <property name="use_markup">True</property>
-              </widget>
-              <packing>
-                <property name="type">label_item</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="position">5</property>
-          </packing>
-        </child>
-        <child>
-          <widget class="GtkExpander" id="expander_info_missing">
-            <property name="can_focus">True</property>
-            <signal name="activate" handler="on_expander_info_missing_activate"/>
-            <child>
-              <widget class="GtkAlignment" id="alignment15">
-                <property name="visible">True</property>
-                <property name="left_padding">24</property>
-                <child>
-                  <widget class="GtkTable" id="table_info_missing">
-                    <property name="visible">True</property>
-                    <property name="n_rows">2</property>
-                    <property name="n_columns">2</property>
-                    <property name="column_spacing">12</property>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_missing_workingtree">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_missing_branch">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_missing_branch_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Missing revisions in branch: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_missing_workingtree_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Missing revisions in working tree: </property>
-                      </widget>
-                      <packing>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkLabel" id="label_info_missing">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">&lt;b&gt;Missing revisions:&lt;/b&gt;</property>
-                <property name="use_markup">True</property>
-              </widget>
-              <packing>
-                <property name="type">label_item</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="position">6</property>
-          </packing>
-        </child>
-        <child>
-          <widget class="GtkExpander" id="expander_info_wtstats">
-            <property name="can_focus">True</property>
-            <signal name="activate" handler="on_expander_info_wtstats_activate"/>
-            <child>
-              <widget class="GtkAlignment" id="alignment16">
-                <property name="visible">True</property>
-                <property name="left_padding">24</property>
-                <child>
-                  <widget class="GtkTable" id="table_info_wtstats">
-                    <property name="visible">True</property>
-                    <property name="n_rows">8</property>
-                    <property name="n_columns">2</property>
-                    <property name="column_spacing">12</property>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_unchanged">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_modified">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_added">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">2</property>
-                        <property name="bottom_attach">3</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_removed">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">3</property>
-                        <property name="bottom_attach">4</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_renamed">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">4</property>
-                        <property name="bottom_attach">5</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_unknown">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">5</property>
-                        <property name="bottom_attach">6</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_ignored">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">6</property>
-                        <property name="bottom_attach">7</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_subdirs">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">7</property>
-                        <property name="bottom_attach">8</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_subdirs_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Versioned subdirectories: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">7</property>
-                        <property name="bottom_attach">8</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_ignored_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Ignored files: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">6</property>
-                        <property name="bottom_attach">7</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_unknown_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Unknown files: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">5</property>
-                        <property name="bottom_attach">6</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_renamed_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Renamed files: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">4</property>
-                        <property name="bottom_attach">5</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_removed_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Removed files: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">3</property>
-                        <property name="bottom_attach">4</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_added_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Added files: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">2</property>
-                        <property name="bottom_attach">3</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_modified_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Modified files: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_unchanged_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Unchanged files: </property>
-                      </widget>
-                      <packing>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkLabel" id="label_info_wtstats">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">&lt;b&gt;In the working tree:&lt;/b&gt;</property>
-                <property name="use_markup">True</property>
-              </widget>
-              <packing>
-                <property name="type">label_item</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="position">7</property>
-          </packing>
-        </child>
-        <child>
-          <widget class="GtkExpander" id="expander_info_brstats">
-            <property name="can_focus">True</property>
-            <signal name="activate" handler="on_expander_info_brstats_activate"/>
-            <child>
-              <widget class="GtkAlignment" id="alignment17">
-                <property name="visible">True</property>
-                <property name="left_padding">24</property>
-                <child>
-                  <widget class="GtkTable" id="table_info_brstats">
-                    <property name="visible">True</property>
-                    <property name="n_rows">5</property>
-                    <property name="n_columns">2</property>
-                    <property name="column_spacing">12</property>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_brstats_revno">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_brstats_commiters">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_brstats_age">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">2</property>
-                        <property name="bottom_attach">3</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_brstats_firstrev">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">3</property>
-                        <property name="bottom_attach">4</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_brstats_lastrev">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">4</property>
-                        <property name="bottom_attach">5</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_brstats_lastrev_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Time of last revision: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">4</property>
-                        <property name="bottom_attach">5</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_brstats_firstrev_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Time of first revision: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">3</property>
-                        <property name="bottom_attach">4</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_brstats_age_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Age of branch in days: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">2</property>
-                        <property name="bottom_attach">3</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_brstats_commiters_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Number of commiters: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_brstats_revno_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Revisions in branch: </property>
-                      </widget>
-                      <packing>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkLabel" id="label_info_brstats">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">&lt;b&gt;Branch history:&lt;/b&gt;</property>
-                <property name="use_markup">True</property>
-              </widget>
-              <packing>
-                <property name="type">label_item</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="position">8</property>
-          </packing>
-        </child>
-        <child>
-          <widget class="GtkExpander" id="expander_info_repstats">
-            <property name="can_focus">True</property>
-            <signal name="activate" handler="on_expander_info_repstats_activate"/>
-            <child>
-              <widget class="GtkAlignment" id="alignment18">
-                <property name="visible">True</property>
-                <property name="left_padding">24</property>
-                <child>
-                  <widget class="GtkTable" id="table_info_repstats">
-                    <property name="visible">True</property>
-                    <property name="n_rows">2</property>
-                    <property name="n_columns">2</property>
-                    <property name="column_spacing">12</property>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_repstats_revisions">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_repstats_size">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_repstats_size_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Size of repository: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_repstats_revisions_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Revisions in repository: </property>
-                      </widget>
-                      <packing>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkLabel" id="label_info_repstats">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">&lt;b&gt;Revision store:&lt;/b&gt;</property>
-                <property name="use_markup">True</property>
-              </widget>
-              <packing>
-                <property name="type">label_item</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="position">9</property>
-          </packing>
-        </child>
-        <child internal-child="action_area">
-          <widget class="GtkHButtonBox" id="hbuttonbox_info">
-            <property name="visible">True</property>
-            <property name="can_default">True</property>
-            <property name="has_default">True</property>
-            <property name="layout_style">GTK_BUTTONBOX_END</property>
-            <child>
-              <widget class="GtkButton" id="button_info_close">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="can_default">True</property>
-                <property name="has_default">True</property>
-                <property name="label">gtk-close</property>
-                <property name="use_stock">True</property>
-                <property name="response_id">0</property>
-                <signal name="clicked" handler="on_button_info_close_clicked"/>
-              </widget>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="pack_type">GTK_PACK_END</property>
-          </packing>
-        </child>
-      </widget>
-    </child>
-  </widget>
-  <widget class="GtkDialog" id="window_merge">
-    <property name="visible">True</property>
-    <property name="title" translatable="yes">Merge - Olive</property>
-    <property name="icon">icons/oliveicon2.png</property>
-    <property name="type_hint">GDK_WINDOW_TYPE_HINT_DIALOG</property>
-    <child internal-child="vbox">
-      <widget class="GtkVBox" id="vbox_merge">
-        <property name="visible">True</property>
-        <property name="spacing">3</property>
-        <child>
-          <widget class="GtkHBox" id="hbox_merge">
-            <property name="visible">True</property>
-            <property name="spacing">3</property>
-            <child>
-              <widget class="GtkLabel" id="label_merge">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">Merge from:</property>
-              </widget>
-              <packing>
-                <property name="expand">False</property>
-                <property name="fill">False</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkEntry" id="entry_merge">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-              </widget>
-              <packing>
-                <property name="position">1</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkButton" id="button_merge_open">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="response_id">0</property>
-                <signal name="clicked" handler="on_button_merge_open_clicked"/>
-                <child>
-                  <widget class="GtkImage" id="image240">
-                    <property name="visible">True</property>
-                    <property name="stock">gtk-open</property>
-                  </widget>
-                </child>
-              </widget>
-              <packing>
-                <property name="expand">False</property>
-                <property name="fill">False</property>
-                <property name="position">2</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="position">2</property>
-          </packing>
-        </child>
-        <child internal-child="action_area">
-          <widget class="GtkHButtonBox" id="hbuttonbox_merge">
-            <property name="visible">True</property>
-            <property name="layout_style">GTK_BUTTONBOX_END</property>
-            <child>
-              <widget class="GtkButton" id="button_merge_cancel">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="can_default">True</property>
-                <property name="label">gtk-cancel</property>
-                <property name="use_stock">True</property>
-                <property name="response_id">0</property>
-                <signal name="clicked" handler="on_button_merge_cancel_clicked"/>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkButton" id="button_merge_merge">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="can_default">True</property>
-                <property name="has_default">True</property>
-                <property name="response_id">0</property>
-                <signal name="clicked" handler="on_button_merge_merge_clicked"/>
-                <child>
-                  <widget class="GtkAlignment" id="alignment19">
-                    <property name="visible">True</property>
-                    <property name="xscale">0</property>
-                    <property name="yscale">0</property>
-                    <child>
-                      <widget class="GtkHBox" id="hbox14">
-                        <property name="visible">True</property>
-                        <property name="spacing">2</property>
-                        <child>
-                          <widget class="GtkImage" id="image239">
-                            <property name="visible">True</property>
-                            <property name="stock">gtk-apply</property>
-                          </widget>
-                          <packing>
-                            <property name="expand">False</property>
-                            <property name="fill">False</property>
-                          </packing>
-                        </child>
-                        <child>
-                          <widget class="GtkLabel" id="label21">
-                            <property name="visible">True</property>
-                            <property name="label" translatable="yes">_Merge</property>
-                            <property name="use_underline">True</property>
-                          </widget>
-                          <packing>
-                            <property name="expand">False</property>
-                            <property name="fill">False</property>
-                            <property name="position">1</property>
-                          </packing>
-                        </child>
-                      </widget>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-              <packing>
-                <property name="position">1</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="pack_type">GTK_PACK_END</property>
-          </packing>
-        </child>
-      </widget>
-    </child>
-  </widget>
-</glade-interface>

=== removed file 'olive.gladep'
--- olive.gladep	2007-08-10 10:45:06 +0000
+++ olive.gladep	1970-01-01 00:00:00 +0000
@@ -1,8 +0,0 @@
-<?xml version="1.0" standalone="no"?> <!--*- mode: xml -*-->
-<!DOCTYPE glade-project SYSTEM "http://glade.gnome.org/glade-project-2.0.dtd">
-
-<glade-project>
-  <name>olive</name>
-  <program_name>olive</program_name>
-  <pixmaps_directory>.</pixmaps_directory>
-</glade-project>

=== removed file 'olive/__init__.py'
--- olive/__init__.py	2008-06-23 08:05:19 +0000
+++ olive/__init__.py	1970-01-01 00:00:00 +0000
@@ -1,1727 +0,0 @@
- #!/usr/bin/python
-
-# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-import os
-import sys
-import time
-
-# gettext support
-import gettext
-gettext.install('olive-gtk')
-
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gobject
-import gtk
-import gtk.gdk
-import gtk.glade
-
-from bzrlib.branch import Branch
-import bzrlib.errors as bzrerrors
-from bzrlib.lazy_import import lazy_import
-from bzrlib.ui import ui_factory
-from bzrlib.workingtree import WorkingTree
-
-from bzrlib.plugins.gtk import _i18n
-from bzrlib.plugins.gtk.dialog import error_dialog, info_dialog, warning_dialog
-from bzrlib.plugins.gtk.errors import show_bzr_error
-from guifiles import GLADEFILENAME
-
-from bzrlib.plugins.gtk.diff import DiffWindow
-lazy_import(globals(), """
-from bzrlib.plugins.gtk.viz import branchwin
-""")
-from bzrlib.plugins.gtk.annotate.gannotate import GAnnotateWindow
-from bzrlib.plugins.gtk.annotate.config import GAnnotateConfig
-from bzrlib.plugins.gtk.commit import CommitDialog
-from bzrlib.plugins.gtk.conflicts import ConflictsDialog
-from bzrlib.plugins.gtk.initialize import InitDialog
-from bzrlib.plugins.gtk.push import PushDialog
-from bzrlib.plugins.gtk.revbrowser import RevisionBrowser
-
-def about():
-    """ Display the AboutDialog. """
-    from bzrlib.plugins.gtk import __version__
-    from bzrlib.plugins.gtk.olive.guifiles import GLADEFILENAME
-
-    # Load AboutDialog description
-    dglade = gtk.glade.XML(GLADEFILENAME, 'aboutdialog')
-    dialog = dglade.get_widget('aboutdialog')
-
-    # Set version
-    dialog.set_version(__version__)
-    dialog.set_authors([ _i18n("Lead Developer:"),
-			 "Szilveszter Farkas <szilveszter.farkas@gmail.com>",
-			 _i18n("Contributors:"),
-			 "Jelmer Vernooij <jelmer@samba.org>",
-			 "Mateusz Korniak <mateusz.korniak@ant.gliwice.pl>",
-			 "Gary van der Merwe <garyvdm@gmail.com>" ])
-    dialog.set_artists([ "Simon Pascal Klein <klepas@klepas.org>",
-			 "Jakub Steiner <jimmac@novell.com>" ])
-
-    dialog.run()
-    # Destroy the dialog
-    dialog.destroy()
-
-class OliveGtk:
-    """ The main Olive GTK frontend class. This is called when launching the
-    program. """
-    
-    def __init__(self):
-        self.toplevel = gtk.glade.XML(GLADEFILENAME, 'window_main', 'olive-gtk')
-        self.window = self.toplevel.get_widget('window_main')
-        self.pref = Preferences()
-        self.path = None
-
-        # Initialize the statusbar
-        self.statusbar = self.toplevel.get_widget('statusbar')
-        self.context_id = self.statusbar.get_context_id('olive')
-        
-        # Get the main window
-        self.window_main = self.toplevel.get_widget('window_main')
-        # Get the HPaned
-        self.hpaned_main = self.toplevel.get_widget('hpaned_main')
-        # Get the TreeViews
-        self.treeview_left = self.toplevel.get_widget('treeview_left')
-        self.treeview_right = self.toplevel.get_widget('treeview_right')
-        # Get some important menu items
-        self.menuitem_add_files = self.toplevel.get_widget('menuitem_add_files')
-        self.menuitem_remove_files = self.toplevel.get_widget('menuitem_remove_file')
-        self.menuitem_file_bookmark = self.toplevel.get_widget('menuitem_file_bookmark')
-        self.menuitem_file_make_directory = self.toplevel.get_widget('menuitem_file_make_directory')
-        self.menuitem_file_rename = self.toplevel.get_widget('menuitem_file_rename')
-        self.menuitem_file_move = self.toplevel.get_widget('menuitem_file_move')
-        self.menuitem_file_annotate = self.toplevel.get_widget('menuitem_file_annotate')
-        self.menuitem_view_show_hidden_files = self.toplevel.get_widget('menuitem_view_show_hidden_files')
-        self.menuitem_view_show_ignored_files = self.toplevel.get_widget('menuitem_view_show_ignored_files')
-        self.menuitem_branch = self.toplevel.get_widget('menuitem_branch')
-        self.menuitem_branch_init = self.toplevel.get_widget('menuitem_branch_initialize')
-        self.menuitem_branch_get = self.toplevel.get_widget('menuitem_branch_get')
-        self.menuitem_branch_checkout = self.toplevel.get_widget('menuitem_branch_checkout')
-        self.menuitem_branch_pull = self.toplevel.get_widget('menuitem_branch_pull')
-        self.menuitem_branch_push = self.toplevel.get_widget('menuitem_branch_push')
-        self.menuitem_branch_update = self.toplevel.get_widget('menuitem_branch_update')
-        self.menuitem_branch_revert = self.toplevel.get_widget('menuitem_branch_revert')
-        self.menuitem_branch_merge = self.toplevel.get_widget('menuitem_branch_merge')
-        self.menuitem_branch_commit = self.toplevel.get_widget('menuitem_branch_commit')
-        self.menuitem_branch_tags = self.toplevel.get_widget('menuitem_branch_tags')
-        self.menuitem_branch_status = self.toplevel.get_widget('menuitem_branch_status')
-        self.menuitem_branch_missing = self.toplevel.get_widget('menuitem_branch_missing_revisions')
-        self.menuitem_branch_conflicts = self.toplevel.get_widget('menuitem_branch_conflicts')
-        self.menuitem_stats = self.toplevel.get_widget('menuitem_stats')
-        self.menuitem_stats_diff = self.toplevel.get_widget('menuitem_stats_diff')
-        self.menuitem_stats_log = self.toplevel.get_widget('menuitem_stats_log')
-        # Get some toolbuttons
-        #self.menutoolbutton_diff = self.toplevel.get_widget('menutoolbutton_diff')
-        self.toolbutton_diff = self.toplevel.get_widget('toolbutton_diff')
-        self.toolbutton_log = self.toplevel.get_widget('toolbutton_log')
-        self.toolbutton_commit = self.toplevel.get_widget('toolbutton_commit')
-        self.toolbutton_pull = self.toplevel.get_widget('toolbutton_pull')
-        self.toolbutton_push = self.toplevel.get_widget('toolbutton_push')
-        self.toolbutton_update = self.toplevel.get_widget('toolbutton_update')
-        # Get the drive selector
-        self.combobox_drive = gtk.combo_box_new_text()
-        self.combobox_drive.connect("changed", self._refresh_drives)
-        
-        # Get the navigation widgets
-        self.hbox_location = self.toplevel.get_widget('hbox_location')
-        self.button_location_up = self.toplevel.get_widget('button_location_up')
-        self.button_location_jump = self.toplevel.get_widget('button_location_jump')
-        self.entry_location = self.toplevel.get_widget('entry_location')
-        self.image_location_error = self.toplevel.get_widget('image_location_error')
-        
-        # Get the History widgets
-        self.check_history = self.toplevel.get_widget('checkbutton_history')
-        self.entry_history = self.toplevel.get_widget('entry_history_revno')
-        self.button_history = self.toplevel.get_widget('button_history_browse')
-        
-        self.vbox_main_right = self.toplevel.get_widget('vbox_main_right')
-        
-        # Dictionary for signal_autoconnect
-        dic = { "on_window_main_destroy": gtk.main_quit,
-                "on_window_main_delete_event": self.on_window_main_delete_event,
-                "on_quit_activate": self.on_window_main_delete_event,
-                "on_about_activate": self.on_about_activate,
-                "on_menuitem_add_files_activate": self.on_menuitem_add_files_activate,
-                "on_menuitem_remove_file_activate": self.on_menuitem_remove_file_activate,
-                "on_menuitem_file_bookmark_activate": self.on_menuitem_file_bookmark_activate,
-                "on_menuitem_file_make_directory_activate": self.on_menuitem_file_make_directory_activate,
-                "on_menuitem_file_move_activate": self.on_menuitem_file_move_activate,
-                "on_menuitem_file_rename_activate": self.on_menuitem_file_rename_activate,
-                "on_menuitem_file_annotate_activate": self.on_menuitem_file_annotate_activate,
-                "on_menuitem_view_show_hidden_files_activate": self.on_menuitem_view_show_hidden_files_activate,
-                "on_menuitem_view_show_ignored_files_activate": self.on_menuitem_view_show_ignored_files_activate,
-                "on_menuitem_view_refresh_activate": self.on_menuitem_view_refresh_activate,
-                "on_menuitem_branch_initialize_activate": self.on_menuitem_branch_initialize_activate,
-                "on_menuitem_branch_get_activate": self.on_menuitem_branch_get_activate,
-                "on_menuitem_branch_checkout_activate": self.on_menuitem_branch_checkout_activate,
-                "on_menuitem_branch_revert_activate": self.on_menuitem_branch_revert_activate,
-                "on_menuitem_branch_merge_activate": self.on_menuitem_branch_merge_activate,
-                "on_menuitem_branch_commit_activate": self.on_menuitem_branch_commit_activate,
-                "on_menuitem_branch_push_activate": self.on_menuitem_branch_push_activate,
-                "on_menuitem_branch_pull_activate": self.on_menuitem_branch_pull_activate,
-                "on_menuitem_branch_update_activate": self.on_menuitem_branch_update_activate,                
-                "on_menuitem_branch_tags_activate": self.on_menuitem_branch_tags_activate,
-                "on_menuitem_branch_status_activate": self.on_menuitem_branch_status_activate,
-                "on_menuitem_branch_missing_revisions_activate": self.on_menuitem_branch_missing_revisions_activate,
-                "on_menuitem_branch_conflicts_activate": self.on_menuitem_branch_conflicts_activate,
-                "on_menuitem_stats_diff_activate": self.on_menuitem_stats_diff_activate,
-                "on_menuitem_stats_log_activate": self.on_menuitem_stats_log_activate,
-                "on_menuitem_stats_infos_activate": self.on_menuitem_stats_infos_activate,
-                "on_toolbutton_refresh_clicked": self.on_menuitem_view_refresh_activate,
-                "on_toolbutton_log_clicked": self.on_menuitem_stats_log_activate,
-                #"on_menutoolbutton_diff_clicked": self.on_menuitem_stats_diff_activate,
-                "on_toolbutton_diff_clicked": self.on_menuitem_stats_diff_activate,
-                "on_toolbutton_commit_clicked": self.on_menuitem_branch_commit_activate,
-                "on_toolbutton_pull_clicked": self.on_menuitem_branch_pull_activate,
-                "on_toolbutton_push_clicked": self.on_menuitem_branch_push_activate,
-                "on_toolbutton_update_clicked": self.on_menuitem_branch_update_activate,
-                "on_treeview_right_button_press_event": self.on_treeview_right_button_press_event,
-                "on_treeview_right_row_activated": self.on_treeview_right_row_activated,
-                "on_treeview_left_button_press_event": self.on_treeview_left_button_press_event,
-                "on_treeview_left_button_release_event": self.on_treeview_left_button_release_event,
-                "on_treeview_left_row_activated": self.on_treeview_left_row_activated,
-                "on_button_location_up_clicked": self.on_button_location_up_clicked,
-                "on_button_location_jump_clicked": self.on_button_location_jump_clicked,
-                "on_entry_location_key_press_event": self.on_entry_location_key_press_event,
-                "on_checkbutton_history_toggled": self.on_checkbutton_history_toggled,
-                "on_entry_history_revno_key_press_event": self.on_entry_history_revno_key_press_event,
-                "on_button_history_browse_clicked": self.on_button_history_browse_clicked
-            }
-        
-        # Connect the signals to the handlers
-        self.toplevel.signal_autoconnect(dic)
-        
-        self._just_started = True
-        
-        # Apply window size and position
-        width = self.pref.get_preference('window_width', 'int')
-        height = self.pref.get_preference('window_height', 'int')
-        self.window.resize(width, height)
-        x = self.pref.get_preference('window_x', 'int')
-        y = self.pref.get_preference('window_y', 'int')
-        self.window.move(x, y)
-        # Apply paned position
-        pos = self.pref.get_preference('paned_position', 'int')
-        self.hpaned_main.set_position(pos)
-        
-        # Apply menu to the toolbutton
-        #menubutton = self.toplevel.get_widget('menutoolbutton_diff')
-        #menubutton.set_menu(handler.menu.toolbar_diff)
-        
-        # Now we can show the window
-        self.window.show()
-        
-        # Show drive selector if under Win32
-        if sys.platform == 'win32':
-            self.hbox_location.pack_start(self.combobox_drive, False, False, 0)
-            self.hbox_location.reorder_child(self.combobox_drive, 1)
-            self.combobox_drive.show()
-            self.gen_hard_selector()
-        
-        self._load_left()
-
-        # Apply menu state
-        self.menuitem_view_show_hidden_files.set_active(self.pref.get_preference('dotted_files', 'bool'))
-        self.menuitem_view_show_ignored_files.set_active(self.pref.get_preference('ignored_files', 'bool'))
-
-        # We're starting local
-        self.remote = False
-        self.remote_branch = None
-        self.remote_path = None
-        self.remote_revision = None
-        
-        self.set_path(os.getcwd())
-        self._load_right()
-        
-        self._just_started = False
-
-    def set_path(self, path, force_remote=False):
-        self.notbranch = False
-        
-        if force_remote:
-            # Forcing remote mode (reading data from inventory)
-            self._show_stock_image(gtk.STOCK_DISCONNECT)
-            try:
-                br = Branch.open_containing(path)[0]
-            except bzrerrors.NotBranchError:
-                self._show_stock_image(gtk.STOCK_DIALOG_ERROR)
-                self.check_history.set_active(False)
-                self.check_history.set_sensitive(False)
-                return False
-            except bzrerrors.UnsupportedProtocol:
-                self._show_stock_image(gtk.STOCK_DIALOG_ERROR)
-                self.check_history.set_active(False)
-                self.check_history.set_sensitive(False)
-                return False
-            
-            self._show_stock_image(gtk.STOCK_CONNECT)
-            
-            self.remote = True
-           
-            # We're remote
-            self.remote_branch, self.remote_path = Branch.open_containing(path)
-            
-            if self.remote_revision is None:
-                self.remote_revision = self.remote_branch.last_revision()
-            
-            self.remote_entries = self.remote_branch.repository.get_inventory(self.remote_revision).entries()
-            
-            if len(self.remote_path) == 0:
-                self.remote_parent = self.remote_branch.repository.get_inventory(self.remote_branch.last_revision()).iter_entries_by_dir().next()[1].file_id
-            else:
-                for (name, type) in self.remote_entries:
-                    if name == self.remote_path:
-                        self.remote_parent = type.file_id
-                        break
-            
-            if not path.endswith('/'):
-                path += '/'
-            
-            if self.remote_branch.base == path:
-                self.button_location_up.set_sensitive(False)
-            else:
-                self.button_location_up.set_sensitive(True)
-        else:
-            if os.path.isdir(path):
-                self.image_location_error.destroy()
-                self.remote = False
-                
-                # We're local
-                try:
-                    self.wt, self.wtpath = WorkingTree.open_containing(path)
-                except (bzrerrors.NotBranchError, bzrerrors.NoWorkingTree):
-                    self.notbranch = True
-                
-                # If we're in the root, we cannot go up anymore
-                if sys.platform == 'win32':
-                    drive, tail = os.path.splitdrive(path)
-                    if tail in ('', '/', '\\'):
-                        self.button_location_up.set_sensitive(False)
-                    else:
-                        self.button_location_up.set_sensitive(True)
-                else:
-                    if self.path == '/':
-                        self.button_location_up.set_sensitive(False)
-                    else:
-                        self.button_location_up.set_sensitive(True)
-            elif not os.path.isfile(path):
-                # Doesn't seem to be a file nor a directory, trying to open a
-                # remote location
-                self._show_stock_image(gtk.STOCK_DISCONNECT)
-                try:
-                    br = Branch.open_containing(path)[0]
-                except bzrerrors.NotBranchError:
-                    self._show_stock_image(gtk.STOCK_DIALOG_ERROR)
-                    self.check_history.set_active(False)
-                    self.check_history.set_sensitive(False)
-                    return False
-                except bzrerrors.UnsupportedProtocol:
-                    self._show_stock_image(gtk.STOCK_DIALOG_ERROR)
-                    self.check_history.set_active(False)
-                    self.check_history.set_sensitive(False)
-                    return False
-                
-                self._show_stock_image(gtk.STOCK_CONNECT)
-                
-                self.remote = True
-               
-                # We're remote
-                self.remote_branch, self.remote_path = Branch.open_containing(path)
-                
-                if self.remote_revision is None:
-                    self.remote_revision = self.remote_branch.last_revision()
-                
-                self.remote_entries = self.remote_branch.repository.get_inventory(self.remote_revision).entries()
-                
-                if len(self.remote_path) == 0:
-                    self.remote_parent = self.remote_branch.repository.get_inventory(self.remote_branch.last_revision()).iter_entries_by_dir().next()[1].file_id
-                else:
-                    for (name, type) in self.remote_entries:
-                        if name == self.remote_path:
-                            self.remote_parent = type.file_id
-                            break
-                
-                if not path.endswith('/'):
-                    path += '/'
-                
-                if self.remote_branch.base == path:
-                    self.button_location_up.set_sensitive(False)
-                else:
-                    self.button_location_up.set_sensitive(True)
-        
-        if self.notbranch:
-            self.check_history.set_active(False)
-            self.check_history.set_sensitive(False)
-        else:
-            self.check_history.set_sensitive(True)
-        
-        self.statusbar.push(self.context_id, path)
-        self.entry_location.set_text(path)
-        self.path = path
-        return True
-
-    def get_path(self):
-        if not self.remote:
-            return self.path
-        else:
-            # Remote mode
-            if len(self.remote_path) > 0:
-                return self.remote_branch.base + self.remote_path + '/'
-            else:
-                return self.remote_branch.base
-   
-    def on_about_activate(self, widget):
-        about()
-    
-    def on_button_history_browse_clicked(self, widget):
-        """ Browse for revision button handler. """
-        if self.remote:
-            br = self.remote_branch
-        else:
-            br = self.wt.branch
-            
-        revb = RevisionBrowser(br, self.window)
-        response = revb.run()
-        if response != gtk.RESPONSE_NONE:
-            revb.hide()
-        
-            if response == gtk.RESPONSE_OK:
-                if revb.selected_revno is not None:
-                    self.entry_history.set_text(revb.selected_revno)
-            
-            revb.destroy()
-    
-    def on_button_location_jump_clicked(self, widget):
-        """ Location Jump button handler. """
-        location = self.entry_location.get_text()
-        
-        if self.set_path(location):
-            self.refresh_right()
-    
-    def on_button_location_up_clicked(self, widget):
-        """ Location Up button handler. """
-        if not self.remote:
-            # Local mode
-            self.set_path(os.path.split(self.get_path())[0])
-        else:
-            # Remote mode
-            delim = '/'
-            newpath = delim.join(self.get_path().split(delim)[:-2])
-            newpath += '/'
-            self.set_path(newpath)
-
-        self.refresh_right()
-    
-    def on_checkbutton_history_toggled(self, widget):
-        """ History Mode toggle handler. """
-        if self.check_history.get_active():
-            # History Mode activated
-            self.entry_history.set_sensitive(True)
-            self.button_history.set_sensitive(True)
-        else:
-            # History Mode deactivated
-            self.entry_history.set_sensitive(False)
-            self.button_history.set_sensitive(False)
-    
-    @show_bzr_error
-    def on_entry_history_revno_key_press_event(self, widget, event):
-        """ Key pressed handler for the history entry. """
-        if event.keyval == gtk.gdk.keyval_from_name('Return') or event.keyval == gtk.gdk.keyval_from_name('KP_Enter'):
-            # Return was hit, so we have to load that specific revision
-            # Emulate being remote, so inventory should be used
-            path = self.get_path()
-            if not self.remote:
-                self.remote = True
-                self.remote_branch = self.wt.branch
-            
-            revno = int(self.entry_history.get_text())
-            self.remote_revision = self.remote_branch.get_rev_id(revno)
-            if self.set_path(path, True):
-                self.refresh_right()
-    
-    def on_entry_location_key_press_event(self, widget, event):
-        """ Key pressed handler for the location entry. """
-        if event.keyval == gtk.gdk.keyval_from_name('Return') or event.keyval == gtk.gdk.keyval_from_name('KP_Enter'):
-            # Return was hit, so we have to jump
-            self.on_button_location_jump_clicked(widget)
-    
-    def on_menuitem_add_files_activate(self, widget):
-        """ Add file(s)... menu handler. """
-        from add import OliveAdd
-        add = OliveAdd(self.wt, self.wtpath, self.get_selected_right())
-        add.display()
-    
-    def on_menuitem_branch_get_activate(self, widget):
-        """ Branch/Get... menu handler. """
-        from bzrlib.plugins.gtk.branch import BranchDialog
-        
-        if self.remote:
-            branch = BranchDialog(os.getcwd(), self.window, self.remote_branch.base)
-        else:
-            branch = BranchDialog(self.get_path(), self.window)
-        response = branch.run()
-        if response != gtk.RESPONSE_NONE:
-            branch.hide()
-            
-            if response == gtk.RESPONSE_OK:
-                self.refresh_right()
-            
-            branch.destroy()
-    
-    def on_menuitem_branch_checkout_activate(self, widget):
-        """ Branch/Checkout... menu handler. """
-        from bzrlib.plugins.gtk.checkout import CheckoutDialog
-        
-        if self.remote:
-            checkout = CheckoutDialog(os.getcwd(), self.window, self.remote_branch.base)
-        else:
-            checkout = CheckoutDialog(self.get_path(), self.window)
-        response = checkout.run()
-        if response != gtk.RESPONSE_NONE:
-            checkout.hide()
-        
-            if response == gtk.RESPONSE_OK:
-                self.refresh_right()
-            
-            checkout.destroy()
-    
-    @show_bzr_error
-    def on_menuitem_branch_commit_activate(self, widget):
-        """ Branch/Commit... menu handler. """
-#     def __init__(self, wt, wtpath, notbranch, selected=None, parent=None):
-        selected = self.get_selected_right()
-        if selected:
-            selected = os.path.join(self.wtpath, selected)
-        commit = CommitDialog(wt=self.wt,
-                              parent=self.window,
-                              selected=selected,
-                             )
-        response = commit.run()
-        if response != gtk.RESPONSE_NONE:
-            commit.hide()
-        
-            if response == gtk.RESPONSE_OK:
-                self.refresh_right()
-            
-            commit.destroy()
-    
-    def on_menuitem_branch_conflicts_activate(self, widget):
-        """ Branch/Conflicts... menu handler. """
-        conflicts = ConflictsDialog(self.wt, self.window)
-        response = conflicts.run()
-        if response != gtk.RESPONSE_NONE:
-            conflicts.destroy()
-    
-    def on_menuitem_branch_merge_activate(self, widget):
-        """ Branch/Merge... menu handler. """
-        from bzrlib.plugins.gtk.merge import MergeDialog
-        
-        if self.check_for_changes():
-            error_dialog(_i18n('There are local changes in the branch'),
-                         _i18n('Please commit or revert the changes before merging.'))
-        else:
-            parent_branch_path = self.wt.branch.get_parent()
-            merge = MergeDialog(self.wt, self.wtpath,default_branch_path=parent_branch_path )
-            merge.display()
-
-    @show_bzr_error
-    def on_menuitem_branch_missing_revisions_activate(self, widget):
-        """ Branch/Missing revisions menu handler. """
-        
-        from bzrlib.missing import find_unmerged, iter_log_revisions
-        
-        local_branch = self.wt.branch
-        parent_branch_path = local_branch.get_parent()
-        if parent_branch_path is None:
-            error_dialog(_i18n('Parent location is unknown'),
-                         _i18n('Cannot determine missing revisions if no parent location is known.'))
-            return
-        
-        parent_branch = Branch.open(parent_branch_path)
-        
-        if parent_branch.base == local_branch.base:
-            parent_branch = local_branch
-        
-        local_extra, remote_extra = find_unmerged(local_branch,parent_branch)
-
-        if local_extra or remote_extra:
-            
-            ## def log_revision_one_line_text(log_revision):
-            ##    """ Generates one line description of log_revison ended with end of line."""
-            ##    revision = log_revision.rev
-            ##    txt =  "- %s (%s)\n" % (revision.get_summary(), revision.committer, )
-            ##    txt = txt.replace("<"," ") # Seems < > chars are expected to be xml tags ...
-            ##    txt = txt.replace(">"," ")
-            ##    return txt
-            
-            dlg_txt = ""
-            if local_extra:
-                dlg_txt += _i18n('%d local extra revision(s). \n') % (len(local_extra),) 
-                ## NOTE: We do not want such ugly info about missing revisions
-                ##       Revision Browser should be used there
-                ## max_revisions = 10
-                ## for log_revision in iter_log_revisions(local_extra, local_branch.repository, verbose=1):
-                ##    dlg_txt += log_revision_one_line_text(log_revision)
-                ##    if max_revisions <= 0:
-                ##        dlg_txt += _i18n("more ... \n")
-                ##        break
-                ## max_revisions -= 1
-            ## dlg_txt += "\n"
-            if remote_extra:
-                dlg_txt += _i18n('%d local missing revision(s).\n') % (len(remote_extra),) 
-                ## max_revisions = 10
-                ## for log_revision in iter_log_revisions(remote_extra, parent_branch.repository, verbose=1):
-                ##    dlg_txt += log_revision_one_line_text(log_revision)
-                ##    if max_revisions <= 0:
-                ##        dlg_txt += _i18n("more ... \n")
-                ##        break
-                ##    max_revisions -= 1
-                
-            info_dialog(_i18n('There are missing revisions'),
-                        dlg_txt)
-        else:
-            info_dialog(_i18n('Local branch up to date'),
-                        _i18n('There are no missing revisions.'))
-
-    @show_bzr_error
-    def on_menuitem_branch_pull_activate(self, widget):
-        """ Branch/Pull menu handler. """
-        branch_to = self.wt.branch
-
-        location = branch_to.get_parent()
-        if location is None:
-            error_dialog(_i18n('Parent location is unknown'),
-                                     _i18n('Pulling is not possible until there is a parent location.'))
-            return
-
-        branch_from = Branch.open(location)
-
-        if branch_to.get_parent() is None:
-            branch_to.set_parent(branch_from.base)
-
-        ret = branch_to.pull(branch_from)
-        
-        info_dialog(_i18n('Pull successful'), _i18n('%d revision(s) pulled.') % ret)
-        
-    @show_bzr_error
-    def on_menuitem_branch_update_activate(self, widget):
-        """ Brranch/checkout update menu handler. """
-        
-        ret = self.wt.update()
-        conflicts = self.wt.conflicts()
-        if conflicts:
-            info_dialog(_i18n('Update successful but conflicts generated'), _i18n('Number of conflicts generated: %d.') % (len(conflicts),) )
-        else:
-            info_dialog(_i18n('Update successful'), _i18n('No conflicts generated.') )
-    
-    def on_menuitem_branch_push_activate(self, widget):
-        """ Branch/Push... menu handler. """
-        push = PushDialog(repository=None,revid=None,branch=self.wt.branch, parent=self.window)
-        response = push.run()
-        if response != gtk.RESPONSE_NONE:
-            push.destroy()
-    
-    @show_bzr_error
-    def on_menuitem_branch_revert_activate(self, widget):
-        """ Branch/Revert all changes menu handler. """
-        ret = self.wt.revert([])
-        if ret:
-            warning_dialog(_i18n('Conflicts detected'),
-                           _i18n('Please have a look at the working tree before continuing.'))
-        else:
-            info_dialog(_i18n('Revert successful'),
-                        _i18n('All files reverted to last revision.'))
-        self.refresh_right()
-    
-    def on_menuitem_branch_status_activate(self, widget):
-        """ Branch/Status... menu handler. """
-        from bzrlib.plugins.gtk.status import StatusDialog
-        status = StatusDialog(self.wt, self.wtpath)
-        response = status.run()
-        if response != gtk.RESPONSE_NONE:
-            status.destroy()
-    
-    def on_menuitem_branch_initialize_activate(self, widget):
-        """ Initialize current directory. """
-        init = InitDialog(self.path, self.window)
-        response = init.run()
-        if response != gtk.RESPONSE_NONE:
-            init.hide()
-        
-            if response == gtk.RESPONSE_OK:
-                self.refresh_right()
-            
-            init.destroy()
-        
-    def on_menuitem_branch_tags_activate(self, widget):
-        """ Branch/Tags... menu handler. """
-        from bzrlib.plugins.gtk.tags import TagsWindow
-        if not self.remote:
-            window = TagsWindow(self.wt.branch, self.window)
-        else:
-            window = TagsWindow(self.remote_branch, self.window)
-        window.show()
-    
-    def on_menuitem_file_annotate_activate(self, widget):
-        """ File/Annotate... menu handler. """
-        if self.get_selected_right() is None:
-            error_dialog(_i18n('No file was selected'),
-                         _i18n('Please select a file from the list.'))
-            return
-        
-        branch = self.wt.branch
-        file_id = self.wt.path2id(self.wt.relpath(os.path.join(self.path, self.get_selected_right())))
-        
-        window = GAnnotateWindow(all=False, plain=False, parent=self.window)
-        window.set_title(os.path.join(self.path, self.get_selected_right()) + " - Annotate")
-        config = GAnnotateConfig(window)
-        window.show()
-        branch.lock_read()
-        try:
-            window.annotate(self.wt, branch, file_id)
-        finally:
-            branch.unlock()
-    
-    def on_menuitem_file_bookmark_activate(self, widget):
-        """ File/Bookmark current directory menu handler. """
-        if self.pref.add_bookmark(self.path):
-            info_dialog(_i18n('Bookmark successfully added'),
-                        _i18n('The current directory was bookmarked. You can reach\nit by selecting it from the left panel.'))
-            self.pref.write()
-        else:
-            warning_dialog(_i18n('Location already bookmarked'),
-                           _i18n('The current directory is already bookmarked.\nSee the left panel for reference.'))
-        
-        self.refresh_left()
-    
-    def on_menuitem_file_make_directory_activate(self, widget):
-        """ File/Make directory... menu handler. """
-        from mkdir import OliveMkdir
-        mkdir = OliveMkdir(self.wt, self.wtpath)
-        mkdir.display()
-    
-    def on_menuitem_file_move_activate(self, widget):
-        """ File/Move... menu handler. """
-        from move import OliveMove
-        move = OliveMove(self.wt, self.wtpath, self.get_selected_right())
-        move.display()
-    
-    def on_menuitem_file_rename_activate(self, widget):
-        """ File/Rename... menu handler. """
-        from rename import OliveRename
-        rename = OliveRename(self.wt, self.wtpath, self.get_selected_right())
-        rename.display()
-
-    def on_menuitem_remove_file_activate(self, widget):
-        """ Remove (unversion) selected file. """
-        from remove import OliveRemoveDialog
-        remove = OliveRemoveDialog(self.wt, self.wtpath,
-                                   selected=self.get_selected_right(),
-                                   parent=self.window)
-        response = remove.run()
-        
-        if response != gtk.RESPONSE_NONE:
-            remove.hide()
-        
-            if response == gtk.RESPONSE_OK:
-                self.set_path(self.path)
-                self.refresh_right()
-            
-            remove.destroy()
-    
-    def on_menuitem_stats_diff_activate(self, widget):
-        """ Statistics/Differences... menu handler. """
-        window = DiffWindow(parent=self.window)
-        parent_tree = self.wt.branch.repository.revision_tree(self.wt.branch.last_revision())
-        window.set_diff(self.wt.branch.nick, self.wt, parent_tree)
-        window.show()
-    
-    def on_menuitem_stats_infos_activate(self, widget):
-        """ Statistics/Informations... menu handler. """
-        from info import OliveInfo
-        if self.remote:
-            info = OliveInfo(self.remote_branch)
-        else:
-            info = OliveInfo(self.wt.branch)
-        info.display()
-    
-    def on_menuitem_stats_log_activate(self, widget):
-        """ Statistics/Log... menu handler. """
-
-        if not self.remote:
-            branch = self.wt.branch
-        else:
-            branch = self.remote_branch
-
-        window = branchwin.BranchWindow(branch, branch.last_revision(), None, parent=self.window)
-        window.show()
-    
-    def on_menuitem_view_refresh_activate(self, widget):
-        """ View/Refresh menu handler. """
-        # Refresh the left pane
-        self.refresh_left()
-        # Refresh the right pane
-        self.refresh_right()
-   
-    def on_menuitem_view_show_hidden_files_activate(self, widget):
-        """ View/Show hidden files menu handler. """
-        self.pref.set_preference('dotted_files', widget.get_active())
-        if self.path is not None:
-            self.refresh_right()
-
-    def on_menuitem_view_show_ignored_files_activate(self, widget):
-        """ Hide/Show ignored files menu handler. """
-        self.pref.set_preference('ignored_files', widget.get_active())
-        if self.path is not None:
-            self.refresh_right()
-            
-    def on_treeview_left_button_press_event(self, widget, event):
-        """ Occurs when somebody right-clicks in the bookmark list. """
-        if event.button == 3:
-            # Don't show context with nothing selected
-            if self.get_selected_left() == None:
-                return
-
-            # Create a menu
-            from menu import OliveMenu
-            menu = OliveMenu(path=self.get_path(),
-                             selected=self.get_selected_left(),
-                             app=self)
-            
-            menu.left_context_menu().popup(None, None, None, 0,
-                                           event.time)
-
-    def on_treeview_left_button_release_event(self, widget, event):
-        """ Occurs when somebody just clicks a bookmark. """
-        if event.button != 3:
-            # Allow one-click bookmark opening
-            if self.get_selected_left() == None:
-                return
-            
-            newdir = self.get_selected_left()
-            if newdir == None:
-                return
-
-            if self.set_path(newdir):
-                self.refresh_right()
-
-    def on_treeview_left_row_activated(self, treeview, path, view_column):
-        """ Occurs when somebody double-clicks or enters an item in the
-        bookmark list. """
-
-        newdir = self.get_selected_left()
-        if newdir == None:
-            return
-
-        if self.set_path(newdir):
-            self.refresh_right()
-
-    def on_treeview_right_button_press_event(self, widget, event):
-        """ Occurs when somebody right-clicks in the file list. """
-        if event.button == 3:
-            # Create a menu
-            from menu import OliveMenu
-            menu = OliveMenu(path=self.get_path(),
-                             selected=self.get_selected_right(),
-                             app=self)
-            # get the menu items
-            m_open = menu.ui.get_widget('/context_right/open')
-            m_add = menu.ui.get_widget('/context_right/add')
-            m_remove = menu.ui.get_widget('/context_right/remove')
-            m_rename = menu.ui.get_widget('/context_right/rename')
-            m_revert = menu.ui.get_widget('/context_right/revert')
-            m_commit = menu.ui.get_widget('/context_right/commit')
-            m_annotate = menu.ui.get_widget('/context_right/annotate')
-            m_diff = menu.ui.get_widget('/context_right/diff')
-            # check if we're in a branch
-            try:
-                from bzrlib.branch import Branch
-                Branch.open_containing(self.get_path())
-                if self.remote:
-                    m_open.set_sensitive(False)
-                    m_add.set_sensitive(False)
-                    m_remove.set_sensitive(False)
-                    m_rename.set_sensitive(False)
-                    m_revert.set_sensitive(False)
-                    m_commit.set_sensitive(False)
-                    m_annotate.set_sensitive(False)
-                    m_diff.set_sensitive(False)
-                else:
-                    m_open.set_sensitive(True)
-                    m_add.set_sensitive(True)
-                    m_remove.set_sensitive(True)
-                    m_rename.set_sensitive(True)
-                    m_revert.set_sensitive(True)
-                    m_commit.set_sensitive(True)
-                    m_annotate.set_sensitive(True)
-                    m_diff.set_sensitive(True)
-            except bzrerrors.NotBranchError:
-                m_open.set_sensitive(True)
-                m_add.set_sensitive(False)
-                m_remove.set_sensitive(False)
-                m_rename.set_sensitive(False)
-                m_revert.set_sensitive(False)
-                m_commit.set_sensitive(False)
-                m_annotate.set_sensitive(False)
-                m_diff.set_sensitive(False)
-
-            if not self.remote:
-                menu.right_context_menu().popup(None, None, None, 0,
-                                                event.time)
-            else:
-                menu.remote_context_menu().popup(None, None, None, 0,
-                                                 event.time)
-        
-    def on_treeview_right_row_activated(self, treeview, path, view_column):
-        """ Occurs when somebody double-clicks or enters an item in the
-        file list. """
-        from launch import launch
-        
-        newdir = self.get_selected_right()
-        
-        if not self.remote:
-            # We're local
-            if newdir == '..':
-                self.set_path(os.path.split(self.get_path())[0])
-            else:
-                fullpath = os.path.join(self.get_path(), newdir)
-                if os.path.isdir(fullpath):
-                    # selected item is an existant directory
-                    self.set_path(fullpath)
-                else:
-                    launch(fullpath)
-        else:
-            # We're remote
-            if self._is_remote_dir(self.get_path() + newdir):
-                self.set_path(self.get_path() + newdir)
-        
-        self.refresh_right()
-    
-    def on_window_main_delete_event(self, widget, event=None):
-        """ Do some stuff before exiting. """
-        width, height = self.window_main.get_size()
-        self.pref.set_preference('window_width', width)
-        self.pref.set_preference('window_height', height)
-        x, y = self.window_main.get_position()
-        self.pref.set_preference('window_x', x)
-        self.pref.set_preference('window_y', y)
-        self.pref.set_preference('paned_position',
-                                 self.hpaned_main.get_position())
-        
-        self.pref.write()
-        self.window_main.destroy()
-        
-    def _load_left(self):
-        """ Load data into the left panel. (Bookmarks) """
-        # Create TreeStore
-        treestore = gtk.TreeStore(str, str)
-        
-        # Get bookmarks
-        bookmarks = self.pref.get_bookmarks()
-        
-        # Add them to the TreeStore
-        titer = treestore.append(None, [_i18n('Bookmarks'), None])
-        for item in bookmarks:
-            title = self.pref.get_bookmark_title(item)
-            treestore.append(titer, [title, item])
-        
-        # Create the column and add it to the TreeView
-        self.treeview_left.set_model(treestore)
-        tvcolumn_bookmark = gtk.TreeViewColumn(_i18n('Bookmark'))
-        self.treeview_left.append_column(tvcolumn_bookmark)
-        
-        # Set up the cells
-        cell = gtk.CellRendererText()
-        tvcolumn_bookmark.pack_start(cell, True)
-        tvcolumn_bookmark.add_attribute(cell, 'text', 0)
-        
-        # Expand the tree
-        self.treeview_left.expand_all()
-
-    def _load_right(self):
-        """ Load data into the right panel. (Filelist) """
-        # Create ListStore
-        # Model: [ icon, dir, name, status text, status, size (int), size (human), mtime (int), mtime (local), fileid ]
-        liststore = gtk.ListStore(gobject.TYPE_STRING,
-                                  gobject.TYPE_BOOLEAN,
-                                  gobject.TYPE_STRING,
-                                  gobject.TYPE_STRING,
-                                  gobject.TYPE_STRING,
-                                  gobject.TYPE_STRING,
-                                  gobject.TYPE_STRING,
-                                  gobject.TYPE_INT,
-                                  gobject.TYPE_STRING,
-                                  gobject.TYPE_STRING)
-        
-        dirs = []
-        files = []
-        
-        # Fill the appropriate lists
-        dotted_files = self.pref.get_preference('dotted_files', 'bool')
-        for item in os.listdir(self.path):
-            if not dotted_files and item[0] == '.':
-                continue
-            if os.path.isdir(self.path + os.sep + item):
-                dirs.append(item)
-            else:
-                files.append(item)
-        
-        if not self.notbranch:
-            branch = self.wt.branch
-            tree2 = self.wt.branch.repository.revision_tree(branch.last_revision())
-        
-            delta = self.wt.changes_from(tree2, want_unchanged=True)
-        
-        # Add'em to the ListStore
-        for item in dirs:
-            try:
-                statinfo = os.stat(self.path + os.sep + item)
-            except OSError, e:
-                if e.errno == 40:
-                    continue
-                else:
-                    raise
-            liststore.append([ gtk.STOCK_DIRECTORY,
-                               True,
-                               item,
-                               '',
-                               '',
-                               "<DIR>",
-                               "<DIR>",
-                               statinfo.st_mtime,
-                               self._format_date(statinfo.st_mtime),
-                               ''])
-        for item in files:
-            status = 'unknown'
-            fileid = ''
-            if not self.notbranch:
-                filename = self.wt.relpath(self.path + os.sep + item)
-                
-                try:
-                    self.wt.lock_read()
-                    
-                    for rpath, rpathnew, id, kind, text_modified, meta_modified in delta.renamed:
-                        if rpathnew == filename:
-                            status = 'renamed'
-                            fileid = id
-                    for rpath, id, kind in delta.added:
-                        if rpath == filename:
-                            status = 'added'
-                            fileid = id
-                    for rpath, id, kind in delta.removed:
-                        if rpath == filename:
-                            status = 'removed'
-                            fileid = id
-                    for rpath, id, kind, text_modified, meta_modified in delta.modified:
-                        if rpath == filename:
-                            status = 'modified'
-                            fileid = id
-                    for rpath, id, kind in delta.unchanged:
-                        if rpath == filename:
-                            status = 'unchanged'
-                            fileid = id
-                    for rpath, file_class, kind, id, entry in self.wt.list_files():
-                        if rpath == filename and file_class == 'I':
-                            status = 'ignored'
-                finally:
-                    self.wt.unlock()
-            
-            if status == 'renamed':
-                st = _i18n('renamed')
-            elif status == 'removed':
-                st = _i18n('removed')
-            elif status == 'added':
-                st = _i18n('added')
-            elif status == 'modified':
-                st = _i18n('modified')
-            elif status == 'unchanged':
-                st = _i18n('unchanged')
-            elif status == 'ignored':
-                st = _i18n('ignored')
-            else:
-                st = _i18n('unknown')
-            
-            try:
-                statinfo = os.stat(self.path + os.sep + item)
-            except OSError, e:
-                if e.errno == 40:
-                    continue
-                else:
-                    raise
-            liststore.append([gtk.STOCK_FILE,
-                              False,
-                              item,
-                              st,
-                              status,
-                              str(statinfo.st_size), # NOTE: if int used there it will fail for large files (size expressed as long int)
-                              self._format_size(statinfo.st_size),
-                              statinfo.st_mtime,
-                              self._format_date(statinfo.st_mtime),
-                              fileid])
-        
-        # Create the columns and add them to the TreeView
-        self.treeview_right.set_model(liststore)
-        self._tvcolumn_filename = gtk.TreeViewColumn(_i18n('Filename'))
-        self._tvcolumn_status = gtk.TreeViewColumn(_i18n('Status'))
-        self._tvcolumn_size = gtk.TreeViewColumn(_i18n('Size'))
-        self._tvcolumn_mtime = gtk.TreeViewColumn(_i18n('Last modified'))
-        self.treeview_right.append_column(self._tvcolumn_filename)
-        self.treeview_right.append_column(self._tvcolumn_status)
-        self.treeview_right.append_column(self._tvcolumn_size)
-        self.treeview_right.append_column(self._tvcolumn_mtime)
-        
-        # Set up the cells
-        cellpb = gtk.CellRendererPixbuf()
-        cell = gtk.CellRendererText()
-        self._tvcolumn_filename.pack_start(cellpb, False)
-        self._tvcolumn_filename.pack_start(cell, True)
-        self._tvcolumn_filename.set_attributes(cellpb, stock_id=0)
-        self._tvcolumn_filename.add_attribute(cell, 'text', 2)
-        self._tvcolumn_status.pack_start(cell, True)
-        self._tvcolumn_status.add_attribute(cell, 'text', 3)
-        self._tvcolumn_size.pack_start(cell, True)
-        self._tvcolumn_size.add_attribute(cell, 'text', 6)
-        self._tvcolumn_mtime.pack_start(cell, True)
-        self._tvcolumn_mtime.add_attribute(cell, 'text', 8)
-        
-        # Set up the properties of the TreeView
-        self.treeview_right.set_headers_visible(True)
-        self.treeview_right.set_headers_clickable(True)
-        self.treeview_right.set_search_column(1)
-        self._tvcolumn_filename.set_resizable(True)
-        self._tvcolumn_status.set_resizable(True)
-        self._tvcolumn_size.set_resizable(True)
-        self._tvcolumn_mtime.set_resizable(True)
-        # Set up sorting
-        liststore.set_sort_func(13, self._sort_filelist_callback, None)
-        liststore.set_sort_column_id(13, gtk.SORT_ASCENDING)
-        self._tvcolumn_filename.set_sort_column_id(13)
-        self._tvcolumn_status.set_sort_column_id(3)
-        self._tvcolumn_size.set_sort_column_id(5)
-        self._tvcolumn_mtime.set_sort_column_id(7)
-        
-        # Set sensitivity
-        self.set_sensitivity()
-        
-    def get_selected_fileid(self):
-        """ Get the file_id of the selected file. """
-        treeselection = self.treeview_right.get_selection()
-        (model, iter) = treeselection.get_selected()
-        
-        if iter is None:
-            return None
-        else:
-            return model.get_value(iter, 9)
-    
-    def get_selected_right(self):
-        """ Get the selected filename. """
-        treeselection = self.treeview_right.get_selection()
-        (model, iter) = treeselection.get_selected()
-        
-        if iter is None:
-            return None
-        else:
-            return model.get_value(iter, 2)
-    
-    def get_selected_left(self):
-        """ Get the selected bookmark. """
-        treeselection = self.treeview_left.get_selection()
-        (model, iter) = treeselection.get_selected()
-        
-        if iter is None:
-            return None
-        else:
-            return model.get_value(iter, 1)
-
-    def set_statusbar(self, message):
-        """ Set the statusbar message. """
-        self.statusbar.push(self.context_id, message)
-    
-    def clear_statusbar(self):
-        """ Clean the last message from the statusbar. """
-        self.statusbar.pop(self.context_id)
-    
-    def set_sensitivity(self):
-        """ Set menu and toolbar sensitivity. """
-        if not self.remote:
-            # We're local
-            self.menuitem_branch_init.set_sensitive(self.notbranch)
-            self.menuitem_branch_get.set_sensitive(self.notbranch)
-            self.menuitem_branch_checkout.set_sensitive(self.notbranch)
-            self.menuitem_branch_pull.set_sensitive(not self.notbranch)
-            self.menuitem_branch_push.set_sensitive(not self.notbranch)
-            self.menuitem_branch_update.set_sensitive(not self.notbranch)
-            self.menuitem_branch_revert.set_sensitive(not self.notbranch)
-            self.menuitem_branch_merge.set_sensitive(not self.notbranch)
-            self.menuitem_branch_commit.set_sensitive(not self.notbranch)
-            self.menuitem_branch_tags.set_sensitive(not self.notbranch)
-            self.menuitem_branch_status.set_sensitive(not self.notbranch)
-            self.menuitem_branch_missing.set_sensitive(not self.notbranch)
-            self.menuitem_branch_conflicts.set_sensitive(not self.notbranch)
-            self.menuitem_stats.set_sensitive(not self.notbranch)
-            self.menuitem_stats_diff.set_sensitive(not self.notbranch)
-            self.menuitem_add_files.set_sensitive(not self.notbranch)
-            self.menuitem_remove_files.set_sensitive(not self.notbranch)
-            self.menuitem_file_make_directory.set_sensitive(not self.notbranch)
-            self.menuitem_file_rename.set_sensitive(not self.notbranch)
-            self.menuitem_file_move.set_sensitive(not self.notbranch)
-            self.menuitem_file_annotate.set_sensitive(not self.notbranch)
-            #self.menutoolbutton_diff.set_sensitive(True)
-            self.toolbutton_diff.set_sensitive(not self.notbranch)
-            self.toolbutton_log.set_sensitive(not self.notbranch)
-            self.toolbutton_commit.set_sensitive(not self.notbranch)
-            self.toolbutton_pull.set_sensitive(not self.notbranch)
-            self.toolbutton_push.set_sensitive(not self.notbranch)
-            self.toolbutton_update.set_sensitive(not self.notbranch)
-        else:
-            # We're remote
-            self.menuitem_branch_init.set_sensitive(False)
-            self.menuitem_branch_get.set_sensitive(True)
-            self.menuitem_branch_checkout.set_sensitive(True)
-            self.menuitem_branch_pull.set_sensitive(False)
-            self.menuitem_branch_push.set_sensitive(False)
-            self.menuitem_branch_update.set_sensitive(False)
-            self.menuitem_branch_revert.set_sensitive(False)
-            self.menuitem_branch_merge.set_sensitive(False)
-            self.menuitem_branch_commit.set_sensitive(False)
-            self.menuitem_branch_tags.set_sensitive(True)
-            self.menuitem_branch_status.set_sensitive(False)
-            self.menuitem_branch_missing.set_sensitive(False)
-            self.menuitem_branch_conflicts.set_sensitive(False)
-            self.menuitem_stats.set_sensitive(True)
-            self.menuitem_stats_diff.set_sensitive(False)
-            self.menuitem_add_files.set_sensitive(False)
-            self.menuitem_remove_files.set_sensitive(False)
-            self.menuitem_file_make_directory.set_sensitive(False)
-            self.menuitem_file_rename.set_sensitive(False)
-            self.menuitem_file_move.set_sensitive(False)
-            self.menuitem_file_annotate.set_sensitive(False)
-            #self.menutoolbutton_diff.set_sensitive(True)
-            self.toolbutton_diff.set_sensitive(False)
-            self.toolbutton_log.set_sensitive(True)
-            self.toolbutton_commit.set_sensitive(False)
-            self.toolbutton_pull.set_sensitive(False)
-            self.toolbutton_push.set_sensitive(False)
-            self.toolbutton_update.set_sensitive(False)
-    
-    def refresh_left(self):
-        """ Refresh the bookmark list. """
-        
-        # Get TreeStore and clear it
-        treestore = self.treeview_left.get_model()
-        treestore.clear()
-
-        # Re-read preferences
-        self.pref.read()
-        
-        # Get bookmarks
-        bookmarks = self.pref.get_bookmarks()
-
-        # Add them to the TreeStore
-        titer = treestore.append(None, [_i18n('Bookmarks'), None])
-        for item in bookmarks:
-            title = self.pref.get_bookmark_title(item)
-            treestore.append(titer, [title, item])
-
-        # Add the TreeStore to the TreeView
-        self.treeview_left.set_model(treestore)
-
-        # Expand the tree
-        self.treeview_left.expand_all()
-
-    def refresh_right(self, path=None):
-        """ Refresh the file list. """
-        if not self.remote:
-            # We're local
-            from bzrlib.workingtree import WorkingTree
-    
-            if path is None:
-                path = self.get_path()
-    
-            # A workaround for double-clicking Bookmarks
-            if not os.path.exists(path):
-                return
-    
-            # Get ListStore and clear it
-            liststore = self.treeview_right.get_model()
-            liststore.clear()
-            
-            # Show Status column
-            self._tvcolumn_status.set_visible(True)
-    
-            dirs = []
-            files = []
-    
-            # Fill the appropriate lists
-            dotted_files = self.pref.get_preference('dotted_files', 'bool')
-            ignored_files = self.pref.get_preference('ignored_files', 'bool')
-
-            for item in os.listdir(path):
-                if not dotted_files and item[0] == '.':
-                    continue
-                if os.path.isdir(path + os.sep + item):
-                    dirs.append(item)
-                else:
-                    files.append(item)
-            
-            # Try to open the working tree
-            notbranch = False
-            try:
-                tree1 = WorkingTree.open_containing(path)[0]
-            except (bzrerrors.NotBranchError, bzrerrors.NoWorkingTree):
-                notbranch = True
-            
-            if not notbranch:
-                branch = tree1.branch
-                tree2 = tree1.branch.repository.revision_tree(branch.last_revision())
-            
-                delta = tree1.changes_from(tree2, want_unchanged=True)
-                
-            # Add'em to the ListStore
-            for item in dirs:
-                try:
-                    statinfo = os.stat(self.path + os.sep + item)
-                except OSError, e:
-                    if e.errno == 40:
-                        continue
-                    else:
-                        raise
-                liststore.append([gtk.STOCK_DIRECTORY,
-                                  True,
-                                  item,
-                                  '',
-                                  '',
-                                  "<DIR>",
-                                  "<DIR>",
-                                  statinfo.st_mtime,
-                                  self._format_date(statinfo.st_mtime),
-                                  ''])
-            for item in files:
-                status = 'unknown'
-                fileid = ''
-                if not notbranch:
-                    filename = tree1.relpath(path + os.sep + item)
-                    
-                    try:
-                        self.wt.lock_read()
-                        
-                        for rpath, rpathnew, id, kind, text_modified, meta_modified in delta.renamed:
-                            if rpathnew == filename:
-                                status = 'renamed'
-                                fileid = id
-                        for rpath, id, kind in delta.added:
-                            if rpath == filename:
-                                status = 'added'
-                                fileid = id
-                        for rpath, id, kind in delta.removed:
-                            if rpath == filename:
-                                status = 'removed'
-                                fileid = id
-                        for rpath, id, kind, text_modified, meta_modified in delta.modified:
-                            if rpath == filename:
-                                status = 'modified'
-                                fileid = id
-                        for rpath, id, kind in delta.unchanged:
-                            if rpath == filename:
-                                status = 'unchanged'
-                                fileid = id
-                        for rpath, file_class, kind, id, entry in self.wt.list_files():
-                            if rpath == filename and file_class == 'I':
-                                status = 'ignored'
-                    finally:
-                        self.wt.unlock()
-                
-                if status == 'renamed':
-                    st = _i18n('renamed')
-                elif status == 'removed':
-                    st = _i18n('removed')
-                elif status == 'added':
-                    st = _i18n('added')
-                elif status == 'modified':
-                    st = _i18n('modified')
-                elif status == 'unchanged':
-                    st = _i18n('unchanged')
-                elif status == 'ignored':
-                    st = _i18n('ignored')
-                    if not ignored_files:
-                        continue
-                else:
-                    st = _i18n('unknown')
-                
-                try:
-                    statinfo = os.stat(self.path + os.sep + item)
-                except OSError, e:
-                    if e.errno == 40:
-                        continue
-                    else:
-                        raise
-                liststore.append([gtk.STOCK_FILE,
-                                  False,
-                                  item,
-                                  st,
-                                  status,
-                                  str(statinfo.st_size),
-                                  self._format_size(statinfo.st_size),
-                                  statinfo.st_mtime,
-                                  self._format_date(statinfo.st_mtime),
-                                  fileid])
-        else:
-            # We're remote
-            
-            # Get ListStore and clear it
-            liststore = self.treeview_right.get_model()
-            liststore.clear()
-            
-            # Hide Status column
-            self._tvcolumn_status.set_visible(False)
-            
-            dirs = []
-            files = []
-            
-            self._show_stock_image(gtk.STOCK_REFRESH)
-            
-            for (name, type) in self.remote_entries:
-                if type.kind == 'directory':
-                    dirs.append(type)
-                elif type.kind == 'file':
-                    files.append(type)
-            
-            class HistoryCache:
-                """ Cache based on revision history. """
-                def __init__(self, history):
-                    self._history = history
-                
-                def _lookup_revision(self, revid):
-                    for r in self._history:
-                        if r.revision_id == revid:
-                            return r
-                    rev = repo.get_revision(revid)
-                    self._history.append(rev)
-                    return rev
-            
-            repo = self.remote_branch.repository
-            
-            revhistory = self.remote_branch.revision_history()
-            try:
-                revs = repo.get_revisions(revhistory)
-                cache = HistoryCache(revs)
-            except bzrerrors.InvalidHttpResponse:
-                # Fallback to dummy algorithm, because of LP: #115209
-                cache = HistoryCache([])
-            
-            for item in dirs:
-                if item.parent_id == self.remote_parent:
-                    rev = cache._lookup_revision(item.revision)
-                    liststore.append([ gtk.STOCK_DIRECTORY,
-                                       True,
-                                       item.name,
-                                       '',
-                                       '',
-                                       "<DIR>",
-                                       "<DIR>",
-                                       rev.timestamp,
-                                       self._format_date(rev.timestamp),
-                                       ''
-                                   ])
-                while gtk.events_pending():
-                    gtk.main_iteration()
-            
-            for item in files:
-                if item.parent_id == self.remote_parent:
-                    rev = cache._lookup_revision(item.revision)
-                    liststore.append([ gtk.STOCK_FILE,
-                                       False,
-                                       item.name,
-                                       '',
-                                       '',
-                                       str(item.text_size),
-                                       self._format_size(item.text_size),
-                                       rev.timestamp,
-                                       self._format_date(rev.timestamp),
-                                       item.file_id
-                                   ])
-                while gtk.events_pending():
-                    gtk.main_iteration()
-            
-            self.image_location_error.destroy()
-
-        # Columns should auto-size
-        self.treeview_right.columns_autosize()
-        
-        # Set sensitivity
-        self.set_sensitivity()
-
-    def _harddisks(self):
-        """ Returns hard drive letters under Win32. """
-        try:
-            import win32file
-            import string
-        except ImportError:
-            if sys.platform == 'win32':
-                print "pyWin32 modules needed to run Olive on Win32."
-                sys.exit(1)
-            else:
-                pass
-        
-        driveletters = []
-        for drive in string.ascii_uppercase:
-            if win32file.GetDriveType(drive+':') == win32file.DRIVE_FIXED:
-                driveletters.append(drive+':')
-        return driveletters
-    
-    def gen_hard_selector(self):
-        """ Generate the hard drive selector under Win32. """
-        drives = self._harddisks()
-        for drive in drives:
-            self.combobox_drive.append_text(drive)
-        self.combobox_drive.set_active(drives.index(os.getcwd()[0:2]))
-    
-    def _refresh_drives(self, combobox):
-        if self._just_started:
-            return
-        model = combobox.get_model()
-        active = combobox.get_active()
-        if active >= 0:
-            drive = model[active][0]
-            self.set_path(drive + '\\')
-            self.refresh_right(drive + '\\')
-    
-    def check_for_changes(self):
-        """ Check whether there were changes in the current working tree. """
-        old_tree = self.wt.branch.repository.revision_tree(self.wt.branch.last_revision())
-        delta = self.wt.changes_from(old_tree)
-
-        changes = False
-        
-        if len(delta.added) or len(delta.removed) or len(delta.renamed) or len(delta.modified):
-            changes = True
-        
-        return changes
-    
-    def _sort_filelist_callback(self, model, iter1, iter2, data):
-        """ The sort callback for the file list, return values:
-        -1: iter1 < iter2
-        0: iter1 = iter2
-        1: iter1 > iter2
-        """
-        name1 = model.get_value(iter1, 2)
-        name2 = model.get_value(iter2, 2)
-        
-        if model.get_value(iter1, 1):
-            # item1 is a directory
-            if not model.get_value(iter2, 1):
-                # item2 isn't
-                return -1
-            else:
-                # both of them are directories, we compare their names
-                if name1 < name2:
-                    return -1
-                elif name1 == name2:
-                    return 0
-                else:
-                    return 1
-        else:
-            # item1 is not a directory
-            if model.get_value(iter2, 1):
-                # item2 is
-                return 1
-            else:
-                # both of them are files, compare them
-                if name1 < name2:
-                    return -1
-                elif name1 == name2:
-                    return 0
-                else:
-                    return 1
-    
-    def _format_size(self, size):
-        """ Format size to a human readable format. """
-        if size < 1000:
-            return "%d[B]" % (size,)
-        size = size / 1000.0
-        
-        for metric in ["kB","MB","GB","TB"]:
-            if size < 1000:
-                break
-            size = size / 1000.0
-        return "%.1f[%s]" % (size,metric) 
-    
-    def _format_date(self, timestamp):
-        """ Format the time (given in secs) to a human readable format. """
-        return time.ctime(timestamp)
-    
-    def _is_remote_dir(self, location):
-        """ Determine whether the given location is a directory or not. """
-        if not self.remote:
-            # We're in local mode
-            return False
-        else:
-            branch, path = Branch.open_containing(location)
-            for (name, type) in self.remote_entries:
-                if name == path and type.kind == 'directory':
-                    # We got it
-                    return True
-            # Either it's not a directory or not in the inventory
-            return False
-    
-    def _show_stock_image(self, stock_id):
-        """ Show a stock image next to the location entry. """
-        self.image_location_error.destroy()
-        self.image_location_error = gtk.image_new_from_stock(stock_id, gtk.ICON_SIZE_BUTTON)
-        self.hbox_location.pack_start(self.image_location_error, False, False, 0)
-        if sys.platform == 'win32':
-            self.hbox_location.reorder_child(self.image_location_error, 2)
-        else:
-            self.hbox_location.reorder_child(self.image_location_error, 1)
-        self.image_location_error.show()
-        while gtk.events_pending():
-            gtk.main_iteration()
-
-import ConfigParser
-
-class Preferences:
-    """ A class which handles Olive's preferences. """
-    def __init__(self, path=None):
-        """ Initialize the Preferences class. """
-        # Some default options
-        self.defaults = { 'strict_commit' : False,
-                          'dotted_files'  : False,
-                          'ignored_files' : True,
-                          'window_width'  : 700,
-                          'window_height' : 400,
-                          'window_x'      : 40,
-                          'window_y'      : 40,
-                          'paned_position': 200 }
-
-        # Create a config parser object
-        self.config = ConfigParser.RawConfigParser()
-
-        # Set filename
-        if path is None:
-            if sys.platform == 'win32':
-                # Windows - no dotted files
-                self._filename = os.path.expanduser('~/olive.conf')
-            else:
-                self._filename = os.path.expanduser('~/.olive.conf')
-        else:
-            self._filename = path
-        
-        # Load the configuration
-        self.read()
-        
-    def _get_default(self, option):
-        """ Get the default option for a preference. """
-        try:
-            ret = self.defaults[option]
-        except KeyError:
-            return None
-        else:
-            return ret
-
-    def refresh(self):
-        """ Refresh the configuration. """
-        # First write out the changes
-        self.write()
-        # Then load the configuration again
-        self.read()
-
-    def read(self):
-        """ Just read the configuration. """
-        # Re-initialize the config parser object to avoid some bugs
-        self.config = ConfigParser.RawConfigParser()
-        self.config.read([self._filename])
-    
-    def write(self):
-        """ Write the configuration to the appropriate files. """
-        fp = open(self._filename, 'w')
-        self.config.write(fp)
-        fp.close()
-
-    def get_bookmarks(self):
-        """ Return the list of bookmarks. """
-        bookmarks = self.config.sections()
-        if self.config.has_section('preferences'):
-            bookmarks.remove('preferences')
-        return bookmarks
-
-    def add_bookmark(self, path):
-        """ Add bookmark. """
-        try:
-            self.config.add_section(path)
-        except ConfigParser.DuplicateSectionError:
-            return False
-        else:
-            return True
-
-    def get_bookmark_title(self, path):
-        """ Get bookmark title. """
-        try:
-            ret = self.config.get(path, 'title')
-        except ConfigParser.NoOptionError:
-            ret = path
-        
-        return ret
-    
-    def set_bookmark_title(self, path, title):
-        """ Set bookmark title. """
-        # FIXME: What if path isn't listed yet?
-        # FIXME: Canonicalize paths first?
-        self.config.set(path, 'title', title)
-    
-    def remove_bookmark(self, path):
-        """ Remove bookmark. """
-        return self.config.remove_section(path)
-
-    def set_preference(self, option, value):
-        """ Set the value of the given option. """
-        if value is True:
-            value = 'yes'
-        elif value is False:
-            value = 'no'
-        
-        if self.config.has_section('preferences'):
-            self.config.set('preferences', option, value)
-        else:
-            self.config.add_section('preferences')
-            self.config.set('preferences', option, value)
-
-    def get_preference(self, option, kind='str'):
-        """ Get the value of the given option.
-        
-        :param kind: str/bool/int/float. default: str
-        """
-        if self.config.has_option('preferences', option):
-            if kind == 'bool':
-                return self.config.getboolean('preferences', option)
-            elif kind == 'int':
-                return self.config.getint('preferences', option)
-            elif kind == 'float':
-                return self.config.getfloat('preferences', option)
-            else:
-                return self.config.get('preferences', option)
-        else:
-            try:
-                return self._get_default(option)
-            except KeyError:
-                return None
- 

=== removed file 'olive/add.py'
--- olive/add.py	2008-05-05 18:16:46 +0000
+++ olive/add.py	1970-01-01 00:00:00 +0000
@@ -1,94 +0,0 @@
-# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-import os
-
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-import gtk.glade
-
-import bzrlib.add
-import bzrlib.errors as errors
-
-from bzrlib.plugins.gtk import _i18n
-from bzrlib.plugins.gtk.dialog import error_dialog
-from guifiles import GLADEFILENAME
-
-
-class OliveAdd:
-    """ Display the Add file(s) dialog and perform the needed actions. """
-    def __init__(self, wt, wtpath, selected=[]):
-        """ Initialize the Add file(s) dialog. """
-        self.glade = gtk.glade.XML(GLADEFILENAME, 'window_add', 'olive-gtk')
-        
-        self.window = self.glade.get_widget('window_add')
-        
-        # Dictionary for signal_autoconnect
-        dic = { "on_button_add_add_clicked": self.add,
-                "on_button_add_cancel_clicked": self.close }
-        
-        # Connect the signals to the handlers
-        self.glade.signal_autoconnect(dic)
-
-        self.wt = wt
-        self.wtpath = wtpath
-        self.selected = selected
-
-    def display(self):
-        """ Display the Add file(s) dialog. """
-        self.window.show_all()
-        
-    def add(self, widget):
-        radio_selected = self.glade.get_widget('radiobutton_add_selected')
-        radio_unknown = self.glade.get_widget('radiobutton_add_unknown')
-        
-        if radio_selected.get_active():
-            # Add only the selected file
-            filename = self.selected
-            
-            if filename is None:
-                error_dialog(_i18n('No file was selected'),
-                             _i18n('Please select a file from the list,\nor choose the other option.'))
-                return
-            
-            fullpath = self.wt.abspath(os.path.join(self.wtpath, filename))
-            
-            try:
-                bzrlib.add.smart_add([fullpath])
-            except errors.NotBranchError:
-                error_dialog(_i18n('Directory is not a branch'),
-                             _i18n('You can perform this action only in a branch.'))
-                return
-        elif radio_unknown.get_active():
-            # Add unknown files recursively
-            fullpath = self.wt.abspath(self.wtpath)
-            
-            try:
-                bzrlib.add.smart_add([fullpath], True)
-            except errors.NotBranchError:
-                error_dialog(_i18n('Directory is not a branch'),
-                             _i18n('You can perform this action only in a branch.'))
-                return
-        
-        self.close()
-    
-    def close(self, widget=None):
-        self.window.destroy()

=== removed file 'olive/bookmark.py'
--- olive/bookmark.py	2008-05-05 18:16:46 +0000
+++ olive/bookmark.py	1970-01-01 00:00:00 +0000
@@ -1,90 +0,0 @@
-# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-
-from olive import Preferences
-from bzrlib.plugins.gtk import _i18n
-from bzrlib.plugins.gtk.dialog import error_dialog
-
-
-class BookmarkDialog(gtk.Dialog):
-    """ This class wraps the old Bookmark window into a gtk.Dialog. """
-    
-    def __init__(self, selected, parent=None):
-        """ Initialize the Bookmark dialog. """
-        gtk.Dialog.__init__(self, title="Bookmarks - Olive",
-                                  parent=parent,
-                                  flags=0,
-                                  buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
-        
-        self.pref = Preferences()
-        
-        # Get arguments
-        self.selected = selected
-        
-        # Create widgets
-        self._label_location = gtk.Label(_i18n("Location:"))
-        self._label_title = gtk.Label(_i18n("Title:"))
-        self._entry_location = gtk.Entry()
-        self._entry_title = gtk.Entry()
-        self._button_save = gtk.Button(stock=gtk.STOCK_SAVE)
-        
-        self._button_save.connect('clicked', self._on_save_clicked)
-        
-        # Set default values
-        self._entry_location.set_text(self.selected)
-        self._entry_location.set_sensitive(False)
-        self._entry_title.set_text(self.pref.get_bookmark_title(self.selected))
-        self._entry_title.set_flags(gtk.CAN_FOCUS | gtk.HAS_FOCUS)
-        
-        # Create a table and put widgets into it
-        self._table = gtk.Table(rows=2, columns=2)
-        self._table.attach(self._label_location, 0, 1, 0, 1)
-        self._table.attach(self._label_title, 0, 1, 1, 2)
-        self._table.attach(self._entry_location, 1, 2, 0, 1)
-        self._table.attach(self._entry_title, 1, 2, 1, 2)
-        
-        self._label_location.set_alignment(0, 0.5)
-        self._label_title.set_alignment(0, 0.5)
-        self._table.set_row_spacings(3)
-        self._table.set_col_spacings(3)
-        self.vbox.set_spacing(3)
-        
-        self.vbox.add(self._table)
-        
-        self.action_area.pack_end(self._button_save)
-        
-        self.vbox.show_all()
-        
-    def _on_save_clicked(self, button):
-        """ Save button clicked handler. """
-        if self._entry_title.get_text() == '':
-            error_dialog(_i18n('No title given'),
-                         _i18n('Please specify a title to continue.'))
-            return
-        
-        self.pref.set_bookmark_title(self._entry_location.get_text(),
-                                     self._entry_title.get_text())
-        self.pref.write()
-        
-        self.response(gtk.RESPONSE_OK)

=== removed file 'olive/guifiles.py'
--- olive/guifiles.py	2008-05-05 18:16:46 +0000
+++ olive/guifiles.py	1970-01-01 00:00:00 +0000
@@ -1,61 +0,0 @@
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-"""Glade file name"""
-
-import os
-import sys
-
-from bzrlib.plugins.gtk import _i18n
-
-GLADEFILENAMES = ["/usr/share/olive/olive.glade",
-                  "/usr/local/share/olive/olive.glade",
-                  "/opt/share/olive/olive.glade",
-                  "/opt/local/share/olive/olive.glade",
-                  "~/share/olive/olive.glade",
-                 ]
-
-# Get the glade file name
-if sys.platform == 'win32':
-    GLADEFILENAMES = [os.path.join(os.path.dirname(sys.executable),
-                                   "share/olive/olive.glade")]
-
-dir_ = os.path.split(os.path.dirname(__file__))[0]
-# Check first if we are running from source
-GLADEFILENAMES.insert(0, os.path.join(dir_, "olive.glade"))
-
-GLADEFILENAME = None
-
-for path in GLADEFILENAMES:
-    path = os.path.expanduser(path)
-    if os.path.isfile(path):
-        GLADEFILENAME = path
-        break
-
-if GLADEFILENAME is None:
-    # Fail
-    print _i18n('Glade file cannot be found.')
-    sys.exit(1)
-
-UIFILEDIR = os.path.dirname(GLADEFILENAME)
-
-# Get the cmenu.ui file name
-UIFILENAME = os.path.join(UIFILEDIR, 'cmenu.ui')
-
-if not os.path.isfile(UIFILENAME):
-    # Fail
-    print _i18n('UI description file cannot be found.')
-    sys.exit(1)
-
-

=== removed file 'olive/info.py'
--- olive/info.py	2008-05-05 18:16:46 +0000
+++ olive/info.py	1970-01-01 00:00:00 +0000
@@ -1,564 +0,0 @@
-# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-import gtk.glade
-
-import bzrlib.errors as errors
-
-from bzrlib.plugins.gtk import _i18n
-from bzrlib.plugins.gtk.dialog import error_dialog
-from guifiles import GLADEFILENAME
-
-
-def info(location):
-    """ Get info about branch, working tree, and repository
-    
-    :param location: the location of the branch/working tree/repository
-    
-    :return: the information in dictionary format
-    
-    The following informations are delivered (if available):
-    ret['location']['lightcoroot']: Light checkout root
-    ret['location']['sharedrepo']: Shared repository
-    ret['location']['repobranch']: Repository branch
-    ret['location']['cobranch']: Checkout of branch
-    ret['location']['repoco']: Repository checkout
-    ret['location']['coroot']: Checkout root
-    ret['location']['branchroot']: Branch root
-    ret['related']['parentbranch']: Parent branch
-    ret['related']['publishbranch']: Publish to branch
-    ret['format']['control']: Control format
-    ret['format']['workingtree']: Working tree format
-    ret['format']['branch']: Branch format
-    ret['format']['repository']: Repository format
-    ret['locking']['workingtree']: Working tree lock status
-    ret['locking']['branch']: Branch lock status
-    ret['locking']['repository']: Repository lock status
-    ret['missing']['branch']: Missing revisions in branch
-    ret['missing']['workingtree']: Missing revisions in working tree
-    ret['wtstats']['unchanged']: Unchanged files
-    ret['wtstats']['modified']: Modified files
-    ret['wtstats']['added']: Added files
-    ret['wtstats']['removed']: Removed files
-    ret['wtstats']['renamed']: Renamed files
-    ret['wtstats']['unknown']: Unknown files
-    ret['wtstats']['ignored']: Ingnored files
-    ret['wtstats']['subdirs']: Versioned subdirectories
-    ret['brstats']['revno']: Revisions in branch
-    ret['brstats']['commiters']: Number of commiters
-    ret['brstats']['age']: Age of branch in days
-    ret['brstats']['firstrev']: Time of first revision
-    ret['brstats']['lastrev']: Time of last revision
-    ret['repstats']['revisions']: Revisions in repository
-    ret['repstats']['size']: Size of repository in bytes
-    """
-    import bzrlib.bzrdir as bzrdir
-    
-    import info_helper
-    
-    ret = {}
-    try:
-        a_bzrdir = bzrdir.BzrDir.open_containing(location)[0]
-    except errors.NotBranchError:
-        raise errors.NotBranchError(location)
-
-    try:
-        working = a_bzrdir.open_workingtree()
-        working.lock_read()
-        try:
-            branch = working.branch
-            repository = branch.repository
-            control = working.bzrdir
-            
-            ret['location'] = info_helper.get_location_info(repository, branch, working)
-            ret['related'] = info_helper.get_related_info(branch)
-            ret['format'] = info_helper.get_format_info(control, repository, branch, working)
-            ret['locking'] = info_helper.get_locking_info(repository, branch, working)
-            ret['missing'] = {}
-            ret['missing']['branch'] = info_helper.get_missing_revisions_branch(branch)
-            ret['missing']['workingtree'] = info_helper.get_missing_revisions_working(working)
-            ret['wtstats'] = info_helper.get_working_stats(working)
-            ret['brstats'] = info_helper.get_branch_stats(branch)
-            ret['repstats'] = info_helper.get_repository_stats(repository)
-        finally:
-            working.unlock()
-            return ret
-        return
-    except (errors.NoWorkingTree, errors.NotLocalUrl):
-        pass
-
-    try:
-        branch = a_bzrdir.open_branch()
-        repository = branch.repository
-        control = a_bzrdir
-        branch.lock_read()
-        try:
-            ret['location'] = info_helper.get_location_info(repository, branch)
-            ret['related'] = info_helper.get_related_info(branch)
-            ret['format'] = info_helper.get_format_info(control, repository, branch)
-            ret['locking'] = info_helper.get_locking_info(repository, branch)
-            ret['missing']['branch'] = info_helper.get_missing_revisions_branch(branch)
-            ret['brstats'] = info_helper.get_branch_stats(branch)
-            ret['repstats'] = info_helper.get_repository_stats(repository)
-        finally:
-            branch.unlock()
-            return ret
-        return
-    except errors.NotBranchError:
-        pass
-
-    try:
-        repository = a_bzrdir.open_repository()
-        repository.lock_read()
-        try:
-            ret['location'] = info_helper.get_location_info(repository)
-            ret['format'] = info_helper.get_format_info(control, repository)
-            ret['locking'] = info_helper.get_locking_info(repository)
-            ret['repstats'] = info_helper.get_repository_stats(repository)
-        finally:
-            repository.unlock()
-            return ret
-        return
-    except errors.NoRepositoryPresent:
-        pass
-
-
-class OliveInfo:
-    """ Display Informations window and perform the needed actions. """
-    def __init__(self, branch):
-        """ Initialize the Informations window. """
-        self.glade = gtk.glade.XML(GLADEFILENAME, 'window_info', 'olive-gtk')
-        
-        # Get the Informations window widget
-        self.window = self.glade.get_widget('window_info')
-        
-        # Check if current location is a branch
-        self.notbranch = False
-        try:
-            self.ret = info(branch.base)
-        except errors.NotBranchError:
-            self.notbranch = True
-            return
-        
-        # Dictionary for signal_autoconnect
-        dic = { "on_button_info_close_clicked": self.close,
-                "on_expander_info_location_activate": self.activate,
-                "on_expander_info_related_activate": self.activate,
-                "on_expander_info_format_activate": self.activate,
-                "on_expander_info_locking_activate": self.activate,
-                "on_expander_info_missing_activate": self.activate,
-                "on_expander_info_wtstats_activate": self.activate,
-                "on_expander_info_brstats_activate": self.activate,
-                "on_expander_info_repstats_activate": self.activate }
-        
-        # Connect the signals to the handlers
-        self.glade.signal_autoconnect(dic)
-        
-        # Generate status output
-        self._generate_info()
-
-    def _generate_info(self):
-        """ Generate 'bzr info' output. """
-        # location
-        if self.ret.has_key('location'):
-            display = False
-            e = self.glade.get_widget('expander_info_location')
-            if self.ret['location'].has_key('lightcoroot'):
-                ll = self.glade.get_widget('label_info_location_lightcoroot_label')
-                l = self.glade.get_widget('label_info_location_lightcoroot')
-                l.set_text(self.ret['location']['lightcoroot'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['location'].has_key('sharedrepo'):
-                ll = self.glade.get_widget('label_info_location_sharedrepo_label')
-                l = self.glade.get_widget('label_info_location_sharedrepo')
-                l.set_text(self.ret['location']['sharedrepo'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['location'].has_key('repobranch'):
-                ll = self.glade.get_widget('label_info_location_repobranch_label')
-                l = self.glade.get_widget('label_info_location_repobranch')
-                l.set_text(self.ret['location']['repobranch'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['location'].has_key('cobranch'):
-                ll = self.glade.get_widget('label_info_location_cobranch_label')
-                l = self.glade.get_widget('label_info_location_cobranch')
-                l.set_text(self.ret['location']['cobranch'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['location'].has_key('repoco'):
-                ll = self.glade.get_widget('label_info_location_repoco_label')
-                l = self.glade.get_widget('label_info_location_repoco')
-                l.set_text(self.ret['location']['repoco'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['location'].has_key('coroot'):
-                ll = self.glade.get_widget('label_info_location_coroot_label')
-                l = self.glade.get_widget('label_info_location_coroot')
-                l.set_text(self.ret['location']['coroot'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['location'].has_key('branchroot'):
-                ll = self.glade.get_widget('label_info_location_branchroot_label')
-                l = self.glade.get_widget('label_info_location_branchroot')
-                l.set_text(self.ret['location']['branchroot'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-        # related
-        if self.ret.has_key('related'):
-            display = False
-            e = self.glade.get_widget('expander_info_related')
-            if self.ret['related'].has_key('parentbranch'):
-                ll = self.glade.get_widget('label_info_related_parentbranch_label')
-                l = self.glade.get_widget('label_info_related_parentbranch')
-                l.set_text(self.ret['related']['parentbranch'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['related'].has_key('publishbranch'):
-                ll = self.glade.get_widget('label_info_related_publishbranch_label')
-                l = self.glade.get_widget('label_info_related_publishbranch')
-                l.set_text(self.ret['related']['publishbranch'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-        # format
-        if self.ret.has_key('format'):
-            display = False
-            e = self.glade.get_widget('expander_info_format')
-            if self.ret['format'].has_key('control'):
-                ll = self.glade.get_widget('label_info_format_control_label')
-                l = self.glade.get_widget('label_info_format_control')
-                l.set_text(self.ret['format']['control'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['format'].has_key('workingtree'):
-                ll = self.glade.get_widget('label_info_format_workingtree_label')
-                l = self.glade.get_widget('label_info_format_workingtree')
-                l.set_text(self.ret['format']['workingtree'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['format'].has_key('branch'):
-                ll = self.glade.get_widget('label_info_format_branch_label')
-                l = self.glade.get_widget('label_info_format_branch')
-                l.set_text(self.ret['format']['branch'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['format'].has_key('repository'):
-                ll = self.glade.get_widget('label_info_format_repository_label')
-                l = self.glade.get_widget('label_info_format_repository')
-                l.set_text(self.ret['format']['repository'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-        # locking
-        if self.ret.has_key('locking'):
-            display = False
-            e = self.glade.get_widget('expander_info_locking')
-            if self.ret['locking'].has_key('workingtree'):
-                ll = self.glade.get_widget('label_info_locking_workingtree_label')
-                l = self.glade.get_widget('label_info_locking_workingtree')
-                l.set_text(self.ret['locking']['workingtree'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['locking'].has_key('branch'):
-                ll = self.glade.get_widget('label_info_locking_branch_label')
-                l = self.glade.get_widget('label_info_locking_branch')
-                l.set_text(self.ret['locking']['branch'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['locking'].has_key('repository'):
-                ll = self.glade.get_widget('label_info_locking_repository_label')
-                l = self.glade.get_widget('label_info_locking_repository')
-                l.set_text(self.ret['locking']['repository'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-        # missing - temporary disabled
-        """
-        if self.ret.has_key('missing'):
-            display = False
-            e = self.glade.get_widget('expander_info_missing')
-            if self.ret['missing'].has_key('branch'):
-                ll = self.glade.get_widget('label_info_missing_branch_label')
-                l = self.glade.get_widget('label_info_missing_branch')
-                l.set_text(self.ret['missing']['branch'])
-                ll.set_markup('<b>' + ll.get_text() + '</b>')
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['missing'].has_key('workingtree'):
-                ll = self.glade.get_widget('label_info_missing_workingtree_label')
-                l = self.glade.get_widget('label_info_missing_workingtree')
-                l.set_text(self.ret['missing']['branch'])
-                ll.set_markup('<b>' + ll.get_text() + '</b>')
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-        """
-        # working tree stats
-        if self.ret.has_key('wtstats'):
-            display = False
-            e = self.glade.get_widget('expander_info_wtstats')
-            if self.ret['wtstats'].has_key('unchanged'):
-                ll = self.glade.get_widget('label_info_wtstats_unchanged_label')
-                l = self.glade.get_widget('label_info_wtstats_unchanged')
-                l.set_text(str(self.ret['wtstats']['unchanged']))
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['wtstats'].has_key('modified'):
-                ll = self.glade.get_widget('label_info_wtstats_modified_label')
-                l = self.glade.get_widget('label_info_wtstats_modified')
-                l.set_text(str(self.ret['wtstats']['modified']))
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['wtstats'].has_key('added'):
-                ll = self.glade.get_widget('label_info_wtstats_added_label')
-                l = self.glade.get_widget('label_info_wtstats_added')
-                l.set_text(str(self.ret['wtstats']['added']))
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['wtstats'].has_key('removed'):
-                ll = self.glade.get_widget('label_info_wtstats_removed_label')
-                l = self.glade.get_widget('label_info_wtstats_removed')
-                l.set_text(str(self.ret['wtstats']['removed']))
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['wtstats'].has_key('renamed'):
-                ll = self.glade.get_widget('label_info_wtstats_renamed_label')
-                l = self.glade.get_widget('label_info_wtstats_renamed')
-                l.set_text(str(self.ret['wtstats']['renamed']))
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['wtstats'].has_key('unknown'):
-                ll = self.glade.get_widget('label_info_wtstats_unknown_label')
-                l = self.glade.get_widget('label_info_wtstats_unknown')
-                l.set_text(str(self.ret['wtstats']['unknown']))
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['wtstats'].has_key('ignored'):
-                ll = self.glade.get_widget('label_info_wtstats_ignored_label')
-                l = self.glade.get_widget('label_info_wtstats_ignored')
-                l.set_text(str(self.ret['wtstats']['ignored']))
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['wtstats'].has_key('subdirs'):
-                ll = self.glade.get_widget('label_info_wtstats_subdirs_label')
-                l = self.glade.get_widget('label_info_wtstats_subdirs')
-                l.set_text(str(self.ret['wtstats']['subdirs']))
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-        # branch stats
-        if self.ret.has_key('brstats'):
-            display = False
-            e = self.glade.get_widget('expander_info_brstats')
-            if self.ret['brstats'].has_key('revno'):
-                ll = self.glade.get_widget('label_info_brstats_revno_label')
-                l = self.glade.get_widget('label_info_brstats_revno')
-                l.set_text(str(self.ret['brstats']['revno']))
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['brstats'].has_key('commiters'):
-                ll = self.glade.get_widget('label_info_brstats_commiters_label')
-                l = self.glade.get_widget('label_info_brstats_commiters')
-                l.set_text(str(self.ret['brstats']['commiters']))
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['brstats'].has_key('age'):
-                ll = self.glade.get_widget('label_info_brstats_age_label')
-                l = self.glade.get_widget('label_info_brstats_age')
-                l.set_text('%d days' % self.ret['brstats']['age'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['brstats'].has_key('firstrev'):
-                ll = self.glade.get_widget('label_info_brstats_firstrev_label')
-                l = self.glade.get_widget('label_info_brstats_firstrev')
-                l.set_text(self.ret['brstats']['firstrev'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['brstats'].has_key('lastrev'):
-                ll = self.glade.get_widget('label_info_brstats_lastrev_label')
-                l = self.glade.get_widget('label_info_brstats_lastrev')
-                l.set_text(self.ret['brstats']['lastrev'])
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-        # repository stats
-        if self.ret.has_key('repstats'):
-            display = False
-            e = self.glade.get_widget('expander_info_repstats')
-            if self.ret['repstats'].has_key('revisions'):
-                ll = self.glade.get_widget('label_info_repstats_revisions_label')
-                l = self.glade.get_widget('label_info_repstats_revisions')
-                l.set_text(str(self.ret['repstats']['revisions']))
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-            if self.ret['repstats'].has_key('size'):
-                ll = self.glade.get_widget('label_info_repstats_size_label')
-                l = self.glade.get_widget('label_info_repstats_size')
-                l.set_text('%d KiB' % (self.ret['repstats']['size'] / 1024))
-                ll.show()
-                l.show()
-                if not display:
-                    e.set_expanded(True)
-                    e.show()
-                    display = True
-    
-    def activate(self, expander):
-        """ Redraw the window. """
-        self.window.resize(50, 50)
-        self.window.queue_resize()
-    
-    def display(self):
-        """ Display the Informations window. """
-        if self.notbranch:
-            error_dialog(_i18n('Directory is not a branch'),
-                         _i18n('You can perform this action only in a branch.'))
-            self.close()
-        else:
-            self.window.show()
-
-    def close(self, widget=None):
-        self.window.destroy()

=== removed file 'olive/info_helper.py'
--- olive/info_helper.py	2007-08-12 21:14:51 +0000
+++ olive/info_helper.py	1970-01-01 00:00:00 +0000
@@ -1,324 +0,0 @@
-# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
-# Some parts of the code are:
-# Copyright (C) 2005, 2006 by Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-import time
-
-import bzrlib
-
-from bzrlib import (
-    bzrdir,
-    diff,
-    errors,
-    osutils,
-    urlutils,
-    )
-
-from bzrlib.missing import find_unmerged
-
-def _repo_rel_url(repo_url, inner_url):
-    """Return path with common prefix of repository path removed.
-
-    If path is not part of the repository, the original path is returned.
-    If path is equal to the repository, the current directory marker '.' is
-    returned.
-    Otherwise, a relative path is returned, with trailing '/' stripped.
-    """
-    inner_url = urlutils.normalize_url(inner_url)
-    repo_url = urlutils.normalize_url(repo_url)
-    if inner_url == repo_url:
-        return '.'
-    result = urlutils.relative_url(repo_url, inner_url)
-    if result != inner_url:
-        result = result.rstrip('/')
-    return result
-
-def get_location_info(repository, branch=None, working=None):
-    """ Get known locations for working, branch and repository.
-    
-    :return: a dictionary containing the needed infos
-    """
-    ret = {}
-    repository_path = repository.bzrdir.root_transport.base
-    if working and branch:
-        working_path = working.bzrdir.root_transport.base
-        branch_path = branch.bzrdir.root_transport.base
-        if working_path != branch_path:
-            # lightweight checkout
-            ret['lightcoroot'] = working_path
-            if repository.is_shared():
-                # lightweight checkout of branch in shared repository
-                ret['sharedrepo'] = repository_path
-                ret['repobranch'] = _repo_rel_url(repository_path, branch_path)
-            else:
-                # lightweight checkout of standalone branch
-                ret['cobranch'] = branch_path
-        elif repository.is_shared():
-            # branch with tree inside shared repository
-            ret['sharedrepo'] = repository_path
-            ret['repoco'] = _repo_rel_url(repository_path, branch_path)
-        elif branch.get_bound_location():
-            # normal checkout
-            ret['coroot'] = working_path
-            ret['cobranch'] = branch.get_bound_location()
-        else:
-            # standalone
-            ret['branchroot'] = working_path
-    elif branch:
-        branch_path = branch.bzrdir.root_transport.base
-        if repository.is_shared():
-            # branch is part of shared repository
-            ret['sharedrepo'] = repository_path
-            ret['repobranch'] = _repo_rel_url(repository_path, branch_path)
-        else:
-            # standalone branch
-            ret['branchroot'] = branch_path
-    else:
-        # shared repository
-        assert repository.is_shared()
-        ret['sharedrepo'] = repository_path
-    
-    return ret
-
-def get_related_info(branch):
-    """ Get parent and push location of branch.
-    
-    :return: a dictionary containing the needed infos
-    """
-    ret = {}
-    if branch.get_parent() or branch.get_push_location():
-        if branch.get_parent():
-            ret['parentbranch'] = branch.get_parent()
-        if branch.get_push_location():
-            ret['publishbranch'] = branch.get_push_location()
-    
-    return ret
-
-
-def get_format_info(control=None, repository=None, branch=None, working=None):
-    """ Get known formats for control, working, branch and repository.
-    
-    :return: a dictionary containing the needed infos
-    """
-    ret = {}
-    if control:
-        ret['control'] = control._format.get_format_description()
-    if working:
-        ret['workingtree'] = working._format.get_format_description()
-    if branch:
-        ret['branch'] = branch._format.get_format_description()
-    if repository:
-        ret['repository'] = repository._format.get_format_description()
-    
-    return ret
-
-
-def get_locking_info(repository, branch=None, working=None):
-    """ Get locking status of working, branch and repository.
-    
-    :return: a dictionary containing the needed infos
-    """
-    ret = {}
-    if (repository.get_physical_lock_status() or
-        (branch and branch.get_physical_lock_status()) or
-        (working and working.get_physical_lock_status())):
-        if working:
-            if working.get_physical_lock_status():
-                status = 'locked'
-            else:
-                status = 'unlocked'
-            ret['workingtree'] = status
-        if branch:
-            if branch.get_physical_lock_status():
-                status = 'locked'
-            else:
-                status = 'unlocked'
-            ret['branch'] = status
-        if repository:
-            if repository.get_physical_lock_status():
-                status = 'locked'
-            else:
-                status = 'unlocked'
-            ret['repository'] = status
-    
-    return ret
-
-def get_missing_revisions_branch(branch):
-    """ Get missing master revisions in branch.
-    
-    :return: a dictionary containing the needed infos
-    """
-    ret = {}
-    # Try with inaccessible branch ?
-    master = branch.get_master_branch()
-    if master:
-        local_extra, remote_extra = find_unmerged(branch, master)
-        if remote_extra:
-            ret = len(remote_extra)
-    
-    return ret
-
-
-def get_missing_revisions_working(working):
-    """ Get missing revisions in working tree.
-    
-    :return: a dictionary containing the needed infos
-    """
-    if (bzrlib.version_info[0] == 0) and (bzrlib.version_info[1] < 9):
-        # function deprecated after 0.9
-        from bzrlib.delta import compare_trees
-
-    ret = {}
-    branch = working.branch
-    basis = working.basis_tree()
-
-    if (bzrlib.version_info[0] == 0) and (bzrlib.version_info[1] < 9):
-        delta = compare_trees(basis, working, want_unchanged=True)
-    else:
-        delta = working.changes_from(basis, want_unchanged=True)
-
-    history = branch.revision_history()
-    tree_last_id = working.last_revision()
-
-    if len(history) and tree_last_id != history[-1]:
-        tree_last_revno = branch.revision_id_to_revno(tree_last_id)
-        missing_count = len(history) - tree_last_revno
-        ret = missing_count
-    
-    return ret
-
-
-def get_working_stats(working):
-    """ Get statistics about a working tree.
-    
-    :return: a dictionary containing the needed infos
-    """
-    if (bzrlib.version_info[0] == 0) and (bzrlib.version_info[1] < 9):
-        # function deprecated after 0.9
-        from bzrlib.delta import compare_trees
-    
-    ret = {}
-    basis = working.basis_tree()
-
-    if (bzrlib.version_info[0] == 0) and (bzrlib.version_info[1] < 9):
-        delta = compare_trees(basis, working, want_unchanged=True)
-    else:
-        delta = working.changes_from(basis, want_unchanged=True)
-
-    ret['unchanged'] = len(delta.unchanged)
-    ret['modified'] = len(delta.modified)
-    ret['added'] = len(delta.added)
-    ret['removed'] = len(delta.removed)
-    ret['renamed'] = len(delta.renamed)
-
-    ignore_cnt = unknown_cnt = 0
-    for path in working.extras():
-        if working.is_ignored(path):
-            ignore_cnt += 1
-        else:
-            unknown_cnt += 1
-    ret['unknown'] = unknown_cnt
-    ret['ignored'] = ignore_cnt
-
-    dir_cnt = 0
-    for path, ie in working.iter_entries_by_dir():
-        if ie.kind == 'directory':
-            dir_cnt += 1
-    ret['subdirs'] = dir_cnt
-
-    return ret
-
-def get_branch_stats(branch):
-    """ Get statistics about a branch.
-    
-    :return: a dictionary containing the needed infos
-    """
-    ret = {}
-    repository = branch.repository
-    history = branch.revision_history()
-
-    revno = len(history)
-    ret['revno'] = revno 
-    committers = {}
-    for rev in history:
-        committers[repository.get_revision(rev).committer] = True
-    ret['commiters'] = len(committers)
-    if revno > 0:
-        firstrev = repository.get_revision(history[0])
-        age = int((time.time() - firstrev.timestamp) / 3600 / 24)
-        ret['age'] = age
-        ret['firstrev'] = osutils.format_date(firstrev.timestamp,
-                                              firstrev.timezone)
-
-        lastrev = repository.get_revision(history[-1])
-        ret['lastrev'] = osutils.format_date(lastrev.timestamp,
-                                             lastrev.timezone)
-
-    return ret
-
-def get_repository_stats(repository):
-    """ Get statistics about a repository.
-    
-    :return: a dictionary containing the needed infos
-    """
-    ret = {}
-    if repository.bzrdir.root_transport.listable():
-        c, t = repository._revision_store.total_size(repository.get_transaction())
-        ret['revisions'] = c
-        ret['size'] = t
-
-    return ret
-
-def diff_helper(tree, specific_files, external_diff_options, 
-                    old_revision_spec=None, new_revision_spec=None,
-                    old_label='a/', new_label='b/', output=None):
-    """ Helper for diff.
-
-    :param tree: a WorkingTree
-
-    :param specific_files: the specific files to compare, or None
-
-    :param external_diff_options: if non-None, run an external diff, and pass it these options
-
-    :param old_revision_spec: if None, use basis tree as old revision, otherwise use the tree for the specified revision. 
-
-    :param new_revision_spec:  if None, use working tree as new revision, otherwise use the tree for the specified revision.
-    """
-    import sys
-    
-    from bzrlib.diff import show_diff_trees
-    
-    if output == None:
-        output = sys.stdout
-    
-    def spec_tree(spec):
-        revision_id = spec.in_store(tree.branch).rev_id
-        return tree.branch.repository.revision_tree(revision_id)
-    
-    if old_revision_spec is None:
-        old_tree = tree.basis_tree()
-    else:
-        old_tree = spec_tree(old_revision_spec)
-
-    if new_revision_spec is None:
-        new_tree = tree
-    else:
-        new_tree = spec_tree(new_revision_spec)
-
-    return show_diff_trees(old_tree, new_tree, output, specific_files,
-                           external_diff_options,
-                           old_label=old_label, new_label=new_label)

=== removed file 'olive/launch.py'
--- olive/launch.py	2006-09-30 13:04:15 +0000
+++ olive/launch.py	1970-01-01 00:00:00 +0000
@@ -1,54 +0,0 @@
-# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-import sys
-import os
-
-def launch(path):
-    """ Launch program associated with path """
-
-    # Normalize filepath
-    normpath = os.path.normpath(path) 
-    
-    if sys.platform == 'win32':
-        # Windows is easy
-        os.startfile(normpath)
-    else:
-        # Maybe Gnome?
-        exe = search_exe('gnome-open')
-        if exe != None:
-            os.system("gnome-open %s" % normpath)
-            return
-        # Maybe KDE?
-        exe = search_exe('kfmclient')
-        if exe != None:
-            os.system("kfmclient exec file:%s" % normpath)
-            return
-
-        # TODO: support other platforms
-        print "DEBUG: file launch not supported on this platform."
-
-def search_exe(exe):
-    """ Search for given executable. """
-    found = 0
-    paths = os.environ['PATH'].split(os.pathsep)
-    for path in paths:
-        if os.path.exists(os.path.join(path,exe)):
-            found = 1
-            break
-    if found:
-        return True
-    return None

=== removed file 'olive/menu.py'
--- olive/menu.py	2008-05-05 18:18:08 +0000
+++ olive/menu.py	1970-01-01 00:00:00 +0000
@@ -1,380 +0,0 @@
-# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-import os
-import os.path
-import shutil
-import sys
-
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-
-import bzrlib.errors as errors
-from bzrlib.workingtree import WorkingTree
-
-from bzrlib.plugins.gtk import _i18n
-from bzrlib.plugins.gtk.dialog import error_dialog, info_dialog, question_dialog, warning_dialog
-from bzrlib.plugins.gtk.errors import show_bzr_error
-from bzrlib.plugins.gtk.annotate.gannotate import GAnnotateWindow
-from bzrlib.plugins.gtk.annotate.config import GAnnotateConfig
-from bzrlib.plugins.gtk.diff import DiffWindow
-from launch import launch
-from bzrlib.plugins.gtk.olive import Preferences
-
-class OliveMenu:
-    """ This class is responsible for building the context menus. """
-    def __init__(self, path, selected, app=None):
-        # Load the UI file
-        from guifiles import UIFILENAME
-
-        self.uifile = UIFILENAME
-
-        # Preferences handler
-        self.pref = Preferences()
-        
-        # Set default values
-        self.path = path
-        self.selected = selected
-        self.app = app
-        
-        # Create the file list context menu
-        self.ui = gtk.UIManager()
-        
-        self.actiongroup = gtk.ActionGroup('context')
-        self.actiongroup.add_actions([('add', gtk.STOCK_ADD,
-                                       _i18n('Add'), None,
-                                       _i18n('Add the selected file'),
-                                       self.add_file),
-                                      ('remove', gtk.STOCK_REMOVE,
-                                       _i18n('Remove'), None,
-                                       _i18n('Remove the selected file'),
-                                       self.remove_file),
-                                      ('remove_and_delete', gtk.STOCK_REMOVE,
-                                       _i18n('Remove and delete'), None,
-                                       _i18n('Remove the selected file/dir and delete from disk'),
-                                       self.remove_and_delete_file),
-                                      ('rename', None,
-                                       _i18n('Rename'), None,
-                                       _i18n('Rename the selected file'),
-                                       self.rename_file),
-                                      ('open', gtk.STOCK_OPEN,
-                                       _i18n('Open'), None,
-                                       _i18n('Open the selected file'),
-                                       self.open_file),
-                                      ('revert', None,
-                                       _i18n('Revert'), None,
-                                       _i18n('Revert the changes'),
-                                       self.revert),
-                                      ('commit', None,
-                                       _i18n('Commit'), None,
-                                       _i18n('Commit the changes'),
-                                       self.commit),
-                                      ('annotate', None,
-                                       _i18n('Annotate'), None,
-                                       _i18n('Annotate the selected file'),
-                                       self.annotate),
-                                      ('diff', None,
-                                       _i18n('Diff'), None,
-                                       _i18n('Show the diff of the file'),
-                                       self.diff),
-                                      ('bookmark', None,
-                                       _i18n('Bookmark'), None,
-                                       _i18n('Bookmark current location'),
-                                       self.bookmark),
-                                      ('edit_bookmark', gtk.STOCK_EDIT,
-                                       _i18n('Edit'), None,
-                                       _i18n('Edit the selected bookmark'),
-                                       self.edit_bookmark),
-                                      ('remove_bookmark', gtk.STOCK_REMOVE,
-                                       _i18n('Remove'), None,
-                                       _i18n('Remove the selected bookmark'),
-                                       self.remove_bookmark),
-                                      ('open_folder', gtk.STOCK_OPEN,
-                                       _i18n('Open Folder'), None,
-                                       _i18n('Open bookmark folder in Nautilus'),
-                                       self.open_folder),
-                                      ('diff_selected', None,
-                                       _i18n('Selected...'), None,
-                                       _i18n('Show the differences of the selected file'),
-                                       self.diff_selected),
-                                      ('diff_all', None,
-                                       _i18n('All...'), None,
-                                       _i18n('Show the differences of all files'),
-                                       self.diff_all),
-                                      ('view_remote', None,
-                                       _i18n('View contents'), None,
-                                       _i18n('View the contents of the file in a builtin viewer'),
-                                       self.view_remote),
-                                      ('diff_remote', None,
-                                       _i18n('Show differences'), None,
-                                       _i18n('Show the differences between two revisions of the file'),
-                                       self.diff_remote),
-                                      ('revert_remote', None,
-                                       _i18n('Revert to this revision'), None,
-                                       _i18n('Revert the selected file to the selected revision'),
-                                       self.revert_remote)
-                                     ])
-        
-        self.ui.insert_action_group(self.actiongroup, 0)
-        self.ui.add_ui_from_file(self.uifile)
-        
-        self.cmenu_right = self.ui.get_widget('/context_right')
-        self.cmenu_left = self.ui.get_widget('/context_left')
-        self.toolbar_diff = self.ui.get_widget('/toolbar_diff')
-        self.cmenu_remote = self.ui.get_widget('/context_remote')
-        
-        # Set icons
-        # TODO: do it without using deprecated comm
-        #commit_menu = self.ui.get_widget('/context_right/commit')
-        #commit_image = self.comm.menuitem_branch_commit.get_image()
-        #commit_pixbuf = commit_image.get_pixbuf()
-        #commit_icon = gtk.Image()
-        #commit_icon.set_from_pixbuf(commit_pixbuf)
-        #commit_menu.set_image(commit_icon)
-        #diff_menu = self.ui.get_widget('/context_right/diff')
-        #diff_image = self.comm.menuitem_stats_diff.get_image()
-        #diff_pixbuf = diff_image.get_pixbuf()
-        #diff_icon = gtk.Image()
-        #diff_icon.set_from_pixbuf(diff_pixbuf)
-        #diff_menu.set_image(diff_icon)
-
-    def right_context_menu(self):
-        return self.cmenu_right
-    
-    def left_context_menu(self):
-        return self.cmenu_left
-    
-    def remote_context_menu(self):
-        return self.cmenu_remote
-    
-    @show_bzr_error
-    def add_file(self, action):
-        """ Right context menu -> Add """
-        import bzrlib.add
-        
-        # Add only the selected file
-        directory = self.path
-        filename = self.selected
-            
-        if filename is None:
-            error_dialog(_i18n('No file was selected'),
-                         _i18n('Please select a file from the list,\nor choose the other option.'))
-            return
-        
-        bzrlib.add.smart_add([os.path.join(directory, filename)])
-    
-    @show_bzr_error
-    def annotate(self, action):
-        """ Right context menu -> Annotate """
-        directory = self.path
-        filename = self.selected
-        
-        if filename is None:
-            error_dialog(_i18n('No file was selected'),
-                         _i18n('Please select a file from the list.'))
-            return
-        
-        wt, path = WorkingTree.open_containing(os.path.join(directory, filename))
-        
-        branch = wt.branch
-        file_id = wt.path2id(wt.relpath(os.path.join(directory, filename)))
-        
-        window = GAnnotateWindow(all=False, plain=False, parent=self.app)
-        window.set_title(os.path.join(directory, filename) + " - Annotate")
-        config = GAnnotateConfig(window)
-        window.show()
-        branch.lock_read()
-        try:
-            window.annotate(wt, branch, file_id)
-        finally:
-            branch.unlock()
-    
-    @show_bzr_error
-    def remove_file(self, action,delete_on_disk=0):
-        """ Right context menu -> Remove """
-        # Remove only the selected file
-        directory = self.path
-        filename = self.selected
-        
-        if filename is None:
-            error_dialog(_i18n('No file was selected'),
-                         _i18n('Please select a file from the list,\nor choose the other option.'))
-            return
-        
-        wt, path = WorkingTree.open_containing(os.path.join(directory, filename))
-        wt.remove(path)
-        
-        if delete_on_disk:
-            abs_filename = os.path.join(directory,filename)
-            if os.path.isdir(abs_filename):
-                response = question_dialog(_i18n('Delete directory with all directories below ?'), abs_filename )
-                if response == gtk.RESPONSE_YES:
-                    shutil.rmtree(abs_filename)
-            else:
-                os.remove(abs_filename)
-                
-        self.app.set_path(self.path)
-        self.app.refresh_right()
-        
-    def remove_and_delete_file(self, action):
-        """ Right context menu -> Remove and delete"""
-        self.remove_file(action,delete_on_disk=1)
-
-    def rename_file(self, action):
-        """ Right context menu -> Rename """
-        from rename import OliveRename
-        wt = WorkingTree.open_containing(self.path + os.sep + self.selected)[0]
-        rename = OliveRename(wt, wt.relpath(self.path), self.selected)
-        rename.display()
-    
-    def open_file(self, action):
-        """ Right context menu -> Open """
-        # Open only the selected file
-        filename = self.selected
-        
-        if filename is None:
-            error_dialog(_i18n('No file was selected'),
-                         _i18n('Please select a file from the list,\nor choose the other option.'))
-            return
-
-        if filename == '..':
-            # TODO: how to enter a directory?
-            return
-        else:
-            fullpath = self.path + os.sep + filename
-            if os.path.isdir(fullpath):
-                # selected item is an existant directory
-                # TODO: how to enter a directory?
-                return
-            else:
-                launch(fullpath) 
-
-    def revert(self, action):
-        """ Right context menu -> Revert """
-        wt, path = WorkingTree.open_containing(self.path)
-        ret = wt.revert([os.path.join(path, self.selected)])
-        if ret:
-            warning_dialog(_i18n('Conflicts detected'),
-                           _i18n('Please have a look at the working tree before continuing.'))
-        else:
-            info_dialog(_i18n('Revert successful'),
-                        _i18n('All files reverted to last revision.'))
-        self.app.refresh_right()       
-    
-    def commit(self, action):
-        """ Right context menu -> Commit """
-        from commit import CommitDialog
-        branch = None
-        try:
-            wt, path = WorkingTree.open_containing(self.path)
-            branch = wt.branch
-        except NotBranchError, e:
-            path = e.path
-        
-        if self.selected:
-            selected = os.path.join(path, self.selected)
-        else:
-            selected = None
-        commit = CommitDialog(wt=wt, selected=selected, parent=None)
-        response = commit.run()
-        if response != gtk.RESPONSE_NONE:
-            commit.hide()
-        
-            if response == gtk.RESPONSE_OK:
-                self.app.refresh_right()
-            
-            commit.destroy()
-    
-    @show_bzr_error
-    def diff(self, action):
-        """ Right context menu -> Diff """
-        wt = WorkingTree.open_containing(self.path)[0]
-        window = DiffWindow(self.app)
-        parent_tree = wt.branch.repository.revision_tree(wt.branch.last_revision())
-        window.set_diff(wt.branch.nick, wt, parent_tree)
-        window.set_file(wt.relpath(self.path + os.sep + self.selected))
-        window.show()
-    
-    def bookmark(self, action):
-        """ Right context menu -> Bookmark """
-        if self.pref.add_bookmark(self.path):
-            info_dialog(_i18n('Bookmark successfully added'),
-                        _i18n('The current directory was bookmarked. You can reach\nit by selecting it from the left panel.'))
-            self.pref.write()
-        else:
-            warning_dialog(_i18n('Location already bookmarked'),
-                           _i18n('The current directory is already bookmarked.\nSee the left panel for reference.'))
-        
-        self.app.refresh_left()
-
-    def edit_bookmark(self, action):
-        """ Left context menu -> Edit """
-        from bookmark import BookmarkDialog
-        
-        if self.selected != None:
-            bookmark = BookmarkDialog(self.selected, self.app.window)
-            response = bookmark.run()
-            
-            if response != gtk.RESPONSE_NONE:
-                bookmark.hide()
-        
-                if response == gtk.RESPONSE_OK:
-                    self.app.refresh_left()
-            
-                bookmark.destroy()
-
-    def remove_bookmark(self, action):
-        """ Left context menu -> Remove """
-        
-        if self.selected != None:
-            self.pref.remove_bookmark(self.selected)
-            self.pref.write()
-        
-        self.app.refresh_left()
-    
-    def open_folder(self, action):
-        """ Left context menu -> Open Folder """
-        path = self.selected
-
-        if path != None:
-            launch(path)
-    
-    def diff_selected(self, action):
-        """ Diff toolbutton -> Selected... """
-        print "DEBUG: not implemented."
-    
-    def diff_all(self, action):
-        """ Diff toolbutton -> All... """
-        from diff import OliveDiff
-        diff = OliveDiff(self.comm)
-        diff.display()
-    
-    def view_remote(self, action):
-        """ Remote context menu -> View contents """
-        print "DEBUG: view contents."
-    
-    def diff_remote(self, action):
-        """ Remote context menu -> Show differences """
-        print "DEBUG: show differences."
-    
-    def revert_remote(self, action):
-        """ Remote context menu -> Revert to this revision """
-        print "DEBUG: revert to this revision."

=== removed file 'olive/mkdir.py'
--- olive/mkdir.py	2008-05-05 18:16:46 +0000
+++ olive/mkdir.py	1970-01-01 00:00:00 +0000
@@ -1,97 +0,0 @@
-# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-import os
-
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-import gtk.glade
-
-import bzrlib.errors as errors
-
-from bzrlib.plugins.gtk import _i18n
-from bzrlib.plugins.gtk.dialog import error_dialog, warning_dialog
-from guifiles import GLADEFILENAME
-
-from bzrlib.plugins.gtk.errors import show_bzr_error
-
-
-class OliveMkdir:
-    """ Display the Make directory dialog and perform the needed actions. """
-    def __init__(self, wt, wtpath):
-        """ Initialize the Make directory dialog. """
-        self.glade = gtk.glade.XML(GLADEFILENAME, 'window_mkdir', 'olive-gtk')
-        
-        self.window = self.glade.get_widget('window_mkdir')
-        
-        # Dictionary for signal_autoconnect
-        dic = { "on_button_mkdir_mkdir_clicked": self.mkdir,
-                "on_button_mkdir_cancel_clicked": self.close }
-        
-        # Connect the signals to the handlers
-        self.glade.signal_autoconnect(dic)
-        
-        self.wt = wt
-        self.wtpath = wtpath
-
-    def display(self):
-        """ Display the Make directory dialog. """
-        self.window.show_all()
-
-    @show_bzr_error
-    def mkdir(self, widget):
-        # Get the widgets
-        entry = self.glade.get_widget('entry_mkdir')
-        checkbox = self.glade.get_widget('checkbutton_mkdir_versioned')
-        
-        dirname = entry.get_text()
-        
-        if dirname == "":
-            error_dialog(_i18n('No directory name given'),
-                         _i18n('Please specify a desired name for the new directory.'))
-            return
-        
-        if checkbox.get_active():
-            # Want to create a versioned directory
-            try:
-                os.mkdir(os.path.join(self.wt.basedir, self.wtpath, dirname))
-
-                self.wt.add([os.path.join(self.wtpath, dirname)])
-            except OSError, e:
-                if e.errno == 17:
-                    error_dialog(_i18n('Directory already exists'),
-                                 _i18n('Please specify another name to continue.'))
-                else:
-                    raise
-        else:
-            # Just a simple directory
-            try:
-                os.mkdir(os.path.join(self.wt.basedir, self.wtpath, dirname))
-            except OSError, e:
-                if e.errno == 17:
-                    error_dialog(_i18n('Directory already exists'),
-                                 _i18n('Please specify another name to continue.'))
-                    return
-
-        self.close()
-    
-    def close(self, widget=None):
-        self.window.destroy()

=== removed file 'olive/move.py'
--- olive/move.py	2008-05-05 18:16:46 +0000
+++ olive/move.py	1970-01-01 00:00:00 +0000
@@ -1,98 +0,0 @@
-# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-import os
-from os.path import dirname
-
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-import gtk.glade
-
-import bzrlib.errors as errors
-from bzrlib.workingtree import WorkingTree
-
-from bzrlib.plugins.gtk import _i18n
-from bzrlib.plugins.gtk.dialog import error_dialog
-from errors import show_bzr_error
-from guifiles import GLADEFILENAME
-
-
-class OliveMove:
-    """ Display the Move dialog and perform the needed actions. """
-    def __init__(self, wt, wtpath, selected=[]):
-        """ Initialize the Move dialog. """
-        self.glade = gtk.glade.XML(GLADEFILENAME, 'window_move', 'olive-gtk')
-        
-        self.window = self.glade.get_widget('window_move')
-        
-        # Dictionary for signal_autoconnect
-        dic = { "on_button_move_move_clicked": self.move,
-                "on_button_move_cancel_clicked": self.close }
-        
-        # Connect the signals to the handlers
-        self.glade.signal_autoconnect(dic)
-        
-        self.wt = wt
-        self.wtpath = wtpath
-        self.selected = selected
-        
-        if self.selected is None:
-            self.selected = ""
-        
-        if self.wtpath == "":
-            directory = dirname(self.wt.abspath(self.selected))
-        else:
-            directory = dirname(self.wt.abspath(self.wtpath + os.sep + self.selected))
-        
-        # Set FileChooser directory
-        self.filechooser = self.glade.get_widget('filechooserbutton_move')
-        self.filechooser.set_filename(directory)
-
-    def display(self):
-        """ Display the Move dialog. """
-        self.window.show_all()
-
-    @show_bzr_error
-    def move(self, widget):
-        destination = self.filechooser.get_filename()
-
-        filename = self.selected
-            
-        if filename is None:
-            error_dialog(_i18n('No file was selected'),
-                         _i18n('Please select a file from the list to proceed.'))
-            return
-        
-        source = os.path.join(self.wtpath, filename)
-        
-        # Move the file to a directory
-        wt1, path1 = WorkingTree.open_containing(self.wt.abspath(source))
-        wt2, path2 = WorkingTree.open_containing(destination)
-        if wt1.basedir != wt2.basedir:
-            error_dialog(_i18n('Not the same branch'),
-                         _i18n('The destination is not in the same branch.'))
-            return
-
-        wt1.move([source], wt1.relpath(destination))
-        self.close()
-    
-    def close(self, widget=None):
-        self.window.destroy()

=== removed file 'olive/remove.py'
--- olive/remove.py	2008-05-05 18:16:46 +0000
+++ olive/remove.py	1970-01-01 00:00:00 +0000
@@ -1,145 +0,0 @@
-# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-import os
-
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-	pass
-
-import gtk
-import gtk.glade
-
-import bzrlib.errors as errors
-
-from bzrlib.plugins.gtk import _i18n
-from bzrlib.plugins.gtk.dialog import error_dialog, warning_dialog
-from guifiles import GLADEFILENAME
-
-
-class OliveRemove:
-    """ Display the Remove file(s) dialog and perform the needed actions. """
-    def __init__(self, wt, wtpath, selected=[]):
-        """ Initialize the Remove file(s) dialog. """
-        self.glade = gtk.glade.XML(GLADEFILENAME, 'window_remove')
-        
-        self.window = self.glade.get_widget('window_remove')
-        
-        # Dictionary for signal_autoconnect
-        dic = { "on_button_remove_remove_clicked": self.remove,
-                "on_button_remove_cancel_clicked": self.close }
-        
-        # Connect the signals to the handlers
-        self.glade.signal_autoconnect(dic)
-        
-        self.wt = wt
-        self.wtpath = wtpath
-        self.selected = selected
-
-    def display(self):
-        """ Display the Remove file(s) dialog. """
-        self.window.show_all()
-        
-    @show_bzr_error
-    def remove(self, widget):
-        radio_selected = self.glade.get_widget('radiobutton_remove_selected')
-        radio_new = self.glade.get_widget('radiobutton_remove_new')
-        
-        if radio_selected.get_active():
-            # Remove only the selected file
-            filename = self.selected
-            
-            if filename is None:
-                error_dialog(_i18n('No file was selected'),
-                             _i18n('Please select a file from the list,\nor choose the other option.'))
-                return
-            
-            fullpath = self.wt.abspath(os.path.join(self.wtpath, filename))
-            
-            self.wt.remove(fullpath)
-        elif radio_new.get_active():
-            # Remove added files recursively
-            added = self.wt.changes_from(self.wt.basis_tree()).added
-            file_list = sorted([f[0] for f in added], reverse=True)
-            if len(file_list) == 0:
-                warning_dialog(_i18n('No matching files'),
-                               _i18n('No added files were found in the working tree.'))
-                return
-            self.wt.remove(file_list)
-        
-        self.close()
-    
-    def close(self, widget=None):
-        self.window.destroy()
-
-class OliveRemoveDialog(gtk.Dialog):
-    """ This class wraps the old Remove window into a gtk.Dialog. """
-    
-    def __init__(self, wt, wtpath, selected=[], parent=None):
-        """ Initialize the Remove file(s) dialog. """
-        gtk.Dialog.__init__(self, title="Remove files - Olive",
-                                  parent=parent,
-                                  flags=0,
-                                  buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
-        
-        # Get arguments
-        self.wt = wt
-        self.wtpath = wtpath
-        self.selected = selected
-        
-        # Create widgets
-        self._label = gtk.Label(_i18n("Which file(s) do you want to remove?"))
-        self._radio_selected = gtk.RadioButton(None, _i18n("Selected only"), False)
-        self._radio_added = gtk.RadioButton(self._radio_selected, _i18n("All files with status 'added'"), False)
-        self._button_remove = gtk.Button(_i18n("_Remove"), use_underline=True)
-        
-        self._button_remove.connect('clicked', self._on_remove_clicked)
-        
-        self.vbox.pack_start(self._label)
-        self.vbox.pack_end(self._radio_added)
-        self.vbox.pack_end(self._radio_selected)
-        
-        self.action_area.pack_end(self._button_remove)
-        
-        self.vbox.set_spacing(3)
-        self.vbox.show_all()
-        
-    @show_bzr_error
-    def _on_remove_clicked(self, button):
-        """ Remove button clicked handler. """
-        if self._radio_selected.get_active():
-            # Remove only the selected file
-            filename = self.selected
-            
-            if filename is None:
-                error_dialog(_i18n('No file was selected'),
-                             _i18n('Please select a file from the list,\nor choose the other option.'))
-                return
-            
-            self.wt.remove(os.path.join(self.wtpath, filename))
-        elif self._radio_added.get_active():
-            # Remove added files recursively
-            added = self.wt.changes_from(self.wt.basis_tree()).added
-            file_list = sorted([f[0] for f in added], reverse=True)
-            if len(file_list) == 0:
-                warning_dialog(_i18n('No matching files'),
-                               _i18n('No added files were found in the working tree.'))
-                return
-            self.wt.remove(file_list)
-        
-        self.response(gtk.RESPONSE_OK)

=== removed file 'olive/rename.py'
--- olive/rename.py	2008-05-05 18:16:46 +0000
+++ olive/rename.py	1970-01-01 00:00:00 +0000
@@ -1,95 +0,0 @@
-# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-import os
-
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-import gtk.glade
-
-import bzrlib.errors as errors
-from bzrlib.workingtree import WorkingTree
-
-from errors import show_bzr_error
-from bzrlib.plugins.gtk.dialog import error_dialog
-from guifiles import GLADEFILENAME
-from bzrlib.plugins.gtk import _i18n
-
-
-class OliveRename:
-    """ Display the Rename dialog and perform the needed actions. """
-    def __init__(self, wt, wtpath, selected=[]):
-        """ Initialize the Rename dialog. """
-        self.glade = gtk.glade.XML(GLADEFILENAME, 'window_rename')
-        
-        self.window = self.glade.get_widget('window_rename')
-        self.entry = self.glade.get_widget('entry_rename')
-        
-        # Dictionary for signal_autoconnect
-        dic = { "on_button_rename_rename_clicked": self.rename,
-                "on_button_rename_cancel_clicked": self.close }
-        
-        # Connect the signals to the handlers
-        self.glade.signal_autoconnect(dic)
-        
-        self.wt = wt
-        self.wtpath = wtpath
-        self.selected = selected
-        
-    def display(self):
-        """ Display the Rename dialog. """
-        if self.selected is not None:
-            self.entry.set_text(self.selected)
-        
-        self.window.show_all()
-
-    @show_bzr_error
-    def rename(self, widget):
-        # Get entry
-        old_filename = self.selected
-        new_filename = self.entry.get_text()
-            
-        if old_filename is None:
-            error_dialog(_i18n('No file was selected'),
-                         _i18n('Please select a file from the list to proceed.'))
-            return
-        
-        if new_filename == "":
-            error_dialog(_i18n('Filename not given'),
-                         _i18n('Please specify a new name for the file.'))
-            return
-        
-        source = os.path.join(self.wtpath, old_filename)
-        destination = os.path.join(self.wtpath, new_filename)
-        
-        # Rename the file
-        wt1, path1 = WorkingTree.open_containing(self.wt.abspath(source))
-        wt2, path2 = WorkingTree.open_containing(self.wt.abspath(source))
-
-        if wt1.basedir != wt2.basedir:
-            error_dialog(_i18n('Not the same branch'),
-                         _i18n('The destination is not in the same branch.'))
-            return
-        wt1.rename_one(source, destination)
-        self.close()
-    
-    def close(self, widget=None):
-        self.window.destroy()

=== added file 'po/Makevars'
--- po/Makevars	1970-01-01 00:00:00 +0000
+++ po/Makevars	2010-08-21 09:38:06 +0000
@@ -0,0 +1,2 @@
+top_builddir=../
+XGETTEXT_OPTIONS =  --keyword=_i18n --keyword=_ --keyword=N_ --keyword=U_

=== added file 'po/POTFILES.in'
--- po/POTFILES.in	1970-01-01 00:00:00 +0000
+++ po/POTFILES.in	2011-03-06 08:24:07 +0000
@@ -0,0 +1,20 @@
+bazaar-properties.desktop.in
+bzr-handle-patch.desktop.in
+bzr-notify.desktop.in
+branch.py
+branchview/treeview.py
+checkout.py
+commands.py
+commit.py
+conflicts.py
+diff.py
+errors.py
+initialize.py
+loom.py
+merge.py
+nautilus-bzr.py
+push.py
+revbrowser.py
+search.py
+status.py
+tags.py

=== added file 'po/POTFILES.skip'
--- po/POTFILES.skip	1970-01-01 00:00:00 +0000
+++ po/POTFILES.skip	2011-03-06 08:24:07 +0000
@@ -0,0 +1,2 @@
+setup.cfg
+setup.py

=== added file 'po/bzr-gtk.pot'
--- po/bzr-gtk.pot	1970-01-01 00:00:00 +0000
+++ po/bzr-gtk.pot	2011-12-01 10:46:10 +0000
@@ -0,0 +1,736 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
+msgid "_Branch"
+msgstr ""
+
+#: ../branch.py:49 ../checkout.py:49
+msgid "Branch location:"
+msgstr ""
+
+#: ../branch.py:51 ../checkout.py:50
+msgid "Destination:"
+msgstr ""
+
+#: ../branch.py:52
+msgid "Branck nick:"
+msgstr ""
+
+#: ../branch.py:53 ../checkout.py:52
+msgid "Revision:"
+msgstr ""
+
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr ""
+
+#: ../branch.py:134 ../checkout.py:153
+msgid "Missing branch location"
+msgstr ""
+
+#: ../branch.py:135 ../checkout.py:154
+msgid "You must specify a branch location."
+msgstr ""
+
+#: ../branch.py:174
+msgid "Branching successful"
+msgstr ""
+
+#: ../branch.py:175
+#, python-format
+msgid "%d revision(s) branched."
+msgstr ""
+
+#: ../branch.py:183 ../checkout.py:185
+msgid "N/A"
+msgstr ""
+
+#. Create the widgets
+#: ../checkout.py:44
+msgid "Check_out"
+msgstr ""
+
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
+msgid "_Lightweight checkout"
+msgstr ""
+
+#: ../commands.py:305
+msgid "Directory does not have a working tree"
+msgstr ""
+
+#: ../commands.py:306
+msgid "Operation aborted."
+msgstr ""
+
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr ""
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr ""
+
+#: ../commit.py:178
+msgid "added"
+msgstr ""
+
+#: ../commit.py:179
+msgid "removed"
+msgstr ""
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr ""
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr ""
+
+#: ../commit.py:182
+msgid "modified"
+msgstr ""
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr ""
+
+#: ../commit.py:361
+msgid "Comm_it"
+msgstr ""
+
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr ""
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr ""
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr ""
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
+msgid "Date"
+msgstr ""
+
+#: ../commit.py:505
+msgid "Committer"
+msgstr ""
+
+#: ../commit.py:507 ../search.py:60
+msgid "Summary"
+msgstr ""
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr ""
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr ""
+
+#: ../commit.py:749
+msgid "There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
+msgid "External utility:"
+msgstr ""
+
+#: ../conflicts.py:97
+msgid "Conflicts"
+msgstr ""
+
+#: ../conflicts.py:100
+msgid "No conflicts in working tree."
+msgstr ""
+
+#: ../conflicts.py:114
+msgid "path conflict"
+msgstr ""
+
+#: ../conflicts.py:116
+msgid "contents conflict"
+msgstr ""
+
+#: ../conflicts.py:118
+msgid "text conflict"
+msgstr ""
+
+#: ../conflicts.py:120
+msgid "duplicate id"
+msgstr ""
+
+#: ../conflicts.py:122
+msgid "duplicate"
+msgstr ""
+
+#: ../conflicts.py:124
+msgid "parent loop"
+msgstr ""
+
+#: ../conflicts.py:126
+msgid "unversioned parent"
+msgstr ""
+
+#: ../conflicts.py:128
+msgid "missing parent"
+msgstr ""
+
+#: ../conflicts.py:130
+msgid "deleting parent"
+msgstr ""
+
+#: ../conflicts.py:132
+msgid "unknown type of conflict"
+msgstr ""
+
+#: ../conflicts.py:161
+msgid "No file was selected"
+msgstr ""
+
+#: ../conflicts.py:162
+msgid "Please select a file from the list."
+msgstr ""
+
+#: ../conflicts.py:172
+msgid "Call to external utility failed"
+msgstr ""
+
+#: ../conflicts.py:174
+msgid "Cannot resolve conflict"
+msgstr ""
+
+#: ../conflicts.py:175
+msgid ""
+"Only conflicts on the text of files can be resolved with Olive at the "
+"moment. Content conflicts, on the structure of the tree, need to be resolved "
+"using the command line."
+msgstr ""
+
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr ""
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr ""
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr ""
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr ""
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr ""
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr ""
+
+#: ../errors.py:34
+msgid "Directory is not a checkout"
+msgstr ""
+
+#: ../errors.py:35
+msgid "You can perform local commit only on checkouts."
+msgstr ""
+
+#: ../errors.py:37
+msgid "No changes to commit"
+msgstr ""
+
+#: ../errors.py:38
+msgid "Try force commit if you want to commit anyway."
+msgstr ""
+
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
+msgid "Conflicts in tree"
+msgstr ""
+
+#: ../errors.py:44
+msgid "You need to resolve the conflicts before committing."
+msgstr ""
+
+#: ../errors.py:46
+msgid "Strict commit failed"
+msgstr ""
+
+#: ../errors.py:47
+msgid ""
+"There are unknown files in the working tree.\n"
+"Please add or delete them."
+msgstr ""
+
+#: ../errors.py:49
+msgid "Bound branch is out of date"
+msgstr ""
+
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
+#, python-format
+msgid "%s"
+msgstr ""
+
+#: ../errors.py:53
+msgid "File not versioned"
+msgstr ""
+
+#: ../errors.py:54
+msgid "The selected file is not versioned."
+msgstr ""
+
+#: ../errors.py:56 ../push.py:100
+msgid "Branches have been diverged"
+msgstr ""
+
+#: ../errors.py:57
+msgid ""
+"You cannot push if branches have diverged. Use the\n"
+"overwrite option if you want to push anyway."
+msgstr ""
+
+#: ../errors.py:59
+msgid "No diff output"
+msgstr ""
+
+#: ../errors.py:60
+msgid "The selected file hasn't changed."
+msgstr ""
+
+#: ../errors.py:62
+msgid "No such revision"
+msgstr ""
+
+#: ../errors.py:63
+msgid "The revision you specified doesn't exist."
+msgstr ""
+
+#: ../errors.py:65
+msgid "Target already exists"
+msgstr ""
+
+#: ../errors.py:66
+msgid "Target directory already exists. Please select another target."
+msgstr ""
+
+#: ../errors.py:68
+msgid "Directory is already a branch"
+msgstr ""
+
+#: ../errors.py:69
+#, python-format
+msgid ""
+"The current directory (%s) is already a branch.\n"
+"You can start using it, or initialize another directory."
+msgstr ""
+
+#: ../errors.py:71
+msgid "Branch without a working tree"
+msgstr ""
+
+#: ../errors.py:72
+#, python-format
+msgid ""
+"The current directory (%s)\n"
+"is a branch without a working tree."
+msgstr ""
+
+#: ../errors.py:74
+msgid "Unknown bzr error"
+msgstr ""
+
+#: ../errors.py:76
+msgid "Permission denied"
+msgstr ""
+
+#: ../errors.py:76
+msgid "permission denied."
+msgstr ""
+
+#: ../errors.py:78
+msgid "Unknown error"
+msgstr ""
+
+#. Create the widgets
+#: ../initialize.py:46
+msgid "_Initialize"
+msgstr ""
+
+#: ../initialize.py:47
+msgid "Which directory do you want to initialize?"
+msgstr ""
+
+#: ../initialize.py:49
+msgid "Current directory"
+msgstr ""
+
+#: ../initialize.py:51
+msgid "Create a new directory with the name:"
+msgstr ""
+
+#: ../initialize.py:87
+msgid "Directory name not specified"
+msgstr ""
+
+#: ../initialize.py:88
+msgid "You should specify a new directory name."
+msgstr ""
+
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr ""
+
+#: ../merge.py:130
+msgid "Branch not given"
+msgstr ""
+
+#: ../merge.py:131
+msgid "Please specify a branch to merge from."
+msgstr ""
+
+#: ../merge.py:139
+msgid "Bazaar command error"
+msgstr ""
+
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
+msgid "Location:"
+msgstr ""
+
+#: ../push.py:52
+msgid "_Push"
+msgstr ""
+
+#: ../push.py:101
+msgid ""
+"You cannot push if branches have diverged.\n"
+"Overwrite?"
+msgstr ""
+
+#: ../push.py:109
+msgid "Push successful"
+msgstr ""
+
+#: ../push.py:110
+#, python-format
+msgid "%d revision(s) pushed."
+msgstr ""
+
+#: ../push.py:141
+msgid "Non existing parent directory"
+msgstr ""
+
+#: ../push.py:142
+#, python-format
+msgid ""
+"The parent directory (%s)\n"
+"doesn't exist. Create?"
+msgstr ""
+
+#. Create the widgets
+#: ../revbrowser.py:35
+msgid "_Select"
+msgstr ""
+
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
+msgid "Added"
+msgstr ""
+
+#: ../status.py:93
+msgid "Removed"
+msgstr ""
+
+#: ../status.py:99
+msgid "Renamed"
+msgstr ""
+
+#: ../status.py:106
+msgid "Modified"
+msgstr ""
+
+#: ../status.py:114
+msgid "Unknown"
+msgstr ""
+
+#: ../status.py:119
+msgid "No changes."
+msgstr ""
+
+#. Set properties
+#: ../tags.py:60
+msgid "Tags"
+msgstr ""
+
+#: ../tags.py:110
+msgid "Tag Name"
+msgstr ""
+
+#: ../tags.py:115
+msgid "Revision ID"
+msgstr ""
+
+#: ../tags.py:148
+msgid "Tags are not supported by this branch format. Please upgrade."
+msgstr ""
+
+#: ../tags.py:154
+msgid "No tagged revisions in the branch."
+msgstr ""
+
+#: ../tags.py:222
+msgid "_Remove tag"
+msgstr ""
+
+#: ../tags.py:232
+msgid "<b><big>Remove tag?</big></b>"
+msgstr ""
+
+#: ../tags.py:234
+#, python-format
+msgid "Are you sure you want to remove the tag: <b>%s</b>?"
+msgstr ""
+
+#. Create the widgets
+#: ../tags.py:278
+msgid "_Add tag"
+msgstr ""
+
+#: ../tags.py:280
+msgid "Tag Name:"
+msgstr ""
+
+#: ../tags.py:281
+msgid "Revision ID:"
+msgstr ""
+
+#: ../tags.py:312
+msgid "No tag name specified"
+msgstr ""
+
+#: ../tags.py:313
+msgid "You have to specify the tag's desired name."
+msgstr ""

=== modified file 'po/ca.po'
--- po/ca.po	2008-03-11 17:01:27 +0000
+++ po/ca.po	2011-12-02 05:55:20 +0000
@@ -7,245 +7,336 @@
 msgstr ""
 "Project-Id-Version: olive\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2007-08-13 12:05+0200\n"
-"PO-Revision-Date: 2007-10-01 20:42+0000\n"
-"Last-Translator: David Planella <Unknown>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:57+0000\n"
+"Last-Translator: David Planella <david.planella@ubuntu.com>\n"
 "Language-Team: Ubuntu Catalan Translators <ubuntu-l10n-ca@lists.ubuntu.com>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2008-03-11 16:44+0000\n"
-"X-Generator: Launchpad (build Unknown)\n"
-
-#: branch.py:52 olive.glade:151
+"X-Launchpad-Export-Date: 2011-12-02 05:54+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr "Preferències del Bazaar"
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr "Configureu els paràmetres del Bazaar"
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr "Bazaar"
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr "Notificacions del Bazaar"
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr "Icona a l'àrea de notificació per al Bazaar"
+
+#. Create the widgets
+#: ../branch.py:46
 msgid "_Branch"
 msgstr "Crea una _branca"
 
-#: branch.py:55 checkout.py:53
-msgid "Please select a folder"
-msgstr "Seleccioneu una carpeta"
-
-#: branch.py:57 checkout.py:55
+#: ../branch.py:49 ../checkout.py:49
 msgid "Branch location:"
 msgstr "Ubicació de la branca:"
 
-#: branch.py:58 checkout.py:56
+#: ../branch.py:51 ../checkout.py:50
 msgid "Destination:"
 msgstr "Destinació:"
 
-#: branch.py:59 checkout.py:57
+#: ../branch.py:52
 msgid "Branck nick:"
 msgstr "Sobrenom de la branca:"
 
-#: branch.py:60 checkout.py:58
+#: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
 msgstr "Revisió"
 
-#: branch.py:162 checkout.py:163
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Seleccioneu una carpeta"
+
+#: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
 msgstr "Manca la ubicació de la branca"
 
-#: branch.py:163 checkout.py:164
+#: ../branch.py:135 ../checkout.py:154
 msgid "You must specify a branch location."
 msgstr "Heu d'especificar la ubicació de la branca."
 
-#: branch.py:205
+#: ../branch.py:174
 msgid "Branching successful"
 msgstr "S'ha creat la branca satisfactòriament"
 
-#: branch.py:206
+#: ../branch.py:175
 #, python-format
 msgid "%d revision(s) branched."
 msgstr "S'ha creat una branca de %d revisions."
 
-#: branch.py:214 checkout.py:195
+#: ../branch.py:183 ../checkout.py:185
 msgid "N/A"
 msgstr "N/A"
 
-#: checkout.py:50
+#. Create the widgets
+#: ../checkout.py:44
 msgid "Check_out"
 msgstr "_Obté"
 
-#: checkout.py:62
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr "Sobrenom de la branca:"
+
+#: ../checkout.py:56
 msgid "_Lightweight checkout"
 msgstr "Obtenció _lleugera"
 
-#: commit.py:68
+#: ../commands.py:305
 msgid "Directory does not have a working tree"
 msgstr "El directori no té cap arbre de treball"
 
-#: commit.py:69
+#: ../commands.py:306
 msgid "Operation aborted."
 msgstr "S'ha interromput l'operació"
 
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556
-msgid "Directory is not a branch"
-msgstr "El directori no és una branca"
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557
-msgid "You can perform this action only in a branch."
-msgstr "No podeu dur a terme aquesta acció en una branca."
-
-#: commit.py:88
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr "Hi ha modificacions locals a la branca"
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr "Heu de publicar o desfer els canvis abans de poder fer la fusió."
+
+#: ../commit.py:178
+msgid "added"
+msgstr "afegit"
+
+#: ../commit.py:179
+msgid "removed"
+msgstr "suprimit"
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr "canviat de nom"
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr "nom canviat i modificat"
+
+#: ../commit.py:182
+msgid "modified"
+msgstr "modificat"
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr "_Només publica localment"
+
+#: ../commit.py:361
 msgid "Comm_it"
 msgstr "Pu_blica"
 
-#: commit.py:89
-msgid "File(s) to commit"
-msgstr "Fitxers a publicar"
-
-#: commit.py:95
-msgid "Commit message:"
-msgstr "Missatge de publicació"
-
-#: commit.py:99
-msgid "Pending merges"
-msgstr "Fusions pendents"
-
-#: commit.py:147
-msgid "_Only commit locally"
-msgstr "_Només publica localment"
-
-#: commit.py:215
-msgid "Commit with an empty message?"
-msgstr "Voleu publicar-ho amb un missatge buit?"
-
-#: commit.py:216
-msgid "You can describe your commit intent in the message."
-msgstr "Podeu descriure el vostre intent de publicació en el missatge"
-
-#: commit.py:228
-msgid "Commit with unknowns?"
-msgstr "Voleu publicar-ho tot i haver-hi fitxers desconeguts?"
-
-#: commit.py:229
-msgid "Unknown files exist in the working tree. Commit anyway?"
-msgstr ""
-"Hi ha fitxers desconeguts en l'arbre de treball. Voleu publicar de totes "
-"maneres?"
-
-#: commit.py:240
-msgid "Commit with no changes?"
-msgstr "Voleu publicar sense canvis?"
-
-#: commit.py:241
-msgid "There are no changes in the working tree."
-msgstr "No hi ha cap canvi en l'arbre de treball."
-
-#: commit.py:323 menu.py:87
+#: ../commit.py:388
+msgid "Files"
+msgstr "Fitxers"
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
 msgid "Commit"
 msgstr "Publica"
 
-#: commit.py:325 conflicts.py:108
+#: ../commit.py:443 ../conflicts.py:107
 msgid "Path"
 msgstr "Camí"
 
-#: commit.py:327 conflicts.py:110
+#: ../commit.py:445 ../conflicts.py:109
 msgid "Type"
 msgstr "Tipus"
 
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
-msgid "added"
-msgstr "afegit"
-
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
-msgid "removed"
-msgstr "suprimit"
-
-#: commit.py:353
-msgid "renamed and modified"
-msgstr "nom canviat i modificat"
-
-#: commit.py:355 __init__.py:936 __init__.py:1223
-msgid "renamed"
-msgstr "canviat de nom"
-
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
-msgid "modified"
-msgstr "modificat"
-
-#: commit.py:395
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
 msgid "Date"
 msgstr "Data"
 
-#: commit.py:397 revbrowser.py:68
+#: ../commit.py:505
 msgid "Committer"
 msgstr "Publicador"
 
-#: commit.py:399 revbrowser.py:66
+#: ../commit.py:507 ../search.py:60
 msgid "Summary"
 msgstr "Resum"
 
-#: conflicts.py:48
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr "Voleu publicar-ho amb un missatge buit?"
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr "Podeu descriure el vostre intent de publicació en el missatge"
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr "Voleu publicar-ho tot i haver-hi fitxers desconeguts?"
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+"Hi ha fitxers desconeguts en l'arbre de treball. Voleu publicar de totes "
+"maneres?"
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr "Voleu publicar sense canvis?"
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
 msgid "External utility:"
 msgstr "Eina externa:"
 
-#: conflicts.py:99
+#: ../conflicts.py:97
 msgid "Conflicts"
 msgstr "Conflictes"
 
-#: conflicts.py:102
+#: ../conflicts.py:100
 msgid "No conflicts in working tree."
 msgstr "No hi ha cap conflicte en l'arbre de treball."
 
-#: conflicts.py:115
+#: ../conflicts.py:114
 msgid "path conflict"
 msgstr "conflicte de camí"
 
-#: conflicts.py:117
+#: ../conflicts.py:116
 msgid "contents conflict"
 msgstr "conflicte de contingut"
 
-#: conflicts.py:119
+#: ../conflicts.py:118
 msgid "text conflict"
 msgstr "conflicte de text"
 
-#: conflicts.py:121
+#: ../conflicts.py:120
 msgid "duplicate id"
 msgstr "identificador duplicat"
 
-#: conflicts.py:123
+#: ../conflicts.py:122
 msgid "duplicate"
 msgstr "duplicat"
 
-#: conflicts.py:125
+#: ../conflicts.py:124
 msgid "parent loop"
 msgstr "bucle del pare"
 
-#: conflicts.py:127
+#: ../conflicts.py:126
 msgid "unversioned parent"
 msgstr "pare sense versionar"
 
-#: conflicts.py:129
+#: ../conflicts.py:128
 msgid "missing parent"
 msgstr "manca el pare"
 
-#: conflicts.py:131
+#: ../conflicts.py:130
 msgid "deleting parent"
 msgstr "supressió del pare"
 
-#: conflicts.py:133
+#: ../conflicts.py:132
 msgid "unknown type of conflict"
 msgstr "tipus de conflicte desconegut"
 
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
+#: ../conflicts.py:161
 msgid "No file was selected"
 msgstr "No s'ha seleccionat cap fitxer"
 
-#: conflicts.py:163 __init__.py:615 menu.py:192
+#: ../conflicts.py:162
 msgid "Please select a file from the list."
 msgstr "Seleccioneu un fitxer de la llista."
 
-#: conflicts.py:173
+#: ../conflicts.py:172
 msgid "Call to external utility failed"
 msgstr "Ha fallat l'execució de l'eina externa"
 
-#: conflicts.py:175
+#: ../conflicts.py:174
 msgid "Cannot resolve conflict"
 msgstr "No es pot resoldre el conflicta"
 
-#: conflicts.py:176
+#: ../conflicts.py:175
 msgid ""
 "Only conflicts on the text of files can be resolved with Olive at the "
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
@@ -255,36 +346,79 @@
 "Els conflictes de contingut, de l'estructura de l'arbre, s'han de resoldre a "
 "la línia d'ordres."
 
-#: errors.py:29
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "_Visualització"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr "S'ha fusionat correctament"
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr "S'han aplicat tots els canvis correctament."
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr "S'han trobat conflictes."
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr "Heu de resoldre els conflictes manualment abans de poder publicar."
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr "El directori no és una branca"
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr "No podeu dur a terme aquesta acció en una branca."
+
+#: ../errors.py:34
 msgid "Directory is not a checkout"
 msgstr "El directori no és una obtenció"
 
-#: errors.py:30
+#: ../errors.py:35
 msgid "You can perform local commit only on checkouts."
 msgstr "Només podeu fer publicacions locals en obtencions."
 
-#: errors.py:32
+#: ../errors.py:37
 msgid "No changes to commit"
 msgstr "No hi ha cap canvi per a publicar"
 
-#: errors.py:33
+#: ../errors.py:38
 msgid "Try force commit if you want to commit anyway."
 msgstr ""
 "Intenteu una publicació forçada si és que voleu publicar de totes maneres."
 
-#: errors.py:35
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
 msgid "Conflicts in tree"
 msgstr "Hi ha conflictes en l'arbre"
 
-#: errors.py:36
+#: ../errors.py:44
 msgid "You need to resolve the conflicts before committing."
 msgstr "Heu de resoldre els conflictes abans de publicar."
 
-#: errors.py:38
+#: ../errors.py:46
 msgid "Strict commit failed"
 msgstr "La publicació estricta ha fallat"
 
-#: errors.py:39
+#: ../errors.py:47
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
@@ -292,28 +426,29 @@
 "Hi ha fitxers desconeguts a l'arbre de treball.\n"
 "Hauríeu d'afegir-los o suprimir-los."
 
-#: errors.py:41
+#: ../errors.py:49
 msgid "Bound branch is out of date"
 msgstr "La branca lligada no està actualitzada"
 
-#: errors.py:42
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
 #, python-format
 msgid "%s"
 msgstr "%s"
 
-#: errors.py:44
+#: ../errors.py:53
 msgid "File not versioned"
 msgstr "Fitxer no versionat"
 
-#: errors.py:45
+#: ../errors.py:54
 msgid "The selected file is not versioned."
 msgstr "El fitxer seleccionat no és versionat"
 
-#: errors.py:47 push.py:105
+#: ../errors.py:56 ../push.py:100
 msgid "Branches have been diverged"
 msgstr "S'han divergit les branques"
 
-#: errors.py:48
+#: ../errors.py:57
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
@@ -322,35 +457,35 @@
 "Utilitzeu la opció de sobreescriptura si voleu\n"
 "empènyer de totes maneres."
 
-#: errors.py:50
+#: ../errors.py:59
 msgid "No diff output"
 msgstr "Sense sortida diff"
 
-#: errors.py:51
+#: ../errors.py:60
 msgid "The selected file hasn't changed."
 msgstr "El fitxer seleccionat no ha estat modificat."
 
-#: errors.py:53
+#: ../errors.py:62
 msgid "No such revision"
 msgstr "No existeix tal revisió"
 
-#: errors.py:54
+#: ../errors.py:63
 msgid "The revision you specified doesn't exist."
 msgstr "La revisió que heu especificat no existeix."
 
-#: errors.py:56
+#: ../errors.py:65
 msgid "Target already exists"
 msgstr "La destinació ja existeix"
 
-#: errors.py:57
+#: ../errors.py:66
 msgid "Target directory already exists. Please select another target."
 msgstr "El directori objectiu ja existeix. Seleccioneu-ne un altre."
 
-#: errors.py:59
+#: ../errors.py:68
 msgid "Directory is already a branch"
 msgstr "El directori ja és una branca"
 
-#: errors.py:60
+#: ../errors.py:69
 #, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
@@ -359,11 +494,11 @@
 "El directori actual (%s) ja és una branca.\n"
 "Podeu començar a utilitzar-lo o bé inicialitzar un altre directori."
 
-#: errors.py:62
+#: ../errors.py:71
 msgid "Branch without a working tree"
 msgstr "Branca sense un arbre de treball"
 
-#: errors.py:63
+#: ../errors.py:72
 #, python-format
 msgid ""
 "The current directory (%s)\n"
@@ -372,97 +507,134 @@
 "El directori actual (%s)\n"
 "és una branca sense cap arbre de treball."
 
-#: errors.py:65
+#: ../errors.py:74
 msgid "Unknown bzr error"
 msgstr "Error desconegut del bzr"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "Permission denied"
 msgstr "Se us ha denegat el permís"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "permission denied."
 msgstr "se us ha denegat el permís"
 
-#: errors.py:69
+#: ../errors.py:78
 msgid "Unknown error"
 msgstr "Error desconegut"
 
-#: initialize.py:47
+#. Create the widgets
+#: ../initialize.py:46
 msgid "_Initialize"
 msgstr "_Inicialitza"
 
-#: initialize.py:48
+#: ../initialize.py:47
 msgid "Which directory do you want to initialize?"
 msgstr "Quin directori voleu inicialitzar?"
 
-#: initialize.py:49
+#: ../initialize.py:49
 msgid "Current directory"
 msgstr "El directori actual"
 
-#: initialize.py:50
+#: ../initialize.py:51
 msgid "Create a new directory with the name:"
 msgstr "Crea un directori nou amb el nom següent:"
 
-#: initialize.py:85
+#: ../initialize.py:87
 msgid "Directory name not specified"
 msgstr "No s'ha especificat cap nom de directori"
 
-#: initialize.py:86
+#: ../initialize.py:88
 msgid "You should specify a new directory name."
 msgstr "Heu d'especificar un nom per al directori"
 
-#: merge.py:66
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr "Directori"
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr "Ubicació personalitzada"
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr "_Fusiona"
+
+#: ../merge.py:130
 msgid "Branch not given"
 msgstr "No s'ha especificat cap branca"
 
-#: merge.py:67
+#: ../merge.py:131
 msgid "Please specify a branch to merge from."
 msgstr ""
 "Heu d'especificar el nom de la branca a partir de la qual es fusionarà"
 
-#: merge.py:75
+#: ../merge.py:139
 msgid "Bazaar command error"
 msgstr "Error en l'ordre del Bazaar"
 
-#: merge.py:81
-msgid "Merge successful"
-msgstr "S'ha fusionat correctament"
-
-#: merge.py:82
-msgid "All changes applied successfully."
-msgstr "S'han aplicat tots els canvis correctament."
-
-#: merge.py:85
-msgid "Conflicts encountered"
-msgstr "S'han trobat conflictes."
-
-#: merge.py:86
-msgid "Please resolve the conflicts manually before committing."
-msgstr "Heu de resoldre els conflictes manualment abans de poder publicar."
-
-#: push.py:52 bookmark.py:45
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
 msgid "Location:"
 msgstr "Ubicació:"
 
-#: push.py:54
+#: ../push.py:52
 msgid "_Push"
 msgstr "E_mpeny"
 
-#: push.py:97
-msgid "Set default push location"
-msgstr "Establiu la ubicació predeterminada per a empènyer"
-
-#: push.py:98
-#, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-msgstr ""
-"No hi ha cap ubicació predeterminada per a empènyer.\n"
-"Voleu establir %r com a tal?"
-
-#: push.py:106
+#: ../push.py:101
 msgid ""
 "You cannot push if branches have diverged.\n"
 "Overwrite?"
@@ -470,20 +642,20 @@
 "No podeu empènyer branques que hagin divergit.\n"
 "Voleu sobreescriure-la?"
 
-#: push.py:112
+#: ../push.py:109
 msgid "Push successful"
 msgstr "S'ha empès satisfactòriament"
 
-#: push.py:113
+#: ../push.py:110
 #, python-format
 msgid "%d revision(s) pushed."
 msgstr "S'han empès %d revisions."
 
-#: push.py:146
+#: ../push.py:141
 msgid "Non existing parent directory"
 msgstr "El directori pare no existeix"
 
-#: push.py:147
+#: ../push.py:142
 #, python-format
 msgid ""
 "The parent directory (%s)\n"
@@ -492,831 +664,96 @@
 "El directori pare %s\n"
 "no existeix. El voleu crear?"
 
-#: revbrowser.py:45
-msgid "Please wait, revisions are being loaded..."
-msgstr "S'estan carregant les revisions. Espereu un moment..."
-
-#: revbrowser.py:48
+#. Create the widgets
+#: ../revbrowser.py:35
 msgid "_Select"
 msgstr "_Selecciona"
 
-#: revbrowser.py:64
-msgid "Revno"
-msgstr "NúmRev"
-
-#: revbrowser.py:70
-msgid "Time"
-msgstr "Hora"
-
-#: status.py:78
+#: ../search.py:41
+msgid "Search for:"
+msgstr "Cerca:"
+
+#: ../search.py:56
+msgid "Document"
+msgstr "Document"
+
+#: ../status.py:87
 msgid "Added"
 msgstr "Afegit"
 
-#: status.py:84
+#: ../status.py:93
 msgid "Removed"
 msgstr "Suprimit"
 
-#: status.py:90
+#: ../status.py:99
 msgid "Renamed"
 msgstr "Nom canviat"
 
-#: status.py:97
+#: ../status.py:106
 msgid "Modified"
 msgstr "Modificat"
 
-#: status.py:105
+#: ../status.py:114
 msgid "Unknown"
 msgstr "Desconegut"
 
-#: status.py:110
+#: ../status.py:119
 msgid "No changes."
 msgstr "Sense canvis."
 
-#: tags.py:67
+#. Set properties
+#: ../tags.py:60
 msgid "Tags"
 msgstr "Etiquetes"
 
-#: tags.py:111
+#: ../tags.py:110
 msgid "Tag Name"
 msgstr "Nom de l'etiqueta"
 
-#: tags.py:116
+#: ../tags.py:115
 msgid "Revision ID"
 msgstr "Identificador de la revisió"
 
-#: tags.py:151
+#: ../tags.py:148
 msgid "Tags are not supported by this branch format. Please upgrade."
 msgstr ""
 "Les etiquetes no estan implementades en aquest format de branca. Hauríeu "
 "d'actualitzar-lo."
 
-#: tags.py:157
+#: ../tags.py:154
 msgid "No tagged revisions in the branch."
 msgstr "No hi ha cap revisió etiquetada a la branca."
 
-#: tags.py:232
+#: ../tags.py:222
 msgid "_Remove tag"
 msgstr "_Suprimeix l'etiqueta"
 
-#: tags.py:242
+#: ../tags.py:232
 msgid "<b><big>Remove tag?</big></b>"
 msgstr "<b><big>Voleu suprimir l'etiqueta?</big></b>"
 
-#: tags.py:244
+#: ../tags.py:234
 #, python-format
 msgid "Are you sure you want to remove the tag: <b>%s</b>?"
 msgstr "Esteu segur de voler suprimir l'etiqueta: <b>%s</b>?"
 
-#: tags.py:289
+#. Create the widgets
+#: ../tags.py:278
 msgid "_Add tag"
 msgstr "_Afegeix una etiqueta"
 
-#: tags.py:291
+#: ../tags.py:280
 msgid "Tag Name:"
 msgstr "Nom de l'etiqueta:"
 
-#: tags.py:292
+#: ../tags.py:281
 msgid "Revision ID:"
 msgstr "Identificador de la revisió:"
 
-#: tags.py:323
+#: ../tags.py:312
 msgid "No tag name specified"
 msgstr "No s'ha especificat cap nom per a l'etiqueta"
 
-#: tags.py:324
+#: ../tags.py:313
 msgid "You have to specify the tag's desired name."
 msgstr "Heu d'especificar un nom per a l'etiqueta."
-
-#: __init__.py:512
-msgid "There are local changes in the branch"
-msgstr "Hi ha modificacions locals a la branca"
-
-#: __init__.py:513
-msgid "Please commit or revert the changes before merging."
-msgstr "Heu de publicar o desfer els canvis abans de poder fer la fusió."
-
-#: __init__.py:525 __init__.py:550
-msgid "Parent location is unknown"
-msgstr "Es desconeix la ubicació pare"
-
-#: __init__.py:526
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr ""
-"No es poden determinar les revisions que manquen si la ubicació pare és "
-"desconeguda."
-
-#: __init__.py:537
-msgid "There are missing revisions"
-msgstr "Manquen revisions"
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr "Manquen %d revisions."
-
-#: __init__.py:540
-msgid "Local branch up to date"
-msgstr "Branca local actualitzada"
-
-#: __init__.py:541
-msgid "There are no missing revisions."
-msgstr "No manquen revisions."
-
-#: __init__.py:551
-msgid "Pulling is not possible until there is a parent location."
-msgstr "No podeu estirar sense una ubicació pare."
-
-#: __init__.py:561
-msgid "Pull successful"
-msgstr "L'estirada s'ha completat satisfactòriament"
-
-#: __init__.py:561
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr "S'han estirat %d revisions."
-
-#: __init__.py:575 menu.py:275
-msgid "Conflicts detected"
-msgstr "S'han detectat conflictes"
-
-#: __init__.py:576 menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr "Comproveu l'arbre de treball abans de continuar."
-
-#: __init__.py:578 menu.py:278
-msgid "Revert successful"
-msgstr "S'ha desfet correctament"
-
-#: __init__.py:579 menu.py:279
-msgid "All files reverted to last revision."
-msgstr "S'han tornat tots els fitxers a la darrera revisió."
-
-#: __init__.py:835 __init__.py:1117
-msgid "Bookmarks"
-msgstr "Adreces d'interès"
-
-#: __init__.py:842 menu.py:99
-msgid "Bookmark"
-msgstr "Adreça d'interès"
-
-#: __init__.py:944 __init__.py:1231
-msgid "unchanged"
-msgstr "sense canvis"
-
-#: __init__.py:946 __init__.py:1233
-msgid "ignored"
-msgstr "ignorat"
-
-#: __init__.py:948 __init__.py:1235
-msgid "unknown"
-msgstr "desconegut"
-
-#: __init__.py:964
-msgid "Filename"
-msgstr "Nom del fitxer"
-
-#: __init__.py:965
-msgid "Status"
-msgstr "Estat"
-
-#: __init__.py:966
-msgid "Size"
-msgstr "Mida"
-
-#: __init__.py:967
-msgid "Last modified"
-msgstr "Darrera modificació"
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-"Seleccioneu un fitxer de la llista\n"
-"o bé escolliu l'altra opció."
-
-#: bookmark.py:46
-msgid "Title:"
-msgstr "Títol:"
-
-#: bookmark.py:81
-msgid "No title given"
-msgstr "No s'ha especificat cap títol"
-
-#: bookmark.py:82
-msgid "Please specify a title to continue."
-msgstr "Hauríeu d'especificar un títol per a continuar."
-
-#: guifiles.py:45
-msgid "Glade file cannot be found."
-msgstr "No s'ha trobat el fitxer del Glade."
-
-#: guifiles.py:55
-msgid "UI description file cannot be found."
-msgstr "El fitxer de descripció de la IU no s'ha trobat"
-
-#: menu.py:63
-msgid "Add"
-msgstr "Afegeix"
-
-#: menu.py:64
-msgid "Add the selected file"
-msgstr "Afegeix el fitxer seleccionat"
-
-#: menu.py:67 menu.py:107
-msgid "Remove"
-msgstr "Suprimeix"
-
-#: menu.py:68
-msgid "Remove the selected file"
-msgstr "Suprimeix el fitxer seleccionat"
-
-#: menu.py:71
-msgid "Remove and delete"
-msgstr "Suprimeix"
-
-#: menu.py:72
-msgid "Remove the selected file/dir and delete from disk"
-msgstr "Suprimeix el fitxer o directori del disc"
-
-#: menu.py:75
-msgid "Rename"
-msgstr "Torna a anomenar"
-
-#: menu.py:76
-msgid "Rename the selected file"
-msgstr "Torna a anomenar el fitxer seleccionat"
-
-#: menu.py:79
-msgid "Open"
-msgstr "Obre"
-
-#: menu.py:80
-msgid "Open the selected file"
-msgstr "Obre el fitxer seleccionat"
-
-#: menu.py:83
-msgid "Revert"
-msgstr "Torna a l'estat anterior"
-
-#: menu.py:84
-msgid "Revert the changes"
-msgstr "Desfés els canvis"
-
-#: menu.py:88
-msgid "Commit the changes"
-msgstr "Publica els canvis"
-
-#: menu.py:91
-msgid "Annotate"
-msgstr "Anota"
-
-#: menu.py:92
-msgid "Annotate the selected file"
-msgstr "Anota el fitxer seleccionat"
-
-#: menu.py:95
-msgid "Diff"
-msgstr "Diferencia"
-
-#: menu.py:96
-msgid "Show the diff of the file"
-msgstr "Mostra les diferències del fitxer"
-
-#: menu.py:100
-msgid "Bookmark current location"
-msgstr "Afegeix la ubicació actual a les adreces d'interès"
-
-#: menu.py:103
-msgid "Edit"
-msgstr "Edita"
-
-#: menu.py:104
-msgid "Edit the selected bookmark"
-msgstr "Edita l'adreça d'interès seleccionada"
-
-#: menu.py:108
-msgid "Remove the selected bookmark"
-msgstr "Suprimeix l'adreça d'interès seleccionada"
-
-#: menu.py:111
-msgid "Open Folder"
-msgstr "Obre una carpeta"
-
-#: menu.py:112
-msgid "Open bookmark folder in Nautilus"
-msgstr "Obre una carpeta de les adreces d'interès en el Nautilus"
-
-#: menu.py:115
-msgid "Selected..."
-msgstr "Seleccionat..."
-
-#: menu.py:116
-msgid "Show the differences of the selected file"
-msgstr "Mostra les diferències del fitxer seleccionat"
-
-#: menu.py:119
-msgid "All..."
-msgstr "Tots..."
-
-#: menu.py:120
-msgid "Show the differences of all files"
-msgstr "Mostra les diferències de tots els fitxers"
-
-#: menu.py:123
-msgid "View contents"
-msgstr "Visualitza el contingut"
-
-#: menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr "Visualitza el contingut del fitxer en un visualitzador integrat"
-
-#: menu.py:127
-msgid "Show differences"
-msgstr "Mostra les diferències"
-
-#: menu.py:128
-msgid "Show the differences between two revisions of the file"
-msgstr "Mostra les diferències entre dues revisions del fitxer"
-
-#: menu.py:131
-msgid "Revert to this revision"
-msgstr "Torna a aquesta revisió"
-
-#: menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr "Torna el fitxer seleccionar a la revisió seleccionada"
-
-#: menu.py:228
-msgid "Delete directory with all directories below ?"
-msgstr "Voleu suprimir el directori i tots els seus subdirectoris?"
-
-#: menu.py:315
-msgid "Bookmark successfully added"
-msgstr "S'ha afegit l'adreça d'interès amb èxit"
-
-#: menu.py:316
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-"El directori actual s'ha afegit a les adreces d'interès.\n"
-"Hi podeu accedir des de quadre de l'esquerra."
-
-#: menu.py:319
-msgid "Location already bookmarked"
-msgstr "La ubicació ja és una adreça d'interès"
-
-#: menu.py:320
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-"El directori actual ja s'ha afegit a les adreces \n"
-"d'interès. Vegeu el quadre de l'esquerra."
-
-#: mkdir.py:67
-msgid "No directory name given"
-msgstr "No s'ha especificat cap nom de directori"
-
-#: mkdir.py:68
-msgid "Please specify a desired name for the new directory."
-msgstr "Hauríeu d'especificar un nom per al directori nou"
-
-#: mkdir.py:79 mkdir.py:89
-msgid "Directory already exists"
-msgstr "El directori ja existeix"
-
-#: mkdir.py:80 mkdir.py:90
-msgid "Please specify another name to continue."
-msgstr "Hauríeu d'especificar un altre nom per a continuar."
-
-#: move.py:80 rename.py:71
-msgid "Please select a file from the list to proceed."
-msgstr "Hauríeu de seleccionar un fitxer de la llista per a continuar."
-
-#: move.py:89 rename.py:87
-msgid "Not the same branch"
-msgstr "No és la mateixa branca"
-
-#: move.py:90 rename.py:88
-msgid "The destination is not in the same branch."
-msgstr "La destinació no és a la mateixa branca."
-
-#: remove.py:79 remove.py:139
-msgid "No matching files"
-msgstr "No hi ha fitxers coincidents"
-
-#: remove.py:80 remove.py:140
-msgid "No added files were found in the working tree."
-msgstr "No s'ha trobat cap fitxer afegit en l'arbre de treball."
-
-#: remove.py:105 olive.glade:825
-msgid "Which file(s) do you want to remove?"
-msgstr "Quins fitxers voleu suprimir?"
-
-#: remove.py:106 olive.glade:717 olive.glade:837
-msgid "Selected only"
-msgstr "Només els seleccionats"
-
-#: remove.py:107 olive.glade:851
-msgid "All files with status 'added'"
-msgstr "Tots els fitxers amb l'estat «added» (afegits)"
-
-#: remove.py:108 olive.glade:905
-msgid "_Remove"
-msgstr "_Suprimeix"
-
-#: rename.py:75
-msgid "Filename not given"
-msgstr "No s'ha especificat el nom del fitxer"
-
-#: rename.py:76
-msgid "Please specify a new name for the file."
-msgstr "Hauríeu d'especificar un nom nou per al fitxer."
-
-#: olive.glade:8
-msgid "Olive - Bazaar GUI"
-msgstr "Olive - IU del Bazaar"
-
-#: olive.glade:21
-msgid "_File"
-msgstr "_Fitxer"
-
-#: olive.glade:28
-msgid "_Add file(s)..."
-msgstr "_Afegeix fitxers..."
-
-#: olive.glade:43
-msgid "Remove file(s)..."
-msgstr "Suprimeix fitxers..."
-
-#: olive.glade:63
-msgid "Make _directory..."
-msgstr "Crea un _directori..."
-
-#: olive.glade:76
-msgid "_Rename..."
-msgstr "Canvia el _nom..."
-
-#: olive.glade:84
-msgid "_Move..."
-msgstr "_Mou..."
-
-#: olive.glade:92
-msgid "_Annotate..."
-msgstr "_Anota..."
-
-#: olive.glade:118
-msgid "_View"
-msgstr "_Visualització"
-
-#: olive.glade:126
-msgid "Show _hidden files"
-msgstr "Mostra els fit_xers ocults"
-
-#: olive.glade:139
-msgid "_Refresh"
-msgstr "_Refresca"
-
-#: olive.glade:158
-msgid "_Initialize..."
-msgstr "_Inicialitza..."
-
-#: olive.glade:166
-msgid "_Get..."
-msgstr "_Aconsegueix..."
-
-#: olive.glade:174
-msgid "C_heckout..."
-msgstr "O_bté..."
-
-#: olive.glade:187
-msgid "Pu_ll"
-msgstr "E_stira"
-
-#: olive.glade:201
-msgid "Pu_sh..."
-msgstr "E_mpeny..."
-
-#: olive.glade:220
-msgid "_Revert all changes"
-msgstr "_Desfés tots els canvis"
-
-#: olive.glade:228
-msgid "_Merge..."
-msgstr "_Fusiona..."
-
-#: olive.glade:236
-msgid "_Commit..."
-msgstr "_Publica..."
-
-#: olive.glade:255
-msgid "Ta_gs..."
-msgstr "E_tiquetes..."
-
-#: olive.glade:263
-msgid "S_tatus..."
-msgstr "Es_tat..."
-
-#: olive.glade:271
-msgid "Missing _revisions"
-msgstr "_Revisions que manquen"
-
-#: olive.glade:279
-msgid "Con_flicts..."
-msgstr "Con_flictes..."
-
-#: olive.glade:291
-msgid "_Statistics"
-msgstr "E_stadístiques"
-
-#: olive.glade:298
-msgid "_Differences..."
-msgstr "_Diferències..."
-
-#: olive.glade:312
-msgid "_Log..."
-msgstr "Re_gistre..."
-
-#: olive.glade:326
-msgid "_Information..."
-msgstr "_Informació..."
-
-#: olive.glade:338
-msgid "_Help"
-msgstr "A_juda"
-
-#: olive.glade:548
-msgid "gtk-jump-to"
-msgstr "gtk-jump-to"
-
-#: olive.glade:575
-msgid "H_istory Mode"
-msgstr "Mode d'h_istorial"
-
-#: olive.glade:673
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-
-#: olive.glade:675
-msgid "https://launchpad.net/products/olive"
-msgstr "https://launchpad.net/products/olive"
-
-#: olive.glade:677
-msgid "translator-credits"
-msgstr ""
-"Launchpad Contributions:\n"
-"  David Planella https://launchpad.net/~dpm"
-
-#: olive.glade:694
-msgid "Olive - Add file(s)"
-msgstr "Olive - addició de fitxers"
-
-#: olive.glade:705
-msgid "Which file(s) do you want to add?"
-msgstr "Quins fitxers voleu afegir?"
-
-#: olive.glade:731
-msgid "All unknowns recursively"
-msgstr "Tots els desconeguts de manera recursiva"
-
-#: olive.glade:785
-msgid "_Add"
-msgstr "_Afegeix"
-
-#: olive.glade:814
-msgid "Olive - Remove file(s)"
-msgstr "Olive - supressió de fitxers"
-
-#: olive.glade:934
-msgid "Olive - Make directory"
-msgstr "Olive - creació d'un directori"
-
-#: olive.glade:957
-msgid "_Versioned directory"
-msgstr "Directori _versionat"
-
-#: olive.glade:1011
-msgid "_Make directory"
-msgstr "_Crea un directori"
-
-#: olive.glade:1041
-msgid "Olive - Move"
-msgstr "Olive - moviment"
-
-#: olive.glade:1055
-msgid "Move to"
-msgstr "Mou a"
-
-#: olive.glade:1066
-msgid "Select a directory"
-msgstr "Seleccioneu un directori"
-
-#: olive.glade:1120
-msgid "_Move"
-msgstr "_Mou"
-
-#: olive.glade:1148
-msgid "Olive - Rename"
-msgstr "Olive - canvi de nom"
-
-#: olive.glade:1162
-msgid "Rename to"
-msgstr "Canvia el nom a"
-
-#: olive.glade:1227
-msgid "_Rename"
-msgstr "Canvia el _nom"
-
-#: olive.glade:1255
-msgid "Olive - Information"
-msgstr "Olive - informació"
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275
-msgid "(none)"
-msgstr "(cap)"
-
-#: olive.glade:1368
-msgid "Checkout root: "
-msgstr "Arrel de l'obtenció: "
-
-#: olive.glade:1380
-msgid "Branch root: "
-msgstr "Arrel de la branca: "
-
-#: olive.glade:1392
-msgid "Repository checkout: "
-msgstr "Obtenció del repositori: "
-
-#: olive.glade:1404
-msgid "Checkout of branch: "
-msgstr "Obtenció de la branca: "
-
-#: olive.glade:1416
-msgid "Repository branch: "
-msgstr "Branca del dipòsit: "
-
-#: olive.glade:1428
-msgid "Shared repository: "
-msgstr "Dipòsit compartit: "
-
-#: olive.glade:1440
-msgid "Light checkout root: "
-msgstr "Arrel de l'obtenció lleugera: "
-
-#: olive.glade:1454
-msgid "<b>Location:</b>"
-msgstr "<b>Ubicació:</b>"
-
-#: olive.glade:1508
-msgid "Publish to branch: "
-msgstr "Publica a la branca: "
-
-#: olive.glade:1520
-msgid "Parent branch: "
-msgstr "Branca pare: "
-
-#: olive.glade:1534
-msgid "<b>Related branches:</b>"
-msgstr "<b>Branques relacionades:</b>"
-
-#: olive.glade:1614
-msgid "Repository format: "
-msgstr "Format del dipòsit: "
-
-#: olive.glade:1626
-msgid "Branch format: "
-msgstr "Format de la branca: "
-
-#: olive.glade:1638
-msgid "Working tree format: "
-msgstr "Format de l'arbre de treball: "
-
-#: olive.glade:1650
-msgid "Control format: "
-msgstr "Format del control: "
-
-#: olive.glade:1664
-msgid "<b>Format:</b>"
-msgstr "<b>Format:</b>"
-
-#: olive.glade:1731
-msgid "Repository lock status: "
-msgstr "Estat del blocatge del dipòsit: "
-
-#: olive.glade:1743
-msgid "Branch lock status: "
-msgstr "Estat del blocatge de la branca: "
-
-#: olive.glade:1755
-msgid "Working tree lock status: "
-msgstr "Estat del blocatge de l'arbre de treball: "
-
-#: olive.glade:1769
-msgid "<b>Lock status:</b>"
-msgstr "<b>Estat del blocatge:</b>"
-
-#: olive.glade:1823
-msgid "Missing revisions in branch: "
-msgstr "Revisions que manquen a la branca: "
-
-#: olive.glade:1835
-msgid "Missing revisions in working tree: "
-msgstr "Revisions que manquen en l'arbre de treball: "
-
-#: olive.glade:1849
-msgid "<b>Missing revisions:</b>"
-msgstr "<b>Revisions que manquen:</b>"
-
-#: olive.glade:1981
-msgid "Versioned subdirectories: "
-msgstr "Subdirectoris versionats: "
-
-#: olive.glade:1993
-msgid "Ignored files: "
-msgstr "Fitxers ignorats: "
-
-#: olive.glade:2005
-msgid "Unknown files: "
-msgstr "Fitxers desconeguts: "
-
-#: olive.glade:2017
-msgid "Renamed files: "
-msgstr "Fitxers amb el nom canviat: "
-
-#: olive.glade:2029
-msgid "Removed files: "
-msgstr "Fitxers suprimits: "
-
-#: olive.glade:2041
-msgid "Added files: "
-msgstr "Fitxers afegits: "
-
-#: olive.glade:2053
-msgid "Modified files: "
-msgstr "Fitxers modificats: "
-
-#: olive.glade:2065
-msgid "Unchanged files: "
-msgstr "Fitxers no modificats: "
-
-#: olive.glade:2079
-msgid "<b>In the working tree:</b>"
-msgstr "<b>En l'arbre de treball:</b>"
-
-#: olive.glade:2172
-msgid "Time of last revision: "
-msgstr "Data de la darrera revisió "
-
-#: olive.glade:2184
-msgid "Time of first revision: "
-msgstr "Data de la primera revisió: "
-
-#: olive.glade:2196
-msgid "Age of branch in days: "
-msgstr "Edat de la branca en dies: "
-
-#: olive.glade:2208
-msgid "Number of commiters: "
-msgstr "Nombre de publicadors: "
-
-#: olive.glade:2220
-msgid "Revisions in branch: "
-msgstr "Revisions en la branca: "
-
-#: olive.glade:2234
-msgid "<b>Branch history:</b>"
-msgstr "<b>Historial de branca:</b>"
-
-#: olive.glade:2288
-msgid "Size of repository: "
-msgstr "Mida del dipòsit: "
-
-#: olive.glade:2300
-msgid "Revisions in repository: "
-msgstr "Revisions al dipòsit: "
-
-#: olive.glade:2314
-msgid "<b>Revision store:</b>"
-msgstr "<b>Dipòsit de revisions:</b>"
-
-#: olive.glade:2356
-msgid "Merge - Olive"
-msgstr "Fusió - Olive"
-
-#: olive.glade:2370
-msgid "Merge from:"
-msgstr "Fusiona des de:"
-
-#: olive.glade:2454
-msgid "_Merge"
-msgstr "_Fusiona"

=== modified file 'po/cs.po'
--- po/cs.po	2008-03-11 17:01:27 +0000
+++ po/cs.po	2011-12-02 05:55:20 +0000
@@ -7,1312 +7,731 @@
 msgstr ""
 "Project-Id-Version: olive\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2007-08-13 12:05+0200\n"
-"PO-Revision-Date: 2007-08-17 14:17+0000\n"
-"Last-Translator: DarkenCZ <Unknown>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 23:00+0000\n"
+"Last-Translator: Konki <pavel.konkol@seznam.cz>\n"
 "Language-Team: Czech <cs@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2008-03-11 16:44+0000\n"
-"X-Generator: Launchpad (build Unknown)\n"
-
-#: branch.py:52 olive.glade:151
-#, fuzzy
+"X-Launchpad-Export-Date: 2011-12-02 05:54+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
 msgid "_Branch"
 msgstr "_Větev"
 
-#: branch.py:55 checkout.py:53
-#, fuzzy
-msgid "Please select a folder"
-msgstr "Prosím vyberte složku"
-
-#: branch.py:57 checkout.py:55
-#, fuzzy
+#: ../branch.py:49 ../checkout.py:49
 msgid "Branch location:"
 msgstr "Umístění větve:"
 
-#: branch.py:58 checkout.py:56
+#: ../branch.py:51 ../checkout.py:50
 msgid "Destination:"
 msgstr "Cíl:"
 
-#: branch.py:59 checkout.py:57
+#: ../branch.py:52
 msgid "Branck nick:"
-msgstr ""
+msgstr "Označení větve:"
 
-#: branch.py:60 checkout.py:58
+#: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
-msgstr ""
-
-#: branch.py:162 checkout.py:163
+msgstr "Revize:"
+
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Zvolte adresář"
+
+#: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
-msgstr ""
+msgstr "Chybí umístění větve"
 
-#: branch.py:163 checkout.py:164
+#: ../branch.py:135 ../checkout.py:154
 msgid "You must specify a branch location."
-msgstr ""
+msgstr "Musíte zadat umístění větve."
 
-#: branch.py:205
-#, fuzzy
+#: ../branch.py:174
 msgid "Branching successful"
 msgstr "Větvení bylo úspěšné"
 
-#: branch.py:206
+#: ../branch.py:175
 #, python-format
 msgid "%d revision(s) branched."
-msgstr ""
+msgstr "%d revize byla rozvětvena."
 
-#: branch.py:214 checkout.py:195
+#: ../branch.py:183 ../checkout.py:185
 msgid "N/A"
-msgstr ""
+msgstr "N / A"
 
-#: checkout.py:50
+#. Create the widgets
+#: ../checkout.py:44
 msgid "Check_out"
 msgstr ""
 
-#: checkout.py:62
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
 msgid "_Lightweight checkout"
 msgstr ""
 
-#: commit.py:68
+#: ../commands.py:305
 msgid "Directory does not have a working tree"
-msgstr ""
+msgstr "Adresář nemá pracovní strom"
 
-#: commit.py:69
+#: ../commands.py:306
 msgid "Operation aborted."
-msgstr ""
-
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556
-#, fuzzy
-msgid "Directory is not a branch"
-msgstr "Adresář není větví"
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557
-#, fuzzy
-msgid "You can perform this action only in a branch."
-msgstr "Tento úkon lze provést pouze ve větvi."
-
-#: commit.py:88
+msgstr "Operace byla přerušena."
+
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr "Větev obsahuje lokální změny"
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr "Prosím potvrďte nebo navraťte změny před slučováním."
+
+#: ../commit.py:178
+msgid "added"
+msgstr "přidáno"
+
+#: ../commit.py:179
+msgid "removed"
+msgstr "odstraněno"
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr "přejmenováno"
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr "přejmenováno a změněno"
+
+#: ../commit.py:182
+msgid "modified"
+msgstr "změněno"
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr ""
+
+#: ../commit.py:361
 msgid "Comm_it"
-msgstr ""
-
-#: commit.py:89
-msgid "File(s) to commit"
-msgstr ""
-
-#: commit.py:95
-msgid "Commit message:"
-msgstr ""
-
-#: commit.py:99
-msgid "Pending merges"
-msgstr ""
-
-#: commit.py:147
-msgid "_Only commit locally"
-msgstr ""
-
-#: commit.py:215
-msgid "Commit with an empty message?"
-msgstr ""
-
-#: commit.py:216
-msgid "You can describe your commit intent in the message."
-msgstr ""
-
-#: commit.py:228
-msgid "Commit with unknowns?"
-msgstr ""
-
-#: commit.py:229
-msgid "Unknown files exist in the working tree. Commit anyway?"
-msgstr ""
-
-#: commit.py:240
-msgid "Commit with no changes?"
-msgstr ""
-
-#: commit.py:241
-msgid "There are no changes in the working tree."
-msgstr ""
-
-#: commit.py:323 menu.py:87
+msgstr "Potvr_dit"
+
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
 msgid "Commit"
-msgstr ""
+msgstr "Potvrdit"
 
-#: commit.py:325 conflicts.py:108
-#, fuzzy
+#: ../commit.py:443 ../conflicts.py:107
 msgid "Path"
 msgstr "Cesta"
 
-#: commit.py:327 conflicts.py:110
+#: ../commit.py:445 ../conflicts.py:109
 msgid "Type"
 msgstr "Typ"
 
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
-msgid "added"
-msgstr "přidáno"
-
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
-msgid "removed"
-msgstr ""
-
-#: commit.py:353
-msgid "renamed and modified"
-msgstr ""
-
-#: commit.py:355 __init__.py:936 __init__.py:1223
-msgid "renamed"
-msgstr ""
-
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
-msgid "modified"
-msgstr ""
-
-#: commit.py:395
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
 msgid "Date"
-msgstr ""
+msgstr "Datum"
 
-#: commit.py:397 revbrowser.py:68
+#: ../commit.py:505
 msgid "Committer"
-msgstr ""
+msgstr "Vývojář"
 
-#: commit.py:399 revbrowser.py:66
+#: ../commit.py:507 ../search.py:60
 msgid "Summary"
-msgstr ""
-
-#: conflicts.py:48
+msgstr "Souhrn"
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr "Odevzdat s prázdnou zprávou?"
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr ""
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
 msgid "External utility:"
-msgstr ""
+msgstr "Vnější nástroj:"
 
-#: conflicts.py:99
+#: ../conflicts.py:97
 msgid "Conflicts"
-msgstr ""
+msgstr "Konflikty"
 
-#: conflicts.py:102
+#: ../conflicts.py:100
 msgid "No conflicts in working tree."
-msgstr ""
+msgstr "V pracovním stromě nejsou žádné konflikty."
 
-#: conflicts.py:115
+#: ../conflicts.py:114
 msgid "path conflict"
-msgstr ""
+msgstr "konflikt cesty"
 
-#: conflicts.py:117
+#: ../conflicts.py:116
 msgid "contents conflict"
-msgstr ""
+msgstr "konflikt obsahu"
 
-#: conflicts.py:119
+#: ../conflicts.py:118
 msgid "text conflict"
-msgstr ""
+msgstr "konflikt textu"
 
-#: conflicts.py:121
+#: ../conflicts.py:120
 msgid "duplicate id"
 msgstr ""
 
-#: conflicts.py:123
+#: ../conflicts.py:122
 msgid "duplicate"
-msgstr ""
+msgstr "duplikát"
 
-#: conflicts.py:125
+#: ../conflicts.py:124
 msgid "parent loop"
 msgstr ""
 
-#: conflicts.py:127
+#: ../conflicts.py:126
 msgid "unversioned parent"
 msgstr ""
 
-#: conflicts.py:129
+#: ../conflicts.py:128
 msgid "missing parent"
 msgstr ""
 
-#: conflicts.py:131
+#: ../conflicts.py:130
 msgid "deleting parent"
 msgstr ""
 
-#: conflicts.py:133
+#: ../conflicts.py:132
 msgid "unknown type of conflict"
-msgstr ""
+msgstr "neznámý typ konfliktu"
 
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
+#: ../conflicts.py:161
 msgid "No file was selected"
 msgstr "Nebyl zvolen žádný soubor"
 
-#: conflicts.py:163 __init__.py:615 menu.py:192
+#: ../conflicts.py:162
 msgid "Please select a file from the list."
-msgstr ""
+msgstr "Vyberte prosím soubor ze seznamu."
 
-#: conflicts.py:173
+#: ../conflicts.py:172
 msgid "Call to external utility failed"
-msgstr ""
+msgstr "Volání vnějšího nástroje selhalo"
 
-#: conflicts.py:175
+#: ../conflicts.py:174
 msgid "Cannot resolve conflict"
-msgstr ""
+msgstr "Konflikt nelze vyřešit"
 
-#: conflicts.py:176
+#: ../conflicts.py:175
 msgid ""
 "Only conflicts on the text of files can be resolved with Olive at the "
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
 "using the command line."
 msgstr ""
 
-#: errors.py:29
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "_Náhled"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr "Sloučení úspěšné"
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr "Všechny změny byly úspěsně uplatněny."
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr "Objeveny konflikty"
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr "Adresář není větví"
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr ""
+
+#: ../errors.py:34
 msgid "Directory is not a checkout"
 msgstr ""
 
-#: errors.py:30
+#: ../errors.py:35
 msgid "You can perform local commit only on checkouts."
 msgstr ""
 
-#: errors.py:32
+#: ../errors.py:37
 msgid "No changes to commit"
 msgstr ""
 
-#: errors.py:33
+#: ../errors.py:38
 msgid "Try force commit if you want to commit anyway."
 msgstr ""
 
-#: errors.py:35
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
 msgid "Conflicts in tree"
-msgstr ""
+msgstr "Konflikty ve stromu"
 
-#: errors.py:36
+#: ../errors.py:44
 msgid "You need to resolve the conflicts before committing."
 msgstr ""
 
-#: errors.py:38
+#: ../errors.py:46
 msgid "Strict commit failed"
 msgstr ""
 
-#: errors.py:39
+#: ../errors.py:47
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
 msgstr ""
 
-#: errors.py:41
+#: ../errors.py:49
 msgid "Bound branch is out of date"
-msgstr ""
+msgstr "Připojená větev je zastaralá"
 
-#: errors.py:42
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
 #, python-format
 msgid "%s"
-msgstr ""
+msgstr "%s"
 
-#: errors.py:44
+#: ../errors.py:53
 msgid "File not versioned"
-msgstr ""
+msgstr "Soubor neverzován"
 
-#: errors.py:45
+#: ../errors.py:54
 msgid "The selected file is not versioned."
 msgstr ""
 
-#: errors.py:47 push.py:105
+#: ../errors.py:56 ../push.py:100
 msgid "Branches have been diverged"
 msgstr ""
 
-#: errors.py:48
+#: ../errors.py:57
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
 msgstr ""
 
-#: errors.py:50
+#: ../errors.py:59
 msgid "No diff output"
-msgstr ""
+msgstr "Žádný výstup nástroje diff"
 
-#: errors.py:51
+#: ../errors.py:60
 msgid "The selected file hasn't changed."
-msgstr ""
+msgstr "Vybraný soubor se nezměnil."
 
-#: errors.py:53
+#: ../errors.py:62
 msgid "No such revision"
-msgstr ""
+msgstr "Neexistující revize"
 
-#: errors.py:54
+#: ../errors.py:63
 msgid "The revision you specified doesn't exist."
-msgstr ""
+msgstr "Revize, kterou jste zadali, neexistuje."
 
-#: errors.py:56
+#: ../errors.py:65
 msgid "Target already exists"
-msgstr ""
+msgstr "Cíl již existuje"
 
-#: errors.py:57
+#: ../errors.py:66
 msgid "Target directory already exists. Please select another target."
-msgstr ""
+msgstr "Cílový adresář již existuje. Vyberte prosím jiný cíl."
 
-#: errors.py:59
-#, fuzzy
+#: ../errors.py:68
 msgid "Directory is already a branch"
-msgstr "Adresář již je větví"
+msgstr ""
 
-#: errors.py:60
+#: ../errors.py:69
 #, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
 "You can start using it, or initialize another directory."
 msgstr ""
 
-#: errors.py:62
+#: ../errors.py:71
 msgid "Branch without a working tree"
-msgstr ""
+msgstr "Větev bez pracovního stromu"
 
-#: errors.py:63
+#: ../errors.py:72
 #, python-format
 msgid ""
 "The current directory (%s)\n"
 "is a branch without a working tree."
 msgstr ""
 
-#: errors.py:65
+#: ../errors.py:74
 msgid "Unknown bzr error"
-msgstr ""
+msgstr "Neznámá chyba bzr"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "Permission denied"
-msgstr ""
+msgstr "Přístup odepřen"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "permission denied."
-msgstr ""
+msgstr "Přístup byl odepřen."
 
-#: errors.py:69
+#: ../errors.py:78
 msgid "Unknown error"
-msgstr ""
+msgstr "Neznámá chyba"
 
-#: initialize.py:47
+#. Create the widgets
+#: ../initialize.py:46
 msgid "_Initialize"
-msgstr ""
+msgstr "_Inicializovat"
 
-#: initialize.py:48
+#: ../initialize.py:47
 msgid "Which directory do you want to initialize?"
 msgstr ""
 
-#: initialize.py:49
+#: ../initialize.py:49
 msgid "Current directory"
-msgstr ""
+msgstr "Současný adresář"
 
-#: initialize.py:50
+#: ../initialize.py:51
 msgid "Create a new directory with the name:"
-msgstr ""
+msgstr "Vytvořit nový adresář se jménem:"
 
-#: initialize.py:85
+#: ../initialize.py:87
 msgid "Directory name not specified"
-msgstr ""
+msgstr "Název adresáře nezadán"
 
-#: initialize.py:86
+#: ../initialize.py:88
 msgid "You should specify a new directory name."
-msgstr ""
-
-#: merge.py:66
+msgstr "Měl byste zadat jméno nového adresáře."
+
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr "_Sloučit"
+
+#: ../merge.py:130
 msgid "Branch not given"
 msgstr ""
 
-#: merge.py:67
+#: ../merge.py:131
 msgid "Please specify a branch to merge from."
 msgstr ""
 
-#: merge.py:75
+#: ../merge.py:139
 msgid "Bazaar command error"
 msgstr ""
 
-#: merge.py:81
-msgid "Merge successful"
-msgstr ""
-
-#: merge.py:82
-msgid "All changes applied successfully."
-msgstr ""
-
-#: merge.py:85
-msgid "Conflicts encountered"
-msgstr ""
-
-#: merge.py:86
-msgid "Please resolve the conflicts manually before committing."
-msgstr ""
-
-#: push.py:52 bookmark.py:45
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
 msgid "Location:"
-msgstr ""
+msgstr "Umístění:"
 
-#: push.py:54
+#: ../push.py:52
 msgid "_Push"
 msgstr ""
 
-#: push.py:97
-msgid "Set default push location"
-msgstr ""
-
-#: push.py:98
-#, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-msgstr ""
-
-#: push.py:106
+#: ../push.py:101
 msgid ""
 "You cannot push if branches have diverged.\n"
 "Overwrite?"
 msgstr ""
 
-#: push.py:112
+#: ../push.py:109
 msgid "Push successful"
 msgstr ""
 
-#: push.py:113
+#: ../push.py:110
 #, python-format
 msgid "%d revision(s) pushed."
 msgstr ""
 
-#: push.py:146
+#: ../push.py:141
 msgid "Non existing parent directory"
 msgstr ""
 
-#: push.py:147
+#: ../push.py:142
 #, python-format
 msgid ""
 "The parent directory (%s)\n"
 "doesn't exist. Create?"
 msgstr ""
 
-#: revbrowser.py:45
-msgid "Please wait, revisions are being loaded..."
-msgstr ""
-
-#: revbrowser.py:48
+#. Create the widgets
+#: ../revbrowser.py:35
 msgid "_Select"
-msgstr ""
-
-#: revbrowser.py:64
-msgid "Revno"
-msgstr ""
-
-#: revbrowser.py:70
-msgid "Time"
-msgstr ""
-
-#: status.py:78
+msgstr "_Vybrat"
+
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
 msgid "Added"
-msgstr ""
+msgstr "Přidáno"
 
-#: status.py:84
+#: ../status.py:93
 msgid "Removed"
-msgstr ""
+msgstr "Odstraněno"
 
-#: status.py:90
+#: ../status.py:99
 msgid "Renamed"
-msgstr ""
+msgstr "Přejmenováno"
 
-#: status.py:97
+#: ../status.py:106
 msgid "Modified"
-msgstr ""
+msgstr "Upraveno"
 
-#: status.py:105
+#: ../status.py:114
 msgid "Unknown"
-msgstr ""
+msgstr "Neznámý"
 
-#: status.py:110
+#: ../status.py:119
 msgid "No changes."
-msgstr ""
+msgstr "Žádné změny."
 
-#: tags.py:67
+#. Set properties
+#: ../tags.py:60
 msgid "Tags"
-msgstr ""
+msgstr "Popisky"
 
-#: tags.py:111
+#: ../tags.py:110
 msgid "Tag Name"
-msgstr ""
+msgstr "Název popisku"
 
-#: tags.py:116
+#: ../tags.py:115
 msgid "Revision ID"
-msgstr ""
+msgstr "ID revize"
 
-#: tags.py:151
+#: ../tags.py:148
 msgid "Tags are not supported by this branch format. Please upgrade."
 msgstr ""
 
-#: tags.py:157
+#: ../tags.py:154
 msgid "No tagged revisions in the branch."
-msgstr ""
+msgstr "Žádné popsané revize ve větvi."
 
-#: tags.py:232
+#: ../tags.py:222
 msgid "_Remove tag"
-msgstr ""
+msgstr "Odst_ranit popisek"
 
-#: tags.py:242
+#: ../tags.py:232
 msgid "<b><big>Remove tag?</big></b>"
-msgstr ""
+msgstr "<b><big>Odstranit popisek?</big></b>"
 
-#: tags.py:244
+#: ../tags.py:234
 #, python-format
 msgid "Are you sure you want to remove the tag: <b>%s</b>?"
-msgstr ""
+msgstr "Jste si jistý, že chcete odstranit popisek: <b>%s</b>?"
 
-#: tags.py:289
+#. Create the widgets
+#: ../tags.py:278
 msgid "_Add tag"
-msgstr ""
+msgstr "Přid_at popisek"
 
-#: tags.py:291
+#: ../tags.py:280
 msgid "Tag Name:"
-msgstr ""
+msgstr "Název popisku:"
 
-#: tags.py:292
+#: ../tags.py:281
 msgid "Revision ID:"
-msgstr ""
+msgstr "ID revize:"
 
-#: tags.py:323
+#: ../tags.py:312
 msgid "No tag name specified"
-msgstr ""
+msgstr "Nebyl zadán název popisku"
 
-#: tags.py:324
+#: ../tags.py:313
 msgid "You have to specify the tag's desired name."
-msgstr ""
-
-#: __init__.py:512
-msgid "There are local changes in the branch"
-msgstr ""
-
-#: __init__.py:513
-msgid "Please commit or revert the changes before merging."
-msgstr ""
-
-#: __init__.py:525 __init__.py:550
-msgid "Parent location is unknown"
-msgstr ""
-
-#: __init__.py:526
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr ""
-
-#: __init__.py:537
-msgid "There are missing revisions"
-msgstr ""
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr ""
-
-#: __init__.py:540
-#, fuzzy
-msgid "Local branch up to date"
-msgstr "Lokální větev je aktuální"
-
-#: __init__.py:541
-#, fuzzy
-msgid "There are no missing revisions."
-msgstr "Nechybějí žádné revize"
-
-#: __init__.py:551
-msgid "Pulling is not possible until there is a parent location."
-msgstr ""
-
-#: __init__.py:561
-msgid "Pull successful"
-msgstr ""
-
-#: __init__.py:561
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr ""
-
-#: __init__.py:575 menu.py:275
-msgid "Conflicts detected"
-msgstr ""
-
-#: __init__.py:576 menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr ""
-
-#: __init__.py:578 menu.py:278
-msgid "Revert successful"
-msgstr ""
-
-#: __init__.py:579 menu.py:279
-msgid "All files reverted to last revision."
-msgstr ""
-
-#: __init__.py:835 __init__.py:1117
-msgid "Bookmarks"
-msgstr "Záložky"
-
-#: __init__.py:842 menu.py:99
-msgid "Bookmark"
-msgstr "Záložka"
-
-#: __init__.py:944 __init__.py:1231
-msgid "unchanged"
-msgstr ""
-
-#: __init__.py:946 __init__.py:1233
-msgid "ignored"
-msgstr ""
-
-#: __init__.py:948 __init__.py:1235
-msgid "unknown"
-msgstr ""
-
-#: __init__.py:964
-msgid "Filename"
-msgstr ""
-
-#: __init__.py:965
-msgid "Status"
-msgstr ""
-
-#: __init__.py:966
-msgid "Size"
-msgstr ""
-
-#: __init__.py:967
-msgid "Last modified"
-msgstr ""
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-
-#: bookmark.py:46
-msgid "Title:"
-msgstr "Titul:"
-
-#: bookmark.py:81
-msgid "No title given"
-msgstr ""
-
-#: bookmark.py:82
-msgid "Please specify a title to continue."
-msgstr ""
-
-#: guifiles.py:45
-msgid "Glade file cannot be found."
-msgstr ""
-
-#: guifiles.py:55
-msgid "UI description file cannot be found."
-msgstr ""
-
-#: menu.py:63
-msgid "Add"
-msgstr ""
-
-#: menu.py:64
-msgid "Add the selected file"
-msgstr ""
-
-#: menu.py:67 menu.py:107
-msgid "Remove"
-msgstr ""
-
-#: menu.py:68
-msgid "Remove the selected file"
-msgstr ""
-
-#: menu.py:71
-msgid "Remove and delete"
-msgstr ""
-
-#: menu.py:72
-msgid "Remove the selected file/dir and delete from disk"
-msgstr ""
-
-#: menu.py:75
-msgid "Rename"
-msgstr ""
-
-#: menu.py:76
-msgid "Rename the selected file"
-msgstr ""
-
-#: menu.py:79
-msgid "Open"
-msgstr ""
-
-#: menu.py:80
-msgid "Open the selected file"
-msgstr ""
-
-#: menu.py:83
-msgid "Revert"
-msgstr ""
-
-#: menu.py:84
-msgid "Revert the changes"
-msgstr ""
-
-#: menu.py:88
-msgid "Commit the changes"
-msgstr ""
-
-#: menu.py:91
-msgid "Annotate"
-msgstr ""
-
-#: menu.py:92
-msgid "Annotate the selected file"
-msgstr ""
-
-#: menu.py:95
-msgid "Diff"
-msgstr ""
-
-#: menu.py:96
-msgid "Show the diff of the file"
-msgstr ""
-
-#: menu.py:100
-msgid "Bookmark current location"
-msgstr ""
-
-#: menu.py:103
-msgid "Edit"
-msgstr ""
-
-#: menu.py:104
-msgid "Edit the selected bookmark"
-msgstr ""
-
-#: menu.py:108
-msgid "Remove the selected bookmark"
-msgstr ""
-
-#: menu.py:111
-msgid "Open Folder"
-msgstr ""
-
-#: menu.py:112
-msgid "Open bookmark folder in Nautilus"
-msgstr ""
-
-#: menu.py:115
-msgid "Selected..."
-msgstr ""
-
-#: menu.py:116
-msgid "Show the differences of the selected file"
-msgstr ""
-
-#: menu.py:119
-msgid "All..."
-msgstr ""
-
-#: menu.py:120
-msgid "Show the differences of all files"
-msgstr ""
-
-#: menu.py:123
-msgid "View contents"
-msgstr ""
-
-#: menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr ""
-
-#: menu.py:127
-msgid "Show differences"
-msgstr ""
-
-#: menu.py:128
-msgid "Show the differences between two revisions of the file"
-msgstr ""
-
-#: menu.py:131
-msgid "Revert to this revision"
-msgstr ""
-
-#: menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr ""
-
-#: menu.py:228
-msgid "Delete directory with all directories below ?"
-msgstr ""
-
-#: menu.py:315
-msgid "Bookmark successfully added"
-msgstr ""
-
-#: menu.py:316
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-
-#: menu.py:319
-msgid "Location already bookmarked"
-msgstr ""
-
-#: menu.py:320
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-
-#: mkdir.py:67
-msgid "No directory name given"
-msgstr ""
-
-#: mkdir.py:68
-msgid "Please specify a desired name for the new directory."
-msgstr ""
-
-#: mkdir.py:79 mkdir.py:89
-msgid "Directory already exists"
-msgstr ""
-
-#: mkdir.py:80 mkdir.py:90
-msgid "Please specify another name to continue."
-msgstr ""
-
-#: move.py:80 rename.py:71
-msgid "Please select a file from the list to proceed."
-msgstr ""
-
-#: move.py:89 rename.py:87
-msgid "Not the same branch"
-msgstr ""
-
-#: move.py:90 rename.py:88
-msgid "The destination is not in the same branch."
-msgstr ""
-
-#: remove.py:79 remove.py:139
-msgid "No matching files"
-msgstr ""
-
-#: remove.py:80 remove.py:140
-msgid "No added files were found in the working tree."
-msgstr ""
-
-#: remove.py:105 olive.glade:825
-#, fuzzy
-msgid "Which file(s) do you want to remove?"
-msgstr "Který(é) soubor(y) chcete vyjmout?"
-
-#: remove.py:106 olive.glade:717 olive.glade:837
-#, fuzzy
-msgid "Selected only"
-msgstr "Pouze vybrané"
-
-#: remove.py:107 olive.glade:851
-msgid "All files with status 'added'"
-msgstr ""
-
-#: remove.py:108 olive.glade:905
-msgid "_Remove"
-msgstr "_Vyjmout"
-
-#: rename.py:75
-msgid "Filename not given"
-msgstr ""
-
-#: rename.py:76
-msgid "Please specify a new name for the file."
-msgstr ""
-
-#: olive.glade:8
-#, fuzzy
-msgid "Olive - Bazaar GUI"
-msgstr "Olive - grafické rozhraní pro Bazaar"
-
-#: olive.glade:21
-msgid "_File"
-msgstr "_Soubor"
-
-#: olive.glade:28
-msgid "_Add file(s)..."
-msgstr "_Přidat soubor(y)..."
-
-#: olive.glade:43
-msgid "Remove file(s)..."
-msgstr "Vyjmout soubor(y)..."
-
-#: olive.glade:63
-msgid "Make _directory..."
-msgstr "Vytvořit _adresář..."
-
-#: olive.glade:76
-msgid "_Rename..."
-msgstr "_Přejmenovat..."
-
-#: olive.glade:84
-msgid "_Move..."
-msgstr "_Přesunout..."
-
-#: olive.glade:92
-msgid "_Annotate..."
-msgstr ""
-
-#: olive.glade:118
-msgid "_View"
-msgstr ""
-
-#: olive.glade:126
-msgid "Show _hidden files"
-msgstr "Zobrazit _skryté soubory"
-
-#: olive.glade:139
-msgid "_Refresh"
-msgstr "_Obnovit"
-
-#: olive.glade:158
-msgid "_Initialize..."
-msgstr ""
-
-#: olive.glade:166
-msgid "_Get..."
-msgstr ""
-
-#: olive.glade:174
-msgid "C_heckout..."
-msgstr ""
-
-#: olive.glade:187
-msgid "Pu_ll"
-msgstr ""
-
-#: olive.glade:201
-msgid "Pu_sh..."
-msgstr ""
-
-#: olive.glade:220
-msgid "_Revert all changes"
-msgstr ""
-
-#: olive.glade:228
-msgid "_Merge..."
-msgstr ""
-
-#: olive.glade:236
-msgid "_Commit..."
-msgstr ""
-
-#: olive.glade:255
-msgid "Ta_gs..."
-msgstr ""
-
-#: olive.glade:263
-msgid "S_tatus..."
-msgstr ""
-
-#: olive.glade:271
-msgid "Missing _revisions"
-msgstr ""
-
-#: olive.glade:279
-msgid "Con_flicts..."
-msgstr ""
-
-#: olive.glade:291
-msgid "_Statistics"
-msgstr "_Statistika"
-
-#: olive.glade:298
-msgid "_Differences..."
-msgstr "_Rozdíly..."
-
-#: olive.glade:312
-msgid "_Log..."
-msgstr "_Záznam..."
-
-#: olive.glade:326
-msgid "_Information..."
-msgstr ""
-
-#: olive.glade:338
-msgid "_Help"
-msgstr "_Nápověda"
-
-#: olive.glade:548
-msgid "gtk-jump-to"
-msgstr ""
-
-#: olive.glade:575
-msgid "H_istory Mode"
-msgstr ""
-
-#: olive.glade:673
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr ""
-
-#: olive.glade:675
-msgid "https://launchpad.net/products/olive"
-msgstr "https://launchpad.net/products/olive"
-
-#: olive.glade:677
-msgid "translator-credits"
-msgstr ""
-"Launchpad Contributions:\n"
-"  DarkenCZ https://launchpad.net/~darkencz\n"
-"  Fred https://launchpad.net/~fredrooks"
-
-#: olive.glade:694
-msgid "Olive - Add file(s)"
-msgstr "Olive - Přidat soubor(y)"
-
-#: olive.glade:705
-#, fuzzy
-msgid "Which file(s) do you want to add?"
-msgstr "Který(é) soubor(y) chete přidat?"
-
-#: olive.glade:731
-msgid "All unknowns recursively"
-msgstr ""
-
-#: olive.glade:785
-msgid "_Add"
-msgstr "_Přidat"
-
-#: olive.glade:814
-msgid "Olive - Remove file(s)"
-msgstr "Olive - Vyjmout soubor(y)"
-
-#: olive.glade:934
-msgid "Olive - Make directory"
-msgstr ""
-
-#: olive.glade:957
-msgid "_Versioned directory"
-msgstr ""
-
-#: olive.glade:1011
-msgid "_Make directory"
-msgstr "_Vytvořit adresář"
-
-#: olive.glade:1041
-msgid "Olive - Move"
-msgstr "Olive - Přesunout"
-
-#: olive.glade:1055
-msgid "Move to"
-msgstr ""
-
-#: olive.glade:1066
-msgid "Select a directory"
-msgstr "Zvolte adresář"
-
-#: olive.glade:1120
-msgid "_Move"
-msgstr "_Přesunout"
-
-#: olive.glade:1148
-msgid "Olive - Rename"
-msgstr "Olive - Přejmenovat"
-
-#: olive.glade:1162
-msgid "Rename to"
-msgstr "Přejmenovat na"
-
-#: olive.glade:1227
-msgid "_Rename"
-msgstr "_Přejmenovat"
-
-#: olive.glade:1255
-msgid "Olive - Information"
-msgstr ""
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275
-msgid "(none)"
-msgstr ""
-
-#: olive.glade:1368
-msgid "Checkout root: "
-msgstr ""
-
-#: olive.glade:1380
-#, fuzzy
-msgid "Branch root: "
-msgstr "Kořen větve: "
-
-#: olive.glade:1392
-msgid "Repository checkout: "
-msgstr ""
-
-#: olive.glade:1404
-msgid "Checkout of branch: "
-msgstr ""
-
-#: olive.glade:1416
-#, fuzzy
-msgid "Repository branch: "
-msgstr "Větev repozitáře: "
-
-#: olive.glade:1428
-#, fuzzy
-msgid "Shared repository: "
-msgstr "Sdílený repozitář: "
-
-#: olive.glade:1440
-msgid "Light checkout root: "
-msgstr ""
-
-#: olive.glade:1454
-msgid "<b>Location:</b>"
-msgstr ""
-
-#: olive.glade:1508
-#, fuzzy
-msgid "Publish to branch: "
-msgstr "Publikovat do větve: "
-
-#: olive.glade:1520
-#, fuzzy
-msgid "Parent branch: "
-msgstr "Mateřská větev: "
-
-#: olive.glade:1534
-msgid "<b>Related branches:</b>"
-msgstr ""
-
-#: olive.glade:1614
-#, fuzzy
-msgid "Repository format: "
-msgstr "Formát repozitáře: "
-
-#: olive.glade:1626
-#, fuzzy
-msgid "Branch format: "
-msgstr "Formát větve: "
-
-#: olive.glade:1638
-msgid "Working tree format: "
-msgstr ""
-
-#: olive.glade:1650
-msgid "Control format: "
-msgstr ""
-
-#: olive.glade:1664
-msgid "<b>Format:</b>"
-msgstr ""
-
-#: olive.glade:1731
-msgid "Repository lock status: "
-msgstr ""
-
-#: olive.glade:1743
-msgid "Branch lock status: "
-msgstr ""
-
-#: olive.glade:1755
-msgid "Working tree lock status: "
-msgstr ""
-
-#: olive.glade:1769
-msgid "<b>Lock status:</b>"
-msgstr ""
-
-#: olive.glade:1823
-#, fuzzy
-msgid "Missing revisions in branch: "
-msgstr "Chybějící revize ve větvi: "
-
-#: olive.glade:1835
-msgid "Missing revisions in working tree: "
-msgstr ""
-
-#: olive.glade:1849
-msgid "<b>Missing revisions:</b>"
-msgstr ""
-
-#: olive.glade:1981
-msgid "Versioned subdirectories: "
-msgstr ""
-
-#: olive.glade:1993
-#, fuzzy
-msgid "Ignored files: "
-msgstr "Ignorované soubory: "
-
-#: olive.glade:2005
-msgid "Unknown files: "
-msgstr "Neznámé soubory: "
-
-#: olive.glade:2017
-msgid "Renamed files: "
-msgstr "Přejmenované soubory: "
-
-#: olive.glade:2029
-msgid "Removed files: "
-msgstr "Vyjmuté soubory: "
-
-#: olive.glade:2041
-msgid "Added files: "
-msgstr "Přidané soubory: "
-
-#: olive.glade:2053
-msgid "Modified files: "
-msgstr "Pozměněné soubory: "
-
-#: olive.glade:2065
-msgid "Unchanged files: "
-msgstr "Nepozměněné soubory: "
-
-#: olive.glade:2079
-msgid "<b>In the working tree:</b>"
-msgstr ""
-
-#: olive.glade:2172
-#, fuzzy
-msgid "Time of last revision: "
-msgstr "Čas poslední revize: "
-
-#: olive.glade:2184
-#, fuzzy
-msgid "Time of first revision: "
-msgstr "Čas první revize: "
-
-#: olive.glade:2196
-msgid "Age of branch in days: "
-msgstr "Stáří větve ve dnech: "
-
-#: olive.glade:2208
-msgid "Number of commiters: "
-msgstr ""
-
-#: olive.glade:2220
-msgid "Revisions in branch: "
-msgstr "Revize ve větvi: "
-
-#: olive.glade:2234
-msgid "<b>Branch history:</b>"
-msgstr ""
-
-#: olive.glade:2288
-#, fuzzy
-msgid "Size of repository: "
-msgstr "Velikost repozitáře: "
-
-#: olive.glade:2300
-#, fuzzy
-msgid "Revisions in repository: "
-msgstr "Revize v repozitáři: "
-
-#: olive.glade:2314
-msgid "<b>Revision store:</b>"
-msgstr ""
-
-#: olive.glade:2356
-msgid "Merge - Olive"
-msgstr ""
-
-#: olive.glade:2370
-msgid "Merge from:"
-msgstr ""
-
-#: olive.glade:2454
-msgid "_Merge"
-msgstr ""
+msgstr "Musíte zadat požadovaný název popisku."

=== added file 'po/da.po'
--- po/da.po	1970-01-01 00:00:00 +0000
+++ po/da.po	2011-12-02 05:55:20 +0000
@@ -0,0 +1,737 @@
+# Danish translation for bzr-gtk
+# Copyright (c) 2009 Rosetta Contributors and Canonical Ltd 2009
+# This file is distributed under the same license as the bzr-gtk package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2009.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: bzr-gtk\n"
+"Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:59+0000\n"
+"Last-Translator: Launchpad Translations Administrators <Unknown>\n"
+"Language-Team: Danish <da@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Launchpad-Export-Date: 2011-12-02 05:54+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
+msgid "_Branch"
+msgstr ""
+
+#: ../branch.py:49 ../checkout.py:49
+msgid "Branch location:"
+msgstr ""
+
+#: ../branch.py:51 ../checkout.py:50
+msgid "Destination:"
+msgstr ""
+
+#: ../branch.py:52
+msgid "Branck nick:"
+msgstr ""
+
+#: ../branch.py:53 ../checkout.py:52
+msgid "Revision:"
+msgstr ""
+
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr ""
+
+#: ../branch.py:134 ../checkout.py:153
+msgid "Missing branch location"
+msgstr ""
+
+#: ../branch.py:135 ../checkout.py:154
+msgid "You must specify a branch location."
+msgstr ""
+
+#: ../branch.py:174
+msgid "Branching successful"
+msgstr ""
+
+#: ../branch.py:175
+#, python-format
+msgid "%d revision(s) branched."
+msgstr ""
+
+#: ../branch.py:183 ../checkout.py:185
+msgid "N/A"
+msgstr ""
+
+#. Create the widgets
+#: ../checkout.py:44
+msgid "Check_out"
+msgstr ""
+
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
+msgid "_Lightweight checkout"
+msgstr ""
+
+#: ../commands.py:305
+msgid "Directory does not have a working tree"
+msgstr ""
+
+#: ../commands.py:306
+msgid "Operation aborted."
+msgstr ""
+
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr ""
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr ""
+
+#: ../commit.py:178
+msgid "added"
+msgstr ""
+
+#: ../commit.py:179
+msgid "removed"
+msgstr ""
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr ""
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr ""
+
+#: ../commit.py:182
+msgid "modified"
+msgstr ""
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr ""
+
+#: ../commit.py:361
+msgid "Comm_it"
+msgstr ""
+
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr ""
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr ""
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr ""
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
+msgid "Date"
+msgstr ""
+
+#: ../commit.py:505
+msgid "Committer"
+msgstr ""
+
+#: ../commit.py:507 ../search.py:60
+msgid "Summary"
+msgstr ""
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr ""
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr ""
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
+msgid "External utility:"
+msgstr ""
+
+#: ../conflicts.py:97
+msgid "Conflicts"
+msgstr ""
+
+#: ../conflicts.py:100
+msgid "No conflicts in working tree."
+msgstr ""
+
+#: ../conflicts.py:114
+msgid "path conflict"
+msgstr ""
+
+#: ../conflicts.py:116
+msgid "contents conflict"
+msgstr ""
+
+#: ../conflicts.py:118
+msgid "text conflict"
+msgstr ""
+
+#: ../conflicts.py:120
+msgid "duplicate id"
+msgstr ""
+
+#: ../conflicts.py:122
+msgid "duplicate"
+msgstr ""
+
+#: ../conflicts.py:124
+msgid "parent loop"
+msgstr ""
+
+#: ../conflicts.py:126
+msgid "unversioned parent"
+msgstr ""
+
+#: ../conflicts.py:128
+msgid "missing parent"
+msgstr ""
+
+#: ../conflicts.py:130
+msgid "deleting parent"
+msgstr ""
+
+#: ../conflicts.py:132
+msgid "unknown type of conflict"
+msgstr ""
+
+#: ../conflicts.py:161
+msgid "No file was selected"
+msgstr ""
+
+#: ../conflicts.py:162
+msgid "Please select a file from the list."
+msgstr ""
+
+#: ../conflicts.py:172
+msgid "Call to external utility failed"
+msgstr ""
+
+#: ../conflicts.py:174
+msgid "Cannot resolve conflict"
+msgstr ""
+
+#: ../conflicts.py:175
+msgid ""
+"Only conflicts on the text of files can be resolved with Olive at the "
+"moment. Content conflicts, on the structure of the tree, need to be resolved "
+"using the command line."
+msgstr ""
+
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr ""
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr ""
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr ""
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr ""
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr ""
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr ""
+
+#: ../errors.py:34
+msgid "Directory is not a checkout"
+msgstr ""
+
+#: ../errors.py:35
+msgid "You can perform local commit only on checkouts."
+msgstr ""
+
+#: ../errors.py:37
+msgid "No changes to commit"
+msgstr ""
+
+#: ../errors.py:38
+msgid "Try force commit if you want to commit anyway."
+msgstr ""
+
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
+msgid "Conflicts in tree"
+msgstr ""
+
+#: ../errors.py:44
+msgid "You need to resolve the conflicts before committing."
+msgstr ""
+
+#: ../errors.py:46
+msgid "Strict commit failed"
+msgstr ""
+
+#: ../errors.py:47
+msgid ""
+"There are unknown files in the working tree.\n"
+"Please add or delete them."
+msgstr ""
+
+#: ../errors.py:49
+msgid "Bound branch is out of date"
+msgstr ""
+
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
+#, python-format
+msgid "%s"
+msgstr ""
+
+#: ../errors.py:53
+msgid "File not versioned"
+msgstr ""
+
+#: ../errors.py:54
+msgid "The selected file is not versioned."
+msgstr ""
+
+#: ../errors.py:56 ../push.py:100
+msgid "Branches have been diverged"
+msgstr ""
+
+#: ../errors.py:57
+msgid ""
+"You cannot push if branches have diverged. Use the\n"
+"overwrite option if you want to push anyway."
+msgstr ""
+
+#: ../errors.py:59
+msgid "No diff output"
+msgstr ""
+
+#: ../errors.py:60
+msgid "The selected file hasn't changed."
+msgstr ""
+
+#: ../errors.py:62
+msgid "No such revision"
+msgstr ""
+
+#: ../errors.py:63
+msgid "The revision you specified doesn't exist."
+msgstr ""
+
+#: ../errors.py:65
+msgid "Target already exists"
+msgstr ""
+
+#: ../errors.py:66
+msgid "Target directory already exists. Please select another target."
+msgstr ""
+
+#: ../errors.py:68
+msgid "Directory is already a branch"
+msgstr ""
+
+#: ../errors.py:69
+#, python-format
+msgid ""
+"The current directory (%s) is already a branch.\n"
+"You can start using it, or initialize another directory."
+msgstr ""
+
+#: ../errors.py:71
+msgid "Branch without a working tree"
+msgstr ""
+
+#: ../errors.py:72
+#, python-format
+msgid ""
+"The current directory (%s)\n"
+"is a branch without a working tree."
+msgstr ""
+
+#: ../errors.py:74
+msgid "Unknown bzr error"
+msgstr ""
+
+#: ../errors.py:76
+msgid "Permission denied"
+msgstr ""
+
+#: ../errors.py:76
+msgid "permission denied."
+msgstr ""
+
+#: ../errors.py:78
+msgid "Unknown error"
+msgstr ""
+
+#. Create the widgets
+#: ../initialize.py:46
+msgid "_Initialize"
+msgstr ""
+
+#: ../initialize.py:47
+msgid "Which directory do you want to initialize?"
+msgstr ""
+
+#: ../initialize.py:49
+msgid "Current directory"
+msgstr ""
+
+#: ../initialize.py:51
+msgid "Create a new directory with the name:"
+msgstr ""
+
+#: ../initialize.py:87
+msgid "Directory name not specified"
+msgstr ""
+
+#: ../initialize.py:88
+msgid "You should specify a new directory name."
+msgstr ""
+
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr ""
+
+#: ../merge.py:130
+msgid "Branch not given"
+msgstr ""
+
+#: ../merge.py:131
+msgid "Please specify a branch to merge from."
+msgstr ""
+
+#: ../merge.py:139
+msgid "Bazaar command error"
+msgstr ""
+
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
+msgid "Location:"
+msgstr ""
+
+#: ../push.py:52
+msgid "_Push"
+msgstr ""
+
+#: ../push.py:101
+msgid ""
+"You cannot push if branches have diverged.\n"
+"Overwrite?"
+msgstr ""
+
+#: ../push.py:109
+msgid "Push successful"
+msgstr ""
+
+#: ../push.py:110
+#, python-format
+msgid "%d revision(s) pushed."
+msgstr ""
+
+#: ../push.py:141
+msgid "Non existing parent directory"
+msgstr ""
+
+#: ../push.py:142
+#, python-format
+msgid ""
+"The parent directory (%s)\n"
+"doesn't exist. Create?"
+msgstr ""
+
+#. Create the widgets
+#: ../revbrowser.py:35
+msgid "_Select"
+msgstr ""
+
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
+msgid "Added"
+msgstr ""
+
+#: ../status.py:93
+msgid "Removed"
+msgstr ""
+
+#: ../status.py:99
+msgid "Renamed"
+msgstr ""
+
+#: ../status.py:106
+msgid "Modified"
+msgstr ""
+
+#: ../status.py:114
+msgid "Unknown"
+msgstr ""
+
+#: ../status.py:119
+msgid "No changes."
+msgstr ""
+
+#. Set properties
+#: ../tags.py:60
+msgid "Tags"
+msgstr ""
+
+#: ../tags.py:110
+msgid "Tag Name"
+msgstr ""
+
+#: ../tags.py:115
+msgid "Revision ID"
+msgstr ""
+
+#: ../tags.py:148
+msgid "Tags are not supported by this branch format. Please upgrade."
+msgstr ""
+
+#: ../tags.py:154
+msgid "No tagged revisions in the branch."
+msgstr ""
+
+#: ../tags.py:222
+msgid "_Remove tag"
+msgstr ""
+
+#: ../tags.py:232
+msgid "<b><big>Remove tag?</big></b>"
+msgstr ""
+
+#: ../tags.py:234
+#, python-format
+msgid "Are you sure you want to remove the tag: <b>%s</b>?"
+msgstr ""
+
+#. Create the widgets
+#: ../tags.py:278
+msgid "_Add tag"
+msgstr ""
+
+#: ../tags.py:280
+msgid "Tag Name:"
+msgstr ""
+
+#: ../tags.py:281
+msgid "Revision ID:"
+msgstr ""
+
+#: ../tags.py:312
+msgid "No tag name specified"
+msgstr ""
+
+#: ../tags.py:313
+msgid "You have to specify the tag's desired name."
+msgstr ""

=== modified file 'po/de.po'
--- po/de.po	2008-03-11 17:01:27 +0000
+++ po/de.po	2011-12-02 05:55:20 +0000
@@ -7,248 +7,336 @@
 msgstr ""
 "Project-Id-Version: olive\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2007-08-13 12:05+0200\n"
-"PO-Revision-Date: 2008-02-04 12:17+0000\n"
-"Last-Translator: Augustus Kling <augustus.kling@gmail.com>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:58+0000\n"
+"Last-Translator: Jelmer Vernooij <Unknown>\n"
 "Language-Team: German <de@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2008-03-11 16:44+0000\n"
-"X-Generator: Launchpad (build Unknown)\n"
-
-#: branch.py:52 olive.glade:151
-#, fuzzy
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
 msgid "_Branch"
 msgstr "_Zweig"
 
-#: branch.py:55 checkout.py:53
-msgid "Please select a folder"
-msgstr "Bitte wählen sie ein Verzeichniss"
-
-#: branch.py:57 checkout.py:55
+#: ../branch.py:49 ../checkout.py:49
 msgid "Branch location:"
 msgstr "Zweig Position:"
 
-#: branch.py:58 checkout.py:56
+#: ../branch.py:51 ../checkout.py:50
 msgid "Destination:"
 msgstr "Zielort:"
 
-#: branch.py:59 checkout.py:57
+#: ../branch.py:52
 msgid "Branck nick:"
 msgstr "Zweig Spitzname:"
 
-#: branch.py:60 checkout.py:58
+#: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
 msgstr "Revision:"
 
-#: branch.py:162 checkout.py:163
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Bitte wählen Sie ein Verzeichnis"
+
+#: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
 msgstr "Fehlender Zweigpfad"
 
-#: branch.py:163 checkout.py:164
+#: ../branch.py:135 ../checkout.py:154
 msgid "You must specify a branch location."
 msgstr "Sie müssen einen Zweigpfad angeben."
 
-#: branch.py:205
+#: ../branch.py:174
 msgid "Branching successful"
 msgstr "Abzweigung erfolgreich"
 
-#: branch.py:206
+#: ../branch.py:175
 #, python-format
 msgid "%d revision(s) branched."
 msgstr "%d Revision(en) abgezweigt."
 
-#: branch.py:214 checkout.py:195
+#: ../branch.py:183 ../checkout.py:185
 msgid "N/A"
 msgstr "Nicht Verfügbar"
 
-#: checkout.py:50
+#. Create the widgets
+#: ../checkout.py:44
 msgid "Check_out"
 msgstr "_Checkout"
 
-#: checkout.py:62
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
 msgid "_Lightweight checkout"
 msgstr "_Lightweight checkout"
 
-#: commit.py:68
+#: ../commands.py:305
 msgid "Directory does not have a working tree"
 msgstr "Verzeichnis hat keine aktive Verzeichnisstruktur"
 
-#: commit.py:69
+#: ../commands.py:306
 msgid "Operation aborted."
 msgstr "Aktion abgebrochen."
 
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556
-msgid "Directory is not a branch"
-msgstr "Verzeichnis ist kein Zweig"
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557
-msgid "You can perform this action only in a branch."
-msgstr "Sie können diese Aktion nur in einem Zweig ausführen."
-
-#: commit.py:88
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr "Es gibt lokale Änderungen im dem Zweig"
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr "Bitte führen sie commit oder revert aus bevor sie mergen."
+
+#: ../commit.py:178
+msgid "added"
+msgstr "hinzugefügt"
+
+#: ../commit.py:179
+msgid "removed"
+msgstr "entfernt"
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr "umbenannt"
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr "umbenannt und verändert"
+
+#: ../commit.py:182
+msgid "modified"
+msgstr "verändert"
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr "Nur l_okal abschicken"
+
+#: ../commit.py:361
 msgid "Comm_it"
 msgstr "Absch_icken"
 
-#: commit.py:89
-msgid "File(s) to commit"
-msgstr "Datei(en) zu hinzufügen"
-
-#: commit.py:95
-msgid "Commit message:"
-msgstr "Nachricht abschicken"
-
-#: commit.py:99
-msgid "Pending merges"
-msgstr "Wartende Merges"
-
-#: commit.py:147
-msgid "_Only commit locally"
-msgstr "Nur l_okal abschicken"
-
-#: commit.py:215
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr "Festlegen"
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr "Pfad"
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr "Typ"
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
+msgid "Date"
+msgstr "Datum"
+
+#: ../commit.py:505
+msgid "Committer"
+msgstr "Festleger"
+
+#: ../commit.py:507 ../search.py:60
+msgid "Summary"
+msgstr "Zusammenfassung"
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
 msgid "Commit with an empty message?"
 msgstr "Hinzufügen mit Leerer Kommentar?"
 
-#: commit.py:216
+#: ../commit.py:707
 msgid "You can describe your commit intent in the message."
 msgstr "Du kannst Grund für deine Übermittlung in der Nachricht beschreiben."
 
-#: commit.py:228
+#: ../commit.py:727
 msgid "Commit with unknowns?"
 msgstr "Abschicken mit Unbekannten?"
 
-#: commit.py:229
+#: ../commit.py:728
 msgid "Unknown files exist in the working tree. Commit anyway?"
 msgstr ""
 "Unbekannte Dateien bestehen im aktiven Verzeichnisstruktur. Definitiv "
 "festlegen?"
 
-#: commit.py:240
+#: ../commit.py:748
 msgid "Commit with no changes?"
 msgstr "Festlegen ohne Änderungen im Arbeitsbaum?"
 
-#: commit.py:241
-msgid "There are no changes in the working tree."
-msgstr "Es gibt keine Änderungen im Arbeitsbaum."
-
-#: commit.py:323 menu.py:87
-msgid "Commit"
-msgstr "Festlegen"
-
-#: commit.py:325 conflicts.py:108
-msgid "Path"
-msgstr "Pfad"
-
-#: commit.py:327 conflicts.py:110
-msgid "Type"
-msgstr "Typ"
-
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
-msgid "added"
-msgstr "hinzugefügt"
-
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
-msgid "removed"
-msgstr "entfernt"
-
-#: commit.py:353
-msgid "renamed and modified"
-msgstr "umbenannt und verändert"
-
-#: commit.py:355 __init__.py:936 __init__.py:1223
-msgid "renamed"
-msgstr "umbenannt"
-
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
-msgid "modified"
-msgstr "verändert"
-
-#: commit.py:395
-msgid "Date"
-msgstr "Datum"
-
-#: commit.py:397 revbrowser.py:68
-msgid "Committer"
-msgstr "Festleger"
-
-#: commit.py:399 revbrowser.py:66
-msgid "Summary"
-msgstr "Zusammenfassung"
-
-#: conflicts.py:48
-#, fuzzy
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
 msgid "External utility:"
-msgstr "Externe Dienste:"
+msgstr "Externes Hilfsprogramm"
 
-#: conflicts.py:99
+#: ../conflicts.py:97
 msgid "Conflicts"
 msgstr "Konflikte"
 
-#: conflicts.py:102
+#: ../conflicts.py:100
 msgid "No conflicts in working tree."
 msgstr "Kein konflikte im aktiven Verzeichnisstruktur"
 
-#: conflicts.py:115
+#: ../conflicts.py:114
 msgid "path conflict"
-msgstr "Pfad konflikt"
+msgstr "Pfadkonflikt"
 
-#: conflicts.py:117
+#: ../conflicts.py:116
 msgid "contents conflict"
 msgstr "Inhaltskonflikt"
 
-#: conflicts.py:119
+#: ../conflicts.py:118
 msgid "text conflict"
-msgstr "Text konflikt"
+msgstr "Textkonflikt"
 
-#: conflicts.py:121
+#: ../conflicts.py:120
 msgid "duplicate id"
 msgstr "Doppelte ID"
 
-#: conflicts.py:123
+#: ../conflicts.py:122
 msgid "duplicate"
 msgstr "Duplikat"
 
-#: conflicts.py:125
-#, fuzzy
+#: ../conflicts.py:124
 msgid "parent loop"
-msgstr "parent loop"
+msgstr "Eltern-Schleife"
 
-#: conflicts.py:127
+#: ../conflicts.py:126
 msgid "unversioned parent"
 msgstr "unversionierter parent"
 
-#: conflicts.py:129
+#: ../conflicts.py:128
 msgid "missing parent"
 msgstr "fehlender parent"
 
-#: conflicts.py:131
+#: ../conflicts.py:130
 msgid "deleting parent"
 msgstr "lösche parent"
 
-#: conflicts.py:133
+#: ../conflicts.py:132
 msgid "unknown type of conflict"
 msgstr "Unbekannte type des Konflikts"
 
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
+#: ../conflicts.py:161
 msgid "No file was selected"
 msgstr "Keine Datei wurde ausgewählt"
 
-#: conflicts.py:163 __init__.py:615 menu.py:192
+#: ../conflicts.py:162
 msgid "Please select a file from the list."
 msgstr "Wählen Sie bitte eine Datei von der Liste."
 
-#: conflicts.py:173
+#: ../conflicts.py:172
 msgid "Call to external utility failed"
 msgstr "Keine Verbindung mit externem Dienstprogramm möglich"
 
-#: conflicts.py:175
+#: ../conflicts.py:174
 msgid "Cannot resolve conflict"
 msgstr "Konflikt kann nicht aufgelöst werden"
 
-#: conflicts.py:176
+#: ../conflicts.py:175
 msgid ""
 "Only conflicts on the text of files can be resolved with Olive at the "
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
@@ -258,37 +346,80 @@
 "Konflikte, im Verzeichnisstruktur des Arbeitsbaum, müssen Sie manuell "
 "beheben in der Kommando Linie."
 
-#: errors.py:29
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "Anzeigen"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr "Merge erfolgreich"
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr "Alle Änderungen erfolgreich angewendet."
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr "Konflikte gefunden"
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr "Bitte löse die Konflikte vor der Übermittlung manuell auf."
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr "Verzeichnis ist kein Zweig"
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr "Sie können diese Aktion nur in einem Zweig ausführen."
+
+#: ../errors.py:34
 msgid "Directory is not a checkout"
 msgstr "Verzeichnis ist kein Austrag"
 
-#: errors.py:30
+#: ../errors.py:35
 msgid "You can perform local commit only on checkouts."
 msgstr "Sie können eine lokale Festlegung nur an Austrägen ausführen."
 
-#: errors.py:32
+#: ../errors.py:37
 msgid "No changes to commit"
 msgstr "Keine Änderungen festzulegen"
 
-#: errors.py:33
+#: ../errors.py:38
 msgid "Try force commit if you want to commit anyway."
 msgstr ""
 "Versuchen Sie eine Zwangsfestlegung, falls Sie trotzdem festlegen wollen."
 
-#: errors.py:35
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
 msgid "Conflicts in tree"
 msgstr "Konflikte in der Verzeichnisstruktur"
 
-#: errors.py:36
+#: ../errors.py:44
 msgid "You need to resolve the conflicts before committing."
 msgstr ""
 "Sie müssen erst die Konflikte beseitigen, bevor Sie festlegen können."
 
-#: errors.py:38
+#: ../errors.py:46
 msgid "Strict commit failed"
 msgstr "Striktes festlegen misslingt"
 
-#: errors.py:39
+#: ../errors.py:47
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
@@ -296,28 +427,29 @@
 "Es befinden sich unbekannte Dateien in dem aktiven Verzeichnisstruktur.\n"
 "Fügen Sie bitte diese hinzu oder löschen Sie sie."
 
-#: errors.py:41
+#: ../errors.py:49
 msgid "Bound branch is out of date"
 msgstr "Gebundener Zweig ist veraltet"
 
-#: errors.py:42
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
 #, python-format
 msgid "%s"
 msgstr "%s"
 
-#: errors.py:44
+#: ../errors.py:53
 msgid "File not versioned"
 msgstr "Datei nicht versioniert"
 
-#: errors.py:45
+#: ../errors.py:54
 msgid "The selected file is not versioned."
 msgstr "Die ausgewählte Datei ist nicht versioniert."
 
-#: errors.py:47 push.py:105
+#: ../errors.py:56 ../push.py:100
 msgid "Branches have been diverged"
 msgstr "Zweige sind geschieden"
 
-#: errors.py:48
+#: ../errors.py:57
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
@@ -325,38 +457,37 @@
 "Getrennte Zweige koennen nicht hochgeladen werden. Benutzen\n"
 "Sie die Überschreibungsoption um trotzdem hochzuladen."
 
-#: errors.py:50
-#, fuzzy
+#: ../errors.py:59
 msgid "No diff output"
 msgstr "Kein Unterschied gefunden"
 
-#: errors.py:51
+#: ../errors.py:60
 msgid "The selected file hasn't changed."
 msgstr "Die gewählte Datei hat sich nicht geändert"
 
-#: errors.py:53
+#: ../errors.py:62
 msgid "No such revision"
 msgstr "keine solche Revision"
 
-#: errors.py:54
+#: ../errors.py:63
 msgid "The revision you specified doesn't exist."
 msgstr "Die angegebene Revision existiert nicth."
 
-#: errors.py:56
+#: ../errors.py:65
 msgid "Target already exists"
 msgstr "Ziel existiert bereits"
 
-#: errors.py:57
+#: ../errors.py:66
 msgid "Target directory already exists. Please select another target."
 msgstr ""
 "Zielverzeichnis existiert schon. Bitte wählen Sie einen anderen "
 "Zielverzeichnis."
 
-#: errors.py:59
+#: ../errors.py:68
 msgid "Directory is already a branch"
 msgstr "Verzeichnis ist schon ein Zweig"
 
-#: errors.py:60
+#: ../errors.py:69
 #, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
@@ -365,11 +496,11 @@
 "Das aktuelle Verzeichnis (%s) ist schon ein Zweig.\n"
 "Sie können es benutzen, oder ein anderes Verzeichnis initialisieren."
 
-#: errors.py:62
+#: ../errors.py:71
 msgid "Branch without a working tree"
 msgstr "Zweig ohne aktives Verzeichnisstruktur"
 
-#: errors.py:63
+#: ../errors.py:72
 #, python-format
 msgid ""
 "The current directory (%s)\n"
@@ -378,96 +509,133 @@
 "Das aktuelle Verzeichnis (%s)\n"
 "ist ein Zweig ohne funktionsfähige Verzeichnisstruktur."
 
-#: errors.py:65
+#: ../errors.py:74
 msgid "Unknown bzr error"
 msgstr "Unbekannte bzr Fehler"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "Permission denied"
 msgstr "Zugriff verboten"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "permission denied."
 msgstr "Zugriff verboten"
 
-#: errors.py:69
+#: ../errors.py:78
 msgid "Unknown error"
 msgstr "Unbekannte Fehler"
 
-#: initialize.py:47
+#. Create the widgets
+#: ../initialize.py:46
 msgid "_Initialize"
 msgstr "_Initializieren"
 
-#: initialize.py:48
+#: ../initialize.py:47
 msgid "Which directory do you want to initialize?"
 msgstr "Welches Verzeichnis möchten Sie initialisieren?"
 
-#: initialize.py:49
+#: ../initialize.py:49
 msgid "Current directory"
 msgstr "Aktuelles Verzeichnis"
 
-#: initialize.py:50
+#: ../initialize.py:51
 msgid "Create a new directory with the name:"
 msgstr "Erzeugen Sie ein neues Verzeichnis mit dem Namen:"
 
-#: initialize.py:85
+#: ../initialize.py:87
 msgid "Directory name not specified"
 msgstr "Verzeichnis Name ist nicht spezifiziert"
 
-#: initialize.py:86
+#: ../initialize.py:88
 msgid "You should specify a new directory name."
 msgstr "Sie solten ein neues Verzeichnis Name spezifizieren"
 
-#: merge.py:66
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr "_Merge"
+
+#: ../merge.py:130
 msgid "Branch not given"
 msgstr "Zweig nicht angegeben"
 
-#: merge.py:67
+#: ../merge.py:131
 msgid "Please specify a branch to merge from."
 msgstr "Bitte geben Sie einen Zweig an von dem gemerged werden soll."
 
-#: merge.py:75
+#: ../merge.py:139
 msgid "Bazaar command error"
 msgstr "Bazaar Befehl Fehler"
 
-#: merge.py:81
-msgid "Merge successful"
-msgstr "Merge erfolgreich"
-
-#: merge.py:82
-msgid "All changes applied successfully."
-msgstr "Alle Änderungen erfolgreich angewendet."
-
-#: merge.py:85
-msgid "Conflicts encountered"
-msgstr "Konflikte gefunden"
-
-#: merge.py:86
-msgid "Please resolve the conflicts manually before committing."
-msgstr "Bitte löse die Konflikte vor der Übermittlung manuell auf."
-
-#: push.py:52 bookmark.py:45
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
 msgid "Location:"
 msgstr "Ort:"
 
-#: push.py:54
+#: ../push.py:52
 msgid "_Push"
 msgstr "_Drücken"
 
-#: push.py:97
-msgid "Set default push location"
-msgstr "Standard-Push-Ziel einstellen"
-
-#: push.py:98
-#, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-msgstr ""
-"Es wurde kein Standard-Push-Ziel eingestellt.\n"
-"Willst du %r als Standard einstellen?"
-
-#: push.py:106
+#: ../push.py:101
 msgid ""
 "You cannot push if branches have diverged.\n"
 "Overwrite?"
@@ -475,20 +643,20 @@
 "Du kannst nicht pushen, wenn die Branches sich unterscheiden.\n"
 "Überschreiben?"
 
-#: push.py:112
+#: ../push.py:109
 msgid "Push successful"
 msgstr "Hochladen erfolgreich"
 
-#: push.py:113
+#: ../push.py:110
 #, python-format
 msgid "%d revision(s) pushed."
 msgstr "%d Revision(en) hochgeladen."
 
-#: push.py:146
+#: ../push.py:141
 msgid "Non existing parent directory"
 msgstr "Nicht-existierendes Überverzeichnis."
 
-#: push.py:147
+#: ../push.py:142
 #, python-format
 msgid ""
 "The parent directory (%s)\n"
@@ -497,850 +665,95 @@
 "Das Überverzeichnis (%s)\n"
 "existiert nicht. Erzeugen?"
 
-#: revbrowser.py:45
-msgid "Please wait, revisions are being loaded..."
-msgstr "Warten Sie bitte, Revisionen werden geladen..."
-
-#: revbrowser.py:48
+#. Create the widgets
+#: ../revbrowser.py:35
 msgid "_Select"
 msgstr "Aus_wahl"
 
-#: revbrowser.py:64
-msgid "Revno"
-msgstr "Revno"
-
-#: revbrowser.py:70
-msgid "Time"
-msgstr "Datum"
-
-#: status.py:78
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
 msgid "Added"
 msgstr "Hinzugefügt"
 
-#: status.py:84
+#: ../status.py:93
 msgid "Removed"
 msgstr "Entfernt"
 
-#: status.py:90
+#: ../status.py:99
 msgid "Renamed"
 msgstr "Umbenannt"
 
-#: status.py:97
+#: ../status.py:106
 msgid "Modified"
 msgstr "Geändert"
 
-#: status.py:105
+#: ../status.py:114
 msgid "Unknown"
 msgstr "Unbekannt"
 
-#: status.py:110
+#: ../status.py:119
 msgid "No changes."
 msgstr "Keine Änderungen."
 
-#: tags.py:67
+#. Set properties
+#: ../tags.py:60
 msgid "Tags"
 msgstr "Tags"
 
-#: tags.py:111
+#: ../tags.py:110
 msgid "Tag Name"
 msgstr "Tagname"
 
-#: tags.py:116
+#: ../tags.py:115
 msgid "Revision ID"
 msgstr "Revision ID"
 
-#: tags.py:151
+#: ../tags.py:148
 msgid "Tags are not supported by this branch format. Please upgrade."
 msgstr ""
 "Tags werden in diesem Branch-Format nicht unterstützt. Bitte upgraden."
 
-#: tags.py:157
+#: ../tags.py:154
 msgid "No tagged revisions in the branch."
 msgstr "Keine markierten Überarbeitungen im Branch."
 
-#: tags.py:232
+#: ../tags.py:222
 msgid "_Remove tag"
 msgstr "_Entferne tag"
 
-#: tags.py:242
+#: ../tags.py:232
 msgid "<b><big>Remove tag?</big></b>"
 msgstr "<b><big>Entferne Tag?</big></b>"
 
-#: tags.py:244
+#: ../tags.py:234
 #, python-format
 msgid "Are you sure you want to remove the tag: <b>%s</b>?"
 msgstr "Sind sie sicher das Sie das Tag <b>%s</b> entfernen möchten?"
 
-#: tags.py:289
+#. Create the widgets
+#: ../tags.py:278
 msgid "_Add tag"
 msgstr "T_ag hinzufügen"
 
-#: tags.py:291
+#: ../tags.py:280
 msgid "Tag Name:"
 msgstr "Tag Name:"
 
-#: tags.py:292
+#: ../tags.py:281
 msgid "Revision ID:"
 msgstr "Revision ID:"
 
-#: tags.py:323
+#: ../tags.py:312
 msgid "No tag name specified"
 msgstr "Kein Tag Name angegeben"
 
-#: tags.py:324
+#: ../tags.py:313
 msgid "You have to specify the tag's desired name."
 msgstr "Sie müssen den gewünschten Tag Namen angeben."
-
-#: __init__.py:512
-msgid "There are local changes in the branch"
-msgstr "Es gibt lokale Änderungen im dem Zweig"
-
-#: __init__.py:513
-msgid "Please commit or revert the changes before merging."
-msgstr "Bitte führen sie commit oder revert aus bevor sie mergen."
-
-#: __init__.py:525 __init__.py:550
-msgid "Parent location is unknown"
-msgstr "Vorläuferpfad ist unbekannt"
-
-#: __init__.py:526
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr ""
-"Kann fehlende Revisionen nicht ermitteln falls Vorläuferpfad unbekannt ist."
-
-#: __init__.py:537
-msgid "There are missing revisions"
-msgstr "Es fehlen Revisionen"
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr "%d fehlende Revision(en)"
-
-#: __init__.py:540
-msgid "Local branch up to date"
-msgstr "Lokaler Zweig ist aktuell"
-
-#: __init__.py:541
-msgid "There are no missing revisions."
-msgstr "Es fehlen keine Revisionen."
-
-#: __init__.py:551
-msgid "Pulling is not possible until there is a parent location."
-msgstr "Herunterladen ist nicht möglich bis es ein Vorläuferpfad existiert."
-
-#: __init__.py:561
-msgid "Pull successful"
-msgstr "Herunterladen erfolgreich"
-
-#: __init__.py:561
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr "%d Revision(en) heruntergeladen."
-
-#: __init__.py:575 menu.py:275
-msgid "Conflicts detected"
-msgstr "Konflikte gefunden"
-
-#: __init__.py:576 menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr ""
-"Schauen Sie bitte das aktive Verzeichnisstruktur an, bevor Sie fortfahren."
-
-#: __init__.py:578 menu.py:278
-msgid "Revert successful"
-msgstr "Revert erfolgreich"
-
-#: __init__.py:579 menu.py:279
-msgid "All files reverted to last revision."
-msgstr ""
-"Sämtliche Dateien wurden zur letzten Revision zurückgesetzt (revert)."
-
-#: __init__.py:835 __init__.py:1117
-msgid "Bookmarks"
-msgstr "Lesezeichen"
-
-#: __init__.py:842 menu.py:99
-msgid "Bookmark"
-msgstr "Lesezeichen"
-
-#: __init__.py:944 __init__.py:1231
-msgid "unchanged"
-msgstr "unverändert"
-
-#: __init__.py:946 __init__.py:1233
-msgid "ignored"
-msgstr "ignoriert"
-
-#: __init__.py:948 __init__.py:1235
-msgid "unknown"
-msgstr "unbekennt"
-
-#: __init__.py:964
-msgid "Filename"
-msgstr "Dateiname"
-
-#: __init__.py:965
-msgid "Status"
-msgstr "Status"
-
-#: __init__.py:966
-msgid "Size"
-msgstr "Gr&ouml;&szlig;e"
-
-#: __init__.py:967
-msgid "Last modified"
-msgstr "Zuletzt verändert"
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-"Bitte wählen Sie eine Datei aus der Liste,\n"
-"oder wählen Sie eine andere Option."
-
-#: bookmark.py:46
-msgid "Title:"
-msgstr "Titel:"
-
-#: bookmark.py:81
-msgid "No title given"
-msgstr "Kein Titel angegeben."
-
-#: bookmark.py:82
-msgid "Please specify a title to continue."
-msgstr "Bitte geben Sie einen Titel an, um fortzufahren."
-
-#: guifiles.py:45
-msgid "Glade file cannot be found."
-msgstr "Glade Datei konnte nicht gefunden werden."
-
-#: guifiles.py:55
-msgid "UI description file cannot be found."
-msgstr "UI Beschreibungsdatei konnte nicht gefunden werden."
-
-#: menu.py:63
-msgid "Add"
-msgstr "Hinzufügen"
-
-#: menu.py:64
-msgid "Add the selected file"
-msgstr "Ausgewählte Datei hinzufügen"
-
-#: menu.py:67 menu.py:107
-msgid "Remove"
-msgstr "Entfernen"
-
-#: menu.py:68
-msgid "Remove the selected file"
-msgstr "Ausgewählte Datei entfernen"
-
-#: menu.py:71
-msgid "Remove and delete"
-msgstr "Entfernen und löschen"
-
-#: menu.py:72
-#, fuzzy
-msgid "Remove the selected file/dir and delete from disk"
-msgstr ""
-"Entferne die gewählte(n) Datei(en)/Verzeichnis(se) und lösche sie von der "
-"Festplatte"
-
-#: menu.py:75
-msgid "Rename"
-msgstr "Umbenenen"
-
-#: menu.py:76
-msgid "Rename the selected file"
-msgstr "Die ausgewählte Datei umbenennen"
-
-#: menu.py:79
-#, fuzzy
-msgid "Open"
-msgstr "Öffnen..."
-
-#: menu.py:80
-msgid "Open the selected file"
-msgstr "Öffne die ausgewählte Datei"
-
-#: menu.py:83
-msgid "Revert"
-msgstr "Rückgängig"
-
-#: menu.py:84
-msgid "Revert the changes"
-msgstr "Änderung verwerfen"
-
-#: menu.py:88
-msgid "Commit the changes"
-msgstr "Änderungen festlegen"
-
-#: menu.py:91
-msgid "Annotate"
-msgstr "Beschreibe"
-
-#: menu.py:92
-msgid "Annotate the selected file"
-msgstr "Breschreibe die gewählte Datei"
-
-#: menu.py:95
-msgid "Diff"
-msgstr "Diff"
-
-#: menu.py:96
-msgid "Show the diff of the file"
-msgstr "Dateiendifferenzen anzeigen"
-
-#: menu.py:100
-msgid "Bookmark current location"
-msgstr "Aktueller Pfad als Lesezeichen abspeichern"
-
-#: menu.py:103
-msgid "Edit"
-msgstr "Bearbeiten"
-
-#: menu.py:104
-msgid "Edit the selected bookmark"
-msgstr "Ausgewähltes Lesezeichen bearbeiten"
-
-#: menu.py:108
-msgid "Remove the selected bookmark"
-msgstr "Auswähltes Lesezeichen entfernen"
-
-#: menu.py:111
-msgid "Open Folder"
-msgstr "Öffne Verzeichnis"
-
-#: menu.py:112
-msgid "Open bookmark folder in Nautilus"
-msgstr "Öffne Lesezeichen in Nautilus"
-
-#: menu.py:115
-msgid "Selected..."
-msgstr "Ausgewählt..."
-
-#: menu.py:116
-msgid "Show the differences of the selected file"
-msgstr "Unterschiede der ausgewählten Dateien anzeigen"
-
-#: menu.py:119
-msgid "All..."
-msgstr "Alles..."
-
-#: menu.py:120
-msgid "Show the differences of all files"
-msgstr "Unterschiede aller Dateien anzeigen"
-
-#: menu.py:123
-msgid "View contents"
-msgstr "Zeige Inhalt an"
-
-#: menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr "Zeige Dateiinhalt an in einem built-in viewer"
-
-#: menu.py:127
-msgid "Show differences"
-msgstr "Zeige differenz ain"
-
-#: menu.py:128
-#, fuzzy
-msgid "Show the differences between two revisions of the file"
-msgstr "Zeige die Unterschiede zwischen zwei Revisionen der Datei"
-
-#: menu.py:131
-msgid "Revert to this revision"
-msgstr "Bis zu dieser Überarbeitung rückgängig machen"
-
-#: menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr "Die gewählte Datei bis zur gewählten Überarbeitung zurücksetzen."
-
-#: menu.py:228
-msgid "Delete directory with all directories below ?"
-msgstr "Lösche Verzeichnis und alle Unterverzeichnisse?"
-
-#: menu.py:315
-msgid "Bookmark successfully added"
-msgstr "Lesezeichen erfolgreich hinzugefügt."
-
-#: menu.py:316
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-"Das aktuelle Verzeichnis wurde as Lesezeichen abgespeichert. Sie können\n"
-"es im linken Panel auswählen."
-
-#: menu.py:319
-msgid "Location already bookmarked"
-msgstr "Pfad ist schon als Lesezeichen abgespeichert"
-
-#: menu.py:320
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-"Das aktuelle Verzeichnis wurde schon als Lesezeichen abgespeichert.\n"
-"Bitte berufen Sie sich auf das linke Panel."
-
-#: mkdir.py:67
-msgid "No directory name given"
-msgstr "Kein Verzeichnisnamen angegeben"
-
-#: mkdir.py:68
-msgid "Please specify a desired name for the new directory."
-msgstr ""
-"Bitte geben Sie den gewünschten Verzeichnisnamen für das neue Verzeichnis an."
-
-#: mkdir.py:79 mkdir.py:89
-msgid "Directory already exists"
-msgstr "Verzeichnis existiert bereits"
-
-#: mkdir.py:80 mkdir.py:90
-msgid "Please specify another name to continue."
-msgstr "Bitte geben Sie einen anderen Namen an, um fortzufahren."
-
-#: move.py:80 rename.py:71
-msgid "Please select a file from the list to proceed."
-msgstr "Bitte wählen Sie eine Datei aus der List aus um fortzufahren."
-
-#: move.py:89 rename.py:87
-msgid "Not the same branch"
-msgstr "Nicht dasselbe Zweig"
-
-#: move.py:90 rename.py:88
-msgid "The destination is not in the same branch."
-msgstr "Das Zielort ist nicht in demselben Zweig."
-
-#: remove.py:79 remove.py:139
-msgid "No matching files"
-msgstr "Keine übereinstimmende Dateien"
-
-#: remove.py:80 remove.py:140
-msgid "No added files were found in the working tree."
-msgstr ""
-"Keine hinzugefuegten Dateien konnten in der aktiven Verzeichnisstruktur "
-"gefunden werden."
-
-#: remove.py:105 olive.glade:825
-msgid "Which file(s) do you want to remove?"
-msgstr "Welche Datei(en) wollen Sie entfernen?"
-
-#: remove.py:106 olive.glade:717 olive.glade:837
-msgid "Selected only"
-msgstr "Nur ausgewältes"
-
-#: remove.py:107 olive.glade:851
-msgid "All files with status 'added'"
-msgstr "Alle Dateien mit Status 'hinzugefügt'"
-
-#: remove.py:108 olive.glade:905
-msgid "_Remove"
-msgstr "_Entfernen"
-
-#: rename.py:75
-msgid "Filename not given"
-msgstr "Dateienname nicht angegeben"
-
-#: rename.py:76
-msgid "Please specify a new name for the file."
-msgstr "Bitte geben Sie einen neuen Dateiennamen an."
-
-#: olive.glade:8
-msgid "Olive - Bazaar GUI"
-msgstr "Olive - Bazaar GUI"
-
-#: olive.glade:21
-msgid "_File"
-msgstr "_Datei"
-
-#: olive.glade:28
-msgid "_Add file(s)..."
-msgstr "_Datei(en) hinzufügen..."
-
-#: olive.glade:43
-msgid "Remove file(s)..."
-msgstr "Datei(en) entfernen..."
-
-#: olive.glade:63
-msgid "Make _directory..."
-msgstr "Verzeichniss erstellen..."
-
-#: olive.glade:76
-msgid "_Rename..."
-msgstr "_Umbenennen..."
-
-#: olive.glade:84
-msgid "_Move..."
-msgstr "_Verschieben..."
-
-#: olive.glade:92
-msgid "_Annotate..."
-msgstr "_Beschreibe..."
-
-#: olive.glade:118
-msgid "_View"
-msgstr "Anzeigen"
-
-#: olive.glade:126
-msgid "Show _hidden files"
-msgstr "Versteckte Dateien zeigen"
-
-#: olive.glade:139
-msgid "_Refresh"
-msgstr "Aktualisie_ren"
-
-#: olive.glade:158
-msgid "_Initialize..."
-msgstr "_Initialisiere..."
-
-#: olive.glade:166
-msgid "_Get..."
-msgstr "Holen..."
-
-#: olive.glade:174
-msgid "C_heckout..."
-msgstr "Auschecken..."
-
-#: olive.glade:187
-msgid "Pu_ll"
-msgstr "Herunter_laden"
-
-#: olive.glade:201
-msgid "Pu_sh..."
-msgstr "Hochloaden..."
-
-#: olive.glade:220
-msgid "_Revert all changes"
-msgstr "Alle Änderungen _rückgängig machen"
-
-#: olive.glade:228
-msgid "_Merge..."
-msgstr "_Merge..."
-
-#: olive.glade:236
-msgid "_Commit..."
-msgstr "Festlegen..."
-
-#: olive.glade:255
-msgid "Ta_gs..."
-msgstr "Ta_gs..."
-
-#: olive.glade:263
-msgid "S_tatus..."
-msgstr "S_tatus..."
-
-#: olive.glade:271
-msgid "Missing _revisions"
-msgstr "Fehlende Übe_rarbeitungen"
-
-#: olive.glade:279
-msgid "Con_flicts..."
-msgstr "Kon_flikte..."
-
-#: olive.glade:291
-msgid "_Statistics"
-msgstr "_Statistik"
-
-#: olive.glade:298
-msgid "_Differences..."
-msgstr "_Unterschiede"
-
-#: olive.glade:312
-msgid "_Log..."
-msgstr "_Logbuch..."
-
-#: olive.glade:326
-msgid "_Information..."
-msgstr "_Information..."
-
-#: olive.glade:338
-msgid "_Help"
-msgstr "_Hilfe"
-
-#: olive.glade:548
-#, fuzzy
-msgid "gtk-jump-to"
-msgstr "gtk-jump-to"
-
-#: olive.glade:575
-msgid "H_istory Mode"
-msgstr "H_istory Modus"
-
-#: olive.glade:673
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-
-#: olive.glade:675
-msgid "https://launchpad.net/products/olive"
-msgstr "https://launchpad.net/products/olive"
-
-#: olive.glade:677
-msgid "translator-credits"
-msgstr ""
-"Launchpad Contributions:\n"
-"  Augustus Kling https://launchpad.net/~augustus-kling\n"
-"  Benjamin Jochheim https://launchpad.net/~benjamin-jochheim\n"
-"  Blackout https://launchpad.net/~coolx67\n"
-"  Mike Bronner https://launchpad.net/~mike.bronner\n"
-"  Philipp Wolfer https://launchpad.net/~phw\n"
-"  Pierre Vorhagen https://launchpad.net/~pep.\n"
-"  Sebastian Wallroth https://launchpad.net/~sebastian-wallroth\n"
-"  Simon Pascal Klein https://launchpad.net/~klepas\n"
-"  welterde https://launchpad.net/~welterde"
-
-#: olive.glade:694
-msgid "Olive - Add file(s)"
-msgstr "Olive - Datei(en) hinzufügen"
-
-#: olive.glade:705
-msgid "Which file(s) do you want to add?"
-msgstr "Welche Datei(en) möchten Sie hinzufügen?"
-
-#: olive.glade:731
-msgid "All unknowns recursively"
-msgstr "Alle unbekannten rekursiv"
-
-#: olive.glade:785
-msgid "_Add"
-msgstr "_Hinzufügen"
-
-#: olive.glade:814
-msgid "Olive - Remove file(s)"
-msgstr "Olive - Datei(en) entfernen"
-
-#: olive.glade:934
-msgid "Olive - Make directory"
-msgstr "Olive - Verzeichnis erstellen"
-
-#: olive.glade:957
-msgid "_Versioned directory"
-msgstr "_Versioniertes Verzeichnis"
-
-#: olive.glade:1011
-msgid "_Make directory"
-msgstr "Verzeichnis erstellen"
-
-#: olive.glade:1041
-msgid "Olive - Move"
-msgstr "Olive - Versetzen"
-
-#: olive.glade:1055
-msgid "Move to"
-msgstr "Versetzen nach"
-
-#: olive.glade:1066
-msgid "Select a directory"
-msgstr "Wählen Sie ein Verzeichnis aus"
-
-#: olive.glade:1120
-msgid "_Move"
-msgstr "_Verschieben"
-
-#: olive.glade:1148
-msgid "Olive - Rename"
-msgstr "Olive - Umbennen"
-
-#: olive.glade:1162
-msgid "Rename to"
-msgstr "Umbenennen zu"
-
-#: olive.glade:1227
-msgid "_Rename"
-msgstr "_Umbenennen"
-
-#: olive.glade:1255
-msgid "Olive - Information"
-msgstr "Olive - Informationen"
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275
-msgid "(none)"
-msgstr "(nichts)"
-
-#: olive.glade:1368
-msgid "Checkout root: "
-msgstr "Austragsstammpfad: "
-
-#: olive.glade:1380
-msgid "Branch root: "
-msgstr "Zweigstammpfad: "
-
-#: olive.glade:1392
-msgid "Repository checkout: "
-msgstr "Quellenaustrag: "
-
-#: olive.glade:1404
-msgid "Checkout of branch: "
-msgstr "Zweigaustrag: "
-
-#: olive.glade:1416
-msgid "Repository branch: "
-msgstr "Quellenzweig: "
-
-#: olive.glade:1428
-msgid "Shared repository: "
-msgstr "Beteiligte Quelle: "
-
-#: olive.glade:1440
-msgid "Light checkout root: "
-msgstr "Leichtaustragsstammpfad: "
-
-#: olive.glade:1454
-msgid "<b>Location:</b>"
-msgstr "<b>Ort:</b>"
-
-#: olive.glade:1508
-msgid "Publish to branch: "
-msgstr "Zu Zweig veröffentlichen: "
-
-#: olive.glade:1520
-msgid "Parent branch: "
-msgstr "Zweigvorläufer: "
-
-#: olive.glade:1534
-msgid "<b>Related branches:</b>"
-msgstr "<b>Verbindende Zweige</b>"
-
-#: olive.glade:1614
-msgid "Repository format: "
-msgstr "Quellenformat: "
-
-#: olive.glade:1626
-msgid "Branch format: "
-msgstr "Branch Format "
-
-#: olive.glade:1638
-msgid "Working tree format: "
-msgstr "Aktive Verzeichnisstrukturformat: "
-
-#: olive.glade:1650
-msgid "Control format: "
-msgstr "Kontroll Format "
-
-#: olive.glade:1664
-msgid "<b>Format:</b>"
-msgstr "<b>Format:</b>"
-
-#: olive.glade:1731
-msgid "Repository lock status: "
-msgstr "Quellen Festlegungsstatus: "
-
-#: olive.glade:1743
-msgid "Branch lock status: "
-msgstr "Zweig Festlegungsstatus: "
-
-#: olive.glade:1755
-msgid "Working tree lock status: "
-msgstr "Arbeitsverzeichnisstruktur SperrFetatus: "
-
-#: olive.glade:1769
-msgid "<b>Lock status:</b>"
-msgstr "<b>Sperrstatus:</b>"
-
-#: olive.glade:1823
-msgid "Missing revisions in branch: "
-msgstr "Fehlende Revisionen in Zweig: "
-
-#: olive.glade:1835
-msgid "Missing revisions in working tree: "
-msgstr "Fehlende Revisionen in der Arbeitsverzeichnisstruktur: "
-
-#: olive.glade:1849
-msgid "<b>Missing revisions:</b>"
-msgstr "<b>Fehlende Revisionen:</b>"
-
-#: olive.glade:1981
-msgid "Versioned subdirectories: "
-msgstr "Versionierte Unterverzeichnisse: "
-
-#: olive.glade:1993
-msgid "Ignored files: "
-msgstr "Ignorierte Dateien: "
-
-#: olive.glade:2005
-msgid "Unknown files: "
-msgstr "Unbekannte Dateien: "
-
-#: olive.glade:2017
-msgid "Renamed files: "
-msgstr "Umbennante Dateien: "
-
-#: olive.glade:2029
-msgid "Removed files: "
-msgstr "Entfernte Dateien: "
-
-#: olive.glade:2041
-msgid "Added files: "
-msgstr "Hinzugefügte Dateien: "
-
-#: olive.glade:2053
-msgid "Modified files: "
-msgstr "Geänderte Dateien: "
-
-#: olive.glade:2065
-msgid "Unchanged files: "
-msgstr "Unveränderte Dateien: "
-
-#: olive.glade:2079
-msgid "<b>In the working tree:</b>"
-msgstr "<b>Im aktiven Verzeichnisstruktur:</b>"
-
-#: olive.glade:2172
-msgid "Time of last revision: "
-msgstr "Zeit der letzten Revision: "
-
-#: olive.glade:2184
-msgid "Time of first revision: "
-msgstr "Zeit der ersten Revision: "
-
-#: olive.glade:2196
-msgid "Age of branch in days: "
-msgstr "Zweigalter in Tagen: "
-
-#: olive.glade:2208
-msgid "Number of commiters: "
-msgstr "Anzahl Festleger: "
-
-#: olive.glade:2220
-msgid "Revisions in branch: "
-msgstr "Revisionen in Zweig: "
-
-#: olive.glade:2234
-#, fuzzy
-msgid "<b>Branch history:</b>"
-msgstr "<b>Zweig history:</b>"
-
-#: olive.glade:2288
-msgid "Size of repository: "
-msgstr "Quellengrösse: "
-
-#: olive.glade:2300
-msgid "Revisions in repository: "
-msgstr "Revisionen in der Quelle: "
-
-#: olive.glade:2314
-msgid "<b>Revision store:</b>"
-msgstr "<b>Revisions Speicher:</b>"
-
-#: olive.glade:2356
-#, fuzzy
-msgid "Merge - Olive"
-msgstr "Merge - Olive"
-
-#: olive.glade:2370
-msgid "Merge from:"
-msgstr "Mergen aus:"
-
-#: olive.glade:2454
-msgid "_Merge"
-msgstr "_Merge"

=== modified file 'po/en_GB.po'
--- po/en_GB.po	2008-03-11 17:01:27 +0000
+++ po/en_GB.po	2011-12-02 05:55:20 +0000
@@ -7,243 +7,334 @@
 msgstr ""
 "Project-Id-Version: olive\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2007-08-13 12:05+0200\n"
-"PO-Revision-Date: 2008-01-14 17:07+0000\n"
-"Last-Translator: John Drinkwater <john@nextraweb.com>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:58+0000\n"
+"Last-Translator: Jelmer Vernooij <Unknown>\n"
 "Language-Team: English (United Kingdom) <en_GB@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2008-03-11 16:44+0000\n"
-"X-Generator: Launchpad (build Unknown)\n"
-
-#: branch.py:52 olive.glade:151
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
 msgid "_Branch"
 msgstr "_Branch"
 
-#: branch.py:55 checkout.py:53
-msgid "Please select a folder"
-msgstr "Please select a folder"
-
-#: branch.py:57 checkout.py:55
+#: ../branch.py:49 ../checkout.py:49
 msgid "Branch location:"
 msgstr "Branch location:"
 
-#: branch.py:58 checkout.py:56
+#: ../branch.py:51 ../checkout.py:50
 msgid "Destination:"
 msgstr "Destination:"
 
-#: branch.py:59 checkout.py:57
+#: ../branch.py:52
 msgid "Branck nick:"
 msgstr "Branch nick:"
 
-#: branch.py:60 checkout.py:58
+#: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
 msgstr "Revision:"
 
-#: branch.py:162 checkout.py:163
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Please select a folder"
+
+#: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
 msgstr "Missing branch location"
 
-#: branch.py:163 checkout.py:164
+#: ../branch.py:135 ../checkout.py:154
 msgid "You must specify a branch location."
 msgstr "You must specify a branch location."
 
-#: branch.py:205
+#: ../branch.py:174
 msgid "Branching successful"
 msgstr "Branching successful"
 
-#: branch.py:206
+#: ../branch.py:175
 #, python-format
 msgid "%d revision(s) branched."
 msgstr "%d revision(s) branched."
 
-#: branch.py:214 checkout.py:195
+#: ../branch.py:183 ../checkout.py:185
 msgid "N/A"
 msgstr "N/A"
 
-#: checkout.py:50
+#. Create the widgets
+#: ../checkout.py:44
 msgid "Check_out"
 msgstr "Check_out"
 
-#: checkout.py:62
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
 msgid "_Lightweight checkout"
 msgstr "_Light-weight checkout"
 
-#: commit.py:68
+#: ../commands.py:305
 msgid "Directory does not have a working tree"
 msgstr "Directory does not have a working tree"
 
-#: commit.py:69
+#: ../commands.py:306
 msgid "Operation aborted."
 msgstr "Operation aborted."
 
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556
-msgid "Directory is not a branch"
-msgstr "Directory is not a branch"
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557
-msgid "You can perform this action only in a branch."
-msgstr "You can perform this action only in a branch."
-
-#: commit.py:88
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr "There are local changes in the branch"
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr "Please commit or revert the changes before merging."
+
+#: ../commit.py:178
+msgid "added"
+msgstr "added"
+
+#: ../commit.py:179
+msgid "removed"
+msgstr "removed"
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr "renamed"
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr "renamed and modified"
+
+#: ../commit.py:182
+msgid "modified"
+msgstr "modified"
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr "_Only commit locally"
+
+#: ../commit.py:361
 msgid "Comm_it"
 msgstr "Comm_it"
 
-#: commit.py:89
-msgid "File(s) to commit"
-msgstr "File(s) to commit"
-
-#: commit.py:95
-msgid "Commit message:"
-msgstr "Commit message:"
-
-#: commit.py:99
-msgid "Pending merges"
-msgstr "Pending merges"
-
-#: commit.py:147
-msgid "_Only commit locally"
-msgstr "_Only commit locally"
-
-#: commit.py:215
-msgid "Commit with an empty message?"
-msgstr "Commit with an empty message?"
-
-#: commit.py:216
-msgid "You can describe your commit intent in the message."
-msgstr "You can describe your commit intent in the message."
-
-#: commit.py:228
-msgid "Commit with unknowns?"
-msgstr "Commit with unknowns?"
-
-#: commit.py:229
-msgid "Unknown files exist in the working tree. Commit anyway?"
-msgstr "Unknown files exist in the working tree. Commit anyway?"
-
-#: commit.py:240
-msgid "Commit with no changes?"
-msgstr "Commit with no changes?"
-
-#: commit.py:241
-msgid "There are no changes in the working tree."
-msgstr "There are no changes in the working tree."
-
-#: commit.py:323 menu.py:87
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
 msgid "Commit"
 msgstr "Commit"
 
-#: commit.py:325 conflicts.py:108
+#: ../commit.py:443 ../conflicts.py:107
 msgid "Path"
 msgstr "Path"
 
-#: commit.py:327 conflicts.py:110
+#: ../commit.py:445 ../conflicts.py:109
 msgid "Type"
 msgstr "Type"
 
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
-msgid "added"
-msgstr "added"
-
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
-msgid "removed"
-msgstr "removed"
-
-#: commit.py:353
-msgid "renamed and modified"
-msgstr "renamed and modified"
-
-#: commit.py:355 __init__.py:936 __init__.py:1223
-msgid "renamed"
-msgstr "renamed"
-
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
-msgid "modified"
-msgstr "modified"
-
-#: commit.py:395
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
 msgid "Date"
 msgstr "Date"
 
-#: commit.py:397 revbrowser.py:68
+#: ../commit.py:505
 msgid "Committer"
 msgstr "Committer"
 
-#: commit.py:399 revbrowser.py:66
+#: ../commit.py:507 ../search.py:60
 msgid "Summary"
 msgstr "Summary"
 
-#: conflicts.py:48
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr "Commit with an empty message?"
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr "You can describe your commit intent in the message."
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr "Commit with unknowns?"
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr "Unknown files exist in the working tree. Commit anyway?"
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr "Commit with no changes?"
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
 msgid "External utility:"
 msgstr "External utility:"
 
-#: conflicts.py:99
+#: ../conflicts.py:97
 msgid "Conflicts"
 msgstr "Conflicts"
 
-#: conflicts.py:102
+#: ../conflicts.py:100
 msgid "No conflicts in working tree."
 msgstr "No conflicts in working tree."
 
-#: conflicts.py:115
+#: ../conflicts.py:114
 msgid "path conflict"
 msgstr "path conflict"
 
-#: conflicts.py:117
+#: ../conflicts.py:116
 msgid "contents conflict"
 msgstr "contents conflict"
 
-#: conflicts.py:119
+#: ../conflicts.py:118
 msgid "text conflict"
 msgstr "text conflict"
 
-#: conflicts.py:121
+#: ../conflicts.py:120
 msgid "duplicate id"
 msgstr "duplicate id"
 
-#: conflicts.py:123
+#: ../conflicts.py:122
 msgid "duplicate"
 msgstr "duplicate"
 
-#: conflicts.py:125
+#: ../conflicts.py:124
 msgid "parent loop"
 msgstr "parent loop"
 
-#: conflicts.py:127
+#: ../conflicts.py:126
 msgid "unversioned parent"
 msgstr "unversioned parent"
 
-#: conflicts.py:129
+#: ../conflicts.py:128
 msgid "missing parent"
 msgstr "missing parent"
 
-#: conflicts.py:131
+#: ../conflicts.py:130
 msgid "deleting parent"
 msgstr "deleting parent"
 
-#: conflicts.py:133
+#: ../conflicts.py:132
 msgid "unknown type of conflict"
 msgstr "unknown type of conflict"
 
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
+#: ../conflicts.py:161
 msgid "No file was selected"
 msgstr "No file was selected"
 
-#: conflicts.py:163 __init__.py:615 menu.py:192
+#: ../conflicts.py:162
 msgid "Please select a file from the list."
 msgstr "Please select a file from the list."
 
-#: conflicts.py:173
+#: ../conflicts.py:172
 msgid "Call to external utility failed"
 msgstr "Call to external utility failed"
 
-#: conflicts.py:175
+#: ../conflicts.py:174
 msgid "Cannot resolve conflict"
 msgstr "Cannot resolve conflict"
 
-#: conflicts.py:176
+#: ../conflicts.py:175
 msgid ""
 "Only conflicts on the text of files can be resolved with Olive at the "
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
@@ -253,35 +344,78 @@
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
 "using the command line."
 
-#: errors.py:29
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "_View"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr "Merge successful"
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr "All changes applied successfully."
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr "Conflicts encountered"
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr "Please resolve the conflicts manually before committing."
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr "Directory is not a branch"
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr "You can perform this action only in a branch."
+
+#: ../errors.py:34
 msgid "Directory is not a checkout"
 msgstr "Directory is not a checkout"
 
-#: errors.py:30
+#: ../errors.py:35
 msgid "You can perform local commit only on checkouts."
 msgstr "You can perform local commit only on checkouts."
 
-#: errors.py:32
+#: ../errors.py:37
 msgid "No changes to commit"
 msgstr "No changes to commit"
 
-#: errors.py:33
+#: ../errors.py:38
 msgid "Try force commit if you want to commit anyway."
 msgstr "Try force commit if you want to commit anyway."
 
-#: errors.py:35
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
 msgid "Conflicts in tree"
 msgstr "Conflicts in tree"
 
-#: errors.py:36
+#: ../errors.py:44
 msgid "You need to resolve the conflicts before committing."
 msgstr "You need to resolve the conflicts before committing."
 
-#: errors.py:38
+#: ../errors.py:46
 msgid "Strict commit failed"
 msgstr "Strict commit failed"
 
-#: errors.py:39
+#: ../errors.py:47
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
@@ -289,28 +423,29 @@
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
 
-#: errors.py:41
+#: ../errors.py:49
 msgid "Bound branch is out of date"
 msgstr "Bound branch is out of date"
 
-#: errors.py:42
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
 #, python-format
 msgid "%s"
 msgstr "%s"
 
-#: errors.py:44
+#: ../errors.py:53
 msgid "File not versioned"
 msgstr "File not versioned"
 
-#: errors.py:45
+#: ../errors.py:54
 msgid "The selected file is not versioned."
 msgstr "The selected file is not versioned."
 
-#: errors.py:47 push.py:105
+#: ../errors.py:56 ../push.py:100
 msgid "Branches have been diverged"
 msgstr "Branches have been diverged"
 
-#: errors.py:48
+#: ../errors.py:57
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
@@ -318,35 +453,35 @@
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
 
-#: errors.py:50
+#: ../errors.py:59
 msgid "No diff output"
 msgstr "No diff output"
 
-#: errors.py:51
+#: ../errors.py:60
 msgid "The selected file hasn't changed."
 msgstr "The selected file hasn't changed."
 
-#: errors.py:53
+#: ../errors.py:62
 msgid "No such revision"
 msgstr "No such revision"
 
-#: errors.py:54
+#: ../errors.py:63
 msgid "The revision you specified doesn't exist."
 msgstr "The revision you specified doesn't exist."
 
-#: errors.py:56
+#: ../errors.py:65
 msgid "Target already exists"
 msgstr "Target already exists"
 
-#: errors.py:57
+#: ../errors.py:66
 msgid "Target directory already exists. Please select another target."
 msgstr "Target directory already exists. Please select another target."
 
-#: errors.py:59
+#: ../errors.py:68
 msgid "Directory is already a branch"
 msgstr "Directory is already a branch"
 
-#: errors.py:60
+#: ../errors.py:69
 #, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
@@ -355,11 +490,11 @@
 "The current directory (%s) is already a branch.\n"
 "You can start using it, or initialise another directory."
 
-#: errors.py:62
+#: ../errors.py:71
 msgid "Branch without a working tree"
 msgstr "Branch without a working tree"
 
-#: errors.py:63
+#: ../errors.py:72
 #, python-format
 msgid ""
 "The current directory (%s)\n"
@@ -368,117 +503,154 @@
 "The current directory (%s)\n"
 "is a branch without a working tree."
 
-#: errors.py:65
+#: ../errors.py:74
 msgid "Unknown bzr error"
 msgstr "Unknown bzr error"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "Permission denied"
 msgstr "Permission denied"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "permission denied."
 msgstr "permission denied."
 
-#: errors.py:69
+#: ../errors.py:78
 msgid "Unknown error"
 msgstr "Unknown error"
 
-#: initialize.py:47
+#. Create the widgets
+#: ../initialize.py:46
 msgid "_Initialize"
 msgstr "_Initialise"
 
-#: initialize.py:48
+#: ../initialize.py:47
 msgid "Which directory do you want to initialize?"
 msgstr "Which directory do you want to initialise?"
 
-#: initialize.py:49
+#: ../initialize.py:49
 msgid "Current directory"
 msgstr "Current directory"
 
-#: initialize.py:50
+#: ../initialize.py:51
 msgid "Create a new directory with the name:"
 msgstr "Create a new directory with the name:"
 
-#: initialize.py:85
+#: ../initialize.py:87
 msgid "Directory name not specified"
 msgstr "Directory name not specified"
 
-#: initialize.py:86
+#: ../initialize.py:88
 msgid "You should specify a new directory name."
 msgstr "You should specify a new directory name."
 
-#: merge.py:66
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr "_Merge"
+
+#: ../merge.py:130
 msgid "Branch not given"
 msgstr "Branch not given"
 
-#: merge.py:67
+#: ../merge.py:131
 msgid "Please specify a branch to merge from."
 msgstr "Please specify a branch to merge from."
 
-#: merge.py:75
+#: ../merge.py:139
 msgid "Bazaar command error"
 msgstr "Bazaar command error"
 
-#: merge.py:81
-msgid "Merge successful"
-msgstr "Merge successful"
-
-#: merge.py:82
-msgid "All changes applied successfully."
-msgstr "All changes applied successfully."
-
-#: merge.py:85
-msgid "Conflicts encountered"
-msgstr "Conflicts encountered"
-
-#: merge.py:86
-msgid "Please resolve the conflicts manually before committing."
-msgstr "Please resolve the conflicts manually before committing."
-
-#: push.py:52 bookmark.py:45
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
 msgid "Location:"
 msgstr "Location:"
 
-#: push.py:54
+#: ../push.py:52
 msgid "_Push"
 msgstr "_Push"
 
-#: push.py:97
-msgid "Set default push location"
-msgstr "Set default push location"
-
-#: push.py:98
-#, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-msgstr ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-
-#: push.py:106
-msgid ""
-"You cannot push if branches have diverged.\n"
-"Overwrite?"
-msgstr ""
-"You cannot push if branches have diverged.\n"
-"Overwrite?"
-
-#: push.py:112
+#: ../push.py:101
+msgid ""
+"You cannot push if branches have diverged.\n"
+"Overwrite?"
+msgstr ""
+"You cannot push if branches have diverged.\n"
+"Overwrite?"
+
+#: ../push.py:109
 msgid "Push successful"
 msgstr "Push successful"
 
-#: push.py:113
+#: ../push.py:110
 #, python-format
 msgid "%d revision(s) pushed."
 msgstr "%d revision(s) pushed."
 
-#: push.py:146
+#: ../push.py:141
 msgid "Non existing parent directory"
 msgstr "Non existing parent directory"
 
-#: push.py:147
+#: ../push.py:142
 #, python-format
 msgid ""
 "The parent directory (%s)\n"
@@ -487,828 +659,94 @@
 "The parent directory (%s)\n"
 "doesn't exist. Create?"
 
-#: revbrowser.py:45
-msgid "Please wait, revisions are being loaded..."
-msgstr "Please wait, revisions are being loaded..."
-
-#: revbrowser.py:48
+#. Create the widgets
+#: ../revbrowser.py:35
 msgid "_Select"
 msgstr "_Select"
 
-#: revbrowser.py:64
-msgid "Revno"
-msgstr "Revno"
-
-#: revbrowser.py:70
-msgid "Time"
-msgstr "Time"
-
-#: status.py:78
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
 msgid "Added"
 msgstr "Added"
 
-#: status.py:84
+#: ../status.py:93
 msgid "Removed"
 msgstr "Removed"
 
-#: status.py:90
+#: ../status.py:99
 msgid "Renamed"
 msgstr "Renamed"
 
-#: status.py:97
+#: ../status.py:106
 msgid "Modified"
 msgstr "Modified"
 
-#: status.py:105
+#: ../status.py:114
 msgid "Unknown"
 msgstr "Unknown"
 
-#: status.py:110
+#: ../status.py:119
 msgid "No changes."
 msgstr "No changes."
 
-#: tags.py:67
+#. Set properties
+#: ../tags.py:60
 msgid "Tags"
 msgstr "Tags"
 
-#: tags.py:111
+#: ../tags.py:110
 msgid "Tag Name"
 msgstr "Tag Name"
 
-#: tags.py:116
+#: ../tags.py:115
 msgid "Revision ID"
 msgstr "Revision ID"
 
-#: tags.py:151
+#: ../tags.py:148
 msgid "Tags are not supported by this branch format. Please upgrade."
 msgstr "Tags are not supported by this branch format. Please upgrade."
 
-#: tags.py:157
+#: ../tags.py:154
 msgid "No tagged revisions in the branch."
 msgstr "No tagged revisions in the branch."
 
-#: tags.py:232
+#: ../tags.py:222
 msgid "_Remove tag"
 msgstr "_Remove tag"
 
-#: tags.py:242
+#: ../tags.py:232
 msgid "<b><big>Remove tag?</big></b>"
 msgstr "<b><big>Remove tag?</big></b>"
 
-#: tags.py:244
+#: ../tags.py:234
 #, python-format
 msgid "Are you sure you want to remove the tag: <b>%s</b>?"
 msgstr "Are you sure you want to remove the tag: <b>%s</b>?"
 
-#: tags.py:289
+#. Create the widgets
+#: ../tags.py:278
 msgid "_Add tag"
 msgstr "_Add tag"
 
-#: tags.py:291
+#: ../tags.py:280
 msgid "Tag Name:"
 msgstr "Tag Name:"
 
-#: tags.py:292
+#: ../tags.py:281
 msgid "Revision ID:"
 msgstr "Revision ID:"
 
-#: tags.py:323
+#: ../tags.py:312
 msgid "No tag name specified"
 msgstr "No tag name specified"
 
-#: tags.py:324
+#: ../tags.py:313
 msgid "You have to specify the tag's desired name."
 msgstr "You have to specify the tag's desired name."
-
-#: __init__.py:512
-msgid "There are local changes in the branch"
-msgstr "There are local changes in the branch"
-
-#: __init__.py:513
-msgid "Please commit or revert the changes before merging."
-msgstr "Please commit or revert the changes before merging."
-
-#: __init__.py:525 __init__.py:550
-msgid "Parent location is unknown"
-msgstr "Parent location is unknown"
-
-#: __init__.py:526
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr "Cannot determine missing revisions if no parent location is known."
-
-#: __init__.py:537
-msgid "There are missing revisions"
-msgstr "There are missing revisions"
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr "%d revision(s) missing."
-
-#: __init__.py:540
-msgid "Local branch up to date"
-msgstr "Local branch up to date"
-
-#: __init__.py:541
-msgid "There are no missing revisions."
-msgstr "There are no missing revisions."
-
-#: __init__.py:551
-msgid "Pulling is not possible until there is a parent location."
-msgstr "Pulling is not possible until there is a parent location."
-
-#: __init__.py:561
-msgid "Pull successful"
-msgstr "Pull successful"
-
-#: __init__.py:561
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr "%d revision(s) pulled."
-
-#: __init__.py:575 menu.py:275
-msgid "Conflicts detected"
-msgstr "Conflicts detected"
-
-#: __init__.py:576 menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr "Please have a look at the working tree before continuing."
-
-#: __init__.py:578 menu.py:278
-msgid "Revert successful"
-msgstr "Revert successful"
-
-#: __init__.py:579 menu.py:279
-msgid "All files reverted to last revision."
-msgstr "All files reverted to last revision."
-
-#: __init__.py:835 __init__.py:1117
-msgid "Bookmarks"
-msgstr "Bookmarks"
-
-#: __init__.py:842 menu.py:99
-msgid "Bookmark"
-msgstr "Bookmark"
-
-#: __init__.py:944 __init__.py:1231
-msgid "unchanged"
-msgstr "unchanged"
-
-#: __init__.py:946 __init__.py:1233
-msgid "ignored"
-msgstr "ignored"
-
-#: __init__.py:948 __init__.py:1235
-msgid "unknown"
-msgstr "unknown"
-
-#: __init__.py:964
-msgid "Filename"
-msgstr "Filename"
-
-#: __init__.py:965
-msgid "Status"
-msgstr "Status"
-
-#: __init__.py:966
-msgid "Size"
-msgstr "Size"
-
-#: __init__.py:967
-msgid "Last modified"
-msgstr "Last modified"
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-"Please select a file from the list,\n"
-"or choose the other option."
-
-#: bookmark.py:46
-msgid "Title:"
-msgstr "Title:"
-
-#: bookmark.py:81
-msgid "No title given"
-msgstr "No title given"
-
-#: bookmark.py:82
-msgid "Please specify a title to continue."
-msgstr "Please specify a title to continue."
-
-#: guifiles.py:45
-msgid "Glade file cannot be found."
-msgstr "Glade file cannot be found."
-
-#: guifiles.py:55
-msgid "UI description file cannot be found."
-msgstr "UI description file cannot be found."
-
-#: menu.py:63
-msgid "Add"
-msgstr "Add"
-
-#: menu.py:64
-msgid "Add the selected file"
-msgstr "Add the selected file"
-
-#: menu.py:67 menu.py:107
-msgid "Remove"
-msgstr "Remove"
-
-#: menu.py:68
-msgid "Remove the selected file"
-msgstr "Remove the selected file"
-
-#: menu.py:71
-msgid "Remove and delete"
-msgstr "Remove and delete"
-
-#: menu.py:72
-msgid "Remove the selected file/dir and delete from disk"
-msgstr "Remove the selected file/directory and permanently delete"
-
-#: menu.py:75
-msgid "Rename"
-msgstr "Rename"
-
-#: menu.py:76
-msgid "Rename the selected file"
-msgstr "Rename the selected file"
-
-#: menu.py:79
-msgid "Open"
-msgstr "Open"
-
-#: menu.py:80
-msgid "Open the selected file"
-msgstr "Open the selected file"
-
-#: menu.py:83
-msgid "Revert"
-msgstr "Revert"
-
-#: menu.py:84
-msgid "Revert the changes"
-msgstr "Revert the changes"
-
-#: menu.py:88
-msgid "Commit the changes"
-msgstr "Commit the changes"
-
-#: menu.py:91
-msgid "Annotate"
-msgstr "Annotate"
-
-#: menu.py:92
-msgid "Annotate the selected file"
-msgstr "Annotate the selected file"
-
-#: menu.py:95
-msgid "Diff"
-msgstr "Diff"
-
-#: menu.py:96
-msgid "Show the diff of the file"
-msgstr "Show the diff of the file"
-
-#: menu.py:100
-msgid "Bookmark current location"
-msgstr "Bookmark current location"
-
-#: menu.py:103
-msgid "Edit"
-msgstr "Edit"
-
-#: menu.py:104
-msgid "Edit the selected bookmark"
-msgstr "Edit the selected bookmark"
-
-#: menu.py:108
-msgid "Remove the selected bookmark"
-msgstr "Remove the selected bookmark"
-
-#: menu.py:111
-msgid "Open Folder"
-msgstr "Open Directory"
-
-#: menu.py:112
-msgid "Open bookmark folder in Nautilus"
-msgstr "Open bookmark directory in Nautilus"
-
-#: menu.py:115
-msgid "Selected..."
-msgstr "Selected..."
-
-#: menu.py:116
-msgid "Show the differences of the selected file"
-msgstr "Show the differences of the selected file"
-
-#: menu.py:119
-msgid "All..."
-msgstr "All..."
-
-#: menu.py:120
-msgid "Show the differences of all files"
-msgstr "Show the differences of all files"
-
-#: menu.py:123
-msgid "View contents"
-msgstr "View contents"
-
-#: menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr "View the contents of the file in a built-in viewer"
-
-#: menu.py:127
-msgid "Show differences"
-msgstr "Show differences"
-
-#: menu.py:128
-msgid "Show the differences between two revisions of the file"
-msgstr "Show the differences between two revisions of the file"
-
-#: menu.py:131
-msgid "Revert to this revision"
-msgstr "Revert to this revision"
-
-#: menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr "Revert the selected file to the selected revision"
-
-#: menu.py:228
-msgid "Delete directory with all directories below ?"
-msgstr "Delete directory with all directories below ?"
-
-#: menu.py:315
-msgid "Bookmark successfully added"
-msgstr "Bookmark successfully added"
-
-#: menu.py:316
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-
-#: menu.py:319
-msgid "Location already bookmarked"
-msgstr "Location already bookmarked"
-
-#: menu.py:320
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-
-#: mkdir.py:67
-msgid "No directory name given"
-msgstr "No directory name given"
-
-#: mkdir.py:68
-msgid "Please specify a desired name for the new directory."
-msgstr "Please specify a desired name for the new directory."
-
-#: mkdir.py:79 mkdir.py:89
-msgid "Directory already exists"
-msgstr "Directory already exists"
-
-#: mkdir.py:80 mkdir.py:90
-msgid "Please specify another name to continue."
-msgstr "Please specify another name to continue."
-
-#: move.py:80 rename.py:71
-msgid "Please select a file from the list to proceed."
-msgstr "Please select a file from the list to proceed."
-
-#: move.py:89 rename.py:87
-msgid "Not the same branch"
-msgstr "Not the same branch"
-
-#: move.py:90 rename.py:88
-msgid "The destination is not in the same branch."
-msgstr "The destination is not in the same branch."
-
-#: remove.py:79 remove.py:139
-msgid "No matching files"
-msgstr "No matching files"
-
-#: remove.py:80 remove.py:140
-msgid "No added files were found in the working tree."
-msgstr "No added files were found in the working tree."
-
-#: remove.py:105 olive.glade:825
-msgid "Which file(s) do you want to remove?"
-msgstr "Which file(s) do you want to remove?"
-
-#: remove.py:106 olive.glade:717 olive.glade:837
-msgid "Selected only"
-msgstr "Selected only"
-
-#: remove.py:107 olive.glade:851
-msgid "All files with status 'added'"
-msgstr "All files with status 'added'"
-
-#: remove.py:108 olive.glade:905
-msgid "_Remove"
-msgstr "_Remove"
-
-#: rename.py:75
-msgid "Filename not given"
-msgstr "Filename not given"
-
-#: rename.py:76
-msgid "Please specify a new name for the file."
-msgstr "Please specify a new name for the file."
-
-#: olive.glade:8
-msgid "Olive - Bazaar GUI"
-msgstr "Olive - Bazaar GUI"
-
-#: olive.glade:21
-msgid "_File"
-msgstr "_File"
-
-#: olive.glade:28
-msgid "_Add file(s)..."
-msgstr "_Add file(s)..."
-
-#: olive.glade:43
-msgid "Remove file(s)..."
-msgstr "Remove file(s)..."
-
-#: olive.glade:63
-msgid "Make _directory..."
-msgstr "Make _directory..."
-
-#: olive.glade:76
-msgid "_Rename..."
-msgstr "_Rename..."
-
-#: olive.glade:84
-msgid "_Move..."
-msgstr "_Move..."
-
-#: olive.glade:92
-msgid "_Annotate..."
-msgstr "_Annotate..."
-
-#: olive.glade:118
-msgid "_View"
-msgstr "_View"
-
-#: olive.glade:126
-msgid "Show _hidden files"
-msgstr "Show _hidden files"
-
-#: olive.glade:139
-msgid "_Refresh"
-msgstr "_Refresh"
-
-#: olive.glade:158
-msgid "_Initialize..."
-msgstr "_Initialise..."
-
-#: olive.glade:166
-msgid "_Get..."
-msgstr "_Get..."
-
-#: olive.glade:174
-msgid "C_heckout..."
-msgstr "C_heckout..."
-
-#: olive.glade:187
-msgid "Pu_ll"
-msgstr "Pu_ll"
-
-#: olive.glade:201
-msgid "Pu_sh..."
-msgstr "Pu_sh..."
-
-#: olive.glade:220
-msgid "_Revert all changes"
-msgstr "_Revert all changes"
-
-#: olive.glade:228
-msgid "_Merge..."
-msgstr "_Merge..."
-
-#: olive.glade:236
-msgid "_Commit..."
-msgstr "_Commit..."
-
-#: olive.glade:255
-msgid "Ta_gs..."
-msgstr "Ta_gs..."
-
-#: olive.glade:263
-msgid "S_tatus..."
-msgstr "S_tatus..."
-
-#: olive.glade:271
-msgid "Missing _revisions"
-msgstr "Missing _revisions"
-
-#: olive.glade:279
-msgid "Con_flicts..."
-msgstr "Con_flicts..."
-
-#: olive.glade:291
-msgid "_Statistics"
-msgstr "_Statistics"
-
-#: olive.glade:298
-msgid "_Differences..."
-msgstr "_Differences..."
-
-#: olive.glade:312
-msgid "_Log..."
-msgstr "_Log..."
-
-#: olive.glade:326
-msgid "_Information..."
-msgstr "_Information..."
-
-#: olive.glade:338
-msgid "_Help"
-msgstr "_Help"
-
-#: olive.glade:548
-msgid "gtk-jump-to"
-msgstr "gtk-jump-to"
-
-#: olive.glade:575
-msgid "H_istory Mode"
-msgstr "H_istory Mode"
-
-#: olive.glade:673
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-
-#: olive.glade:675
-msgid "https://launchpad.net/products/olive"
-msgstr "https://launchpad.net/products/olive"
-
-#: olive.glade:677
-msgid "translator-credits"
-msgstr ""
-"Launchpad Contributions:\n"
-"  Bruce Cowan https://launchpad.net/~bruce89\n"
-"  John Drinkwater https://launchpad.net/~johndrinkwater"
-
-#: olive.glade:694
-msgid "Olive - Add file(s)"
-msgstr "Olive - Add file(s)"
-
-#: olive.glade:705
-msgid "Which file(s) do you want to add?"
-msgstr "Which file(s) do you want to add?"
-
-#: olive.glade:731
-msgid "All unknowns recursively"
-msgstr "All unknowns recursively"
-
-#: olive.glade:785
-msgid "_Add"
-msgstr "_Add"
-
-#: olive.glade:814
-msgid "Olive - Remove file(s)"
-msgstr "Olive - Remove file(s)"
-
-#: olive.glade:934
-msgid "Olive - Make directory"
-msgstr "Olive - Make directory"
-
-#: olive.glade:957
-msgid "_Versioned directory"
-msgstr "_Versioned directory"
-
-#: olive.glade:1011
-msgid "_Make directory"
-msgstr "_Make directory"
-
-#: olive.glade:1041
-msgid "Olive - Move"
-msgstr "Olive - Move"
-
-#: olive.glade:1055
-msgid "Move to"
-msgstr "Move to"
-
-#: olive.glade:1066
-msgid "Select a directory"
-msgstr "Select a directory"
-
-#: olive.glade:1120
-msgid "_Move"
-msgstr "_Move"
-
-#: olive.glade:1148
-msgid "Olive - Rename"
-msgstr "Olive - Rename"
-
-#: olive.glade:1162
-msgid "Rename to"
-msgstr "Rename to"
-
-#: olive.glade:1227
-msgid "_Rename"
-msgstr "_Rename"
-
-#: olive.glade:1255
-msgid "Olive - Information"
-msgstr "Olive - Information"
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275
-msgid "(none)"
-msgstr "(none)"
-
-#: olive.glade:1368
-msgid "Checkout root: "
-msgstr "Checkout root: "
-
-#: olive.glade:1380
-msgid "Branch root: "
-msgstr "Branch root: "
-
-#: olive.glade:1392
-msgid "Repository checkout: "
-msgstr "Repository checkout: "
-
-#: olive.glade:1404
-msgid "Checkout of branch: "
-msgstr "Checkout of branch: "
-
-#: olive.glade:1416
-msgid "Repository branch: "
-msgstr "Repository branch: "
-
-#: olive.glade:1428
-msgid "Shared repository: "
-msgstr "Shared repository: "
-
-#: olive.glade:1440
-msgid "Light checkout root: "
-msgstr "Light checkout root: "
-
-#: olive.glade:1454
-msgid "<b>Location:</b>"
-msgstr "<b>Location:</b>"
-
-#: olive.glade:1508
-msgid "Publish to branch: "
-msgstr "Publish to branch: "
-
-#: olive.glade:1520
-msgid "Parent branch: "
-msgstr "Parent branch: "
-
-#: olive.glade:1534
-msgid "<b>Related branches:</b>"
-msgstr "<b>Related branches:</b>"
-
-#: olive.glade:1614
-msgid "Repository format: "
-msgstr "Repository format: "
-
-#: olive.glade:1626
-msgid "Branch format: "
-msgstr "Branch format: "
-
-#: olive.glade:1638
-msgid "Working tree format: "
-msgstr "Working tree format: "
-
-#: olive.glade:1650
-msgid "Control format: "
-msgstr "Control format: "
-
-#: olive.glade:1664
-msgid "<b>Format:</b>"
-msgstr "<b>Format:</b>"
-
-#: olive.glade:1731
-msgid "Repository lock status: "
-msgstr "Repository lock status: "
-
-#: olive.glade:1743
-msgid "Branch lock status: "
-msgstr "Branch lock status: "
-
-#: olive.glade:1755
-msgid "Working tree lock status: "
-msgstr "Working tree lock status: "
-
-#: olive.glade:1769
-msgid "<b>Lock status:</b>"
-msgstr "<b>Lock status:</b>"
-
-#: olive.glade:1823
-msgid "Missing revisions in branch: "
-msgstr "Missing revisions in branch: "
-
-#: olive.glade:1835
-msgid "Missing revisions in working tree: "
-msgstr "Missing revisions in working tree: "
-
-#: olive.glade:1849
-msgid "<b>Missing revisions:</b>"
-msgstr "<b>Missing revisions:</b>"
-
-#: olive.glade:1981
-msgid "Versioned subdirectories: "
-msgstr "Versioned subdirectories: "
-
-#: olive.glade:1993
-msgid "Ignored files: "
-msgstr "Ignored files: "
-
-#: olive.glade:2005
-msgid "Unknown files: "
-msgstr "Unknown files: "
-
-#: olive.glade:2017
-msgid "Renamed files: "
-msgstr "Renamed files: "
-
-#: olive.glade:2029
-msgid "Removed files: "
-msgstr "Removed files: "
-
-#: olive.glade:2041
-msgid "Added files: "
-msgstr "Added files: "
-
-#: olive.glade:2053
-msgid "Modified files: "
-msgstr "Modified files: "
-
-#: olive.glade:2065
-msgid "Unchanged files: "
-msgstr "Unchanged files: "
-
-#: olive.glade:2079
-msgid "<b>In the working tree:</b>"
-msgstr "<b>In the working tree:</b>"
-
-#: olive.glade:2172
-msgid "Time of last revision: "
-msgstr "Time of last revision: "
-
-#: olive.glade:2184
-msgid "Time of first revision: "
-msgstr "Time of first revision: "
-
-#: olive.glade:2196
-msgid "Age of branch in days: "
-msgstr "Age of branch in days: "
-
-#: olive.glade:2208
-msgid "Number of commiters: "
-msgstr "Number of commiters: "
-
-#: olive.glade:2220
-msgid "Revisions in branch: "
-msgstr "Revisions in branch: "
-
-#: olive.glade:2234
-msgid "<b>Branch history:</b>"
-msgstr "<b>Branch history:</b>"
-
-#: olive.glade:2288
-msgid "Size of repository: "
-msgstr "Size of repository: "
-
-#: olive.glade:2300
-msgid "Revisions in repository: "
-msgstr "Revisions in repository: "
-
-#: olive.glade:2314
-msgid "<b>Revision store:</b>"
-msgstr "<b>Revision store:</b>"
-
-#: olive.glade:2356
-msgid "Merge - Olive"
-msgstr "Merge - Olive"
-
-#: olive.glade:2370
-msgid "Merge from:"
-msgstr "Merge from:"
-
-#: olive.glade:2454
-msgid "_Merge"
-msgstr "_Merge"

=== added file 'po/eo.po'
--- po/eo.po	1970-01-01 00:00:00 +0000
+++ po/eo.po	2011-12-02 05:55:20 +0000
@@ -0,0 +1,737 @@
+# Esperanto translation for bzr-gtk
+# Copyright (c) 2009 Rosetta Contributors and Canonical Ltd 2009
+# This file is distributed under the same license as the bzr-gtk package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2009.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: bzr-gtk\n"
+"Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:57+0000\n"
+"Last-Translator: Michael Moroni <michael.moroni@mailoo.org>\n"
+"Language-Team: Esperanto <eo@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Launchpad-Export-Date: 2011-12-02 05:54+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr "Preferoj de Bazaro"
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr "Agordi Bazaron"
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr "Bazaro"
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr "Atentigoj de Bazaro"
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr "Atentigarea piktogramo por Bazaro"
+
+#. Create the widgets
+#: ../branch.py:46
+msgid "_Branch"
+msgstr "_Branĉo"
+
+#: ../branch.py:49 ../checkout.py:49
+msgid "Branch location:"
+msgstr "Branĉloko"
+
+#: ../branch.py:51 ../checkout.py:50
+msgid "Destination:"
+msgstr "Celo:"
+
+#: ../branch.py:52
+msgid "Branck nick:"
+msgstr ""
+
+#: ../branch.py:53 ../checkout.py:52
+msgid "Revision:"
+msgstr "Revizio:"
+
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Bonvolu elekti dosierujon"
+
+#: ../branch.py:134 ../checkout.py:153
+msgid "Missing branch location"
+msgstr "Branĉloko mankas"
+
+#: ../branch.py:135 ../checkout.py:154
+msgid "You must specify a branch location."
+msgstr "Vi devu specifi branĉlokon."
+
+#: ../branch.py:174
+msgid "Branching successful"
+msgstr "Sukcesa branĉado"
+
+#: ../branch.py:175
+#, python-format
+msgid "%d revision(s) branched."
+msgstr "%d revizio(j) branĉita(j)."
+
+#: ../branch.py:183 ../checkout.py:185
+msgid "N/A"
+msgstr "N/D"
+
+#. Create the widgets
+#: ../checkout.py:44
+msgid "Check_out"
+msgstr "K_ontrolo"
+
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr "Branĉnomo:"
+
+#: ../checkout.py:56
+msgid "_Lightweight checkout"
+msgstr "Ma_lpeza kontrolo"
+
+#: ../commands.py:305
+msgid "Directory does not have a working tree"
+msgstr ""
+
+#: ../commands.py:306
+msgid "Operation aborted."
+msgstr "Operacio haltigita."
+
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr ""
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr ""
+
+#: ../commit.py:178
+msgid "added"
+msgstr ""
+
+#: ../commit.py:179
+msgid "removed"
+msgstr ""
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr ""
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr ""
+
+#: ../commit.py:182
+msgid "modified"
+msgstr ""
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr ""
+
+#: ../commit.py:361
+msgid "Comm_it"
+msgstr ""
+
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr ""
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr ""
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr ""
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
+msgid "Date"
+msgstr "Dato"
+
+#: ../commit.py:505
+msgid "Committer"
+msgstr ""
+
+#: ../commit.py:507 ../search.py:60
+msgid "Summary"
+msgstr ""
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr ""
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr ""
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
+msgid "External utility:"
+msgstr ""
+
+#: ../conflicts.py:97
+msgid "Conflicts"
+msgstr "Konfliktoj"
+
+#: ../conflicts.py:100
+msgid "No conflicts in working tree."
+msgstr ""
+
+#: ../conflicts.py:114
+msgid "path conflict"
+msgstr ""
+
+#: ../conflicts.py:116
+msgid "contents conflict"
+msgstr ""
+
+#: ../conflicts.py:118
+msgid "text conflict"
+msgstr ""
+
+#: ../conflicts.py:120
+msgid "duplicate id"
+msgstr ""
+
+#: ../conflicts.py:122
+msgid "duplicate"
+msgstr ""
+
+#: ../conflicts.py:124
+msgid "parent loop"
+msgstr ""
+
+#: ../conflicts.py:126
+msgid "unversioned parent"
+msgstr ""
+
+#: ../conflicts.py:128
+msgid "missing parent"
+msgstr ""
+
+#: ../conflicts.py:130
+msgid "deleting parent"
+msgstr ""
+
+#: ../conflicts.py:132
+msgid "unknown type of conflict"
+msgstr ""
+
+#: ../conflicts.py:161
+msgid "No file was selected"
+msgstr ""
+
+#: ../conflicts.py:162
+msgid "Please select a file from the list."
+msgstr ""
+
+#: ../conflicts.py:172
+msgid "Call to external utility failed"
+msgstr ""
+
+#: ../conflicts.py:174
+msgid "Cannot resolve conflict"
+msgstr ""
+
+#: ../conflicts.py:175
+msgid ""
+"Only conflicts on the text of files can be resolved with Olive at the "
+"moment. Content conflicts, on the structure of the tree, need to be resolved "
+"using the command line."
+msgstr ""
+
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr ""
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr ""
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr ""
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr ""
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr ""
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr ""
+
+#: ../errors.py:34
+msgid "Directory is not a checkout"
+msgstr ""
+
+#: ../errors.py:35
+msgid "You can perform local commit only on checkouts."
+msgstr ""
+
+#: ../errors.py:37
+msgid "No changes to commit"
+msgstr ""
+
+#: ../errors.py:38
+msgid "Try force commit if you want to commit anyway."
+msgstr ""
+
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
+msgid "Conflicts in tree"
+msgstr ""
+
+#: ../errors.py:44
+msgid "You need to resolve the conflicts before committing."
+msgstr ""
+
+#: ../errors.py:46
+msgid "Strict commit failed"
+msgstr ""
+
+#: ../errors.py:47
+msgid ""
+"There are unknown files in the working tree.\n"
+"Please add or delete them."
+msgstr ""
+
+#: ../errors.py:49
+msgid "Bound branch is out of date"
+msgstr ""
+
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
+#, python-format
+msgid "%s"
+msgstr ""
+
+#: ../errors.py:53
+msgid "File not versioned"
+msgstr ""
+
+#: ../errors.py:54
+msgid "The selected file is not versioned."
+msgstr ""
+
+#: ../errors.py:56 ../push.py:100
+msgid "Branches have been diverged"
+msgstr ""
+
+#: ../errors.py:57
+msgid ""
+"You cannot push if branches have diverged. Use the\n"
+"overwrite option if you want to push anyway."
+msgstr ""
+
+#: ../errors.py:59
+msgid "No diff output"
+msgstr ""
+
+#: ../errors.py:60
+msgid "The selected file hasn't changed."
+msgstr ""
+
+#: ../errors.py:62
+msgid "No such revision"
+msgstr ""
+
+#: ../errors.py:63
+msgid "The revision you specified doesn't exist."
+msgstr ""
+
+#: ../errors.py:65
+msgid "Target already exists"
+msgstr ""
+
+#: ../errors.py:66
+msgid "Target directory already exists. Please select another target."
+msgstr ""
+
+#: ../errors.py:68
+msgid "Directory is already a branch"
+msgstr ""
+
+#: ../errors.py:69
+#, python-format
+msgid ""
+"The current directory (%s) is already a branch.\n"
+"You can start using it, or initialize another directory."
+msgstr ""
+
+#: ../errors.py:71
+msgid "Branch without a working tree"
+msgstr ""
+
+#: ../errors.py:72
+#, python-format
+msgid ""
+"The current directory (%s)\n"
+"is a branch without a working tree."
+msgstr ""
+
+#: ../errors.py:74
+msgid "Unknown bzr error"
+msgstr ""
+
+#: ../errors.py:76
+msgid "Permission denied"
+msgstr ""
+
+#: ../errors.py:76
+msgid "permission denied."
+msgstr ""
+
+#: ../errors.py:78
+msgid "Unknown error"
+msgstr ""
+
+#. Create the widgets
+#: ../initialize.py:46
+msgid "_Initialize"
+msgstr ""
+
+#: ../initialize.py:47
+msgid "Which directory do you want to initialize?"
+msgstr ""
+
+#: ../initialize.py:49
+msgid "Current directory"
+msgstr ""
+
+#: ../initialize.py:51
+msgid "Create a new directory with the name:"
+msgstr ""
+
+#: ../initialize.py:87
+msgid "Directory name not specified"
+msgstr ""
+
+#: ../initialize.py:88
+msgid "You should specify a new directory name."
+msgstr ""
+
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr ""
+
+#: ../merge.py:130
+msgid "Branch not given"
+msgstr ""
+
+#: ../merge.py:131
+msgid "Please specify a branch to merge from."
+msgstr ""
+
+#: ../merge.py:139
+msgid "Bazaar command error"
+msgstr ""
+
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
+msgid "Location:"
+msgstr ""
+
+#: ../push.py:52
+msgid "_Push"
+msgstr ""
+
+#: ../push.py:101
+msgid ""
+"You cannot push if branches have diverged.\n"
+"Overwrite?"
+msgstr ""
+
+#: ../push.py:109
+msgid "Push successful"
+msgstr ""
+
+#: ../push.py:110
+#, python-format
+msgid "%d revision(s) pushed."
+msgstr ""
+
+#: ../push.py:141
+msgid "Non existing parent directory"
+msgstr ""
+
+#: ../push.py:142
+#, python-format
+msgid ""
+"The parent directory (%s)\n"
+"doesn't exist. Create?"
+msgstr ""
+
+#. Create the widgets
+#: ../revbrowser.py:35
+msgid "_Select"
+msgstr ""
+
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
+msgid "Added"
+msgstr ""
+
+#: ../status.py:93
+msgid "Removed"
+msgstr ""
+
+#: ../status.py:99
+msgid "Renamed"
+msgstr ""
+
+#: ../status.py:106
+msgid "Modified"
+msgstr ""
+
+#: ../status.py:114
+msgid "Unknown"
+msgstr ""
+
+#: ../status.py:119
+msgid "No changes."
+msgstr ""
+
+#. Set properties
+#: ../tags.py:60
+msgid "Tags"
+msgstr ""
+
+#: ../tags.py:110
+msgid "Tag Name"
+msgstr ""
+
+#: ../tags.py:115
+msgid "Revision ID"
+msgstr ""
+
+#: ../tags.py:148
+msgid "Tags are not supported by this branch format. Please upgrade."
+msgstr ""
+
+#: ../tags.py:154
+msgid "No tagged revisions in the branch."
+msgstr ""
+
+#: ../tags.py:222
+msgid "_Remove tag"
+msgstr ""
+
+#: ../tags.py:232
+msgid "<b><big>Remove tag?</big></b>"
+msgstr ""
+
+#: ../tags.py:234
+#, python-format
+msgid "Are you sure you want to remove the tag: <b>%s</b>?"
+msgstr ""
+
+#. Create the widgets
+#: ../tags.py:278
+msgid "_Add tag"
+msgstr ""
+
+#: ../tags.py:280
+msgid "Tag Name:"
+msgstr ""
+
+#: ../tags.py:281
+msgid "Revision ID:"
+msgstr ""
+
+#: ../tags.py:312
+msgid "No tag name specified"
+msgstr ""
+
+#: ../tags.py:313
+msgid "You have to specify the tag's desired name."
+msgstr ""

=== modified file 'po/es.po'
--- po/es.po	2008-03-11 17:01:27 +0000
+++ po/es.po	2011-12-02 05:55:20 +0000
@@ -7,379 +7,498 @@
 msgstr ""
 "Project-Id-Version: olive\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2007-08-13 12:05+0200\n"
-"PO-Revision-Date: 2008-01-23 23:24+0000\n"
-"Last-Translator: VRZ <vruiz.desarrollo@gmail.com>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:57+0000\n"
+"Last-Translator: Fitoschido <fitoschido@gmail.com>\n"
 "Language-Team: Spanish <es@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2008-03-11 16:44+0000\n"
-"X-Generator: Launchpad (build Unknown)\n"
-
-#: branch.py:52 olive.glade:151
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr "Preferencias de Bazaar"
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr "Configurar Bazaar"
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr "Aplicar paquete de Bazaar"
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr "Bazaar"
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr "Notificación Bazaar"
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr "Icono del área de notificación para Bazaar"
+
+#. Create the widgets
+#: ../branch.py:46
 msgid "_Branch"
-msgstr "_Branch"
-
-#: branch.py:55 checkout.py:53
-msgid "Please select a folder"
-msgstr "Por favor seleccione una carpeta"
-
-#: branch.py:57 checkout.py:55
+msgstr "_Rama"
+
+#: ../branch.py:49 ../checkout.py:49
 msgid "Branch location:"
 msgstr "Ubicación de la rama:"
 
-#: branch.py:58 checkout.py:56
+#: ../branch.py:51 ../checkout.py:50
 msgid "Destination:"
 msgstr "Destino:"
 
-#: branch.py:59 checkout.py:57
-#, fuzzy
+#: ../branch.py:52
 msgid "Branck nick:"
-msgstr "Nombre de la rama:"
+msgstr "Apodo de la rama:"
 
-#: branch.py:60 checkout.py:58
+#: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
 msgstr "Revisión:"
 
-#: branch.py:162 checkout.py:163
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Seleccionar una carpeta"
+
+#: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
-msgstr "Localización de la rama no encontrada"
+msgstr "No se ha encontrado la ubicación de la rama"
 
-#: branch.py:163 checkout.py:164
-#, fuzzy
+#: ../branch.py:135 ../checkout.py:154
 msgid "You must specify a branch location."
-msgstr "Debes especificar la localización de la rama"
+msgstr "Debe especificar la ubicación de una rama."
 
-#: branch.py:205
+#: ../branch.py:174
 msgid "Branching successful"
 msgstr "Rama creada con éxito"
 
-#: branch.py:206
-#, fuzzy, python-format
+#: ../branch.py:175
+#, python-format
 msgid "%d revision(s) branched."
-msgstr "%d revision(es) ramificadas."
+msgstr "%d revision(es) ramificada(s)."
 
-#: branch.py:214 checkout.py:195
-#, fuzzy
+#: ../branch.py:183 ../checkout.py:185
 msgid "N/A"
 msgstr "N/D"
 
-#: checkout.py:50
-#, fuzzy
+#. Create the widgets
+#: ../checkout.py:44
 msgid "Check_out"
-msgstr "Check_out"
-
-#: checkout.py:62
+msgstr "C_omprobar"
+
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
 msgid "_Lightweight checkout"
-msgstr ""
+msgstr "Comprobación _ligera"
 
-#: commit.py:68
+#: ../commands.py:305
 msgid "Directory does not have a working tree"
-msgstr "El directorio no tiene un árbol de trabajo"
+msgstr "El directorio no contiene un árbol de trabajo"
 
-#: commit.py:69
+#: ../commands.py:306
 msgid "Operation aborted."
 msgstr "Operación interrumpida."
 
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556
-msgid "Directory is not a branch"
-msgstr "El directorio no es una rama"
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557
-msgid "You can perform this action only in a branch."
-msgstr "Esta acción sólo puede realizarse sobre una rama."
-
-#: commit.py:88
-msgid "Comm_it"
-msgstr "Publ_icar"
-
-#: commit.py:89
-#, fuzzy
-msgid "File(s) to commit"
-msgstr "Archivos a entregar"
-
-#: commit.py:95
-#, fuzzy
-msgid "Commit message:"
-msgstr "Mensaje de entraga:"
-
-#: commit.py:99
-msgid "Pending merges"
-msgstr "Fusiones pendientes"
-
-#: commit.py:147
-msgid "_Only commit locally"
-msgstr "_Solo publicar localmente"
-
-#: commit.py:215
-#, fuzzy
-msgid "Commit with an empty message?"
-msgstr "¿Entregar con un mensaje vacío?"
-
-#: commit.py:216
-msgid "You can describe your commit intent in the message."
-msgstr "Puedes describir tu intento de commit en el mensaje"
-
-#: commit.py:228
-msgid "Commit with unknowns?"
-msgstr "¿Publicar con desconocidos?"
-
-#: commit.py:229
-#, fuzzy
-msgid "Unknown files exist in the working tree. Commit anyway?"
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr "Hay cambios locales en la rama"
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
 msgstr ""
-"Existen archivos desconocidos en el directorio de trabajo. ¿Entregar de "
-"todos modos?"
-
-#: commit.py:240
-#, fuzzy
-msgid "Commit with no changes?"
-msgstr "¿Entregar sin cambios?"
-
-#: commit.py:241
-msgid "There are no changes in the working tree."
-msgstr "No hay cambios pendientes en el árbol de trabajo."
-
-#: commit.py:323 menu.py:87
-#, fuzzy
-msgid "Commit"
-msgstr "Entregar"
-
-#: commit.py:325 conflicts.py:108
-msgid "Path"
-msgstr "Ruta"
-
-#: commit.py:327 conflicts.py:110
-msgid "Type"
-msgstr "Tipo"
-
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
+"Por favor, haga un commit o un revert de los cambios antes de fusionar."
+
+#: ../commit.py:178
 msgid "added"
 msgstr "añadido"
 
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
+#: ../commit.py:179
 msgid "removed"
 msgstr "quitado"
 
-#: commit.py:353
+#: ../commit.py:180
+msgid "renamed"
+msgstr "renombrado"
+
+#: ../commit.py:181
 msgid "renamed and modified"
 msgstr "renombrado y modificado"
 
-#: commit.py:355 __init__.py:936 __init__.py:1223
-msgid "renamed"
-msgstr "renombrado"
-
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
+#: ../commit.py:182
 msgid "modified"
 msgstr "modificado"
 
-#: commit.py:395
-#, fuzzy
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr "Hacer commit sólo localmente"
+
+#: ../commit.py:361
+msgid "Comm_it"
+msgstr "Comm_it"
+
+#: ../commit.py:388
+msgid "Files"
+msgstr "Archivos"
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr "Commit"
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr "Ruta"
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr "Tipo"
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr "Revisiones pendientes"
+
+#: ../commit.py:503
 msgid "Date"
 msgstr "Fecha"
 
-#: commit.py:397 revbrowser.py:68
-#, fuzzy
+#: ../commit.py:505
 msgid "Committer"
-msgstr "Entregador"
+msgstr "Committer"
 
-#: commit.py:399 revbrowser.py:66
+#: ../commit.py:507 ../search.py:60
 msgid "Summary"
 msgstr "Resumen"
 
-#: conflicts.py:48
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr "Dif. para "
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr "¿Hacer commit con un mensaje vacío?"
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr "Puede describir en el mensaje el motivo del commit."
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr "¿Hacer commit con desconocidos?"
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+"Existen archivos desconocidos en el árbol de trabajo. ¿Hacer commit de todos "
+"modos?"
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr "¿Hacer commit sin cambios?"
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
 msgid "External utility:"
-msgstr "Utilidad externa"
+msgstr "Utilidad externa:"
 
-#: conflicts.py:99
+#: ../conflicts.py:97
 msgid "Conflicts"
 msgstr "Conflictos"
 
-#: conflicts.py:102
+#: ../conflicts.py:100
 msgid "No conflicts in working tree."
 msgstr "No hay conflictos en el árbol de trabajo."
 
-#: conflicts.py:115
+#: ../conflicts.py:114
 msgid "path conflict"
 msgstr "conflicto en la ruta"
 
-#: conflicts.py:117
+#: ../conflicts.py:116
 msgid "contents conflict"
 msgstr "conflicto de contenidos"
 
-#: conflicts.py:119
+#: ../conflicts.py:118
 msgid "text conflict"
-msgstr "texto en conflicto"
+msgstr "conflicto de texto"
 
-#: conflicts.py:121
+#: ../conflicts.py:120
 msgid "duplicate id"
 msgstr "id duplicado"
 
-#: conflicts.py:123
+#: ../conflicts.py:122
 msgid "duplicate"
 msgstr "duplicado"
 
-#: conflicts.py:125
-#, fuzzy
+#: ../conflicts.py:124
 msgid "parent loop"
 msgstr "bucle padre"
 
-#: conflicts.py:127
+#: ../conflicts.py:126
 msgid "unversioned parent"
-msgstr "versión sin padre"
+msgstr "padre sin versionar"
 
-#: conflicts.py:129
+#: ../conflicts.py:128
 msgid "missing parent"
 msgstr "no se encuentra el padre"
 
-#: conflicts.py:131
-#, fuzzy
+#: ../conflicts.py:130
 msgid "deleting parent"
 msgstr "borrando padre"
 
-#: conflicts.py:133
+#: ../conflicts.py:132
 msgid "unknown type of conflict"
 msgstr "tipo de conflicto desconocido"
 
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
-#, fuzzy
+#: ../conflicts.py:161
 msgid "No file was selected"
-msgstr "Ningún archivo fue seleccionado"
+msgstr "No se ha seleccionado ningún archivo"
 
-#: conflicts.py:163 __init__.py:615 menu.py:192
+#: ../conflicts.py:162
 msgid "Please select a file from the list."
-msgstr "Por favor selecciona un archivo de la lista"
+msgstr "Por favor, seleccione un archivo de la lista."
 
-#: conflicts.py:173
-#, fuzzy
+#: ../conflicts.py:172
 msgid "Call to external utility failed"
 msgstr "Falló la llamada a una utilidad externa"
 
-#: conflicts.py:175
+#: ../conflicts.py:174
 msgid "Cannot resolve conflict"
 msgstr "No se puede resolver el conflicto"
 
-#: conflicts.py:176
-#, fuzzy
+#: ../conflicts.py:175
 msgid ""
 "Only conflicts on the text of files can be resolved with Olive at the "
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
 "using the command line."
 msgstr ""
-"Por el momento, Olive únicamente puede resolver conflictos en el texto de "
-"los archivos. Los conflictos de contenido, en la estructura del archivo, "
-"deben ser resueltos usando la línea de comandos."
-
-#: errors.py:29
+"Por el momento, Olive sólo puede resolver conflictos en el texto de los "
+"archivos. Los conflictos de contenido o en la estructura del árbol deberán "
+"resolverse usando la línea de comandos."
+
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "_Ver"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr "Fusión realizada con éxito"
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr "Cambios aplicados con éxito."
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr "Se encontraron conflictos"
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+"Por favor, resuelva los conflictos manualmente antes de hacer commit."
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr "El directorio no es una rama"
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr "Esta acción sólo puede realizarse sobre una rama."
+
+#: ../errors.py:34
 msgid "Directory is not a checkout"
-msgstr ""
+msgstr "El directorio no es un checkout"
 
-#: errors.py:30
+#: ../errors.py:35
 msgid "You can perform local commit only on checkouts."
-msgstr ""
+msgstr "Sólo puede realizar commits locales sobre checkouts."
 
-#: errors.py:32
-#, fuzzy
+#: ../errors.py:37
 msgid "No changes to commit"
-msgstr "No hay cambios a entregar"
+msgstr "No hay cambios a los que hacer commit"
 
-#: errors.py:33
+#: ../errors.py:38
 msgid "Try force commit if you want to commit anyway."
+msgstr "Intente forzar el commit si desea hacerlo de todas formas."
+
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr "No hay cambios que fusionar"
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
 msgstr ""
 
-#: errors.py:35
+#: ../errors.py:43
 msgid "Conflicts in tree"
 msgstr "Conflictos en el árbol"
 
-#: errors.py:36
-#, fuzzy
+#: ../errors.py:44
 msgid "You need to resolve the conflicts before committing."
-msgstr "Es necesaio resolver los conflictos antes de entregar."
+msgstr "Es necesario resolver los conflictos antes de hacer un commit."
 
-#: errors.py:38
+#: ../errors.py:46
 msgid "Strict commit failed"
-msgstr "Publicación estricta fallada"
+msgstr "Ha fallado el commit estricto"
 
-#: errors.py:39
+#: ../errors.py:47
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
 msgstr ""
 "Hay archivos desconocidos en el árbol de trabajo.\n"
-"Por favor, añádelos o quítalos."
+"Por favor, añádalos o quítelos."
 
-#: errors.py:41
+#: ../errors.py:49
 msgid "Bound branch is out of date"
-msgstr ""
+msgstr "La rama ligada está obsoleta"
 
-#: errors.py:42
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
 #, python-format
 msgid "%s"
 msgstr "%s"
 
-#: errors.py:44
+#: ../errors.py:53
 msgid "File not versioned"
-msgstr ""
+msgstr "Archivo no versionado"
 
-#: errors.py:45
+#: ../errors.py:54
 msgid "The selected file is not versioned."
 msgstr "El archivo seleccionado no está versionado."
 
-#: errors.py:47 push.py:105
+#: ../errors.py:56 ../push.py:100
 msgid "Branches have been diverged"
-msgstr ""
+msgstr "Las ramas se han dividido"
 
-#: errors.py:48
+#: ../errors.py:57
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
 msgstr ""
+"No se puede hacer un push si las ramas se han dividido. Use\n"
+"la opción de sobreescribir si desea hacer push de todos modos."
 
-#: errors.py:50
+#: ../errors.py:59
 msgid "No diff output"
-msgstr ""
+msgstr "No hay salida de diff"
 
-#: errors.py:51
+#: ../errors.py:60
 msgid "The selected file hasn't changed."
-msgstr "El archivo seleccionado no ha cambiado"
+msgstr "El archivo seleccionado no ha cambiado."
 
-#: errors.py:53
-#, fuzzy
+#: ../errors.py:62
 msgid "No such revision"
-msgstr "No existe tal revisión"
+msgstr "No existe esa revisión"
 
-#: errors.py:54
+#: ../errors.py:63
 msgid "The revision you specified doesn't exist."
 msgstr "La revisión especificada no existe."
 
-#: errors.py:56
+#: ../errors.py:65
 msgid "Target already exists"
 msgstr "El destino ya existe"
 
-#: errors.py:57
+#: ../errors.py:66
 msgid "Target directory already exists. Please select another target."
-msgstr "El destino ya existe. Por favor, selecciona otro."
+msgstr "El destino ya existe. Por favor, seleccione otro."
 
-#: errors.py:59
+#: ../errors.py:68
 msgid "Directory is already a branch"
 msgstr "El directorio ya es una rama"
 
-#: errors.py:60
+#: ../errors.py:69
 #, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
 "You can start using it, or initialize another directory."
 msgstr ""
 "El directorio actual (%s) ya es una rama.\n"
-"Ya puedes usarlo, o inicializar otro directorio."
+"Puede empezar a usarlo, o bien inicializar otro directorio."
 
-#: errors.py:62
+#: ../errors.py:71
 msgid "Branch without a working tree"
 msgstr "Rama sin árbol de trabajo."
 
-#: errors.py:63
+#: ../errors.py:72
 #, python-format
 msgid ""
 "The current directory (%s)\n"
@@ -388,982 +507,251 @@
 "El directorio actual (%s)\n"
 "es una rama sin árbol de trabajo."
 
-#: errors.py:65
-#, fuzzy
+#: ../errors.py:74
 msgid "Unknown bzr error"
-msgstr "Error bzr desconocido"
+msgstr "Error desconocido de bzr"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "Permission denied"
 msgstr "Permiso denegado"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "permission denied."
 msgstr "permiso denegado."
 
-#: errors.py:69
+#: ../errors.py:78
 msgid "Unknown error"
 msgstr "Error desconocido"
 
-#: initialize.py:47
+#. Create the widgets
+#: ../initialize.py:46
 msgid "_Initialize"
-msgstr "_Iniciar"
+msgstr "_Inicializar"
 
-#: initialize.py:48
+#: ../initialize.py:47
 msgid "Which directory do you want to initialize?"
-msgstr "¿Qué directorio quieres inicializar?"
+msgstr "¿Qué directorio desea inicializar?"
 
-#: initialize.py:49
+#: ../initialize.py:49
 msgid "Current directory"
 msgstr "Directorio actual"
 
-#: initialize.py:50
+#: ../initialize.py:51
 msgid "Create a new directory with the name:"
 msgstr "Crear un nuevo directorio con el nombre:"
 
-#: initialize.py:85
+#: ../initialize.py:87
 msgid "Directory name not specified"
 msgstr "Nombre del directorio no especificado"
 
-#: initialize.py:86
+#: ../initialize.py:88
 msgid "You should specify a new directory name."
 msgstr "Deberías especificar un nuevo nombre de directorio."
 
-#: merge.py:66
-#, fuzzy
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr "Fusionar desde"
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr "Carpeta"
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr "Ubicación personalizada"
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr "_Fusionar"
+
+#: ../merge.py:130
 msgid "Branch not given"
-msgstr "No se ha proporcionado una rama"
+msgstr "No se ha indicado ninguna rama"
 
-#: merge.py:67
+#: ../merge.py:131
 msgid "Please specify a branch to merge from."
-msgstr "Por favor, especifica una rama desde la que fusiones."
+msgstr "Por favor, especifique una rama desde la que fusionar."
 
-#: merge.py:75
-#, fuzzy
+#: ../merge.py:139
 msgid "Bazaar command error"
 msgstr "Error en el comando Bazaar"
 
-#: merge.py:81
-#, fuzzy
-msgid "Merge successful"
-msgstr "Fusión exitosa"
-
-#: merge.py:82
-msgid "All changes applied successfully."
-msgstr "Cambios aplicados con éxito."
-
-#: merge.py:85
-msgid "Conflicts encountered"
-msgstr "Se encontraron conflictos"
-
-#: merge.py:86
-#, fuzzy
-msgid "Please resolve the conflicts manually before committing."
-msgstr ""
-"Por favor, resuelve los conflictos manualmente antes de hacer commit."
-
-#: push.py:52 bookmark.py:45
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
 msgid "Location:"
-msgstr "Localización:"
+msgstr "Ubicación:"
 
-#: push.py:54
+#: ../push.py:52
 msgid "_Push"
-msgstr "_Subir"
-
-#: push.py:97
-msgid "Set default push location"
-msgstr "Establecer la localizacion de subida por defecto"
-
-#: push.py:98
-#, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-msgstr ""
-
-#: push.py:106
+msgstr "_Push"
+
+#: ../push.py:101
 msgid ""
 "You cannot push if branches have diverged.\n"
 "Overwrite?"
 msgstr ""
+"No se puede hacer push si las ramas se han dividido.\n"
+"¿Sobreescribir?"
 
-#: push.py:112
+#: ../push.py:109
 msgid "Push successful"
-msgstr "Subido satisfactoriamente"
+msgstr "Push realizado con éxito"
 
-#: push.py:113
+#: ../push.py:110
 #, python-format
 msgid "%d revision(s) pushed."
-msgstr "%d revisión(es) subida."
+msgstr "Se ha realizado un push a %d revision(es)."
 
-#: push.py:146
+#: ../push.py:141
 msgid "Non existing parent directory"
 msgstr "Directorio padre no existente"
 
-#: push.py:147
-#, fuzzy, python-format
+#: ../push.py:142
+#, python-format
 msgid ""
 "The parent directory (%s)\n"
 "doesn't exist. Create?"
 msgstr ""
 "El directorio padre (%s)\n"
-"no existe. ¿Quieres crearlo?"
-
-#: revbrowser.py:45
-#, fuzzy
-msgid "Please wait, revisions are being loaded..."
-msgstr "Por favor, espera. Se están cargando las revisiones."
-
-#: revbrowser.py:48
+"no existe. ¿Desea crearlo?"
+
+#. Create the widgets
+#: ../revbrowser.py:35
 msgid "_Select"
 msgstr "_Seleccionar"
 
-#: revbrowser.py:64
-msgid "Revno"
-msgstr "Revno"
-
-#: revbrowser.py:70
-msgid "Time"
-msgstr "Hora"
-
-#: status.py:78
-#, fuzzy
+#: ../search.py:41
+msgid "Search for:"
+msgstr "Buscar:"
+
+#: ../search.py:56
+msgid "Document"
+msgstr "Documento"
+
+#: ../status.py:87
 msgid "Added"
-msgstr "Agregado"
+msgstr "Añadido"
 
-#: status.py:84
+#: ../status.py:93
 msgid "Removed"
-msgstr "Removido"
+msgstr "Eliminado"
 
-#: status.py:90
+#: ../status.py:99
 msgid "Renamed"
 msgstr "Renombrado"
 
-#: status.py:97
+#: ../status.py:106
 msgid "Modified"
 msgstr "Modificado"
 
-#: status.py:105
+#: ../status.py:114
 msgid "Unknown"
-msgstr "Descanocido"
+msgstr "Desconocido"
 
-#: status.py:110
+#: ../status.py:119
 msgid "No changes."
 msgstr "No hay cambios."
 
-#: tags.py:67
+#. Set properties
+#: ../tags.py:60
 msgid "Tags"
 msgstr "Etiquetas"
 
-#: tags.py:111
+#: ../tags.py:110
 msgid "Tag Name"
 msgstr "Nombre de etiqueta"
 
-#: tags.py:116
+#: ../tags.py:115
 msgid "Revision ID"
 msgstr "ID de la revisión"
 
-#: tags.py:151
-#, fuzzy
+#: ../tags.py:148
 msgid "Tags are not supported by this branch format. Please upgrade."
-msgstr "Esta versión no soporta etiquetas. Actualízate a la última versión."
+msgstr ""
+"Este formato de rama no soporta etiquetas. Por favor, haga un upgrade."
 
-#: tags.py:157
-#, fuzzy
+#: ../tags.py:154
 msgid "No tagged revisions in the branch."
 msgstr "No hay revisiones con etiqueta en la rama."
 
-#: tags.py:232
+#: ../tags.py:222
 msgid "_Remove tag"
 msgstr "_Eliminar etiqueta"
 
-#: tags.py:242
-#, fuzzy
+#: ../tags.py:232
 msgid "<b><big>Remove tag?</big></b>"
 msgstr "<b><big>¿Quitar etiqueta?</big></b>"
 
-#: tags.py:244
+#: ../tags.py:234
 #, python-format
 msgid "Are you sure you want to remove the tag: <b>%s</b>?"
 msgstr "¿Seguro que quiere quitar la etiqueta <b>%s</b>?"
 
-#: tags.py:289
+#. Create the widgets
+#: ../tags.py:278
 msgid "_Add tag"
 msgstr "_Añadir etiqueta"
 
-#: tags.py:291
+#: ../tags.py:280
 msgid "Tag Name:"
 msgstr "Nombre de la etiqueta:"
 
-#: tags.py:292
+#: ../tags.py:281
 msgid "Revision ID:"
 msgstr "ID de la revisión:"
 
-#: tags.py:323
+#: ../tags.py:312
 msgid "No tag name specified"
 msgstr "No se ha especificado un nombre de etiqueta"
 
-#: tags.py:324
+#: ../tags.py:313
 msgid "You have to specify the tag's desired name."
-msgstr "Debes especificar el nombre de la etiqueta que quieres."
-
-#: __init__.py:512
-msgid "There are local changes in the branch"
-msgstr "Hay cambios locales en la rama"
-
-#: __init__.py:513
-msgid "Please commit or revert the changes before merging."
-msgstr ""
-
-#: __init__.py:525 __init__.py:550
-msgid "Parent location is unknown"
-msgstr "La localización padre es desconocida"
-
-#: __init__.py:526
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr ""
-
-#: __init__.py:537
-msgid "There are missing revisions"
-msgstr ""
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr "%d revisiones no encontradas."
-
-#: __init__.py:540
-msgid "Local branch up to date"
-msgstr ""
-
-#: __init__.py:541
-msgid "There are no missing revisions."
-msgstr ""
-
-#: __init__.py:551
-msgid "Pulling is not possible until there is a parent location."
-msgstr ""
-
-#: __init__.py:561
-msgid "Pull successful"
-msgstr "Subida satisfactoriamente"
-
-#: __init__.py:561
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr ""
-
-#: __init__.py:575 menu.py:275
-msgid "Conflicts detected"
-msgstr "Detectados conflictos"
-
-#: __init__.py:576 menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr "Por favor, echa un vistazo al árbol de trabajo antes de continuar."
-
-#: __init__.py:578 menu.py:278
-msgid "Revert successful"
-msgstr "Deshecho satisfactoriamente"
-
-#: __init__.py:579 menu.py:279
-msgid "All files reverted to last revision."
-msgstr "Todos los archivos han vuelto a la última versión."
-
-#: __init__.py:835 __init__.py:1117
-msgid "Bookmarks"
-msgstr "Marcadores"
-
-#: __init__.py:842 menu.py:99
-msgid "Bookmark"
-msgstr "Marcador"
-
-#: __init__.py:944 __init__.py:1231
-msgid "unchanged"
-msgstr "no hay cambios"
-
-#: __init__.py:946 __init__.py:1233
-#, fuzzy
-msgid "ignored"
-msgstr "ignorada"
-
-#: __init__.py:948 __init__.py:1235
-msgid "unknown"
-msgstr "desconocido"
-
-#: __init__.py:964
-msgid "Filename"
-msgstr "Nombre de Archivo"
-
-#: __init__.py:965
-msgid "Status"
-msgstr "Estado"
-
-#: __init__.py:966
-msgid "Size"
-msgstr "Tamaño"
-
-#: __init__.py:967
-msgid "Last modified"
-msgstr "Última modificación"
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-"Por favor seleccione un archivo de la lista,\n"
-"o seleccione la otra opción."
-
-#: bookmark.py:46
-msgid "Title:"
-msgstr "Título"
-
-#: bookmark.py:81
-msgid "No title given"
-msgstr "Sin título"
-
-#: bookmark.py:82
-msgid "Please specify a title to continue."
-msgstr "Por favor especifica un título para continuar."
-
-#: guifiles.py:45
-msgid "Glade file cannot be found."
-msgstr "el archivo de Glade no puede ser encontrado."
-
-#: guifiles.py:55
-msgid "UI description file cannot be found."
-msgstr ""
-
-#: menu.py:63
-msgid "Add"
-msgstr "Agregar"
-
-#: menu.py:64
-msgid "Add the selected file"
-msgstr "Agregar el archivo seleccionado"
-
-#: menu.py:67 menu.py:107
-msgid "Remove"
-msgstr "Remover"
-
-#: menu.py:68
-msgid "Remove the selected file"
-msgstr "Remover el archivo seleccionado"
-
-#: menu.py:71
-msgid "Remove and delete"
-msgstr "Quitar y borrar"
-
-#: menu.py:72
-msgid "Remove the selected file/dir and delete from disk"
-msgstr "Quitar el archivo/directorio seleccionado y borrarlo del disco"
-
-#: menu.py:75
-msgid "Rename"
-msgstr "Renombrar"
-
-#: menu.py:76
-msgid "Rename the selected file"
-msgstr "Renombrar el archivo seleccionado"
-
-#: menu.py:79
-msgid "Open"
-msgstr "Abrir"
-
-#: menu.py:80
-msgid "Open the selected file"
-msgstr "Abrir el archivo seleccionado"
-
-#: menu.py:83
-msgid "Revert"
-msgstr "Revertir"
-
-#: menu.py:84
-msgid "Revert the changes"
-msgstr "Deshacer los cambios"
-
-#: menu.py:88
-msgid "Commit the changes"
-msgstr "Confirmar los cambios"
-
-#: menu.py:91
-msgid "Annotate"
-msgstr "Anotar"
-
-#: menu.py:92
-msgid "Annotate the selected file"
-msgstr "Anotar el archivo seleccionado"
-
-#: menu.py:95
-msgid "Diff"
-msgstr "Comparar"
-
-#: menu.py:96
-msgid "Show the diff of the file"
-msgstr "Mostrar las diferencias del archivo"
-
-#: menu.py:100
-msgid "Bookmark current location"
-msgstr "Añadir a marcadores la localización actual"
-
-#: menu.py:103
-msgid "Edit"
-msgstr "Editar"
-
-#: menu.py:104
-msgid "Edit the selected bookmark"
-msgstr "Editar el marcador seleccionado"
-
-#: menu.py:108
-msgid "Remove the selected bookmark"
-msgstr "Quitar el marcador seleccionado"
-
-#: menu.py:111
-msgid "Open Folder"
-msgstr "Abrir Directorio"
-
-#: menu.py:112
-#, fuzzy
-msgid "Open bookmark folder in Nautilus"
-msgstr "Abrir carpeta de marcadores de Nautilus"
-
-#: menu.py:115
-msgid "Selected..."
-msgstr "Seleccionado..."
-
-#: menu.py:116
-msgid "Show the differences of the selected file"
-msgstr "Mostrar las diferencias del archivo seleccionado"
-
-#: menu.py:119
-msgid "All..."
-msgstr "Todos..."
-
-#: menu.py:120
-#, fuzzy
-msgid "Show the differences of all files"
-msgstr "Mostrar las diferencias de todos los archivos"
-
-#: menu.py:123
-msgid "View contents"
-msgstr "Mostrar los contenidos"
-
-#: menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr ""
-
-#: menu.py:127
-msgid "Show differences"
-msgstr "Mostrar las diferencias"
-
-#: menu.py:128
-msgid "Show the differences between two revisions of the file"
-msgstr "Mostrar las diferencias entre dos reviciones de un archivo"
-
-#: menu.py:131
-msgid "Revert to this revision"
-msgstr ""
-
-#: menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr ""
-
-#: menu.py:228
-msgid "Delete directory with all directories below ?"
-msgstr ""
-
-#: menu.py:315
-msgid "Bookmark successfully added"
-msgstr ""
-
-#: menu.py:316
-#, fuzzy
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-"Se ha añadido el directorio actual a marcadores. Puedes \n"
-"llegar a él eligiéndolo desde el panel de la izquierda."
-
-#: menu.py:319
-#, fuzzy
-msgid "Location already bookmarked"
-msgstr "Esta localización ya está en marcadores"
-
-#: menu.py:320
-#, fuzzy
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-"El directorio actual ya está en marcadores. Mira\n"
-"el panel de la izquierda para ver referencias."
-
-#: mkdir.py:67
-msgid "No directory name given"
-msgstr "No se dio nombre para el directorio"
-
-#: mkdir.py:68
-msgid "Please specify a desired name for the new directory."
-msgstr "Por favor especifíca el nombre deseado para el nuevo directorio."
-
-#: mkdir.py:79 mkdir.py:89
-msgid "Directory already exists"
-msgstr "El directorio ya existe"
-
-#: mkdir.py:80 mkdir.py:90
-msgid "Please specify another name to continue."
-msgstr "Por favor especifique otro nombre para continuar."
-
-#: move.py:80 rename.py:71
-msgid "Please select a file from the list to proceed."
-msgstr "Por favor selecciona un archivo de la lista para continuar."
-
-#: move.py:89 rename.py:87
-#, fuzzy
-msgid "Not the same branch"
-msgstr "No están en la misma rama"
-
-#: move.py:90 rename.py:88
-msgid "The destination is not in the same branch."
-msgstr "El destino no está en la misma rama."
-
-#: remove.py:79 remove.py:139
-#, fuzzy
-msgid "No matching files"
-msgstr "No hay archivos coincidentes"
-
-#: remove.py:80 remove.py:140
-msgid "No added files were found in the working tree."
-msgstr "No se encontraron archivos adicionados en el arbol de trabajo."
-
-#: remove.py:105 olive.glade:825
-msgid "Which file(s) do you want to remove?"
-msgstr "¿Cual(es) archivo(s) quiere remover?"
-
-#: remove.py:106 olive.glade:717 olive.glade:837
-msgid "Selected only"
-msgstr "Sólo seleccionados"
-
-#: remove.py:107 olive.glade:851
-msgid "All files with status 'added'"
-msgstr "Estatus de todos los archivos  'Adicionado'"
-
-#: remove.py:108 olive.glade:905
-msgid "_Remove"
-msgstr "_Quitar"
-
-#: rename.py:75
-#, fuzzy
-msgid "Filename not given"
-msgstr "No se ha proporcionado un nombre de archivo"
-
-#: rename.py:76
-msgid "Please specify a new name for the file."
-msgstr "Por favor, especifique un nuevo nombre para el archivo"
-
-#: olive.glade:8
-msgid "Olive - Bazaar GUI"
-msgstr "Olive - Bazaar GUI"
-
-#: olive.glade:21
-msgid "_File"
-msgstr "_Archivo"
-
-#: olive.glade:28
-msgid "_Add file(s)..."
-msgstr "_Añadir fichero(s)..."
-
-#: olive.glade:43
-msgid "Remove file(s)..."
-msgstr "Remover archivo(s)..."
-
-#: olive.glade:63
-msgid "Make _directory..."
-msgstr "Crear _directorio..."
-
-#: olive.glade:76
-msgid "_Rename..."
-msgstr "_Renombrar..."
-
-#: olive.glade:84
-msgid "_Move..."
-msgstr "_Mover..."
-
-#: olive.glade:92
-msgid "_Annotate..."
-msgstr "_Anotar"
-
-#: olive.glade:118
-msgid "_View"
-msgstr "_Ver"
-
-#: olive.glade:126
-msgid "Show _hidden files"
-msgstr "Mostrar _ficheros ocultos"
-
-#: olive.glade:139
-msgid "_Refresh"
-msgstr "_Refrescar"
-
-#: olive.glade:158
-msgid "_Initialize..."
-msgstr "_Inicializar..."
-
-#: olive.glade:166
-msgid "_Get..."
-msgstr "_Obtener..."
-
-#: olive.glade:174
-msgid "C_heckout..."
-msgstr "Compro_bar"
-
-#: olive.glade:187
-msgid "Pu_ll"
-msgstr "_Halar"
-
-#: olive.glade:201
-msgid "Pu_sh..."
-msgstr "_Empujar"
-
-#: olive.glade:220
-msgid "_Revert all changes"
-msgstr "_Revertir todos los cambios"
-
-#: olive.glade:228
-msgid "_Merge..."
-msgstr "_Fusionar"
-
-#: olive.glade:236
-#, fuzzy
-msgid "_Commit..."
-msgstr "En_viar"
-
-#: olive.glade:255
-msgid "Ta_gs..."
-msgstr ""
-
-#: olive.glade:263
-msgid "S_tatus..."
-msgstr "Es_tado..."
-
-#: olive.glade:271
-msgid "Missing _revisions"
-msgstr ""
-
-#: olive.glade:279
-msgid "Con_flicts..."
-msgstr "Con_flictos..."
-
-#: olive.glade:291
-msgid "_Statistics"
-msgstr "_Estadisticas"
-
-#: olive.glade:298
-msgid "_Differences..."
-msgstr "_Diferencias..."
-
-#: olive.glade:312
-msgid "_Log..."
-msgstr "_Registro..."
-
-#: olive.glade:326
-msgid "_Information..."
-msgstr "_Información..."
-
-#: olive.glade:338
-msgid "_Help"
-msgstr "_Ayuda"
-
-#: olive.glade:548
-msgid "gtk-jump-to"
-msgstr "gtk-jump-to"
-
-#: olive.glade:575
-msgid "H_istory Mode"
-msgstr "Modo H_istorial"
-
-#: olive.glade:673
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-
-#: olive.glade:675
-msgid "https://launchpad.net/products/olive"
-msgstr "https://launchpad.net/products/olive"
-
-#: olive.glade:677
-msgid "translator-credits"
-msgstr ""
-"Launchpad Contributions:\n"
-"  BigSus https://launchpad.net/~bigsus\n"
-"  David Arnoldo Ortiz Lozano https://launchpad.net/~tyoc\n"
-"  Joseph https://launchpad.net/~josephmail7\n"
-"  Mario del Pozo https://launchpad.net/~mariodpros\n"
-"  Omar Olarte https://launchpad.net/~oeolartep\n"
-"  Rodrigo Garcia Gonzalez https://launchpad.net/~nibblesmx\n"
-"  VRZ https://launchpad.net/~vruiz-desarrollo\n"
-"  Virusurbano https://launchpad.net/~lucianofacchinelli13\n"
-"  kilik https://launchpad.net/~kilik\n"
-"  Álvaro del Olmo Alonso https://launchpad.net/~dllum"
-
-#: olive.glade:694
-msgid "Olive - Add file(s)"
-msgstr "Olive - Adicionar archivos"
-
-#: olive.glade:705
-msgid "Which file(s) do you want to add?"
-msgstr "¿Cual(es) archivo(s) quiere adicionar?"
-
-#: olive.glade:731
-msgid "All unknowns recursively"
-msgstr "Todos los desconocidos recursivamente"
-
-#: olive.glade:785
-msgid "_Add"
-msgstr "_Añadir"
-
-#: olive.glade:814
-msgid "Olive - Remove file(s)"
-msgstr "Olive - Remover archivo(s)"
-
-#: olive.glade:934
-msgid "Olive - Make directory"
-msgstr "Olive - Crear directorio"
-
-#: olive.glade:957
-msgid "_Versioned directory"
-msgstr ""
-
-#: olive.glade:1011
-msgid "_Make directory"
-msgstr "_Crear directorio"
-
-#: olive.glade:1041
-msgid "Olive - Move"
-msgstr "Olive - Mover"
-
-#: olive.glade:1055
-msgid "Move to"
-msgstr "Mover a"
-
-#: olive.glade:1066
-msgid "Select a directory"
-msgstr "Seleccionar un directorio"
-
-#: olive.glade:1120
-msgid "_Move"
-msgstr "_Mover"
-
-#: olive.glade:1148
-msgid "Olive - Rename"
-msgstr "Olive - Renombrar"
-
-#: olive.glade:1162
-msgid "Rename to"
-msgstr "Renombrar a"
-
-#: olive.glade:1227
-msgid "_Rename"
-msgstr "Renombrar"
-
-#: olive.glade:1255
-msgid "Olive - Information"
-msgstr "Olive - Información"
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275
-msgid "(none)"
-msgstr "(nada)"
-
-#: olive.glade:1368
-msgid "Checkout root: "
-msgstr "Comprobar directorio raíz: "
-
-#: olive.glade:1380
-msgid "Branch root: "
-msgstr "Directorio raíz de la rama: "
-
-#: olive.glade:1392
-msgid "Repository checkout: "
-msgstr "Comprobar repositorio: "
-
-#: olive.glade:1404
-msgid "Checkout of branch: "
-msgstr "Comprobar la rama: "
-
-#: olive.glade:1416
-msgid "Repository branch: "
-msgstr "Rama del repositorio: "
-
-#: olive.glade:1428
-msgid "Shared repository: "
-msgstr "Repositorio compartido: "
-
-#: olive.glade:1440
-msgid "Light checkout root: "
-msgstr ""
-
-#: olive.glade:1454
-msgid "<b>Location:</b>"
-msgstr "<b>Localización:</b>"
-
-#: olive.glade:1508
-msgid "Publish to branch: "
-msgstr "Publicar en la rama: "
-
-#: olive.glade:1520
-msgid "Parent branch: "
-msgstr "Rama padre: "
-
-#: olive.glade:1534
-msgid "<b>Related branches:</b>"
-msgstr "<b>Ramas relacionadas:</b>"
-
-#: olive.glade:1614
-msgid "Repository format: "
-msgstr "Formato de repositorio: "
-
-#: olive.glade:1626
-msgid "Branch format: "
-msgstr "Formato de la rama: "
-
-#: olive.glade:1638
-#, fuzzy
-msgid "Working tree format: "
-msgstr "Formato del árbol de trabajo: "
-
-#: olive.glade:1650
-#, fuzzy
-msgid "Control format: "
-msgstr "Formato de control: "
-
-#: olive.glade:1664
-msgid "<b>Format:</b>"
-msgstr "<b>Formato:</b>"
-
-#: olive.glade:1731
-msgid "Repository lock status: "
-msgstr ""
-
-#: olive.glade:1743
-msgid "Branch lock status: "
-msgstr ""
-
-#: olive.glade:1755
-msgid "Working tree lock status: "
-msgstr ""
-
-#: olive.glade:1769
-msgid "<b>Lock status:</b>"
-msgstr ""
-
-#: olive.glade:1823
-msgid "Missing revisions in branch: "
-msgstr "Revisiones faltantes en la rama: "
-
-#: olive.glade:1835
-#, fuzzy
-msgid "Missing revisions in working tree: "
-msgstr "No se han encontrado revisiones en el directorio de trabajo: "
-
-#: olive.glade:1849
-msgid "<b>Missing revisions:</b>"
-msgstr ""
-
-#: olive.glade:1981
-msgid "Versioned subdirectories: "
-msgstr "Directorios subversionados: "
-
-#: olive.glade:1993
-#, fuzzy
-msgid "Ignored files: "
-msgstr "Archivos ignorados "
-
-#: olive.glade:2005
-msgid "Unknown files: "
-msgstr "Arvhivos desconocidos: "
-
-#: olive.glade:2017
-msgid "Renamed files: "
-msgstr "Archivos renombrados: "
-
-#: olive.glade:2029
-msgid "Removed files: "
-msgstr "Archivos removidos: "
-
-#: olive.glade:2041
-#, fuzzy
-msgid "Added files: "
-msgstr "Archivos agregados: "
-
-#: olive.glade:2053
-msgid "Modified files: "
-msgstr "Arcchivos modificados "
-
-#: olive.glade:2065
-msgid "Unchanged files: "
-msgstr "Archivos sin cambios: "
-
-#: olive.glade:2079
-msgid "<b>In the working tree:</b>"
-msgstr "<b>En el directorio de trabajo:</b>"
-
-#: olive.glade:2172
-#, fuzzy
-msgid "Time of last revision: "
-msgstr "Hora de la última revisión: "
-
-#: olive.glade:2184
-msgid "Time of first revision: "
-msgstr "Momento de la primera revisión: "
-
-#: olive.glade:2196
-msgid "Age of branch in days: "
-msgstr "Edad de la rama en días: "
-
-#: olive.glade:2208
-#, fuzzy
-msgid "Number of commiters: "
-msgstr "Número de confirmadores: "
-
-#: olive.glade:2220
-msgid "Revisions in branch: "
-msgstr "Revisiones en la rama: "
-
-#: olive.glade:2234
-msgid "<b>Branch history:</b>"
-msgstr "<b>Historial de ramas:</b>"
-
-#: olive.glade:2288
-msgid "Size of repository: "
-msgstr "Tamaño del repositorio: "
-
-#: olive.glade:2300
-msgid "Revisions in repository: "
-msgstr "Revisiones en el repositorio: "
-
-#: olive.glade:2314
-msgid "<b>Revision store:</b>"
-msgstr ""
-
-#: olive.glade:2356
-#, fuzzy
-msgid "Merge - Olive"
-msgstr "Fusionar - Olive"
-
-#: olive.glade:2370
-#, fuzzy
-msgid "Merge from:"
-msgstr "Fusionar desde:"
-
-#: olive.glade:2454
-#, fuzzy
-msgid "_Merge"
-msgstr "_Fusionar"
+msgstr "Debe especificar el nombre que desea para la etiqueta."

=== added file 'po/fi.po'
--- po/fi.po	1970-01-01 00:00:00 +0000
+++ po/fi.po	2011-12-02 05:55:20 +0000
@@ -0,0 +1,737 @@
+# Finnish translation for bzr-gtk
+# Copyright (c) 2010 Rosetta Contributors and Canonical Ltd 2010
+# This file is distributed under the same license as the bzr-gtk package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2010.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: bzr-gtk\n"
+"Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 23:01+0000\n"
+"Last-Translator: Otto Kekäläinen <otto@seravo.fi>\n"
+"Language-Team: Finnish <fi@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Launchpad-Export-Date: 2011-12-02 05:54+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
+msgid "_Branch"
+msgstr ""
+
+#: ../branch.py:49 ../checkout.py:49
+msgid "Branch location:"
+msgstr ""
+
+#: ../branch.py:51 ../checkout.py:50
+msgid "Destination:"
+msgstr "Kohde:"
+
+#: ../branch.py:52
+msgid "Branck nick:"
+msgstr ""
+
+#: ../branch.py:53 ../checkout.py:52
+msgid "Revision:"
+msgstr ""
+
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Valitse kansio"
+
+#: ../branch.py:134 ../checkout.py:153
+msgid "Missing branch location"
+msgstr ""
+
+#: ../branch.py:135 ../checkout.py:154
+msgid "You must specify a branch location."
+msgstr ""
+
+#: ../branch.py:174
+msgid "Branching successful"
+msgstr ""
+
+#: ../branch.py:175
+#, python-format
+msgid "%d revision(s) branched."
+msgstr ""
+
+#: ../branch.py:183 ../checkout.py:185
+msgid "N/A"
+msgstr ""
+
+#. Create the widgets
+#: ../checkout.py:44
+msgid "Check_out"
+msgstr ""
+
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
+msgid "_Lightweight checkout"
+msgstr ""
+
+#: ../commands.py:305
+msgid "Directory does not have a working tree"
+msgstr ""
+
+#: ../commands.py:306
+msgid "Operation aborted."
+msgstr "Toimenpide keskeytetty."
+
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr ""
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr ""
+
+#: ../commit.py:178
+msgid "added"
+msgstr ""
+
+#: ../commit.py:179
+msgid "removed"
+msgstr ""
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr ""
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr ""
+
+#: ../commit.py:182
+msgid "modified"
+msgstr ""
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr ""
+
+#: ../commit.py:361
+msgid "Comm_it"
+msgstr ""
+
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr ""
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr ""
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr ""
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
+msgid "Date"
+msgstr ""
+
+#: ../commit.py:505
+msgid "Committer"
+msgstr ""
+
+#: ../commit.py:507 ../search.py:60
+msgid "Summary"
+msgstr ""
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr ""
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr ""
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
+msgid "External utility:"
+msgstr ""
+
+#: ../conflicts.py:97
+msgid "Conflicts"
+msgstr ""
+
+#: ../conflicts.py:100
+msgid "No conflicts in working tree."
+msgstr ""
+
+#: ../conflicts.py:114
+msgid "path conflict"
+msgstr ""
+
+#: ../conflicts.py:116
+msgid "contents conflict"
+msgstr ""
+
+#: ../conflicts.py:118
+msgid "text conflict"
+msgstr ""
+
+#: ../conflicts.py:120
+msgid "duplicate id"
+msgstr ""
+
+#: ../conflicts.py:122
+msgid "duplicate"
+msgstr ""
+
+#: ../conflicts.py:124
+msgid "parent loop"
+msgstr ""
+
+#: ../conflicts.py:126
+msgid "unversioned parent"
+msgstr ""
+
+#: ../conflicts.py:128
+msgid "missing parent"
+msgstr ""
+
+#: ../conflicts.py:130
+msgid "deleting parent"
+msgstr ""
+
+#: ../conflicts.py:132
+msgid "unknown type of conflict"
+msgstr ""
+
+#: ../conflicts.py:161
+msgid "No file was selected"
+msgstr ""
+
+#: ../conflicts.py:162
+msgid "Please select a file from the list."
+msgstr ""
+
+#: ../conflicts.py:172
+msgid "Call to external utility failed"
+msgstr ""
+
+#: ../conflicts.py:174
+msgid "Cannot resolve conflict"
+msgstr ""
+
+#: ../conflicts.py:175
+msgid ""
+"Only conflicts on the text of files can be resolved with Olive at the "
+"moment. Content conflicts, on the structure of the tree, need to be resolved "
+"using the command line."
+msgstr ""
+
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr ""
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr ""
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr ""
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr ""
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr ""
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr ""
+
+#: ../errors.py:34
+msgid "Directory is not a checkout"
+msgstr ""
+
+#: ../errors.py:35
+msgid "You can perform local commit only on checkouts."
+msgstr ""
+
+#: ../errors.py:37
+msgid "No changes to commit"
+msgstr ""
+
+#: ../errors.py:38
+msgid "Try force commit if you want to commit anyway."
+msgstr ""
+
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
+msgid "Conflicts in tree"
+msgstr ""
+
+#: ../errors.py:44
+msgid "You need to resolve the conflicts before committing."
+msgstr ""
+
+#: ../errors.py:46
+msgid "Strict commit failed"
+msgstr ""
+
+#: ../errors.py:47
+msgid ""
+"There are unknown files in the working tree.\n"
+"Please add or delete them."
+msgstr ""
+
+#: ../errors.py:49
+msgid "Bound branch is out of date"
+msgstr ""
+
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
+#, python-format
+msgid "%s"
+msgstr ""
+
+#: ../errors.py:53
+msgid "File not versioned"
+msgstr ""
+
+#: ../errors.py:54
+msgid "The selected file is not versioned."
+msgstr ""
+
+#: ../errors.py:56 ../push.py:100
+msgid "Branches have been diverged"
+msgstr ""
+
+#: ../errors.py:57
+msgid ""
+"You cannot push if branches have diverged. Use the\n"
+"overwrite option if you want to push anyway."
+msgstr ""
+
+#: ../errors.py:59
+msgid "No diff output"
+msgstr ""
+
+#: ../errors.py:60
+msgid "The selected file hasn't changed."
+msgstr ""
+
+#: ../errors.py:62
+msgid "No such revision"
+msgstr ""
+
+#: ../errors.py:63
+msgid "The revision you specified doesn't exist."
+msgstr ""
+
+#: ../errors.py:65
+msgid "Target already exists"
+msgstr ""
+
+#: ../errors.py:66
+msgid "Target directory already exists. Please select another target."
+msgstr ""
+
+#: ../errors.py:68
+msgid "Directory is already a branch"
+msgstr ""
+
+#: ../errors.py:69
+#, python-format
+msgid ""
+"The current directory (%s) is already a branch.\n"
+"You can start using it, or initialize another directory."
+msgstr ""
+
+#: ../errors.py:71
+msgid "Branch without a working tree"
+msgstr ""
+
+#: ../errors.py:72
+#, python-format
+msgid ""
+"The current directory (%s)\n"
+"is a branch without a working tree."
+msgstr ""
+
+#: ../errors.py:74
+msgid "Unknown bzr error"
+msgstr ""
+
+#: ../errors.py:76
+msgid "Permission denied"
+msgstr ""
+
+#: ../errors.py:76
+msgid "permission denied."
+msgstr ""
+
+#: ../errors.py:78
+msgid "Unknown error"
+msgstr ""
+
+#. Create the widgets
+#: ../initialize.py:46
+msgid "_Initialize"
+msgstr ""
+
+#: ../initialize.py:47
+msgid "Which directory do you want to initialize?"
+msgstr ""
+
+#: ../initialize.py:49
+msgid "Current directory"
+msgstr ""
+
+#: ../initialize.py:51
+msgid "Create a new directory with the name:"
+msgstr ""
+
+#: ../initialize.py:87
+msgid "Directory name not specified"
+msgstr ""
+
+#: ../initialize.py:88
+msgid "You should specify a new directory name."
+msgstr ""
+
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr ""
+
+#: ../merge.py:130
+msgid "Branch not given"
+msgstr ""
+
+#: ../merge.py:131
+msgid "Please specify a branch to merge from."
+msgstr ""
+
+#: ../merge.py:139
+msgid "Bazaar command error"
+msgstr ""
+
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
+msgid "Location:"
+msgstr ""
+
+#: ../push.py:52
+msgid "_Push"
+msgstr ""
+
+#: ../push.py:101
+msgid ""
+"You cannot push if branches have diverged.\n"
+"Overwrite?"
+msgstr ""
+
+#: ../push.py:109
+msgid "Push successful"
+msgstr ""
+
+#: ../push.py:110
+#, python-format
+msgid "%d revision(s) pushed."
+msgstr ""
+
+#: ../push.py:141
+msgid "Non existing parent directory"
+msgstr ""
+
+#: ../push.py:142
+#, python-format
+msgid ""
+"The parent directory (%s)\n"
+"doesn't exist. Create?"
+msgstr ""
+
+#. Create the widgets
+#: ../revbrowser.py:35
+msgid "_Select"
+msgstr ""
+
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
+msgid "Added"
+msgstr ""
+
+#: ../status.py:93
+msgid "Removed"
+msgstr ""
+
+#: ../status.py:99
+msgid "Renamed"
+msgstr ""
+
+#: ../status.py:106
+msgid "Modified"
+msgstr ""
+
+#: ../status.py:114
+msgid "Unknown"
+msgstr ""
+
+#: ../status.py:119
+msgid "No changes."
+msgstr ""
+
+#. Set properties
+#: ../tags.py:60
+msgid "Tags"
+msgstr ""
+
+#: ../tags.py:110
+msgid "Tag Name"
+msgstr ""
+
+#: ../tags.py:115
+msgid "Revision ID"
+msgstr ""
+
+#: ../tags.py:148
+msgid "Tags are not supported by this branch format. Please upgrade."
+msgstr ""
+
+#: ../tags.py:154
+msgid "No tagged revisions in the branch."
+msgstr ""
+
+#: ../tags.py:222
+msgid "_Remove tag"
+msgstr ""
+
+#: ../tags.py:232
+msgid "<b><big>Remove tag?</big></b>"
+msgstr ""
+
+#: ../tags.py:234
+#, python-format
+msgid "Are you sure you want to remove the tag: <b>%s</b>?"
+msgstr ""
+
+#. Create the widgets
+#: ../tags.py:278
+msgid "_Add tag"
+msgstr ""
+
+#: ../tags.py:280
+msgid "Tag Name:"
+msgstr ""
+
+#: ../tags.py:281
+msgid "Revision ID:"
+msgstr ""
+
+#: ../tags.py:312
+msgid "No tag name specified"
+msgstr ""
+
+#: ../tags.py:313
+msgid "You have to specify the tag's desired name."
+msgstr ""

=== modified file 'po/fr.po'
--- po/fr.po	2008-03-11 17:01:27 +0000
+++ po/fr.po	2011-12-02 05:55:20 +0000
@@ -8,319 +8,446 @@
 msgstr ""
 "Project-Id-Version: Olive 0.11\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2007-08-13 12:05+0200\n"
-"PO-Revision-Date: 2008-01-04 22:08+0000\n"
-"Last-Translator: Yoan Blanc <Unknown>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:57+0000\n"
+"Last-Translator: Launchpad Translations Administrators <Unknown>\n"
 "Language-Team: GNOME French Team <gnomefr@traduc.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2008-03-11 16:44+0000\n"
-"X-Generator: Launchpad (build Unknown)\n"
-
-#: branch.py:52 olive.glade:151
+"X-Launchpad-Export-Date: 2011-12-02 05:54+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr "Ajuster les paramètres de Bazaar"
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr "Bazaar"
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
 msgid "_Branch"
 msgstr "_Branche"
 
-#: branch.py:55 checkout.py:53
-msgid "Please select a folder"
-msgstr "Veuillez sélectionner un dossier"
-
-#: branch.py:57 checkout.py:55
+#: ../branch.py:49 ../checkout.py:49
 msgid "Branch location:"
 msgstr "Emplacement de la branche :"
 
-#: branch.py:58 checkout.py:56
+#: ../branch.py:51 ../checkout.py:50
 msgid "Destination:"
 msgstr "Destination :"
 
-#: branch.py:59 checkout.py:57
+#: ../branch.py:52
 msgid "Branck nick:"
 msgstr "Pseudo de la branche :"
 
-#: branch.py:60 checkout.py:58
+#: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
 msgstr "Révision :"
 
-#: branch.py:162 checkout.py:163
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Veuillez choisir un dossier"
+
+#: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
-msgstr "Emplacement de la branche manquant"
+msgstr "Emplacement de la branche manquante"
 
-#: branch.py:163 checkout.py:164
+#: ../branch.py:135 ../checkout.py:154
 msgid "You must specify a branch location."
-msgstr "Il est nécessaire de renseigner l'emplacement de la branche."
+msgstr "Vous devez préciser l'emplacement de la branche."
 
-#: branch.py:205
+#: ../branch.py:174
 msgid "Branching successful"
 msgstr "Succès de la création de la branche"
 
-#: branch.py:206
+#: ../branch.py:175
 #, python-format
 msgid "%d revision(s) branched."
 msgstr "%d révision(s) ont été branchées."
 
-#: branch.py:214 checkout.py:195
+#: ../branch.py:183 ../checkout.py:185
 msgid "N/A"
 msgstr "N/D"
 
-#: checkout.py:50
+#. Create the widgets
+#: ../checkout.py:44
 msgid "Check_out"
-msgstr "Checkout"
-
-#: checkout.py:62
+msgstr "Check_out"
+
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
 msgid "_Lightweight checkout"
 msgstr "Checkout _léger"
 
-#: commit.py:68
+#: ../commands.py:305
 msgid "Directory does not have a working tree"
 msgstr "Le répertoire ne contient pas de répertoire de travail"
 
-#: commit.py:69
+#: ../commands.py:306
 msgid "Operation aborted."
 msgstr "Opération annulée."
 
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556
-msgid "Directory is not a branch"
-msgstr "Le répertoire n'est pas une branche"
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557
-msgid "You can perform this action only in a branch."
-msgstr "Cette action ne peut effectuée que sur une branche."
-
-#: commit.py:88
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr "Cette branche contient des modifications locales."
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr "Veuillez commiter ou annuler les modifications avant la fusion."
+
+#: ../commit.py:178
+msgid "added"
+msgstr "ajouté"
+
+#: ../commit.py:179
+msgid "removed"
+msgstr "supprimé"
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr "renommé"
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr "renommé et modifié"
+
+#: ../commit.py:182
+msgid "modified"
+msgstr "modifié"
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr "Ne valider que l_ocalement"
+
+#: ../commit.py:361
 msgid "Comm_it"
 msgstr "Comm_it"
 
-#: commit.py:89
-#, fuzzy
-msgid "File(s) to commit"
-msgstr "Fichier(s) à valider"
-
-#: commit.py:95
-#, fuzzy
-msgid "Commit message:"
-msgstr "Message de validation :"
-
-#: commit.py:99
-msgid "Pending merges"
-msgstr "Fusions en attente"
-
-#: commit.py:147
-msgid "_Only commit locally"
-msgstr "_Ne valider que localement"
-
-#: commit.py:215
-msgid "Commit with an empty message?"
-msgstr "Commiter avec un message vide ?"
-
-#: commit.py:216
-msgid "You can describe your commit intent in the message."
-msgstr "Vous pouvez donner la raison de cette validation dans ce message"
-
-#: commit.py:228
-msgid "Commit with unknowns?"
-msgstr "Valider avec des inconnus ?"
-
-#: commit.py:229
-msgid "Unknown files exist in the working tree. Commit anyway?"
-msgstr ""
-"Des fichiers inconnus sont présents dans le répertoire de travail. Valider "
-"malgré tout ?"
-
-#: commit.py:240
-msgid "Commit with no changes?"
-msgstr "Validerer sans aucun changement ?"
-
-#: commit.py:241
-msgid "There are no changes in the working tree."
-msgstr "Aucun changement n'a été effectué dans le répertoire de travail."
-
-#: commit.py:323 menu.py:87
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
 msgid "Commit"
 msgstr "Valider"
 
-#: commit.py:325 conflicts.py:108
+#: ../commit.py:443 ../conflicts.py:107
 msgid "Path"
 msgstr "Chemin"
 
-#: commit.py:327 conflicts.py:110
+#: ../commit.py:445 ../conflicts.py:109
 msgid "Type"
 msgstr "Type"
 
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
-msgid "added"
-msgstr "ajouté"
-
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
-msgid "removed"
-msgstr "supprimé"
-
-#: commit.py:353
-msgid "renamed and modified"
-msgstr "renommé et modifié"
-
-#: commit.py:355 __init__.py:936 __init__.py:1223
-msgid "renamed"
-msgstr "renommé"
-
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
-msgid "modified"
-msgstr "modifié"
-
-#: commit.py:395
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
 msgid "Date"
 msgstr "Date"
 
-#: commit.py:397 revbrowser.py:68
+#: ../commit.py:505
 msgid "Committer"
 msgstr "Commiteur"
 
-#: commit.py:399 revbrowser.py:66
+#: ../commit.py:507 ../search.py:60
 msgid "Summary"
 msgstr "Résumé"
 
-#: conflicts.py:48
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr "Valider avec un message vide ?"
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr "Vous pouvez donner la raison de cette validation dans ce message"
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr "Valider avec des inconnus ?"
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr "Fichiers inconnus dans l'arborescence de travail. Poursuivre ?"
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr "Valider sans aucun changement ?"
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
 msgid "External utility:"
-msgstr "Utilitaire externe"
+msgstr "Utilitaire externe :"
 
-#: conflicts.py:99
+#: ../conflicts.py:97
 msgid "Conflicts"
 msgstr "Conflits"
 
-#: conflicts.py:102
+#: ../conflicts.py:100
 msgid "No conflicts in working tree."
-msgstr "Aucun conflit dans l'arbre de travail."
+msgstr "Aucun conflit dans l'arborescence de travail."
 
-#: conflicts.py:115
+#: ../conflicts.py:114
 msgid "path conflict"
 msgstr "conflit sur le chemin"
 
-#: conflicts.py:117
+#: ../conflicts.py:116
 msgid "contents conflict"
 msgstr "conflit sur le contenu"
 
-#: conflicts.py:119
+#: ../conflicts.py:118
 msgid "text conflict"
 msgstr "conflit sur le texte"
 
-#: conflicts.py:121
+#: ../conflicts.py:120
 msgid "duplicate id"
 msgstr "id en doublon"
 
-#: conflicts.py:123
+#: ../conflicts.py:122
 msgid "duplicate"
 msgstr "doublon"
 
-#: conflicts.py:125
-#, fuzzy
+#: ../conflicts.py:124
 msgid "parent loop"
-msgstr "boucle avec le parent"
+msgstr ""
 
-#: conflicts.py:127
-#, fuzzy
+#: ../conflicts.py:126
 msgid "unversioned parent"
-msgstr "parent non versionné"
+msgstr ""
 
-#: conflicts.py:129
-#, fuzzy
+#: ../conflicts.py:128
 msgid "missing parent"
 msgstr "parent manquant"
 
-#: conflicts.py:131
-#, fuzzy
+#: ../conflicts.py:130
 msgid "deleting parent"
 msgstr "suppression du parent"
 
-#: conflicts.py:133
+#: ../conflicts.py:132
 msgid "unknown type of conflict"
 msgstr "type de conflit inconnu"
 
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
+#: ../conflicts.py:161
 msgid "No file was selected"
 msgstr "Aucun fichier n'a été selectionné"
 
-#: conflicts.py:163 __init__.py:615 menu.py:192
+#: ../conflicts.py:162
 msgid "Please select a file from the list."
 msgstr "Veuillez sélectionner un fichier parmi la liste."
 
-#: conflicts.py:173
+#: ../conflicts.py:172
 msgid "Call to external utility failed"
 msgstr "L'appel à utilitaire externe a échoué"
 
-#: conflicts.py:175
+#: ../conflicts.py:174
 msgid "Cannot resolve conflict"
 msgstr "Impossible de résoudre le conflit"
 
-#: conflicts.py:176
+#: ../conflicts.py:175
 msgid ""
 "Only conflicts on the text of files can be resolved with Olive at the "
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
 "using the command line."
 msgstr ""
 "Actuellement, seuls les conflits sur les fichiers textes peuvent être "
-"résolus par Olive. Les conflits de contenu ou sur la structure de "
+"résolus par Olive. Les conflits de contenu sur la structure de "
 "l'arborescence doivent êtres résolus en utilisant la ligne de commande."
 
-#: errors.py:29
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "Afficha_ge"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr "Succès de la fusion"
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr "Tous les changements ont été appliqués avec succès."
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr "Conflits rencontrés."
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr "Veuillez résoudre les conflits manuellement avant de valider."
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr "Le répertoire n'est pas une branche"
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr "Cette action ne peut être effectuée que sur une branche."
+
+#: ../errors.py:34
 msgid "Directory is not a checkout"
 msgstr "Le répertoire n'est pas un checkout"
 
-#: errors.py:30
+#: ../errors.py:35
 msgid "You can perform local commit only on checkouts."
 msgstr ""
 "Les validations locales ne peuvent être effectués que sur des checkouts."
 
-#: errors.py:32
+#: ../errors.py:37
 msgid "No changes to commit"
 msgstr "Aucun changement à valider"
 
-#: errors.py:33
+#: ../errors.py:38
 msgid "Try force commit if you want to commit anyway."
 msgstr "Il est malgré tout possible de forcer la validation."
 
-#: errors.py:35
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
 msgid "Conflicts in tree"
-msgstr "Conflits dans l'arbre"
+msgstr "Conflits dans l'arborescence"
 
-#: errors.py:36
+#: ../errors.py:44
 msgid "You need to resolve the conflicts before committing."
 msgstr "Il est nécessaire de résoudre les conflits avant de valider."
 
-#: errors.py:38
+#: ../errors.py:46
 msgid "Strict commit failed"
 msgstr "La validation stricte a échoué."
 
-#: errors.py:39
+#: ../errors.py:47
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
 msgstr ""
-"L'arbre de travail contient des fichiers inconnus.\n"
+"L'arborescence de travail contient des fichiers inconnus.\n"
 "Veuillez les ajouter ou les supprimer."
 
-#: errors.py:41
+#: ../errors.py:49
 msgid "Bound branch is out of date"
 msgstr "La branche associée n'est pas à jour"
 
-#: errors.py:42
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
 #, python-format
 msgid "%s"
 msgstr "%s"
 
-#: errors.py:44
+#: ../errors.py:53
 msgid "File not versioned"
 msgstr "Fichier non versionné"
 
-#: errors.py:45
+#: ../errors.py:54
 msgid "The selected file is not versioned."
 msgstr "Le fichier sélectionné n'est pas versionné."
 
-#: errors.py:47 push.py:105
+#: ../errors.py:56 ../push.py:100
 msgid "Branches have been diverged"
 msgstr "Les branches ont divergées"
 
-#: errors.py:48
+#: ../errors.py:57
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
@@ -329,36 +456,35 @@
 "ont divergées. Utilisez l'option d'écrasement si vous souhaitez malgré tout\n"
 "effectuer un « push »."
 
-#: errors.py:50
-#, fuzzy
+#: ../errors.py:59
 msgid "No diff output"
 msgstr "Pas de différences à afficher"
 
-#: errors.py:51
+#: ../errors.py:60
 msgid "The selected file hasn't changed."
 msgstr "Le fichier sélectionné n'a pas été modifié."
 
-#: errors.py:53
+#: ../errors.py:62
 msgid "No such revision"
 msgstr "Pas de telle révision"
 
-#: errors.py:54
+#: ../errors.py:63
 msgid "The revision you specified doesn't exist."
 msgstr "La révision que vous avez renseigné n'existe pas."
 
-#: errors.py:56
+#: ../errors.py:65
 msgid "Target already exists"
 msgstr "La cible existe déjà"
 
-#: errors.py:57
+#: ../errors.py:66
 msgid "Target directory already exists. Please select another target."
 msgstr "Le répertoire cible existe déjà. Veuillez choisir une autre cible."
 
-#: errors.py:59
+#: ../errors.py:68
 msgid "Directory is already a branch"
 msgstr "Le répertoire est déjà une branche"
 
-#: errors.py:60
+#: ../errors.py:69
 #, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
@@ -367,110 +493,146 @@
 "Le répertoire courant (%s) est déjà une branche.\n"
 "Vous avez la possibilité de l'utiliser ou d'initialiser un autre répertoire."
 
-#: errors.py:62
+#: ../errors.py:71
 msgid "Branch without a working tree"
-msgstr "Branche sans répertoire de travail"
+msgstr "Branche sans arborescence de travail"
 
-#: errors.py:63
+#: ../errors.py:72
 #, python-format
 msgid ""
 "The current directory (%s)\n"
 "is a branch without a working tree."
 msgstr ""
 "Le répertoire courant (%s)\n"
-"est une branche sans arbre de travail."
+"est une branche sans arborescence de travail."
 
-#: errors.py:65
+#: ../errors.py:74
 msgid "Unknown bzr error"
 msgstr "Erreur bzr inconnue"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "Permission denied"
 msgstr "Permission refusée"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "permission denied."
 msgstr "permission refusée."
 
-#: errors.py:69
+#: ../errors.py:78
 msgid "Unknown error"
 msgstr "Erreur inconnue"
 
-#: initialize.py:47
+#. Create the widgets
+#: ../initialize.py:46
 msgid "_Initialize"
 msgstr "_Initialiser"
 
-#: initialize.py:48
+#: ../initialize.py:47
 msgid "Which directory do you want to initialize?"
 msgstr "Quel répertoire voulez-vous intialiser ?"
 
-#: initialize.py:49
+#: ../initialize.py:49
 msgid "Current directory"
 msgstr "Répertoire actuel"
 
-#: initialize.py:50
+#: ../initialize.py:51
 msgid "Create a new directory with the name:"
 msgstr "Créer un nouveau répertoire nommé :"
 
-#: initialize.py:85
+#: ../initialize.py:87
 msgid "Directory name not specified"
 msgstr "Le nom du répertoire n'est pas indiqué"
 
-#: initialize.py:86
+#: ../initialize.py:88
 msgid "You should specify a new directory name."
 msgstr "Vous devez indiquer un nouveau nom de répertoire."
 
-#: merge.py:66
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr "_Fusionner"
+
+#: ../merge.py:130
 msgid "Branch not given"
 msgstr "Branche non indiquée"
 
-#: merge.py:67
-#, fuzzy
+#: ../merge.py:131
 msgid "Please specify a branch to merge from."
 msgstr "Veuillez indiquer une branche depuis laquelle fusionner."
 
-#: merge.py:75
+#: ../merge.py:139
 msgid "Bazaar command error"
 msgstr "Erreur de commande Bazaar"
 
-#: merge.py:81
-msgid "Merge successful"
-msgstr "Succès de la fusion"
-
-#: merge.py:82
-msgid "All changes applied successfully."
-msgstr "Tous les changements ont été appliqués avec succès."
-
-#: merge.py:85
-msgid "Conflicts encountered"
-msgstr "Conflits rencontrés."
-
-#: merge.py:86
-msgid "Please resolve the conflicts manually before committing."
-msgstr "Veuillez résoudre les conflits manuellement avant de valider."
-
-#: push.py:52 bookmark.py:45
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
 msgid "Location:"
 msgstr "Emplacement :"
 
-#: push.py:54
+#: ../push.py:52
 msgid "_Push"
 msgstr "_Push"
 
-#: push.py:97
-msgid "Set default push location"
-msgstr "Définition de l'emplacement par défaut du push"
-
-#: push.py:98
-#, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-msgstr ""
-"Il n'y a pas d'emplacement défini par défaut pour le push.\n"
-"Voulez-vous maintenant définir « %r » par défaut ?"
-
-#: push.py:106
+#: ../push.py:101
 msgid ""
 "You cannot push if branches have diverged.\n"
 "Overwrite?"
@@ -478,20 +640,20 @@
 "Vous ne pouvez pas effectuer un push si les branches ont divergées.\n"
 "Voulez-vous écraser ?"
 
-#: push.py:112
+#: ../push.py:109
 msgid "Push successful"
 msgstr "Succès du push."
 
-#: push.py:113
+#: ../push.py:110
 #, python-format
 msgid "%d revision(s) pushed."
 msgstr "%d révisions exportées."
 
-#: push.py:146
+#: ../push.py:141
 msgid "Non existing parent directory"
 msgstr "Aucun répertoire parent existant"
 
-#: push.py:147
+#: ../push.py:142
 #, python-format
 msgid ""
 "The parent directory (%s)\n"
@@ -500,855 +662,96 @@
 "Le répertoire parent (%s) n'existe pas.\n"
 "Voulez-vous le créer ?"
 
-#: revbrowser.py:45
-msgid "Please wait, revisions are being loaded..."
-msgstr "Veuillez patienter, les révisions sont en cours de chargement..."
-
-#: revbrowser.py:48
+#. Create the widgets
+#: ../revbrowser.py:35
 msgid "_Select"
 msgstr "_Sélectionner"
 
-#: revbrowser.py:64
-msgid "Revno"
-msgstr "Renvo"
-
-#: revbrowser.py:70
-#, fuzzy
-msgid "Time"
-msgstr "Temps"
-
-#: status.py:78
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
 msgid "Added"
 msgstr "Ajouté"
 
-#: status.py:84
+#: ../status.py:93
 msgid "Removed"
 msgstr "Supprimé"
 
-#: status.py:90
+#: ../status.py:99
 msgid "Renamed"
 msgstr "Renommé"
 
-#: status.py:97
+#: ../status.py:106
 msgid "Modified"
 msgstr "Modifié"
 
-#: status.py:105
+#: ../status.py:114
 msgid "Unknown"
 msgstr "Inconnu"
 
-#: status.py:110
+#: ../status.py:119
 msgid "No changes."
 msgstr "Aucun changement."
 
-#: tags.py:67
+#. Set properties
+#: ../tags.py:60
 msgid "Tags"
 msgstr "Étiquettes"
 
-#: tags.py:111
+#: ../tags.py:110
 msgid "Tag Name"
 msgstr "Nom de l'étiquette"
 
-#: tags.py:116
+#: ../tags.py:115
 msgid "Revision ID"
 msgstr "ID de la révision"
 
-#: tags.py:151
+#: ../tags.py:148
 msgid "Tags are not supported by this branch format. Please upgrade."
 msgstr ""
 "Les étiquettes ne sont pas prises en charge par le format de cette branche. "
 "Effectuez une mise à niveau."
 
-#: tags.py:157
+#: ../tags.py:154
 msgid "No tagged revisions in the branch."
 msgstr "Aucune révision étiquettée dans cette branche."
 
-#: tags.py:232
+#: ../tags.py:222
 msgid "_Remove tag"
 msgstr "_Supprimer l'étiquette"
 
-#: tags.py:242
+#: ../tags.py:232
 msgid "<b><big>Remove tag?</big></b>"
 msgstr "<b><big>Supprimer l'étiquette ?</big></b>"
 
-#: tags.py:244
+#: ../tags.py:234
 #, python-format
 msgid "Are you sure you want to remove the tag: <b>%s</b>?"
 msgstr "Voulez-vous vraiment supprimer l'étiquette : <b>%s</b> ?"
 
-#: tags.py:289
+#. Create the widgets
+#: ../tags.py:278
 msgid "_Add tag"
 msgstr "_Ajouter une étiquette"
 
-#: tags.py:291
+#: ../tags.py:280
 msgid "Tag Name:"
 msgstr "Nom de l'étiquette :"
 
-#: tags.py:292
+#: ../tags.py:281
 msgid "Revision ID:"
 msgstr "ID de révision :"
 
-#: tags.py:323
+#: ../tags.py:312
 msgid "No tag name specified"
 msgstr "Aucun nom d'étiquette indiqué"
 
-#: tags.py:324
+#: ../tags.py:313
 msgid "You have to specify the tag's desired name."
 msgstr "Vous devez renseigner le nom d'étiquette souhaité."
-
-#: __init__.py:512
-msgid "There are local changes in the branch"
-msgstr "Cette branche contient des modifications locales."
-
-#: __init__.py:513
-msgid "Please commit or revert the changes before merging."
-msgstr "Veuillez commiter ou annuler les modifications avant la fusion."
-
-#: __init__.py:525 __init__.py:550
-msgid "Parent location is unknown"
-msgstr "L'emplacement parent est inconnu"
-
-#: __init__.py:526
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr ""
-"Impossible de trouver les révisions manquantes si l'emplacement parent n'est "
-"pas connu."
-
-#: __init__.py:537
-msgid "There are missing revisions"
-msgstr "Il y a des révisions manquantes"
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr "%d révision(s) manquante(s)."
-
-#: __init__.py:540
-msgid "Local branch up to date"
-msgstr "La branche locale est à jour"
-
-#: __init__.py:541
-msgid "There are no missing revisions."
-msgstr "Il n'y a pas de révisions manquantes."
-
-#: __init__.py:551
-msgid "Pulling is not possible until there is a parent location."
-msgstr ""
-"Impossible d'effectuer un « pull » tant que l'emplacement parent est absent."
-
-#: __init__.py:561
-msgid "Pull successful"
-msgstr "Pull réussi"
-
-#: __init__.py:561
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr "%d révision(s) importée(s)."
-
-#: __init__.py:575 menu.py:275
-msgid "Conflicts detected"
-msgstr "Conflits détectés"
-
-#: __init__.py:576 menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr "Vérifiez le répertoire de travail avant de poursuivre."
-
-#: __init__.py:578 menu.py:278
-msgid "Revert successful"
-msgstr "Rétablissement réussi"
-
-#: __init__.py:579 menu.py:279
-msgid "All files reverted to last revision."
-msgstr "Tous les fichiers ont été rétablis à la dernière révision."
-
-#: __init__.py:835 __init__.py:1117
-msgid "Bookmarks"
-msgstr "Marque-pages"
-
-#: __init__.py:842 menu.py:99
-msgid "Bookmark"
-msgstr "Marque-page"
-
-#: __init__.py:944 __init__.py:1231
-msgid "unchanged"
-msgstr "inchangé"
-
-#: __init__.py:946 __init__.py:1233
-msgid "ignored"
-msgstr "ignoré"
-
-#: __init__.py:948 __init__.py:1235
-msgid "unknown"
-msgstr "inconnu"
-
-#: __init__.py:964
-msgid "Filename"
-msgstr "Nom de fichier"
-
-#: __init__.py:965
-msgid "Status"
-msgstr "État"
-
-#: __init__.py:966
-msgid "Size"
-msgstr "Taille"
-
-#: __init__.py:967
-msgid "Last modified"
-msgstr "Dernière modification"
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-"Veuillez sélectionner un fichier de la liste\n"
-"ou choisir l'autre option."
-
-#: bookmark.py:46
-msgid "Title:"
-msgstr "Titre :"
-
-#: bookmark.py:81
-msgid "No title given"
-msgstr "Aucun titre renseigné"
-
-#: bookmark.py:82
-msgid "Please specify a title to continue."
-msgstr "Veuillez renseigner un titre pour poursuivre."
-
-#: guifiles.py:45
-msgid "Glade file cannot be found."
-msgstr "Impossible de trouver le fichier Glade."
-
-#: guifiles.py:55
-msgid "UI description file cannot be found."
-msgstr "Impossible de trouver le fichier de description UI."
-
-#: menu.py:63
-msgid "Add"
-msgstr "Ajouter"
-
-#: menu.py:64
-msgid "Add the selected file"
-msgstr "Ajoute le fichier sélectionné"
-
-#: menu.py:67 menu.py:107
-msgid "Remove"
-msgstr "Supprimer"
-
-#: menu.py:68
-msgid "Remove the selected file"
-msgstr "Supprime le fichier sélectionné"
-
-#: menu.py:71
-#, fuzzy
-msgid "Remove and delete"
-msgstr "Enlève et efface"
-
-#: menu.py:72
-msgid "Remove the selected file/dir and delete from disk"
-msgstr "Enlève les fichiers/répertoires sélectionnés et les efface"
-
-#: menu.py:75
-#, fuzzy
-msgid "Rename"
-msgstr "Renommer"
-
-#: menu.py:76
-#, fuzzy
-msgid "Rename the selected file"
-msgstr "Renommer le fichier sélectionné"
-
-#: menu.py:79
-msgid "Open"
-msgstr "Ouvrir"
-
-#: menu.py:80
-msgid "Open the selected file"
-msgstr "Ouvrir le fichier sélectionné"
-
-#: menu.py:83
-msgid "Revert"
-msgstr ""
-
-#: menu.py:84
-msgid "Revert the changes"
-msgstr ""
-
-#: menu.py:88
-msgid "Commit the changes"
-msgstr "Commit les changements"
-
-#: menu.py:91
-msgid "Annotate"
-msgstr ""
-
-#: menu.py:92
-msgid "Annotate the selected file"
-msgstr ""
-
-#: menu.py:95
-msgid "Diff"
-msgstr "Analyse des différences"
-
-#: menu.py:96
-msgid "Show the diff of the file"
-msgstr "Affiche les différences du fichier"
-
-#: menu.py:100
-msgid "Bookmark current location"
-msgstr "Marque l'emplacement courant"
-
-#: menu.py:103
-msgid "Edit"
-msgstr "Éditer"
-
-#: menu.py:104
-msgid "Edit the selected bookmark"
-msgstr "Édite le marque-page sélectionné"
-
-#: menu.py:108
-msgid "Remove the selected bookmark"
-msgstr "Supprime le marque-page sélectionné"
-
-#: menu.py:111
-msgid "Open Folder"
-msgstr "Ouvrir le dossier"
-
-#: menu.py:112
-msgid "Open bookmark folder in Nautilus"
-msgstr "Ouvrir le dossier en marque-page dans Nautilus"
-
-#: menu.py:115
-msgid "Selected..."
-msgstr "Sélectionné..."
-
-#: menu.py:116
-msgid "Show the differences of the selected file"
-msgstr "Affiche les différences du fichier sélectionné"
-
-#: menu.py:119
-msgid "All..."
-msgstr "Toutes..."
-
-#: menu.py:120
-msgid "Show the differences of all files"
-msgstr "Affiche les différences de tous les fichiers"
-
-#: menu.py:123
-msgid "View contents"
-msgstr ""
-
-#: menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr ""
-
-#: menu.py:127
-msgid "Show differences"
-msgstr ""
-
-#: menu.py:128
-msgid "Show the differences between two revisions of the file"
-msgstr ""
-
-#: menu.py:131
-msgid "Revert to this revision"
-msgstr ""
-
-#: menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr ""
-
-#: menu.py:228
-#, fuzzy
-msgid "Delete directory with all directories below ?"
-msgstr "Supprimer le répertoire et tous ses sous-répertoires ?"
-
-#: menu.py:315
-msgid "Bookmark successfully added"
-msgstr "Marque-page ajouté avec succès"
-
-#: menu.py:316
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-"Le répertoire courant a été marqué. Il est dorénavant\n"
-"possible de l'atteindre en le sélectionnant depuis le\n"
-"panneau gauche."
-
-#: menu.py:319
-msgid "Location already bookmarked"
-msgstr "Emplacement déjà marqué"
-
-#: menu.py:320
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-"Le répertoire courant est déjà marqué.\n"
-"Consultez le panneau de gauche pour référence."
-
-#: mkdir.py:67
-msgid "No directory name given"
-msgstr "Aucun nom de répertoire renseigné"
-
-#: mkdir.py:68
-msgid "Please specify a desired name for the new directory."
-msgstr "Veuillez indiquer le nom souhaité pour le nouveau répertoire."
-
-#: mkdir.py:79 mkdir.py:89
-msgid "Directory already exists"
-msgstr "Le répertoire existe déjà"
-
-#: mkdir.py:80 mkdir.py:90
-msgid "Please specify another name to continue."
-msgstr "Veuillez indiquer un nom différent pour poursuivre."
-
-#: move.py:80 rename.py:71
-msgid "Please select a file from the list to proceed."
-msgstr "Veuillez choisir un fichier de la liste pour opérer."
-
-#: move.py:89 rename.py:87
-msgid "Not the same branch"
-msgstr "Ce n'est pas la même branche"
-
-#: move.py:90 rename.py:88
-msgid "The destination is not in the same branch."
-msgstr "La destination ne se trouve pas dans la même branche."
-
-#: remove.py:79 remove.py:139
-msgid "No matching files"
-msgstr "Aucun fichier correspondant"
-
-#: remove.py:80 remove.py:140
-msgid "No added files were found in the working tree."
-msgstr "Aucun fichier ajouté n'a été trouvé dans le répertoire de travail."
-
-#: remove.py:105 olive.glade:825
-msgid "Which file(s) do you want to remove?"
-msgstr "Quel(s) fichier(s) souhaitez-vous supprimer ?"
-
-#: remove.py:106 olive.glade:717 olive.glade:837
-msgid "Selected only"
-msgstr "Uniquement sélectionné(s)"
-
-#: remove.py:107 olive.glade:851
-msgid "All files with status 'added'"
-msgstr "Tous les fichiers avec le statut « added »"
-
-#: remove.py:108 olive.glade:905
-msgid "_Remove"
-msgstr "_Supprimer"
-
-#: rename.py:75
-msgid "Filename not given"
-msgstr "Nom de fichier non fourni"
-
-#: rename.py:76
-msgid "Please specify a new name for the file."
-msgstr "Veuillez indiquer un nouveau nom pour le fichier."
-
-#: olive.glade:8
-msgid "Olive - Bazaar GUI"
-msgstr "Olive - Interface graphique de Bazaar"
-
-#: olive.glade:21
-msgid "_File"
-msgstr "_Fichier"
-
-#: olive.glade:28
-msgid "_Add file(s)..."
-msgstr "_Ajouter des fichiers..."
-
-#: olive.glade:43
-msgid "Remove file(s)..."
-msgstr "Supprimer des fichiers..."
-
-#: olive.glade:63
-msgid "Make _directory..."
-msgstr "Créer un _répertoire..."
-
-#: olive.glade:76
-msgid "_Rename..."
-msgstr "_Renommer..."
-
-#: olive.glade:84
-msgid "_Move..."
-msgstr "_Déplacer..."
-
-#: olive.glade:92
-#, fuzzy
-msgid "_Annotate..."
-msgstr "_Annoter..."
-
-#: olive.glade:118
-msgid "_View"
-msgstr "Afficha_ge"
-
-#: olive.glade:126
-msgid "Show _hidden files"
-msgstr "Afficher les fichiers _cachés"
-
-#: olive.glade:139
-msgid "_Refresh"
-msgstr "_Rafraîchir"
-
-#: olive.glade:158
-msgid "_Initialize..."
-msgstr "_Initialiser..."
-
-#: olive.glade:166
-msgid "_Get..."
-msgstr "_Obtenir..."
-
-#: olive.glade:174
-msgid "C_heckout..."
-msgstr "C_heckout..."
-
-#: olive.glade:187
-#, fuzzy
-msgid "Pu_ll"
-msgstr "Pu_ll"
-
-#: olive.glade:201
-#, fuzzy
-msgid "Pu_sh..."
-msgstr "Pu_sh..."
-
-#: olive.glade:220
-#, fuzzy
-msgid "_Revert all changes"
-msgstr "Annule_r les modifications"
-
-#: olive.glade:228
-#, fuzzy
-msgid "_Merge..."
-msgstr "_Fusionner..."
-
-#: olive.glade:236
-msgid "_Commit..."
-msgstr "_Commit..."
-
-#: olive.glade:255
-#, fuzzy
-msgid "Ta_gs..."
-msgstr "Ta_gs..."
-
-#: olive.glade:263
-msgid "S_tatus..."
-msgstr "S_tatus"
-
-#: olive.glade:271
-#, fuzzy
-msgid "Missing _revisions"
-msgstr "_Révisions manquantes"
-
-#: olive.glade:279
-#, fuzzy
-msgid "Con_flicts..."
-msgstr "Con_flicts..."
-
-#: olive.glade:291
-msgid "_Statistics"
-msgstr "_Statistiques"
-
-#: olive.glade:298
-msgid "_Differences..."
-msgstr "_Différences..."
-
-#: olive.glade:312
-msgid "_Log..."
-msgstr "_Historique..."
-
-#: olive.glade:326
-msgid "_Information..."
-msgstr "_Information..."
-
-#: olive.glade:338
-msgid "_Help"
-msgstr "Aid_e"
-
-#: olive.glade:548
-msgid "gtk-jump-to"
-msgstr ""
-
-#: olive.glade:575
-#, fuzzy
-msgid "H_istory Mode"
-msgstr "Mode H_istorique"
-
-#: olive.glade:673
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-
-#: olive.glade:675
-msgid "https://launchpad.net/products/olive"
-msgstr "https://launchpad.net/products/olive"
-
-#: olive.glade:677
-msgid "translator-credits"
-msgstr ""
-"Launchpad Contributions:\n"
-"  Bastien Jaillot https://launchpad.net/~bastnic\n"
-"  Bruno Bord https://launchpad.net/~brunobord\n"
-"  Hanusz leszek https://launchpad.net/~leszek-skynet\n"
-"  Nicolas Velin https://launchpad.net/~nsv\n"
-"  Pierre Slamich https://launchpad.net/~pierre-slamich\n"
-"  Shrat https://launchpad.net/~dyonisiaque\n"
-"  Stéphane Raimbault https://launchpad.net/~sra\n"
-"  Yoan Blanc https://launchpad.net/~greut-lists\n"
-"  codL https://launchpad.net/~codlgaez"
-
-#: olive.glade:694
-msgid "Olive - Add file(s)"
-msgstr "Olive - Ajouter des fichiers"
-
-#: olive.glade:705
-msgid "Which file(s) do you want to add?"
-msgstr "Quel(s) fichier(s) souhaitez-vous ajouter ?"
-
-#: olive.glade:731
-msgid "All unknowns recursively"
-msgstr "Tous les inconnus récursivement"
-
-#: olive.glade:785
-msgid "_Add"
-msgstr "_Ajouter"
-
-#: olive.glade:814
-msgid "Olive - Remove file(s)"
-msgstr "Olive - Suppression de fichiers"
-
-#: olive.glade:934
-msgid "Olive - Make directory"
-msgstr "Olive - Créer un répertoire"
-
-#: olive.glade:957
-msgid "_Versioned directory"
-msgstr "Répertoire sous ré_vision"
-
-#: olive.glade:1011
-msgid "_Make directory"
-msgstr "_Créer un répertoire"
-
-#: olive.glade:1041
-msgid "Olive - Move"
-msgstr "Olive - Move"
-
-#: olive.glade:1055
-msgid "Move to"
-msgstr "Déplacer vers"
-
-#: olive.glade:1066
-msgid "Select a directory"
-msgstr "Sélectionnez un répertoire"
-
-#: olive.glade:1120
-msgid "_Move"
-msgstr "_Déplacer"
-
-#: olive.glade:1148
-msgid "Olive - Rename"
-msgstr "Olive - Renommer"
-
-#: olive.glade:1162
-msgid "Rename to"
-msgstr "Renommer en"
-
-#: olive.glade:1227
-msgid "_Rename"
-msgstr "_Renommer"
-
-#: olive.glade:1255
-msgid "Olive - Information"
-msgstr "Olive - Information"
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275
-msgid "(none)"
-msgstr "(aucun)"
-
-#: olive.glade:1368
-msgid "Checkout root: "
-msgstr "Checkout racine : "
-
-#: olive.glade:1380
-msgid "Branch root: "
-msgstr "Branche racine : "
-
-#: olive.glade:1392
-msgid "Repository checkout: "
-msgstr "Dépôt du checkout : "
-
-#: olive.glade:1404
-msgid "Checkout of branch: "
-msgstr "Checkout de la branche : "
-
-#: olive.glade:1416
-msgid "Repository branch: "
-msgstr "Branche du dépôt : "
-
-#: olive.glade:1428
-msgid "Shared repository: "
-msgstr "Dépôt partagé : "
-
-#: olive.glade:1440
-msgid "Light checkout root: "
-msgstr "Racine du checkout léger : "
-
-#: olive.glade:1454
-msgid "<b>Location:</b>"
-msgstr "<b>Emplacement :</b>"
-
-#: olive.glade:1508
-msgid "Publish to branch: "
-msgstr "Publier vers la branche : "
-
-#: olive.glade:1520
-msgid "Parent branch: "
-msgstr "Branche parente : "
-
-#: olive.glade:1534
-msgid "<b>Related branches:</b>"
-msgstr "<b>Relatifs aux branches :</b>"
-
-#: olive.glade:1614
-msgid "Repository format: "
-msgstr "Format du dépôt : "
-
-#: olive.glade:1626
-msgid "Branch format: "
-msgstr "Format de la branche : "
-
-#: olive.glade:1638
-msgid "Working tree format: "
-msgstr "Format du répertoire de travail : "
-
-#: olive.glade:1650
-msgid "Control format: "
-msgstr "Format de contrôle : "
-
-#: olive.glade:1664
-msgid "<b>Format:</b>"
-msgstr "<b>Format :</b>"
-
-#: olive.glade:1731
-msgid "Repository lock status: "
-msgstr "Statut du verrou du dépôt : "
-
-#: olive.glade:1743
-msgid "Branch lock status: "
-msgstr "Statut du verrou de la branche : "
-
-#: olive.glade:1755
-msgid "Working tree lock status: "
-msgstr "Statut du verrou du répertoire de travail : "
-
-#: olive.glade:1769
-msgid "<b>Lock status:</b>"
-msgstr "<b>État du verrou :</b>"
-
-#: olive.glade:1823
-msgid "Missing revisions in branch: "
-msgstr "Révisions manquantes dans la branche : "
-
-#: olive.glade:1835
-msgid "Missing revisions in working tree: "
-msgstr "Révisions manquantes dans le répertoire de travail : "
-
-#: olive.glade:1849
-msgid "<b>Missing revisions:</b>"
-msgstr "<b>Révisions manquantes :</b>"
-
-#: olive.glade:1981
-msgid "Versioned subdirectories: "
-msgstr "Sous-répertoires avec révisions : "
-
-#: olive.glade:1993
-msgid "Ignored files: "
-msgstr "Fichiers ignorés : "
-
-#: olive.glade:2005
-msgid "Unknown files: "
-msgstr "Fichiers inconnus : "
-
-#: olive.glade:2017
-msgid "Renamed files: "
-msgstr "Fichiers renommés : "
-
-#: olive.glade:2029
-msgid "Removed files: "
-msgstr "Fichiers supprimés : "
-
-#: olive.glade:2041
-msgid "Added files: "
-msgstr "Fichiers ajoutés : "
-
-#: olive.glade:2053
-msgid "Modified files: "
-msgstr "Fichiers modifiés : "
-
-#: olive.glade:2065
-msgid "Unchanged files: "
-msgstr "Fichiers inchangés : "
-
-#: olive.glade:2079
-msgid "<b>In the working tree:</b>"
-msgstr "<b>Dans le répertoire de travail :</b>"
-
-#: olive.glade:2172
-msgid "Time of last revision: "
-msgstr "Date de la dernière révision : "
-
-#: olive.glade:2184
-msgid "Time of first revision: "
-msgstr "Date de la première révision : "
-
-#: olive.glade:2196
-msgid "Age of branch in days: "
-msgstr "Age de la branche en jours : "
-
-#: olive.glade:2208
-msgid "Number of commiters: "
-msgstr "Nombre de commiteurs : "
-
-#: olive.glade:2220
-msgid "Revisions in branch: "
-msgstr "Révisions dans la branche : "
-
-#: olive.glade:2234
-msgid "<b>Branch history:</b>"
-msgstr "<b>Historique de la branche :</b>"
-
-#: olive.glade:2288
-msgid "Size of repository: "
-msgstr "Taille du dépôt : "
-
-#: olive.glade:2300
-msgid "Revisions in repository: "
-msgstr "Révisions dans le dépôt : "
-
-#: olive.glade:2314
-msgid "<b>Revision store:</b>"
-msgstr "<b>Stockage des révisions :</b>"
-
-#: olive.glade:2356
-msgid "Merge - Olive"
-msgstr ""
-
-#: olive.glade:2370
-msgid "Merge from:"
-msgstr ""
-
-#: olive.glade:2454
-msgid "_Merge"
-msgstr ""

=== modified file 'po/hu.po'
--- po/hu.po	2008-03-11 17:01:27 +0000
+++ po/hu.po	2011-12-02 05:55:20 +0000
@@ -7,1284 +7,731 @@
 msgstr ""
 "Project-Id-Version: olive\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2007-08-13 12:05+0200\n"
-"PO-Revision-Date: 2006-09-16 23:21+0000\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 23:01+0000\n"
 "Last-Translator: Szilveszter Farkas <Szilveszter.Farkas@gmail.com>\n"
 "Language-Team: Hungarian <hu@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2008-03-11 16:44+0000\n"
-"X-Generator: Launchpad (build Unknown)\n"
-
-#: branch.py:52 olive.glade:151
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
 msgid "_Branch"
 msgstr ""
 
-#: branch.py:55 checkout.py:53
-msgid "Please select a folder"
-msgstr ""
-
-#: branch.py:57 checkout.py:55
+#: ../branch.py:49 ../checkout.py:49
 msgid "Branch location:"
 msgstr ""
 
-#: branch.py:58 checkout.py:56
+#: ../branch.py:51 ../checkout.py:50
 msgid "Destination:"
 msgstr ""
 
-#: branch.py:59 checkout.py:57
+#: ../branch.py:52
 msgid "Branck nick:"
 msgstr ""
 
-#: branch.py:60 checkout.py:58
+#: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
 msgstr ""
 
-#: branch.py:162 checkout.py:163
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr ""
+
+#: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
 msgstr ""
 
-#: branch.py:163 checkout.py:164
+#: ../branch.py:135 ../checkout.py:154
 msgid "You must specify a branch location."
 msgstr ""
 
-#: branch.py:205
+#: ../branch.py:174
 msgid "Branching successful"
 msgstr ""
 
-#: branch.py:206
+#: ../branch.py:175
 #, python-format
 msgid "%d revision(s) branched."
 msgstr ""
 
-#: branch.py:214 checkout.py:195
+#: ../branch.py:183 ../checkout.py:185
 msgid "N/A"
 msgstr ""
 
-#: checkout.py:50
+#. Create the widgets
+#: ../checkout.py:44
 msgid "Check_out"
 msgstr ""
 
-#: checkout.py:62
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
 msgid "_Lightweight checkout"
 msgstr ""
 
-#: commit.py:68
+#: ../commands.py:305
 msgid "Directory does not have a working tree"
 msgstr ""
 
-#: commit.py:69
+#: ../commands.py:306
 msgid "Operation aborted."
 msgstr ""
 
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556
-msgid "Directory is not a branch"
-msgstr ""
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557
-msgid "You can perform this action only in a branch."
-msgstr ""
-
-#: commit.py:88
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr ""
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr ""
+
+#: ../commit.py:178
+msgid "added"
+msgstr ""
+
+#: ../commit.py:179
+msgid "removed"
+msgstr ""
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr ""
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr ""
+
+#: ../commit.py:182
+msgid "modified"
+msgstr ""
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr ""
+
+#: ../commit.py:361
 msgid "Comm_it"
 msgstr ""
 
-#: commit.py:89
-msgid "File(s) to commit"
-msgstr ""
-
-#: commit.py:95
-msgid "Commit message:"
-msgstr ""
-
-#: commit.py:99
-msgid "Pending merges"
-msgstr ""
-
-#: commit.py:147
-msgid "_Only commit locally"
-msgstr ""
-
-#: commit.py:215
-msgid "Commit with an empty message?"
-msgstr ""
-
-#: commit.py:216
-msgid "You can describe your commit intent in the message."
-msgstr ""
-
-#: commit.py:228
-msgid "Commit with unknowns?"
-msgstr ""
-
-#: commit.py:229
-msgid "Unknown files exist in the working tree. Commit anyway?"
-msgstr ""
-
-#: commit.py:240
-msgid "Commit with no changes?"
-msgstr ""
-
-#: commit.py:241
-msgid "There are no changes in the working tree."
-msgstr ""
-
-#: commit.py:323 menu.py:87
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
 msgid "Commit"
 msgstr ""
 
-#: commit.py:325 conflicts.py:108
+#: ../commit.py:443 ../conflicts.py:107
 msgid "Path"
 msgstr ""
 
-#: commit.py:327 conflicts.py:110
+#: ../commit.py:445 ../conflicts.py:109
 msgid "Type"
 msgstr ""
 
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
-msgid "added"
-msgstr ""
-
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
-msgid "removed"
-msgstr ""
-
-#: commit.py:353
-msgid "renamed and modified"
-msgstr ""
-
-#: commit.py:355 __init__.py:936 __init__.py:1223
-msgid "renamed"
-msgstr ""
-
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
-msgid "modified"
-msgstr ""
-
-#: commit.py:395
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
 msgid "Date"
 msgstr ""
 
-#: commit.py:397 revbrowser.py:68
+#: ../commit.py:505
 msgid "Committer"
 msgstr ""
 
-#: commit.py:399 revbrowser.py:66
+#: ../commit.py:507 ../search.py:60
 msgid "Summary"
 msgstr ""
 
-#: conflicts.py:48
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr ""
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr ""
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
 msgid "External utility:"
 msgstr ""
 
-#: conflicts.py:99
+#: ../conflicts.py:97
 msgid "Conflicts"
 msgstr ""
 
-#: conflicts.py:102
+#: ../conflicts.py:100
 msgid "No conflicts in working tree."
 msgstr ""
 
-#: conflicts.py:115
+#: ../conflicts.py:114
 msgid "path conflict"
 msgstr ""
 
-#: conflicts.py:117
+#: ../conflicts.py:116
 msgid "contents conflict"
 msgstr ""
 
-#: conflicts.py:119
+#: ../conflicts.py:118
 msgid "text conflict"
 msgstr ""
 
-#: conflicts.py:121
+#: ../conflicts.py:120
 msgid "duplicate id"
 msgstr ""
 
-#: conflicts.py:123
+#: ../conflicts.py:122
 msgid "duplicate"
 msgstr ""
 
-#: conflicts.py:125
+#: ../conflicts.py:124
 msgid "parent loop"
 msgstr ""
 
-#: conflicts.py:127
+#: ../conflicts.py:126
 msgid "unversioned parent"
 msgstr ""
 
-#: conflicts.py:129
+#: ../conflicts.py:128
 msgid "missing parent"
 msgstr ""
 
-#: conflicts.py:131
+#: ../conflicts.py:130
 msgid "deleting parent"
 msgstr ""
 
-#: conflicts.py:133
+#: ../conflicts.py:132
 msgid "unknown type of conflict"
 msgstr ""
 
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
+#: ../conflicts.py:161
 msgid "No file was selected"
 msgstr ""
 
-#: conflicts.py:163 __init__.py:615 menu.py:192
+#: ../conflicts.py:162
 msgid "Please select a file from the list."
 msgstr ""
 
-#: conflicts.py:173
+#: ../conflicts.py:172
 msgid "Call to external utility failed"
 msgstr ""
 
-#: conflicts.py:175
+#: ../conflicts.py:174
 msgid "Cannot resolve conflict"
 msgstr ""
 
-#: conflicts.py:176
+#: ../conflicts.py:175
 msgid ""
 "Only conflicts on the text of files can be resolved with Olive at the "
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
 "using the command line."
 msgstr ""
 
-#: errors.py:29
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr ""
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr ""
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr ""
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr ""
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr ""
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr ""
+
+#: ../errors.py:34
 msgid "Directory is not a checkout"
 msgstr ""
 
-#: errors.py:30
+#: ../errors.py:35
 msgid "You can perform local commit only on checkouts."
 msgstr ""
 
-#: errors.py:32
+#: ../errors.py:37
 msgid "No changes to commit"
 msgstr ""
 
-#: errors.py:33
+#: ../errors.py:38
 msgid "Try force commit if you want to commit anyway."
 msgstr ""
 
-#: errors.py:35
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
 msgid "Conflicts in tree"
 msgstr ""
 
-#: errors.py:36
+#: ../errors.py:44
 msgid "You need to resolve the conflicts before committing."
 msgstr ""
 
-#: errors.py:38
+#: ../errors.py:46
 msgid "Strict commit failed"
 msgstr ""
 
-#: errors.py:39
+#: ../errors.py:47
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
 msgstr ""
 
-#: errors.py:41
+#: ../errors.py:49
 msgid "Bound branch is out of date"
 msgstr ""
 
-#: errors.py:42
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
 #, python-format
 msgid "%s"
 msgstr ""
 
-#: errors.py:44
+#: ../errors.py:53
 msgid "File not versioned"
 msgstr ""
 
-#: errors.py:45
+#: ../errors.py:54
 msgid "The selected file is not versioned."
 msgstr ""
 
-#: errors.py:47 push.py:105
+#: ../errors.py:56 ../push.py:100
 msgid "Branches have been diverged"
 msgstr ""
 
-#: errors.py:48
+#: ../errors.py:57
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
 msgstr ""
 
-#: errors.py:50
+#: ../errors.py:59
 msgid "No diff output"
 msgstr ""
 
-#: errors.py:51
+#: ../errors.py:60
 msgid "The selected file hasn't changed."
 msgstr ""
 
-#: errors.py:53
+#: ../errors.py:62
 msgid "No such revision"
 msgstr ""
 
-#: errors.py:54
+#: ../errors.py:63
 msgid "The revision you specified doesn't exist."
 msgstr ""
 
-#: errors.py:56
+#: ../errors.py:65
 msgid "Target already exists"
 msgstr ""
 
-#: errors.py:57
+#: ../errors.py:66
 msgid "Target directory already exists. Please select another target."
 msgstr ""
 
-#: errors.py:59
+#: ../errors.py:68
 msgid "Directory is already a branch"
 msgstr ""
 
-#: errors.py:60
+#: ../errors.py:69
 #, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
 "You can start using it, or initialize another directory."
 msgstr ""
 
-#: errors.py:62
+#: ../errors.py:71
 msgid "Branch without a working tree"
 msgstr ""
 
-#: errors.py:63
+#: ../errors.py:72
 #, python-format
 msgid ""
 "The current directory (%s)\n"
 "is a branch without a working tree."
 msgstr ""
 
-#: errors.py:65
+#: ../errors.py:74
 msgid "Unknown bzr error"
 msgstr ""
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "Permission denied"
 msgstr ""
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "permission denied."
 msgstr ""
 
-#: errors.py:69
+#: ../errors.py:78
 msgid "Unknown error"
 msgstr ""
 
-#: initialize.py:47
+#. Create the widgets
+#: ../initialize.py:46
 msgid "_Initialize"
 msgstr ""
 
-#: initialize.py:48
+#: ../initialize.py:47
 msgid "Which directory do you want to initialize?"
 msgstr ""
 
-#: initialize.py:49
+#: ../initialize.py:49
 msgid "Current directory"
 msgstr ""
 
-#: initialize.py:50
+#: ../initialize.py:51
 msgid "Create a new directory with the name:"
 msgstr ""
 
-#: initialize.py:85
+#: ../initialize.py:87
 msgid "Directory name not specified"
 msgstr ""
 
-#: initialize.py:86
+#: ../initialize.py:88
 msgid "You should specify a new directory name."
 msgstr ""
 
-#: merge.py:66
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr ""
+
+#: ../merge.py:130
 msgid "Branch not given"
 msgstr ""
 
-#: merge.py:67
+#: ../merge.py:131
 msgid "Please specify a branch to merge from."
 msgstr ""
 
-#: merge.py:75
+#: ../merge.py:139
 msgid "Bazaar command error"
 msgstr ""
 
-#: merge.py:81
-msgid "Merge successful"
-msgstr ""
-
-#: merge.py:82
-msgid "All changes applied successfully."
-msgstr ""
-
-#: merge.py:85
-msgid "Conflicts encountered"
-msgstr ""
-
-#: merge.py:86
-msgid "Please resolve the conflicts manually before committing."
-msgstr ""
-
-#: push.py:52 bookmark.py:45
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
 msgid "Location:"
 msgstr ""
 
-#: push.py:54
+#: ../push.py:52
 msgid "_Push"
 msgstr ""
 
-#: push.py:97
-msgid "Set default push location"
-msgstr ""
-
-#: push.py:98
-#, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-msgstr ""
-
-#: push.py:106
+#: ../push.py:101
 msgid ""
 "You cannot push if branches have diverged.\n"
 "Overwrite?"
 msgstr ""
 
-#: push.py:112
+#: ../push.py:109
 msgid "Push successful"
 msgstr ""
 
-#: push.py:113
+#: ../push.py:110
 #, python-format
 msgid "%d revision(s) pushed."
 msgstr ""
 
-#: push.py:146
+#: ../push.py:141
 msgid "Non existing parent directory"
 msgstr ""
 
-#: push.py:147
+#: ../push.py:142
 #, python-format
 msgid ""
 "The parent directory (%s)\n"
 "doesn't exist. Create?"
 msgstr ""
 
-#: revbrowser.py:45
-msgid "Please wait, revisions are being loaded..."
-msgstr ""
-
-#: revbrowser.py:48
+#. Create the widgets
+#: ../revbrowser.py:35
 msgid "_Select"
 msgstr ""
 
-#: revbrowser.py:64
-msgid "Revno"
-msgstr ""
-
-#: revbrowser.py:70
-msgid "Time"
-msgstr ""
-
-#: status.py:78
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
 msgid "Added"
 msgstr ""
 
-#: status.py:84
+#: ../status.py:93
 msgid "Removed"
 msgstr ""
 
-#: status.py:90
+#: ../status.py:99
 msgid "Renamed"
 msgstr ""
 
-#: status.py:97
+#: ../status.py:106
 msgid "Modified"
 msgstr ""
 
-#: status.py:105
+#: ../status.py:114
 msgid "Unknown"
 msgstr ""
 
-#: status.py:110
+#: ../status.py:119
 msgid "No changes."
 msgstr ""
 
-#: tags.py:67
+#. Set properties
+#: ../tags.py:60
 msgid "Tags"
 msgstr ""
 
-#: tags.py:111
+#: ../tags.py:110
 msgid "Tag Name"
 msgstr ""
 
-#: tags.py:116
+#: ../tags.py:115
 msgid "Revision ID"
 msgstr ""
 
-#: tags.py:151
+#: ../tags.py:148
 msgid "Tags are not supported by this branch format. Please upgrade."
 msgstr ""
 
-#: tags.py:157
+#: ../tags.py:154
 msgid "No tagged revisions in the branch."
 msgstr ""
 
-#: tags.py:232
+#: ../tags.py:222
 msgid "_Remove tag"
 msgstr ""
 
-#: tags.py:242
+#: ../tags.py:232
 msgid "<b><big>Remove tag?</big></b>"
 msgstr ""
 
-#: tags.py:244
+#: ../tags.py:234
 #, python-format
 msgid "Are you sure you want to remove the tag: <b>%s</b>?"
 msgstr ""
 
-#: tags.py:289
+#. Create the widgets
+#: ../tags.py:278
 msgid "_Add tag"
 msgstr ""
 
-#: tags.py:291
+#: ../tags.py:280
 msgid "Tag Name:"
 msgstr ""
 
-#: tags.py:292
+#: ../tags.py:281
 msgid "Revision ID:"
 msgstr ""
 
-#: tags.py:323
+#: ../tags.py:312
 msgid "No tag name specified"
 msgstr ""
 
-#: tags.py:324
+#: ../tags.py:313
 msgid "You have to specify the tag's desired name."
 msgstr ""
-
-#: __init__.py:512
-msgid "There are local changes in the branch"
-msgstr ""
-
-#: __init__.py:513
-msgid "Please commit or revert the changes before merging."
-msgstr ""
-
-#: __init__.py:525 __init__.py:550
-msgid "Parent location is unknown"
-msgstr ""
-
-#: __init__.py:526
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr ""
-
-#: __init__.py:537
-msgid "There are missing revisions"
-msgstr ""
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr ""
-
-#: __init__.py:540
-msgid "Local branch up to date"
-msgstr ""
-
-#: __init__.py:541
-msgid "There are no missing revisions."
-msgstr ""
-
-#: __init__.py:551
-msgid "Pulling is not possible until there is a parent location."
-msgstr ""
-
-#: __init__.py:561
-msgid "Pull successful"
-msgstr ""
-
-#: __init__.py:561
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr ""
-
-#: __init__.py:575 menu.py:275
-msgid "Conflicts detected"
-msgstr ""
-
-#: __init__.py:576 menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr ""
-
-#: __init__.py:578 menu.py:278
-msgid "Revert successful"
-msgstr ""
-
-#: __init__.py:579 menu.py:279
-msgid "All files reverted to last revision."
-msgstr ""
-
-#: __init__.py:835 __init__.py:1117
-msgid "Bookmarks"
-msgstr ""
-
-#: __init__.py:842 menu.py:99
-msgid "Bookmark"
-msgstr ""
-
-#: __init__.py:944 __init__.py:1231
-msgid "unchanged"
-msgstr ""
-
-#: __init__.py:946 __init__.py:1233
-msgid "ignored"
-msgstr ""
-
-#: __init__.py:948 __init__.py:1235
-msgid "unknown"
-msgstr ""
-
-#: __init__.py:964
-msgid "Filename"
-msgstr ""
-
-#: __init__.py:965
-msgid "Status"
-msgstr ""
-
-#: __init__.py:966
-msgid "Size"
-msgstr ""
-
-#: __init__.py:967
-msgid "Last modified"
-msgstr ""
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-
-#: bookmark.py:46
-msgid "Title:"
-msgstr ""
-
-#: bookmark.py:81
-msgid "No title given"
-msgstr ""
-
-#: bookmark.py:82
-msgid "Please specify a title to continue."
-msgstr ""
-
-#: guifiles.py:45
-msgid "Glade file cannot be found."
-msgstr ""
-
-#: guifiles.py:55
-msgid "UI description file cannot be found."
-msgstr ""
-
-#: menu.py:63
-msgid "Add"
-msgstr ""
-
-#: menu.py:64
-msgid "Add the selected file"
-msgstr ""
-
-#: menu.py:67 menu.py:107
-msgid "Remove"
-msgstr ""
-
-#: menu.py:68
-msgid "Remove the selected file"
-msgstr ""
-
-#: menu.py:71
-msgid "Remove and delete"
-msgstr ""
-
-#: menu.py:72
-msgid "Remove the selected file/dir and delete from disk"
-msgstr ""
-
-#: menu.py:75
-msgid "Rename"
-msgstr ""
-
-#: menu.py:76
-msgid "Rename the selected file"
-msgstr ""
-
-#: menu.py:79
-msgid "Open"
-msgstr ""
-
-#: menu.py:80
-msgid "Open the selected file"
-msgstr ""
-
-#: menu.py:83
-msgid "Revert"
-msgstr ""
-
-#: menu.py:84
-msgid "Revert the changes"
-msgstr ""
-
-#: menu.py:88
-msgid "Commit the changes"
-msgstr ""
-
-#: menu.py:91
-msgid "Annotate"
-msgstr ""
-
-#: menu.py:92
-msgid "Annotate the selected file"
-msgstr ""
-
-#: menu.py:95
-msgid "Diff"
-msgstr ""
-
-#: menu.py:96
-msgid "Show the diff of the file"
-msgstr ""
-
-#: menu.py:100
-msgid "Bookmark current location"
-msgstr ""
-
-#: menu.py:103
-msgid "Edit"
-msgstr ""
-
-#: menu.py:104
-msgid "Edit the selected bookmark"
-msgstr ""
-
-#: menu.py:108
-msgid "Remove the selected bookmark"
-msgstr ""
-
-#: menu.py:111
-msgid "Open Folder"
-msgstr ""
-
-#: menu.py:112
-msgid "Open bookmark folder in Nautilus"
-msgstr ""
-
-#: menu.py:115
-msgid "Selected..."
-msgstr ""
-
-#: menu.py:116
-msgid "Show the differences of the selected file"
-msgstr ""
-
-#: menu.py:119
-msgid "All..."
-msgstr ""
-
-#: menu.py:120
-msgid "Show the differences of all files"
-msgstr ""
-
-#: menu.py:123
-msgid "View contents"
-msgstr ""
-
-#: menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr ""
-
-#: menu.py:127
-msgid "Show differences"
-msgstr ""
-
-#: menu.py:128
-msgid "Show the differences between two revisions of the file"
-msgstr ""
-
-#: menu.py:131
-msgid "Revert to this revision"
-msgstr ""
-
-#: menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr ""
-
-#: menu.py:228
-msgid "Delete directory with all directories below ?"
-msgstr ""
-
-#: menu.py:315
-msgid "Bookmark successfully added"
-msgstr ""
-
-#: menu.py:316
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-
-#: menu.py:319
-msgid "Location already bookmarked"
-msgstr ""
-
-#: menu.py:320
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-
-#: mkdir.py:67
-msgid "No directory name given"
-msgstr ""
-
-#: mkdir.py:68
-msgid "Please specify a desired name for the new directory."
-msgstr ""
-
-#: mkdir.py:79 mkdir.py:89
-msgid "Directory already exists"
-msgstr ""
-
-#: mkdir.py:80 mkdir.py:90
-msgid "Please specify another name to continue."
-msgstr ""
-
-#: move.py:80 rename.py:71
-msgid "Please select a file from the list to proceed."
-msgstr ""
-
-#: move.py:89 rename.py:87
-msgid "Not the same branch"
-msgstr ""
-
-#: move.py:90 rename.py:88
-msgid "The destination is not in the same branch."
-msgstr ""
-
-#: remove.py:79 remove.py:139
-msgid "No matching files"
-msgstr ""
-
-#: remove.py:80 remove.py:140
-msgid "No added files were found in the working tree."
-msgstr ""
-
-#: remove.py:105 olive.glade:825
-msgid "Which file(s) do you want to remove?"
-msgstr ""
-
-#: remove.py:106 olive.glade:717 olive.glade:837
-msgid "Selected only"
-msgstr ""
-
-#: remove.py:107 olive.glade:851
-msgid "All files with status 'added'"
-msgstr ""
-
-#: remove.py:108 olive.glade:905
-msgid "_Remove"
-msgstr ""
-
-#: rename.py:75
-msgid "Filename not given"
-msgstr ""
-
-#: rename.py:76
-msgid "Please specify a new name for the file."
-msgstr ""
-
-#: olive.glade:8
-msgid "Olive - Bazaar GUI"
-msgstr "Olive - Bazaar grafikus felület"
-
-#: olive.glade:21
-msgid "_File"
-msgstr ""
-
-#: olive.glade:28
-msgid "_Add file(s)..."
-msgstr ""
-
-#: olive.glade:43
-msgid "Remove file(s)..."
-msgstr ""
-
-#: olive.glade:63
-msgid "Make _directory..."
-msgstr ""
-
-#: olive.glade:76
-msgid "_Rename..."
-msgstr ""
-
-#: olive.glade:84
-msgid "_Move..."
-msgstr ""
-
-#: olive.glade:92
-msgid "_Annotate..."
-msgstr ""
-
-#: olive.glade:118
-msgid "_View"
-msgstr ""
-
-#: olive.glade:126
-msgid "Show _hidden files"
-msgstr ""
-
-#: olive.glade:139
-msgid "_Refresh"
-msgstr ""
-
-#: olive.glade:158
-msgid "_Initialize..."
-msgstr ""
-
-#: olive.glade:166
-msgid "_Get..."
-msgstr ""
-
-#: olive.glade:174
-msgid "C_heckout..."
-msgstr ""
-
-#: olive.glade:187
-msgid "Pu_ll"
-msgstr ""
-
-#: olive.glade:201
-msgid "Pu_sh..."
-msgstr ""
-
-#: olive.glade:220
-msgid "_Revert all changes"
-msgstr ""
-
-#: olive.glade:228
-msgid "_Merge..."
-msgstr ""
-
-#: olive.glade:236
-msgid "_Commit..."
-msgstr ""
-
-#: olive.glade:255
-msgid "Ta_gs..."
-msgstr ""
-
-#: olive.glade:263
-msgid "S_tatus..."
-msgstr ""
-
-#: olive.glade:271
-msgid "Missing _revisions"
-msgstr ""
-
-#: olive.glade:279
-msgid "Con_flicts..."
-msgstr ""
-
-#: olive.glade:291
-msgid "_Statistics"
-msgstr ""
-
-#: olive.glade:298
-msgid "_Differences..."
-msgstr ""
-
-#: olive.glade:312
-msgid "_Log..."
-msgstr ""
-
-#: olive.glade:326
-msgid "_Information..."
-msgstr ""
-
-#: olive.glade:338
-msgid "_Help"
-msgstr ""
-
-#: olive.glade:548
-msgid "gtk-jump-to"
-msgstr ""
-
-#: olive.glade:575
-msgid "H_istory Mode"
-msgstr ""
-
-#: olive.glade:673
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr ""
-
-#: olive.glade:675
-msgid "https://launchpad.net/products/olive"
-msgstr ""
-
-#: olive.glade:677
-msgid "translator-credits"
-msgstr ""
-"Launchpad Contributions:\n"
-"  Szilveszter Farkas https://launchpad.net/~phanatic"
-
-#: olive.glade:694
-msgid "Olive - Add file(s)"
-msgstr ""
-
-#: olive.glade:705
-msgid "Which file(s) do you want to add?"
-msgstr ""
-
-#: olive.glade:731
-msgid "All unknowns recursively"
-msgstr ""
-
-#: olive.glade:785
-msgid "_Add"
-msgstr ""
-
-#: olive.glade:814
-msgid "Olive - Remove file(s)"
-msgstr ""
-
-#: olive.glade:934
-msgid "Olive - Make directory"
-msgstr ""
-
-#: olive.glade:957
-msgid "_Versioned directory"
-msgstr ""
-
-#: olive.glade:1011
-msgid "_Make directory"
-msgstr ""
-
-#: olive.glade:1041
-msgid "Olive - Move"
-msgstr ""
-
-#: olive.glade:1055
-msgid "Move to"
-msgstr ""
-
-#: olive.glade:1066
-msgid "Select a directory"
-msgstr ""
-
-#: olive.glade:1120
-msgid "_Move"
-msgstr ""
-
-#: olive.glade:1148
-msgid "Olive - Rename"
-msgstr ""
-
-#: olive.glade:1162
-msgid "Rename to"
-msgstr ""
-
-#: olive.glade:1227
-msgid "_Rename"
-msgstr ""
-
-#: olive.glade:1255
-msgid "Olive - Information"
-msgstr ""
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275
-msgid "(none)"
-msgstr ""
-
-#: olive.glade:1368
-msgid "Checkout root: "
-msgstr ""
-
-#: olive.glade:1380
-msgid "Branch root: "
-msgstr ""
-
-#: olive.glade:1392
-msgid "Repository checkout: "
-msgstr ""
-
-#: olive.glade:1404
-msgid "Checkout of branch: "
-msgstr ""
-
-#: olive.glade:1416
-msgid "Repository branch: "
-msgstr ""
-
-#: olive.glade:1428
-msgid "Shared repository: "
-msgstr ""
-
-#: olive.glade:1440
-msgid "Light checkout root: "
-msgstr ""
-
-#: olive.glade:1454
-msgid "<b>Location:</b>"
-msgstr ""
-
-#: olive.glade:1508
-msgid "Publish to branch: "
-msgstr ""
-
-#: olive.glade:1520
-msgid "Parent branch: "
-msgstr ""
-
-#: olive.glade:1534
-msgid "<b>Related branches:</b>"
-msgstr ""
-
-#: olive.glade:1614
-msgid "Repository format: "
-msgstr ""
-
-#: olive.glade:1626
-msgid "Branch format: "
-msgstr ""
-
-#: olive.glade:1638
-msgid "Working tree format: "
-msgstr ""
-
-#: olive.glade:1650
-msgid "Control format: "
-msgstr ""
-
-#: olive.glade:1664
-msgid "<b>Format:</b>"
-msgstr ""
-
-#: olive.glade:1731
-msgid "Repository lock status: "
-msgstr ""
-
-#: olive.glade:1743
-msgid "Branch lock status: "
-msgstr ""
-
-#: olive.glade:1755
-msgid "Working tree lock status: "
-msgstr ""
-
-#: olive.glade:1769
-msgid "<b>Lock status:</b>"
-msgstr ""
-
-#: olive.glade:1823
-msgid "Missing revisions in branch: "
-msgstr ""
-
-#: olive.glade:1835
-msgid "Missing revisions in working tree: "
-msgstr ""
-
-#: olive.glade:1849
-msgid "<b>Missing revisions:</b>"
-msgstr ""
-
-#: olive.glade:1981
-msgid "Versioned subdirectories: "
-msgstr ""
-
-#: olive.glade:1993
-msgid "Ignored files: "
-msgstr ""
-
-#: olive.glade:2005
-msgid "Unknown files: "
-msgstr ""
-
-#: olive.glade:2017
-msgid "Renamed files: "
-msgstr ""
-
-#: olive.glade:2029
-msgid "Removed files: "
-msgstr ""
-
-#: olive.glade:2041
-msgid "Added files: "
-msgstr ""
-
-#: olive.glade:2053
-msgid "Modified files: "
-msgstr ""
-
-#: olive.glade:2065
-msgid "Unchanged files: "
-msgstr ""
-
-#: olive.glade:2079
-msgid "<b>In the working tree:</b>"
-msgstr ""
-
-#: olive.glade:2172
-msgid "Time of last revision: "
-msgstr ""
-
-#: olive.glade:2184
-msgid "Time of first revision: "
-msgstr ""
-
-#: olive.glade:2196
-msgid "Age of branch in days: "
-msgstr ""
-
-#: olive.glade:2208
-msgid "Number of commiters: "
-msgstr ""
-
-#: olive.glade:2220
-msgid "Revisions in branch: "
-msgstr ""
-
-#: olive.glade:2234
-msgid "<b>Branch history:</b>"
-msgstr ""
-
-#: olive.glade:2288
-msgid "Size of repository: "
-msgstr ""
-
-#: olive.glade:2300
-msgid "Revisions in repository: "
-msgstr ""
-
-#: olive.glade:2314
-msgid "<b>Revision store:</b>"
-msgstr ""
-
-#: olive.glade:2356
-msgid "Merge - Olive"
-msgstr ""
-
-#: olive.glade:2370
-msgid "Merge from:"
-msgstr ""
-
-#: olive.glade:2454
-msgid "_Merge"
-msgstr ""

=== modified file 'po/id.po'
--- po/id.po	2008-03-11 17:01:27 +0000
+++ po/id.po	2011-12-02 05:55:20 +0000
@@ -7,1284 +7,731 @@
 msgstr ""
 "Project-Id-Version: olive\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2007-08-13 12:05+0200\n"
-"PO-Revision-Date: 2007-07-24 14:41+0000\n"
-"Last-Translator: Mahyuddin Susanto <udienz@debian-id.org>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:57+0000\n"
+"Last-Translator: Mahyuddin Susanto <saya@udienz.web.id>\n"
 "Language-Team: Indonesian <id@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2008-03-11 16:44+0000\n"
-"X-Generator: Launchpad (build Unknown)\n"
-
-#: branch.py:52 olive.glade:151
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
 msgid "_Branch"
 msgstr "_Cabang"
 
-#: branch.py:55 checkout.py:53
-msgid "Please select a folder"
-msgstr "Pilijh Folder"
-
-#: branch.py:57 checkout.py:55
+#: ../branch.py:49 ../checkout.py:49
 msgid "Branch location:"
 msgstr "Lokasi Cabang:"
 
-#: branch.py:58 checkout.py:56
+#: ../branch.py:51 ../checkout.py:50
 msgid "Destination:"
 msgstr "Tujuan:"
 
-#: branch.py:59 checkout.py:57
+#: ../branch.py:52
 msgid "Branck nick:"
 msgstr ""
 
-#: branch.py:60 checkout.py:58
+#: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
 msgstr ""
 
-#: branch.py:162 checkout.py:163
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Pilijh Folder"
+
+#: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
 msgstr ""
 
-#: branch.py:163 checkout.py:164
+#: ../branch.py:135 ../checkout.py:154
 msgid "You must specify a branch location."
 msgstr ""
 
-#: branch.py:205
+#: ../branch.py:174
 msgid "Branching successful"
 msgstr ""
 
-#: branch.py:206
+#: ../branch.py:175
 #, python-format
 msgid "%d revision(s) branched."
 msgstr ""
 
-#: branch.py:214 checkout.py:195
+#: ../branch.py:183 ../checkout.py:185
 msgid "N/A"
 msgstr ""
 
-#: checkout.py:50
+#. Create the widgets
+#: ../checkout.py:44
 msgid "Check_out"
 msgstr ""
 
-#: checkout.py:62
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
 msgid "_Lightweight checkout"
 msgstr ""
 
-#: commit.py:68
+#: ../commands.py:305
 msgid "Directory does not have a working tree"
 msgstr ""
 
-#: commit.py:69
+#: ../commands.py:306
 msgid "Operation aborted."
 msgstr ""
 
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556
-msgid "Directory is not a branch"
-msgstr ""
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557
-msgid "You can perform this action only in a branch."
-msgstr ""
-
-#: commit.py:88
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr ""
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr ""
+
+#: ../commit.py:178
+msgid "added"
+msgstr ""
+
+#: ../commit.py:179
+msgid "removed"
+msgstr ""
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr ""
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr ""
+
+#: ../commit.py:182
+msgid "modified"
+msgstr ""
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr ""
+
+#: ../commit.py:361
 msgid "Comm_it"
 msgstr ""
 
-#: commit.py:89
-msgid "File(s) to commit"
-msgstr ""
-
-#: commit.py:95
-msgid "Commit message:"
-msgstr ""
-
-#: commit.py:99
-msgid "Pending merges"
-msgstr ""
-
-#: commit.py:147
-msgid "_Only commit locally"
-msgstr ""
-
-#: commit.py:215
-msgid "Commit with an empty message?"
-msgstr ""
-
-#: commit.py:216
-msgid "You can describe your commit intent in the message."
-msgstr ""
-
-#: commit.py:228
-msgid "Commit with unknowns?"
-msgstr ""
-
-#: commit.py:229
-msgid "Unknown files exist in the working tree. Commit anyway?"
-msgstr ""
-
-#: commit.py:240
-msgid "Commit with no changes?"
-msgstr ""
-
-#: commit.py:241
-msgid "There are no changes in the working tree."
-msgstr ""
-
-#: commit.py:323 menu.py:87
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
 msgid "Commit"
 msgstr "Pegang"
 
-#: commit.py:325 conflicts.py:108
+#: ../commit.py:443 ../conflicts.py:107
 msgid "Path"
 msgstr ""
 
-#: commit.py:327 conflicts.py:110
+#: ../commit.py:445 ../conflicts.py:109
 msgid "Type"
 msgstr ""
 
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
-msgid "added"
-msgstr ""
-
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
-msgid "removed"
-msgstr ""
-
-#: commit.py:353
-msgid "renamed and modified"
-msgstr ""
-
-#: commit.py:355 __init__.py:936 __init__.py:1223
-msgid "renamed"
-msgstr ""
-
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
-msgid "modified"
-msgstr ""
-
-#: commit.py:395
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
 msgid "Date"
 msgstr ""
 
-#: commit.py:397 revbrowser.py:68
+#: ../commit.py:505
 msgid "Committer"
 msgstr ""
 
-#: commit.py:399 revbrowser.py:66
+#: ../commit.py:507 ../search.py:60
 msgid "Summary"
 msgstr ""
 
-#: conflicts.py:48
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr ""
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr ""
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
 msgid "External utility:"
 msgstr ""
 
-#: conflicts.py:99
+#: ../conflicts.py:97
 msgid "Conflicts"
 msgstr ""
 
-#: conflicts.py:102
+#: ../conflicts.py:100
 msgid "No conflicts in working tree."
 msgstr ""
 
-#: conflicts.py:115
+#: ../conflicts.py:114
 msgid "path conflict"
 msgstr ""
 
-#: conflicts.py:117
+#: ../conflicts.py:116
 msgid "contents conflict"
 msgstr ""
 
-#: conflicts.py:119
+#: ../conflicts.py:118
 msgid "text conflict"
 msgstr ""
 
-#: conflicts.py:121
+#: ../conflicts.py:120
 msgid "duplicate id"
 msgstr ""
 
-#: conflicts.py:123
+#: ../conflicts.py:122
 msgid "duplicate"
 msgstr ""
 
-#: conflicts.py:125
+#: ../conflicts.py:124
 msgid "parent loop"
 msgstr ""
 
-#: conflicts.py:127
+#: ../conflicts.py:126
 msgid "unversioned parent"
 msgstr ""
 
-#: conflicts.py:129
+#: ../conflicts.py:128
 msgid "missing parent"
 msgstr ""
 
-#: conflicts.py:131
+#: ../conflicts.py:130
 msgid "deleting parent"
 msgstr ""
 
-#: conflicts.py:133
+#: ../conflicts.py:132
 msgid "unknown type of conflict"
 msgstr ""
 
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
+#: ../conflicts.py:161
 msgid "No file was selected"
 msgstr ""
 
-#: conflicts.py:163 __init__.py:615 menu.py:192
+#: ../conflicts.py:162
 msgid "Please select a file from the list."
 msgstr ""
 
-#: conflicts.py:173
+#: ../conflicts.py:172
 msgid "Call to external utility failed"
 msgstr ""
 
-#: conflicts.py:175
+#: ../conflicts.py:174
 msgid "Cannot resolve conflict"
 msgstr ""
 
-#: conflicts.py:176
+#: ../conflicts.py:175
 msgid ""
 "Only conflicts on the text of files can be resolved with Olive at the "
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
 "using the command line."
 msgstr ""
 
-#: errors.py:29
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "_Lihat"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr ""
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr ""
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr ""
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr ""
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr ""
+
+#: ../errors.py:34
 msgid "Directory is not a checkout"
 msgstr ""
 
-#: errors.py:30
+#: ../errors.py:35
 msgid "You can perform local commit only on checkouts."
 msgstr ""
 
-#: errors.py:32
+#: ../errors.py:37
 msgid "No changes to commit"
 msgstr ""
 
-#: errors.py:33
+#: ../errors.py:38
 msgid "Try force commit if you want to commit anyway."
 msgstr ""
 
-#: errors.py:35
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
 msgid "Conflicts in tree"
 msgstr ""
 
-#: errors.py:36
+#: ../errors.py:44
 msgid "You need to resolve the conflicts before committing."
 msgstr ""
 
-#: errors.py:38
+#: ../errors.py:46
 msgid "Strict commit failed"
 msgstr ""
 
-#: errors.py:39
+#: ../errors.py:47
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
 msgstr ""
 
-#: errors.py:41
+#: ../errors.py:49
 msgid "Bound branch is out of date"
 msgstr ""
 
-#: errors.py:42
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
 #, python-format
 msgid "%s"
 msgstr ""
 
-#: errors.py:44
+#: ../errors.py:53
 msgid "File not versioned"
 msgstr ""
 
-#: errors.py:45
+#: ../errors.py:54
 msgid "The selected file is not versioned."
 msgstr ""
 
-#: errors.py:47 push.py:105
+#: ../errors.py:56 ../push.py:100
 msgid "Branches have been diverged"
 msgstr ""
 
-#: errors.py:48
+#: ../errors.py:57
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
 msgstr ""
 
-#: errors.py:50
+#: ../errors.py:59
 msgid "No diff output"
 msgstr ""
 
-#: errors.py:51
+#: ../errors.py:60
 msgid "The selected file hasn't changed."
 msgstr ""
 
-#: errors.py:53
+#: ../errors.py:62
 msgid "No such revision"
 msgstr ""
 
-#: errors.py:54
+#: ../errors.py:63
 msgid "The revision you specified doesn't exist."
 msgstr ""
 
-#: errors.py:56
+#: ../errors.py:65
 msgid "Target already exists"
 msgstr ""
 
-#: errors.py:57
+#: ../errors.py:66
 msgid "Target directory already exists. Please select another target."
 msgstr ""
 
-#: errors.py:59
+#: ../errors.py:68
 msgid "Directory is already a branch"
 msgstr ""
 
-#: errors.py:60
+#: ../errors.py:69
 #, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
 "You can start using it, or initialize another directory."
 msgstr ""
 
-#: errors.py:62
+#: ../errors.py:71
 msgid "Branch without a working tree"
 msgstr ""
 
-#: errors.py:63
+#: ../errors.py:72
 #, python-format
 msgid ""
 "The current directory (%s)\n"
 "is a branch without a working tree."
 msgstr ""
 
-#: errors.py:65
+#: ../errors.py:74
 msgid "Unknown bzr error"
 msgstr ""
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "Permission denied"
 msgstr ""
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "permission denied."
 msgstr ""
 
-#: errors.py:69
+#: ../errors.py:78
 msgid "Unknown error"
 msgstr ""
 
-#: initialize.py:47
+#. Create the widgets
+#: ../initialize.py:46
 msgid "_Initialize"
 msgstr "_Inisialisasi"
 
-#: initialize.py:48
+#: ../initialize.py:47
 msgid "Which directory do you want to initialize?"
 msgstr ""
 
-#: initialize.py:49
+#: ../initialize.py:49
 msgid "Current directory"
 msgstr ""
 
-#: initialize.py:50
+#: ../initialize.py:51
 msgid "Create a new directory with the name:"
 msgstr ""
 
-#: initialize.py:85
+#: ../initialize.py:87
 msgid "Directory name not specified"
 msgstr ""
 
-#: initialize.py:86
+#: ../initialize.py:88
 msgid "You should specify a new directory name."
 msgstr ""
 
-#: merge.py:66
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr ""
+
+#: ../merge.py:130
 msgid "Branch not given"
 msgstr ""
 
-#: merge.py:67
+#: ../merge.py:131
 msgid "Please specify a branch to merge from."
 msgstr ""
 
-#: merge.py:75
+#: ../merge.py:139
 msgid "Bazaar command error"
 msgstr ""
 
-#: merge.py:81
-msgid "Merge successful"
-msgstr ""
-
-#: merge.py:82
-msgid "All changes applied successfully."
-msgstr ""
-
-#: merge.py:85
-msgid "Conflicts encountered"
-msgstr ""
-
-#: merge.py:86
-msgid "Please resolve the conflicts manually before committing."
-msgstr ""
-
-#: push.py:52 bookmark.py:45
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
 msgid "Location:"
 msgstr "Lokasi"
 
-#: push.py:54
+#: ../push.py:52
 msgid "_Push"
 msgstr "_Tekan"
 
-#: push.py:97
-msgid "Set default push location"
-msgstr ""
-
-#: push.py:98
-#, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-msgstr ""
-
-#: push.py:106
+#: ../push.py:101
 msgid ""
 "You cannot push if branches have diverged.\n"
 "Overwrite?"
 msgstr ""
 
-#: push.py:112
+#: ../push.py:109
 msgid "Push successful"
 msgstr ""
 
-#: push.py:113
+#: ../push.py:110
 #, python-format
 msgid "%d revision(s) pushed."
 msgstr ""
 
-#: push.py:146
+#: ../push.py:141
 msgid "Non existing parent directory"
 msgstr ""
 
-#: push.py:147
+#: ../push.py:142
 #, python-format
 msgid ""
 "The parent directory (%s)\n"
 "doesn't exist. Create?"
 msgstr ""
 
-#: revbrowser.py:45
-msgid "Please wait, revisions are being loaded..."
-msgstr ""
-
-#: revbrowser.py:48
+#. Create the widgets
+#: ../revbrowser.py:35
 msgid "_Select"
 msgstr ""
 
-#: revbrowser.py:64
-msgid "Revno"
-msgstr ""
-
-#: revbrowser.py:70
-msgid "Time"
-msgstr ""
-
-#: status.py:78
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
 msgid "Added"
 msgstr ""
 
-#: status.py:84
+#: ../status.py:93
 msgid "Removed"
 msgstr ""
 
-#: status.py:90
+#: ../status.py:99
 msgid "Renamed"
 msgstr ""
 
-#: status.py:97
+#: ../status.py:106
 msgid "Modified"
 msgstr ""
 
-#: status.py:105
+#: ../status.py:114
 msgid "Unknown"
 msgstr ""
 
-#: status.py:110
+#: ../status.py:119
 msgid "No changes."
 msgstr ""
 
-#: tags.py:67
+#. Set properties
+#: ../tags.py:60
 msgid "Tags"
 msgstr ""
 
-#: tags.py:111
+#: ../tags.py:110
 msgid "Tag Name"
 msgstr ""
 
-#: tags.py:116
+#: ../tags.py:115
 msgid "Revision ID"
 msgstr ""
 
-#: tags.py:151
+#: ../tags.py:148
 msgid "Tags are not supported by this branch format. Please upgrade."
 msgstr ""
 
-#: tags.py:157
+#: ../tags.py:154
 msgid "No tagged revisions in the branch."
 msgstr ""
 
-#: tags.py:232
+#: ../tags.py:222
 msgid "_Remove tag"
 msgstr ""
 
-#: tags.py:242
+#: ../tags.py:232
 msgid "<b><big>Remove tag?</big></b>"
 msgstr ""
 
-#: tags.py:244
+#: ../tags.py:234
 #, python-format
 msgid "Are you sure you want to remove the tag: <b>%s</b>?"
 msgstr ""
 
-#: tags.py:289
+#. Create the widgets
+#: ../tags.py:278
 msgid "_Add tag"
 msgstr ""
 
-#: tags.py:291
+#: ../tags.py:280
 msgid "Tag Name:"
 msgstr ""
 
-#: tags.py:292
+#: ../tags.py:281
 msgid "Revision ID:"
 msgstr ""
 
-#: tags.py:323
+#: ../tags.py:312
 msgid "No tag name specified"
 msgstr ""
 
-#: tags.py:324
+#: ../tags.py:313
 msgid "You have to specify the tag's desired name."
 msgstr ""
-
-#: __init__.py:512
-msgid "There are local changes in the branch"
-msgstr ""
-
-#: __init__.py:513
-msgid "Please commit or revert the changes before merging."
-msgstr ""
-
-#: __init__.py:525 __init__.py:550
-msgid "Parent location is unknown"
-msgstr ""
-
-#: __init__.py:526
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr ""
-
-#: __init__.py:537
-msgid "There are missing revisions"
-msgstr ""
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr ""
-
-#: __init__.py:540
-msgid "Local branch up to date"
-msgstr ""
-
-#: __init__.py:541
-msgid "There are no missing revisions."
-msgstr ""
-
-#: __init__.py:551
-msgid "Pulling is not possible until there is a parent location."
-msgstr ""
-
-#: __init__.py:561
-msgid "Pull successful"
-msgstr ""
-
-#: __init__.py:561
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr ""
-
-#: __init__.py:575 menu.py:275
-msgid "Conflicts detected"
-msgstr ""
-
-#: __init__.py:576 menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr ""
-
-#: __init__.py:578 menu.py:278
-msgid "Revert successful"
-msgstr ""
-
-#: __init__.py:579 menu.py:279
-msgid "All files reverted to last revision."
-msgstr ""
-
-#: __init__.py:835 __init__.py:1117
-msgid "Bookmarks"
-msgstr ""
-
-#: __init__.py:842 menu.py:99
-msgid "Bookmark"
-msgstr ""
-
-#: __init__.py:944 __init__.py:1231
-msgid "unchanged"
-msgstr ""
-
-#: __init__.py:946 __init__.py:1233
-msgid "ignored"
-msgstr ""
-
-#: __init__.py:948 __init__.py:1235
-msgid "unknown"
-msgstr ""
-
-#: __init__.py:964
-msgid "Filename"
-msgstr ""
-
-#: __init__.py:965
-msgid "Status"
-msgstr ""
-
-#: __init__.py:966
-msgid "Size"
-msgstr ""
-
-#: __init__.py:967
-msgid "Last modified"
-msgstr ""
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-
-#: bookmark.py:46
-msgid "Title:"
-msgstr ""
-
-#: bookmark.py:81
-msgid "No title given"
-msgstr ""
-
-#: bookmark.py:82
-msgid "Please specify a title to continue."
-msgstr ""
-
-#: guifiles.py:45
-msgid "Glade file cannot be found."
-msgstr ""
-
-#: guifiles.py:55
-msgid "UI description file cannot be found."
-msgstr ""
-
-#: menu.py:63
-msgid "Add"
-msgstr ""
-
-#: menu.py:64
-msgid "Add the selected file"
-msgstr ""
-
-#: menu.py:67 menu.py:107
-msgid "Remove"
-msgstr ""
-
-#: menu.py:68
-msgid "Remove the selected file"
-msgstr ""
-
-#: menu.py:71
-msgid "Remove and delete"
-msgstr ""
-
-#: menu.py:72
-msgid "Remove the selected file/dir and delete from disk"
-msgstr ""
-
-#: menu.py:75
-msgid "Rename"
-msgstr ""
-
-#: menu.py:76
-msgid "Rename the selected file"
-msgstr ""
-
-#: menu.py:79
-msgid "Open"
-msgstr ""
-
-#: menu.py:80
-msgid "Open the selected file"
-msgstr ""
-
-#: menu.py:83
-msgid "Revert"
-msgstr ""
-
-#: menu.py:84
-msgid "Revert the changes"
-msgstr ""
-
-#: menu.py:88
-msgid "Commit the changes"
-msgstr ""
-
-#: menu.py:91
-msgid "Annotate"
-msgstr ""
-
-#: menu.py:92
-msgid "Annotate the selected file"
-msgstr ""
-
-#: menu.py:95
-msgid "Diff"
-msgstr "Beda"
-
-#: menu.py:96
-msgid "Show the diff of the file"
-msgstr ""
-
-#: menu.py:100
-msgid "Bookmark current location"
-msgstr ""
-
-#: menu.py:103
-msgid "Edit"
-msgstr ""
-
-#: menu.py:104
-msgid "Edit the selected bookmark"
-msgstr ""
-
-#: menu.py:108
-msgid "Remove the selected bookmark"
-msgstr ""
-
-#: menu.py:111
-msgid "Open Folder"
-msgstr ""
-
-#: menu.py:112
-msgid "Open bookmark folder in Nautilus"
-msgstr ""
-
-#: menu.py:115
-msgid "Selected..."
-msgstr ""
-
-#: menu.py:116
-msgid "Show the differences of the selected file"
-msgstr ""
-
-#: menu.py:119
-msgid "All..."
-msgstr ""
-
-#: menu.py:120
-msgid "Show the differences of all files"
-msgstr ""
-
-#: menu.py:123
-msgid "View contents"
-msgstr ""
-
-#: menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr ""
-
-#: menu.py:127
-msgid "Show differences"
-msgstr ""
-
-#: menu.py:128
-msgid "Show the differences between two revisions of the file"
-msgstr ""
-
-#: menu.py:131
-msgid "Revert to this revision"
-msgstr ""
-
-#: menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr ""
-
-#: menu.py:228
-msgid "Delete directory with all directories below ?"
-msgstr ""
-
-#: menu.py:315
-msgid "Bookmark successfully added"
-msgstr ""
-
-#: menu.py:316
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-
-#: menu.py:319
-msgid "Location already bookmarked"
-msgstr ""
-
-#: menu.py:320
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-
-#: mkdir.py:67
-msgid "No directory name given"
-msgstr ""
-
-#: mkdir.py:68
-msgid "Please specify a desired name for the new directory."
-msgstr ""
-
-#: mkdir.py:79 mkdir.py:89
-msgid "Directory already exists"
-msgstr ""
-
-#: mkdir.py:80 mkdir.py:90
-msgid "Please specify another name to continue."
-msgstr ""
-
-#: move.py:80 rename.py:71
-msgid "Please select a file from the list to proceed."
-msgstr ""
-
-#: move.py:89 rename.py:87
-msgid "Not the same branch"
-msgstr ""
-
-#: move.py:90 rename.py:88
-msgid "The destination is not in the same branch."
-msgstr ""
-
-#: remove.py:79 remove.py:139
-msgid "No matching files"
-msgstr ""
-
-#: remove.py:80 remove.py:140
-msgid "No added files were found in the working tree."
-msgstr ""
-
-#: remove.py:105 olive.glade:825
-msgid "Which file(s) do you want to remove?"
-msgstr "berkas mana yang akan di buang?"
-
-#: remove.py:106 olive.glade:717 olive.glade:837
-msgid "Selected only"
-msgstr "Hanya yang dipilih"
-
-#: remove.py:107 olive.glade:851
-msgid "All files with status 'added'"
-msgstr "Semua berkas dengan status 'dimasukkan'"
-
-#: remove.py:108 olive.glade:905
-msgid "_Remove"
-msgstr "Hapus"
-
-#: rename.py:75
-msgid "Filename not given"
-msgstr ""
-
-#: rename.py:76
-msgid "Please specify a new name for the file."
-msgstr ""
-
-#: olive.glade:8
-msgid "Olive - Bazaar GUI"
-msgstr "Olive - GUI Bazaar"
-
-#: olive.glade:21
-msgid "_File"
-msgstr "_Berkas"
-
-#: olive.glade:28
-msgid "_Add file(s)..."
-msgstr "_Masukkan Berkas(berkas)..."
-
-#: olive.glade:43
-msgid "Remove file(s)..."
-msgstr "Buang Berkas(berkas)..."
-
-#: olive.glade:63
-msgid "Make _directory..."
-msgstr "Buat _Direktori"
-
-#: olive.glade:76
-msgid "_Rename..."
-msgstr "_Ubah Nama..."
-
-#: olive.glade:84
-msgid "_Move..."
-msgstr "_Pindah..."
-
-#: olive.glade:92
-msgid "_Annotate..."
-msgstr ""
-
-#: olive.glade:118
-msgid "_View"
-msgstr "_Lihat"
-
-#: olive.glade:126
-msgid "Show _hidden files"
-msgstr "Perlihatkan berkas _tersembunyi"
-
-#: olive.glade:139
-msgid "_Refresh"
-msgstr "_Penyegaran"
-
-#: olive.glade:158
-msgid "_Initialize..."
-msgstr ""
-
-#: olive.glade:166
-msgid "_Get..."
-msgstr "_Dapatkan"
-
-#: olive.glade:174
-msgid "C_heckout..."
-msgstr "C_heckout..."
-
-#: olive.glade:187
-msgid "Pu_ll"
-msgstr ""
-
-#: olive.glade:201
-msgid "Pu_sh..."
-msgstr "Te_kan"
-
-#: olive.glade:220
-msgid "_Revert all changes"
-msgstr ""
-
-#: olive.glade:228
-msgid "_Merge..."
-msgstr ""
-
-#: olive.glade:236
-msgid "_Commit..."
-msgstr ""
-
-#: olive.glade:255
-msgid "Ta_gs..."
-msgstr ""
-
-#: olive.glade:263
-msgid "S_tatus..."
-msgstr "S_tatus..."
-
-#: olive.glade:271
-msgid "Missing _revisions"
-msgstr ""
-
-#: olive.glade:279
-msgid "Con_flicts..."
-msgstr ""
-
-#: olive.glade:291
-msgid "_Statistics"
-msgstr "_Statistika"
-
-#: olive.glade:298
-msgid "_Differences..."
-msgstr "_Perbedaan..."
-
-#: olive.glade:312
-msgid "_Log..."
-msgstr "_Log..."
-
-#: olive.glade:326
-msgid "_Information..."
-msgstr ""
-
-#: olive.glade:338
-msgid "_Help"
-msgstr "_Bantuan..."
-
-#: olive.glade:548
-msgid "gtk-jump-to"
-msgstr ""
-
-#: olive.glade:575
-msgid "H_istory Mode"
-msgstr ""
-
-#: olive.glade:673
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr ""
-
-#: olive.glade:675
-msgid "https://launchpad.net/products/olive"
-msgstr "https://launchpad.net/products/olive"
-
-#: olive.glade:677
-msgid "translator-credits"
-msgstr ""
-"Launchpad Contributions:\n"
-"  Mahyuddin Susanto https://launchpad.net/~udienz"
-
-#: olive.glade:694
-msgid "Olive - Add file(s)"
-msgstr "Olive - Tambahkan berkas(berkas)"
-
-#: olive.glade:705
-msgid "Which file(s) do you want to add?"
-msgstr "Dimana berkas(berkas) yang akan anda tambahkan??"
-
-#: olive.glade:731
-msgid "All unknowns recursively"
-msgstr ""
-
-#: olive.glade:785
-msgid "_Add"
-msgstr "_Tambahkan"
-
-#: olive.glade:814
-msgid "Olive - Remove file(s)"
-msgstr "Olive - Buang berkas(berkas)"
-
-#: olive.glade:934
-msgid "Olive - Make directory"
-msgstr "Olive - Buat Direktori"
-
-#: olive.glade:957
-msgid "_Versioned directory"
-msgstr "_Jenis direktory"
-
-#: olive.glade:1011
-msgid "_Make directory"
-msgstr "_Buat direktory"
-
-#: olive.glade:1041
-msgid "Olive - Move"
-msgstr "Olive - Pindah"
-
-#: olive.glade:1055
-msgid "Move to"
-msgstr "Pindahkan ke"
-
-#: olive.glade:1066
-msgid "Select a directory"
-msgstr "Pilih direktori"
-
-#: olive.glade:1120
-msgid "_Move"
-msgstr "_Pindahkan"
-
-#: olive.glade:1148
-msgid "Olive - Rename"
-msgstr "Olive - Penamaan Ulang"
-
-#: olive.glade:1162
-msgid "Rename to"
-msgstr "Ganti nama ke"
-
-#: olive.glade:1227
-msgid "_Rename"
-msgstr "_Ganti nama"
-
-#: olive.glade:1255
-msgid "Olive - Information"
-msgstr ""
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275
-msgid "(none)"
-msgstr "(tidak ada)"
-
-#: olive.glade:1368
-msgid "Checkout root: "
-msgstr "Periksa root: "
-
-#: olive.glade:1380
-msgid "Branch root: "
-msgstr "root Cabang: "
-
-#: olive.glade:1392
-msgid "Repository checkout: "
-msgstr "Periksa Repository: "
-
-#: olive.glade:1404
-msgid "Checkout of branch: "
-msgstr "Periksa Cabang: "
-
-#: olive.glade:1416
-msgid "Repository branch: "
-msgstr ""
-
-#: olive.glade:1428
-msgid "Shared repository: "
-msgstr ""
-
-#: olive.glade:1440
-msgid "Light checkout root: "
-msgstr ""
-
-#: olive.glade:1454
-msgid "<b>Location:</b>"
-msgstr ""
-
-#: olive.glade:1508
-msgid "Publish to branch: "
-msgstr "Tampilkan di cabang: "
-
-#: olive.glade:1520
-msgid "Parent branch: "
-msgstr "cabang diatas: "
-
-#: olive.glade:1534
-msgid "<b>Related branches:</b>"
-msgstr ""
-
-#: olive.glade:1614
-msgid "Repository format: "
-msgstr "Format Repository: "
-
-#: olive.glade:1626
-msgid "Branch format: "
-msgstr "Format Cabang: "
-
-#: olive.glade:1638
-msgid "Working tree format: "
-msgstr "Bekerja dengan tiga format: "
-
-#: olive.glade:1650
-msgid "Control format: "
-msgstr "Pengendali Format: "
-
-#: olive.glade:1664
-msgid "<b>Format:</b>"
-msgstr ""
-
-#: olive.glade:1731
-msgid "Repository lock status: "
-msgstr "Status pengunci Repositori: "
-
-#: olive.glade:1743
-msgid "Branch lock status: "
-msgstr "Status pengunci Cabang: "
-
-#: olive.glade:1755
-msgid "Working tree lock status: "
-msgstr "Bekerja dengan status kunci tiga: "
-
-#: olive.glade:1769
-msgid "<b>Lock status:</b>"
-msgstr ""
-
-#: olive.glade:1823
-msgid "Missing revisions in branch: "
-msgstr ""
-
-#: olive.glade:1835
-msgid "Missing revisions in working tree: "
-msgstr ""
-
-#: olive.glade:1849
-msgid "<b>Missing revisions:</b>"
-msgstr ""
-
-#: olive.glade:1981
-msgid "Versioned subdirectories: "
-msgstr "versi anak direktori: "
-
-#: olive.glade:1993
-msgid "Ignored files: "
-msgstr "berkas di acuhkan: "
-
-#: olive.glade:2005
-msgid "Unknown files: "
-msgstr "Berkas tidak diketahui; "
-
-#: olive.glade:2017
-msgid "Renamed files: "
-msgstr "Penamaan ualng  berkas: "
-
-#: olive.glade:2029
-msgid "Removed files: "
-msgstr "Buang Berkas; "
-
-#: olive.glade:2041
-msgid "Added files: "
-msgstr "Penambahan berkas: "
-
-#: olive.glade:2053
-msgid "Modified files: "
-msgstr "Berkas yang diubah: "
-
-#: olive.glade:2065
-msgid "Unchanged files: "
-msgstr "Berkas yang tidak diubah: "
-
-#: olive.glade:2079
-msgid "<b>In the working tree:</b>"
-msgstr ""
-
-#: olive.glade:2172
-msgid "Time of last revision: "
-msgstr ""
-
-#: olive.glade:2184
-msgid "Time of first revision: "
-msgstr "Revisi pertama: "
-
-#: olive.glade:2196
-msgid "Age of branch in days: "
-msgstr ""
-
-#: olive.glade:2208
-msgid "Number of commiters: "
-msgstr ""
-
-#: olive.glade:2220
-msgid "Revisions in branch: "
-msgstr ""
-
-#: olive.glade:2234
-msgid "<b>Branch history:</b>"
-msgstr ""
-
-#: olive.glade:2288
-msgid "Size of repository: "
-msgstr ""
-
-#: olive.glade:2300
-msgid "Revisions in repository: "
-msgstr ""
-
-#: olive.glade:2314
-msgid "<b>Revision store:</b>"
-msgstr ""
-
-#: olive.glade:2356
-msgid "Merge - Olive"
-msgstr ""
-
-#: olive.glade:2370
-msgid "Merge from:"
-msgstr ""
-
-#: olive.glade:2454
-msgid "_Merge"
-msgstr ""

=== modified file 'po/it.po'
--- po/it.po	2008-03-11 17:01:27 +0000
+++ po/it.po	2011-12-02 05:55:20 +0000
@@ -7,1394 +7,742 @@
 msgstr ""
 "Project-Id-Version: olive\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2007-08-13 12:05+0200\n"
-"PO-Revision-Date: 2008-03-11 13:25+0000\n"
-"Last-Translator: Stefano Karapetsas <stefano@karapetsas.net>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:59+0000\n"
+"Last-Translator: Luca Ferretti <elle.uca@gmail.com>\n"
 "Language-Team: Italian <it@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2008-03-11 16:44+0000\n"
-"X-Generator: Launchpad (build Unknown)\n"
-
-#: branch.py:52 olive.glade:151
-#, fuzzy
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
 msgid "_Branch"
-msgstr "_Ramo"
-
-#: branch.py:55 checkout.py:53
-#, fuzzy
-msgid "Please select a folder"
-msgstr "Selezionare una cartella"
-
-#: branch.py:57 checkout.py:55
-#, fuzzy
+msgstr "_Branch"
+
+#: ../branch.py:49 ../checkout.py:49
 msgid "Branch location:"
-msgstr "Posizione ramo:"
+msgstr "Posizione del branch:"
 
-#: branch.py:58 checkout.py:56
-#, fuzzy
+#: ../branch.py:51 ../checkout.py:50
 msgid "Destination:"
 msgstr "Destinazione:"
 
-#: branch.py:59 checkout.py:57
-#, fuzzy
+#: ../branch.py:52
 msgid "Branck nick:"
-msgstr "Nome ramo:"
+msgstr "Soprannome del branch:"
 
-#: branch.py:60 checkout.py:58
-#, fuzzy
+#: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
 msgstr "Revisione:"
 
-#: branch.py:162 checkout.py:163
-#, fuzzy
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Selezionare una cartella"
+
+#: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
-msgstr "Posizione ramo mancante"
+msgstr "Posizione del branch mancante"
 
-#: branch.py:163 checkout.py:164
-#, fuzzy
+#: ../branch.py:135 ../checkout.py:154
 msgid "You must specify a branch location."
-msgstr "È necessario specificare una posizione del ramo."
+msgstr "È necessario specificare una posizione per il branch."
 
-#: branch.py:205
-#, fuzzy
+#: ../branch.py:174
 msgid "Branching successful"
-msgstr "Ramo creato con successo"
+msgstr "Branching riuscito"
 
-#: branch.py:206
-#, fuzzy, python-format
+#: ../branch.py:175
+#, python-format
 msgid "%d revision(s) branched."
-msgstr "Creato il ramo di %d revisione/i"
+msgstr ""
 
-#: branch.py:214 checkout.py:195
-#, fuzzy
+#: ../branch.py:183 ../checkout.py:185
 msgid "N/A"
 msgstr "N/D"
 
-#: checkout.py:50
-#, fuzzy
+#. Create the widgets
+#: ../checkout.py:44
 msgid "Check_out"
 msgstr "Check_out"
 
-#: checkout.py:62
-#, fuzzy
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
 msgid "_Lightweight checkout"
 msgstr "Checkout _leggero"
 
-#: commit.py:68
-#, fuzzy
+#: ../commands.py:305
 msgid "Directory does not have a working tree"
-msgstr "La directory non ha una ramo di lavoro"
+msgstr "La directory non presenta un albero di working"
 
-#: commit.py:69
-#, fuzzy
+#: ../commands.py:306
 msgid "Operation aborted."
-msgstr "Operazione annullata."
-
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556
-msgid "Directory is not a branch"
-msgstr "La directory non è un ramo"
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557
-#, fuzzy
-msgid "You can perform this action only in a branch."
-msgstr "È possibile eseguire l'azione sono in un ramo."
-
-#: commit.py:88
-#, fuzzy
-msgid "Comm_it"
-msgstr "Comm_it"
-
-#: commit.py:89
-#, fuzzy
-msgid "File(s) to commit"
-msgstr "File da inviare:"
-
-#: commit.py:95
-#, fuzzy
-msgid "Commit message:"
-msgstr "Messaggio per il commit"
-
-#: commit.py:99
-#, fuzzy
-msgid "Pending merges"
-msgstr "Unioni pendenti"
-
-#: commit.py:147
-#, fuzzy
-msgid "_Only commit locally"
-msgstr "_Eseguire commit solo localmente"
-
-#: commit.py:215
-#, fuzzy
-msgid "Commit with an empty message?"
-msgstr "Eseguire il commit senza un messaggio?"
-
-#: commit.py:216
-#, fuzzy
-msgid "You can describe your commit intent in the message."
-msgstr "È possibile descrivere il motivo del commit nel messaggio."
-
-#: commit.py:228
-#, fuzzy
-msgid "Commit with unknowns?"
-msgstr "Eseguire il commit con sconosciuti?"
-
-#: commit.py:229
-#, fuzzy
-msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr "Operazione interrotta."
+
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr "Ci sono cambiamenti locali nella branca"
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
 msgstr ""
-"Esistono dei file sconosciuti nell'albero di lavoro. Eseguire il commit in "
-"ogni caso?"
-
-#: commit.py:240
-#, fuzzy
-msgid "Commit with no changes?"
-msgstr "Eseguire il commint senza modifiche?"
-
-#: commit.py:241
-#, fuzzy
-msgid "There are no changes in the working tree."
-msgstr "Non ci sono modifiche nell'albero di lavoro."
-
-#: commit.py:323 menu.py:87
-#, fuzzy
-msgid "Commit"
-msgstr "Commit"
-
-#: commit.py:325 conflicts.py:108
-#, fuzzy
-msgid "Path"
-msgstr "Percoso"
-
-#: commit.py:327 conflicts.py:110
-#, fuzzy
-msgid "Type"
-msgstr "Tipo"
-
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
-#, fuzzy
+
+#: ../commit.py:178
 msgid "added"
 msgstr "aggiunto"
 
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
-#, fuzzy
+#: ../commit.py:179
 msgid "removed"
 msgstr "rimosso"
 
-#: commit.py:353
-#, fuzzy
+#: ../commit.py:180
+msgid "renamed"
+msgstr "rinominato"
+
+#: ../commit.py:181
 msgid "renamed and modified"
 msgstr "rinominato e modificato"
 
-#: commit.py:355 __init__.py:936 __init__.py:1223
-#, fuzzy
-msgid "renamed"
-msgstr "rinominato"
-
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
-#, fuzzy
+#: ../commit.py:182
 msgid "modified"
 msgstr "modificato"
 
-#: commit.py:395
-#, fuzzy
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr "_Eseguire commit solo localmente"
+
+#: ../commit.py:361
+msgid "Comm_it"
+msgstr "Comm_it"
+
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr "Commit"
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr "Percorso"
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr "Tipo"
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
 msgid "Date"
 msgstr "Data"
 
-#: commit.py:397 revbrowser.py:68
+#: ../commit.py:505
 msgid "Committer"
-msgstr ""
+msgstr "Committer"
 
-#: commit.py:399 revbrowser.py:66
-#, fuzzy
+#: ../commit.py:507 ../search.py:60
 msgid "Summary"
 msgstr "Riepilogo"
 
-#: conflicts.py:48
-#, fuzzy
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr "Eseguire il commit con un messaggio vuoto?"
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr "È possibile descrivere il motivo del commit nel messaggio."
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr "Eseguire il commit con sconosciuti?"
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+"Sono presenti dei file sconosciuti nel working tree. Eseguire il commit lo "
+"stesso?"
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr "Eseguire il commint senza cambiamenti?"
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
 msgid "External utility:"
 msgstr "Utilità esterna:"
 
-#: conflicts.py:99
-#, fuzzy
+#: ../conflicts.py:97
 msgid "Conflicts"
 msgstr "Conflitti"
 
-#: conflicts.py:102
-#, fuzzy
+#: ../conflicts.py:100
 msgid "No conflicts in working tree."
-msgstr "Nessun conflitto nell'albero di lavoro."
+msgstr "Nessun conflitto nel working tree"
 
-#: conflicts.py:115
-#, fuzzy
+#: ../conflicts.py:114
 msgid "path conflict"
 msgstr "conflitto di percorso"
 
-#: conflicts.py:117
-#, fuzzy
+#: ../conflicts.py:116
 msgid "contents conflict"
 msgstr "conflitto di contenuto"
 
-#: conflicts.py:119
-#, fuzzy
+#: ../conflicts.py:118
 msgid "text conflict"
 msgstr "conflitto di testo"
 
-#: conflicts.py:121
-#, fuzzy
+#: ../conflicts.py:120
 msgid "duplicate id"
 msgstr "id duplicato"
 
-#: conflicts.py:123
-#, fuzzy
+#: ../conflicts.py:122
 msgid "duplicate"
 msgstr "duplicato"
 
-#: conflicts.py:125
+#: ../conflicts.py:124
 msgid "parent loop"
 msgstr ""
 
-#: conflicts.py:127
+#: ../conflicts.py:126
 msgid "unversioned parent"
 msgstr ""
 
-#: conflicts.py:129
-#, fuzzy
+#: ../conflicts.py:128
 msgid "missing parent"
-msgstr "genitore mancante"
+msgstr ""
 
-#: conflicts.py:131
-#, fuzzy
+#: ../conflicts.py:130
 msgid "deleting parent"
-msgstr "cancellazione genitore"
+msgstr "eliminazione genitore"
 
-#: conflicts.py:133
-#, fuzzy
+#: ../conflicts.py:132
 msgid "unknown type of conflict"
 msgstr "tipo di conflitto sconosciuto"
 
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
-#, fuzzy
+#: ../conflicts.py:161
 msgid "No file was selected"
-msgstr "Nessun file selezionato"
+msgstr "Non è stato selezionato alcun file"
 
-#: conflicts.py:163 __init__.py:615 menu.py:192
-#, fuzzy
+#: ../conflicts.py:162
 msgid "Please select a file from the list."
-msgstr "Selezionare un file dall'elenco"
+msgstr "Selezionare un file dall'elenco."
 
-#: conflicts.py:173
-#, fuzzy
+#: ../conflicts.py:172
 msgid "Call to external utility failed"
-msgstr "Chiamata all'utilità esterna fallita"
+msgstr "Chiamata all'utilità esterna non riuscita"
 
-#: conflicts.py:175
-#, fuzzy
+#: ../conflicts.py:174
 msgid "Cannot resolve conflict"
 msgstr "Impossibile risolvere il conflitto"
 
-#: conflicts.py:176
-#, fuzzy
+#: ../conflicts.py:175
 msgid ""
 "Only conflicts on the text of files can be resolved with Olive at the "
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
 "using the command line."
 msgstr ""
-"Al momento solo i conflitti sui file di testo possono essere risolti con "
-"Olive. Conflitti nel contenuto e nella struttura dell'albero devono essere "
-"risolti attraverso la riga di comando."
-
-#: errors.py:29
-#, fuzzy
+"Al momento è possibile risolvere con Olive solo i conflitti sui file di "
+"testo. I conflitti di contenuto, sulla struttura dell'albero, devono essere "
+"risolti usando la riga di comando."
+
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "_Mostra"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr ""
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr ""
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr ""
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr "La directory non è un branch"
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr "È possibile eseguire questa azione sono all'interno di un branch."
+
+#: ../errors.py:34
 msgid "Directory is not a checkout"
 msgstr "La directory non è un checkout"
 
-#: errors.py:30
-#, fuzzy
+#: ../errors.py:35
 msgid "You can perform local commit only on checkouts."
-msgstr "È possibile eseguire solamente dei commit locali su checkout."
+msgstr "È possibile eseguire i commit locali solamente sui checkout."
 
-#: errors.py:32
-#, fuzzy
+#: ../errors.py:37
 msgid "No changes to commit"
 msgstr "Nessun cambiamento per eseguire il commit"
 
-#: errors.py:33
-#, fuzzy
+#: ../errors.py:38
 msgid "Try force commit if you want to commit anyway."
-msgstr "Provare force commit per eseguire il commit in ogni caso."
-
-#: errors.py:35
-#, fuzzy
+msgstr "Provare «force commit« per eseguire il commit in ogni caso."
+
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
 msgid "Conflicts in tree"
 msgstr "Conflitti nell'albero"
 
-#: errors.py:36
-#, fuzzy
+#: ../errors.py:44
 msgid "You need to resolve the conflicts before committing."
-msgstr "È necessario risolvere i conflitti prima di proseguire."
+msgstr "È necessario risolvere i conflitti prima di eseguire il commit."
 
-#: errors.py:38
+#: ../errors.py:46
 msgid "Strict commit failed"
-msgstr ""
+msgstr "Commit strict non riuscito"
 
-#: errors.py:39
-#, fuzzy
+#: ../errors.py:47
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
 msgstr ""
-"Sono presenti file sconosciuti nell'albero di lavoro.\n"
-"Aggiungerli o cancellarli."
+"Nell'albero di lavoro sono presenti file sconosciuti.\n"
+"Aggiungerli o eliminarli."
 
-#: errors.py:41
+#: ../errors.py:49
 msgid "Bound branch is out of date"
 msgstr ""
 
-#: errors.py:42
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
 #, python-format
 msgid "%s"
 msgstr "%s"
 
-#: errors.py:44
-#, fuzzy
+#: ../errors.py:53
 msgid "File not versioned"
 msgstr "File non nella versione"
 
-#: errors.py:45
-#, fuzzy
+#: ../errors.py:54
 msgid "The selected file is not versioned."
 msgstr "Il file selezionato non è nella versione"
 
-#: errors.py:47 push.py:105
-#, fuzzy
+#: ../errors.py:56 ../push.py:100
 msgid "Branches have been diverged"
-msgstr "I rami sono stati separati"
+msgstr ""
 
-#: errors.py:48
+#: ../errors.py:57
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
 msgstr ""
 
-#: errors.py:50
+#: ../errors.py:59
 msgid "No diff output"
 msgstr "Nessun output diff"
 
-#: errors.py:51
-#, fuzzy
+#: ../errors.py:60
 msgid "The selected file hasn't changed."
-msgstr "Il file selezionato non è cambiato"
+msgstr ""
 
-#: errors.py:53
-#, fuzzy
+#: ../errors.py:62
 msgid "No such revision"
-msgstr "Revisione inesistente"
+msgstr ""
 
-#: errors.py:54
-#, fuzzy
+#: ../errors.py:63
 msgid "The revision you specified doesn't exist."
-msgstr "La revisione specificata non esiste."
+msgstr ""
 
-#: errors.py:56
-#, fuzzy
+#: ../errors.py:65
 msgid "Target already exists"
-msgstr "Obiettivo già esistente"
+msgstr ""
 
-#: errors.py:57
-#, fuzzy
+#: ../errors.py:66
 msgid "Target directory already exists. Please select another target."
-msgstr "La directory obiettivo esiste già. Selezionare un altro obiettivo."
+msgstr ""
 
-#: errors.py:59
-#, fuzzy
+#: ../errors.py:68
 msgid "Directory is already a branch"
-msgstr "La directory è già un ramo"
+msgstr ""
 
-#: errors.py:60
-#, fuzzy, python-format
+#: ../errors.py:69
+#, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
 "You can start using it, or initialize another directory."
 msgstr ""
-"La directory corrente (%s) è già un ramo.\n"
-"È possibile utilizzarla o inizializzarne un'altra."
 
-#: errors.py:62
-#, fuzzy
+#: ../errors.py:71
 msgid "Branch without a working tree"
-msgstr "Ramo senza un albero di lavoro"
+msgstr ""
 
-#: errors.py:63
-#, fuzzy, python-format
+#: ../errors.py:72
+#, python-format
 msgid ""
 "The current directory (%s)\n"
 "is a branch without a working tree."
 msgstr ""
-"La directory corrente (%s)\n"
-"è un ramo senza un albero di lavoro."
 
-#: errors.py:65
-#, fuzzy
+#: ../errors.py:74
 msgid "Unknown bzr error"
-msgstr "Errore bzr sconosciuto"
+msgstr ""
 
-#: errors.py:67
-#, fuzzy
+#: ../errors.py:76
 msgid "Permission denied"
-msgstr "Permesso negato"
+msgstr ""
 
-#: errors.py:67
-#, fuzzy
+#: ../errors.py:76
 msgid "permission denied."
-msgstr "permesso negato."
+msgstr ""
 
-#: errors.py:69
-#, fuzzy
+#: ../errors.py:78
 msgid "Unknown error"
-msgstr "Errore sconosciuto"
+msgstr ""
 
-#: initialize.py:47
-#, fuzzy
+#. Create the widgets
+#: ../initialize.py:46
 msgid "_Initialize"
-msgstr "Iniziali_zza"
+msgstr ""
 
-#: initialize.py:48
-#, fuzzy
+#: ../initialize.py:47
 msgid "Which directory do you want to initialize?"
-msgstr "Quale directory inizializzare?"
+msgstr ""
 
-#: initialize.py:49
-#, fuzzy
+#: ../initialize.py:49
 msgid "Current directory"
-msgstr "Directory corrente"
+msgstr ""
 
-#: initialize.py:50
-#, fuzzy
+#: ../initialize.py:51
 msgid "Create a new directory with the name:"
-msgstr "Creare una nuova directory con il nome:"
+msgstr ""
 
-#: initialize.py:85
-#, fuzzy
+#: ../initialize.py:87
 msgid "Directory name not specified"
-msgstr "Nome directory non specificato"
+msgstr ""
 
-#: initialize.py:86
-#, fuzzy
+#: ../initialize.py:88
 msgid "You should specify a new directory name."
-msgstr "È necessario specificare un nuovo nome per la directory."
-
-#: merge.py:66
-#, fuzzy
+msgstr ""
+
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr "_Unisci"
+
+#: ../merge.py:130
 msgid "Branch not given"
-msgstr "Ramo non fornito"
+msgstr ""
 
-#: merge.py:67
-#, fuzzy
+#: ../merge.py:131
 msgid "Please specify a branch to merge from."
-msgstr "Specificare un ramo da cui eseguire il merge."
+msgstr ""
 
-#: merge.py:75
-#, fuzzy
+#: ../merge.py:139
 msgid "Bazaar command error"
-msgstr "Errore comando bazaar"
-
-#: merge.py:81
-#, fuzzy
-msgid "Merge successful"
-msgstr "Merge eseguito con successo"
-
-#: merge.py:82
-#, fuzzy
-msgid "All changes applied successfully."
-msgstr "Tutti i cambiamenti applicati con successo."
-
-#: merge.py:85
-#, fuzzy
-msgid "Conflicts encountered"
-msgstr "Incontrati dei conflitti"
-
-#: merge.py:86
-#, fuzzy
-msgid "Please resolve the conflicts manually before committing."
-msgstr "Risolvere manualmente i conflitti prima di eseguire il commit."
-
-#: push.py:52 bookmark.py:45
-#, fuzzy
+msgstr ""
+
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
 msgid "Location:"
-msgstr "Postazione:"
+msgstr ""
 
-#: push.py:54
-#, fuzzy
+#: ../push.py:52
 msgid "_Push"
-msgstr "_Push"
-
-#: push.py:97
-#, fuzzy
-msgid "Set default push location"
-msgstr "Imposta postazione predefinita per il push"
-
-#: push.py:98
-#, fuzzy, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
 msgstr ""
-"Non esiste alcuna postazione predefinita per il push.\n"
-"Impostare %r come quella predefinita ora?"
 
-#: push.py:106
-#, fuzzy
+#: ../push.py:101
 msgid ""
 "You cannot push if branches have diverged.\n"
 "Overwrite?"
 msgstr ""
-"Impossibile eseguire il push se i rami hanno diverto.\n"
-"Sovrascrivere?"
 
-#: push.py:112
-#, fuzzy
+#: ../push.py:109
 msgid "Push successful"
-msgstr "Push eseguito con successo"
+msgstr ""
 
-#: push.py:113
-#, fuzzy, python-format
+#: ../push.py:110
+#, python-format
 msgid "%d revision(s) pushed."
-msgstr "Eseguito il push di %d revisione/i."
+msgstr ""
 
-#: push.py:146
+#: ../push.py:141
 msgid "Non existing parent directory"
-msgstr ""
+msgstr "Sottocartella inesistente"
 
-#: push.py:147
+#: ../push.py:142
 #, python-format
 msgid ""
 "The parent directory (%s)\n"
 "doesn't exist. Create?"
 msgstr ""
-
-#: revbrowser.py:45
-#, fuzzy
-msgid "Please wait, revisions are being loaded..."
-msgstr "Attendere, caricamento delle revisioni..."
-
-#: revbrowser.py:48
-#, fuzzy
+"La sottocartella (%s)\n"
+"non esiste. Crearla?"
+
+#. Create the widgets
+#: ../revbrowser.py:35
 msgid "_Select"
-msgstr "S_eleziona"
-
-#: revbrowser.py:64
-#, fuzzy
-msgid "Revno"
-msgstr "Rev. n°"
-
-#: revbrowser.py:70
-msgid "Time"
-msgstr ""
-
-#: status.py:78
+msgstr ""
+
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
 msgid "Added"
 msgstr "Aggiunto"
 
-#: status.py:84
+#: ../status.py:93
 msgid "Removed"
 msgstr "Rimosso"
 
-#: status.py:90
+#: ../status.py:99
 msgid "Renamed"
 msgstr "Rinominato"
 
-#: status.py:97
+#: ../status.py:106
 msgid "Modified"
 msgstr "Modificato"
 
-#: status.py:105
+#: ../status.py:114
 msgid "Unknown"
 msgstr "Sconosciuto"
 
-#: status.py:110
+#: ../status.py:119
 msgid "No changes."
 msgstr "Nessuna modifica."
 
-#: tags.py:67
+#. Set properties
+#: ../tags.py:60
 msgid "Tags"
-msgstr ""
+msgstr "Tag"
 
-#: tags.py:111
+#: ../tags.py:110
 msgid "Tag Name"
-msgstr ""
+msgstr "Nome del tag"
 
-#: tags.py:116
+#: ../tags.py:115
 msgid "Revision ID"
 msgstr "ID Revisione"
 
-#: tags.py:151
+#: ../tags.py:148
 msgid "Tags are not supported by this branch format. Please upgrade."
 msgstr ""
+"Le Tag non sono supportate da questo formato della branca. Per favore "
+"aggiornare."
 
-#: tags.py:157
+#: ../tags.py:154
 msgid "No tagged revisions in the branch."
-msgstr ""
+msgstr "Modifiche non taggate nella branca."
 
-#: tags.py:232
+#: ../tags.py:222
 msgid "_Remove tag"
-msgstr ""
+msgstr "_Rimuovi tag"
 
-#: tags.py:242
+#: ../tags.py:232
 msgid "<b><big>Remove tag?</big></b>"
-msgstr ""
+msgstr "<b><big>Rimuovere tag?</big></b>"
 
-#: tags.py:244
+#: ../tags.py:234
 #, python-format
 msgid "Are you sure you want to remove the tag: <b>%s</b>?"
-msgstr ""
+msgstr "Sei sicuro di voler rimuovere la tag: <b>%s</b>?"
 
-#: tags.py:289
+#. Create the widgets
+#: ../tags.py:278
 msgid "_Add tag"
-msgstr ""
+msgstr "_Aggiungi tag"
 
-#: tags.py:291
+#: ../tags.py:280
 msgid "Tag Name:"
-msgstr ""
+msgstr "Nome Tag:"
 
-#: tags.py:292
+#: ../tags.py:281
 msgid "Revision ID:"
 msgstr "ID Revisione:"
 
-#: tags.py:323
+#: ../tags.py:312
 msgid "No tag name specified"
-msgstr ""
+msgstr "Nessun nome tag specificato"
 
-#: tags.py:324
+#: ../tags.py:313
 msgid "You have to specify the tag's desired name."
-msgstr ""
-
-#: __init__.py:512
-msgid "There are local changes in the branch"
-msgstr ""
-
-#: __init__.py:513
-msgid "Please commit or revert the changes before merging."
-msgstr ""
-
-#: __init__.py:525 __init__.py:550
-msgid "Parent location is unknown"
-msgstr ""
-
-#: __init__.py:526
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr ""
-
-#: __init__.py:537
-msgid "There are missing revisions"
-msgstr ""
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr ""
-
-#: __init__.py:540
-msgid "Local branch up to date"
-msgstr ""
-
-#: __init__.py:541
-msgid "There are no missing revisions."
-msgstr ""
-
-#: __init__.py:551
-msgid "Pulling is not possible until there is a parent location."
-msgstr ""
-
-#: __init__.py:561
-msgid "Pull successful"
-msgstr "Pull eseguito con successo"
-
-#: __init__.py:561
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr ""
-
-#: __init__.py:575 menu.py:275
-msgid "Conflicts detected"
-msgstr "Rilevati conflitti"
-
-#: __init__.py:576 menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr ""
-
-#: __init__.py:578 menu.py:278
-msgid "Revert successful"
-msgstr ""
-
-#: __init__.py:579 menu.py:279
-msgid "All files reverted to last revision."
-msgstr ""
-
-#: __init__.py:835 __init__.py:1117
-msgid "Bookmarks"
-msgstr "Segnalibri"
-
-#: __init__.py:842 menu.py:99
-msgid "Bookmark"
-msgstr "Segnalibro"
-
-#: __init__.py:944 __init__.py:1231
-msgid "unchanged"
-msgstr ""
-
-#: __init__.py:946 __init__.py:1233
-msgid "ignored"
-msgstr "ignorato"
-
-#: __init__.py:948 __init__.py:1235
-msgid "unknown"
-msgstr ""
-
-#: __init__.py:964
-msgid "Filename"
-msgstr "Nome file"
-
-#: __init__.py:965
-msgid "Status"
-msgstr "Stato"
-
-#: __init__.py:966
-msgid "Size"
-msgstr "Dimensione"
-
-#: __init__.py:967
-msgid "Last modified"
-msgstr "Ultima modifica"
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-
-#: bookmark.py:46
-msgid "Title:"
-msgstr "Titolo:"
-
-#: bookmark.py:81
-msgid "No title given"
-msgstr ""
-
-#: bookmark.py:82
-msgid "Please specify a title to continue."
-msgstr "Specificare un titolo per continuare."
-
-#: guifiles.py:45
-msgid "Glade file cannot be found."
-msgstr ""
-
-#: guifiles.py:55
-msgid "UI description file cannot be found."
-msgstr ""
-
-#: menu.py:63
-msgid "Add"
-msgstr ""
-
-#: menu.py:64
-msgid "Add the selected file"
-msgstr ""
-
-#: menu.py:67 menu.py:107
-msgid "Remove"
-msgstr ""
-
-#: menu.py:68
-msgid "Remove the selected file"
-msgstr ""
-
-#: menu.py:71
-msgid "Remove and delete"
-msgstr ""
-
-#: menu.py:72
-msgid "Remove the selected file/dir and delete from disk"
-msgstr ""
-
-#: menu.py:75
-msgid "Rename"
-msgstr ""
-
-#: menu.py:76
-msgid "Rename the selected file"
-msgstr ""
-
-#: menu.py:79
-msgid "Open"
-msgstr ""
-
-#: menu.py:80
-msgid "Open the selected file"
-msgstr ""
-
-#: menu.py:83
-msgid "Revert"
-msgstr ""
-
-#: menu.py:84
-msgid "Revert the changes"
-msgstr ""
-
-#: menu.py:88
-msgid "Commit the changes"
-msgstr ""
-
-#: menu.py:91
-msgid "Annotate"
-msgstr ""
-
-#: menu.py:92
-msgid "Annotate the selected file"
-msgstr ""
-
-#: menu.py:95
-msgid "Diff"
-msgstr ""
-
-#: menu.py:96
-msgid "Show the diff of the file"
-msgstr ""
-
-#: menu.py:100
-msgid "Bookmark current location"
-msgstr ""
-
-#: menu.py:103
-msgid "Edit"
-msgstr ""
-
-#: menu.py:104
-msgid "Edit the selected bookmark"
-msgstr ""
-
-#: menu.py:108
-msgid "Remove the selected bookmark"
-msgstr ""
-
-#: menu.py:111
-msgid "Open Folder"
-msgstr ""
-
-#: menu.py:112
-msgid "Open bookmark folder in Nautilus"
-msgstr ""
-
-#: menu.py:115
-msgid "Selected..."
-msgstr ""
-
-#: menu.py:116
-msgid "Show the differences of the selected file"
-msgstr ""
-
-#: menu.py:119
-msgid "All..."
-msgstr ""
-
-#: menu.py:120
-msgid "Show the differences of all files"
-msgstr ""
-
-#: menu.py:123
-msgid "View contents"
-msgstr ""
-
-#: menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr ""
-
-#: menu.py:127
-msgid "Show differences"
-msgstr ""
-
-#: menu.py:128
-msgid "Show the differences between two revisions of the file"
-msgstr ""
-
-#: menu.py:131
-msgid "Revert to this revision"
-msgstr ""
-
-#: menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr ""
-
-#: menu.py:228
-msgid "Delete directory with all directories below ?"
-msgstr ""
-
-#: menu.py:315
-msgid "Bookmark successfully added"
-msgstr ""
-
-#: menu.py:316
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-
-#: menu.py:319
-msgid "Location already bookmarked"
-msgstr ""
-
-#: menu.py:320
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-
-#: mkdir.py:67
-msgid "No directory name given"
-msgstr ""
-
-#: mkdir.py:68
-msgid "Please specify a desired name for the new directory."
-msgstr ""
-
-#: mkdir.py:79 mkdir.py:89
-msgid "Directory already exists"
-msgstr ""
-
-#: mkdir.py:80 mkdir.py:90
-msgid "Please specify another name to continue."
-msgstr ""
-
-#: move.py:80 rename.py:71
-msgid "Please select a file from the list to proceed."
-msgstr ""
-
-#: move.py:89 rename.py:87
-msgid "Not the same branch"
-msgstr ""
-
-#: move.py:90 rename.py:88
-msgid "The destination is not in the same branch."
-msgstr ""
-
-#: remove.py:79 remove.py:139
-msgid "No matching files"
-msgstr ""
-
-#: remove.py:80 remove.py:140
-msgid "No added files were found in the working tree."
-msgstr ""
-
-#: remove.py:105 olive.glade:825
-msgid "Which file(s) do you want to remove?"
-msgstr ""
-
-#: remove.py:106 olive.glade:717 olive.glade:837
-msgid "Selected only"
-msgstr ""
-
-#: remove.py:107 olive.glade:851
-msgid "All files with status 'added'"
-msgstr ""
-
-#: remove.py:108 olive.glade:905
-msgid "_Remove"
-msgstr ""
-
-#: rename.py:75
-msgid "Filename not given"
-msgstr ""
-
-#: rename.py:76
-msgid "Please specify a new name for the file."
-msgstr ""
-
-#: olive.glade:8
-msgid "Olive - Bazaar GUI"
-msgstr ""
-
-#: olive.glade:21
-msgid "_File"
-msgstr ""
-
-#: olive.glade:28
-msgid "_Add file(s)..."
-msgstr ""
-
-#: olive.glade:43
-msgid "Remove file(s)..."
-msgstr ""
-
-#: olive.glade:63
-msgid "Make _directory..."
-msgstr ""
-
-#: olive.glade:76
-msgid "_Rename..."
-msgstr ""
-
-#: olive.glade:84
-msgid "_Move..."
-msgstr ""
-
-#: olive.glade:92
-msgid "_Annotate..."
-msgstr ""
-
-#: olive.glade:118
-msgid "_View"
-msgstr ""
-
-#: olive.glade:126
-msgid "Show _hidden files"
-msgstr ""
-
-#: olive.glade:139
-msgid "_Refresh"
-msgstr ""
-
-#: olive.glade:158
-msgid "_Initialize..."
-msgstr ""
-
-#: olive.glade:166
-msgid "_Get..."
-msgstr ""
-
-#: olive.glade:174
-msgid "C_heckout..."
-msgstr ""
-
-#: olive.glade:187
-msgid "Pu_ll"
-msgstr ""
-
-#: olive.glade:201
-msgid "Pu_sh..."
-msgstr ""
-
-#: olive.glade:220
-msgid "_Revert all changes"
-msgstr ""
-
-#: olive.glade:228
-msgid "_Merge..."
-msgstr ""
-
-#: olive.glade:236
-msgid "_Commit..."
-msgstr ""
-
-#: olive.glade:255
-msgid "Ta_gs..."
-msgstr ""
-
-#: olive.glade:263
-msgid "S_tatus..."
-msgstr ""
-
-#: olive.glade:271
-msgid "Missing _revisions"
-msgstr ""
-
-#: olive.glade:279
-msgid "Con_flicts..."
-msgstr ""
-
-#: olive.glade:291
-msgid "_Statistics"
-msgstr ""
-
-#: olive.glade:298
-msgid "_Differences..."
-msgstr ""
-
-#: olive.glade:312
-msgid "_Log..."
-msgstr ""
-
-#: olive.glade:326
-msgid "_Information..."
-msgstr ""
-
-#: olive.glade:338
-msgid "_Help"
-msgstr ""
-
-#: olive.glade:548
-msgid "gtk-jump-to"
-msgstr ""
-
-#: olive.glade:575
-msgid "H_istory Mode"
-msgstr ""
-
-#: olive.glade:673
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr ""
-
-#: olive.glade:675
-msgid "https://launchpad.net/products/olive"
-msgstr ""
-
-#: olive.glade:677
-msgid "translator-credits"
-msgstr ""
-"Launchpad Contributions:\n"
-"  Milo Casagrande https://launchpad.net/~milo\n"
-"  Stefano Karapetsas https://launchpad.net/~stefano-karapetsas"
-
-#: olive.glade:694
-msgid "Olive - Add file(s)"
-msgstr ""
-
-#: olive.glade:705
-msgid "Which file(s) do you want to add?"
-msgstr ""
-
-#: olive.glade:731
-msgid "All unknowns recursively"
-msgstr ""
-
-#: olive.glade:785
-msgid "_Add"
-msgstr ""
-
-#: olive.glade:814
-msgid "Olive - Remove file(s)"
-msgstr ""
-
-#: olive.glade:934
-msgid "Olive - Make directory"
-msgstr ""
-
-#: olive.glade:957
-msgid "_Versioned directory"
-msgstr ""
-
-#: olive.glade:1011
-msgid "_Make directory"
-msgstr ""
-
-#: olive.glade:1041
-msgid "Olive - Move"
-msgstr ""
-
-#: olive.glade:1055
-msgid "Move to"
-msgstr ""
-
-#: olive.glade:1066
-msgid "Select a directory"
-msgstr ""
-
-#: olive.glade:1120
-msgid "_Move"
-msgstr ""
-
-#: olive.glade:1148
-msgid "Olive - Rename"
-msgstr ""
-
-#: olive.glade:1162
-msgid "Rename to"
-msgstr ""
-
-#: olive.glade:1227
-msgid "_Rename"
-msgstr ""
-
-#: olive.glade:1255
-msgid "Olive - Information"
-msgstr ""
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275
-msgid "(none)"
-msgstr ""
-
-#: olive.glade:1368
-msgid "Checkout root: "
-msgstr ""
-
-#: olive.glade:1380
-msgid "Branch root: "
-msgstr ""
-
-#: olive.glade:1392
-msgid "Repository checkout: "
-msgstr ""
-
-#: olive.glade:1404
-msgid "Checkout of branch: "
-msgstr ""
-
-#: olive.glade:1416
-msgid "Repository branch: "
-msgstr ""
-
-#: olive.glade:1428
-msgid "Shared repository: "
-msgstr ""
-
-#: olive.glade:1440
-msgid "Light checkout root: "
-msgstr ""
-
-#: olive.glade:1454
-msgid "<b>Location:</b>"
-msgstr ""
-
-#: olive.glade:1508
-msgid "Publish to branch: "
-msgstr ""
-
-#: olive.glade:1520
-msgid "Parent branch: "
-msgstr ""
-
-#: olive.glade:1534
-msgid "<b>Related branches:</b>"
-msgstr ""
-
-#: olive.glade:1614
-msgid "Repository format: "
-msgstr ""
-
-#: olive.glade:1626
-msgid "Branch format: "
-msgstr ""
-
-#: olive.glade:1638
-msgid "Working tree format: "
-msgstr ""
-
-#: olive.glade:1650
-msgid "Control format: "
-msgstr ""
-
-#: olive.glade:1664
-msgid "<b>Format:</b>"
-msgstr ""
-
-#: olive.glade:1731
-msgid "Repository lock status: "
-msgstr ""
-
-#: olive.glade:1743
-msgid "Branch lock status: "
-msgstr ""
-
-#: olive.glade:1755
-msgid "Working tree lock status: "
-msgstr ""
-
-#: olive.glade:1769
-msgid "<b>Lock status:</b>"
-msgstr ""
-
-#: olive.glade:1823
-msgid "Missing revisions in branch: "
-msgstr ""
-
-#: olive.glade:1835
-msgid "Missing revisions in working tree: "
-msgstr ""
-
-#: olive.glade:1849
-msgid "<b>Missing revisions:</b>"
-msgstr ""
-
-#: olive.glade:1981
-msgid "Versioned subdirectories: "
-msgstr ""
-
-#: olive.glade:1993
-msgid "Ignored files: "
-msgstr ""
-
-#: olive.glade:2005
-msgid "Unknown files: "
-msgstr ""
-
-#: olive.glade:2017
-msgid "Renamed files: "
-msgstr ""
-
-#: olive.glade:2029
-msgid "Removed files: "
-msgstr ""
-
-#: olive.glade:2041
-msgid "Added files: "
-msgstr ""
-
-#: olive.glade:2053
-msgid "Modified files: "
-msgstr ""
-
-#: olive.glade:2065
-msgid "Unchanged files: "
-msgstr ""
-
-#: olive.glade:2079
-msgid "<b>In the working tree:</b>"
-msgstr ""
-
-#: olive.glade:2172
-msgid "Time of last revision: "
-msgstr ""
-
-#: olive.glade:2184
-msgid "Time of first revision: "
-msgstr ""
-
-#: olive.glade:2196
-msgid "Age of branch in days: "
-msgstr ""
-
-#: olive.glade:2208
-msgid "Number of commiters: "
-msgstr ""
-
-#: olive.glade:2220
-msgid "Revisions in branch: "
-msgstr ""
-
-#: olive.glade:2234
-msgid "<b>Branch history:</b>"
-msgstr ""
-
-#: olive.glade:2288
-msgid "Size of repository: "
-msgstr ""
-
-#: olive.glade:2300
-msgid "Revisions in repository: "
-msgstr ""
-
-#: olive.glade:2314
-msgid "<b>Revision store:</b>"
-msgstr ""
-
-#: olive.glade:2356
-msgid "Merge - Olive"
-msgstr ""
-
-#: olive.glade:2370
-msgid "Merge from:"
-msgstr ""
-
-#: olive.glade:2454
-msgid "_Merge"
-msgstr ""
+msgstr "Devi specificare il nome della tag desiderato."

=== added file 'po/ja.po'
--- po/ja.po	1970-01-01 00:00:00 +0000
+++ po/ja.po	2011-12-02 05:55:20 +0000
@@ -0,0 +1,745 @@
+# Japanese translation for bzr-gtk
+# Copyright (c) 2008 Rosetta Contributors and Canonical Ltd 2008
+# This file is distributed under the same license as the bzr-gtk package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2008.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: bzr-gtk\n"
+"Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 23:01+0000\n"
+"Last-Translator: Fumihito YOSHIDA <hito@kugutsu.org>\n"
+"Language-Team: Japanese <ja@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
+msgid "_Branch"
+msgstr "ブランチ(_B)"
+
+#: ../branch.py:49 ../checkout.py:49
+msgid "Branch location:"
+msgstr "ブランチの場所:"
+
+#: ../branch.py:51 ../checkout.py:50
+msgid "Destination:"
+msgstr ""
+
+#: ../branch.py:52
+msgid "Branck nick:"
+msgstr ""
+
+#: ../branch.py:53 ../checkout.py:52
+msgid "Revision:"
+msgstr "リビジョン:"
+
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "フォルダを選択してください"
+
+#: ../branch.py:134 ../checkout.py:153
+msgid "Missing branch location"
+msgstr "ブランチの場所が欠けています"
+
+#: ../branch.py:135 ../checkout.py:154
+msgid "You must specify a branch location."
+msgstr "ブランチの場所を入力しなければなりません。"
+
+#: ../branch.py:174
+msgid "Branching successful"
+msgstr "ブランチを切るのが成功しました"
+
+#: ../branch.py:175
+#, python-format
+msgid "%d revision(s) branched."
+msgstr "%d 個のリビジョンをブランチしました。"
+
+#: ../branch.py:183 ../checkout.py:185
+msgid "N/A"
+msgstr ""
+
+#. Create the widgets
+#: ../checkout.py:44
+msgid "Check_out"
+msgstr "チェックアウト(_O)"
+
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
+msgid "_Lightweight checkout"
+msgstr "軽量チェックアウト(_L)"
+
+#: ../commands.py:305
+msgid "Directory does not have a working tree"
+msgstr "ディレクトリにワーキングツリーがありません"
+
+#: ../commands.py:306
+msgid "Operation aborted."
+msgstr "操作は中止されました。"
+
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr ""
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr "マージする前に変更をコミットするかリバートしてください。"
+
+#: ../commit.py:178
+msgid "added"
+msgstr "追加された"
+
+#: ../commit.py:179
+msgid "removed"
+msgstr "削除された"
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr "名前が変更"
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr "名称変更/修正"
+
+#: ../commit.py:182
+msgid "modified"
+msgstr "変更"
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr "ローカルにのみコミットする (_O)"
+
+#: ../commit.py:361
+msgid "Comm_it"
+msgstr "コミット(_I)"
+
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr "コミット"
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr "パス"
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr ""
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
+msgid "Date"
+msgstr "日付"
+
+#: ../commit.py:505
+msgid "Committer"
+msgstr "コミッター"
+
+#: ../commit.py:507 ../search.py:60
+msgid "Summary"
+msgstr "概要"
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr "空のメッセージでコミットしますか?"
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr "未知のファイルがワーキングツリーに存在します。とにかくコミットしますか?"
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr "変更無しでコミットしますか?"
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
+msgid "External utility:"
+msgstr "外部ユーティリティ:"
+
+#: ../conflicts.py:97
+msgid "Conflicts"
+msgstr "競合"
+
+#: ../conflicts.py:100
+msgid "No conflicts in working tree."
+msgstr "ワーキングツリー内で競合は起きませんでした。"
+
+#: ../conflicts.py:114
+msgid "path conflict"
+msgstr "パスの競合"
+
+#: ../conflicts.py:116
+msgid "contents conflict"
+msgstr "内容の競合"
+
+#: ../conflicts.py:118
+msgid "text conflict"
+msgstr "テキストの競合"
+
+#: ../conflicts.py:120
+msgid "duplicate id"
+msgstr "重複ID"
+
+#: ../conflicts.py:122
+msgid "duplicate"
+msgstr "重複"
+
+#: ../conflicts.py:124
+msgid "parent loop"
+msgstr ""
+
+#: ../conflicts.py:126
+msgid "unversioned parent"
+msgstr ""
+
+#: ../conflicts.py:128
+msgid "missing parent"
+msgstr ""
+
+#: ../conflicts.py:130
+msgid "deleting parent"
+msgstr ""
+
+#: ../conflicts.py:132
+msgid "unknown type of conflict"
+msgstr ""
+
+#: ../conflicts.py:161
+msgid "No file was selected"
+msgstr "ファイルが選択されていません"
+
+#: ../conflicts.py:162
+msgid "Please select a file from the list."
+msgstr "リストからファイルを選択してください"
+
+#: ../conflicts.py:172
+msgid "Call to external utility failed"
+msgstr "外部ユーティリティの呼び出しに失敗しました"
+
+#: ../conflicts.py:174
+msgid "Cannot resolve conflict"
+msgstr "コンフリクトを解決することができません"
+
+#: ../conflicts.py:175
+msgid ""
+"Only conflicts on the text of files can be resolved with Olive at the "
+"moment. Content conflicts, on the structure of the tree, need to be resolved "
+"using the command line."
+msgstr ""
+
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "表示(_V)"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr "マージに成功しました"
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr "すべての変更の適用に成功しました"
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr "衝突が起きました"
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr "コミットする前に手動で競合を解決してください"
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr "ディレクトリがブランチではありません。"
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr "このアクションはブランチ内でしかできません。"
+
+#: ../errors.py:34
+msgid "Directory is not a checkout"
+msgstr "このディレクトリはチェックアウトされたものではありません"
+
+#: ../errors.py:35
+msgid "You can perform local commit only on checkouts."
+msgstr "チェックアウトされたものに対してのみローカルコミットを行うことができます。"
+
+#: ../errors.py:37
+msgid "No changes to commit"
+msgstr "コミットすべき変更がありません"
+
+#: ../errors.py:38
+msgid "Try force commit if you want to commit anyway."
+msgstr "とにかくコミットをしたいなら、強制的なコミットを行ってください"
+
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
+msgid "Conflicts in tree"
+msgstr "ツリー内に競合があります"
+
+#: ../errors.py:44
+msgid "You need to resolve the conflicts before committing."
+msgstr "コミットを行う前に競合を解決する必要があります"
+
+#: ../errors.py:46
+msgid "Strict commit failed"
+msgstr ""
+
+#: ../errors.py:47
+msgid ""
+"There are unknown files in the working tree.\n"
+"Please add or delete them."
+msgstr ""
+"ワーキングツリー内に未知のファイルがあります。\n"
+"これらを add するか delete してください。"
+
+#: ../errors.py:49
+msgid "Bound branch is out of date"
+msgstr ""
+
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
+#, python-format
+msgid "%s"
+msgstr "%s"
+
+#: ../errors.py:53
+msgid "File not versioned"
+msgstr "ファイルはバージョン管理下に置かれていません"
+
+#: ../errors.py:54
+msgid "The selected file is not versioned."
+msgstr "選択されたファイルはバージョン管理下に置かれていません。"
+
+#: ../errors.py:56 ../push.py:100
+msgid "Branches have been diverged"
+msgstr "ブランチは分岐されました"
+
+#: ../errors.py:57
+msgid ""
+"You cannot push if branches have diverged. Use the\n"
+"overwrite option if you want to push anyway."
+msgstr ""
+"ブランチが分岐した場合にはプッシュすることはできません。\n"
+"それでもプッシュしたい場合にはオーバライトオプションを使用してください。"
+
+#: ../errors.py:59
+msgid "No diff output"
+msgstr "差分の出力はありません"
+
+#: ../errors.py:60
+msgid "The selected file hasn't changed."
+msgstr "選択されたファイルに変更はありません。"
+
+#: ../errors.py:62
+msgid "No such revision"
+msgstr "そのようなリビジョンはありません。"
+
+#: ../errors.py:63
+msgid "The revision you specified doesn't exist."
+msgstr "指定されたリビジョンは存在しません。"
+
+#: ../errors.py:65
+msgid "Target already exists"
+msgstr "ターゲットはすでに存在しています"
+
+#: ../errors.py:66
+msgid "Target directory already exists. Please select another target."
+msgstr ""
+"ターゲットのディレクトリはすでに存在しています。\r\n"
+"他のターゲットを選択してください。"
+
+#: ../errors.py:68
+msgid "Directory is already a branch"
+msgstr "そのディレクトリはすでにブランチです。"
+
+#: ../errors.py:69
+#, python-format
+msgid ""
+"The current directory (%s) is already a branch.\n"
+"You can start using it, or initialize another directory."
+msgstr ""
+
+#: ../errors.py:71
+msgid "Branch without a working tree"
+msgstr "ワーキングツリーのないブランチ"
+
+#: ../errors.py:72
+#, python-format
+msgid ""
+"The current directory (%s)\n"
+"is a branch without a working tree."
+msgstr "現在のディレクトリ (%s) はワーキングツリーのないブランチです。"
+
+#: ../errors.py:74
+msgid "Unknown bzr error"
+msgstr "未知の bzr エラーです"
+
+#: ../errors.py:76
+msgid "Permission denied"
+msgstr "権限がありません"
+
+#: ../errors.py:76
+msgid "permission denied."
+msgstr "権限がありません。"
+
+#: ../errors.py:78
+msgid "Unknown error"
+msgstr "未知のエラー"
+
+#. Create the widgets
+#: ../initialize.py:46
+msgid "_Initialize"
+msgstr "初期化する(_I)"
+
+#: ../initialize.py:47
+msgid "Which directory do you want to initialize?"
+msgstr "どのディレクトリを初期化しますか？"
+
+#: ../initialize.py:49
+msgid "Current directory"
+msgstr "現在のディレクトリ"
+
+#: ../initialize.py:51
+msgid "Create a new directory with the name:"
+msgstr "以下の名前で新しいディレクトリを作成する:"
+
+#: ../initialize.py:87
+msgid "Directory name not specified"
+msgstr "ディレクトリ名が指定されていません"
+
+#: ../initialize.py:88
+msgid "You should specify a new directory name."
+msgstr "新しいディレクトリ名を指定してください"
+
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr "マージ(_M)"
+
+#: ../merge.py:130
+msgid "Branch not given"
+msgstr "ブランチが与えられていません"
+
+#: ../merge.py:131
+msgid "Please specify a branch to merge from."
+msgstr "マージ元のブランチを指定してください。"
+
+#: ../merge.py:139
+msgid "Bazaar command error"
+msgstr "Bazaar コマンドのエラー"
+
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
+msgid "Location:"
+msgstr "場所:"
+
+#: ../push.py:52
+msgid "_Push"
+msgstr "プッシュ (_)"
+
+#: ../push.py:101
+msgid ""
+"You cannot push if branches have diverged.\n"
+"Overwrite?"
+msgstr ""
+"ブランチが分岐した場合にはプッシュすることができません。\n"
+"上書きしますか？"
+
+#: ../push.py:109
+msgid "Push successful"
+msgstr "プッシュに成功しました"
+
+#: ../push.py:110
+#, python-format
+msgid "%d revision(s) pushed."
+msgstr "%d リビジョンプッシュしました。"
+
+#: ../push.py:141
+msgid "Non existing parent directory"
+msgstr ""
+
+#: ../push.py:142
+#, python-format
+msgid ""
+"The parent directory (%s)\n"
+"doesn't exist. Create?"
+msgstr ""
+
+#. Create the widgets
+#: ../revbrowser.py:35
+msgid "_Select"
+msgstr "選択する(_S)"
+
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
+msgid "Added"
+msgstr "追加"
+
+#: ../status.py:93
+msgid "Removed"
+msgstr "削除"
+
+#: ../status.py:99
+msgid "Renamed"
+msgstr "名称変更"
+
+#: ../status.py:106
+msgid "Modified"
+msgstr "変更"
+
+#: ../status.py:114
+msgid "Unknown"
+msgstr "不明"
+
+#: ../status.py:119
+msgid "No changes."
+msgstr "変更なし"
+
+#. Set properties
+#: ../tags.py:60
+msgid "Tags"
+msgstr "タグ"
+
+#: ../tags.py:110
+msgid "Tag Name"
+msgstr ""
+
+#: ../tags.py:115
+msgid "Revision ID"
+msgstr "リビジョン ID"
+
+#: ../tags.py:148
+msgid "Tags are not supported by this branch format. Please upgrade."
+msgstr "このブランチフォーマットではタグはサポートされていません。アップグレードしてください。"
+
+#: ../tags.py:154
+msgid "No tagged revisions in the branch."
+msgstr "ブランチ内にタグ付けされたリビジョンはありません。"
+
+#: ../tags.py:222
+msgid "_Remove tag"
+msgstr "タグを外す (_R)"
+
+#: ../tags.py:232
+msgid "<b><big>Remove tag?</big></b>"
+msgstr "<b><big>タグを外しますか？</big></b>"
+
+#: ../tags.py:234
+#, python-format
+msgid "Are you sure you want to remove the tag: <b>%s</b>?"
+msgstr "タグを外してもよろしいですか: <b>%s</b>?"
+
+#. Create the widgets
+#: ../tags.py:278
+msgid "_Add tag"
+msgstr "タグ追加 (_A)"
+
+#: ../tags.py:280
+msgid "Tag Name:"
+msgstr "タグ名:"
+
+#: ../tags.py:281
+msgid "Revision ID:"
+msgstr "リビジョン ID:"
+
+#: ../tags.py:312
+msgid "No tag name specified"
+msgstr "タグ名が指定されていません"
+
+#: ../tags.py:313
+msgid "You have to specify the tag's desired name."
+msgstr ""

=== modified file 'po/ku.po'
--- po/ku.po	2008-03-11 17:01:27 +0000
+++ po/ku.po	2011-12-02 05:55:20 +0000
@@ -7,1284 +7,731 @@
 msgstr ""
 "Project-Id-Version: olive\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2007-08-13 12:05+0200\n"
-"PO-Revision-Date: 2007-05-03 22:33+0000\n"
-"Last-Translator: arasname <Unknown>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 23:01+0000\n"
+"Last-Translator: Jelmer Vernooij <Unknown>\n"
 "Language-Team: Kurdish <ku@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2008-03-11 16:44+0000\n"
-"X-Generator: Launchpad (build Unknown)\n"
-
-#: branch.py:52 olive.glade:151
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
 msgid "_Branch"
 msgstr "_Shax"
 
-#: branch.py:55 checkout.py:53
-msgid "Please select a folder"
-msgstr ""
-
-#: branch.py:57 checkout.py:55
+#: ../branch.py:49 ../checkout.py:49
 msgid "Branch location:"
 msgstr ""
 
-#: branch.py:58 checkout.py:56
+#: ../branch.py:51 ../checkout.py:50
 msgid "Destination:"
 msgstr ""
 
-#: branch.py:59 checkout.py:57
+#: ../branch.py:52
 msgid "Branck nick:"
 msgstr ""
 
-#: branch.py:60 checkout.py:58
+#: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
 msgstr ""
 
-#: branch.py:162 checkout.py:163
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr ""
+
+#: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
 msgstr ""
 
-#: branch.py:163 checkout.py:164
+#: ../branch.py:135 ../checkout.py:154
 msgid "You must specify a branch location."
 msgstr ""
 
-#: branch.py:205
+#: ../branch.py:174
 msgid "Branching successful"
 msgstr ""
 
-#: branch.py:206
+#: ../branch.py:175
 #, python-format
 msgid "%d revision(s) branched."
 msgstr ""
 
-#: branch.py:214 checkout.py:195
+#: ../branch.py:183 ../checkout.py:185
 msgid "N/A"
 msgstr ""
 
-#: checkout.py:50
+#. Create the widgets
+#: ../checkout.py:44
 msgid "Check_out"
 msgstr ""
 
-#: checkout.py:62
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
 msgid "_Lightweight checkout"
 msgstr ""
 
-#: commit.py:68
+#: ../commands.py:305
 msgid "Directory does not have a working tree"
 msgstr ""
 
-#: commit.py:69
+#: ../commands.py:306
 msgid "Operation aborted."
 msgstr ""
 
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556
-msgid "Directory is not a branch"
-msgstr ""
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557
-msgid "You can perform this action only in a branch."
-msgstr ""
-
-#: commit.py:88
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr ""
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr ""
+
+#: ../commit.py:178
+msgid "added"
+msgstr ""
+
+#: ../commit.py:179
+msgid "removed"
+msgstr ""
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr ""
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr ""
+
+#: ../commit.py:182
+msgid "modified"
+msgstr ""
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr ""
+
+#: ../commit.py:361
 msgid "Comm_it"
 msgstr ""
 
-#: commit.py:89
-msgid "File(s) to commit"
-msgstr ""
-
-#: commit.py:95
-msgid "Commit message:"
-msgstr ""
-
-#: commit.py:99
-msgid "Pending merges"
-msgstr ""
-
-#: commit.py:147
-msgid "_Only commit locally"
-msgstr ""
-
-#: commit.py:215
-msgid "Commit with an empty message?"
-msgstr ""
-
-#: commit.py:216
-msgid "You can describe your commit intent in the message."
-msgstr ""
-
-#: commit.py:228
-msgid "Commit with unknowns?"
-msgstr ""
-
-#: commit.py:229
-msgid "Unknown files exist in the working tree. Commit anyway?"
-msgstr ""
-
-#: commit.py:240
-msgid "Commit with no changes?"
-msgstr ""
-
-#: commit.py:241
-msgid "There are no changes in the working tree."
-msgstr ""
-
-#: commit.py:323 menu.py:87
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
 msgid "Commit"
 msgstr ""
 
-#: commit.py:325 conflicts.py:108
+#: ../commit.py:443 ../conflicts.py:107
 msgid "Path"
 msgstr ""
 
-#: commit.py:327 conflicts.py:110
+#: ../commit.py:445 ../conflicts.py:109
 msgid "Type"
 msgstr ""
 
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
-msgid "added"
-msgstr ""
-
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
-msgid "removed"
-msgstr ""
-
-#: commit.py:353
-msgid "renamed and modified"
-msgstr ""
-
-#: commit.py:355 __init__.py:936 __init__.py:1223
-msgid "renamed"
-msgstr ""
-
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
-msgid "modified"
-msgstr ""
-
-#: commit.py:395
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
 msgid "Date"
 msgstr ""
 
-#: commit.py:397 revbrowser.py:68
+#: ../commit.py:505
 msgid "Committer"
 msgstr ""
 
-#: commit.py:399 revbrowser.py:66
+#: ../commit.py:507 ../search.py:60
 msgid "Summary"
 msgstr ""
 
-#: conflicts.py:48
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr ""
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr ""
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
 msgid "External utility:"
 msgstr ""
 
-#: conflicts.py:99
+#: ../conflicts.py:97
 msgid "Conflicts"
 msgstr ""
 
-#: conflicts.py:102
+#: ../conflicts.py:100
 msgid "No conflicts in working tree."
 msgstr ""
 
-#: conflicts.py:115
+#: ../conflicts.py:114
 msgid "path conflict"
 msgstr ""
 
-#: conflicts.py:117
+#: ../conflicts.py:116
 msgid "contents conflict"
 msgstr ""
 
-#: conflicts.py:119
+#: ../conflicts.py:118
 msgid "text conflict"
 msgstr ""
 
-#: conflicts.py:121
+#: ../conflicts.py:120
 msgid "duplicate id"
 msgstr ""
 
-#: conflicts.py:123
+#: ../conflicts.py:122
 msgid "duplicate"
 msgstr ""
 
-#: conflicts.py:125
+#: ../conflicts.py:124
 msgid "parent loop"
 msgstr ""
 
-#: conflicts.py:127
+#: ../conflicts.py:126
 msgid "unversioned parent"
 msgstr ""
 
-#: conflicts.py:129
+#: ../conflicts.py:128
 msgid "missing parent"
 msgstr ""
 
-#: conflicts.py:131
+#: ../conflicts.py:130
 msgid "deleting parent"
 msgstr ""
 
-#: conflicts.py:133
+#: ../conflicts.py:132
 msgid "unknown type of conflict"
 msgstr ""
 
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
+#: ../conflicts.py:161
 msgid "No file was selected"
 msgstr ""
 
-#: conflicts.py:163 __init__.py:615 menu.py:192
+#: ../conflicts.py:162
 msgid "Please select a file from the list."
 msgstr ""
 
-#: conflicts.py:173
+#: ../conflicts.py:172
 msgid "Call to external utility failed"
 msgstr ""
 
-#: conflicts.py:175
+#: ../conflicts.py:174
 msgid "Cannot resolve conflict"
 msgstr ""
 
-#: conflicts.py:176
+#: ../conflicts.py:175
 msgid ""
 "Only conflicts on the text of files can be resolved with Olive at the "
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
 "using the command line."
 msgstr ""
 
-#: errors.py:29
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "_Nîşandan"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr ""
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr ""
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr ""
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr ""
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr ""
+
+#: ../errors.py:34
 msgid "Directory is not a checkout"
 msgstr ""
 
-#: errors.py:30
+#: ../errors.py:35
 msgid "You can perform local commit only on checkouts."
 msgstr ""
 
-#: errors.py:32
+#: ../errors.py:37
 msgid "No changes to commit"
 msgstr ""
 
-#: errors.py:33
+#: ../errors.py:38
 msgid "Try force commit if you want to commit anyway."
 msgstr ""
 
-#: errors.py:35
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
 msgid "Conflicts in tree"
 msgstr ""
 
-#: errors.py:36
+#: ../errors.py:44
 msgid "You need to resolve the conflicts before committing."
 msgstr ""
 
-#: errors.py:38
+#: ../errors.py:46
 msgid "Strict commit failed"
 msgstr ""
 
-#: errors.py:39
+#: ../errors.py:47
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
 msgstr ""
 
-#: errors.py:41
+#: ../errors.py:49
 msgid "Bound branch is out of date"
 msgstr ""
 
-#: errors.py:42
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
 #, python-format
 msgid "%s"
 msgstr ""
 
-#: errors.py:44
+#: ../errors.py:53
 msgid "File not versioned"
 msgstr ""
 
-#: errors.py:45
+#: ../errors.py:54
 msgid "The selected file is not versioned."
 msgstr ""
 
-#: errors.py:47 push.py:105
+#: ../errors.py:56 ../push.py:100
 msgid "Branches have been diverged"
 msgstr ""
 
-#: errors.py:48
+#: ../errors.py:57
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
 msgstr ""
 
-#: errors.py:50
+#: ../errors.py:59
 msgid "No diff output"
 msgstr ""
 
-#: errors.py:51
+#: ../errors.py:60
 msgid "The selected file hasn't changed."
 msgstr ""
 
-#: errors.py:53
+#: ../errors.py:62
 msgid "No such revision"
 msgstr ""
 
-#: errors.py:54
+#: ../errors.py:63
 msgid "The revision you specified doesn't exist."
 msgstr ""
 
-#: errors.py:56
+#: ../errors.py:65
 msgid "Target already exists"
 msgstr ""
 
-#: errors.py:57
+#: ../errors.py:66
 msgid "Target directory already exists. Please select another target."
 msgstr ""
 
-#: errors.py:59
+#: ../errors.py:68
 msgid "Directory is already a branch"
 msgstr ""
 
-#: errors.py:60
+#: ../errors.py:69
 #, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
 "You can start using it, or initialize another directory."
 msgstr ""
 
-#: errors.py:62
+#: ../errors.py:71
 msgid "Branch without a working tree"
 msgstr ""
 
-#: errors.py:63
+#: ../errors.py:72
 #, python-format
 msgid ""
 "The current directory (%s)\n"
 "is a branch without a working tree."
 msgstr ""
 
-#: errors.py:65
+#: ../errors.py:74
 msgid "Unknown bzr error"
 msgstr ""
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "Permission denied"
 msgstr ""
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "permission denied."
 msgstr ""
 
-#: errors.py:69
+#: ../errors.py:78
 msgid "Unknown error"
 msgstr ""
 
-#: initialize.py:47
+#. Create the widgets
+#: ../initialize.py:46
 msgid "_Initialize"
 msgstr ""
 
-#: initialize.py:48
+#: ../initialize.py:47
 msgid "Which directory do you want to initialize?"
 msgstr ""
 
-#: initialize.py:49
+#: ../initialize.py:49
 msgid "Current directory"
 msgstr ""
 
-#: initialize.py:50
+#: ../initialize.py:51
 msgid "Create a new directory with the name:"
 msgstr ""
 
-#: initialize.py:85
+#: ../initialize.py:87
 msgid "Directory name not specified"
 msgstr ""
 
-#: initialize.py:86
+#: ../initialize.py:88
 msgid "You should specify a new directory name."
 msgstr ""
 
-#: merge.py:66
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr ""
+
+#: ../merge.py:130
 msgid "Branch not given"
 msgstr ""
 
-#: merge.py:67
+#: ../merge.py:131
 msgid "Please specify a branch to merge from."
 msgstr ""
 
-#: merge.py:75
+#: ../merge.py:139
 msgid "Bazaar command error"
 msgstr ""
 
-#: merge.py:81
-msgid "Merge successful"
-msgstr ""
-
-#: merge.py:82
-msgid "All changes applied successfully."
-msgstr ""
-
-#: merge.py:85
-msgid "Conflicts encountered"
-msgstr ""
-
-#: merge.py:86
-msgid "Please resolve the conflicts manually before committing."
-msgstr ""
-
-#: push.py:52 bookmark.py:45
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
 msgid "Location:"
 msgstr ""
 
-#: push.py:54
+#: ../push.py:52
 msgid "_Push"
 msgstr ""
 
-#: push.py:97
-msgid "Set default push location"
-msgstr ""
-
-#: push.py:98
-#, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-msgstr ""
-
-#: push.py:106
+#: ../push.py:101
 msgid ""
 "You cannot push if branches have diverged.\n"
 "Overwrite?"
 msgstr ""
 
-#: push.py:112
+#: ../push.py:109
 msgid "Push successful"
 msgstr ""
 
-#: push.py:113
+#: ../push.py:110
 #, python-format
 msgid "%d revision(s) pushed."
 msgstr ""
 
-#: push.py:146
+#: ../push.py:141
 msgid "Non existing parent directory"
 msgstr ""
 
-#: push.py:147
+#: ../push.py:142
 #, python-format
 msgid ""
 "The parent directory (%s)\n"
 "doesn't exist. Create?"
 msgstr ""
 
-#: revbrowser.py:45
-msgid "Please wait, revisions are being loaded..."
-msgstr ""
-
-#: revbrowser.py:48
+#. Create the widgets
+#: ../revbrowser.py:35
 msgid "_Select"
 msgstr ""
 
-#: revbrowser.py:64
-msgid "Revno"
-msgstr ""
-
-#: revbrowser.py:70
-msgid "Time"
-msgstr ""
-
-#: status.py:78
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
 msgid "Added"
 msgstr ""
 
-#: status.py:84
+#: ../status.py:93
 msgid "Removed"
 msgstr ""
 
-#: status.py:90
+#: ../status.py:99
 msgid "Renamed"
 msgstr ""
 
-#: status.py:97
+#: ../status.py:106
 msgid "Modified"
 msgstr ""
 
-#: status.py:105
+#: ../status.py:114
 msgid "Unknown"
 msgstr ""
 
-#: status.py:110
+#: ../status.py:119
 msgid "No changes."
 msgstr ""
 
-#: tags.py:67
+#. Set properties
+#: ../tags.py:60
 msgid "Tags"
 msgstr ""
 
-#: tags.py:111
+#: ../tags.py:110
 msgid "Tag Name"
 msgstr ""
 
-#: tags.py:116
+#: ../tags.py:115
 msgid "Revision ID"
 msgstr ""
 
-#: tags.py:151
+#: ../tags.py:148
 msgid "Tags are not supported by this branch format. Please upgrade."
 msgstr ""
 
-#: tags.py:157
+#: ../tags.py:154
 msgid "No tagged revisions in the branch."
 msgstr ""
 
-#: tags.py:232
+#: ../tags.py:222
 msgid "_Remove tag"
 msgstr ""
 
-#: tags.py:242
+#: ../tags.py:232
 msgid "<b><big>Remove tag?</big></b>"
 msgstr ""
 
-#: tags.py:244
+#: ../tags.py:234
 #, python-format
 msgid "Are you sure you want to remove the tag: <b>%s</b>?"
 msgstr ""
 
-#: tags.py:289
+#. Create the widgets
+#: ../tags.py:278
 msgid "_Add tag"
 msgstr ""
 
-#: tags.py:291
+#: ../tags.py:280
 msgid "Tag Name:"
 msgstr ""
 
-#: tags.py:292
+#: ../tags.py:281
 msgid "Revision ID:"
 msgstr ""
 
-#: tags.py:323
+#: ../tags.py:312
 msgid "No tag name specified"
 msgstr ""
 
-#: tags.py:324
+#: ../tags.py:313
 msgid "You have to specify the tag's desired name."
 msgstr ""
-
-#: __init__.py:512
-msgid "There are local changes in the branch"
-msgstr ""
-
-#: __init__.py:513
-msgid "Please commit or revert the changes before merging."
-msgstr ""
-
-#: __init__.py:525 __init__.py:550
-msgid "Parent location is unknown"
-msgstr ""
-
-#: __init__.py:526
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr ""
-
-#: __init__.py:537
-msgid "There are missing revisions"
-msgstr ""
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr ""
-
-#: __init__.py:540
-msgid "Local branch up to date"
-msgstr ""
-
-#: __init__.py:541
-msgid "There are no missing revisions."
-msgstr ""
-
-#: __init__.py:551
-msgid "Pulling is not possible until there is a parent location."
-msgstr ""
-
-#: __init__.py:561
-msgid "Pull successful"
-msgstr ""
-
-#: __init__.py:561
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr ""
-
-#: __init__.py:575 menu.py:275
-msgid "Conflicts detected"
-msgstr ""
-
-#: __init__.py:576 menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr ""
-
-#: __init__.py:578 menu.py:278
-msgid "Revert successful"
-msgstr ""
-
-#: __init__.py:579 menu.py:279
-msgid "All files reverted to last revision."
-msgstr ""
-
-#: __init__.py:835 __init__.py:1117
-msgid "Bookmarks"
-msgstr ""
-
-#: __init__.py:842 menu.py:99
-msgid "Bookmark"
-msgstr ""
-
-#: __init__.py:944 __init__.py:1231
-msgid "unchanged"
-msgstr ""
-
-#: __init__.py:946 __init__.py:1233
-msgid "ignored"
-msgstr ""
-
-#: __init__.py:948 __init__.py:1235
-msgid "unknown"
-msgstr ""
-
-#: __init__.py:964
-msgid "Filename"
-msgstr ""
-
-#: __init__.py:965
-msgid "Status"
-msgstr ""
-
-#: __init__.py:966
-msgid "Size"
-msgstr ""
-
-#: __init__.py:967
-msgid "Last modified"
-msgstr ""
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-
-#: bookmark.py:46
-msgid "Title:"
-msgstr ""
-
-#: bookmark.py:81
-msgid "No title given"
-msgstr ""
-
-#: bookmark.py:82
-msgid "Please specify a title to continue."
-msgstr ""
-
-#: guifiles.py:45
-msgid "Glade file cannot be found."
-msgstr ""
-
-#: guifiles.py:55
-msgid "UI description file cannot be found."
-msgstr ""
-
-#: menu.py:63
-msgid "Add"
-msgstr ""
-
-#: menu.py:64
-msgid "Add the selected file"
-msgstr ""
-
-#: menu.py:67 menu.py:107
-msgid "Remove"
-msgstr ""
-
-#: menu.py:68
-msgid "Remove the selected file"
-msgstr ""
-
-#: menu.py:71
-msgid "Remove and delete"
-msgstr ""
-
-#: menu.py:72
-msgid "Remove the selected file/dir and delete from disk"
-msgstr ""
-
-#: menu.py:75
-msgid "Rename"
-msgstr ""
-
-#: menu.py:76
-msgid "Rename the selected file"
-msgstr ""
-
-#: menu.py:79
-msgid "Open"
-msgstr ""
-
-#: menu.py:80
-msgid "Open the selected file"
-msgstr ""
-
-#: menu.py:83
-msgid "Revert"
-msgstr ""
-
-#: menu.py:84
-msgid "Revert the changes"
-msgstr ""
-
-#: menu.py:88
-msgid "Commit the changes"
-msgstr ""
-
-#: menu.py:91
-msgid "Annotate"
-msgstr ""
-
-#: menu.py:92
-msgid "Annotate the selected file"
-msgstr ""
-
-#: menu.py:95
-msgid "Diff"
-msgstr "Ferq"
-
-#: menu.py:96
-msgid "Show the diff of the file"
-msgstr ""
-
-#: menu.py:100
-msgid "Bookmark current location"
-msgstr ""
-
-#: menu.py:103
-msgid "Edit"
-msgstr ""
-
-#: menu.py:104
-msgid "Edit the selected bookmark"
-msgstr ""
-
-#: menu.py:108
-msgid "Remove the selected bookmark"
-msgstr ""
-
-#: menu.py:111
-msgid "Open Folder"
-msgstr ""
-
-#: menu.py:112
-msgid "Open bookmark folder in Nautilus"
-msgstr ""
-
-#: menu.py:115
-msgid "Selected..."
-msgstr ""
-
-#: menu.py:116
-msgid "Show the differences of the selected file"
-msgstr ""
-
-#: menu.py:119
-msgid "All..."
-msgstr ""
-
-#: menu.py:120
-msgid "Show the differences of all files"
-msgstr ""
-
-#: menu.py:123
-msgid "View contents"
-msgstr ""
-
-#: menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr ""
-
-#: menu.py:127
-msgid "Show differences"
-msgstr ""
-
-#: menu.py:128
-msgid "Show the differences between two revisions of the file"
-msgstr ""
-
-#: menu.py:131
-msgid "Revert to this revision"
-msgstr ""
-
-#: menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr ""
-
-#: menu.py:228
-msgid "Delete directory with all directories below ?"
-msgstr ""
-
-#: menu.py:315
-msgid "Bookmark successfully added"
-msgstr ""
-
-#: menu.py:316
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-
-#: menu.py:319
-msgid "Location already bookmarked"
-msgstr ""
-
-#: menu.py:320
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-
-#: mkdir.py:67
-msgid "No directory name given"
-msgstr ""
-
-#: mkdir.py:68
-msgid "Please specify a desired name for the new directory."
-msgstr ""
-
-#: mkdir.py:79 mkdir.py:89
-msgid "Directory already exists"
-msgstr ""
-
-#: mkdir.py:80 mkdir.py:90
-msgid "Please specify another name to continue."
-msgstr ""
-
-#: move.py:80 rename.py:71
-msgid "Please select a file from the list to proceed."
-msgstr ""
-
-#: move.py:89 rename.py:87
-msgid "Not the same branch"
-msgstr ""
-
-#: move.py:90 rename.py:88
-msgid "The destination is not in the same branch."
-msgstr ""
-
-#: remove.py:79 remove.py:139
-msgid "No matching files"
-msgstr ""
-
-#: remove.py:80 remove.py:140
-msgid "No added files were found in the working tree."
-msgstr ""
-
-#: remove.py:105 olive.glade:825
-msgid "Which file(s) do you want to remove?"
-msgstr ""
-
-#: remove.py:106 olive.glade:717 olive.glade:837
-msgid "Selected only"
-msgstr ""
-
-#: remove.py:107 olive.glade:851
-msgid "All files with status 'added'"
-msgstr ""
-
-#: remove.py:108 olive.glade:905
-msgid "_Remove"
-msgstr ""
-
-#: rename.py:75
-msgid "Filename not given"
-msgstr ""
-
-#: rename.py:76
-msgid "Please specify a new name for the file."
-msgstr ""
-
-#: olive.glade:8
-msgid "Olive - Bazaar GUI"
-msgstr ""
-
-#: olive.glade:21
-msgid "_File"
-msgstr "_Pel"
-
-#: olive.glade:28
-msgid "_Add file(s)..."
-msgstr "_Pelekê Zêdeke(s).."
-
-#: olive.glade:43
-msgid "Remove file(s)..."
-msgstr "Pelê rake"
-
-#: olive.glade:63
-msgid "Make _directory..."
-msgstr "Dosiye_chêke"
-
-#: olive.glade:76
-msgid "_Rename..."
-msgstr "_Nav biguherîne..."
-
-#: olive.glade:84
-msgid "_Move..."
-msgstr ""
-
-#: olive.glade:92
-msgid "_Annotate..."
-msgstr ""
-
-#: olive.glade:118
-msgid "_View"
-msgstr "_Nîşandan"
-
-#: olive.glade:126
-msgid "Show _hidden files"
-msgstr "PlênÊ ve shartî nîshan bide"
-
-#: olive.glade:139
-msgid "_Refresh"
-msgstr "_Nû bike"
-
-#: olive.glade:158
-msgid "_Initialize..."
-msgstr ""
-
-#: olive.glade:166
-msgid "_Get..."
-msgstr "_Ka"
-
-#: olive.glade:174
-msgid "C_heckout..."
-msgstr ""
-
-#: olive.glade:187
-msgid "Pu_ll"
-msgstr "Bikshê"
-
-#: olive.glade:201
-msgid "Pu_sh..."
-msgstr "Dehfde"
-
-#: olive.glade:220
-msgid "_Revert all changes"
-msgstr ""
-
-#: olive.glade:228
-msgid "_Merge..."
-msgstr ""
-
-#: olive.glade:236
-msgid "_Commit..."
-msgstr "qebul"
-
-#: olive.glade:255
-msgid "Ta_gs..."
-msgstr ""
-
-#: olive.glade:263
-msgid "S_tatus..."
-msgstr "Rewsh"
-
-#: olive.glade:271
-msgid "Missing _revisions"
-msgstr ""
-
-#: olive.glade:279
-msgid "Con_flicts..."
-msgstr ""
-
-#: olive.glade:291
-msgid "_Statistics"
-msgstr "_Statistîk"
-
-#: olive.glade:298
-msgid "_Differences..."
-msgstr "_Ferq"
-
-#: olive.glade:312
-msgid "_Log..."
-msgstr ""
-
-#: olive.glade:326
-msgid "_Information..."
-msgstr ""
-
-#: olive.glade:338
-msgid "_Help"
-msgstr "_Alîkarî"
-
-#: olive.glade:548
-msgid "gtk-jump-to"
-msgstr ""
-
-#: olive.glade:575
-msgid "H_istory Mode"
-msgstr ""
-
-#: olive.glade:673
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr ""
-
-#: olive.glade:675
-msgid "https://launchpad.net/products/olive"
-msgstr ""
-
-#: olive.glade:677
-msgid "translator-credits"
-msgstr ""
-"Launchpad Contributions:\n"
-"  arasname https://launchpad.net/~arasname"
-
-#: olive.glade:694
-msgid "Olive - Add file(s)"
-msgstr ""
-
-#: olive.glade:705
-msgid "Which file(s) do you want to add?"
-msgstr ""
-
-#: olive.glade:731
-msgid "All unknowns recursively"
-msgstr ""
-
-#: olive.glade:785
-msgid "_Add"
-msgstr ""
-
-#: olive.glade:814
-msgid "Olive - Remove file(s)"
-msgstr ""
-
-#: olive.glade:934
-msgid "Olive - Make directory"
-msgstr ""
-
-#: olive.glade:957
-msgid "_Versioned directory"
-msgstr ""
-
-#: olive.glade:1011
-msgid "_Make directory"
-msgstr ""
-
-#: olive.glade:1041
-msgid "Olive - Move"
-msgstr ""
-
-#: olive.glade:1055
-msgid "Move to"
-msgstr ""
-
-#: olive.glade:1066
-msgid "Select a directory"
-msgstr ""
-
-#: olive.glade:1120
-msgid "_Move"
-msgstr ""
-
-#: olive.glade:1148
-msgid "Olive - Rename"
-msgstr ""
-
-#: olive.glade:1162
-msgid "Rename to"
-msgstr ""
-
-#: olive.glade:1227
-msgid "_Rename"
-msgstr ""
-
-#: olive.glade:1255
-msgid "Olive - Information"
-msgstr ""
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275
-msgid "(none)"
-msgstr ""
-
-#: olive.glade:1368
-msgid "Checkout root: "
-msgstr ""
-
-#: olive.glade:1380
-msgid "Branch root: "
-msgstr ""
-
-#: olive.glade:1392
-msgid "Repository checkout: "
-msgstr ""
-
-#: olive.glade:1404
-msgid "Checkout of branch: "
-msgstr ""
-
-#: olive.glade:1416
-msgid "Repository branch: "
-msgstr ""
-
-#: olive.glade:1428
-msgid "Shared repository: "
-msgstr ""
-
-#: olive.glade:1440
-msgid "Light checkout root: "
-msgstr ""
-
-#: olive.glade:1454
-msgid "<b>Location:</b>"
-msgstr ""
-
-#: olive.glade:1508
-msgid "Publish to branch: "
-msgstr ""
-
-#: olive.glade:1520
-msgid "Parent branch: "
-msgstr ""
-
-#: olive.glade:1534
-msgid "<b>Related branches:</b>"
-msgstr ""
-
-#: olive.glade:1614
-msgid "Repository format: "
-msgstr ""
-
-#: olive.glade:1626
-msgid "Branch format: "
-msgstr ""
-
-#: olive.glade:1638
-msgid "Working tree format: "
-msgstr ""
-
-#: olive.glade:1650
-msgid "Control format: "
-msgstr ""
-
-#: olive.glade:1664
-msgid "<b>Format:</b>"
-msgstr ""
-
-#: olive.glade:1731
-msgid "Repository lock status: "
-msgstr ""
-
-#: olive.glade:1743
-msgid "Branch lock status: "
-msgstr ""
-
-#: olive.glade:1755
-msgid "Working tree lock status: "
-msgstr ""
-
-#: olive.glade:1769
-msgid "<b>Lock status:</b>"
-msgstr ""
-
-#: olive.glade:1823
-msgid "Missing revisions in branch: "
-msgstr ""
-
-#: olive.glade:1835
-msgid "Missing revisions in working tree: "
-msgstr ""
-
-#: olive.glade:1849
-msgid "<b>Missing revisions:</b>"
-msgstr ""
-
-#: olive.glade:1981
-msgid "Versioned subdirectories: "
-msgstr ""
-
-#: olive.glade:1993
-msgid "Ignored files: "
-msgstr ""
-
-#: olive.glade:2005
-msgid "Unknown files: "
-msgstr ""
-
-#: olive.glade:2017
-msgid "Renamed files: "
-msgstr ""
-
-#: olive.glade:2029
-msgid "Removed files: "
-msgstr ""
-
-#: olive.glade:2041
-msgid "Added files: "
-msgstr ""
-
-#: olive.glade:2053
-msgid "Modified files: "
-msgstr ""
-
-#: olive.glade:2065
-msgid "Unchanged files: "
-msgstr ""
-
-#: olive.glade:2079
-msgid "<b>In the working tree:</b>"
-msgstr ""
-
-#: olive.glade:2172
-msgid "Time of last revision: "
-msgstr ""
-
-#: olive.glade:2184
-msgid "Time of first revision: "
-msgstr ""
-
-#: olive.glade:2196
-msgid "Age of branch in days: "
-msgstr ""
-
-#: olive.glade:2208
-msgid "Number of commiters: "
-msgstr ""
-
-#: olive.glade:2220
-msgid "Revisions in branch: "
-msgstr ""
-
-#: olive.glade:2234
-msgid "<b>Branch history:</b>"
-msgstr ""
-
-#: olive.glade:2288
-msgid "Size of repository: "
-msgstr ""
-
-#: olive.glade:2300
-msgid "Revisions in repository: "
-msgstr ""
-
-#: olive.glade:2314
-msgid "<b>Revision store:</b>"
-msgstr ""
-
-#: olive.glade:2356
-msgid "Merge - Olive"
-msgstr ""
-
-#: olive.glade:2370
-msgid "Merge from:"
-msgstr ""
-
-#: olive.glade:2454
-msgid "_Merge"
-msgstr ""

=== added file 'po/nl.po'
--- po/nl.po	1970-01-01 00:00:00 +0000
+++ po/nl.po	2011-12-02 05:55:20 +0000
@@ -0,0 +1,757 @@
+# Dutch translation for bzr-gtk
+# Copyright (c) 2008 Rosetta Contributors and Canonical Ltd 2008
+# This file is distributed under the same license as the bzr-gtk package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2008.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: bzr-gtk\n"
+"Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:59+0000\n"
+"Last-Translator: Wouter Bolsterlee (uws) <uws+launchpad@xs4all.nl>\n"
+"Language-Team: Dutch <nl@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Launchpad-Export-Date: 2011-12-02 05:54+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr "Bazaar-voorkeuren"
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr "Instellingen voor Bazaar aanpassen"
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr "Bazaar-bundel toepassen"
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr "Bazaar"
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr "Bazaar-notificatie"
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr "Bazaar-pictogram in mededelingengebied"
+
+#. Create the widgets
+#: ../branch.py:46
+msgid "_Branch"
+msgstr "_Branch"
+
+#: ../branch.py:49 ../checkout.py:49
+msgid "Branch location:"
+msgstr "Branch-locatie:"
+
+#: ../branch.py:51 ../checkout.py:50
+msgid "Destination:"
+msgstr "Doel:"
+
+#: ../branch.py:52
+msgid "Branck nick:"
+msgstr "Branch-alias:"
+
+#: ../branch.py:53 ../checkout.py:52
+msgid "Revision:"
+msgstr "Revisie:"
+
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Selecteer een map"
+
+#: ../branch.py:134 ../checkout.py:153
+msgid "Missing branch location"
+msgstr "Branch-locatie ontbreekt"
+
+#: ../branch.py:135 ../checkout.py:154
+msgid "You must specify a branch location."
+msgstr "Er dient een branch-locatie opgegeven te worden."
+
+#: ../branch.py:174
+msgid "Branching successful"
+msgstr "Branchen succesvol"
+
+#: ../branch.py:175
+#, python-format
+msgid "%d revision(s) branched."
+msgstr "%d revisies gebranchet."
+
+#: ../branch.py:183 ../checkout.py:185
+msgid "N/A"
+msgstr "Niet van toepassing"
+
+#. Create the widgets
+#: ../checkout.py:44
+msgid "Check_out"
+msgstr "Check_out"
+
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr "Branch-alias:"
+
+#: ../checkout.py:56
+msgid "_Lightweight checkout"
+msgstr "Lichtgewicht checkout"
+
+#: ../commands.py:305
+msgid "Directory does not have a working tree"
+msgstr "Map bevat geen werkkopie"
+
+#: ../commands.py:306
+msgid "Operation aborted."
+msgstr "Handeling afgebroken"
+
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr "Er zijn lokale wijzigingen in deze branch"
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr ""
+"Wijzigiging dienen eerst gecommit danwal teruggedraaid (revert) te worden."
+
+#: ../commit.py:178
+msgid "added"
+msgstr "toegevoegd"
+
+#: ../commit.py:179
+msgid "removed"
+msgstr "verwijderd"
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr "hernoemd"
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr "hernoemd en gewijzigd"
+
+#: ../commit.py:182
+msgid "modified"
+msgstr "gewijzigd"
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr "van type veranderd"
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr "<b>Commit-bericht</b>"
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr "Alleen _lokaal comitten"
+
+#: ../commit.py:361
+msgid "Comm_it"
+msgstr "Co_mmitten"
+
+#: ../commit.py:388
+msgid "Files"
+msgstr "Bestanden"
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr "Alle  wijzigingen committen"
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr "Alleen geselecteerde wijzigingen committen"
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr "Alle wijzigingen committen*"
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr "Committen*"
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr "Committen"
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr "Pad"
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr "Type"
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+"<i>* Er kunnen geen specifieke bestanden geselecteerd worden bij mergen.</i>"
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr "Revisies in behandeling"
+
+#: ../commit.py:503
+msgid "Date"
+msgstr "Datum"
+
+#: ../commit.py:505
+msgid "Committer"
+msgstr "Committer"
+
+#: ../commit.py:507 ../search.py:60
+msgid "Summary"
+msgstr "Samenvatting"
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr "Verschillen voor gehele mappenstructuur"
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr "Commit-bericht voor bestand"
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr "Globaal commit-bericht"
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr "<b>Globaal commit-bericht</b>"
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr "Verschillen voor "
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr "Commit-bericht voor "
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr "Committen geannuleerd"
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr "Moeten commit-berichten bewaard blijven?"
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr "Met leeg bericht committen?"
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+"In het commit-bericht kan de bedoeling achter deze commit vastgelegd worden."
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr "Committen met onbekende bestanden?"
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+"Er zijn onbekende bestanden in de werkkopie aanwezig. Toch committen?"
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr "Zonder wijzigingen committen?"
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr "Er zijn geen wijzigingen in de werkkopie. Toch committen?"
+
+#: ../conflicts.py:45
+msgid "External utility:"
+msgstr "Extern hulpmiddel:"
+
+#: ../conflicts.py:97
+msgid "Conflicts"
+msgstr "Conflicten"
+
+#: ../conflicts.py:100
+msgid "No conflicts in working tree."
+msgstr "Geen conflicten in de werkkopie."
+
+#: ../conflicts.py:114
+msgid "path conflict"
+msgstr "pad-conflict"
+
+#: ../conflicts.py:116
+msgid "contents conflict"
+msgstr "conflicterende inhoud"
+
+#: ../conflicts.py:118
+msgid "text conflict"
+msgstr "conflicterende text"
+
+#: ../conflicts.py:120
+msgid "duplicate id"
+msgstr "dubbel id"
+
+#: ../conflicts.py:122
+msgid "duplicate"
+msgstr "duplicaat"
+
+#: ../conflicts.py:124
+msgid "parent loop"
+msgstr "parent loop"
+
+#: ../conflicts.py:126
+msgid "unversioned parent"
+msgstr "parent niet onder versiebeheer"
+
+#: ../conflicts.py:128
+msgid "missing parent"
+msgstr "ontbrekende parent"
+
+#: ../conflicts.py:130
+msgid "deleting parent"
+msgstr "parent verwijderen"
+
+#: ../conflicts.py:132
+msgid "unknown type of conflict"
+msgstr "onbekend conflicttype"
+
+#: ../conflicts.py:161
+msgid "No file was selected"
+msgstr "Geen bestand geselecteerd"
+
+#: ../conflicts.py:162
+msgid "Please select a file from the list."
+msgstr "Kies een bestand uit de lijst."
+
+#: ../conflicts.py:172
+msgid "Call to external utility failed"
+msgstr "Aanroepen van extern hulpmiddel mislukt."
+
+#: ../conflicts.py:174
+msgid "Cannot resolve conflict"
+msgstr "Kan conflict niet oplossen"
+
+#: ../conflicts.py:175
+msgid ""
+"Only conflicts on the text of files can be resolved with Olive at the "
+"moment. Content conflicts, on the structure of the tree, need to be resolved "
+"using the command line."
+msgstr ""
+"Olive kan momenteel alleen conflicten in tekstbestanden oplossen. "
+"Inhoudelijke conflicten op de structuur van de mappen moeten met de "
+"opdrachtregel opgelost worden."
+
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "Beel_d"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr "_Lange regels afbreken"
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr "Merge succesvol"
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr "Alle wijzigingen succesvol verwerkt."
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr "Conflict gedetecteerd"
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr "Los de conflicten handmatig op alvorens te committen."
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr "Map is geen branch"
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr "Deze actie kan alleen op een branch uitgevoerd worden."
+
+#: ../errors.py:34
+msgid "Directory is not a checkout"
+msgstr "Map is geen checkout"
+
+#: ../errors.py:35
+msgid "You can perform local commit only on checkouts."
+msgstr "Lokaal committen kan alleen op checkouts."
+
+#: ../errors.py:37
+msgid "No changes to commit"
+msgstr "Niets te committen"
+
+#: ../errors.py:38
+msgid "Try force commit if you want to commit anyway."
+msgstr "Forceer een commit als u toch wilt committen."
+
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr "Geen wijzigingen voor merge"
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr "De merge-locatie is al geheel aanwezig in de werkkopie."
+
+#: ../errors.py:43
+msgid "Conflicts in tree"
+msgstr "Conflicten in mappenstructuur"
+
+#: ../errors.py:44
+msgid "You need to resolve the conflicts before committing."
+msgstr "Deze conflicten moeten worden opgelost voordat gecommit kan worden."
+
+#: ../errors.py:46
+msgid "Strict commit failed"
+msgstr "Strikte commit is mislukt."
+
+#: ../errors.py:47
+msgid ""
+"There are unknown files in the working tree.\n"
+"Please add or delete them."
+msgstr ""
+"Er zijn onbekende bestanden in de werkkopie aanwezig, die eerst toegevoegd "
+"of verwijderd moeten worden."
+
+#: ../errors.py:49
+msgid "Bound branch is out of date"
+msgstr "Gekoppelde branch is niet meer up-to-date."
+
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
+#, python-format
+msgid "%s"
+msgstr "%s"
+
+#: ../errors.py:53
+msgid "File not versioned"
+msgstr "Bestand niet onder versiebeheer"
+
+#: ../errors.py:54
+msgid "The selected file is not versioned."
+msgstr "Het geselecteerde bestand staat niet onder versiebeheer."
+
+#: ../errors.py:56 ../push.py:100
+msgid "Branches have been diverged"
+msgstr "Branches zijn uit elkaar gegroeid."
+
+#: ../errors.py:57
+msgid ""
+"You cannot push if branches have diverged. Use the\n"
+"overwrite option if you want to push anyway."
+msgstr ""
+"Een push kan niet uitgevoerd worden als de branches uit elkaar gegroeid "
+"zijn.\n"
+"Gebruik de optie ‘overwrite’ (overschrijven) als u de push toch wilt "
+"uitvoeren."
+
+#: ../errors.py:59
+msgid "No diff output"
+msgstr "Geen verschillen gevonden (diff)"
+
+#: ../errors.py:60
+msgid "The selected file hasn't changed."
+msgstr "Het geselecteerde bestand is niet gewijzigd."
+
+#: ../errors.py:62
+msgid "No such revision"
+msgstr "Revisie bestaat niet"
+
+#: ../errors.py:63
+msgid "The revision you specified doesn't exist."
+msgstr "De opgegeven revisie bestaat niet."
+
+#: ../errors.py:65
+msgid "Target already exists"
+msgstr "Het doel bestaat al"
+
+#: ../errors.py:66
+msgid "Target directory already exists. Please select another target."
+msgstr "De doelmap bestaat al. Kies een andere bestemming."
+
+#: ../errors.py:68
+msgid "Directory is already a branch"
+msgstr "De map is al een branch"
+
+#: ../errors.py:69
+#, python-format
+msgid ""
+"The current directory (%s) is already a branch.\n"
+"You can start using it, or initialize another directory."
+msgstr ""
+"De huidige map ‘%s’ is al een branch. U kunt deze map gebruiken of een "
+"andere map initialiseren."
+
+#: ../errors.py:71
+msgid "Branch without a working tree"
+msgstr "Branch zonder werkkopie"
+
+#: ../errors.py:72
+#, python-format
+msgid ""
+"The current directory (%s)\n"
+"is a branch without a working tree."
+msgstr "De huidige map ‘%s’ is een branch zonder werkkopie."
+
+#: ../errors.py:74
+msgid "Unknown bzr error"
+msgstr "Onbekende bzr-fout"
+
+#: ../errors.py:76
+msgid "Permission denied"
+msgstr "Toegang geweigerd"
+
+#: ../errors.py:76
+msgid "permission denied."
+msgstr "toegang geweigerd."
+
+#: ../errors.py:78
+msgid "Unknown error"
+msgstr "Onbekende fout"
+
+#. Create the widgets
+#: ../initialize.py:46
+msgid "_Initialize"
+msgstr "_Initialiseren"
+
+#: ../initialize.py:47
+msgid "Which directory do you want to initialize?"
+msgstr "Welke map wilt u initialiseren?"
+
+#: ../initialize.py:49
+msgid "Current directory"
+msgstr "Huidige map"
+
+#: ../initialize.py:51
+msgid "Create a new directory with the name:"
+msgstr "Een nieuwe map aanmaken met de volgende naam:"
+
+#: ../initialize.py:87
+msgid "Directory name not specified"
+msgstr "Geen mapnaam opgegeven"
+
+#: ../initialize.py:88
+msgid "You should specify a new directory name."
+msgstr "Er dient een nieuwe mapnaam opgegeven te worden."
+
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr "Naar loom-branch upgraden?"
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr "De branch is geen loom-branch. Upgraden naar loom-formaat?"
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr "Mergen van"
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr "Map"
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr "Aangepaste locatie"
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr "_Mergen"
+
+#: ../merge.py:130
+msgid "Branch not given"
+msgstr "Geen branch opgegeven"
+
+#: ../merge.py:131
+msgid "Please specify a branch to merge from."
+msgstr "Geef een merge-branch op."
+
+#: ../merge.py:139
+msgid "Bazaar command error"
+msgstr "Fout in Bazaar-opdracht"
+
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
+msgid "Location:"
+msgstr "Locatie:"
+
+#: ../push.py:52
+msgid "_Push"
+msgstr "_Pushen"
+
+#: ../push.py:101
+msgid ""
+"You cannot push if branches have diverged.\n"
+"Overwrite?"
+msgstr ""
+"Pushen is niet mogelijk als de branches uit elkaar gegroeid zijn. "
+"Overschrijven?"
+
+#: ../push.py:109
+msgid "Push successful"
+msgstr "Push succesvol"
+
+#: ../push.py:110
+#, python-format
+msgid "%d revision(s) pushed."
+msgstr "%d revisie(s) gepusht."
+
+#: ../push.py:141
+msgid "Non existing parent directory"
+msgstr "Bovenliggende map bestaat niet"
+
+#: ../push.py:142
+#, python-format
+msgid ""
+"The parent directory (%s)\n"
+"doesn't exist. Create?"
+msgstr ""
+"De bovenliggende map ‘%s’\n"
+"bestaat niet. Wilt u deze aanmaken?"
+
+#. Create the widgets
+#: ../revbrowser.py:35
+msgid "_Select"
+msgstr "_Selecteren"
+
+#: ../search.py:41
+msgid "Search for:"
+msgstr "Zoeken naar:"
+
+#: ../search.py:56
+msgid "Document"
+msgstr "Document"
+
+#: ../status.py:87
+msgid "Added"
+msgstr "Toegevoegd"
+
+#: ../status.py:93
+msgid "Removed"
+msgstr "Verwijderd"
+
+#: ../status.py:99
+msgid "Renamed"
+msgstr "Hernoemd"
+
+#: ../status.py:106
+msgid "Modified"
+msgstr "Gewijzigd"
+
+#: ../status.py:114
+msgid "Unknown"
+msgstr "Onbekend"
+
+#: ../status.py:119
+msgid "No changes."
+msgstr "Geen wijzigingen."
+
+#. Set properties
+#: ../tags.py:60
+msgid "Tags"
+msgstr "Tags"
+
+#: ../tags.py:110
+msgid "Tag Name"
+msgstr "Tag-naam"
+
+#: ../tags.py:115
+msgid "Revision ID"
+msgstr "Revisie-ID"
+
+#: ../tags.py:148
+msgid "Tags are not supported by this branch format. Please upgrade."
+msgstr ""
+"Tags worden niet door dit branch-formaat ondersteunt. Probeer te upgraden."
+
+#: ../tags.py:154
+msgid "No tagged revisions in the branch."
+msgstr "Deze branch bevat geen revisies met een tag."
+
+#: ../tags.py:222
+msgid "_Remove tag"
+msgstr "Tag ver_wijderen"
+
+#: ../tags.py:232
+msgid "<b><big>Remove tag?</big></b>"
+msgstr "<b><big>Tag verwijderen?</big></b>"
+
+#: ../tags.py:234
+#, python-format
+msgid "Are you sure you want to remove the tag: <b>%s</b>?"
+msgstr "Weet u zeker dat u de tag <b>%s</b> wilt verwijderen?"
+
+#. Create the widgets
+#: ../tags.py:278
+msgid "_Add tag"
+msgstr "Tag _toevoegen"
+
+#: ../tags.py:280
+msgid "Tag Name:"
+msgstr "Tag-naam:"
+
+#: ../tags.py:281
+msgid "Revision ID:"
+msgstr "Revisie-ID:"
+
+#: ../tags.py:312
+msgid "No tag name specified"
+msgstr "Geen tag-naam opgegeven"
+
+#: ../tags.py:313
+msgid "You have to specify the tag's desired name."
+msgstr "De gewenste tag-naam moet opgegeven worden."

=== removed file 'po/olive-gtk.pot'
--- po/olive-gtk.pot	2008-05-05 18:16:46 +0000
+++ po/olive-gtk.pot	1970-01-01 00:00:00 +0000
@@ -1,1463 +0,0 @@
-# SOME DESCRIPTIVE TITLE.
-# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
-# This file is distributed under the same license as the PACKAGE package.
-# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
-#
-#, fuzzy
-msgid ""
-msgstr ""
-"Project-Id-Version: PACKAGE VERSION\n"
-"Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2008-05-05 20:10+0200\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
-"Language-Team: LANGUAGE <LL@li.org>\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=CHARSET\n"
-"Content-Transfer-Encoding: 8bit\n"
-
-#: branch.py:52 olive.glade:151 olive.glade:167
-msgid "_Branch"
-msgstr ""
-
-#: branch.py:55 checkout.py:53 branch.py:60 checkout.py:54
-msgid "Please select a folder"
-msgstr ""
-
-#: branch.py:57 checkout.py:55 branch.py:55 checkout.py:56
-msgid "Branch location:"
-msgstr ""
-
-#: branch.py:58 checkout.py:56 branch.py:57 checkout.py:57
-msgid "Destination:"
-msgstr ""
-
-#: branch.py:59 checkout.py:57 branch.py:58 checkout.py:58
-msgid "Branck nick:"
-msgstr ""
-
-#: branch.py:60 checkout.py:58 branch.py:59 checkout.py:59
-msgid "Revision:"
-msgstr ""
-
-#: branch.py:162 checkout.py:163 branch.py:140 checkout.py:164
-msgid "Missing branch location"
-msgstr ""
-
-#: branch.py:163 checkout.py:164 branch.py:141 checkout.py:165
-msgid "You must specify a branch location."
-msgstr ""
-
-#: branch.py:205 branch.py:182
-msgid "Branching successful"
-msgstr ""
-
-#: branch.py:206 branch.py:183
-#, python-format
-msgid "%d revision(s) branched."
-msgstr ""
-
-#: branch.py:214 checkout.py:195 branch.py:191 checkout.py:196
-msgid "N/A"
-msgstr ""
-
-#: checkout.py:50 checkout.py:51
-msgid "Check_out"
-msgstr ""
-
-#: checkout.py:62 checkout.py:63
-msgid "_Lightweight checkout"
-msgstr ""
-
-#: commit.py:68 __init__.py:362
-msgid "Directory does not have a working tree"
-msgstr ""
-
-#: commit.py:69 __init__.py:363
-msgid "Operation aborted."
-msgstr ""
-
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556 olive/add.py:76
-#: olive/add.py:86 olive/info.py:556 errors.py:28 olive/add.py:77
-#: olive/add.py:87 olive/info.py:557
-msgid "Directory is not a branch"
-msgstr ""
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557 olive/add.py:77
-#: olive/add.py:87 olive/info.py:557 errors.py:29 olive/add.py:78
-#: olive/add.py:88 olive/info.py:558
-msgid "You can perform this action only in a branch."
-msgstr ""
-
-#: commit.py:88 commit.py:337 commit.py:338
-msgid "Comm_it"
-msgstr ""
-
-#: commit.py:89
-msgid "File(s) to commit"
-msgstr ""
-
-#: commit.py:95
-msgid "Commit message:"
-msgstr ""
-
-#: commit.py:99
-msgid "Pending merges"
-msgstr ""
-
-#: commit.py:147 commit.py:310 commit.py:311
-msgid "_Only commit locally"
-msgstr ""
-
-#: commit.py:215 commit.py:650 commit.py:652
-msgid "Commit with an empty message?"
-msgstr ""
-
-#: commit.py:216 commit.py:651 commit.py:653
-msgid "You can describe your commit intent in the message."
-msgstr ""
-
-#: commit.py:228 commit.py:670 commit.py:672
-msgid "Commit with unknowns?"
-msgstr ""
-
-#: commit.py:229 commit.py:671 commit.py:673
-msgid "Unknown files exist in the working tree. Commit anyway?"
-msgstr ""
-
-#: commit.py:240 commit.py:689 commit.py:691
-msgid "Commit with no changes?"
-msgstr ""
-
-#: commit.py:241
-msgid "There are no changes in the working tree."
-msgstr ""
-
-#: commit.py:323 menu.py:87 commit.py:415 olive/menu.py:86 commit.py:416
-#: olive/menu.py:87
-msgid "Commit"
-msgstr ""
-
-#: commit.py:325 conflicts.py:108 commit.py:419 conflicts.py:109 commit.py:420
-#: conflicts.py:110
-msgid "Path"
-msgstr ""
-
-#: commit.py:327 conflicts.py:110 commit.py:421 conflicts.py:111 commit.py:422
-#: conflicts.py:112
-msgid "Type"
-msgstr ""
-
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
-#: commit.py:167 olive/__init__.py:1053 olive/__init__.py:1358 commit.py:168
-#: olive/__init__.py:1054 olive/__init__.py:1359
-msgid "added"
-msgstr ""
-
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
-#: commit.py:168 olive/__init__.py:1051 olive/__init__.py:1356 commit.py:169
-#: olive/__init__.py:1052 olive/__init__.py:1357
-msgid "removed"
-msgstr ""
-
-#: commit.py:353 commit.py:170 commit.py:171
-msgid "renamed and modified"
-msgstr ""
-
-#: commit.py:355 __init__.py:936 __init__.py:1223 commit.py:169
-#: olive/__init__.py:1049 olive/__init__.py:1354 commit.py:170
-#: olive/__init__.py:1050 olive/__init__.py:1355
-msgid "renamed"
-msgstr ""
-
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
-#: commit.py:171 olive/__init__.py:1055 olive/__init__.py:1360 commit.py:172
-#: olive/__init__.py:1056 olive/__init__.py:1361
-msgid "modified"
-msgstr ""
-
-#: commit.py:395 commit.py:480 commit.py:481
-msgid "Date"
-msgstr ""
-
-#: commit.py:397 revbrowser.py:68 commit.py:482 commit.py:483
-msgid "Committer"
-msgstr ""
-
-#: commit.py:399 revbrowser.py:66 commit.py:484 commit.py:485
-msgid "Summary"
-msgstr ""
-
-#: conflicts.py:48 conflicts.py:49
-msgid "External utility:"
-msgstr ""
-
-#: conflicts.py:99 conflicts.py:100
-msgid "Conflicts"
-msgstr ""
-
-#: conflicts.py:102 conflicts.py:103
-msgid "No conflicts in working tree."
-msgstr ""
-
-#: conflicts.py:115 conflicts.py:116 conflicts.py:117
-msgid "path conflict"
-msgstr ""
-
-#: conflicts.py:117 conflicts.py:118 conflicts.py:119
-msgid "contents conflict"
-msgstr ""
-
-#: conflicts.py:119 conflicts.py:120 conflicts.py:121
-msgid "text conflict"
-msgstr ""
-
-#: conflicts.py:121 conflicts.py:122 conflicts.py:123
-msgid "duplicate id"
-msgstr ""
-
-#: conflicts.py:123 conflicts.py:124 conflicts.py:125
-msgid "duplicate"
-msgstr ""
-
-#: conflicts.py:125 conflicts.py:126 conflicts.py:127
-msgid "parent loop"
-msgstr ""
-
-#: conflicts.py:127 conflicts.py:128 conflicts.py:129
-msgid "unversioned parent"
-msgstr ""
-
-#: conflicts.py:129 conflicts.py:130 conflicts.py:131
-msgid "missing parent"
-msgstr ""
-
-#: conflicts.py:131 conflicts.py:132 conflicts.py:133
-msgid "deleting parent"
-msgstr ""
-
-#: conflicts.py:133 conflicts.py:134 conflicts.py:135
-msgid "unknown type of conflict"
-msgstr ""
-
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
-#: conflicts.py:163 olive/__init__.py:687 olive/add.py:67 olive/menu.py:177
-#: olive/menu.py:190 olive/menu.py:217 olive/menu.py:253 olive/move.py:79
-#: olive/remove.py:67 olive/remove.py:129 olive/rename.py:70 conflicts.py:164
-#: olive/__init__.py:688 olive/add.py:68 olive/menu.py:178 olive/menu.py:191
-#: olive/menu.py:218 olive/menu.py:254 olive/move.py:80 olive/remove.py:68
-#: olive/remove.py:130 olive/rename.py:71
-msgid "No file was selected"
-msgstr ""
-
-#: conflicts.py:163 __init__.py:615 menu.py:192 conflicts.py:164
-#: olive/__init__.py:688 olive/menu.py:191 conflicts.py:165
-#: olive/__init__.py:689 olive/menu.py:192
-msgid "Please select a file from the list."
-msgstr ""
-
-#: conflicts.py:173 conflicts.py:174 conflicts.py:175
-msgid "Call to external utility failed"
-msgstr ""
-
-#: conflicts.py:175 conflicts.py:176 conflicts.py:177
-msgid "Cannot resolve conflict"
-msgstr ""
-
-#: conflicts.py:176 conflicts.py:177 conflicts.py:178
-msgid ""
-"Only conflicts on the text of files can be resolved with Olive at the "
-"moment. Content conflicts, on the structure of the tree, need to be resolved "
-"using the command line."
-msgstr ""
-
-#: errors.py:29 errors.py:31
-msgid "Directory is not a checkout"
-msgstr ""
-
-#: errors.py:30 errors.py:32
-msgid "You can perform local commit only on checkouts."
-msgstr ""
-
-#: errors.py:32 errors.py:34
-msgid "No changes to commit"
-msgstr ""
-
-#: errors.py:33 errors.py:35
-msgid "Try force commit if you want to commit anyway."
-msgstr ""
-
-#: errors.py:35 errors.py:37
-msgid "Conflicts in tree"
-msgstr ""
-
-#: errors.py:36 errors.py:38
-msgid "You need to resolve the conflicts before committing."
-msgstr ""
-
-#: errors.py:38 errors.py:40
-msgid "Strict commit failed"
-msgstr ""
-
-#: errors.py:39 errors.py:41
-msgid ""
-"There are unknown files in the working tree.\n"
-"Please add or delete them."
-msgstr ""
-
-#: errors.py:41 errors.py:43
-msgid "Bound branch is out of date"
-msgstr ""
-
-#: errors.py:42 errors.py:45
-#, python-format
-msgid "%s"
-msgstr ""
-
-#: errors.py:44 errors.py:47
-msgid "File not versioned"
-msgstr ""
-
-#: errors.py:45 errors.py:48
-msgid "The selected file is not versioned."
-msgstr ""
-
-#: errors.py:47 push.py:105 errors.py:50 push.py:106
-msgid "Branches have been diverged"
-msgstr ""
-
-#: errors.py:48 errors.py:51
-msgid ""
-"You cannot push if branches have diverged. Use the\n"
-"overwrite option if you want to push anyway."
-msgstr ""
-
-#: errors.py:50 errors.py:53
-msgid "No diff output"
-msgstr ""
-
-#: errors.py:51 errors.py:54
-msgid "The selected file hasn't changed."
-msgstr ""
-
-#: errors.py:53 errors.py:56
-msgid "No such revision"
-msgstr ""
-
-#: errors.py:54 errors.py:57
-msgid "The revision you specified doesn't exist."
-msgstr ""
-
-#: errors.py:56 errors.py:59
-msgid "Target already exists"
-msgstr ""
-
-#: errors.py:57 errors.py:60
-msgid "Target directory already exists. Please select another target."
-msgstr ""
-
-#: errors.py:59 errors.py:62
-msgid "Directory is already a branch"
-msgstr ""
-
-#: errors.py:60 errors.py:63
-#, python-format
-msgid ""
-"The current directory (%s) is already a branch.\n"
-"You can start using it, or initialize another directory."
-msgstr ""
-
-#: errors.py:62 errors.py:65
-msgid "Branch without a working tree"
-msgstr ""
-
-#: errors.py:63 errors.py:66
-#, python-format
-msgid ""
-"The current directory (%s)\n"
-"is a branch without a working tree."
-msgstr ""
-
-#: errors.py:65 errors.py:68
-msgid "Unknown bzr error"
-msgstr ""
-
-#: errors.py:67 errors.py:70
-msgid "Permission denied"
-msgstr ""
-
-#: errors.py:67 errors.py:70
-msgid "permission denied."
-msgstr ""
-
-#: errors.py:69 errors.py:72
-msgid "Unknown error"
-msgstr ""
-
-#: initialize.py:47 initialize.py:48
-msgid "_Initialize"
-msgstr ""
-
-#: initialize.py:48 initialize.py:49
-msgid "Which directory do you want to initialize?"
-msgstr ""
-
-#: initialize.py:49 initialize.py:50
-msgid "Current directory"
-msgstr ""
-
-#: initialize.py:50 initialize.py:51
-msgid "Create a new directory with the name:"
-msgstr ""
-
-#: initialize.py:85 initialize.py:86
-msgid "Directory name not specified"
-msgstr ""
-
-#: initialize.py:86 initialize.py:87
-msgid "You should specify a new directory name."
-msgstr ""
-
-#: merge.py:66 merge.py:68 merge.py:69
-msgid "Branch not given"
-msgstr ""
-
-#: merge.py:67 merge.py:69 merge.py:70
-msgid "Please specify a branch to merge from."
-msgstr ""
-
-#: merge.py:75 merge.py:77 merge.py:78
-msgid "Bazaar command error"
-msgstr ""
-
-#: merge.py:81 diff.py:513 merge.py:83 diff.py:514 merge.py:84
-msgid "Merge successful"
-msgstr ""
-
-#: merge.py:82 diff.py:514 merge.py:84 diff.py:515 merge.py:85
-msgid "All changes applied successfully."
-msgstr ""
-
-#: merge.py:85 diff.py:517 merge.py:87 diff.py:518 merge.py:88
-msgid "Conflicts encountered"
-msgstr ""
-
-#: merge.py:86 diff.py:518 merge.py:88 diff.py:519 merge.py:89
-msgid "Please resolve the conflicts manually before committing."
-msgstr ""
-
-#: push.py:52 bookmark.py:45 olive/bookmark.py:45 push.py:53
-#: olive/bookmark.py:46
-msgid "Location:"
-msgstr ""
-
-#: push.py:54 push.py:55
-msgid "_Push"
-msgstr ""
-
-#: push.py:97 push.py:98
-msgid "Set default push location"
-msgstr ""
-
-#: push.py:98 push.py:99
-#, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-msgstr ""
-
-#: push.py:106 push.py:107
-msgid ""
-"You cannot push if branches have diverged.\n"
-"Overwrite?"
-msgstr ""
-
-#: push.py:112 push.py:111
-msgid "Push successful"
-msgstr ""
-
-#: push.py:113 push.py:112
-#, python-format
-msgid "%d revision(s) pushed."
-msgstr ""
-
-#: push.py:146 push.py:145
-msgid "Non existing parent directory"
-msgstr ""
-
-#: push.py:147 push.py:146
-#, python-format
-msgid ""
-"The parent directory (%s)\n"
-"doesn't exist. Create?"
-msgstr ""
-
-#: revbrowser.py:45
-msgid "Please wait, revisions are being loaded..."
-msgstr ""
-
-#: revbrowser.py:48 revbrowser.py:44 revbrowser.py:45
-msgid "_Select"
-msgstr ""
-
-#: revbrowser.py:64
-msgid "Revno"
-msgstr ""
-
-#: revbrowser.py:70
-msgid "Time"
-msgstr ""
-
-#: status.py:78 status.py:82 status.py:84
-msgid "Added"
-msgstr ""
-
-#: status.py:84 status.py:88 status.py:90
-msgid "Removed"
-msgstr ""
-
-#: status.py:90 status.py:94 status.py:96
-msgid "Renamed"
-msgstr ""
-
-#: status.py:97 status.py:101 status.py:103
-msgid "Modified"
-msgstr ""
-
-#: status.py:105 status.py:109 status.py:111
-msgid "Unknown"
-msgstr ""
-
-#: status.py:110 status.py:114 status.py:116
-msgid "No changes."
-msgstr ""
-
-#: tags.py:67 tags.py:65 tags.py:66
-msgid "Tags"
-msgstr ""
-
-#: tags.py:111 tags.py:109 tags.py:110
-msgid "Tag Name"
-msgstr ""
-
-#: tags.py:116 tags.py:114 tags.py:115
-msgid "Revision ID"
-msgstr ""
-
-#: tags.py:151 tags.py:149 tags.py:150
-msgid "Tags are not supported by this branch format. Please upgrade."
-msgstr ""
-
-#: tags.py:157 tags.py:155 tags.py:156
-msgid "No tagged revisions in the branch."
-msgstr ""
-
-#: tags.py:232 tags.py:230 tags.py:231
-msgid "_Remove tag"
-msgstr ""
-
-#: tags.py:242 tags.py:240 tags.py:241
-msgid "<b><big>Remove tag?</big></b>"
-msgstr ""
-
-#: tags.py:244 tags.py:242 tags.py:243
-#, python-format
-msgid "Are you sure you want to remove the tag: <b>%s</b>?"
-msgstr ""
-
-#: tags.py:289 tags.py:287 tags.py:288
-msgid "_Add tag"
-msgstr ""
-
-#: tags.py:291 tags.py:289 tags.py:290
-msgid "Tag Name:"
-msgstr ""
-
-#: tags.py:292 tags.py:290 tags.py:291
-msgid "Revision ID:"
-msgstr ""
-
-#: tags.py:323 tags.py:321 tags.py:322
-msgid "No tag name specified"
-msgstr ""
-
-#: tags.py:324 tags.py:322 tags.py:323
-msgid "You have to specify the tag's desired name."
-msgstr ""
-
-#: __init__.py:512 olive/__init__.py:539 olive/__init__.py:540
-msgid "There are local changes in the branch"
-msgstr ""
-
-#: __init__.py:513 olive/__init__.py:540 olive/__init__.py:541
-msgid "Please commit or revert the changes before merging."
-msgstr ""
-
-#: __init__.py:525 __init__.py:550 olive/__init__.py:555 olive/__init__.py:612
-#: olive/__init__.py:556 olive/__init__.py:613
-msgid "Parent location is unknown"
-msgstr ""
-
-#: __init__.py:526 olive/__init__.py:556 olive/__init__.py:557
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr ""
-
-#: __init__.py:537 olive/__init__.py:599 olive/__init__.py:600
-msgid "There are missing revisions"
-msgstr ""
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr ""
-
-#: __init__.py:540 olive/__init__.py:602 olive/__init__.py:603
-msgid "Local branch up to date"
-msgstr ""
-
-#: __init__.py:541 olive/__init__.py:603 olive/__init__.py:604
-msgid "There are no missing revisions."
-msgstr ""
-
-#: __init__.py:551 olive/__init__.py:613 olive/__init__.py:614
-msgid "Pulling is not possible until there is a parent location."
-msgstr ""
-
-#: __init__.py:561 olive/__init__.py:623 olive/__init__.py:624
-msgid "Pull successful"
-msgstr ""
-
-#: __init__.py:561 olive/__init__.py:623 olive/__init__.py:624
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr ""
-
-#: __init__.py:575 menu.py:275 olive/__init__.py:648 olive/menu.py:274
-#: olive/__init__.py:649 olive/menu.py:275
-msgid "Conflicts detected"
-msgstr ""
-
-#: __init__.py:576 menu.py:276 olive/__init__.py:649 olive/menu.py:275
-#: olive/__init__.py:650 olive/menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr ""
-
-#: __init__.py:578 menu.py:278 olive/__init__.py:651 olive/menu.py:277
-#: olive/__init__.py:652 olive/menu.py:278
-msgid "Revert successful"
-msgstr ""
-
-#: __init__.py:579 menu.py:279 olive/__init__.py:652 olive/menu.py:278
-#: olive/__init__.py:653 olive/menu.py:279
-msgid "All files reverted to last revision."
-msgstr ""
-
-#: __init__.py:835 __init__.py:1117 olive/__init__.py:942
-#: olive/__init__.py:1240 olive/__init__.py:943 olive/__init__.py:1241
-msgid "Bookmarks"
-msgstr ""
-
-#: __init__.py:842 menu.py:99 olive/__init__.py:949 olive/menu.py:98
-#: olive/__init__.py:950 olive/menu.py:99
-msgid "Bookmark"
-msgstr ""
-
-#: __init__.py:944 __init__.py:1231 olive/__init__.py:1057
-#: olive/__init__.py:1362 olive/__init__.py:1058 olive/__init__.py:1363
-msgid "unchanged"
-msgstr ""
-
-#: __init__.py:946 __init__.py:1233 olive/__init__.py:1059
-#: olive/__init__.py:1364 olive/__init__.py:1060 olive/__init__.py:1365
-msgid "ignored"
-msgstr ""
-
-#: __init__.py:948 __init__.py:1235 olive/__init__.py:1061
-#: olive/__init__.py:1368 olive/__init__.py:1062 olive/__init__.py:1369
-msgid "unknown"
-msgstr ""
-
-#: __init__.py:964 olive/__init__.py:1083 olive/__init__.py:1084
-msgid "Filename"
-msgstr ""
-
-#: __init__.py:965 olive/__init__.py:1084 olive/__init__.py:1085
-msgid "Status"
-msgstr ""
-
-#: __init__.py:966 olive/__init__.py:1085 olive/__init__.py:1086
-msgid "Size"
-msgstr ""
-
-#: __init__.py:967 olive/__init__.py:1086 olive/__init__.py:1087
-msgid "Last modified"
-msgstr ""
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-#: olive/add.py:68 olive/menu.py:178 olive/menu.py:218 olive/menu.py:254
-#: olive/remove.py:68 olive/remove.py:130 olive/add.py:69 olive/menu.py:179
-#: olive/menu.py:219 olive/menu.py:255 olive/remove.py:69 olive/remove.py:131
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-
-#: bookmark.py:46 olive/bookmark.py:46 olive/bookmark.py:47
-msgid "Title:"
-msgstr ""
-
-#: bookmark.py:81 olive/bookmark.py:81 olive/bookmark.py:82
-msgid "No title given"
-msgstr ""
-
-#: bookmark.py:82 olive/bookmark.py:82 olive/bookmark.py:83
-msgid "Please specify a title to continue."
-msgstr ""
-
-#: guifiles.py:45 olive/guifiles.py:47 olive/guifiles.py:48
-msgid "Glade file cannot be found."
-msgstr ""
-
-#: guifiles.py:55 olive/guifiles.py:57 olive/guifiles.py:58
-msgid "UI description file cannot be found."
-msgstr ""
-
-#: menu.py:63 olive/menu.py:62 olive/menu.py:63
-msgid "Add"
-msgstr ""
-
-#: menu.py:64 olive/menu.py:63 olive/menu.py:64
-msgid "Add the selected file"
-msgstr ""
-
-#: menu.py:67 menu.py:107 olive/menu.py:66 olive/menu.py:106 olive/menu.py:67
-#: olive/menu.py:107
-msgid "Remove"
-msgstr ""
-
-#: menu.py:68 olive/menu.py:67 olive/menu.py:68
-msgid "Remove the selected file"
-msgstr ""
-
-#: menu.py:71 olive/menu.py:70 olive/menu.py:71
-msgid "Remove and delete"
-msgstr ""
-
-#: menu.py:72 olive/menu.py:71 olive/menu.py:72
-msgid "Remove the selected file/dir and delete from disk"
-msgstr ""
-
-#: menu.py:75 olive/menu.py:74 olive/menu.py:75
-msgid "Rename"
-msgstr ""
-
-#: menu.py:76 olive/menu.py:75 olive/menu.py:76
-msgid "Rename the selected file"
-msgstr ""
-
-#: menu.py:79 olive/menu.py:78 olive/menu.py:79
-msgid "Open"
-msgstr ""
-
-#: menu.py:80 olive/menu.py:79 olive/menu.py:80
-msgid "Open the selected file"
-msgstr ""
-
-#: menu.py:83 olive/menu.py:82 olive/menu.py:83
-msgid "Revert"
-msgstr ""
-
-#: menu.py:84 olive/menu.py:83 olive/menu.py:84
-msgid "Revert the changes"
-msgstr ""
-
-#: menu.py:88 olive/menu.py:87 olive/menu.py:88
-msgid "Commit the changes"
-msgstr ""
-
-#: menu.py:91 olive/menu.py:90 olive/menu.py:91
-msgid "Annotate"
-msgstr ""
-
-#: menu.py:92 olive/menu.py:91 olive/menu.py:92
-msgid "Annotate the selected file"
-msgstr ""
-
-#: menu.py:95 olive/menu.py:94 olive/menu.py:95
-msgid "Diff"
-msgstr ""
-
-#: menu.py:96 olive/menu.py:95 olive/menu.py:96
-msgid "Show the diff of the file"
-msgstr ""
-
-#: menu.py:100 olive/menu.py:99 olive/menu.py:100
-msgid "Bookmark current location"
-msgstr ""
-
-#: menu.py:103 olive/menu.py:102 olive/menu.py:103
-msgid "Edit"
-msgstr ""
-
-#: menu.py:104 olive/menu.py:103 olive/menu.py:104
-msgid "Edit the selected bookmark"
-msgstr ""
-
-#: menu.py:108 olive/menu.py:107 olive/menu.py:108
-msgid "Remove the selected bookmark"
-msgstr ""
-
-#: menu.py:111 olive/menu.py:110 olive/menu.py:111
-msgid "Open Folder"
-msgstr ""
-
-#: menu.py:112 olive/menu.py:111 olive/menu.py:112
-msgid "Open bookmark folder in Nautilus"
-msgstr ""
-
-#: menu.py:115 olive/menu.py:114 olive/menu.py:115
-msgid "Selected..."
-msgstr ""
-
-#: menu.py:116 olive/menu.py:115 olive/menu.py:116
-msgid "Show the differences of the selected file"
-msgstr ""
-
-#: menu.py:119 olive/menu.py:118 olive/menu.py:119
-msgid "All..."
-msgstr ""
-
-#: menu.py:120 olive/menu.py:119 olive/menu.py:120
-msgid "Show the differences of all files"
-msgstr ""
-
-#: menu.py:123 olive/menu.py:122 olive/menu.py:123
-msgid "View contents"
-msgstr ""
-
-#: menu.py:124 olive/menu.py:123 olive/menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr ""
-
-#: menu.py:127 olive/menu.py:126 olive/menu.py:127
-msgid "Show differences"
-msgstr ""
-
-#: menu.py:128 olive/menu.py:127 olive/menu.py:128
-msgid "Show the differences between two revisions of the file"
-msgstr ""
-
-#: menu.py:131 olive/menu.py:130 olive/menu.py:131
-msgid "Revert to this revision"
-msgstr ""
-
-#: menu.py:132 olive/menu.py:131 olive/menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr ""
-
-#: menu.py:228 olive/menu.py:227 olive/menu.py:228
-msgid "Delete directory with all directories below ?"
-msgstr ""
-
-#: menu.py:315 olive/__init__.py:707 olive/menu.py:318 olive/__init__.py:708
-#: olive/menu.py:319
-msgid "Bookmark successfully added"
-msgstr ""
-
-#: menu.py:316 olive/__init__.py:708 olive/menu.py:319 olive/__init__.py:709
-#: olive/menu.py:320
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-
-#: menu.py:319 olive/__init__.py:711 olive/menu.py:322 olive/__init__.py:712
-#: olive/menu.py:323
-msgid "Location already bookmarked"
-msgstr ""
-
-#: menu.py:320 olive/__init__.py:712 olive/menu.py:323 olive/__init__.py:713
-#: olive/menu.py:324
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-
-#: mkdir.py:67 olive/mkdir.py:67 olive/mkdir.py:68
-msgid "No directory name given"
-msgstr ""
-
-#: mkdir.py:68 olive/mkdir.py:68 olive/mkdir.py:69
-msgid "Please specify a desired name for the new directory."
-msgstr ""
-
-#: mkdir.py:79 mkdir.py:89 olive/mkdir.py:79 olive/mkdir.py:89
-#: olive/mkdir.py:80 olive/mkdir.py:90
-msgid "Directory already exists"
-msgstr ""
-
-#: mkdir.py:80 mkdir.py:90 olive/mkdir.py:80 olive/mkdir.py:90
-#: olive/mkdir.py:81 olive/mkdir.py:91
-msgid "Please specify another name to continue."
-msgstr ""
-
-#: move.py:80 rename.py:71 olive/move.py:80 olive/rename.py:71
-#: olive/move.py:81 olive/rename.py:72
-msgid "Please select a file from the list to proceed."
-msgstr ""
-
-#: move.py:89 rename.py:87 olive/move.py:89 olive/rename.py:87
-#: olive/move.py:90 olive/rename.py:88
-msgid "Not the same branch"
-msgstr ""
-
-#: move.py:90 rename.py:88 olive/move.py:90 olive/rename.py:88
-#: olive/move.py:91 olive/rename.py:89
-msgid "The destination is not in the same branch."
-msgstr ""
-
-#: remove.py:79 remove.py:139 olive/remove.py:79 olive/remove.py:139
-#: olive/remove.py:80 olive/remove.py:140
-msgid "No matching files"
-msgstr ""
-
-#: remove.py:80 remove.py:140 olive/remove.py:80 olive/remove.py:140
-#: olive/remove.py:81 olive/remove.py:141
-msgid "No added files were found in the working tree."
-msgstr ""
-
-#: remove.py:105 olive.glade:825 olive.glade:878 olive/remove.py:105
-#: olive/remove.py:106
-msgid "Which file(s) do you want to remove?"
-msgstr ""
-
-#: remove.py:106 olive.glade:717 olive.glade:837 olive.glade:766
-#: olive.glade:890 olive/remove.py:106 olive/remove.py:107
-msgid "Selected only"
-msgstr ""
-
-#: remove.py:107 olive.glade:851 olive.glade:905 olive/remove.py:107
-#: olive/remove.py:108
-msgid "All files with status 'added'"
-msgstr ""
-
-#: remove.py:108 olive.glade:905 olive.glade:962 olive/remove.py:108
-#: olive/remove.py:109
-msgid "_Remove"
-msgstr ""
-
-#: rename.py:75 olive/rename.py:75 olive/rename.py:76
-msgid "Filename not given"
-msgstr ""
-
-#: rename.py:76 olive/rename.py:76 olive/rename.py:77
-msgid "Please specify a new name for the file."
-msgstr ""
-
-#: olive.glade:8
-msgid "Olive - Bazaar GUI"
-msgstr ""
-
-#: olive.glade:21
-msgid "_File"
-msgstr ""
-
-#: olive.glade:28
-msgid "_Add file(s)..."
-msgstr ""
-
-#: olive.glade:43
-msgid "Remove file(s)..."
-msgstr ""
-
-#: olive.glade:63 olive.glade:71
-msgid "Make _directory..."
-msgstr ""
-
-#: olive.glade:76 olive.glade:84
-msgid "_Rename..."
-msgstr ""
-
-#: olive.glade:84 olive.glade:92
-msgid "_Move..."
-msgstr ""
-
-#: olive.glade:92 olive.glade:100
-msgid "_Annotate..."
-msgstr ""
-
-#: olive.glade:118 olive.glade:126
-msgid "_View"
-msgstr ""
-
-#: olive.glade:126 olive.glade:134
-msgid "Show _hidden files"
-msgstr ""
-
-#: olive.glade:139 olive.glade:155
-msgid "_Refresh"
-msgstr ""
-
-#: olive.glade:158 olive.glade:174
-msgid "_Initialize..."
-msgstr ""
-
-#: olive.glade:166 olive.glade:182
-msgid "_Get..."
-msgstr ""
-
-#: olive.glade:174 olive.glade:190
-msgid "C_heckout..."
-msgstr ""
-
-#: olive.glade:187 olive.glade:203
-msgid "Pu_ll"
-msgstr ""
-
-#: olive.glade:201 olive.glade:217
-msgid "Pu_sh..."
-msgstr ""
-
-#: olive.glade:220 olive.glade:245
-msgid "_Revert all changes"
-msgstr ""
-
-#: olive.glade:228 olive.glade:253
-msgid "_Merge..."
-msgstr ""
-
-#: olive.glade:236 olive.glade:261
-msgid "_Commit..."
-msgstr ""
-
-#: olive.glade:255 olive.glade:280
-msgid "Ta_gs..."
-msgstr ""
-
-#: olive.glade:263 olive.glade:288
-msgid "S_tatus..."
-msgstr ""
-
-#: olive.glade:271 olive.glade:296
-msgid "Missing _revisions"
-msgstr ""
-
-#: olive.glade:279 olive.glade:304
-msgid "Con_flicts..."
-msgstr ""
-
-#: olive.glade:291 olive.glade:316
-msgid "_Statistics"
-msgstr ""
-
-#: olive.glade:298 olive.glade:323
-msgid "_Differences..."
-msgstr ""
-
-#: olive.glade:312 olive.glade:337
-msgid "_Log..."
-msgstr ""
-
-#: olive.glade:326 olive.glade:351
-msgid "_Information..."
-msgstr ""
-
-#: olive.glade:338 olive.glade:363
-msgid "_Help"
-msgstr ""
-
-#: olive.glade:548 olive.glade:590
-msgid "gtk-jump-to"
-msgstr ""
-
-#: olive.glade:575 olive.glade:618
-msgid "H_istory Mode"
-msgstr ""
-
-#: olive.glade:673 olive.glade:722
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr ""
-
-#: olive.glade:675 olive.glade:724
-msgid "https://launchpad.net/products/olive"
-msgstr ""
-
-#: olive.glade:677 olive.glade:726
-msgid "translator-credits"
-msgstr ""
-
-#: olive.glade:694 olive.glade:743
-msgid "Olive - Add file(s)"
-msgstr ""
-
-#: olive.glade:705 olive.glade:754
-msgid "Which file(s) do you want to add?"
-msgstr ""
-
-#: olive.glade:731 olive.glade:781
-msgid "All unknowns recursively"
-msgstr ""
-
-#: olive.glade:785 olive.glade:838
-msgid "_Add"
-msgstr ""
-
-#: olive.glade:814 olive.glade:867
-msgid "Olive - Remove file(s)"
-msgstr ""
-
-#: olive.glade:934 olive.glade:991
-msgid "Olive - Make directory"
-msgstr ""
-
-#: olive.glade:957 olive.glade:1014
-msgid "_Versioned directory"
-msgstr ""
-
-#: olive.glade:1011 olive.glade:1071
-msgid "_Make directory"
-msgstr ""
-
-#: olive.glade:1041 olive.glade:1101
-msgid "Olive - Move"
-msgstr ""
-
-#: olive.glade:1055 olive.glade:1115
-msgid "Move to"
-msgstr ""
-
-#: olive.glade:1066 olive.glade:1126
-msgid "Select a directory"
-msgstr ""
-
-#: olive.glade:1120 olive.glade:1182
-msgid "_Move"
-msgstr ""
-
-#: olive.glade:1148 olive.glade:1210
-msgid "Olive - Rename"
-msgstr ""
-
-#: olive.glade:1162 olive.glade:1224
-msgid "Rename to"
-msgstr ""
-
-#: olive.glade:1227 olive.glade:1291
-msgid "_Rename"
-msgstr ""
-
-#: olive.glade:1255 olive.glade:1319
-msgid "Olive - Information"
-msgstr ""
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275 olive.glade:1343 olive.glade:1356 olive.glade:1369
-#: olive.glade:1382 olive.glade:1395 olive.glade:1408 olive.glade:1421
-#: olive.glade:1548 olive.glade:1559 olive.glade:1628 olive.glade:1639
-#: olive.glade:1652 olive.glade:1665 olive.glade:1758 olive.glade:1769
-#: olive.glade:1782 olive.glade:1863 olive.glade:1874 olive.glade:1943
-#: olive.glade:1954 olive.glade:1967 olive.glade:1980 olive.glade:1993
-#: olive.glade:2006 olive.glade:2019 olive.glade:2032 olive.glade:2173
-#: olive.glade:2184 olive.glade:2197 olive.glade:2210 olive.glade:2223
-#: olive.glade:2328 olive.glade:2339
-msgid "(none)"
-msgstr ""
-
-#: olive.glade:1368 olive.glade:1432
-msgid "Checkout root: "
-msgstr ""
-
-#: olive.glade:1380 olive.glade:1444
-msgid "Branch root: "
-msgstr ""
-
-#: olive.glade:1392 olive.glade:1456
-msgid "Repository checkout: "
-msgstr ""
-
-#: olive.glade:1404 olive.glade:1468
-msgid "Checkout of branch: "
-msgstr ""
-
-#: olive.glade:1416 olive.glade:1480
-msgid "Repository branch: "
-msgstr ""
-
-#: olive.glade:1428 olive.glade:1492
-msgid "Shared repository: "
-msgstr ""
-
-#: olive.glade:1440 olive.glade:1504
-msgid "Light checkout root: "
-msgstr ""
-
-#: olive.glade:1454 olive.glade:1518
-msgid "<b>Location:</b>"
-msgstr ""
-
-#: olive.glade:1508 olive.glade:1572
-msgid "Publish to branch: "
-msgstr ""
-
-#: olive.glade:1520 olive.glade:1584
-msgid "Parent branch: "
-msgstr ""
-
-#: olive.glade:1534 olive.glade:1598
-msgid "<b>Related branches:</b>"
-msgstr ""
-
-#: olive.glade:1614 olive.glade:1678
-msgid "Repository format: "
-msgstr ""
-
-#: olive.glade:1626 olive.glade:1690
-msgid "Branch format: "
-msgstr ""
-
-#: olive.glade:1638 olive.glade:1702
-msgid "Working tree format: "
-msgstr ""
-
-#: olive.glade:1650 olive.glade:1714
-msgid "Control format: "
-msgstr ""
-
-#: olive.glade:1664 olive.glade:1728
-msgid "<b>Format:</b>"
-msgstr ""
-
-#: olive.glade:1731 olive.glade:1795
-msgid "Repository lock status: "
-msgstr ""
-
-#: olive.glade:1743 olive.glade:1807
-msgid "Branch lock status: "
-msgstr ""
-
-#: olive.glade:1755 olive.glade:1819
-msgid "Working tree lock status: "
-msgstr ""
-
-#: olive.glade:1769 olive.glade:1833
-msgid "<b>Lock status:</b>"
-msgstr ""
-
-#: olive.glade:1823 olive.glade:1887
-msgid "Missing revisions in branch: "
-msgstr ""
-
-#: olive.glade:1835 olive.glade:1899
-msgid "Missing revisions in working tree: "
-msgstr ""
-
-#: olive.glade:1849 olive.glade:1913
-msgid "<b>Missing revisions:</b>"
-msgstr ""
-
-#: olive.glade:1981 olive.glade:2045
-msgid "Versioned subdirectories: "
-msgstr ""
-
-#: olive.glade:1993 olive.glade:2057
-msgid "Ignored files: "
-msgstr ""
-
-#: olive.glade:2005 olive.glade:2069
-msgid "Unknown files: "
-msgstr ""
-
-#: olive.glade:2017 olive.glade:2081
-msgid "Renamed files: "
-msgstr ""
-
-#: olive.glade:2029 olive.glade:2093
-msgid "Removed files: "
-msgstr ""
-
-#: olive.glade:2041 olive.glade:2105
-msgid "Added files: "
-msgstr ""
-
-#: olive.glade:2053 olive.glade:2117
-msgid "Modified files: "
-msgstr ""
-
-#: olive.glade:2065 olive.glade:2129
-msgid "Unchanged files: "
-msgstr ""
-
-#: olive.glade:2079 olive.glade:2143
-msgid "<b>In the working tree:</b>"
-msgstr ""
-
-#: olive.glade:2172 olive.glade:2236
-msgid "Time of last revision: "
-msgstr ""
-
-#: olive.glade:2184 olive.glade:2248
-msgid "Time of first revision: "
-msgstr ""
-
-#: olive.glade:2196 olive.glade:2260
-msgid "Age of branch in days: "
-msgstr ""
-
-#: olive.glade:2208 olive.glade:2272
-msgid "Number of commiters: "
-msgstr ""
-
-#: olive.glade:2220 olive.glade:2284
-msgid "Revisions in branch: "
-msgstr ""
-
-#: olive.glade:2234 olive.glade:2298
-msgid "<b>Branch history:</b>"
-msgstr ""
-
-#: olive.glade:2288 olive.glade:2352
-msgid "Size of repository: "
-msgstr ""
-
-#: olive.glade:2300 olive.glade:2364
-msgid "Revisions in repository: "
-msgstr ""
-
-#: olive.glade:2314 olive.glade:2378
-msgid "<b>Revision store:</b>"
-msgstr ""
-
-#: olive.glade:2356 olive.glade:2421
-msgid "Merge - Olive"
-msgstr ""
-
-#: olive.glade:2370 olive.glade:2435
-msgid "Merge from:"
-msgstr ""
-
-#: olive.glade:2454 olive.glade:2522
-msgid "_Merge"
-msgstr ""
-
-#: olive.glade:63
-msgid "_Bookmark current directory"
-msgstr ""
-
-#: olive.glade:142
-msgid "Show _ignored files"
-msgstr ""
-
-#: olive.glade:232 olive.glade:486
-msgid "Update"
-msgstr ""
-
-#: commit.py:172 commit.py:173
-msgid "kind changed"
-msgstr ""
-
-#: commit.py:260 commit.py:261
-msgid "<b>Commit Message</b>"
-msgstr ""
-
-#: commit.py:363 commit.py:364
-msgid "Files"
-msgstr ""
-
-#: commit.py:368 commit.py:369
-msgid "Commit all changes"
-msgstr ""
-
-#: commit.py:374 commit.py:375
-msgid "Only commit selected changes"
-msgstr ""
-
-#: commit.py:380 commit.py:381
-msgid "Commit all changes*"
-msgstr ""
-
-#: commit.py:413 commit.py:414
-msgid "Commit*"
-msgstr ""
-
-#: commit.py:454 commit.py:455
-msgid "<i>* Cannot select specific files when merging</i>"
-msgstr ""
-
-#: commit.py:458 commit.py:459
-msgid "Pending Revisions"
-msgstr ""
-
-#: commit.py:494 commit.py:495
-msgid "Diff for whole tree"
-msgstr ""
-
-#: commit.py:518 commit.py:599 commit.py:519 commit.py:601
-msgid "File commit message"
-msgstr ""
-
-#: commit.py:525 commit.py:526
-msgid "Global Commit Message"
-msgstr ""
-
-#: commit.py:526 commit.py:528
-msgid "<b>Global Commit Message</b>"
-msgstr ""
-
-#: commit.py:552 commit.py:554
-msgid "Diff for "
-msgstr ""
-
-#: commit.py:605 commit.py:607
-msgid "Commit message for "
-msgstr ""
-
-#: commit.py:690 commit.py:692
-msgid "There are no changes in the working tree. Do you want to commit anyway?"
-msgstr ""
-
-#: branchview/treeview.py:400 branchview/treeview.py:402
-msgid "Please wait, loading ancestral graph..."
-msgstr ""
-
-#: olive/__init__.py:71 olive/__init__.py:72
-msgid "Lead Developer:"
-msgstr ""
-
-#: olive/__init__.py:73 olive/__init__.py:74
-msgid "Contributors:"
-msgstr ""
-
-#: olive/__init__.py:578 olive/__init__.py:579
-#, python-format
-msgid "%d local extra revision(s). \n"
-msgstr ""
-
-#: olive/__init__.py:590 olive/__init__.py:591
-#, python-format
-msgid "%d local missing revision(s).\n"
-msgstr ""
-
-#: olive/__init__.py:632 olive/__init__.py:633
-msgid "Update successful but conflicts generated"
-msgstr ""
-
-#: olive/__init__.py:632 olive/__init__.py:633
-#, python-format
-msgid "Number of conflicts generated: %d."
-msgstr ""
-
-#: olive/__init__.py:634 olive/__init__.py:635
-msgid "Update successful"
-msgstr ""
-
-#: olive/__init__.py:634 olive/__init__.py:635
-msgid "No conflicts generated."
-msgstr ""

=== modified file 'po/pl.po'
--- po/pl.po	2008-03-11 17:01:27 +0000
+++ po/pl.po	2011-12-02 05:55:20 +0000
@@ -7,1286 +7,731 @@
 msgstr ""
 "Project-Id-Version: olive\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2007-08-13 12:05+0200\n"
-"PO-Revision-Date: 2008-02-09 23:40+0000\n"
-"Last-Translator: Jaroslaw Zabiello <Unknown>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:58+0000\n"
+"Last-Translator: Jelmer Vernooij <Unknown>\n"
 "Language-Team: Polish <pl@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2008-03-11 16:44+0000\n"
-"X-Generator: Launchpad (build Unknown)\n"
-
-#: branch.py:52 olive.glade:151
-#, fuzzy
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
 msgid "_Branch"
-msgstr "Gałąź"
-
-#: branch.py:55 checkout.py:53
-msgid "Please select a folder"
 msgstr ""
 
-#: branch.py:57 checkout.py:55
-#, fuzzy
+#: ../branch.py:49 ../checkout.py:49
 msgid "Branch location:"
-msgstr "Położenie gałęzi"
+msgstr ""
 
-#: branch.py:58 checkout.py:56
+#: ../branch.py:51 ../checkout.py:50
 msgid "Destination:"
 msgstr "Cel:"
 
-#: branch.py:59 checkout.py:57
+#: ../branch.py:52
 msgid "Branck nick:"
 msgstr ""
 
-#: branch.py:60 checkout.py:58
+#: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
 msgstr ""
 
-#: branch.py:162 checkout.py:163
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr ""
+
+#: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
 msgstr ""
 
-#: branch.py:163 checkout.py:164
+#: ../branch.py:135 ../checkout.py:154
 msgid "You must specify a branch location."
 msgstr ""
 
-#: branch.py:205
+#: ../branch.py:174
 msgid "Branching successful"
 msgstr ""
 
-#: branch.py:206
+#: ../branch.py:175
 #, python-format
 msgid "%d revision(s) branched."
 msgstr ""
 
-#: branch.py:214 checkout.py:195
+#: ../branch.py:183 ../checkout.py:185
 msgid "N/A"
 msgstr "n/d"
 
-#: checkout.py:50
+#. Create the widgets
+#: ../checkout.py:44
 msgid "Check_out"
 msgstr ""
 
-#: checkout.py:62
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
 msgid "_Lightweight checkout"
 msgstr ""
 
-#: commit.py:68
+#: ../commands.py:305
 msgid "Directory does not have a working tree"
 msgstr ""
 
-#: commit.py:69
+#: ../commands.py:306
 msgid "Operation aborted."
 msgstr "Operacja przerwana"
 
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556
-msgid "Directory is not a branch"
-msgstr ""
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557
-msgid "You can perform this action only in a branch."
-msgstr ""
-
-#: commit.py:88
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr ""
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr ""
+
+#: ../commit.py:178
+msgid "added"
+msgstr ""
+
+#: ../commit.py:179
+msgid "removed"
+msgstr ""
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr ""
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr ""
+
+#: ../commit.py:182
+msgid "modified"
+msgstr ""
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr ""
+
+#: ../commit.py:361
 msgid "Comm_it"
 msgstr ""
 
-#: commit.py:89
-msgid "File(s) to commit"
-msgstr ""
-
-#: commit.py:95
-msgid "Commit message:"
-msgstr ""
-
-#: commit.py:99
-msgid "Pending merges"
-msgstr ""
-
-#: commit.py:147
-msgid "_Only commit locally"
-msgstr ""
-
-#: commit.py:215
-msgid "Commit with an empty message?"
-msgstr ""
-
-#: commit.py:216
-msgid "You can describe your commit intent in the message."
-msgstr ""
-
-#: commit.py:228
-msgid "Commit with unknowns?"
-msgstr ""
-
-#: commit.py:229
-msgid "Unknown files exist in the working tree. Commit anyway?"
-msgstr ""
-
-#: commit.py:240
-msgid "Commit with no changes?"
-msgstr ""
-
-#: commit.py:241
-msgid "There are no changes in the working tree."
-msgstr ""
-
-#: commit.py:323 menu.py:87
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
 msgid "Commit"
 msgstr ""
 
-#: commit.py:325 conflicts.py:108
+#: ../commit.py:443 ../conflicts.py:107
 msgid "Path"
 msgstr ""
 
-#: commit.py:327 conflicts.py:110
+#: ../commit.py:445 ../conflicts.py:109
 msgid "Type"
 msgstr ""
 
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
-msgid "added"
-msgstr ""
-
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
-msgid "removed"
-msgstr ""
-
-#: commit.py:353
-msgid "renamed and modified"
-msgstr ""
-
-#: commit.py:355 __init__.py:936 __init__.py:1223
-msgid "renamed"
-msgstr ""
-
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
-msgid "modified"
-msgstr ""
-
-#: commit.py:395
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
 msgid "Date"
 msgstr ""
 
-#: commit.py:397 revbrowser.py:68
+#: ../commit.py:505
 msgid "Committer"
 msgstr ""
 
-#: commit.py:399 revbrowser.py:66
+#: ../commit.py:507 ../search.py:60
 msgid "Summary"
 msgstr ""
 
-#: conflicts.py:48
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr ""
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr ""
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
 msgid "External utility:"
 msgstr ""
 
-#: conflicts.py:99
+#: ../conflicts.py:97
 msgid "Conflicts"
 msgstr ""
 
-#: conflicts.py:102
+#: ../conflicts.py:100
 msgid "No conflicts in working tree."
 msgstr ""
 
-#: conflicts.py:115
+#: ../conflicts.py:114
 msgid "path conflict"
 msgstr ""
 
-#: conflicts.py:117
+#: ../conflicts.py:116
 msgid "contents conflict"
 msgstr ""
 
-#: conflicts.py:119
+#: ../conflicts.py:118
 msgid "text conflict"
 msgstr ""
 
-#: conflicts.py:121
+#: ../conflicts.py:120
 msgid "duplicate id"
 msgstr ""
 
-#: conflicts.py:123
+#: ../conflicts.py:122
 msgid "duplicate"
 msgstr ""
 
-#: conflicts.py:125
+#: ../conflicts.py:124
 msgid "parent loop"
 msgstr ""
 
-#: conflicts.py:127
+#: ../conflicts.py:126
 msgid "unversioned parent"
 msgstr ""
 
-#: conflicts.py:129
+#: ../conflicts.py:128
 msgid "missing parent"
 msgstr ""
 
-#: conflicts.py:131
+#: ../conflicts.py:130
 msgid "deleting parent"
 msgstr ""
 
-#: conflicts.py:133
+#: ../conflicts.py:132
 msgid "unknown type of conflict"
 msgstr ""
 
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
+#: ../conflicts.py:161
 msgid "No file was selected"
 msgstr ""
 
-#: conflicts.py:163 __init__.py:615 menu.py:192
+#: ../conflicts.py:162
 msgid "Please select a file from the list."
 msgstr ""
 
-#: conflicts.py:173
+#: ../conflicts.py:172
 msgid "Call to external utility failed"
 msgstr ""
 
-#: conflicts.py:175
+#: ../conflicts.py:174
 msgid "Cannot resolve conflict"
 msgstr ""
 
-#: conflicts.py:176
+#: ../conflicts.py:175
 msgid ""
 "Only conflicts on the text of files can be resolved with Olive at the "
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
 "using the command line."
 msgstr ""
 
-#: errors.py:29
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr ""
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr ""
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr ""
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr ""
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr ""
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr ""
+
+#: ../errors.py:34
 msgid "Directory is not a checkout"
 msgstr ""
 
-#: errors.py:30
+#: ../errors.py:35
 msgid "You can perform local commit only on checkouts."
 msgstr ""
 
-#: errors.py:32
+#: ../errors.py:37
 msgid "No changes to commit"
 msgstr ""
 
-#: errors.py:33
+#: ../errors.py:38
 msgid "Try force commit if you want to commit anyway."
 msgstr ""
 
-#: errors.py:35
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
 msgid "Conflicts in tree"
 msgstr ""
 
-#: errors.py:36
+#: ../errors.py:44
 msgid "You need to resolve the conflicts before committing."
 msgstr ""
 
-#: errors.py:38
+#: ../errors.py:46
 msgid "Strict commit failed"
 msgstr ""
 
-#: errors.py:39
+#: ../errors.py:47
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
 msgstr ""
 
-#: errors.py:41
+#: ../errors.py:49
 msgid "Bound branch is out of date"
 msgstr ""
 
-#: errors.py:42
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
 #, python-format
 msgid "%s"
 msgstr ""
 
-#: errors.py:44
+#: ../errors.py:53
 msgid "File not versioned"
 msgstr ""
 
-#: errors.py:45
+#: ../errors.py:54
 msgid "The selected file is not versioned."
 msgstr ""
 
-#: errors.py:47 push.py:105
+#: ../errors.py:56 ../push.py:100
 msgid "Branches have been diverged"
 msgstr ""
 
-#: errors.py:48
+#: ../errors.py:57
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
 msgstr ""
 
-#: errors.py:50
+#: ../errors.py:59
 msgid "No diff output"
 msgstr ""
 
-#: errors.py:51
+#: ../errors.py:60
 msgid "The selected file hasn't changed."
 msgstr ""
 
-#: errors.py:53
+#: ../errors.py:62
 msgid "No such revision"
 msgstr ""
 
-#: errors.py:54
+#: ../errors.py:63
 msgid "The revision you specified doesn't exist."
 msgstr ""
 
-#: errors.py:56
+#: ../errors.py:65
 msgid "Target already exists"
 msgstr ""
 
-#: errors.py:57
+#: ../errors.py:66
 msgid "Target directory already exists. Please select another target."
 msgstr ""
 
-#: errors.py:59
+#: ../errors.py:68
 msgid "Directory is already a branch"
 msgstr ""
 
-#: errors.py:60
+#: ../errors.py:69
 #, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
 "You can start using it, or initialize another directory."
 msgstr ""
 
-#: errors.py:62
+#: ../errors.py:71
 msgid "Branch without a working tree"
 msgstr ""
 
-#: errors.py:63
+#: ../errors.py:72
 #, python-format
 msgid ""
 "The current directory (%s)\n"
 "is a branch without a working tree."
 msgstr ""
 
-#: errors.py:65
+#: ../errors.py:74
 msgid "Unknown bzr error"
 msgstr ""
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "Permission denied"
 msgstr ""
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "permission denied."
 msgstr ""
 
-#: errors.py:69
+#: ../errors.py:78
 msgid "Unknown error"
 msgstr ""
 
-#: initialize.py:47
+#. Create the widgets
+#: ../initialize.py:46
 msgid "_Initialize"
 msgstr ""
 
-#: initialize.py:48
+#: ../initialize.py:47
 msgid "Which directory do you want to initialize?"
 msgstr ""
 
-#: initialize.py:49
+#: ../initialize.py:49
 msgid "Current directory"
 msgstr ""
 
-#: initialize.py:50
+#: ../initialize.py:51
 msgid "Create a new directory with the name:"
 msgstr ""
 
-#: initialize.py:85
+#: ../initialize.py:87
 msgid "Directory name not specified"
 msgstr ""
 
-#: initialize.py:86
+#: ../initialize.py:88
 msgid "You should specify a new directory name."
 msgstr ""
 
-#: merge.py:66
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr ""
+
+#: ../merge.py:130
 msgid "Branch not given"
 msgstr ""
 
-#: merge.py:67
+#: ../merge.py:131
 msgid "Please specify a branch to merge from."
 msgstr ""
 
-#: merge.py:75
+#: ../merge.py:139
 msgid "Bazaar command error"
 msgstr ""
 
-#: merge.py:81
-msgid "Merge successful"
-msgstr ""
-
-#: merge.py:82
-msgid "All changes applied successfully."
-msgstr ""
-
-#: merge.py:85
-msgid "Conflicts encountered"
-msgstr ""
-
-#: merge.py:86
-msgid "Please resolve the conflicts manually before committing."
-msgstr ""
-
-#: push.py:52 bookmark.py:45
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
 msgid "Location:"
 msgstr ""
 
-#: push.py:54
+#: ../push.py:52
 msgid "_Push"
 msgstr ""
 
-#: push.py:97
-msgid "Set default push location"
-msgstr ""
-
-#: push.py:98
-#, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-msgstr ""
-
-#: push.py:106
+#: ../push.py:101
 msgid ""
 "You cannot push if branches have diverged.\n"
 "Overwrite?"
 msgstr ""
 
-#: push.py:112
+#: ../push.py:109
 msgid "Push successful"
 msgstr ""
 
-#: push.py:113
+#: ../push.py:110
 #, python-format
 msgid "%d revision(s) pushed."
 msgstr ""
 
-#: push.py:146
+#: ../push.py:141
 msgid "Non existing parent directory"
 msgstr ""
 
-#: push.py:147
+#: ../push.py:142
 #, python-format
 msgid ""
 "The parent directory (%s)\n"
 "doesn't exist. Create?"
 msgstr ""
 
-#: revbrowser.py:45
-msgid "Please wait, revisions are being loaded..."
-msgstr ""
-
-#: revbrowser.py:48
+#. Create the widgets
+#: ../revbrowser.py:35
 msgid "_Select"
 msgstr ""
 
-#: revbrowser.py:64
-msgid "Revno"
-msgstr ""
-
-#: revbrowser.py:70
-msgid "Time"
-msgstr ""
-
-#: status.py:78
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
 msgid "Added"
 msgstr ""
 
-#: status.py:84
+#: ../status.py:93
 msgid "Removed"
 msgstr ""
 
-#: status.py:90
+#: ../status.py:99
 msgid "Renamed"
 msgstr ""
 
-#: status.py:97
+#: ../status.py:106
 msgid "Modified"
 msgstr ""
 
-#: status.py:105
+#: ../status.py:114
 msgid "Unknown"
 msgstr ""
 
-#: status.py:110
+#: ../status.py:119
 msgid "No changes."
 msgstr ""
 
-#: tags.py:67
+#. Set properties
+#: ../tags.py:60
 msgid "Tags"
 msgstr ""
 
-#: tags.py:111
+#: ../tags.py:110
 msgid "Tag Name"
 msgstr ""
 
-#: tags.py:116
+#: ../tags.py:115
 msgid "Revision ID"
 msgstr ""
 
-#: tags.py:151
+#: ../tags.py:148
 msgid "Tags are not supported by this branch format. Please upgrade."
 msgstr ""
 
-#: tags.py:157
+#: ../tags.py:154
 msgid "No tagged revisions in the branch."
 msgstr ""
 
-#: tags.py:232
+#: ../tags.py:222
 msgid "_Remove tag"
 msgstr ""
 
-#: tags.py:242
+#: ../tags.py:232
 msgid "<b><big>Remove tag?</big></b>"
 msgstr ""
 
-#: tags.py:244
+#: ../tags.py:234
 #, python-format
 msgid "Are you sure you want to remove the tag: <b>%s</b>?"
 msgstr ""
 
-#: tags.py:289
+#. Create the widgets
+#: ../tags.py:278
 msgid "_Add tag"
 msgstr ""
 
-#: tags.py:291
+#: ../tags.py:280
 msgid "Tag Name:"
 msgstr ""
 
-#: tags.py:292
+#: ../tags.py:281
 msgid "Revision ID:"
 msgstr ""
 
-#: tags.py:323
+#: ../tags.py:312
 msgid "No tag name specified"
 msgstr ""
 
-#: tags.py:324
+#: ../tags.py:313
 msgid "You have to specify the tag's desired name."
 msgstr ""
-
-#: __init__.py:512
-msgid "There are local changes in the branch"
-msgstr ""
-
-#: __init__.py:513
-msgid "Please commit or revert the changes before merging."
-msgstr ""
-
-#: __init__.py:525 __init__.py:550
-msgid "Parent location is unknown"
-msgstr ""
-
-#: __init__.py:526
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr ""
-
-#: __init__.py:537
-msgid "There are missing revisions"
-msgstr ""
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr ""
-
-#: __init__.py:540
-msgid "Local branch up to date"
-msgstr ""
-
-#: __init__.py:541
-msgid "There are no missing revisions."
-msgstr ""
-
-#: __init__.py:551
-msgid "Pulling is not possible until there is a parent location."
-msgstr ""
-
-#: __init__.py:561
-msgid "Pull successful"
-msgstr ""
-
-#: __init__.py:561
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr ""
-
-#: __init__.py:575 menu.py:275
-msgid "Conflicts detected"
-msgstr ""
-
-#: __init__.py:576 menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr ""
-
-#: __init__.py:578 menu.py:278
-msgid "Revert successful"
-msgstr ""
-
-#: __init__.py:579 menu.py:279
-msgid "All files reverted to last revision."
-msgstr ""
-
-#: __init__.py:835 __init__.py:1117
-msgid "Bookmarks"
-msgstr ""
-
-#: __init__.py:842 menu.py:99
-msgid "Bookmark"
-msgstr ""
-
-#: __init__.py:944 __init__.py:1231
-msgid "unchanged"
-msgstr ""
-
-#: __init__.py:946 __init__.py:1233
-msgid "ignored"
-msgstr ""
-
-#: __init__.py:948 __init__.py:1235
-msgid "unknown"
-msgstr ""
-
-#: __init__.py:964
-msgid "Filename"
-msgstr ""
-
-#: __init__.py:965
-msgid "Status"
-msgstr ""
-
-#: __init__.py:966
-msgid "Size"
-msgstr ""
-
-#: __init__.py:967
-msgid "Last modified"
-msgstr ""
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-
-#: bookmark.py:46
-msgid "Title:"
-msgstr ""
-
-#: bookmark.py:81
-msgid "No title given"
-msgstr ""
-
-#: bookmark.py:82
-msgid "Please specify a title to continue."
-msgstr ""
-
-#: guifiles.py:45
-msgid "Glade file cannot be found."
-msgstr ""
-
-#: guifiles.py:55
-msgid "UI description file cannot be found."
-msgstr ""
-
-#: menu.py:63
-msgid "Add"
-msgstr ""
-
-#: menu.py:64
-msgid "Add the selected file"
-msgstr ""
-
-#: menu.py:67 menu.py:107
-msgid "Remove"
-msgstr ""
-
-#: menu.py:68
-msgid "Remove the selected file"
-msgstr ""
-
-#: menu.py:71
-msgid "Remove and delete"
-msgstr ""
-
-#: menu.py:72
-msgid "Remove the selected file/dir and delete from disk"
-msgstr ""
-
-#: menu.py:75
-msgid "Rename"
-msgstr ""
-
-#: menu.py:76
-msgid "Rename the selected file"
-msgstr ""
-
-#: menu.py:79
-msgid "Open"
-msgstr ""
-
-#: menu.py:80
-msgid "Open the selected file"
-msgstr ""
-
-#: menu.py:83
-msgid "Revert"
-msgstr ""
-
-#: menu.py:84
-msgid "Revert the changes"
-msgstr ""
-
-#: menu.py:88
-msgid "Commit the changes"
-msgstr ""
-
-#: menu.py:91
-msgid "Annotate"
-msgstr ""
-
-#: menu.py:92
-msgid "Annotate the selected file"
-msgstr ""
-
-#: menu.py:95
-msgid "Diff"
-msgstr ""
-
-#: menu.py:96
-msgid "Show the diff of the file"
-msgstr ""
-
-#: menu.py:100
-msgid "Bookmark current location"
-msgstr ""
-
-#: menu.py:103
-msgid "Edit"
-msgstr ""
-
-#: menu.py:104
-msgid "Edit the selected bookmark"
-msgstr ""
-
-#: menu.py:108
-msgid "Remove the selected bookmark"
-msgstr ""
-
-#: menu.py:111
-msgid "Open Folder"
-msgstr ""
-
-#: menu.py:112
-msgid "Open bookmark folder in Nautilus"
-msgstr ""
-
-#: menu.py:115
-msgid "Selected..."
-msgstr ""
-
-#: menu.py:116
-msgid "Show the differences of the selected file"
-msgstr ""
-
-#: menu.py:119
-msgid "All..."
-msgstr ""
-
-#: menu.py:120
-msgid "Show the differences of all files"
-msgstr ""
-
-#: menu.py:123
-msgid "View contents"
-msgstr ""
-
-#: menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr ""
-
-#: menu.py:127
-msgid "Show differences"
-msgstr ""
-
-#: menu.py:128
-msgid "Show the differences between two revisions of the file"
-msgstr ""
-
-#: menu.py:131
-msgid "Revert to this revision"
-msgstr ""
-
-#: menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr ""
-
-#: menu.py:228
-msgid "Delete directory with all directories below ?"
-msgstr ""
-
-#: menu.py:315
-msgid "Bookmark successfully added"
-msgstr ""
-
-#: menu.py:316
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-
-#: menu.py:319
-msgid "Location already bookmarked"
-msgstr ""
-
-#: menu.py:320
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-
-#: mkdir.py:67
-msgid "No directory name given"
-msgstr ""
-
-#: mkdir.py:68
-msgid "Please specify a desired name for the new directory."
-msgstr ""
-
-#: mkdir.py:79 mkdir.py:89
-msgid "Directory already exists"
-msgstr ""
-
-#: mkdir.py:80 mkdir.py:90
-msgid "Please specify another name to continue."
-msgstr ""
-
-#: move.py:80 rename.py:71
-msgid "Please select a file from the list to proceed."
-msgstr ""
-
-#: move.py:89 rename.py:87
-msgid "Not the same branch"
-msgstr ""
-
-#: move.py:90 rename.py:88
-msgid "The destination is not in the same branch."
-msgstr ""
-
-#: remove.py:79 remove.py:139
-msgid "No matching files"
-msgstr ""
-
-#: remove.py:80 remove.py:140
-msgid "No added files were found in the working tree."
-msgstr ""
-
-#: remove.py:105 olive.glade:825
-msgid "Which file(s) do you want to remove?"
-msgstr ""
-
-#: remove.py:106 olive.glade:717 olive.glade:837
-msgid "Selected only"
-msgstr ""
-
-#: remove.py:107 olive.glade:851
-msgid "All files with status 'added'"
-msgstr ""
-
-#: remove.py:108 olive.glade:905
-msgid "_Remove"
-msgstr ""
-
-#: rename.py:75
-msgid "Filename not given"
-msgstr ""
-
-#: rename.py:76
-msgid "Please specify a new name for the file."
-msgstr ""
-
-#: olive.glade:8
-msgid "Olive - Bazaar GUI"
-msgstr ""
-
-#: olive.glade:21
-msgid "_File"
-msgstr ""
-
-#: olive.glade:28
-msgid "_Add file(s)..."
-msgstr ""
-
-#: olive.glade:43
-msgid "Remove file(s)..."
-msgstr ""
-
-#: olive.glade:63
-msgid "Make _directory..."
-msgstr ""
-
-#: olive.glade:76
-msgid "_Rename..."
-msgstr ""
-
-#: olive.glade:84
-msgid "_Move..."
-msgstr ""
-
-#: olive.glade:92
-msgid "_Annotate..."
-msgstr ""
-
-#: olive.glade:118
-msgid "_View"
-msgstr ""
-
-#: olive.glade:126
-msgid "Show _hidden files"
-msgstr ""
-
-#: olive.glade:139
-msgid "_Refresh"
-msgstr ""
-
-#: olive.glade:158
-msgid "_Initialize..."
-msgstr ""
-
-#: olive.glade:166
-msgid "_Get..."
-msgstr ""
-
-#: olive.glade:174
-msgid "C_heckout..."
-msgstr ""
-
-#: olive.glade:187
-msgid "Pu_ll"
-msgstr ""
-
-#: olive.glade:201
-msgid "Pu_sh..."
-msgstr ""
-
-#: olive.glade:220
-msgid "_Revert all changes"
-msgstr ""
-
-#: olive.glade:228
-msgid "_Merge..."
-msgstr ""
-
-#: olive.glade:236
-msgid "_Commit..."
-msgstr ""
-
-#: olive.glade:255
-msgid "Ta_gs..."
-msgstr ""
-
-#: olive.glade:263
-msgid "S_tatus..."
-msgstr ""
-
-#: olive.glade:271
-msgid "Missing _revisions"
-msgstr ""
-
-#: olive.glade:279
-msgid "Con_flicts..."
-msgstr ""
-
-#: olive.glade:291
-msgid "_Statistics"
-msgstr ""
-
-#: olive.glade:298
-msgid "_Differences..."
-msgstr ""
-
-#: olive.glade:312
-msgid "_Log..."
-msgstr ""
-
-#: olive.glade:326
-msgid "_Information..."
-msgstr ""
-
-#: olive.glade:338
-msgid "_Help"
-msgstr ""
-
-#: olive.glade:548
-msgid "gtk-jump-to"
-msgstr ""
-
-#: olive.glade:575
-msgid "H_istory Mode"
-msgstr ""
-
-#: olive.glade:673
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr ""
-
-#: olive.glade:675
-msgid "https://launchpad.net/products/olive"
-msgstr ""
-
-#: olive.glade:677
-msgid "translator-credits"
-msgstr ""
-"Launchpad Contributions:\n"
-"  Jaroslaw Zabiello https://launchpad.net/~hipertracker"
-
-#: olive.glade:694
-msgid "Olive - Add file(s)"
-msgstr ""
-
-#: olive.glade:705
-msgid "Which file(s) do you want to add?"
-msgstr ""
-
-#: olive.glade:731
-msgid "All unknowns recursively"
-msgstr ""
-
-#: olive.glade:785
-msgid "_Add"
-msgstr ""
-
-#: olive.glade:814
-msgid "Olive - Remove file(s)"
-msgstr ""
-
-#: olive.glade:934
-msgid "Olive - Make directory"
-msgstr ""
-
-#: olive.glade:957
-msgid "_Versioned directory"
-msgstr ""
-
-#: olive.glade:1011
-msgid "_Make directory"
-msgstr ""
-
-#: olive.glade:1041
-msgid "Olive - Move"
-msgstr ""
-
-#: olive.glade:1055
-msgid "Move to"
-msgstr ""
-
-#: olive.glade:1066
-msgid "Select a directory"
-msgstr ""
-
-#: olive.glade:1120
-msgid "_Move"
-msgstr ""
-
-#: olive.glade:1148
-msgid "Olive - Rename"
-msgstr ""
-
-#: olive.glade:1162
-msgid "Rename to"
-msgstr ""
-
-#: olive.glade:1227
-msgid "_Rename"
-msgstr ""
-
-#: olive.glade:1255
-msgid "Olive - Information"
-msgstr ""
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275
-msgid "(none)"
-msgstr ""
-
-#: olive.glade:1368
-msgid "Checkout root: "
-msgstr ""
-
-#: olive.glade:1380
-msgid "Branch root: "
-msgstr ""
-
-#: olive.glade:1392
-msgid "Repository checkout: "
-msgstr ""
-
-#: olive.glade:1404
-msgid "Checkout of branch: "
-msgstr ""
-
-#: olive.glade:1416
-msgid "Repository branch: "
-msgstr ""
-
-#: olive.glade:1428
-msgid "Shared repository: "
-msgstr ""
-
-#: olive.glade:1440
-msgid "Light checkout root: "
-msgstr ""
-
-#: olive.glade:1454
-msgid "<b>Location:</b>"
-msgstr ""
-
-#: olive.glade:1508
-msgid "Publish to branch: "
-msgstr ""
-
-#: olive.glade:1520
-msgid "Parent branch: "
-msgstr ""
-
-#: olive.glade:1534
-msgid "<b>Related branches:</b>"
-msgstr ""
-
-#: olive.glade:1614
-msgid "Repository format: "
-msgstr ""
-
-#: olive.glade:1626
-msgid "Branch format: "
-msgstr ""
-
-#: olive.glade:1638
-msgid "Working tree format: "
-msgstr ""
-
-#: olive.glade:1650
-msgid "Control format: "
-msgstr ""
-
-#: olive.glade:1664
-msgid "<b>Format:</b>"
-msgstr ""
-
-#: olive.glade:1731
-msgid "Repository lock status: "
-msgstr ""
-
-#: olive.glade:1743
-msgid "Branch lock status: "
-msgstr ""
-
-#: olive.glade:1755
-msgid "Working tree lock status: "
-msgstr ""
-
-#: olive.glade:1769
-msgid "<b>Lock status:</b>"
-msgstr ""
-
-#: olive.glade:1823
-msgid "Missing revisions in branch: "
-msgstr ""
-
-#: olive.glade:1835
-msgid "Missing revisions in working tree: "
-msgstr ""
-
-#: olive.glade:1849
-msgid "<b>Missing revisions:</b>"
-msgstr ""
-
-#: olive.glade:1981
-msgid "Versioned subdirectories: "
-msgstr ""
-
-#: olive.glade:1993
-msgid "Ignored files: "
-msgstr ""
-
-#: olive.glade:2005
-msgid "Unknown files: "
-msgstr ""
-
-#: olive.glade:2017
-msgid "Renamed files: "
-msgstr ""
-
-#: olive.glade:2029
-msgid "Removed files: "
-msgstr ""
-
-#: olive.glade:2041
-msgid "Added files: "
-msgstr ""
-
-#: olive.glade:2053
-msgid "Modified files: "
-msgstr ""
-
-#: olive.glade:2065
-msgid "Unchanged files: "
-msgstr ""
-
-#: olive.glade:2079
-msgid "<b>In the working tree:</b>"
-msgstr ""
-
-#: olive.glade:2172
-msgid "Time of last revision: "
-msgstr ""
-
-#: olive.glade:2184
-msgid "Time of first revision: "
-msgstr ""
-
-#: olive.glade:2196
-msgid "Age of branch in days: "
-msgstr ""
-
-#: olive.glade:2208
-msgid "Number of commiters: "
-msgstr ""
-
-#: olive.glade:2220
-msgid "Revisions in branch: "
-msgstr ""
-
-#: olive.glade:2234
-msgid "<b>Branch history:</b>"
-msgstr ""
-
-#: olive.glade:2288
-msgid "Size of repository: "
-msgstr ""
-
-#: olive.glade:2300
-msgid "Revisions in repository: "
-msgstr ""
-
-#: olive.glade:2314
-msgid "<b>Revision store:</b>"
-msgstr ""
-
-#: olive.glade:2356
-msgid "Merge - Olive"
-msgstr ""
-
-#: olive.glade:2370
-msgid "Merge from:"
-msgstr ""
-
-#: olive.glade:2454
-msgid "_Merge"
-msgstr ""

=== added file 'po/pt.po'
--- po/pt.po	1970-01-01 00:00:00 +0000
+++ po/pt.po	2011-12-02 05:55:20 +0000
@@ -0,0 +1,737 @@
+# Portuguese translation for bzr-gtk
+# Copyright (c) 2011 Rosetta Contributors and Canonical Ltd 2011
+# This file is distributed under the same license as the bzr-gtk package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2011.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: bzr-gtk\n"
+"Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:57+0000\n"
+"Last-Translator: Launchpad Translations Administrators <Unknown>\n"
+"Language-Team: Portuguese <pt@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
+msgid "_Branch"
+msgstr ""
+
+#: ../branch.py:49 ../checkout.py:49
+msgid "Branch location:"
+msgstr ""
+
+#: ../branch.py:51 ../checkout.py:50
+msgid "Destination:"
+msgstr ""
+
+#: ../branch.py:52
+msgid "Branck nick:"
+msgstr ""
+
+#: ../branch.py:53 ../checkout.py:52
+msgid "Revision:"
+msgstr ""
+
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr ""
+
+#: ../branch.py:134 ../checkout.py:153
+msgid "Missing branch location"
+msgstr ""
+
+#: ../branch.py:135 ../checkout.py:154
+msgid "You must specify a branch location."
+msgstr ""
+
+#: ../branch.py:174
+msgid "Branching successful"
+msgstr ""
+
+#: ../branch.py:175
+#, python-format
+msgid "%d revision(s) branched."
+msgstr ""
+
+#: ../branch.py:183 ../checkout.py:185
+msgid "N/A"
+msgstr ""
+
+#. Create the widgets
+#: ../checkout.py:44
+msgid "Check_out"
+msgstr ""
+
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
+msgid "_Lightweight checkout"
+msgstr ""
+
+#: ../commands.py:305
+msgid "Directory does not have a working tree"
+msgstr ""
+
+#: ../commands.py:306
+msgid "Operation aborted."
+msgstr ""
+
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr ""
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr ""
+
+#: ../commit.py:178
+msgid "added"
+msgstr ""
+
+#: ../commit.py:179
+msgid "removed"
+msgstr ""
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr ""
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr ""
+
+#: ../commit.py:182
+msgid "modified"
+msgstr ""
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr ""
+
+#: ../commit.py:361
+msgid "Comm_it"
+msgstr ""
+
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr ""
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr ""
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr ""
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
+msgid "Date"
+msgstr ""
+
+#: ../commit.py:505
+msgid "Committer"
+msgstr ""
+
+#: ../commit.py:507 ../search.py:60
+msgid "Summary"
+msgstr ""
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr ""
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr ""
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
+msgid "External utility:"
+msgstr ""
+
+#: ../conflicts.py:97
+msgid "Conflicts"
+msgstr ""
+
+#: ../conflicts.py:100
+msgid "No conflicts in working tree."
+msgstr ""
+
+#: ../conflicts.py:114
+msgid "path conflict"
+msgstr ""
+
+#: ../conflicts.py:116
+msgid "contents conflict"
+msgstr ""
+
+#: ../conflicts.py:118
+msgid "text conflict"
+msgstr ""
+
+#: ../conflicts.py:120
+msgid "duplicate id"
+msgstr ""
+
+#: ../conflicts.py:122
+msgid "duplicate"
+msgstr ""
+
+#: ../conflicts.py:124
+msgid "parent loop"
+msgstr ""
+
+#: ../conflicts.py:126
+msgid "unversioned parent"
+msgstr ""
+
+#: ../conflicts.py:128
+msgid "missing parent"
+msgstr ""
+
+#: ../conflicts.py:130
+msgid "deleting parent"
+msgstr ""
+
+#: ../conflicts.py:132
+msgid "unknown type of conflict"
+msgstr ""
+
+#: ../conflicts.py:161
+msgid "No file was selected"
+msgstr ""
+
+#: ../conflicts.py:162
+msgid "Please select a file from the list."
+msgstr ""
+
+#: ../conflicts.py:172
+msgid "Call to external utility failed"
+msgstr ""
+
+#: ../conflicts.py:174
+msgid "Cannot resolve conflict"
+msgstr ""
+
+#: ../conflicts.py:175
+msgid ""
+"Only conflicts on the text of files can be resolved with Olive at the "
+"moment. Content conflicts, on the structure of the tree, need to be resolved "
+"using the command line."
+msgstr ""
+
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr ""
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr ""
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr ""
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr ""
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr ""
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr ""
+
+#: ../errors.py:34
+msgid "Directory is not a checkout"
+msgstr ""
+
+#: ../errors.py:35
+msgid "You can perform local commit only on checkouts."
+msgstr ""
+
+#: ../errors.py:37
+msgid "No changes to commit"
+msgstr ""
+
+#: ../errors.py:38
+msgid "Try force commit if you want to commit anyway."
+msgstr ""
+
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
+msgid "Conflicts in tree"
+msgstr ""
+
+#: ../errors.py:44
+msgid "You need to resolve the conflicts before committing."
+msgstr ""
+
+#: ../errors.py:46
+msgid "Strict commit failed"
+msgstr ""
+
+#: ../errors.py:47
+msgid ""
+"There are unknown files in the working tree.\n"
+"Please add or delete them."
+msgstr ""
+
+#: ../errors.py:49
+msgid "Bound branch is out of date"
+msgstr ""
+
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
+#, python-format
+msgid "%s"
+msgstr ""
+
+#: ../errors.py:53
+msgid "File not versioned"
+msgstr ""
+
+#: ../errors.py:54
+msgid "The selected file is not versioned."
+msgstr ""
+
+#: ../errors.py:56 ../push.py:100
+msgid "Branches have been diverged"
+msgstr ""
+
+#: ../errors.py:57
+msgid ""
+"You cannot push if branches have diverged. Use the\n"
+"overwrite option if you want to push anyway."
+msgstr ""
+
+#: ../errors.py:59
+msgid "No diff output"
+msgstr ""
+
+#: ../errors.py:60
+msgid "The selected file hasn't changed."
+msgstr ""
+
+#: ../errors.py:62
+msgid "No such revision"
+msgstr ""
+
+#: ../errors.py:63
+msgid "The revision you specified doesn't exist."
+msgstr ""
+
+#: ../errors.py:65
+msgid "Target already exists"
+msgstr ""
+
+#: ../errors.py:66
+msgid "Target directory already exists. Please select another target."
+msgstr ""
+
+#: ../errors.py:68
+msgid "Directory is already a branch"
+msgstr ""
+
+#: ../errors.py:69
+#, python-format
+msgid ""
+"The current directory (%s) is already a branch.\n"
+"You can start using it, or initialize another directory."
+msgstr ""
+
+#: ../errors.py:71
+msgid "Branch without a working tree"
+msgstr ""
+
+#: ../errors.py:72
+#, python-format
+msgid ""
+"The current directory (%s)\n"
+"is a branch without a working tree."
+msgstr ""
+
+#: ../errors.py:74
+msgid "Unknown bzr error"
+msgstr ""
+
+#: ../errors.py:76
+msgid "Permission denied"
+msgstr ""
+
+#: ../errors.py:76
+msgid "permission denied."
+msgstr ""
+
+#: ../errors.py:78
+msgid "Unknown error"
+msgstr ""
+
+#. Create the widgets
+#: ../initialize.py:46
+msgid "_Initialize"
+msgstr ""
+
+#: ../initialize.py:47
+msgid "Which directory do you want to initialize?"
+msgstr ""
+
+#: ../initialize.py:49
+msgid "Current directory"
+msgstr ""
+
+#: ../initialize.py:51
+msgid "Create a new directory with the name:"
+msgstr ""
+
+#: ../initialize.py:87
+msgid "Directory name not specified"
+msgstr ""
+
+#: ../initialize.py:88
+msgid "You should specify a new directory name."
+msgstr ""
+
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr ""
+
+#: ../merge.py:130
+msgid "Branch not given"
+msgstr ""
+
+#: ../merge.py:131
+msgid "Please specify a branch to merge from."
+msgstr ""
+
+#: ../merge.py:139
+msgid "Bazaar command error"
+msgstr ""
+
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
+msgid "Location:"
+msgstr ""
+
+#: ../push.py:52
+msgid "_Push"
+msgstr ""
+
+#: ../push.py:101
+msgid ""
+"You cannot push if branches have diverged.\n"
+"Overwrite?"
+msgstr ""
+
+#: ../push.py:109
+msgid "Push successful"
+msgstr ""
+
+#: ../push.py:110
+#, python-format
+msgid "%d revision(s) pushed."
+msgstr ""
+
+#: ../push.py:141
+msgid "Non existing parent directory"
+msgstr ""
+
+#: ../push.py:142
+#, python-format
+msgid ""
+"The parent directory (%s)\n"
+"doesn't exist. Create?"
+msgstr ""
+
+#. Create the widgets
+#: ../revbrowser.py:35
+msgid "_Select"
+msgstr ""
+
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
+msgid "Added"
+msgstr ""
+
+#: ../status.py:93
+msgid "Removed"
+msgstr ""
+
+#: ../status.py:99
+msgid "Renamed"
+msgstr ""
+
+#: ../status.py:106
+msgid "Modified"
+msgstr ""
+
+#: ../status.py:114
+msgid "Unknown"
+msgstr ""
+
+#: ../status.py:119
+msgid "No changes."
+msgstr ""
+
+#. Set properties
+#: ../tags.py:60
+msgid "Tags"
+msgstr ""
+
+#: ../tags.py:110
+msgid "Tag Name"
+msgstr ""
+
+#: ../tags.py:115
+msgid "Revision ID"
+msgstr ""
+
+#: ../tags.py:148
+msgid "Tags are not supported by this branch format. Please upgrade."
+msgstr ""
+
+#: ../tags.py:154
+msgid "No tagged revisions in the branch."
+msgstr ""
+
+#: ../tags.py:222
+msgid "_Remove tag"
+msgstr ""
+
+#: ../tags.py:232
+msgid "<b><big>Remove tag?</big></b>"
+msgstr ""
+
+#: ../tags.py:234
+#, python-format
+msgid "Are you sure you want to remove the tag: <b>%s</b>?"
+msgstr ""
+
+#. Create the widgets
+#: ../tags.py:278
+msgid "_Add tag"
+msgstr ""
+
+#: ../tags.py:280
+msgid "Tag Name:"
+msgstr ""
+
+#: ../tags.py:281
+msgid "Revision ID:"
+msgstr ""
+
+#: ../tags.py:312
+msgid "No tag name specified"
+msgstr ""
+
+#: ../tags.py:313
+msgid "You have to specify the tag's desired name."
+msgstr ""

=== modified file 'po/pt_BR.po'
--- po/pt_BR.po	2008-03-11 17:01:27 +0000
+++ po/pt_BR.po	2011-12-02 05:55:20 +0000
@@ -7,248 +7,338 @@
 msgstr ""
 "Project-Id-Version: olive\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2007-08-13 12:05+0200\n"
-"PO-Revision-Date: 2008-03-02 17:14+0000\n"
-"Last-Translator: Alexandre Sapata Carbonell <alexandrenescau@gmail.com>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:59+0000\n"
+"Last-Translator: Fitoschido <fitoschido@gmail.com>\n"
 "Language-Team: Brazilian Portuguese <pt_BR@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2008-03-11 16:44+0000\n"
-"X-Generator: Launchpad (build Unknown)\n"
-
-#: branch.py:52 olive.glade:151
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr "Preferências do Bazaar"
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr "Configure as opções do Bazaar"
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr "Aplica o pacote Bazaar"
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr "Bazaar"
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr "Notificação do Bazaar"
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr "Ícone de Área de notificação para o Bazaar"
+
+#. Create the widgets
+#: ../branch.py:46
 msgid "_Branch"
 msgstr "_Ramo(branch)"
 
-#: branch.py:55 checkout.py:53
-msgid "Please select a folder"
-msgstr "Por favor selecione uma pasta"
-
-#: branch.py:57 checkout.py:55
+#: ../branch.py:49 ../checkout.py:49
 msgid "Branch location:"
 msgstr "Localização do ramo(branch):"
 
-#: branch.py:58 checkout.py:56
+#: ../branch.py:51 ../checkout.py:50
 msgid "Destination:"
 msgstr "Destino:"
 
-#: branch.py:59 checkout.py:57
+#: ../branch.py:52
 msgid "Branck nick:"
 msgstr "Apelido da ramo:"
 
-#: branch.py:60 checkout.py:58
+#: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
 msgstr "Revisão:"
 
-#: branch.py:162 checkout.py:163
-#, fuzzy
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Por favor selecione uma pasta"
+
+#: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
 msgstr "Falta o local do ramo."
 
-#: branch.py:163 checkout.py:164
+#: ../branch.py:135 ../checkout.py:154
 msgid "You must specify a branch location."
-msgstr "É necessário especifficar um local para o ramo."
+msgstr "Você deve especificar um local para o ramo."
 
-#: branch.py:205
+#: ../branch.py:174
 msgid "Branching successful"
 msgstr "Ramificação (branching) bem sucedida"
 
-#: branch.py:206
+#: ../branch.py:175
 #, python-format
 msgid "%d revision(s) branched."
-msgstr "A %d revisão foi ramificada."
+msgstr "%d revisão(ões) ramificada(s)."
 
-#: branch.py:214 checkout.py:195
+#: ../branch.py:183 ../checkout.py:185
 msgid "N/A"
 msgstr "Não disponível"
 
-#: checkout.py:50
+#. Create the widgets
+#: ../checkout.py:44
 msgid "Check_out"
-msgstr "Verificação_geral"
-
-#: checkout.py:62
+msgstr "Verificaçã_o Geral"
+
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr "Nome do ramo:"
+
+#: ../checkout.py:56
 msgid "_Lightweight checkout"
-msgstr "Verificação_leve"
+msgstr "Verificação _Leve"
 
-#: commit.py:68
+#: ../commands.py:305
 msgid "Directory does not have a working tree"
-msgstr "Diretório não tem árvore de trabalho"
+msgstr "O diretório não tem uma árvore de trabalho"
 
-#: commit.py:69
+#: ../commands.py:306
 msgid "Operation aborted."
 msgstr "A operação foi interrompida."
 
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556
-msgid "Directory is not a branch"
-msgstr "O diretório não é um ramo."
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557
-msgid "You can perform this action only in a branch."
-msgstr "Esta operação só pode ser executada num ramo."
-
-#: commit.py:88
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr "Existem modificações locais no ramo"
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr "Favor consolidar ou reverter as modificações antes de combinar"
+
+#: ../commit.py:178
+msgid "added"
+msgstr "Adicionado"
+
+#: ../commit.py:179
+msgid "removed"
+msgstr "removido"
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr "renomeado"
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr "renomeado e modificado"
+
+#: ../commit.py:182
+msgid "modified"
+msgstr "modificado"
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr "tipo modificado"
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr "<b>Mensagem de Envio</b>"
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr "S_omente consolide localmente"
+
+#: ../commit.py:361
 msgid "Comm_it"
 msgstr "Consol_idar"
 
-#: commit.py:89
-msgid "File(s) to commit"
-msgstr "Arquivo(s) a consolidar"
-
-#: commit.py:95
-msgid "Commit message:"
-msgstr "Mensagem da consilidação:"
-
-#: commit.py:99
-msgid "Pending merges"
-msgstr "Combinações pendentes"
-
-#: commit.py:147
-msgid "_Only commit locally"
-msgstr "S_omente consolide localmente"
-
-#: commit.py:215
+#: ../commit.py:388
+msgid "Files"
+msgstr "Arquivos"
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr "Enviar todas as mudanças"
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr "Enviar apenas as mudanças selecionadas"
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr "Enviar todas as mudanças*"
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr "Enviar*"
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr "Enviar"
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr "Caminho"
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr "Tipo"
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr "Revisões pendentes"
+
+#: ../commit.py:503
+msgid "Date"
+msgstr "Data"
+
+#: ../commit.py:505
+msgid "Committer"
+msgstr "Consolidador"
+
+#: ../commit.py:507 ../search.py:60
+msgid "Summary"
+msgstr "Sumário"
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr "Mensagem de Envio"
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr "<b>Mensagem de Envio</b>"
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr "Mensagem de envio para "
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr "Envio cancelado"
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr "Você deseja salvas as suas mensagens de envio ?"
+
+#: ../commit.py:706
 msgid "Commit with an empty message?"
 msgstr "Consolidar com uma mensagem vazia?"
 
-#: commit.py:216
+#: ../commit.py:707
 msgid "You can describe your commit intent in the message."
 msgstr ""
 "Você pode descrever a sua intenção para a consolidação nesta mensagem."
 
-#: commit.py:228
+#: ../commit.py:727
 msgid "Commit with unknowns?"
 msgstr "Consolidar com itens desconhecidos?"
 
-#: commit.py:229
+#: ../commit.py:728
 msgid "Unknown files exist in the working tree. Commit anyway?"
 msgstr ""
 "Há arquivos desconhecidos na árvore de trabalho. Deseja consolidar assim "
 "mesmo?"
 
-#: commit.py:240
+#: ../commit.py:748
 msgid "Commit with no changes?"
 msgstr "Consolidar sem modificaçãoes?"
 
-#: commit.py:241
-msgid "There are no changes in the working tree."
-msgstr "Não há mudanças na árvore de trabalho."
-
-#: commit.py:323 menu.py:87
-#, fuzzy
-msgid "Commit"
-msgstr "Consolidar"
-
-#: commit.py:325 conflicts.py:108
-msgid "Path"
-msgstr "Caminho"
-
-#: commit.py:327 conflicts.py:110
-msgid "Type"
-msgstr "Tipo"
-
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
-msgid "added"
-msgstr "Adicionado"
-
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
-msgid "removed"
-msgstr "Removido"
-
-#: commit.py:353
-msgid "renamed and modified"
-msgstr "Renomeado e modificado"
-
-#: commit.py:355 __init__.py:936 __init__.py:1223
-msgid "renamed"
-msgstr "Renomeado"
-
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
-msgid "modified"
-msgstr "Modificado"
-
-#: commit.py:395
-msgid "Date"
-msgstr "Data"
-
-#: commit.py:397 revbrowser.py:68
-msgid "Committer"
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
 msgstr ""
-
-#: commit.py:399 revbrowser.py:66
-msgid "Summary"
-msgstr "Sumário"
-
-#: conflicts.py:48
+"Não existe mudanças na árvore de trabalho. Você deseja enviar mesmo assim?"
+
+#: ../conflicts.py:45
 msgid "External utility:"
-msgstr "Utilitário Externo:"
+msgstr "Utilitário externo:"
 
-#: conflicts.py:99
+#: ../conflicts.py:97
 msgid "Conflicts"
 msgstr "Conflitos"
 
-#: conflicts.py:102
+#: ../conflicts.py:100
 msgid "No conflicts in working tree."
 msgstr "Sem conflitos na árvore de trabalho."
 
-#: conflicts.py:115
+#: ../conflicts.py:114
 msgid "path conflict"
 msgstr "Conflito no caminho"
 
-#: conflicts.py:117
+#: ../conflicts.py:116
 msgid "contents conflict"
-msgstr "Conflitos de índices"
+msgstr "conflito de conteúdos"
 
-#: conflicts.py:119
+#: ../conflicts.py:118
 msgid "text conflict"
-msgstr "Conflito de texto"
+msgstr "conflito de texto"
 
-#: conflicts.py:121
+#: ../conflicts.py:120
 msgid "duplicate id"
 msgstr "ID duplicada"
 
-#: conflicts.py:123
+#: ../conflicts.py:122
 msgid "duplicate"
 msgstr "duplicar"
 
-#: conflicts.py:125
+#: ../conflicts.py:124
 msgid "parent loop"
 msgstr ""
 
-#: conflicts.py:127
+#: ../conflicts.py:126
 msgid "unversioned parent"
 msgstr ""
 
-#: conflicts.py:129
+#: ../conflicts.py:128
 msgid "missing parent"
 msgstr ""
 
-#: conflicts.py:131
+#: ../conflicts.py:130
 msgid "deleting parent"
 msgstr ""
 
-#: conflicts.py:133
+#: ../conflicts.py:132
 msgid "unknown type of conflict"
-msgstr "tipo desconhecido de conflito"
+msgstr "tipo de conflito desconhecido"
 
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
+#: ../conflicts.py:161
 msgid "No file was selected"
-msgstr "nenhum arquivo foi selecionado"
+msgstr "Nenhum arquivo foi selecionado"
 
-#: conflicts.py:163 __init__.py:615 menu.py:192
+#: ../conflicts.py:162
 msgid "Please select a file from the list."
 msgstr "Por favor selecione um arquivo da lista."
 
-#: conflicts.py:173
+#: ../conflicts.py:172
 msgid "Call to external utility failed"
-msgstr "A chamada a um utilitário externo falhou."
+msgstr "Falha na chamada a utilitário externo"
 
-#: conflicts.py:175
+#: ../conflicts.py:174
 msgid "Cannot resolve conflict"
 msgstr "Não é possível resolver o conflito"
 
-#: conflicts.py:176
+#: ../conflicts.py:175
 msgid ""
 "Only conflicts on the text of files can be resolved with Olive at the "
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
@@ -258,38 +348,79 @@
 "Conflitos de conteúdo, na estrutura da árvore, têm que ser resolvidos usando "
 "a linha de comando."
 
-#: errors.py:29
-#, fuzzy
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "_Visualizar"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr "Quebra de _Linhas Longas"
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr "Fusão bem sucedida"
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr "Todas as mudanças foram aplicadas com sucesso."
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr "Encontrado conflitos"
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr "Por favor resolva os conflitos manualmente antes de consolidar."
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr "O diretório não é um ramo."
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr "Esta operação só pode ser executada em um ramo."
+
+#: ../errors.py:34
 msgid "Directory is not a checkout"
-msgstr "O diretório não é um checkout."
+msgstr "O diretório não é um checagem de ítens."
 
-#: errors.py:30
-#, fuzzy
+#: ../errors.py:35
 msgid "You can perform local commit only on checkouts."
 msgstr "Você só pode executar consolidações locais em checkouts."
 
-#: errors.py:32
+#: ../errors.py:37
 msgid "No changes to commit"
 msgstr "Sem mudanças para consolidar"
 
-#: errors.py:33
+#: ../errors.py:38
 msgid "Try force commit if you want to commit anyway."
 msgstr ""
 "Tente impor a consolidação se você quiser consolidar de qualquer maneira."
 
-#: errors.py:35
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr "Nenhuma mudança para mesclar"
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
 msgid "Conflicts in tree"
 msgstr "Há conflitos na árvore"
 
-#: errors.py:36
+#: ../errors.py:44
 msgid "You need to resolve the conflicts before committing."
 msgstr "É necessário resolver os conflitos antes de consolidar."
 
-#: errors.py:38
+#: ../errors.py:46
 msgid "Strict commit failed"
-msgstr ""
+msgstr "Falha na consolidação estrita"
 
-#: errors.py:39
+#: ../errors.py:47
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
@@ -297,62 +428,65 @@
 "Existem arquivos desconhecidos na árvore de trabalho.\n"
 "Por favor adicione ou delete eles."
 
-#: errors.py:41
+#: ../errors.py:49
 msgid "Bound branch is out of date"
-msgstr ""
+msgstr "Ramo vinculado está desatualizado"
 
-#: errors.py:42
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
 #, python-format
 msgid "%s"
 msgstr "%s"
 
-#: errors.py:44
+#: ../errors.py:53
 msgid "File not versioned"
-msgstr ""
+msgstr "Arquivo sem versão definida"
 
-#: errors.py:45
+#: ../errors.py:54
 msgid "The selected file is not versioned."
-msgstr ""
+msgstr "O arquivo selecionado não tem versão definida."
 
-#: errors.py:47 push.py:105
+#: ../errors.py:56 ../push.py:100
 msgid "Branches have been diverged"
-msgstr ""
+msgstr "Ramos foram divergidos"
 
-#: errors.py:48
+#: ../errors.py:57
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
 msgstr ""
+"Você não consegue enviar se os ramos tiverem divergido. Use\n"
+"a opção sobrescrever se você quiser enviar mesmo assim."
 
-#: errors.py:50
+#: ../errors.py:59
 msgid "No diff output"
-msgstr ""
+msgstr "Sem saída do diff"
 
-#: errors.py:51
+#: ../errors.py:60
 msgid "The selected file hasn't changed."
 msgstr "O arquivo selecionado não foi mudado."
 
-#: errors.py:53
+#: ../errors.py:62
 msgid "No such revision"
-msgstr ""
+msgstr "Revisão inexistente"
 
-#: errors.py:54
+#: ../errors.py:63
 msgid "The revision you specified doesn't exist."
-msgstr ""
+msgstr "A revisão especificada não existe."
 
-#: errors.py:56
+#: ../errors.py:65
 msgid "Target already exists"
 msgstr "O destino já existe"
 
-#: errors.py:57
+#: ../errors.py:66
 msgid "Target directory already exists. Please select another target."
 msgstr "O diretório de destino já existe. Por favor selecione outro destino."
 
-#: errors.py:59
+#: ../errors.py:68
 msgid "Directory is already a branch"
 msgstr "Esse diretório já é um ramo(branch)"
 
-#: errors.py:60
+#: ../errors.py:69
 #, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
@@ -361,11 +495,11 @@
 "O diretório atual (%s) já é um ramo (branch).\n"
 "Você pode começar a usá-lo ou inicializar outro diretório."
 
-#: errors.py:62
+#: ../errors.py:71
 msgid "Branch without a working tree"
 msgstr "Este ramo (branch) não tem uma árvore de trabalho"
 
-#: errors.py:63
+#: ../errors.py:72
 #, python-format
 msgid ""
 "The current directory (%s)\n"
@@ -374,113 +508,154 @@
 "O diretório atual (%s)\n"
 "é um ramo (branch) dem uma árvore de trabalho."
 
-#: errors.py:65
+#: ../errors.py:74
 msgid "Unknown bzr error"
 msgstr "Erro desconhecido do bzr"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "Permission denied"
 msgstr "Permissão negada"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "permission denied."
 msgstr "Permissão negada."
 
-#: errors.py:69
+#: ../errors.py:78
 msgid "Unknown error"
 msgstr "Erro desconhecido"
 
-#: initialize.py:47
+#. Create the widgets
+#: ../initialize.py:46
 msgid "_Initialize"
 msgstr "_Inicializar"
 
-#: initialize.py:48
+#: ../initialize.py:47
 msgid "Which directory do you want to initialize?"
 msgstr "Qual diretório você quer inicializar?"
 
-#: initialize.py:49
+#: ../initialize.py:49
 msgid "Current directory"
 msgstr "Diretório atual"
 
-#: initialize.py:50
+#: ../initialize.py:51
 msgid "Create a new directory with the name:"
 msgstr "Criar um novo diretório com o nome:"
 
-#: initialize.py:85
+#: ../initialize.py:87
 msgid "Directory name not specified"
 msgstr "O nome do diretório não foi especificado."
 
-#: initialize.py:86
+#: ../initialize.py:88
 msgid "You should specify a new directory name."
 msgstr "Você deve especificar um novo nome para o diretório"
 
-#: merge.py:66
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr "Mesclar de"
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr "Pasta"
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr "Localização personalizada"
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr "_Mesclar"
+
+#: ../merge.py:130
 msgid "Branch not given"
-msgstr ""
+msgstr "Ramo não fornecido"
 
-#: merge.py:67
+#: ../merge.py:131
 msgid "Please specify a branch to merge from."
-msgstr ""
+msgstr "Por favor especifique um ramo do qual mesclar."
 
-#: merge.py:75
+#: ../merge.py:139
 msgid "Bazaar command error"
 msgstr "Erro de comando Bazaar"
 
-#: merge.py:81
-msgid "Merge successful"
-msgstr "Fusão bem sucedida"
-
-#: merge.py:82
-msgid "All changes applied successfully."
-msgstr "Todas as mudanças foram aplicadas com sucesso."
-
-#: merge.py:85
-msgid "Conflicts encountered"
-msgstr "Encontrado conflitos"
-
-#: merge.py:86
-msgid "Please resolve the conflicts manually before committing."
-msgstr ""
-
-#: push.py:52 bookmark.py:45
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
 msgid "Location:"
 msgstr "Localização:"
 
-#: push.py:54
+#: ../push.py:52
 msgid "_Push"
-msgstr ""
-
-#: push.py:97
-msgid "Set default push location"
-msgstr ""
-
-#: push.py:98
-#, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-msgstr ""
-
-#: push.py:106
+msgstr "_Enviar"
+
+#: ../push.py:101
 msgid ""
 "You cannot push if branches have diverged.\n"
 "Overwrite?"
 msgstr ""
+"Você não pode enviar se os ramos tiverem divergido.\n"
+"Sobrescrever?"
 
-#: push.py:112
+#: ../push.py:109
 msgid "Push successful"
-msgstr ""
+msgstr "Sucesso no envio"
 
-#: push.py:113
+#: ../push.py:110
 #, python-format
 msgid "%d revision(s) pushed."
-msgstr ""
+msgstr "%d revisões enviadas."
 
-#: push.py:146
+#: ../push.py:141
 msgid "Non existing parent directory"
 msgstr "Diretório pai inexistente"
 
-#: push.py:147
+#: ../push.py:142
 #, python-format
 msgid ""
 "The parent directory (%s)\n"
@@ -489,835 +664,96 @@
 "O diretório pai (%s)\n"
 "não exixte. Deseja criá-lo?"
 
-#: revbrowser.py:45
-msgid "Please wait, revisions are being loaded..."
-msgstr "Por favor aguarde, as revisões estão sendo carregadas..."
-
-#: revbrowser.py:48
+#. Create the widgets
+#: ../revbrowser.py:35
 msgid "_Select"
 msgstr "_Selecionar"
 
-#: revbrowser.py:64
-msgid "Revno"
-msgstr "nº da revisão"
-
-#: revbrowser.py:70
-msgid "Time"
-msgstr "Tempo"
-
-#: status.py:78
+#: ../search.py:41
+msgid "Search for:"
+msgstr "Buscar por:"
+
+#: ../search.py:56
+msgid "Document"
+msgstr "Documento"
+
+#: ../status.py:87
 msgid "Added"
 msgstr "Adicionado"
 
-#: status.py:84
+#: ../status.py:93
 msgid "Removed"
 msgstr "Removido"
 
-#: status.py:90
+#: ../status.py:99
 msgid "Renamed"
 msgstr "Renomeado"
 
-#: status.py:97
+#: ../status.py:106
 msgid "Modified"
 msgstr "Modificado"
 
-#: status.py:105
+#: ../status.py:114
 msgid "Unknown"
 msgstr "Desconhecido"
 
-#: status.py:110
+#: ../status.py:119
 msgid "No changes."
 msgstr "sem mudanças"
 
-#: tags.py:67
+#. Set properties
+#: ../tags.py:60
 msgid "Tags"
 msgstr "Etiquetas"
 
-#: tags.py:111
+#: ../tags.py:110
 msgid "Tag Name"
 msgstr "Nome da Etiqueta"
 
-#: tags.py:116
+#: ../tags.py:115
 msgid "Revision ID"
 msgstr "identificação da revisão"
 
-#: tags.py:151
+#: ../tags.py:148
 msgid "Tags are not supported by this branch format. Please upgrade."
 msgstr ""
 "Etiquetas não são suportadas por esse formato de ramo(branch). Atualize, por "
 "favor."
 
-#: tags.py:157
+#: ../tags.py:154
 msgid "No tagged revisions in the branch."
 msgstr "Não há revisões etiquetadas no ramo (branch)."
 
-#: tags.py:232
+#: ../tags.py:222
 msgid "_Remove tag"
 msgstr "_Remover tag"
 
-#: tags.py:242
-#, fuzzy
+#: ../tags.py:232
 msgid "<b><big>Remove tag?</big></b>"
-msgstr "<b><grande>Remover tag?</grande></b>"
+msgstr "<b><big>Remover tag?</big></b>"
 
-#: tags.py:244
+#: ../tags.py:234
 #, python-format
 msgid "Are you sure you want to remove the tag: <b>%s</b>?"
 msgstr "Você tem certeza de que quer remover a tag: <b>%s</b>?"
 
-#: tags.py:289
+#. Create the widgets
+#: ../tags.py:278
 msgid "_Add tag"
 msgstr "_Adicionar tag"
 
-#: tags.py:291
+#: ../tags.py:280
 msgid "Tag Name:"
 msgstr "Nome da tag:"
 
-#: tags.py:292
+#: ../tags.py:281
 msgid "Revision ID:"
 msgstr "ID de revisão:"
 
-#: tags.py:323
+#: ../tags.py:312
 msgid "No tag name specified"
 msgstr "Nome de tag não especificado"
 
-#: tags.py:324
+#: ../tags.py:313
 msgid "You have to specify the tag's desired name."
 msgstr "Você tem de especificar o nome desejado da tag."
-
-#: __init__.py:512
-msgid "There are local changes in the branch"
-msgstr ""
-
-#: __init__.py:513
-msgid "Please commit or revert the changes before merging."
-msgstr ""
-
-#: __init__.py:525 __init__.py:550
-msgid "Parent location is unknown"
-msgstr ""
-
-#: __init__.py:526
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr ""
-
-#: __init__.py:537
-msgid "There are missing revisions"
-msgstr "Existem revisões faltando"
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr "%d revisão(ões) faltando."
-
-#: __init__.py:540
-msgid "Local branch up to date"
-msgstr ""
-
-#: __init__.py:541
-msgid "There are no missing revisions."
-msgstr ""
-
-#: __init__.py:551
-msgid "Pulling is not possible until there is a parent location."
-msgstr ""
-
-#: __init__.py:561
-msgid "Pull successful"
-msgstr ""
-
-#: __init__.py:561
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr ""
-
-#: __init__.py:575 menu.py:275
-msgid "Conflicts detected"
-msgstr "Conflitos detectados"
-
-#: __init__.py:576 menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr "Por favor de uma olhada na árvore de trabalho antes de continuar."
-
-#: __init__.py:578 menu.py:278
-msgid "Revert successful"
-msgstr ""
-
-#: __init__.py:579 menu.py:279
-msgid "All files reverted to last revision."
-msgstr ""
-
-#: __init__.py:835 __init__.py:1117
-msgid "Bookmarks"
-msgstr ""
-
-#: __init__.py:842 menu.py:99
-msgid "Bookmark"
-msgstr ""
-
-#: __init__.py:944 __init__.py:1231
-msgid "unchanged"
-msgstr "Sem alterações"
-
-#: __init__.py:946 __init__.py:1233
-msgid "ignored"
-msgstr "Ignorado"
-
-#: __init__.py:948 __init__.py:1235
-msgid "unknown"
-msgstr ""
-
-#: __init__.py:964
-msgid "Filename"
-msgstr ""
-
-#: __init__.py:965
-msgid "Status"
-msgstr ""
-
-#: __init__.py:966
-msgid "Size"
-msgstr ""
-
-#: __init__.py:967
-msgid "Last modified"
-msgstr "Última modificação"
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-"Por favor selecione o arquivo da lista,\n"
-"ou escolha a outra opção."
-
-#: bookmark.py:46
-msgid "Title:"
-msgstr "Titulo:"
-
-#: bookmark.py:81
-msgid "No title given"
-msgstr "Título não foi dado"
-
-#: bookmark.py:82
-msgid "Please specify a title to continue."
-msgstr "Por favor especifique um título para continuar."
-
-#: guifiles.py:45
-msgid "Glade file cannot be found."
-msgstr "Arquivo Glade não pôde ser encontrado."
-
-#: guifiles.py:55
-msgid "UI description file cannot be found."
-msgstr "Descrição do arquivo UI não pôde ser encontrado."
-
-#: menu.py:63
-msgid "Add"
-msgstr "Adicionar"
-
-#: menu.py:64
-msgid "Add the selected file"
-msgstr "Adicionar o arquivo selecionado"
-
-#: menu.py:67 menu.py:107
-msgid "Remove"
-msgstr "Remover"
-
-#: menu.py:68
-msgid "Remove the selected file"
-msgstr ""
-
-#: menu.py:71
-msgid "Remove and delete"
-msgstr ""
-
-#: menu.py:72
-msgid "Remove the selected file/dir and delete from disk"
-msgstr ""
-
-#: menu.py:75
-msgid "Rename"
-msgstr ""
-
-#: menu.py:76
-msgid "Rename the selected file"
-msgstr ""
-
-#: menu.py:79
-msgid "Open"
-msgstr ""
-
-#: menu.py:80
-msgid "Open the selected file"
-msgstr ""
-
-#: menu.py:83
-msgid "Revert"
-msgstr ""
-
-#: menu.py:84
-msgid "Revert the changes"
-msgstr ""
-
-#: menu.py:88
-msgid "Commit the changes"
-msgstr ""
-
-#: menu.py:91
-msgid "Annotate"
-msgstr "Anotar"
-
-#: menu.py:92
-msgid "Annotate the selected file"
-msgstr "Anotar o arquivo selecionado"
-
-#: menu.py:95
-msgid "Diff"
-msgstr ""
-
-#: menu.py:96
-msgid "Show the diff of the file"
-msgstr ""
-
-#: menu.py:100
-msgid "Bookmark current location"
-msgstr ""
-
-#: menu.py:103
-msgid "Edit"
-msgstr "Editar"
-
-#: menu.py:104
-msgid "Edit the selected bookmark"
-msgstr ""
-
-#: menu.py:108
-msgid "Remove the selected bookmark"
-msgstr ""
-
-#: menu.py:111
-msgid "Open Folder"
-msgstr "Abrir Pasta"
-
-#: menu.py:112
-msgid "Open bookmark folder in Nautilus"
-msgstr ""
-
-#: menu.py:115
-msgid "Selected..."
-msgstr ""
-
-#: menu.py:116
-msgid "Show the differences of the selected file"
-msgstr ""
-
-#: menu.py:119
-msgid "All..."
-msgstr ""
-
-#: menu.py:120
-msgid "Show the differences of all files"
-msgstr ""
-
-#: menu.py:123
-msgid "View contents"
-msgstr "Visualizar conteúdo"
-
-#: menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr ""
-
-#: menu.py:127
-msgid "Show differences"
-msgstr "Mostrar diferenças"
-
-#: menu.py:128
-msgid "Show the differences between two revisions of the file"
-msgstr "Mostrar as diferenças entre dois arquivos de revisão"
-
-#: menu.py:131
-msgid "Revert to this revision"
-msgstr ""
-
-#: menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr ""
-
-#: menu.py:228
-msgid "Delete directory with all directories below ?"
-msgstr "Deletar diretório com todos os diretórios abaixo?"
-
-#: menu.py:315
-msgid "Bookmark successfully added"
-msgstr ""
-
-#: menu.py:316
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-
-#: menu.py:319
-msgid "Location already bookmarked"
-msgstr ""
-
-#: menu.py:320
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-
-#: mkdir.py:67
-msgid "No directory name given"
-msgstr ""
-
-#: mkdir.py:68
-msgid "Please specify a desired name for the new directory."
-msgstr ""
-
-#: mkdir.py:79 mkdir.py:89
-msgid "Directory already exists"
-msgstr ""
-
-#: mkdir.py:80 mkdir.py:90
-msgid "Please specify another name to continue."
-msgstr "Por favor especifique outro nome para continuar."
-
-#: move.py:80 rename.py:71
-msgid "Please select a file from the list to proceed."
-msgstr "Por favor selecione um arquivo da lista para proceder."
-
-#: move.py:89 rename.py:87
-msgid "Not the same branch"
-msgstr ""
-
-#: move.py:90 rename.py:88
-msgid "The destination is not in the same branch."
-msgstr ""
-
-#: remove.py:79 remove.py:139
-msgid "No matching files"
-msgstr "Arquivos não se combinam"
-
-#: remove.py:80 remove.py:140
-msgid "No added files were found in the working tree."
-msgstr "Arquivos não adicionados foram encontrados na árvore de trabalho."
-
-#: remove.py:105 olive.glade:825
-msgid "Which file(s) do you want to remove?"
-msgstr "Qual(is) arquivo(s) você deseja remover?"
-
-#: remove.py:106 olive.glade:717 olive.glade:837
-msgid "Selected only"
-msgstr "Somente selecionado"
-
-#: remove.py:107 olive.glade:851
-msgid "All files with status 'added'"
-msgstr "Todos arquivos com status \"adicionado\""
-
-#: remove.py:108 olive.glade:905
-msgid "_Remove"
-msgstr "_Remover"
-
-#: rename.py:75
-msgid "Filename not given"
-msgstr ""
-
-#: rename.py:76
-msgid "Please specify a new name for the file."
-msgstr ""
-
-#: olive.glade:8
-msgid "Olive - Bazaar GUI"
-msgstr ""
-
-#: olive.glade:21
-msgid "_File"
-msgstr ""
-
-#: olive.glade:28
-msgid "_Add file(s)..."
-msgstr ""
-
-#: olive.glade:43
-msgid "Remove file(s)..."
-msgstr ""
-
-#: olive.glade:63
-msgid "Make _directory..."
-msgstr ""
-
-#: olive.glade:76
-msgid "_Rename..."
-msgstr ""
-
-#: olive.glade:84
-msgid "_Move..."
-msgstr "_Mover..."
-
-#: olive.glade:92
-msgid "_Annotate..."
-msgstr "_Anotar..."
-
-#: olive.glade:118
-msgid "_View"
-msgstr "_Visualizar"
-
-#: olive.glade:126
-#, fuzzy
-msgid "Show _hidden files"
-msgstr "Exibir arquivos _ocultos"
-
-#: olive.glade:139
-msgid "_Refresh"
-msgstr "_Atualizar"
-
-#: olive.glade:158
-msgid "_Initialize..."
-msgstr "_Inicializar"
-
-#: olive.glade:166
-msgid "_Get..."
-msgstr "_Pegar"
-
-#: olive.glade:174
-msgid "C_heckout..."
-msgstr ""
-
-#: olive.glade:187
-msgid "Pu_ll"
-msgstr ""
-
-#: olive.glade:201
-msgid "Pu_sh..."
-msgstr ""
-
-#: olive.glade:220
-msgid "_Revert all changes"
-msgstr ""
-
-#: olive.glade:228
-msgid "_Merge..."
-msgstr ""
-
-#: olive.glade:236
-msgid "_Commit..."
-msgstr ""
-
-#: olive.glade:255
-msgid "Ta_gs..."
-msgstr ""
-
-#: olive.glade:263
-msgid "S_tatus..."
-msgstr ""
-
-#: olive.glade:271
-#, fuzzy
-msgid "Missing _revisions"
-msgstr "_Revisões faltando"
-
-#: olive.glade:279
-msgid "Con_flicts..."
-msgstr "Con_flitos..."
-
-#: olive.glade:291
-msgid "_Statistics"
-msgstr "_Estatísticas"
-
-#: olive.glade:298
-msgid "_Differences..."
-msgstr "_Diferenças"
-
-#: olive.glade:312
-msgid "_Log..."
-msgstr "_Log..."
-
-#: olive.glade:326
-msgid "_Information..."
-msgstr "_Informação..."
-
-#: olive.glade:338
-msgid "_Help"
-msgstr "_Ajuda"
-
-#: olive.glade:548
-#, fuzzy
-msgid "gtk-jump-to"
-msgstr "gtk-pular-para"
-
-#: olive.glade:575
-#, fuzzy
-msgid "H_istory Mode"
-msgstr "Modo de H_istória"
-
-#: olive.glade:673
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-
-#: olive.glade:675
-msgid "https://launchpad.net/products/olive"
-msgstr "https://launchpad.net/products/olive"
-
-#: olive.glade:677
-msgid "translator-credits"
-msgstr ""
-"Launchpad Contributions:\n"
-"  Alexandre Sapata Carbonell https://launchpad.net/~alexandre-sapata-"
-"carbonell\n"
-"  Flávio Pontes https://launchpad.net/~flaviocpontes\n"
-"  Nelson do Vale https://launchpad.net/~nelsondovale"
-
-#: olive.glade:694
-msgid "Olive - Add file(s)"
-msgstr "Oliva - Adicionar arquivo(s)"
-
-#: olive.glade:705
-msgid "Which file(s) do you want to add?"
-msgstr "Qual(is) arquivo(s) você quer adicionar?"
-
-#: olive.glade:731
-msgid "All unknowns recursively"
-msgstr ""
-
-#: olive.glade:785
-msgid "_Add"
-msgstr "_Adicionar"
-
-#: olive.glade:814
-msgid "Olive - Remove file(s)"
-msgstr "Oliva - Remover arquivo(s)"
-
-#: olive.glade:934
-msgid "Olive - Make directory"
-msgstr "Oliva - Fazer diretório"
-
-#: olive.glade:957
-msgid "_Versioned directory"
-msgstr ""
-
-#: olive.glade:1011
-msgid "_Make directory"
-msgstr "_Fazer diretório"
-
-#: olive.glade:1041
-msgid "Olive - Move"
-msgstr "Oliva - Mover"
-
-#: olive.glade:1055
-msgid "Move to"
-msgstr "Mover para"
-
-#: olive.glade:1066
-msgid "Select a directory"
-msgstr "Selecionar um diretório"
-
-#: olive.glade:1120
-msgid "_Move"
-msgstr "_Mover"
-
-#: olive.glade:1148
-#, fuzzy
-msgid "Olive - Rename"
-msgstr "Oliva - Renomear"
-
-#: olive.glade:1162
-msgid "Rename to"
-msgstr "Renomear para"
-
-#: olive.glade:1227
-msgid "_Rename"
-msgstr "_Renomear"
-
-#: olive.glade:1255
-msgid "Olive - Information"
-msgstr "Oliva - Informação"
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275
-msgid "(none)"
-msgstr "(nenhum)"
-
-#: olive.glade:1368
-#, fuzzy
-msgid "Checkout root: "
-msgstr "Verificação geral do root: "
-
-#: olive.glade:1380
-msgid "Branch root: "
-msgstr ""
-
-#: olive.glade:1392
-msgid "Repository checkout: "
-msgstr "Verificação geral do repositório: "
-
-#: olive.glade:1404
-msgid "Checkout of branch: "
-msgstr ""
-
-#: olive.glade:1416
-msgid "Repository branch: "
-msgstr ""
-
-#: olive.glade:1428
-msgid "Shared repository: "
-msgstr "Repositório compartilhado: "
-
-#: olive.glade:1440
-msgid "Light checkout root: "
-msgstr "Verificação geral leve do root: "
-
-#: olive.glade:1454
-msgid "<b>Location:</b>"
-msgstr "<b>Localização:</b>"
-
-#: olive.glade:1508
-msgid "Publish to branch: "
-msgstr ""
-
-#: olive.glade:1520
-msgid "Parent branch: "
-msgstr ""
-
-#: olive.glade:1534
-msgid "<b>Related branches:</b>"
-msgstr ""
-
-#: olive.glade:1614
-msgid "Repository format: "
-msgstr "Formato do repositório: "
-
-#: olive.glade:1626
-msgid "Branch format: "
-msgstr ""
-
-#: olive.glade:1638
-msgid "Working tree format: "
-msgstr "Formato da árvore de trabalho: "
-
-#: olive.glade:1650
-msgid "Control format: "
-msgstr "Formato do controle: "
-
-#: olive.glade:1664
-msgid "<b>Format:</b>"
-msgstr "<b>Formato:</b>"
-
-#: olive.glade:1731
-msgid "Repository lock status: "
-msgstr ""
-
-#: olive.glade:1743
-msgid "Branch lock status: "
-msgstr ""
-
-#: olive.glade:1755
-msgid "Working tree lock status: "
-msgstr ""
-
-#: olive.glade:1769
-msgid "<b>Lock status:</b>"
-msgstr ""
-
-#: olive.glade:1823
-msgid "Missing revisions in branch: "
-msgstr ""
-
-#: olive.glade:1835
-msgid "Missing revisions in working tree: "
-msgstr ""
-
-#: olive.glade:1849
-msgid "<b>Missing revisions:</b>"
-msgstr "<b>Revisões faltando</b>"
-
-#: olive.glade:1981
-msgid "Versioned subdirectories: "
-msgstr ""
-
-#: olive.glade:1993
-msgid "Ignored files: "
-msgstr "Arquivos ignorados: "
-
-#: olive.glade:2005
-msgid "Unknown files: "
-msgstr "Arquivos Desconhecidos: "
-
-#: olive.glade:2017
-msgid "Renamed files: "
-msgstr "Arquivos renomeados: "
-
-#: olive.glade:2029
-msgid "Removed files: "
-msgstr "Arquivos removidos: "
-
-#: olive.glade:2041
-msgid "Added files: "
-msgstr "Arquivos adicionados "
-
-#: olive.glade:2053
-msgid "Modified files: "
-msgstr "Arquivos modificados: "
-
-#: olive.glade:2065
-msgid "Unchanged files: "
-msgstr "Arquivos não modificados: "
-
-#: olive.glade:2079
-msgid "<b>In the working tree:</b>"
-msgstr "<b>Na árvore de trabalho:</b>"
-
-#: olive.glade:2172
-msgid "Time of last revision: "
-msgstr "Tempo da última revisão: "
-
-#: olive.glade:2184
-msgid "Time of first revision: "
-msgstr "Tempo da primeira revisão: "
-
-#: olive.glade:2196
-msgid "Age of branch in days: "
-msgstr ""
-
-#: olive.glade:2208
-msgid "Number of commiters: "
-msgstr ""
-
-#: olive.glade:2220
-msgid "Revisions in branch: "
-msgstr ""
-
-#: olive.glade:2234
-msgid "<b>Branch history:</b>"
-msgstr ""
-
-#: olive.glade:2288
-msgid "Size of repository: "
-msgstr "Tamanho do repositório: "
-
-#: olive.glade:2300
-msgid "Revisions in repository: "
-msgstr "Revisões no repositório: "
-
-#: olive.glade:2314
-msgid "<b>Revision store:</b>"
-msgstr ""
-
-#: olive.glade:2356
-msgid "Merge - Olive"
-msgstr "Fusão - Oliva"
-
-#: olive.glade:2370
-msgid "Merge from:"
-msgstr ""
-
-#: olive.glade:2454
-msgid "_Merge"
-msgstr "_fusão"

=== added file 'po/ro.po'
--- po/ro.po	1970-01-01 00:00:00 +0000
+++ po/ro.po	2011-12-02 05:55:20 +0000
@@ -0,0 +1,754 @@
+# Romanian translation for bzr-gtk
+# Copyright (c) 2008 Rosetta Contributors and Canonical Ltd 2008
+# This file is distributed under the same license as the bzr-gtk package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2008.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: bzr-gtk\n"
+"Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:58+0000\n"
+"Last-Translator: Adi Roiban <adi@roiban.ro>\n"
+"Language-Team: Romanian <ro@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
+msgid "_Branch"
+msgstr "_Branch"
+
+#: ../branch.py:49 ../checkout.py:49
+msgid "Branch location:"
+msgstr "Locaţie branch:"
+
+#: ../branch.py:51 ../checkout.py:50
+msgid "Destination:"
+msgstr "Destinaţie:"
+
+#: ../branch.py:52
+msgid "Branck nick:"
+msgstr "Nume branch:"
+
+#: ../branch.py:53 ../checkout.py:52
+msgid "Revision:"
+msgstr "Revizie:"
+
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Vă rog să selectaţi un folder"
+
+#: ../branch.py:134 ../checkout.py:153
+msgid "Missing branch location"
+msgstr "Lipseşte locaţia branch-ului"
+
+#: ../branch.py:135 ../checkout.py:154
+msgid "You must specify a branch location."
+msgstr "Trebuie să specificaţi o locaţie pentru branch."
+
+#: ../branch.py:174
+msgid "Branching successful"
+msgstr "Branch-ul a fost creat"
+
+#: ../branch.py:175
+#, python-format
+msgid "%d revision(s) branched."
+msgstr "%d revizii au fost copiate."
+
+#: ../branch.py:183 ../checkout.py:185
+msgid "N/A"
+msgstr "indisp."
+
+#. Create the widgets
+#: ../checkout.py:44
+msgid "Check_out"
+msgstr "Check_out"
+
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
+msgid "_Lightweight checkout"
+msgstr "Checkout _lightweight"
+
+#: ../commands.py:305
+msgid "Directory does not have a working tree"
+msgstr "Directorul nu are working tree"
+
+#: ../commands.py:306
+msgid "Operation aborted."
+msgstr "Operaţie anulată."
+
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr "Există modificări locale în branch"
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr "Vă rog să executaţi un commit sau un revert înainte de merge."
+
+#: ../commit.py:178
+msgid "added"
+msgstr "adăugate"
+
+#: ../commit.py:179
+msgid "removed"
+msgstr "şterse"
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr "redenumite"
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr "redenumite şi modificate"
+
+#: ../commit.py:182
+msgid "modified"
+msgstr "modificate"
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr "Execută c_ommit doar local"
+
+#: ../commit.py:361
+msgid "Comm_it"
+msgstr "Comm_it"
+
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr "Commit"
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr "Cale"
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr "Tip"
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
+msgid "Date"
+msgstr "Data"
+
+#: ../commit.py:505
+msgid "Committer"
+msgstr "Autor commit"
+
+#: ../commit.py:507 ../search.py:60
+msgid "Summary"
+msgstr "Rezumat"
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr "Execut commit fără mesaj?"
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr "Puteţi descrie conţinutul commit-ului în mesaj"
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr "Execut commit cu fişiere necunoscute?"
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+"Există fişiere necunoscute în working tree. Doriţi să continuaţi commit-ul?"
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr "Execut commit fără nicio schimbare?"
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
+msgid "External utility:"
+msgstr "Utilitar extern:"
+
+#: ../conflicts.py:97
+msgid "Conflicts"
+msgstr "Conflicte"
+
+#: ../conflicts.py:100
+msgid "No conflicts in working tree."
+msgstr "Nu există conflicte în working tree"
+
+#: ../conflicts.py:114
+msgid "path conflict"
+msgstr "conflict cale"
+
+#: ../conflicts.py:116
+msgid "contents conflict"
+msgstr "conflict conţinut"
+
+#: ../conflicts.py:118
+msgid "text conflict"
+msgstr "conflict text"
+
+#: ../conflicts.py:120
+msgid "duplicate id"
+msgstr "id duplicat"
+
+#: ../conflicts.py:122
+msgid "duplicate"
+msgstr "duplicat"
+
+#: ../conflicts.py:124
+msgid "parent loop"
+msgstr "bucla părinte"
+
+#: ../conflicts.py:126
+msgid "unversioned parent"
+msgstr "părinte necunoscut"
+
+#: ../conflicts.py:128
+msgid "missing parent"
+msgstr "părinte lipsă"
+
+#: ../conflicts.py:130
+msgid "deleting parent"
+msgstr "şterg părinte"
+
+#: ../conflicts.py:132
+msgid "unknown type of conflict"
+msgstr "conflict de tip necunoscut"
+
+#: ../conflicts.py:161
+msgid "No file was selected"
+msgstr "Nu a fost selectat niciun fisier"
+
+#: ../conflicts.py:162
+msgid "Please select a file from the list."
+msgstr "Vă rog selectaţi un fişier din listă"
+
+#: ../conflicts.py:172
+msgid "Call to external utility failed"
+msgstr "Apelarea utilitarului extern a eşuat"
+
+#: ../conflicts.py:174
+msgid "Cannot resolve conflict"
+msgstr "Nu pot rezolva conflict"
+
+#: ../conflicts.py:175
+msgid ""
+"Only conflicts on the text of files can be resolved with Olive at the "
+"moment. Content conflicts, on the structure of the tree, need to be resolved "
+"using the command line."
+msgstr ""
+"Doar conflictele din fişierele text pot fi rezolvate cu Olive deocamdată. "
+"Conflictele de conţinut, de structură de directoare trebuie rezolvate "
+"folosind linia de comandă."
+
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "_Vizualizează"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr "Merge încheiat cu succes"
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr "Toate modificările efectuate cu succes."
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr "Există conflicte"
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr "Vă rog rezolvaţi conflictele manual înainte de commit."
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr "Directorul nu este un branch"
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr "Puteţi efectua această operaţie doar pe un branch."
+
+#: ../errors.py:34
+msgid "Directory is not a checkout"
+msgstr "Directorul nu este un checkout"
+
+#: ../errors.py:35
+msgid "You can perform local commit only on checkouts."
+msgstr "Puteţi efectua commit-uri locale doar în checkout-uri"
+
+#: ../errors.py:37
+msgid "No changes to commit"
+msgstr "Nicio schimbare pentru commit"
+
+#: ../errors.py:38
+msgid "Try force commit if you want to commit anyway."
+msgstr "Încercaţi să forţaţi commit-ul dacă doriţi să continuaţi oricum."
+
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
+msgid "Conflicts in tree"
+msgstr "Conflicte în structura de directoare"
+
+#: ../errors.py:44
+msgid "You need to resolve the conflicts before committing."
+msgstr "Trebuie să rezolvaţi conflictele înainte de commit."
+
+#: ../errors.py:46
+msgid "Strict commit failed"
+msgstr "Commit-ul strict a eşuat"
+
+#: ../errors.py:47
+msgid ""
+"There are unknown files in the working tree.\n"
+"Please add or delete them."
+msgstr ""
+"Există fişiere necunoscute în working tree.\n"
+"Vă rog să le adăugaţi sau să le ştergeţi."
+
+#: ../errors.py:49
+msgid "Bound branch is out of date"
+msgstr "Branch-ul legat este desincronizat"
+
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
+#, python-format
+msgid "%s"
+msgstr "%s"
+
+#: ../errors.py:53
+msgid "File not versioned"
+msgstr "Fişier necunoscut"
+
+#: ../errors.py:54
+msgid "The selected file is not versioned."
+msgstr "Fişierul selectat nu este cunoscut"
+
+#: ../errors.py:56 ../push.py:100
+msgid "Branches have been diverged"
+msgstr "Branch-urile sunt desincronizate"
+
+#: ../errors.py:57
+msgid ""
+"You cannot push if branches have diverged. Use the\n"
+"overwrite option if you want to push anyway."
+msgstr ""
+"Nu puteţi executa push dacă branch-urile sunt desincronizate.\n"
+"Folosiţi opţiunea de suprascriere dacă doriţi să continuaţi."
+
+#: ../errors.py:59
+msgid "No diff output"
+msgstr "Nu există diferenţe"
+
+#: ../errors.py:60
+msgid "The selected file hasn't changed."
+msgstr "Fişierul selectat nu a fost modificat."
+
+#: ../errors.py:62
+msgid "No such revision"
+msgstr "Revizie inexistentă"
+
+#: ../errors.py:63
+msgid "The revision you specified doesn't exist."
+msgstr "Revizia pe care aţi specificat-o nu există."
+
+#: ../errors.py:65
+msgid "Target already exists"
+msgstr "Destinaţia există deja"
+
+#: ../errors.py:66
+msgid "Target directory already exists. Please select another target."
+msgstr ""
+"Directorul destinaţie există deja. Vă rog să selectaţi altă destinaţie."
+
+#: ../errors.py:68
+msgid "Directory is already a branch"
+msgstr "Directorul este deja un branch"
+
+#: ../errors.py:69
+#, python-format
+msgid ""
+"The current directory (%s) is already a branch.\n"
+"You can start using it, or initialize another directory."
+msgstr ""
+"Directorul curent (%s) este deja un branch.\n"
+"Puteţi să-l folosiţi sau să iniţializaţi un alt director."
+
+#: ../errors.py:71
+msgid "Branch without a working tree"
+msgstr "Branch fără ramură curentă de lucru"
+
+#: ../errors.py:72
+#, python-format
+msgid ""
+"The current directory (%s)\n"
+"is a branch without a working tree."
+msgstr ""
+"Directorul curent (%s)\n"
+"este un branch fără working tree"
+
+#: ../errors.py:74
+msgid "Unknown bzr error"
+msgstr "Eroare bzr necunoscută"
+
+#: ../errors.py:76
+msgid "Permission denied"
+msgstr "Acces interzis"
+
+#: ../errors.py:76
+msgid "permission denied."
+msgstr "acces interzis."
+
+#: ../errors.py:78
+msgid "Unknown error"
+msgstr "Eroare necunoscută"
+
+#. Create the widgets
+#: ../initialize.py:46
+msgid "_Initialize"
+msgstr "_Iniţializează"
+
+#: ../initialize.py:47
+msgid "Which directory do you want to initialize?"
+msgstr "Alegeţi directorul de iniţializat"
+
+#: ../initialize.py:49
+msgid "Current directory"
+msgstr "Directorul curent"
+
+#: ../initialize.py:51
+msgid "Create a new directory with the name:"
+msgstr "Creează un director nou cu numele:"
+
+#: ../initialize.py:87
+msgid "Directory name not specified"
+msgstr "Numele directorului nu a fost completat"
+
+#: ../initialize.py:88
+msgid "You should specify a new directory name."
+msgstr "Ar trebui să specificaţi un nume de director."
+
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr "_Merge"
+
+#: ../merge.py:130
+msgid "Branch not given"
+msgstr "Branch necompletat"
+
+#: ../merge.py:131
+msgid "Please specify a branch to merge from."
+msgstr "Vă rog specificaţi un branch sursă"
+
+#: ../merge.py:139
+msgid "Bazaar command error"
+msgstr "Eroare comandă Bazaar"
+
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
+msgid "Location:"
+msgstr "Locaţie:"
+
+#: ../push.py:52
+msgid "_Push"
+msgstr "_Push"
+
+#: ../push.py:101
+msgid ""
+"You cannot push if branches have diverged.\n"
+"Overwrite?"
+msgstr ""
+"Nu puteţi executa push dacă branch-urile sunt desincronizate.\n"
+"Suprascriu?"
+
+#: ../push.py:109
+msgid "Push successful"
+msgstr "Push încheiat cu succes"
+
+#: ../push.py:110
+#, python-format
+msgid "%d revision(s) pushed."
+msgstr "%d revizii copiate."
+
+#: ../push.py:141
+msgid "Non existing parent directory"
+msgstr "Directorul părinte nu există"
+
+#: ../push.py:142
+#, python-format
+msgid ""
+"The parent directory (%s)\n"
+"doesn't exist. Create?"
+msgstr ""
+"Directorul părinte (%s)\n"
+"nu există. Îl creez?"
+
+#. Create the widgets
+#: ../revbrowser.py:35
+msgid "_Select"
+msgstr "_Selectează"
+
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
+msgid "Added"
+msgstr "Adăugat"
+
+#: ../status.py:93
+msgid "Removed"
+msgstr "Şters"
+
+#: ../status.py:99
+msgid "Renamed"
+msgstr "Redenumit"
+
+#: ../status.py:106
+msgid "Modified"
+msgstr "Modificat"
+
+#: ../status.py:114
+msgid "Unknown"
+msgstr "Necunoscut"
+
+#: ../status.py:119
+msgid "No changes."
+msgstr "Neschimbat."
+
+#. Set properties
+#: ../tags.py:60
+msgid "Tags"
+msgstr "Tag-uri"
+
+#: ../tags.py:110
+msgid "Tag Name"
+msgstr "Nume tag"
+
+#: ../tags.py:115
+msgid "Revision ID"
+msgstr "ID revizie"
+
+#: ../tags.py:148
+msgid "Tags are not supported by this branch format. Please upgrade."
+msgstr "Acest format de branch nu suportă tag-uri. Vă rog să-l actualizaţi."
+
+#: ../tags.py:154
+msgid "No tagged revisions in the branch."
+msgstr "Nu există revizi cu tag-uri în branch."
+
+#: ../tags.py:222
+msgid "_Remove tag"
+msgstr "Şte_rge tag"
+
+#: ../tags.py:232
+msgid "<b><big>Remove tag?</big></b>"
+msgstr "<b><big>Şterg tag?</big></b>"
+
+#: ../tags.py:234
+#, python-format
+msgid "Are you sure you want to remove the tag: <b>%s</b>?"
+msgstr "Sigur doriţi să ştergeţi tag-ul <b>%s</b>?"
+
+#. Create the widgets
+#: ../tags.py:278
+msgid "_Add tag"
+msgstr "Adaugă tag"
+
+#: ../tags.py:280
+msgid "Tag Name:"
+msgstr "Nume tag:"
+
+#: ../tags.py:281
+msgid "Revision ID:"
+msgstr "ID revizie:"
+
+#: ../tags.py:312
+msgid "No tag name specified"
+msgstr "Nume tag necompletat"
+
+#: ../tags.py:313
+msgid "You have to specify the tag's desired name."
+msgstr "Trebuie să specificaţi numele dorit pentru tag."

=== modified file 'po/ru.po'
--- po/ru.po	2008-03-11 17:01:27 +0000
+++ po/ru.po	2011-12-02 05:55:20 +0000
@@ -7,367 +7,496 @@
 msgstr ""
 "Project-Id-Version: olive\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2007-08-13 12:05+0200\n"
-"PO-Revision-Date: 2007-06-17 20:24+0000\n"
-"Last-Translator: Pavel A. Bragin <balintrue@gmail.com>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:58+0000\n"
+"Last-Translator: Sergey Basalaev <SBasalaev@gmail.com>\n"
 "Language-Team: Russian <ru@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2008-03-11 16:44+0000\n"
-"X-Generator: Launchpad (build Unknown)\n"
-
-#: branch.py:52 olive.glade:151
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
 msgid "_Branch"
-msgstr "Ветка"
-
-#: branch.py:55 checkout.py:53
-msgid "Please select a folder"
-msgstr "Выберите папку"
-
-#: branch.py:57 checkout.py:55
+msgstr "В_етка"
+
+#: ../branch.py:49 ../checkout.py:49
 msgid "Branch location:"
-msgstr "Дислокация ветки:"
+msgstr "Расположение ветки:"
 
-#: branch.py:58 checkout.py:56
+#: ../branch.py:51 ../checkout.py:50
 msgid "Destination:"
 msgstr "Назначение:"
 
-#: branch.py:59 checkout.py:57
+#: ../branch.py:52
 msgid "Branck nick:"
-msgstr ""
+msgstr "Условное обозначение ветки:"
 
-#: branch.py:60 checkout.py:58
+#: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
-msgstr ""
-
-#: branch.py:162 checkout.py:163
+msgstr "Версия:"
+
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Выберите папку"
+
+#: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
-msgstr ""
+msgstr "Отсутствует расположение ветки"
 
-#: branch.py:163 checkout.py:164
+#: ../branch.py:135 ../checkout.py:154
 msgid "You must specify a branch location."
-msgstr ""
+msgstr "Вы должны указать расположение ветви"
 
-#: branch.py:205
+#: ../branch.py:174
 msgid "Branching successful"
-msgstr ""
+msgstr "Ветвь успешно создана"
 
-#: branch.py:206
+#: ../branch.py:175
 #, python-format
 msgid "%d revision(s) branched."
-msgstr ""
+msgstr "%d версия ветки"
 
-#: branch.py:214 checkout.py:195
+#: ../branch.py:183 ../checkout.py:185
 msgid "N/A"
-msgstr ""
+msgstr "Н/Д"
 
-#: checkout.py:50
+#. Create the widgets
+#: ../checkout.py:44
 msgid "Check_out"
+msgstr "_Проверка"
+
+#: ../checkout.py:51
+msgid "Branch nick:"
 msgstr ""
 
-#: checkout.py:62
+#: ../checkout.py:56
 msgid "_Lightweight checkout"
-msgstr ""
+msgstr "_Облегченная проверка"
 
-#: commit.py:68
+#: ../commands.py:305
 msgid "Directory does not have a working tree"
-msgstr ""
+msgstr "У каталога нет рабочего дерева"
 
-#: commit.py:69
+#: ../commands.py:306
 msgid "Operation aborted."
-msgstr ""
-
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556
-#, fuzzy
-msgid "Directory is not a branch"
-msgstr "Каталог не является ветвью"
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557
-#, fuzzy
-msgid "You can perform this action only in a branch."
-msgstr "Вы можете применить это действи етолько к ветви."
-
-#: commit.py:88
+msgstr "Операция прервана."
+
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr "Есть локальные изменения в ветви"
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr "Пожалуйста закрепите или откатите изменения перед обьединением."
+
+#: ../commit.py:178
+msgid "added"
+msgstr "добавлен"
+
+#: ../commit.py:179
+msgid "removed"
+msgstr "удален"
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr "переименован"
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr "переименован и изменен"
+
+#: ../commit.py:182
+msgid "modified"
+msgstr "изменён"
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr "_Публиковать только локально?"
+
+#: ../commit.py:361
 msgid "Comm_it"
-msgstr ""
-
-#: commit.py:89
-msgid "File(s) to commit"
-msgstr ""
-
-#: commit.py:95
-msgid "Commit message:"
-msgstr ""
-
-#: commit.py:99
-msgid "Pending merges"
-msgstr ""
-
-#: commit.py:147
-msgid "_Only commit locally"
-msgstr ""
-
-#: commit.py:215
-msgid "Commit with an empty message?"
-msgstr ""
-
-#: commit.py:216
-msgid "You can describe your commit intent in the message."
-msgstr ""
-
-#: commit.py:228
-msgid "Commit with unknowns?"
-msgstr ""
-
-#: commit.py:229
-msgid "Unknown files exist in the working tree. Commit anyway?"
-msgstr ""
-
-#: commit.py:240
-msgid "Commit with no changes?"
-msgstr ""
-
-#: commit.py:241
-msgid "There are no changes in the working tree."
-msgstr ""
-
-#: commit.py:323 menu.py:87
+msgstr "О_публиковать"
+
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
 msgid "Commit"
-msgstr "Зафиксировать"
+msgstr "Публиковать"
 
-#: commit.py:325 conflicts.py:108
-#, fuzzy
+#: ../commit.py:443 ../conflicts.py:107
 msgid "Path"
 msgstr "Путь"
 
-#: commit.py:327 conflicts.py:110
-#, fuzzy
+#: ../commit.py:445 ../conflicts.py:109
 msgid "Type"
 msgstr "Тип"
 
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
-msgid "added"
-msgstr ""
-
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
-#, fuzzy
-msgid "removed"
-msgstr "удален"
-
-#: commit.py:353
-msgid "renamed and modified"
-msgstr ""
-
-#: commit.py:355 __init__.py:936 __init__.py:1223
-#, fuzzy
-msgid "renamed"
-msgstr "переименован"
-
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
-msgid "modified"
-msgstr ""
-
-#: commit.py:395
-#, fuzzy
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
 msgid "Date"
 msgstr "Дата"
 
-#: commit.py:397 revbrowser.py:68
+#: ../commit.py:505
 msgid "Committer"
-msgstr ""
+msgstr "Опубликовал"
 
-#: commit.py:399 revbrowser.py:66
+#: ../commit.py:507 ../search.py:60
 msgid "Summary"
-msgstr ""
-
-#: conflicts.py:48
+msgstr "Сводка"
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr "Публиковать с пустым сообщением?"
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr "Вы можете описать вашу публикацию в сообщении"
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr "Публиковать с неизвестными?"
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr "Неизвестные файлы в рабочем дереве. Продолжить публикацию?"
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr "Публиковать без внесения изменений?"
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
 msgid "External utility:"
-msgstr ""
+msgstr "Внешняя утилита:"
 
-#: conflicts.py:99
+#: ../conflicts.py:97
 msgid "Conflicts"
-msgstr ""
+msgstr "Конфликты"
 
-#: conflicts.py:102
+#: ../conflicts.py:100
 msgid "No conflicts in working tree."
-msgstr ""
+msgstr "В рабочем дереве конфликтов нет."
 
-#: conflicts.py:115
+#: ../conflicts.py:114
 msgid "path conflict"
-msgstr ""
+msgstr "конфликт путей"
 
-#: conflicts.py:117
+#: ../conflicts.py:116
 msgid "contents conflict"
-msgstr ""
+msgstr "конфликт содержания"
 
-#: conflicts.py:119
+#: ../conflicts.py:118
 msgid "text conflict"
-msgstr ""
+msgstr "текстовый конфликт"
 
-#: conflicts.py:121
+#: ../conflicts.py:120
 msgid "duplicate id"
-msgstr ""
+msgstr "совпадающий id"
 
-#: conflicts.py:123
+#: ../conflicts.py:122
 msgid "duplicate"
-msgstr ""
+msgstr "дубликат"
 
-#: conflicts.py:125
+#: ../conflicts.py:124
 msgid "parent loop"
-msgstr ""
+msgstr "начальный контур"
 
-#: conflicts.py:127
+#: ../conflicts.py:126
 msgid "unversioned parent"
-msgstr ""
+msgstr "вне версионный предок"
 
-#: conflicts.py:129
+#: ../conflicts.py:128
 msgid "missing parent"
-msgstr ""
+msgstr "отсутствует предок"
 
-#: conflicts.py:131
+#: ../conflicts.py:130
 msgid "deleting parent"
-msgstr ""
+msgstr "удален предок"
 
-#: conflicts.py:133
+#: ../conflicts.py:132
 msgid "unknown type of conflict"
-msgstr ""
+msgstr "неизвестный тип конфликта"
 
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
-#, fuzzy
+#: ../conflicts.py:161
 msgid "No file was selected"
 msgstr "Файл не был выбран"
 
-#: conflicts.py:163 __init__.py:615 menu.py:192
+#: ../conflicts.py:162
 msgid "Please select a file from the list."
-msgstr ""
+msgstr "Пожалуйста, выберите файл из списка."
 
-#: conflicts.py:173
+#: ../conflicts.py:172
 msgid "Call to external utility failed"
-msgstr ""
+msgstr "Вызов внешнего приложения неудачен"
 
-#: conflicts.py:175
+#: ../conflicts.py:174
 msgid "Cannot resolve conflict"
-msgstr ""
+msgstr "Невозможно разрешить конфликт"
 
-#: conflicts.py:176
+#: ../conflicts.py:175
 msgid ""
 "Only conflicts on the text of files can be resolved with Olive at the "
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
 "using the command line."
 msgstr ""
-
-#: errors.py:29
+"В настоящее время, при помощи Olive можно разрешить только конфликты текста "
+"в файлах. Конфликты содержимого, структуры дерева должны разрешаться "
+"используя командную строку."
+
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "_Просмотр"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr "Объединение прошло успешно"
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr "Все изменения применены успешно ."
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr "Обнаружены конфликты"
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr "Пожалуйста, разрешите конфликты вручную перед публикацией."
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr "Каталог не является ветвью"
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr "Вы можете применить это действие только к ветви."
+
+#: ../errors.py:34
 msgid "Directory is not a checkout"
-msgstr ""
+msgstr "Каталог не проверен"
 
-#: errors.py:30
+#: ../errors.py:35
 msgid "You can perform local commit only on checkouts."
-msgstr ""
+msgstr "Вы можете выполнить локальную публикацию только после проверки."
 
-#: errors.py:32
+#: ../errors.py:37
 msgid "No changes to commit"
-msgstr ""
+msgstr "Нет изменений для публикации"
 
-#: errors.py:33
+#: ../errors.py:38
 msgid "Try force commit if you want to commit anyway."
-msgstr ""
-
-#: errors.py:35
-#, fuzzy
+msgstr "Попытаться опубликовать если вы хотите опубликовать в любом случае."
+
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
 msgid "Conflicts in tree"
 msgstr "Конфликты в дереве"
 
-#: errors.py:36
-#, fuzzy
+#: ../errors.py:44
 msgid "You need to resolve the conflicts before committing."
-msgstr "Вам необходимо устранить все конфликты перед фиксацией."
+msgstr "Вам необходимо устранить все конфликты перед публикацией."
 
-#: errors.py:38
-#, fuzzy
+#: ../errors.py:46
 msgid "Strict commit failed"
-msgstr "Ошибка точной фиксации"
+msgstr "Ошибка точной публикации"
 
-#: errors.py:39
+#: ../errors.py:47
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
 msgstr ""
+"В рабочем дереве содержаться неизвестные файлы.\n"
+"Пожалуйста добавьте или удалите их."
 
-#: errors.py:41
+#: ../errors.py:49
 msgid "Bound branch is out of date"
-msgstr ""
+msgstr "Связанная ветвь устарела"
 
-#: errors.py:42
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
 #, python-format
 msgid "%s"
-msgstr ""
+msgstr "%s"
 
-#: errors.py:44
+#: ../errors.py:53
 msgid "File not versioned"
-msgstr ""
+msgstr "Файл без версии"
 
-#: errors.py:45
+#: ../errors.py:54
 msgid "The selected file is not versioned."
-msgstr ""
+msgstr "Выбранный файл без версии"
 
-#: errors.py:47 push.py:105
-#, fuzzy
+#: ../errors.py:56 ../push.py:100
 msgid "Branches have been diverged"
 msgstr "Ветви не совпадают"
 
-#: errors.py:48
+#: ../errors.py:57
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
 msgstr ""
+"Вы не можете передать если ветви расходятся. Используйте\n"
+"опцию перезаписи если вы ходите передать в любом случае."
 
-#: errors.py:50
+#: ../errors.py:59
 msgid "No diff output"
-msgstr ""
+msgstr "Нет результатов сравнения"
 
-#: errors.py:51
+#: ../errors.py:60
 msgid "The selected file hasn't changed."
-msgstr ""
+msgstr "Выбранный файл не изменился."
 
-#: errors.py:53
+#: ../errors.py:62
 msgid "No such revision"
-msgstr ""
+msgstr "Нет такой ревизии"
 
-#: errors.py:54
+#: ../errors.py:63
 msgid "The revision you specified doesn't exist."
-msgstr ""
+msgstr "Указанная вами ревизия не существует"
 
-#: errors.py:56
+#: ../errors.py:65
 msgid "Target already exists"
-msgstr ""
+msgstr "Цель уже существует."
 
-#: errors.py:57
+#: ../errors.py:66
 msgid "Target directory already exists. Please select another target."
 msgstr ""
+"Указанный каталог уже существует. Пожалуйста, укажите другое значение."
 
-#: errors.py:59
-#, fuzzy
+#: ../errors.py:68
 msgid "Directory is already a branch"
 msgstr "Каталог уже является ветвью"
 
-#: errors.py:60
-#, fuzzy, python-format
+#: ../errors.py:69
+#, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
 "You can start using it, or initialize another directory."
 msgstr ""
 "Текущий каталог (%s) уже является ветвью.\n"
-"Вы не можете использовать его, или инициализировать другой каталог."
+"Используйте его  или инициализируйте другой каталог."
 
-#: errors.py:62
-#, fuzzy
+#: ../errors.py:71
 msgid "Branch without a working tree"
 msgstr "Ветвь находится вне рабочего дерева"
 
-#: errors.py:63
-#, fuzzy, python-format
+#: ../errors.py:72
+#, python-format
 msgid ""
 "The current directory (%s)\n"
 "is a branch without a working tree."
@@ -375,995 +504,250 @@
 "Текущий каталог (%s)\n"
 "является ветвью вне рабочего дерева."
 
-#: errors.py:65
+#: ../errors.py:74
 msgid "Unknown bzr error"
-msgstr ""
+msgstr "Неизвестная ошибка bzr"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "Permission denied"
-msgstr ""
+msgstr "В доступе отказано"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "permission denied."
-msgstr ""
+msgstr "доступ запрещен."
 
-#: errors.py:69
+#: ../errors.py:78
 msgid "Unknown error"
-msgstr ""
+msgstr "Неизвестная ошибка"
 
-#: initialize.py:47
+#. Create the widgets
+#: ../initialize.py:46
 msgid "_Initialize"
-msgstr "Инициализировать"
+msgstr "_Инициализировать"
 
-#: initialize.py:48
+#: ../initialize.py:47
 msgid "Which directory do you want to initialize?"
-msgstr ""
+msgstr "Какой каталог вы хотите инициализировать?"
 
-#: initialize.py:49
+#: ../initialize.py:49
 msgid "Current directory"
-msgstr ""
+msgstr "Текущий каталог"
 
-#: initialize.py:50
+#: ../initialize.py:51
 msgid "Create a new directory with the name:"
-msgstr ""
+msgstr "Создайте новый каталог с именем:"
 
-#: initialize.py:85
+#: ../initialize.py:87
 msgid "Directory name not specified"
-msgstr ""
+msgstr "Не указано имя каталога"
 
-#: initialize.py:86
+#: ../initialize.py:88
 msgid "You should specify a new directory name."
-msgstr ""
-
-#: merge.py:66
+msgstr "вы должны указать имя нового каталога."
+
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr "_Объединить"
+
+#: ../merge.py:130
 msgid "Branch not given"
-msgstr ""
+msgstr "Ветвь не выбрана"
 
-#: merge.py:67
+#: ../merge.py:131
 msgid "Please specify a branch to merge from."
-msgstr ""
+msgstr "Пожалуйста, укажите ветку для объединения"
 
-#: merge.py:75
+#: ../merge.py:139
 msgid "Bazaar command error"
-msgstr ""
-
-#: merge.py:81
-msgid "Merge successful"
-msgstr ""
-
-#: merge.py:82
-msgid "All changes applied successfully."
-msgstr ""
-
-#: merge.py:85
-msgid "Conflicts encountered"
-msgstr ""
-
-#: merge.py:86
-msgid "Please resolve the conflicts manually before committing."
-msgstr ""
-
-#: push.py:52 bookmark.py:45
+msgstr "Ошибка комманды Bazaar"
+
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
 msgid "Location:"
-msgstr ""
+msgstr "Местоположение:"
 
-#: push.py:54
+#: ../push.py:52
 msgid "_Push"
-msgstr ""
-
-#: push.py:97
-msgid "Set default push location"
-msgstr ""
-
-#: push.py:98
-#, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-msgstr ""
-
-#: push.py:106
+msgstr "_Разместить"
+
+#: ../push.py:101
 msgid ""
 "You cannot push if branches have diverged.\n"
 "Overwrite?"
 msgstr ""
+"Вы не можете передать если ветви расходятся.\n"
+"Перезаписать?"
 
-#: push.py:112
+#: ../push.py:109
 msgid "Push successful"
-msgstr ""
+msgstr "Успешное размещение"
 
-#: push.py:113
+#: ../push.py:110
 #, python-format
 msgid "%d revision(s) pushed."
-msgstr ""
+msgstr "%d ревизия(и) передана(ы)."
 
-#: push.py:146
-#, fuzzy
+#: ../push.py:141
 msgid "Non existing parent directory"
-msgstr "Несуществующий родительский каталог"
+msgstr "Отсутствует родительский каталог"
 
-#: push.py:147
+#: ../push.py:142
 #, python-format
 msgid ""
 "The parent directory (%s)\n"
 "doesn't exist. Create?"
 msgstr ""
-
-#: revbrowser.py:45
-msgid "Please wait, revisions are being loaded..."
-msgstr ""
-
-#: revbrowser.py:48
+"Родительский каталог (%s)\n"
+"не существует. Создать?"
+
+#. Create the widgets
+#: ../revbrowser.py:35
 msgid "_Select"
-msgstr ""
-
-#: revbrowser.py:64
-msgid "Revno"
-msgstr ""
-
-#: revbrowser.py:70
-msgid "Time"
-msgstr ""
-
-#: status.py:78
+msgstr "В_ыделить"
+
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
 msgid "Added"
-msgstr ""
+msgstr "Добавлено"
 
-#: status.py:84
+#: ../status.py:93
 msgid "Removed"
-msgstr ""
+msgstr "Удалено"
 
-#: status.py:90
+#: ../status.py:99
 msgid "Renamed"
-msgstr ""
+msgstr "Переименовано"
 
-#: status.py:97
-#, fuzzy
+#: ../status.py:106
 msgid "Modified"
 msgstr "Изменено"
 
-#: status.py:105
-#, fuzzy
+#: ../status.py:114
 msgid "Unknown"
-msgstr "Неизвестно"
+msgstr "Неизвестный"
 
-#: status.py:110
+#: ../status.py:119
 msgid "No changes."
-msgstr ""
+msgstr "Без изменений."
 
-#: tags.py:67
+#. Set properties
+#: ../tags.py:60
 msgid "Tags"
-msgstr ""
+msgstr "Метки"
 
-#: tags.py:111
+#: ../tags.py:110
 msgid "Tag Name"
-msgstr ""
+msgstr "Название метки"
 
-#: tags.py:116
+#: ../tags.py:115
 msgid "Revision ID"
-msgstr ""
+msgstr "Идентификатор ревизии"
 
-#: tags.py:151
+#: ../tags.py:148
 msgid "Tags are not supported by this branch format. Please upgrade."
-msgstr ""
+msgstr "Метки не поддерживаются текущим форматом ветви. Пожалуйста обновите."
 
-#: tags.py:157
+#: ../tags.py:154
 msgid "No tagged revisions in the branch."
-msgstr ""
+msgstr "Нет помеченной ревизии в ветви."
 
-#: tags.py:232
+#: ../tags.py:222
 msgid "_Remove tag"
-msgstr ""
+msgstr "_Удалить метку"
 
-#: tags.py:242
+#: ../tags.py:232
 msgid "<b><big>Remove tag?</big></b>"
-msgstr ""
+msgstr "<b><big>Удалить метку?</big></b>"
 
-#: tags.py:244
+#: ../tags.py:234
 #, python-format
 msgid "Are you sure you want to remove the tag: <b>%s</b>?"
-msgstr ""
+msgstr "Вы уверены, что хотите удалить метку: <b>%s</b>?"
 
-#: tags.py:289
+#. Create the widgets
+#: ../tags.py:278
 msgid "_Add tag"
-msgstr ""
+msgstr "_Добавить метку"
 
-#: tags.py:291
+#: ../tags.py:280
 msgid "Tag Name:"
-msgstr ""
+msgstr "Название метки:"
 
-#: tags.py:292
+#: ../tags.py:281
 msgid "Revision ID:"
-msgstr ""
+msgstr "Идентификатор ревизии:"
 
-#: tags.py:323
+#: ../tags.py:312
 msgid "No tag name specified"
-msgstr ""
+msgstr "Не указано название метки"
 
-#: tags.py:324
+#: ../tags.py:313
 msgid "You have to specify the tag's desired name."
-msgstr ""
-
-#: __init__.py:512
-msgid "There are local changes in the branch"
-msgstr ""
-
-#: __init__.py:513
-msgid "Please commit or revert the changes before merging."
-msgstr ""
-
-#: __init__.py:525 __init__.py:550
-msgid "Parent location is unknown"
-msgstr ""
-
-#: __init__.py:526
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr ""
-
-#: __init__.py:537
-msgid "There are missing revisions"
-msgstr ""
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr ""
-
-#: __init__.py:540
-#, fuzzy
-msgid "Local branch up to date"
-msgstr "Локальная ветьвь обновлена"
-
-#: __init__.py:541
-msgid "There are no missing revisions."
-msgstr ""
-
-#: __init__.py:551
-msgid "Pulling is not possible until there is a parent location."
-msgstr ""
-
-#: __init__.py:561
-msgid "Pull successful"
-msgstr ""
-
-#: __init__.py:561
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr ""
-
-#: __init__.py:575 menu.py:275
-msgid "Conflicts detected"
-msgstr ""
-
-#: __init__.py:576 menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr ""
-
-#: __init__.py:578 menu.py:278
-msgid "Revert successful"
-msgstr ""
-
-#: __init__.py:579 menu.py:279
-msgid "All files reverted to last revision."
-msgstr ""
-
-#: __init__.py:835 __init__.py:1117
-#, fuzzy
-msgid "Bookmarks"
-msgstr "Закладки"
-
-#: __init__.py:842 menu.py:99
-#, fuzzy
-msgid "Bookmark"
-msgstr "Закладка"
-
-#: __init__.py:944 __init__.py:1231
-#, fuzzy
-msgid "unchanged"
-msgstr "неизмененный"
-
-#: __init__.py:946 __init__.py:1233
-msgid "ignored"
-msgstr ""
-
-#: __init__.py:948 __init__.py:1235
-msgid "unknown"
-msgstr "неизвестный"
-
-#: __init__.py:964
-#, fuzzy
-msgid "Filename"
-msgstr "Имя файла"
-
-#: __init__.py:965
-msgid "Status"
-msgstr "Состояние"
-
-#: __init__.py:966
-msgid "Size"
-msgstr ""
-
-#: __init__.py:967
-msgid "Last modified"
-msgstr ""
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-#, fuzzy
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-"Пожалуйста, выберите файл из этого списка,\n"
-"или выберите другие опции."
-
-#: bookmark.py:46
-#, fuzzy
-msgid "Title:"
-msgstr "Заголовок:"
-
-#: bookmark.py:81
-msgid "No title given"
-msgstr ""
-
-#: bookmark.py:82
-#, fuzzy
-msgid "Please specify a title to continue."
-msgstr "Для продолжения укажите, пожалуйста, название."
-
-#: guifiles.py:45
-msgid "Glade file cannot be found."
-msgstr ""
-
-#: guifiles.py:55
-msgid "UI description file cannot be found."
-msgstr ""
-
-#: menu.py:63
-#, fuzzy
-msgid "Add"
-msgstr "Добавить"
-
-#: menu.py:64
-#, fuzzy
-msgid "Add the selected file"
-msgstr "Добавить выбранный файл"
-
-#: menu.py:67 menu.py:107
-#, fuzzy
-msgid "Remove"
-msgstr "Удалить"
-
-#: menu.py:68
-#, fuzzy
-msgid "Remove the selected file"
-msgstr "Удалить выбранный файл"
-
-#: menu.py:71
-msgid "Remove and delete"
-msgstr ""
-
-#: menu.py:72
-msgid "Remove the selected file/dir and delete from disk"
-msgstr ""
-
-#: menu.py:75
-msgid "Rename"
-msgstr ""
-
-#: menu.py:76
-msgid "Rename the selected file"
-msgstr ""
-
-#: menu.py:79
-msgid "Open"
-msgstr ""
-
-#: menu.py:80
-msgid "Open the selected file"
-msgstr ""
-
-#: menu.py:83
-msgid "Revert"
-msgstr ""
-
-#: menu.py:84
-msgid "Revert the changes"
-msgstr ""
-
-#: menu.py:88
-#, fuzzy
-msgid "Commit the changes"
-msgstr "Фиксировать изменения"
-
-#: menu.py:91
-msgid "Annotate"
-msgstr ""
-
-#: menu.py:92
-msgid "Annotate the selected file"
-msgstr ""
-
-#: menu.py:95
-msgid "Diff"
-msgstr "Различия"
-
-#: menu.py:96
-#, fuzzy
-msgid "Show the diff of the file"
-msgstr "Показать изменения в этом файле"
-
-#: menu.py:100
-msgid "Bookmark current location"
-msgstr ""
-
-#: menu.py:103
-#, fuzzy
-msgid "Edit"
-msgstr "Редактировать"
-
-#: menu.py:104
-#, fuzzy
-msgid "Edit the selected bookmark"
-msgstr "Редактировать выбранную закладку"
-
-#: menu.py:108
-#, fuzzy
-msgid "Remove the selected bookmark"
-msgstr "Удалить выбранную закладку"
-
-#: menu.py:111
-msgid "Open Folder"
-msgstr ""
-
-#: menu.py:112
-msgid "Open bookmark folder in Nautilus"
-msgstr ""
-
-#: menu.py:115
-#, fuzzy
-msgid "Selected..."
-msgstr "Выбрать..."
-
-#: menu.py:116
-#, fuzzy
-msgid "Show the differences of the selected file"
-msgstr "Показать изменения в выбранном файле"
-
-#: menu.py:119
-#, fuzzy
-msgid "All..."
-msgstr "Все..."
-
-#: menu.py:120
-#, fuzzy
-msgid "Show the differences of all files"
-msgstr "Показать изменения во всех файлах"
-
-#: menu.py:123
-msgid "View contents"
-msgstr ""
-
-#: menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr ""
-
-#: menu.py:127
-msgid "Show differences"
-msgstr ""
-
-#: menu.py:128
-msgid "Show the differences between two revisions of the file"
-msgstr ""
-
-#: menu.py:131
-msgid "Revert to this revision"
-msgstr ""
-
-#: menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr ""
-
-#: menu.py:228
-msgid "Delete directory with all directories below ?"
-msgstr ""
-
-#: menu.py:315
-#, fuzzy
-msgid "Bookmark successfully added"
-msgstr "Закладка успешно добавлена"
-
-#: menu.py:316
-#, fuzzy
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-"Текущий каталог добавлен в закладки. Вы можете\n"
-"выбрать его на левой панели."
-
-#: menu.py:319
-msgid "Location already bookmarked"
-msgstr ""
-
-#: menu.py:320
-#, fuzzy
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-"Текущий каталог уже добавлен в закладки.\n"
-"Смотрите ссылку в левой панели."
-
-#: mkdir.py:67
-msgid "No directory name given"
-msgstr ""
-
-#: mkdir.py:68
-#, fuzzy
-msgid "Please specify a desired name for the new directory."
-msgstr "Укажите имя нового каталога."
-
-#: mkdir.py:79 mkdir.py:89
-#, fuzzy
-msgid "Directory already exists"
-msgstr "Каталог уже существует"
-
-#: mkdir.py:80 mkdir.py:90
-#, fuzzy
-msgid "Please specify another name to continue."
-msgstr "Выберите другое имя."
-
-#: move.py:80 rename.py:71
-#, fuzzy
-msgid "Please select a file from the list to proceed."
-msgstr "ДЛя продолжения выберите файл из списка."
-
-#: move.py:89 rename.py:87
-#, fuzzy
-msgid "Not the same branch"
-msgstr "Это другая ветвь"
-
-#: move.py:90 rename.py:88
-msgid "The destination is not in the same branch."
-msgstr ""
-
-#: remove.py:79 remove.py:139
-#, fuzzy
-msgid "No matching files"
-msgstr "Нет подходящих файлов"
-
-#: remove.py:80 remove.py:140
-msgid "No added files were found in the working tree."
-msgstr ""
-
-#: remove.py:105 olive.glade:825
-msgid "Which file(s) do you want to remove?"
-msgstr "Какие файлы вы хотите удалить?"
-
-#: remove.py:106 olive.glade:717 olive.glade:837
-msgid "Selected only"
-msgstr "Только отмеченные"
-
-#: remove.py:107 olive.glade:851
-msgid "All files with status 'added'"
-msgstr "Все файлы со статусом \"добавлен\""
-
-#: remove.py:108 olive.glade:905
-msgid "_Remove"
-msgstr "Удалить"
-
-#: rename.py:75
-msgid "Filename not given"
-msgstr ""
-
-#: rename.py:76
-#, fuzzy
-msgid "Please specify a new name for the file."
-msgstr "Выберите новое имя для этого файла."
-
-#: olive.glade:8
-msgid "Olive - Bazaar GUI"
-msgstr ""
-
-#: olive.glade:21
-msgid "_File"
-msgstr ""
-
-#: olive.glade:28
-#, fuzzy
-msgid "_Add file(s)..."
-msgstr "Добавить файл(ы)..."
-
-#: olive.glade:43
-#, fuzzy
-msgid "Remove file(s)..."
-msgstr "Удалить файл(ы)..."
-
-#: olive.glade:63
-#, fuzzy
-msgid "Make _directory..."
-msgstr "Создать каталог..."
-
-#: olive.glade:76
-msgid "_Rename..."
-msgstr "_Переименовать..."
-
-#: olive.glade:84
-msgid "_Move..."
-msgstr "_Переместить..."
-
-#: olive.glade:92
-msgid "_Annotate..."
-msgstr ""
-
-#: olive.glade:118
-msgid "_View"
-msgstr ""
-
-#: olive.glade:126
-msgid "Show _hidden files"
-msgstr "Показывать скрытые файлы"
-
-#: olive.glade:139
-msgid "_Refresh"
-msgstr "Обновить"
-
-#: olive.glade:158
-msgid "_Initialize..."
-msgstr ""
-
-#: olive.glade:166
-#, fuzzy
-msgid "_Get..."
-msgstr "Получить..."
-
-#: olive.glade:174
-msgid "C_heckout..."
-msgstr ""
-
-#: olive.glade:187
-msgid "Pu_ll"
-msgstr ""
-
-#: olive.glade:201
-msgid "Pu_sh..."
-msgstr ""
-
-#: olive.glade:220
-msgid "_Revert all changes"
-msgstr ""
-
-#: olive.glade:228
-msgid "_Merge..."
-msgstr ""
-
-#: olive.glade:236
-msgid "_Commit..."
-msgstr "Зафиксировать"
-
-#: olive.glade:255
-msgid "Ta_gs..."
-msgstr ""
-
-#: olive.glade:263
-msgid "S_tatus..."
-msgstr "Статус"
-
-#: olive.glade:271
-msgid "Missing _revisions"
-msgstr ""
-
-#: olive.glade:279
-msgid "Con_flicts..."
-msgstr ""
-
-#: olive.glade:291
-msgid "_Statistics"
-msgstr "Статистика"
-
-#: olive.glade:298
-msgid "_Differences..."
-msgstr "Различия..."
-
-#: olive.glade:312
-msgid "_Log..."
-msgstr "Журнал..."
-
-#: olive.glade:326
-msgid "_Information..."
-msgstr ""
-
-#: olive.glade:338
-msgid "_Help"
-msgstr "Справка"
-
-#: olive.glade:548
-msgid "gtk-jump-to"
-msgstr ""
-
-#: olive.glade:575
-msgid "H_istory Mode"
-msgstr ""
-
-#: olive.glade:673
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-
-#: olive.glade:675
-msgid "https://launchpad.net/products/olive"
-msgstr "https://launchpad.net/products/olive"
-
-#: olive.glade:677
-msgid "translator-credits"
-msgstr ""
-"Launchpad Contributions:\n"
-"  Alexander Belchenko https://launchpad.net/~bialix\n"
-"  Pavel A. Bragin https://launchpad.net/~balintrue"
-
-#: olive.glade:694
-msgid "Olive - Add file(s)"
-msgstr "Olive - Добавить файл(ы)"
-
-#: olive.glade:705
-msgid "Which file(s) do you want to add?"
-msgstr "Какие файлы вы хотите добавить?"
-
-#: olive.glade:731
-msgid "All unknowns recursively"
-msgstr "Все неизвестные рекурсивно"
-
-#: olive.glade:785
-msgid "_Add"
-msgstr "Добавить"
-
-#: olive.glade:814
-msgid "Olive - Remove file(s)"
-msgstr "Olive - Удалить файл(ы)"
-
-#: olive.glade:934
-msgid "Olive - Make directory"
-msgstr "Olive - Создать каталог"
-
-#: olive.glade:957
-msgid "_Versioned directory"
-msgstr ""
-
-#: olive.glade:1011
-msgid "_Make directory"
-msgstr "Создать каталог"
-
-#: olive.glade:1041
-msgid "Olive - Move"
-msgstr "Olive - Переместить"
-
-#: olive.glade:1055
-msgid "Move to"
-msgstr "Переместить в"
-
-#: olive.glade:1066
-msgid "Select a directory"
-msgstr "Выберите директорию"
-
-#: olive.glade:1120
-msgid "_Move"
-msgstr "Переместить"
-
-#: olive.glade:1148
-msgid "Olive - Rename"
-msgstr "Olive - Переименовать"
-
-#: olive.glade:1162
-msgid "Rename to"
-msgstr ""
-
-#: olive.glade:1227
-msgid "_Rename"
-msgstr ""
-
-#: olive.glade:1255
-msgid "Olive - Information"
-msgstr ""
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275
-msgid "(none)"
-msgstr ""
-
-#: olive.glade:1368
-msgid "Checkout root: "
-msgstr ""
-
-#: olive.glade:1380
-#, fuzzy
-msgid "Branch root: "
-msgstr "Корень ветви: "
-
-#: olive.glade:1392
-msgid "Repository checkout: "
-msgstr ""
-
-#: olive.glade:1404
-msgid "Checkout of branch: "
-msgstr ""
-
-#: olive.glade:1416
-#, fuzzy
-msgid "Repository branch: "
-msgstr "Ветвь репозитория: "
-
-#: olive.glade:1428
-msgid "Shared repository: "
-msgstr ""
-
-#: olive.glade:1440
-msgid "Light checkout root: "
-msgstr ""
-
-#: olive.glade:1454
-msgid "<b>Location:</b>"
-msgstr ""
-
-#: olive.glade:1508
-msgid "Publish to branch: "
-msgstr ""
-
-#: olive.glade:1520
-#, fuzzy
-msgid "Parent branch: "
-msgstr "Родительская ветвь: "
-
-#: olive.glade:1534
-msgid "<b>Related branches:</b>"
-msgstr ""
-
-#: olive.glade:1614
-#, fuzzy
-msgid "Repository format: "
-msgstr "Тип репозитория: "
-
-#: olive.glade:1626
-#, fuzzy
-msgid "Branch format: "
-msgstr "Тип ветви: "
-
-#: olive.glade:1638
-#, fuzzy
-msgid "Working tree format: "
-msgstr "Тип рабоего дерева: "
-
-#: olive.glade:1650
-msgid "Control format: "
-msgstr ""
-
-#: olive.glade:1664
-msgid "<b>Format:</b>"
-msgstr ""
-
-#: olive.glade:1731
-#, fuzzy
-msgid "Repository lock status: "
-msgstr "Состояние блокировки репозитория: "
-
-#: olive.glade:1743
-#, fuzzy
-msgid "Branch lock status: "
-msgstr "Состояние блокировки ветви: "
-
-#: olive.glade:1755
-#, fuzzy
-msgid "Working tree lock status: "
-msgstr "Состояние блокировки рабочего дерева: "
-
-#: olive.glade:1769
-msgid "<b>Lock status:</b>"
-msgstr ""
-
-#: olive.glade:1823
-msgid "Missing revisions in branch: "
-msgstr ""
-
-#: olive.glade:1835
-msgid "Missing revisions in working tree: "
-msgstr ""
-
-#: olive.glade:1849
-msgid "<b>Missing revisions:</b>"
-msgstr ""
-
-#: olive.glade:1981
-msgid "Versioned subdirectories: "
-msgstr ""
-
-#: olive.glade:1993
-msgid "Ignored files: "
-msgstr "Игнорируемые файлы: "
-
-#: olive.glade:2005
-#, fuzzy
-msgid "Unknown files: "
-msgstr "Неизвестные файлы: "
-
-#: olive.glade:2017
-#, fuzzy
-msgid "Renamed files: "
-msgstr "Переименованные файлы: "
-
-#: olive.glade:2029
-#, fuzzy
-msgid "Removed files: "
-msgstr "Удаленные файлы: "
-
-#: olive.glade:2041
-#, fuzzy
-msgid "Added files: "
-msgstr "Добавленные файлы: "
-
-#: olive.glade:2053
-msgid "Modified files: "
-msgstr "Измененные файлы: "
-
-#: olive.glade:2065
-#, fuzzy
-msgid "Unchanged files: "
-msgstr "Неизмененные файлы: "
-
-#: olive.glade:2079
-msgid "<b>In the working tree:</b>"
-msgstr ""
-
-#: olive.glade:2172
-msgid "Time of last revision: "
-msgstr ""
-
-#: olive.glade:2184
-msgid "Time of first revision: "
-msgstr ""
-
-#: olive.glade:2196
-#, fuzzy
-msgid "Age of branch in days: "
-msgstr "Возраст ветви в днях: "
-
-#: olive.glade:2208
-msgid "Number of commiters: "
-msgstr ""
-
-#: olive.glade:2220
-msgid "Revisions in branch: "
-msgstr ""
-
-#: olive.glade:2234
-msgid "<b>Branch history:</b>"
-msgstr ""
-
-#: olive.glade:2288
-#, fuzzy
-msgid "Size of repository: "
-msgstr "Размер репозитория: "
-
-#: olive.glade:2300
-msgid "Revisions in repository: "
-msgstr ""
-
-#: olive.glade:2314
-msgid "<b>Revision store:</b>"
-msgstr ""
-
-#: olive.glade:2356
-msgid "Merge - Olive"
-msgstr ""
-
-#: olive.glade:2370
-msgid "Merge from:"
-msgstr ""
-
-#: olive.glade:2454
-msgid "_Merge"
-msgstr ""
+msgstr "Вы должны указать желаемое имя метки."

=== modified file 'po/sr.po'
--- po/sr.po	2008-03-11 17:01:27 +0000
+++ po/sr.po	2011-12-02 05:55:20 +0000
@@ -7,1282 +7,731 @@
 msgstr ""
 "Project-Id-Version: olive\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2007-08-13 12:05+0200\n"
-"PO-Revision-Date: 2008-01-18 15:46+0000\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:58+0000\n"
+"Last-Translator: Jelmer Vernooij <Unknown>\n"
 "Language-Team: Serbian <sr@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2008-03-11 16:44+0000\n"
-"X-Generator: Launchpad (build Unknown)\n"
-
-#: branch.py:52 olive.glade:151
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
 msgid "_Branch"
-msgstr ""
-
-#: branch.py:55 checkout.py:53
-msgid "Please select a folder"
-msgstr ""
-
-#: branch.py:57 checkout.py:55
+msgstr "_Грана"
+
+#: ../branch.py:49 ../checkout.py:49
 msgid "Branch location:"
 msgstr ""
 
-#: branch.py:58 checkout.py:56
+#: ../branch.py:51 ../checkout.py:50
 msgid "Destination:"
 msgstr ""
 
-#: branch.py:59 checkout.py:57
+#: ../branch.py:52
 msgid "Branck nick:"
 msgstr ""
 
-#: branch.py:60 checkout.py:58
+#: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
 msgstr ""
 
-#: branch.py:162 checkout.py:163
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr ""
+
+#: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
 msgstr ""
 
-#: branch.py:163 checkout.py:164
+#: ../branch.py:135 ../checkout.py:154
 msgid "You must specify a branch location."
 msgstr ""
 
-#: branch.py:205
+#: ../branch.py:174
 msgid "Branching successful"
 msgstr ""
 
-#: branch.py:206
+#: ../branch.py:175
 #, python-format
 msgid "%d revision(s) branched."
 msgstr ""
 
-#: branch.py:214 checkout.py:195
+#: ../branch.py:183 ../checkout.py:185
 msgid "N/A"
 msgstr ""
 
-#: checkout.py:50
+#. Create the widgets
+#: ../checkout.py:44
 msgid "Check_out"
 msgstr ""
 
-#: checkout.py:62
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
 msgid "_Lightweight checkout"
 msgstr ""
 
-#: commit.py:68
+#: ../commands.py:305
 msgid "Directory does not have a working tree"
 msgstr ""
 
-#: commit.py:69
+#: ../commands.py:306
 msgid "Operation aborted."
 msgstr ""
 
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556
-msgid "Directory is not a branch"
-msgstr ""
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557
-msgid "You can perform this action only in a branch."
-msgstr ""
-
-#: commit.py:88
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr ""
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr ""
+
+#: ../commit.py:178
+msgid "added"
+msgstr ""
+
+#: ../commit.py:179
+msgid "removed"
+msgstr ""
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr ""
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr ""
+
+#: ../commit.py:182
+msgid "modified"
+msgstr ""
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr ""
+
+#: ../commit.py:361
 msgid "Comm_it"
 msgstr ""
 
-#: commit.py:89
-msgid "File(s) to commit"
-msgstr ""
-
-#: commit.py:95
-msgid "Commit message:"
-msgstr ""
-
-#: commit.py:99
-msgid "Pending merges"
-msgstr ""
-
-#: commit.py:147
-msgid "_Only commit locally"
-msgstr ""
-
-#: commit.py:215
-msgid "Commit with an empty message?"
-msgstr ""
-
-#: commit.py:216
-msgid "You can describe your commit intent in the message."
-msgstr ""
-
-#: commit.py:228
-msgid "Commit with unknowns?"
-msgstr ""
-
-#: commit.py:229
-msgid "Unknown files exist in the working tree. Commit anyway?"
-msgstr ""
-
-#: commit.py:240
-msgid "Commit with no changes?"
-msgstr ""
-
-#: commit.py:241
-msgid "There are no changes in the working tree."
-msgstr ""
-
-#: commit.py:323 menu.py:87
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
 msgid "Commit"
 msgstr ""
 
-#: commit.py:325 conflicts.py:108
+#: ../commit.py:443 ../conflicts.py:107
 msgid "Path"
 msgstr ""
 
-#: commit.py:327 conflicts.py:110
+#: ../commit.py:445 ../conflicts.py:109
 msgid "Type"
 msgstr ""
 
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
-msgid "added"
-msgstr ""
-
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
-msgid "removed"
-msgstr ""
-
-#: commit.py:353
-msgid "renamed and modified"
-msgstr ""
-
-#: commit.py:355 __init__.py:936 __init__.py:1223
-msgid "renamed"
-msgstr ""
-
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
-msgid "modified"
-msgstr ""
-
-#: commit.py:395
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
 msgid "Date"
 msgstr ""
 
-#: commit.py:397 revbrowser.py:68
+#: ../commit.py:505
 msgid "Committer"
 msgstr ""
 
-#: commit.py:399 revbrowser.py:66
+#: ../commit.py:507 ../search.py:60
 msgid "Summary"
 msgstr ""
 
-#: conflicts.py:48
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr ""
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr ""
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
 msgid "External utility:"
 msgstr ""
 
-#: conflicts.py:99
+#: ../conflicts.py:97
 msgid "Conflicts"
 msgstr ""
 
-#: conflicts.py:102
+#: ../conflicts.py:100
 msgid "No conflicts in working tree."
 msgstr ""
 
-#: conflicts.py:115
+#: ../conflicts.py:114
 msgid "path conflict"
 msgstr ""
 
-#: conflicts.py:117
+#: ../conflicts.py:116
 msgid "contents conflict"
 msgstr ""
 
-#: conflicts.py:119
+#: ../conflicts.py:118
 msgid "text conflict"
 msgstr ""
 
-#: conflicts.py:121
+#: ../conflicts.py:120
 msgid "duplicate id"
 msgstr ""
 
-#: conflicts.py:123
+#: ../conflicts.py:122
 msgid "duplicate"
 msgstr ""
 
-#: conflicts.py:125
+#: ../conflicts.py:124
 msgid "parent loop"
 msgstr ""
 
-#: conflicts.py:127
+#: ../conflicts.py:126
 msgid "unversioned parent"
 msgstr ""
 
-#: conflicts.py:129
+#: ../conflicts.py:128
 msgid "missing parent"
 msgstr ""
 
-#: conflicts.py:131
+#: ../conflicts.py:130
 msgid "deleting parent"
 msgstr ""
 
-#: conflicts.py:133
+#: ../conflicts.py:132
 msgid "unknown type of conflict"
 msgstr ""
 
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
+#: ../conflicts.py:161
 msgid "No file was selected"
 msgstr ""
 
-#: conflicts.py:163 __init__.py:615 menu.py:192
+#: ../conflicts.py:162
 msgid "Please select a file from the list."
 msgstr ""
 
-#: conflicts.py:173
+#: ../conflicts.py:172
 msgid "Call to external utility failed"
 msgstr ""
 
-#: conflicts.py:175
+#: ../conflicts.py:174
 msgid "Cannot resolve conflict"
 msgstr ""
 
-#: conflicts.py:176
+#: ../conflicts.py:175
 msgid ""
 "Only conflicts on the text of files can be resolved with Olive at the "
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
 "using the command line."
 msgstr ""
 
-#: errors.py:29
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr ""
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr ""
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr ""
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr ""
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr ""
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr ""
+
+#: ../errors.py:34
 msgid "Directory is not a checkout"
 msgstr ""
 
-#: errors.py:30
+#: ../errors.py:35
 msgid "You can perform local commit only on checkouts."
 msgstr ""
 
-#: errors.py:32
+#: ../errors.py:37
 msgid "No changes to commit"
 msgstr ""
 
-#: errors.py:33
+#: ../errors.py:38
 msgid "Try force commit if you want to commit anyway."
 msgstr ""
 
-#: errors.py:35
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
 msgid "Conflicts in tree"
 msgstr ""
 
-#: errors.py:36
+#: ../errors.py:44
 msgid "You need to resolve the conflicts before committing."
 msgstr ""
 
-#: errors.py:38
+#: ../errors.py:46
 msgid "Strict commit failed"
 msgstr ""
 
-#: errors.py:39
+#: ../errors.py:47
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
 msgstr ""
 
-#: errors.py:41
+#: ../errors.py:49
 msgid "Bound branch is out of date"
 msgstr ""
 
-#: errors.py:42
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
 #, python-format
 msgid "%s"
 msgstr ""
 
-#: errors.py:44
+#: ../errors.py:53
 msgid "File not versioned"
 msgstr ""
 
-#: errors.py:45
+#: ../errors.py:54
 msgid "The selected file is not versioned."
 msgstr ""
 
-#: errors.py:47 push.py:105
+#: ../errors.py:56 ../push.py:100
 msgid "Branches have been diverged"
 msgstr ""
 
-#: errors.py:48
+#: ../errors.py:57
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
 msgstr ""
 
-#: errors.py:50
+#: ../errors.py:59
 msgid "No diff output"
 msgstr ""
 
-#: errors.py:51
+#: ../errors.py:60
 msgid "The selected file hasn't changed."
 msgstr ""
 
-#: errors.py:53
+#: ../errors.py:62
 msgid "No such revision"
 msgstr ""
 
-#: errors.py:54
+#: ../errors.py:63
 msgid "The revision you specified doesn't exist."
 msgstr ""
 
-#: errors.py:56
+#: ../errors.py:65
 msgid "Target already exists"
 msgstr ""
 
-#: errors.py:57
+#: ../errors.py:66
 msgid "Target directory already exists. Please select another target."
 msgstr ""
 
-#: errors.py:59
+#: ../errors.py:68
 msgid "Directory is already a branch"
 msgstr ""
 
-#: errors.py:60
+#: ../errors.py:69
 #, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
 "You can start using it, or initialize another directory."
 msgstr ""
 
-#: errors.py:62
+#: ../errors.py:71
 msgid "Branch without a working tree"
 msgstr ""
 
-#: errors.py:63
+#: ../errors.py:72
 #, python-format
 msgid ""
 "The current directory (%s)\n"
 "is a branch without a working tree."
 msgstr ""
 
-#: errors.py:65
+#: ../errors.py:74
 msgid "Unknown bzr error"
 msgstr ""
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "Permission denied"
 msgstr ""
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "permission denied."
 msgstr ""
 
-#: errors.py:69
+#: ../errors.py:78
 msgid "Unknown error"
 msgstr ""
 
-#: initialize.py:47
+#. Create the widgets
+#: ../initialize.py:46
 msgid "_Initialize"
 msgstr ""
 
-#: initialize.py:48
+#: ../initialize.py:47
 msgid "Which directory do you want to initialize?"
 msgstr ""
 
-#: initialize.py:49
+#: ../initialize.py:49
 msgid "Current directory"
 msgstr ""
 
-#: initialize.py:50
+#: ../initialize.py:51
 msgid "Create a new directory with the name:"
 msgstr ""
 
-#: initialize.py:85
+#: ../initialize.py:87
 msgid "Directory name not specified"
 msgstr ""
 
-#: initialize.py:86
+#: ../initialize.py:88
 msgid "You should specify a new directory name."
 msgstr ""
 
-#: merge.py:66
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr ""
+
+#: ../merge.py:130
 msgid "Branch not given"
 msgstr ""
 
-#: merge.py:67
+#: ../merge.py:131
 msgid "Please specify a branch to merge from."
 msgstr ""
 
-#: merge.py:75
+#: ../merge.py:139
 msgid "Bazaar command error"
 msgstr ""
 
-#: merge.py:81
-msgid "Merge successful"
-msgstr ""
-
-#: merge.py:82
-msgid "All changes applied successfully."
-msgstr ""
-
-#: merge.py:85
-msgid "Conflicts encountered"
-msgstr ""
-
-#: merge.py:86
-msgid "Please resolve the conflicts manually before committing."
-msgstr ""
-
-#: push.py:52 bookmark.py:45
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
 msgid "Location:"
 msgstr ""
 
-#: push.py:54
+#: ../push.py:52
 msgid "_Push"
 msgstr ""
 
-#: push.py:97
-msgid "Set default push location"
-msgstr ""
-
-#: push.py:98
-#, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-msgstr ""
-
-#: push.py:106
+#: ../push.py:101
 msgid ""
 "You cannot push if branches have diverged.\n"
 "Overwrite?"
 msgstr ""
 
-#: push.py:112
+#: ../push.py:109
 msgid "Push successful"
 msgstr ""
 
-#: push.py:113
+#: ../push.py:110
 #, python-format
 msgid "%d revision(s) pushed."
 msgstr ""
 
-#: push.py:146
+#: ../push.py:141
 msgid "Non existing parent directory"
 msgstr ""
 
-#: push.py:147
+#: ../push.py:142
 #, python-format
 msgid ""
 "The parent directory (%s)\n"
 "doesn't exist. Create?"
 msgstr ""
 
-#: revbrowser.py:45
-msgid "Please wait, revisions are being loaded..."
-msgstr ""
-
-#: revbrowser.py:48
+#. Create the widgets
+#: ../revbrowser.py:35
 msgid "_Select"
 msgstr ""
 
-#: revbrowser.py:64
-msgid "Revno"
-msgstr ""
-
-#: revbrowser.py:70
-msgid "Time"
-msgstr ""
-
-#: status.py:78
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
 msgid "Added"
 msgstr ""
 
-#: status.py:84
+#: ../status.py:93
 msgid "Removed"
 msgstr ""
 
-#: status.py:90
+#: ../status.py:99
 msgid "Renamed"
 msgstr ""
 
-#: status.py:97
+#: ../status.py:106
 msgid "Modified"
 msgstr ""
 
-#: status.py:105
+#: ../status.py:114
 msgid "Unknown"
 msgstr ""
 
-#: status.py:110
+#: ../status.py:119
 msgid "No changes."
 msgstr ""
 
-#: tags.py:67
+#. Set properties
+#: ../tags.py:60
 msgid "Tags"
 msgstr ""
 
-#: tags.py:111
+#: ../tags.py:110
 msgid "Tag Name"
 msgstr ""
 
-#: tags.py:116
+#: ../tags.py:115
 msgid "Revision ID"
 msgstr ""
 
-#: tags.py:151
+#: ../tags.py:148
 msgid "Tags are not supported by this branch format. Please upgrade."
 msgstr ""
 
-#: tags.py:157
+#: ../tags.py:154
 msgid "No tagged revisions in the branch."
 msgstr ""
 
-#: tags.py:232
+#: ../tags.py:222
 msgid "_Remove tag"
 msgstr ""
 
-#: tags.py:242
+#: ../tags.py:232
 msgid "<b><big>Remove tag?</big></b>"
 msgstr ""
 
-#: tags.py:244
+#: ../tags.py:234
 #, python-format
 msgid "Are you sure you want to remove the tag: <b>%s</b>?"
 msgstr ""
 
-#: tags.py:289
+#. Create the widgets
+#: ../tags.py:278
 msgid "_Add tag"
 msgstr ""
 
-#: tags.py:291
+#: ../tags.py:280
 msgid "Tag Name:"
 msgstr ""
 
-#: tags.py:292
+#: ../tags.py:281
 msgid "Revision ID:"
 msgstr ""
 
-#: tags.py:323
+#: ../tags.py:312
 msgid "No tag name specified"
 msgstr ""
 
-#: tags.py:324
+#: ../tags.py:313
 msgid "You have to specify the tag's desired name."
 msgstr ""
-
-#: __init__.py:512
-msgid "There are local changes in the branch"
-msgstr ""
-
-#: __init__.py:513
-msgid "Please commit or revert the changes before merging."
-msgstr ""
-
-#: __init__.py:525 __init__.py:550
-msgid "Parent location is unknown"
-msgstr ""
-
-#: __init__.py:526
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr ""
-
-#: __init__.py:537
-msgid "There are missing revisions"
-msgstr ""
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr ""
-
-#: __init__.py:540
-msgid "Local branch up to date"
-msgstr ""
-
-#: __init__.py:541
-msgid "There are no missing revisions."
-msgstr ""
-
-#: __init__.py:551
-msgid "Pulling is not possible until there is a parent location."
-msgstr ""
-
-#: __init__.py:561
-msgid "Pull successful"
-msgstr ""
-
-#: __init__.py:561
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr ""
-
-#: __init__.py:575 menu.py:275
-msgid "Conflicts detected"
-msgstr ""
-
-#: __init__.py:576 menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr ""
-
-#: __init__.py:578 menu.py:278
-msgid "Revert successful"
-msgstr ""
-
-#: __init__.py:579 menu.py:279
-msgid "All files reverted to last revision."
-msgstr ""
-
-#: __init__.py:835 __init__.py:1117
-msgid "Bookmarks"
-msgstr ""
-
-#: __init__.py:842 menu.py:99
-msgid "Bookmark"
-msgstr ""
-
-#: __init__.py:944 __init__.py:1231
-msgid "unchanged"
-msgstr ""
-
-#: __init__.py:946 __init__.py:1233
-msgid "ignored"
-msgstr ""
-
-#: __init__.py:948 __init__.py:1235
-msgid "unknown"
-msgstr ""
-
-#: __init__.py:964
-msgid "Filename"
-msgstr ""
-
-#: __init__.py:965
-msgid "Status"
-msgstr ""
-
-#: __init__.py:966
-msgid "Size"
-msgstr ""
-
-#: __init__.py:967
-msgid "Last modified"
-msgstr ""
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-
-#: bookmark.py:46
-msgid "Title:"
-msgstr ""
-
-#: bookmark.py:81
-msgid "No title given"
-msgstr ""
-
-#: bookmark.py:82
-msgid "Please specify a title to continue."
-msgstr ""
-
-#: guifiles.py:45
-msgid "Glade file cannot be found."
-msgstr ""
-
-#: guifiles.py:55
-msgid "UI description file cannot be found."
-msgstr ""
-
-#: menu.py:63
-msgid "Add"
-msgstr ""
-
-#: menu.py:64
-msgid "Add the selected file"
-msgstr ""
-
-#: menu.py:67 menu.py:107
-msgid "Remove"
-msgstr ""
-
-#: menu.py:68
-msgid "Remove the selected file"
-msgstr ""
-
-#: menu.py:71
-msgid "Remove and delete"
-msgstr ""
-
-#: menu.py:72
-msgid "Remove the selected file/dir and delete from disk"
-msgstr ""
-
-#: menu.py:75
-msgid "Rename"
-msgstr ""
-
-#: menu.py:76
-msgid "Rename the selected file"
-msgstr ""
-
-#: menu.py:79
-msgid "Open"
-msgstr ""
-
-#: menu.py:80
-msgid "Open the selected file"
-msgstr ""
-
-#: menu.py:83
-msgid "Revert"
-msgstr ""
-
-#: menu.py:84
-msgid "Revert the changes"
-msgstr ""
-
-#: menu.py:88
-msgid "Commit the changes"
-msgstr ""
-
-#: menu.py:91
-msgid "Annotate"
-msgstr ""
-
-#: menu.py:92
-msgid "Annotate the selected file"
-msgstr ""
-
-#: menu.py:95
-msgid "Diff"
-msgstr ""
-
-#: menu.py:96
-msgid "Show the diff of the file"
-msgstr ""
-
-#: menu.py:100
-msgid "Bookmark current location"
-msgstr ""
-
-#: menu.py:103
-msgid "Edit"
-msgstr ""
-
-#: menu.py:104
-msgid "Edit the selected bookmark"
-msgstr ""
-
-#: menu.py:108
-msgid "Remove the selected bookmark"
-msgstr ""
-
-#: menu.py:111
-msgid "Open Folder"
-msgstr ""
-
-#: menu.py:112
-msgid "Open bookmark folder in Nautilus"
-msgstr ""
-
-#: menu.py:115
-msgid "Selected..."
-msgstr ""
-
-#: menu.py:116
-msgid "Show the differences of the selected file"
-msgstr ""
-
-#: menu.py:119
-msgid "All..."
-msgstr ""
-
-#: menu.py:120
-msgid "Show the differences of all files"
-msgstr ""
-
-#: menu.py:123
-msgid "View contents"
-msgstr ""
-
-#: menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr ""
-
-#: menu.py:127
-msgid "Show differences"
-msgstr ""
-
-#: menu.py:128
-msgid "Show the differences between two revisions of the file"
-msgstr ""
-
-#: menu.py:131
-msgid "Revert to this revision"
-msgstr ""
-
-#: menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr ""
-
-#: menu.py:228
-msgid "Delete directory with all directories below ?"
-msgstr ""
-
-#: menu.py:315
-msgid "Bookmark successfully added"
-msgstr ""
-
-#: menu.py:316
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-
-#: menu.py:319
-msgid "Location already bookmarked"
-msgstr ""
-
-#: menu.py:320
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-
-#: mkdir.py:67
-msgid "No directory name given"
-msgstr ""
-
-#: mkdir.py:68
-msgid "Please specify a desired name for the new directory."
-msgstr ""
-
-#: mkdir.py:79 mkdir.py:89
-msgid "Directory already exists"
-msgstr ""
-
-#: mkdir.py:80 mkdir.py:90
-msgid "Please specify another name to continue."
-msgstr ""
-
-#: move.py:80 rename.py:71
-msgid "Please select a file from the list to proceed."
-msgstr ""
-
-#: move.py:89 rename.py:87
-msgid "Not the same branch"
-msgstr ""
-
-#: move.py:90 rename.py:88
-msgid "The destination is not in the same branch."
-msgstr ""
-
-#: remove.py:79 remove.py:139
-msgid "No matching files"
-msgstr ""
-
-#: remove.py:80 remove.py:140
-msgid "No added files were found in the working tree."
-msgstr ""
-
-#: remove.py:105 olive.glade:825
-msgid "Which file(s) do you want to remove?"
-msgstr ""
-
-#: remove.py:106 olive.glade:717 olive.glade:837
-msgid "Selected only"
-msgstr ""
-
-#: remove.py:107 olive.glade:851
-msgid "All files with status 'added'"
-msgstr ""
-
-#: remove.py:108 olive.glade:905
-msgid "_Remove"
-msgstr ""
-
-#: rename.py:75
-msgid "Filename not given"
-msgstr ""
-
-#: rename.py:76
-msgid "Please specify a new name for the file."
-msgstr ""
-
-#: olive.glade:8
-msgid "Olive - Bazaar GUI"
-msgstr ""
-
-#: olive.glade:21
-msgid "_File"
-msgstr ""
-
-#: olive.glade:28
-msgid "_Add file(s)..."
-msgstr ""
-
-#: olive.glade:43
-msgid "Remove file(s)..."
-msgstr ""
-
-#: olive.glade:63
-msgid "Make _directory..."
-msgstr ""
-
-#: olive.glade:76
-msgid "_Rename..."
-msgstr ""
-
-#: olive.glade:84
-msgid "_Move..."
-msgstr ""
-
-#: olive.glade:92
-msgid "_Annotate..."
-msgstr ""
-
-#: olive.glade:118
-msgid "_View"
-msgstr ""
-
-#: olive.glade:126
-msgid "Show _hidden files"
-msgstr ""
-
-#: olive.glade:139
-msgid "_Refresh"
-msgstr ""
-
-#: olive.glade:158
-msgid "_Initialize..."
-msgstr ""
-
-#: olive.glade:166
-msgid "_Get..."
-msgstr ""
-
-#: olive.glade:174
-msgid "C_heckout..."
-msgstr ""
-
-#: olive.glade:187
-msgid "Pu_ll"
-msgstr ""
-
-#: olive.glade:201
-msgid "Pu_sh..."
-msgstr ""
-
-#: olive.glade:220
-msgid "_Revert all changes"
-msgstr ""
-
-#: olive.glade:228
-msgid "_Merge..."
-msgstr ""
-
-#: olive.glade:236
-msgid "_Commit..."
-msgstr ""
-
-#: olive.glade:255
-msgid "Ta_gs..."
-msgstr ""
-
-#: olive.glade:263
-msgid "S_tatus..."
-msgstr ""
-
-#: olive.glade:271
-msgid "Missing _revisions"
-msgstr ""
-
-#: olive.glade:279
-msgid "Con_flicts..."
-msgstr ""
-
-#: olive.glade:291
-msgid "_Statistics"
-msgstr ""
-
-#: olive.glade:298
-msgid "_Differences..."
-msgstr ""
-
-#: olive.glade:312
-msgid "_Log..."
-msgstr ""
-
-#: olive.glade:326
-msgid "_Information..."
-msgstr ""
-
-#: olive.glade:338
-msgid "_Help"
-msgstr ""
-
-#: olive.glade:548
-msgid "gtk-jump-to"
-msgstr ""
-
-#: olive.glade:575
-msgid "H_istory Mode"
-msgstr ""
-
-#: olive.glade:673
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr ""
-
-#: olive.glade:675
-msgid "https://launchpad.net/products/olive"
-msgstr ""
-
-#: olive.glade:677
-msgid "translator-credits"
-msgstr ""
-
-#: olive.glade:694
-msgid "Olive - Add file(s)"
-msgstr ""
-
-#: olive.glade:705
-msgid "Which file(s) do you want to add?"
-msgstr ""
-
-#: olive.glade:731
-msgid "All unknowns recursively"
-msgstr ""
-
-#: olive.glade:785
-msgid "_Add"
-msgstr ""
-
-#: olive.glade:814
-msgid "Olive - Remove file(s)"
-msgstr ""
-
-#: olive.glade:934
-msgid "Olive - Make directory"
-msgstr ""
-
-#: olive.glade:957
-msgid "_Versioned directory"
-msgstr ""
-
-#: olive.glade:1011
-msgid "_Make directory"
-msgstr ""
-
-#: olive.glade:1041
-msgid "Olive - Move"
-msgstr ""
-
-#: olive.glade:1055
-msgid "Move to"
-msgstr ""
-
-#: olive.glade:1066
-msgid "Select a directory"
-msgstr ""
-
-#: olive.glade:1120
-msgid "_Move"
-msgstr ""
-
-#: olive.glade:1148
-msgid "Olive - Rename"
-msgstr ""
-
-#: olive.glade:1162
-msgid "Rename to"
-msgstr ""
-
-#: olive.glade:1227
-msgid "_Rename"
-msgstr ""
-
-#: olive.glade:1255
-msgid "Olive - Information"
-msgstr ""
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275
-msgid "(none)"
-msgstr ""
-
-#: olive.glade:1368
-msgid "Checkout root: "
-msgstr ""
-
-#: olive.glade:1380
-msgid "Branch root: "
-msgstr ""
-
-#: olive.glade:1392
-msgid "Repository checkout: "
-msgstr ""
-
-#: olive.glade:1404
-msgid "Checkout of branch: "
-msgstr ""
-
-#: olive.glade:1416
-msgid "Repository branch: "
-msgstr ""
-
-#: olive.glade:1428
-msgid "Shared repository: "
-msgstr ""
-
-#: olive.glade:1440
-msgid "Light checkout root: "
-msgstr ""
-
-#: olive.glade:1454
-msgid "<b>Location:</b>"
-msgstr ""
-
-#: olive.glade:1508
-msgid "Publish to branch: "
-msgstr ""
-
-#: olive.glade:1520
-msgid "Parent branch: "
-msgstr ""
-
-#: olive.glade:1534
-msgid "<b>Related branches:</b>"
-msgstr ""
-
-#: olive.glade:1614
-msgid "Repository format: "
-msgstr ""
-
-#: olive.glade:1626
-msgid "Branch format: "
-msgstr ""
-
-#: olive.glade:1638
-msgid "Working tree format: "
-msgstr ""
-
-#: olive.glade:1650
-msgid "Control format: "
-msgstr ""
-
-#: olive.glade:1664
-msgid "<b>Format:</b>"
-msgstr ""
-
-#: olive.glade:1731
-msgid "Repository lock status: "
-msgstr ""
-
-#: olive.glade:1743
-msgid "Branch lock status: "
-msgstr ""
-
-#: olive.glade:1755
-msgid "Working tree lock status: "
-msgstr ""
-
-#: olive.glade:1769
-msgid "<b>Lock status:</b>"
-msgstr ""
-
-#: olive.glade:1823
-msgid "Missing revisions in branch: "
-msgstr ""
-
-#: olive.glade:1835
-msgid "Missing revisions in working tree: "
-msgstr ""
-
-#: olive.glade:1849
-msgid "<b>Missing revisions:</b>"
-msgstr ""
-
-#: olive.glade:1981
-msgid "Versioned subdirectories: "
-msgstr ""
-
-#: olive.glade:1993
-msgid "Ignored files: "
-msgstr ""
-
-#: olive.glade:2005
-msgid "Unknown files: "
-msgstr ""
-
-#: olive.glade:2017
-msgid "Renamed files: "
-msgstr ""
-
-#: olive.glade:2029
-msgid "Removed files: "
-msgstr ""
-
-#: olive.glade:2041
-msgid "Added files: "
-msgstr ""
-
-#: olive.glade:2053
-msgid "Modified files: "
-msgstr ""
-
-#: olive.glade:2065
-msgid "Unchanged files: "
-msgstr ""
-
-#: olive.glade:2079
-msgid "<b>In the working tree:</b>"
-msgstr ""
-
-#: olive.glade:2172
-msgid "Time of last revision: "
-msgstr ""
-
-#: olive.glade:2184
-msgid "Time of first revision: "
-msgstr ""
-
-#: olive.glade:2196
-msgid "Age of branch in days: "
-msgstr ""
-
-#: olive.glade:2208
-msgid "Number of commiters: "
-msgstr ""
-
-#: olive.glade:2220
-msgid "Revisions in branch: "
-msgstr ""
-
-#: olive.glade:2234
-msgid "<b>Branch history:</b>"
-msgstr ""
-
-#: olive.glade:2288
-msgid "Size of repository: "
-msgstr ""
-
-#: olive.glade:2300
-msgid "Revisions in repository: "
-msgstr ""
-
-#: olive.glade:2314
-msgid "<b>Revision store:</b>"
-msgstr ""
-
-#: olive.glade:2356
-msgid "Merge - Olive"
-msgstr ""
-
-#: olive.glade:2370
-msgid "Merge from:"
-msgstr ""
-
-#: olive.glade:2454
-msgid "_Merge"
-msgstr ""

=== modified file 'po/sv.po'
--- po/sv.po	2008-03-11 17:01:27 +0000
+++ po/sv.po	2011-12-02 05:55:20 +0000
@@ -7,1285 +7,731 @@
 msgstr ""
 "Project-Id-Version: olive\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2007-08-13 12:05+0200\n"
-"PO-Revision-Date: 2007-12-21 21:00+0000\n"
-"Last-Translator: Zirro <Unknown>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:59+0000\n"
+"Last-Translator: Daniel Nylander <yeager@ubuntu.com>\n"
 "Language-Team: Swedish <sv@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2008-03-11 16:44+0000\n"
-"X-Generator: Launchpad (build Unknown)\n"
-
-#: branch.py:52 olive.glade:151
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
 msgid "_Branch"
 msgstr "_Gren"
 
-#: branch.py:55 checkout.py:53
-msgid "Please select a folder"
-msgstr "Välj en mapp"
-
-#: branch.py:57 checkout.py:55
+#: ../branch.py:49 ../checkout.py:49
 msgid "Branch location:"
 msgstr ""
 
-#: branch.py:58 checkout.py:56
+#: ../branch.py:51 ../checkout.py:50
 msgid "Destination:"
 msgstr "Mål:"
 
-#: branch.py:59 checkout.py:57
+#: ../branch.py:52
 msgid "Branck nick:"
 msgstr ""
 
-#: branch.py:60 checkout.py:58
+#: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
-msgstr ""
-
-#: branch.py:162 checkout.py:163
+msgstr "Revision:"
+
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Välj en mapp"
+
+#: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
 msgstr ""
 
-#: branch.py:163 checkout.py:164
+#: ../branch.py:135 ../checkout.py:154
 msgid "You must specify a branch location."
 msgstr ""
 
-#: branch.py:205
+#: ../branch.py:174
 msgid "Branching successful"
 msgstr "Grening lyckades"
 
-#: branch.py:206
+#: ../branch.py:175
 #, python-format
 msgid "%d revision(s) branched."
 msgstr "%d revision(er) grenade."
 
-#: branch.py:214 checkout.py:195
+#: ../branch.py:183 ../checkout.py:185
 msgid "N/A"
 msgstr ""
 
-#: checkout.py:50
+#. Create the widgets
+#: ../checkout.py:44
 msgid "Check_out"
 msgstr ""
 
-#: checkout.py:62
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
 msgid "_Lightweight checkout"
 msgstr ""
 
-#: commit.py:68
+#: ../commands.py:305
 msgid "Directory does not have a working tree"
-msgstr ""
+msgstr "Katalogen innehåller inte ett arbetsträd"
 
-#: commit.py:69
+#: ../commands.py:306
 msgid "Operation aborted."
 msgstr "Åtgärden avbruten."
 
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556
-msgid "Directory is not a branch"
-msgstr "Katalogen är inte en gren"
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557
-msgid "You can perform this action only in a branch."
-msgstr ""
-
-#: commit.py:88
-msgid "Comm_it"
-msgstr ""
-
-#: commit.py:89
-msgid "File(s) to commit"
-msgstr ""
-
-#: commit.py:95
-msgid "Commit message:"
-msgstr ""
-
-#: commit.py:99
-msgid "Pending merges"
-msgstr ""
-
-#: commit.py:147
-msgid "_Only commit locally"
-msgstr ""
-
-#: commit.py:215
-msgid "Commit with an empty message?"
-msgstr ""
-
-#: commit.py:216
-msgid "You can describe your commit intent in the message."
-msgstr ""
-
-#: commit.py:228
-msgid "Commit with unknowns?"
-msgstr ""
-
-#: commit.py:229
-msgid "Unknown files exist in the working tree. Commit anyway?"
-msgstr ""
-
-#: commit.py:240
-msgid "Commit with no changes?"
-msgstr ""
-
-#: commit.py:241
-msgid "There are no changes in the working tree."
-msgstr ""
-
-#: commit.py:323 menu.py:87
-msgid "Commit"
-msgstr "Verkställ"
-
-#: commit.py:325 conflicts.py:108
-msgid "Path"
-msgstr "Sökväg"
-
-#: commit.py:327 conflicts.py:110
-msgid "Type"
-msgstr "Typ"
-
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr ""
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr ""
+
+#: ../commit.py:178
 msgid "added"
 msgstr "lades till"
 
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
+#: ../commit.py:179
 msgid "removed"
 msgstr "togs bort"
 
-#: commit.py:353
-msgid "renamed and modified"
-msgstr ""
-
-#: commit.py:355 __init__.py:936 __init__.py:1223
+#: ../commit.py:180
 msgid "renamed"
 msgstr "bytte namn"
 
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr ""
+
+#: ../commit.py:182
 msgid "modified"
 msgstr "ändrades"
 
-#: commit.py:395
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr ""
+
+#: ../commit.py:361
+msgid "Comm_it"
+msgstr ""
+
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr "Verkställ"
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr "Sökväg"
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr "Typ"
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
 msgid "Date"
 msgstr "Datum"
 
-#: commit.py:397 revbrowser.py:68
+#: ../commit.py:505
 msgid "Committer"
 msgstr "Verkställd av"
 
-#: commit.py:399 revbrowser.py:66
+#: ../commit.py:507 ../search.py:60
 msgid "Summary"
 msgstr "Sammanfattning"
 
-#: conflicts.py:48
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr ""
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr ""
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
 msgid "External utility:"
 msgstr ""
 
-#: conflicts.py:99
+#: ../conflicts.py:97
 msgid "Conflicts"
 msgstr ""
 
-#: conflicts.py:102
+#: ../conflicts.py:100
 msgid "No conflicts in working tree."
 msgstr ""
 
-#: conflicts.py:115
+#: ../conflicts.py:114
 msgid "path conflict"
 msgstr ""
 
-#: conflicts.py:117
+#: ../conflicts.py:116
 msgid "contents conflict"
 msgstr ""
 
-#: conflicts.py:119
+#: ../conflicts.py:118
 msgid "text conflict"
 msgstr ""
 
-#: conflicts.py:121
+#: ../conflicts.py:120
 msgid "duplicate id"
 msgstr ""
 
-#: conflicts.py:123
+#: ../conflicts.py:122
 msgid "duplicate"
 msgstr ""
 
-#: conflicts.py:125
+#: ../conflicts.py:124
 msgid "parent loop"
 msgstr ""
 
-#: conflicts.py:127
+#: ../conflicts.py:126
 msgid "unversioned parent"
 msgstr ""
 
-#: conflicts.py:129
+#: ../conflicts.py:128
 msgid "missing parent"
 msgstr ""
 
-#: conflicts.py:131
+#: ../conflicts.py:130
 msgid "deleting parent"
 msgstr ""
 
-#: conflicts.py:133
+#: ../conflicts.py:132
 msgid "unknown type of conflict"
 msgstr ""
 
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
+#: ../conflicts.py:161
 msgid "No file was selected"
 msgstr "Ingen fil valdes"
 
-#: conflicts.py:163 __init__.py:615 menu.py:192
+#: ../conflicts.py:162
 msgid "Please select a file from the list."
 msgstr ""
 
-#: conflicts.py:173
+#: ../conflicts.py:172
 msgid "Call to external utility failed"
 msgstr ""
 
-#: conflicts.py:175
+#: ../conflicts.py:174
 msgid "Cannot resolve conflict"
 msgstr ""
 
-#: conflicts.py:176
+#: ../conflicts.py:175
 msgid ""
 "Only conflicts on the text of files can be resolved with Olive at the "
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
 "using the command line."
 msgstr ""
 
-#: errors.py:29
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "_Visa"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr ""
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr ""
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr ""
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr "Katalogen är inte en gren"
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr ""
+
+#: ../errors.py:34
 msgid "Directory is not a checkout"
 msgstr ""
 
-#: errors.py:30
+#: ../errors.py:35
 msgid "You can perform local commit only on checkouts."
 msgstr ""
 
-#: errors.py:32
+#: ../errors.py:37
 msgid "No changes to commit"
 msgstr "Inga ändringar att verkställa"
 
-#: errors.py:33
+#: ../errors.py:38
 msgid "Try force commit if you want to commit anyway."
 msgstr ""
 
-#: errors.py:35
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
 msgid "Conflicts in tree"
 msgstr "Konflikter i träd"
 
-#: errors.py:36
+#: ../errors.py:44
 msgid "You need to resolve the conflicts before committing."
 msgstr ""
 
-#: errors.py:38
+#: ../errors.py:46
 msgid "Strict commit failed"
 msgstr "Strikt verkställning misslyckades"
 
-#: errors.py:39
+#: ../errors.py:47
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
 msgstr ""
 
-#: errors.py:41
+#: ../errors.py:49
 msgid "Bound branch is out of date"
 msgstr ""
 
-#: errors.py:42
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
 #, python-format
 msgid "%s"
 msgstr "%s"
 
-#: errors.py:44
+#: ../errors.py:53
 msgid "File not versioned"
 msgstr "Filen inte versionskontrollerad"
 
-#: errors.py:45
+#: ../errors.py:54
 msgid "The selected file is not versioned."
 msgstr ""
 
-#: errors.py:47 push.py:105
+#: ../errors.py:56 ../push.py:100
 msgid "Branches have been diverged"
 msgstr ""
 
-#: errors.py:48
+#: ../errors.py:57
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
 msgstr ""
 
-#: errors.py:50
+#: ../errors.py:59
 msgid "No diff output"
 msgstr ""
 
-#: errors.py:51
+#: ../errors.py:60
 msgid "The selected file hasn't changed."
 msgstr "Den valda filen har inte ändrats."
 
-#: errors.py:53
+#: ../errors.py:62
 msgid "No such revision"
 msgstr ""
 
-#: errors.py:54
+#: ../errors.py:63
 msgid "The revision you specified doesn't exist."
 msgstr "Revisionen du angav finns inte."
 
-#: errors.py:56
+#: ../errors.py:65
 msgid "Target already exists"
 msgstr "Mål finns redan"
 
-#: errors.py:57
+#: ../errors.py:66
 msgid "Target directory already exists. Please select another target."
 msgstr ""
 
-#: errors.py:59
+#: ../errors.py:68
 msgid "Directory is already a branch"
 msgstr "Katalogen är redan en gren"
 
-#: errors.py:60
+#: ../errors.py:69
 #, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
 "You can start using it, or initialize another directory."
 msgstr ""
 
-#: errors.py:62
+#: ../errors.py:71
 msgid "Branch without a working tree"
 msgstr ""
 
-#: errors.py:63
+#: ../errors.py:72
 #, python-format
 msgid ""
 "The current directory (%s)\n"
 "is a branch without a working tree."
 msgstr ""
 
-#: errors.py:65
+#: ../errors.py:74
 msgid "Unknown bzr error"
 msgstr ""
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "Permission denied"
 msgstr "Åtkomst nekas"
 
-#: errors.py:67
+#: ../errors.py:76
 msgid "permission denied."
 msgstr ""
 
-#: errors.py:69
+#: ../errors.py:78
 msgid "Unknown error"
 msgstr "Okänt fel"
 
-#: initialize.py:47
+#. Create the widgets
+#: ../initialize.py:46
 msgid "_Initialize"
 msgstr "_Initiera"
 
-#: initialize.py:48
+#: ../initialize.py:47
 msgid "Which directory do you want to initialize?"
 msgstr ""
 
-#: initialize.py:49
+#: ../initialize.py:49
 msgid "Current directory"
 msgstr ""
 
-#: initialize.py:50
+#: ../initialize.py:51
 msgid "Create a new directory with the name:"
 msgstr ""
 
-#: initialize.py:85
+#: ../initialize.py:87
 msgid "Directory name not specified"
 msgstr ""
 
-#: initialize.py:86
+#: ../initialize.py:88
 msgid "You should specify a new directory name."
 msgstr ""
 
-#: merge.py:66
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr ""
+
+#: ../merge.py:130
 msgid "Branch not given"
 msgstr ""
 
-#: merge.py:67
+#: ../merge.py:131
 msgid "Please specify a branch to merge from."
 msgstr ""
 
-#: merge.py:75
+#: ../merge.py:139
 msgid "Bazaar command error"
 msgstr ""
 
-#: merge.py:81
-msgid "Merge successful"
-msgstr ""
-
-#: merge.py:82
-msgid "All changes applied successfully."
-msgstr ""
-
-#: merge.py:85
-msgid "Conflicts encountered"
-msgstr ""
-
-#: merge.py:86
-msgid "Please resolve the conflicts manually before committing."
-msgstr ""
-
-#: push.py:52 bookmark.py:45
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
 msgid "Location:"
 msgstr "Plats:"
 
-#: push.py:54
+#: ../push.py:52
 msgid "_Push"
 msgstr "_Skjut ut"
 
-#: push.py:97
-msgid "Set default push location"
-msgstr ""
-
-#: push.py:98
-#, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-msgstr ""
-
-#: push.py:106
+#: ../push.py:101
 msgid ""
 "You cannot push if branches have diverged.\n"
 "Overwrite?"
 msgstr ""
 
-#: push.py:112
+#: ../push.py:109
 msgid "Push successful"
 msgstr ""
 
-#: push.py:113
+#: ../push.py:110
 #, python-format
 msgid "%d revision(s) pushed."
 msgstr ""
 
-#: push.py:146
+#: ../push.py:141
 msgid "Non existing parent directory"
 msgstr ""
 
-#: push.py:147
+#: ../push.py:142
 #, python-format
 msgid ""
 "The parent directory (%s)\n"
 "doesn't exist. Create?"
 msgstr ""
 
-#: revbrowser.py:45
-msgid "Please wait, revisions are being loaded..."
-msgstr ""
-
-#: revbrowser.py:48
+#. Create the widgets
+#: ../revbrowser.py:35
 msgid "_Select"
 msgstr "_Markera"
 
-#: revbrowser.py:64
-msgid "Revno"
-msgstr ""
-
-#: revbrowser.py:70
-msgid "Time"
-msgstr "Tid"
-
-#: status.py:78
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
 msgid "Added"
 msgstr "Lades till"
 
-#: status.py:84
+#: ../status.py:93
 msgid "Removed"
 msgstr "Togs bort"
 
-#: status.py:90
+#: ../status.py:99
 msgid "Renamed"
 msgstr "Bytte namn"
 
-#: status.py:97
+#: ../status.py:106
 msgid "Modified"
 msgstr "Ändrades"
 
-#: status.py:105
+#: ../status.py:114
 msgid "Unknown"
 msgstr "Okänd"
 
-#: status.py:110
+#: ../status.py:119
 msgid "No changes."
 msgstr "Inga ändringar."
 
-#: tags.py:67
+#. Set properties
+#: ../tags.py:60
 msgid "Tags"
 msgstr ""
 
-#: tags.py:111
+#: ../tags.py:110
 msgid "Tag Name"
 msgstr ""
 
-#: tags.py:116
+#: ../tags.py:115
 msgid "Revision ID"
 msgstr ""
 
-#: tags.py:151
+#: ../tags.py:148
 msgid "Tags are not supported by this branch format. Please upgrade."
 msgstr ""
 
-#: tags.py:157
+#: ../tags.py:154
 msgid "No tagged revisions in the branch."
 msgstr ""
 
-#: tags.py:232
+#: ../tags.py:222
 msgid "_Remove tag"
 msgstr ""
 
-#: tags.py:242
+#: ../tags.py:232
 msgid "<b><big>Remove tag?</big></b>"
 msgstr ""
 
-#: tags.py:244
+#: ../tags.py:234
 #, python-format
 msgid "Are you sure you want to remove the tag: <b>%s</b>?"
 msgstr ""
 
-#: tags.py:289
+#. Create the widgets
+#: ../tags.py:278
 msgid "_Add tag"
 msgstr "_Lägg till tagg"
 
-#: tags.py:291
+#: ../tags.py:280
 msgid "Tag Name:"
 msgstr "Taggnamn:"
 
-#: tags.py:292
+#: ../tags.py:281
 msgid "Revision ID:"
 msgstr ""
 
-#: tags.py:323
+#: ../tags.py:312
 msgid "No tag name specified"
 msgstr ""
 
-#: tags.py:324
+#: ../tags.py:313
 msgid "You have to specify the tag's desired name."
 msgstr ""
-
-#: __init__.py:512
-msgid "There are local changes in the branch"
-msgstr ""
-
-#: __init__.py:513
-msgid "Please commit or revert the changes before merging."
-msgstr ""
-
-#: __init__.py:525 __init__.py:550
-msgid "Parent location is unknown"
-msgstr ""
-
-#: __init__.py:526
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr ""
-
-#: __init__.py:537
-msgid "There are missing revisions"
-msgstr "Det finns saknade revisioner"
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr "%d revision(er) saknas."
-
-#: __init__.py:540
-msgid "Local branch up to date"
-msgstr "Lokal gren uppdaterad"
-
-#: __init__.py:541
-msgid "There are no missing revisions."
-msgstr "Det finns inga saknade revisioner."
-
-#: __init__.py:551
-msgid "Pulling is not possible until there is a parent location."
-msgstr ""
-
-#: __init__.py:561
-msgid "Pull successful"
-msgstr ""
-
-#: __init__.py:561
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr ""
-
-#: __init__.py:575 menu.py:275
-msgid "Conflicts detected"
-msgstr ""
-
-#: __init__.py:576 menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr ""
-
-#: __init__.py:578 menu.py:278
-msgid "Revert successful"
-msgstr ""
-
-#: __init__.py:579 menu.py:279
-msgid "All files reverted to last revision."
-msgstr ""
-
-#: __init__.py:835 __init__.py:1117
-msgid "Bookmarks"
-msgstr "Bokmärken"
-
-#: __init__.py:842 menu.py:99
-msgid "Bookmark"
-msgstr "Bokmärke"
-
-#: __init__.py:944 __init__.py:1231
-msgid "unchanged"
-msgstr "oförändrad"
-
-#: __init__.py:946 __init__.py:1233
-msgid "ignored"
-msgstr ""
-
-#: __init__.py:948 __init__.py:1235
-msgid "unknown"
-msgstr "okänd"
-
-#: __init__.py:964
-msgid "Filename"
-msgstr "Filnamn"
-
-#: __init__.py:965
-msgid "Status"
-msgstr "Status"
-
-#: __init__.py:966
-msgid "Size"
-msgstr ""
-
-#: __init__.py:967
-msgid "Last modified"
-msgstr ""
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-
-#: bookmark.py:46
-msgid "Title:"
-msgstr "Titel:"
-
-#: bookmark.py:81
-msgid "No title given"
-msgstr ""
-
-#: bookmark.py:82
-msgid "Please specify a title to continue."
-msgstr ""
-
-#: guifiles.py:45
-msgid "Glade file cannot be found."
-msgstr "Glade-filen kunde inte hittas."
-
-#: guifiles.py:55
-msgid "UI description file cannot be found."
-msgstr ""
-
-#: menu.py:63
-msgid "Add"
-msgstr "Lägg till"
-
-#: menu.py:64
-msgid "Add the selected file"
-msgstr "Lägg till den markerade filen"
-
-#: menu.py:67 menu.py:107
-msgid "Remove"
-msgstr "Ta bort"
-
-#: menu.py:68
-msgid "Remove the selected file"
-msgstr "Ta bort den markerade filen"
-
-#: menu.py:71
-msgid "Remove and delete"
-msgstr ""
-
-#: menu.py:72
-msgid "Remove the selected file/dir and delete from disk"
-msgstr ""
-
-#: menu.py:75
-msgid "Rename"
-msgstr ""
-
-#: menu.py:76
-msgid "Rename the selected file"
-msgstr ""
-
-#: menu.py:79
-msgid "Open"
-msgstr ""
-
-#: menu.py:80
-msgid "Open the selected file"
-msgstr ""
-
-#: menu.py:83
-msgid "Revert"
-msgstr ""
-
-#: menu.py:84
-msgid "Revert the changes"
-msgstr ""
-
-#: menu.py:88
-msgid "Commit the changes"
-msgstr "Verkställ ändringarna"
-
-#: menu.py:91
-msgid "Annotate"
-msgstr ""
-
-#: menu.py:92
-msgid "Annotate the selected file"
-msgstr ""
-
-#: menu.py:95
-msgid "Diff"
-msgstr "Diff"
-
-#: menu.py:96
-msgid "Show the diff of the file"
-msgstr ""
-
-#: menu.py:100
-msgid "Bookmark current location"
-msgstr "Bokmärk aktuell plats"
-
-#: menu.py:103
-msgid "Edit"
-msgstr "Redigera"
-
-#: menu.py:104
-msgid "Edit the selected bookmark"
-msgstr "Redigera det markerade bokmärket"
-
-#: menu.py:108
-msgid "Remove the selected bookmark"
-msgstr "Ta bort det markerade bokmärket"
-
-#: menu.py:111
-msgid "Open Folder"
-msgstr ""
-
-#: menu.py:112
-msgid "Open bookmark folder in Nautilus"
-msgstr ""
-
-#: menu.py:115
-msgid "Selected..."
-msgstr ""
-
-#: menu.py:116
-msgid "Show the differences of the selected file"
-msgstr ""
-
-#: menu.py:119
-msgid "All..."
-msgstr "Alla..."
-
-#: menu.py:120
-msgid "Show the differences of all files"
-msgstr "Visa skillnaderna för alla filer"
-
-#: menu.py:123
-msgid "View contents"
-msgstr ""
-
-#: menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr ""
-
-#: menu.py:127
-msgid "Show differences"
-msgstr ""
-
-#: menu.py:128
-msgid "Show the differences between two revisions of the file"
-msgstr ""
-
-#: menu.py:131
-msgid "Revert to this revision"
-msgstr ""
-
-#: menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr ""
-
-#: menu.py:228
-msgid "Delete directory with all directories below ?"
-msgstr ""
-
-#: menu.py:315
-msgid "Bookmark successfully added"
-msgstr ""
-
-#: menu.py:316
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-
-#: menu.py:319
-msgid "Location already bookmarked"
-msgstr ""
-
-#: menu.py:320
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-
-#: mkdir.py:67
-msgid "No directory name given"
-msgstr "Inget katalognamn angavs"
-
-#: mkdir.py:68
-msgid "Please specify a desired name for the new directory."
-msgstr ""
-
-#: mkdir.py:79 mkdir.py:89
-msgid "Directory already exists"
-msgstr "Katalogen finns redan"
-
-#: mkdir.py:80 mkdir.py:90
-msgid "Please specify another name to continue."
-msgstr ""
-
-#: move.py:80 rename.py:71
-msgid "Please select a file from the list to proceed."
-msgstr ""
-
-#: move.py:89 rename.py:87
-msgid "Not the same branch"
-msgstr "Inte i samma gren"
-
-#: move.py:90 rename.py:88
-msgid "The destination is not in the same branch."
-msgstr ""
-
-#: remove.py:79 remove.py:139
-msgid "No matching files"
-msgstr "Inga filer matchades"
-
-#: remove.py:80 remove.py:140
-msgid "No added files were found in the working tree."
-msgstr ""
-
-#: remove.py:105 olive.glade:825
-msgid "Which file(s) do you want to remove?"
-msgstr "Vilka fil(er) vill du ta bort?"
-
-#: remove.py:106 olive.glade:717 olive.glade:837
-msgid "Selected only"
-msgstr "Endast markerade"
-
-#: remove.py:107 olive.glade:851
-msgid "All files with status 'added'"
-msgstr ""
-
-#: remove.py:108 olive.glade:905
-msgid "_Remove"
-msgstr "_Ta bort"
-
-#: rename.py:75
-msgid "Filename not given"
-msgstr "Filnamn angavs inte"
-
-#: rename.py:76
-msgid "Please specify a new name for the file."
-msgstr "Ange ett nytt namn för filen."
-
-#: olive.glade:8
-msgid "Olive - Bazaar GUI"
-msgstr "Olive - Användargränssnitt för Bazaar"
-
-#: olive.glade:21
-msgid "_File"
-msgstr "_Arkiv"
-
-#: olive.glade:28
-msgid "_Add file(s)..."
-msgstr "_Lägg till fil(er)..."
-
-#: olive.glade:43
-msgid "Remove file(s)..."
-msgstr "Ta bort fil(er)..."
-
-#: olive.glade:63
-msgid "Make _directory..."
-msgstr "Skapa _katalog..."
-
-#: olive.glade:76
-msgid "_Rename..."
-msgstr "_Byt namn..."
-
-#: olive.glade:84
-msgid "_Move..."
-msgstr "_Flytta..."
-
-#: olive.glade:92
-msgid "_Annotate..."
-msgstr ""
-
-#: olive.glade:118
-msgid "_View"
-msgstr "_Visa"
-
-#: olive.glade:126
-msgid "Show _hidden files"
-msgstr "Visa _dolda filer"
-
-#: olive.glade:139
-msgid "_Refresh"
-msgstr "_Uppdatera"
-
-#: olive.glade:158
-msgid "_Initialize..."
-msgstr ""
-
-#: olive.glade:166
-msgid "_Get..."
-msgstr "_Hämta..."
-
-#: olive.glade:174
-msgid "C_heckout..."
-msgstr "C_hecka ut..."
-
-#: olive.glade:187
-msgid "Pu_ll"
-msgstr "Dra _in"
-
-#: olive.glade:201
-msgid "Pu_sh..."
-msgstr "Skjut _ut..."
-
-#: olive.glade:220
-msgid "_Revert all changes"
-msgstr ""
-
-#: olive.glade:228
-msgid "_Merge..."
-msgstr ""
-
-#: olive.glade:236
-msgid "_Commit..."
-msgstr "_Verkställ..."
-
-#: olive.glade:255
-msgid "Ta_gs..."
-msgstr ""
-
-#: olive.glade:263
-msgid "S_tatus..."
-msgstr "S_tatus..."
-
-#: olive.glade:271
-msgid "Missing _revisions"
-msgstr ""
-
-#: olive.glade:279
-msgid "Con_flicts..."
-msgstr ""
-
-#: olive.glade:291
-msgid "_Statistics"
-msgstr "_Statistik"
-
-#: olive.glade:298
-msgid "_Differences..."
-msgstr "_Skillnader"
-
-#: olive.glade:312
-msgid "_Log..."
-msgstr "_Logg..."
-
-#: olive.glade:326
-msgid "_Information..."
-msgstr ""
-
-#: olive.glade:338
-msgid "_Help"
-msgstr "_Hjälp"
-
-#: olive.glade:548
-msgid "gtk-jump-to"
-msgstr ""
-
-#: olive.glade:575
-msgid "H_istory Mode"
-msgstr ""
-
-#: olive.glade:673
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-
-#: olive.glade:675
-msgid "https://launchpad.net/products/olive"
-msgstr "https://launchpad.net/products/olive"
-
-#: olive.glade:677
-msgid "translator-credits"
-msgstr ""
-"Launchpad Contributions:\n"
-"  Daniel Nylander https://launchpad.net/~yeager\n"
-"  Zirro https://launchpad.net/~magne-andersson"
-
-#: olive.glade:694
-msgid "Olive - Add file(s)"
-msgstr "Olive - Lägg till fil(er)"
-
-#: olive.glade:705
-msgid "Which file(s) do you want to add?"
-msgstr "Vilka fil(er) vill du lägga till?"
-
-#: olive.glade:731
-msgid "All unknowns recursively"
-msgstr ""
-
-#: olive.glade:785
-msgid "_Add"
-msgstr "_Lägg till"
-
-#: olive.glade:814
-msgid "Olive - Remove file(s)"
-msgstr "Olive - Ta bort fil(er)"
-
-#: olive.glade:934
-msgid "Olive - Make directory"
-msgstr "Olive - Skapa katalog"
-
-#: olive.glade:957
-msgid "_Versioned directory"
-msgstr "_Versionshanterad katalog"
-
-#: olive.glade:1011
-msgid "_Make directory"
-msgstr "_Skapa katalog"
-
-#: olive.glade:1041
-msgid "Olive - Move"
-msgstr "Olive - Flytta"
-
-#: olive.glade:1055
-msgid "Move to"
-msgstr "Flytta till"
-
-#: olive.glade:1066
-msgid "Select a directory"
-msgstr "Välj en katalog"
-
-#: olive.glade:1120
-msgid "_Move"
-msgstr "_Flytta"
-
-#: olive.glade:1148
-msgid "Olive - Rename"
-msgstr "Olive - Byt namn"
-
-#: olive.glade:1162
-msgid "Rename to"
-msgstr "Byt namn till"
-
-#: olive.glade:1227
-msgid "_Rename"
-msgstr "_Byt namn"
-
-#: olive.glade:1255
-msgid "Olive - Information"
-msgstr ""
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275
-msgid "(none)"
-msgstr "(ingen)"
-
-#: olive.glade:1368
-msgid "Checkout root: "
-msgstr ""
-
-#: olive.glade:1380
-msgid "Branch root: "
-msgstr ""
-
-#: olive.glade:1392
-msgid "Repository checkout: "
-msgstr "Förrådsutcheckning: "
-
-#: olive.glade:1404
-msgid "Checkout of branch: "
-msgstr "Checka ut gren: "
-
-#: olive.glade:1416
-msgid "Repository branch: "
-msgstr "Förrådsgren: "
-
-#: olive.glade:1428
-msgid "Shared repository: "
-msgstr "Delat förråd: "
-
-#: olive.glade:1440
-msgid "Light checkout root: "
-msgstr ""
-
-#: olive.glade:1454
-msgid "<b>Location:</b>"
-msgstr ""
-
-#: olive.glade:1508
-msgid "Publish to branch: "
-msgstr "Publicera till gren: "
-
-#: olive.glade:1520
-msgid "Parent branch: "
-msgstr "Föräldergren: "
-
-#: olive.glade:1534
-msgid "<b>Related branches:</b>"
-msgstr ""
-
-#: olive.glade:1614
-msgid "Repository format: "
-msgstr ""
-
-#: olive.glade:1626
-msgid "Branch format: "
-msgstr ""
-
-#: olive.glade:1638
-msgid "Working tree format: "
-msgstr ""
-
-#: olive.glade:1650
-msgid "Control format: "
-msgstr ""
-
-#: olive.glade:1664
-msgid "<b>Format:</b>"
-msgstr ""
-
-#: olive.glade:1731
-msgid "Repository lock status: "
-msgstr ""
-
-#: olive.glade:1743
-msgid "Branch lock status: "
-msgstr ""
-
-#: olive.glade:1755
-msgid "Working tree lock status: "
-msgstr ""
-
-#: olive.glade:1769
-msgid "<b>Lock status:</b>"
-msgstr ""
-
-#: olive.glade:1823
-msgid "Missing revisions in branch: "
-msgstr "Saknade revisioner i gren: "
-
-#: olive.glade:1835
-msgid "Missing revisions in working tree: "
-msgstr "Saknade revisioner i arbetsträd: "
-
-#: olive.glade:1849
-msgid "<b>Missing revisions:</b>"
-msgstr ""
-
-#: olive.glade:1981
-msgid "Versioned subdirectories: "
-msgstr "Versionshanterade underkataloger: "
-
-#: olive.glade:1993
-msgid "Ignored files: "
-msgstr "Ignorerade filer: "
-
-#: olive.glade:2005
-msgid "Unknown files: "
-msgstr "Okända filer: "
-
-#: olive.glade:2017
-msgid "Renamed files: "
-msgstr "Filer som bytt namn: "
-
-#: olive.glade:2029
-msgid "Removed files: "
-msgstr "Borttagna filer: "
-
-#: olive.glade:2041
-msgid "Added files: "
-msgstr "Tillagda filer: "
-
-#: olive.glade:2053
-msgid "Modified files: "
-msgstr "Ändrade filer: "
-
-#: olive.glade:2065
-msgid "Unchanged files: "
-msgstr "Oförändrade filer: "
-
-#: olive.glade:2079
-msgid "<b>In the working tree:</b>"
-msgstr ""
-
-#: olive.glade:2172
-msgid "Time of last revision: "
-msgstr "Tid för sista revision: "
-
-#: olive.glade:2184
-msgid "Time of first revision: "
-msgstr "Tid för första revision: "
-
-#: olive.glade:2196
-msgid "Age of branch in days: "
-msgstr "Ålder för gren (i dagar): "
-
-#: olive.glade:2208
-msgid "Number of commiters: "
-msgstr "Antal insändare: "
-
-#: olive.glade:2220
-msgid "Revisions in branch: "
-msgstr "Revisioner i gren: "
-
-#: olive.glade:2234
-msgid "<b>Branch history:</b>"
-msgstr ""
-
-#: olive.glade:2288
-msgid "Size of repository: "
-msgstr "Storlek på förråd: "
-
-#: olive.glade:2300
-msgid "Revisions in repository: "
-msgstr "Revisioner i förråd: "
-
-#: olive.glade:2314
-msgid "<b>Revision store:</b>"
-msgstr ""
-
-#: olive.glade:2356
-msgid "Merge - Olive"
-msgstr ""
-
-#: olive.glade:2370
-msgid "Merge from:"
-msgstr ""
-
-#: olive.glade:2454
-msgid "_Merge"
-msgstr ""

=== added file 'po/th.po'
--- po/th.po	1970-01-01 00:00:00 +0000
+++ po/th.po	2011-12-02 05:55:20 +0000
@@ -0,0 +1,739 @@
+# Thai translation for olive
+# Copyright (c) 2006 Rosetta Contributors and Canonical Ltd 2006
+# This file is distributed under the same license as the olive package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2006.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: olive\n"
+"Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:58+0000\n"
+"Last-Translator: SiraNokyoongtong <gumaraa@gmail.com>\n"
+"Language-Team: Thai <th@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
+msgid "_Branch"
+msgstr "_สาขา"
+
+#: ../branch.py:49 ../checkout.py:49
+msgid "Branch location:"
+msgstr "ตำแหน่งสาขา:"
+
+#: ../branch.py:51 ../checkout.py:50
+msgid "Destination:"
+msgstr "ปลายทาง:"
+
+#: ../branch.py:52
+msgid "Branck nick:"
+msgstr "ชื่อเรียกสาขา:"
+
+#: ../branch.py:53 ../checkout.py:52
+msgid "Revision:"
+msgstr "รุ่น:"
+
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "โปรดเลือกโฟลเดอร์"
+
+#: ../branch.py:134 ../checkout.py:153
+msgid "Missing branch location"
+msgstr "ไม่พบตำแหน่งสาขา"
+
+#: ../branch.py:135 ../checkout.py:154
+msgid "You must specify a branch location."
+msgstr "คุณต้องระบุตำแหน่งสาขา"
+
+#: ../branch.py:174
+msgid "Branching successful"
+msgstr "แตกสาขาสำเร็จ"
+
+#: ../branch.py:175
+#, python-format
+msgid "%d revision(s) branched."
+msgstr "รุ่นที่ %d ของสาขา"
+
+#: ../branch.py:183 ../checkout.py:185
+msgid "N/A"
+msgstr "N/A"
+
+#. Create the widgets
+#: ../checkout.py:44
+msgid "Check_out"
+msgstr ""
+
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
+msgid "_Lightweight checkout"
+msgstr ""
+
+#: ../commands.py:305
+msgid "Directory does not have a working tree"
+msgstr "ไดเรกทอรีไม่มีสายงาน"
+
+#: ../commands.py:306
+msgid "Operation aborted."
+msgstr "ยกเลิกปฏิบัติการ"
+
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr "นั่นคือการเปลี่ยนแปลงในสาขา"
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr "โปรดยืนยันหรือย้อนกลับการเปลี่ยนแปลงก่อนจะรวม"
+
+#: ../commit.py:178
+msgid "added"
+msgstr "เพิ่มแล้ว"
+
+#: ../commit.py:179
+msgid "removed"
+msgstr "ลบแล้ว"
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr "เปลี่ยนชื่อแล้ว"
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr "เปลี่ยนชื่อและเปลี่ยนแปลงแล้ว"
+
+#: ../commit.py:182
+msgid "modified"
+msgstr "เปลี่ยนแปลงแล้ว"
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr "<b>ข้อความยืนยัน</b>"
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr "ยืนยัน_อยู่ภายในเท่านั้น"
+
+#: ../commit.py:361
+msgid "Comm_it"
+msgstr "_ยืนยัน"
+
+#: ../commit.py:388
+msgid "Files"
+msgstr "แฟ้ม"
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr "ยืนยันการเปลี่ยนแปลงทั้งหมด"
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr "ยืนยันการเปลี่ยนแปลงทั้งหมด*"
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr "ยืนยัน*"
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr "ยืนยัน"
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr "พาธ"
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr "รูปแบบ"
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr "<i>* ไม่สามารถเลือกแฟ้มขณะกำลังผสาน</i>"
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr "กำลังรอรุ่น"
+
+#: ../commit.py:503
+msgid "Date"
+msgstr "วันที่"
+
+#: ../commit.py:505
+msgid "Committer"
+msgstr "ผู้ยืนยัน"
+
+#: ../commit.py:507 ../search.py:60
+msgid "Summary"
+msgstr "ภาพรวม"
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr "เปรียบเทียบทั้งสายงาน"
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr "แฟ้มข้อความยืนยัน"
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr "ข้อความยืนยันโดยรวม"
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr "<b>ข้อความยืนยันโดยรวม</b>"
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr "เปรียบเทียบกับ "
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr "ข้อความยืนยันสำหรับ "
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr "ยืนยันโดยไม่กำหนดข้อความ?"
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr "คุณสามารถระบุเหตุผลของการยืนยัน"
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr "มีแฟ้มที่ไม่รู้จักในสายงาน ยืนยันหรือไม่?"
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr "ยืนยันแม้ไม่เปลี่ยนแปลง?"
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr "ไม่มีการเปลี่ยนแปลงในสายงาน คุณต้องการยืนยันหรือไม่?"
+
+#: ../conflicts.py:45
+msgid "External utility:"
+msgstr "เครื่องมืออำนวยความสะดวกภายนอก:"
+
+#: ../conflicts.py:97
+msgid "Conflicts"
+msgstr "ขัดแย้ง"
+
+#: ../conflicts.py:100
+msgid "No conflicts in working tree."
+msgstr "ไม่มีความขัดแย้งในสายงานนนี้"
+
+#: ../conflicts.py:114
+msgid "path conflict"
+msgstr "ขัดแย้งที่พาธ"
+
+#: ../conflicts.py:116
+msgid "contents conflict"
+msgstr "ขัดแย้งที่เนื้อหา"
+
+#: ../conflicts.py:118
+msgid "text conflict"
+msgstr "ขัดแย้งที่อักขระ"
+
+#: ../conflicts.py:120
+msgid "duplicate id"
+msgstr "id ซ้ำซ้อน"
+
+#: ../conflicts.py:122
+msgid "duplicate"
+msgstr "ซ้ำซ้อน"
+
+#: ../conflicts.py:124
+msgid "parent loop"
+msgstr ""
+
+#: ../conflicts.py:126
+msgid "unversioned parent"
+msgstr ""
+
+#: ../conflicts.py:128
+msgid "missing parent"
+msgstr ""
+
+#: ../conflicts.py:130
+msgid "deleting parent"
+msgstr ""
+
+#: ../conflicts.py:132
+msgid "unknown type of conflict"
+msgstr "ไม่ทราบรูปแบบของความผิดพลาด"
+
+#: ../conflicts.py:161
+msgid "No file was selected"
+msgstr "ไม่มีแฟ้มถูกเลือก"
+
+#: ../conflicts.py:162
+msgid "Please select a file from the list."
+msgstr "โปรดเลือกแฟ้มจากรายการ"
+
+#: ../conflicts.py:172
+msgid "Call to external utility failed"
+msgstr "การเรียกเครื่องมืออำนวยความสะดวกภายนอกล้มเหลว"
+
+#: ../conflicts.py:174
+msgid "Cannot resolve conflict"
+msgstr "ไม่สามารถแก้ไขความขัดแย้ง"
+
+#: ../conflicts.py:175
+msgid ""
+"Only conflicts on the text of files can be resolved with Olive at the "
+"moment. Content conflicts, on the structure of the tree, need to be resolved "
+"using the command line."
+msgstr ""
+
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "มุม_มอง"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr "รวมสำเร็จ"
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr "การเปลี่ยนแปลงทั้งหมดปรับใช้เรียบร้อย"
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr "พบความขัดแย้ง"
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr "โปรดแก้ไขความขัดแย้งด้วยตัวเองก่อนจะยืนยัน"
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr "ไดเรกทอรีไม่ใช่สาขา"
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr "การกระทำนี้คุณสามารถทำได้ในสาขาเท่านั้น"
+
+#: ../errors.py:34
+msgid "Directory is not a checkout"
+msgstr ""
+
+#: ../errors.py:35
+msgid "You can perform local commit only on checkouts."
+msgstr ""
+
+#: ../errors.py:37
+msgid "No changes to commit"
+msgstr "ไม่มีการเปลี่ยนแปลงที่จะยืนยัน"
+
+#: ../errors.py:38
+msgid "Try force commit if you want to commit anyway."
+msgstr ""
+
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
+msgid "Conflicts in tree"
+msgstr "ขัดแย้งในสายงาน"
+
+#: ../errors.py:44
+msgid "You need to resolve the conflicts before committing."
+msgstr "คุณต้องแก้ไขความขัดแย้งก่อนการยืนยัน"
+
+#: ../errors.py:46
+msgid "Strict commit failed"
+msgstr ""
+
+#: ../errors.py:47
+msgid ""
+"There are unknown files in the working tree.\n"
+"Please add or delete them."
+msgstr ""
+
+#: ../errors.py:49
+msgid "Bound branch is out of date"
+msgstr "ส่วนขอบของสาขาล้าสมัย"
+
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
+#, python-format
+msgid "%s"
+msgstr "%s"
+
+#: ../errors.py:53
+msgid "File not versioned"
+msgstr "แฟ้มยังไม่ได้ระบุรุ่น"
+
+#: ../errors.py:54
+msgid "The selected file is not versioned."
+msgstr "แฟ้มที่เลือกยังไม่ได้ระบุรุ่น"
+
+#: ../errors.py:56 ../push.py:100
+msgid "Branches have been diverged"
+msgstr ""
+
+#: ../errors.py:57
+msgid ""
+"You cannot push if branches have diverged. Use the\n"
+"overwrite option if you want to push anyway."
+msgstr ""
+
+#: ../errors.py:59
+msgid "No diff output"
+msgstr "ไม่มีผลลัพธ์การเปรียบเทียบ"
+
+#: ../errors.py:60
+msgid "The selected file hasn't changed."
+msgstr "แฟ้มที่เลือกไม่มีการเปลี่ยนแปลง"
+
+#: ../errors.py:62
+msgid "No such revision"
+msgstr ""
+
+#: ../errors.py:63
+msgid "The revision you specified doesn't exist."
+msgstr "ไม่มีรุ่นที่คุณระบุ"
+
+#: ../errors.py:65
+msgid "Target already exists"
+msgstr ""
+
+#: ../errors.py:66
+msgid "Target directory already exists. Please select another target."
+msgstr ""
+
+#: ../errors.py:68
+msgid "Directory is already a branch"
+msgstr "ไดเรกทอรี่เป็นสาขาแล้ว"
+
+#: ../errors.py:69
+#, python-format
+msgid ""
+"The current directory (%s) is already a branch.\n"
+"You can start using it, or initialize another directory."
+msgstr ""
+
+#: ../errors.py:71
+msgid "Branch without a working tree"
+msgstr "สาขาไม่มีสายงาน"
+
+#: ../errors.py:72
+#, python-format
+msgid ""
+"The current directory (%s)\n"
+"is a branch without a working tree."
+msgstr ""
+"ไดเรกทอรีปัจจุบัน (%s)\n"
+"คือสาขาโดยไม่มีสายงาน"
+
+#: ../errors.py:74
+msgid "Unknown bzr error"
+msgstr "bzr ผิดพลาดไม่ทราบสาเหตุ"
+
+#: ../errors.py:76
+msgid "Permission denied"
+msgstr "ไม่ได้รับอนุญาต"
+
+#: ../errors.py:76
+msgid "permission denied."
+msgstr "ไม่ได้รับอนุญาต"
+
+#: ../errors.py:78
+msgid "Unknown error"
+msgstr "ผิดพลาดไม่ทราบสาเหตุ"
+
+#. Create the widgets
+#: ../initialize.py:46
+msgid "_Initialize"
+msgstr ""
+
+#: ../initialize.py:47
+msgid "Which directory do you want to initialize?"
+msgstr "ไดเรกทอรีใดที่คุณต้องการเริ่ม?"
+
+#: ../initialize.py:49
+msgid "Current directory"
+msgstr "ไดเรกทอรีปัจจุบัน"
+
+#: ../initialize.py:51
+msgid "Create a new directory with the name:"
+msgstr "สร้างไดเรกทอรีใหม่ด้วยชื่อ:"
+
+#: ../initialize.py:87
+msgid "Directory name not specified"
+msgstr "ไม่ได้ระบุชื่อไดเรกทอรี"
+
+#: ../initialize.py:88
+msgid "You should specify a new directory name."
+msgstr "คุณควรระบุชื่อไดเรกทอรี"
+
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr "_ผสาน"
+
+#: ../merge.py:130
+msgid "Branch not given"
+msgstr ""
+
+#: ../merge.py:131
+msgid "Please specify a branch to merge from."
+msgstr "โปรดระบุสาขาที่จะรวมเข้ามา"
+
+#: ../merge.py:139
+msgid "Bazaar command error"
+msgstr "คำสั่ง Bazaar ผิดพลาด"
+
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
+msgid "Location:"
+msgstr "ตำแหน่ง:"
+
+#: ../push.py:52
+msgid "_Push"
+msgstr "_ส่ง"
+
+#: ../push.py:101
+msgid ""
+"You cannot push if branches have diverged.\n"
+"Overwrite?"
+msgstr ""
+
+#: ../push.py:109
+msgid "Push successful"
+msgstr "ส่งเรียบร้อย"
+
+#: ../push.py:110
+#, python-format
+msgid "%d revision(s) pushed."
+msgstr "รุ่นที่ %d ได้ส่งแล้ว"
+
+#: ../push.py:141
+msgid "Non existing parent directory"
+msgstr ""
+
+#: ../push.py:142
+#, python-format
+msgid ""
+"The parent directory (%s)\n"
+"doesn't exist. Create?"
+msgstr ""
+
+#. Create the widgets
+#: ../revbrowser.py:35
+msgid "_Select"
+msgstr "เ_ลือก"
+
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
+msgid "Added"
+msgstr "เพิ่มแล้ว"
+
+#: ../status.py:93
+msgid "Removed"
+msgstr "ลบแล้ว"
+
+#: ../status.py:99
+msgid "Renamed"
+msgstr "เปลี่ยนชื่อแล้ว"
+
+#: ../status.py:106
+msgid "Modified"
+msgstr "แก้ไขแล้ว"
+
+#: ../status.py:114
+msgid "Unknown"
+msgstr "ไม่ทราบ"
+
+#: ../status.py:119
+msgid "No changes."
+msgstr "ไม่มีการเปลี่ยนแปลง"
+
+#. Set properties
+#: ../tags.py:60
+msgid "Tags"
+msgstr "ป้าย"
+
+#: ../tags.py:110
+msgid "Tag Name"
+msgstr "ชื่อป้าย"
+
+#: ../tags.py:115
+msgid "Revision ID"
+msgstr "หมายเลขประจำรุ่น"
+
+#: ../tags.py:148
+msgid "Tags are not supported by this branch format. Please upgrade."
+msgstr ""
+
+#: ../tags.py:154
+msgid "No tagged revisions in the branch."
+msgstr ""
+
+#: ../tags.py:222
+msgid "_Remove tag"
+msgstr "_ลบป้าย"
+
+#: ../tags.py:232
+msgid "<b><big>Remove tag?</big></b>"
+msgstr "<b><big>ลบป้าย?</big></b>"
+
+#: ../tags.py:234
+#, python-format
+msgid "Are you sure you want to remove the tag: <b>%s</b>?"
+msgstr "คุณแน่ใจหรือไม่ที่ป้าย: <b>%s</b>?"
+
+#. Create the widgets
+#: ../tags.py:278
+msgid "_Add tag"
+msgstr "เ_พิ่มป้าย"
+
+#: ../tags.py:280
+msgid "Tag Name:"
+msgstr "ชื่อป้าย:"
+
+#: ../tags.py:281
+msgid "Revision ID:"
+msgstr "หมายเลขประจำรุ่น:"
+
+#: ../tags.py:312
+msgid "No tag name specified"
+msgstr "ไม่มีชื่อป้ายถูกระบุ"
+
+#: ../tags.py:313
+msgid "You have to specify the tag's desired name."
+msgstr ""

=== added file 'po/tr.po'
--- po/tr.po	1970-01-01 00:00:00 +0000
+++ po/tr.po	2011-12-02 05:55:20 +0000
@@ -0,0 +1,737 @@
+# Turkish translation for bzr-gtk
+# Copyright (c) 2008 Rosetta Contributors and Canonical Ltd 2008
+# This file is distributed under the same license as the bzr-gtk package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2008.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: bzr-gtk\n"
+"Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:57+0000\n"
+"Last-Translator: Rail Aliiev <rail@iqchoice.com>\n"
+"Language-Team: Turkish <tr@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
+msgid "_Branch"
+msgstr ""
+
+#: ../branch.py:49 ../checkout.py:49
+msgid "Branch location:"
+msgstr ""
+
+#: ../branch.py:51 ../checkout.py:50
+msgid "Destination:"
+msgstr "Hedef:"
+
+#: ../branch.py:52
+msgid "Branck nick:"
+msgstr ""
+
+#: ../branch.py:53 ../checkout.py:52
+msgid "Revision:"
+msgstr ""
+
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Lütfen bir dizin seçin"
+
+#: ../branch.py:134 ../checkout.py:153
+msgid "Missing branch location"
+msgstr ""
+
+#: ../branch.py:135 ../checkout.py:154
+msgid "You must specify a branch location."
+msgstr ""
+
+#: ../branch.py:174
+msgid "Branching successful"
+msgstr ""
+
+#: ../branch.py:175
+#, python-format
+msgid "%d revision(s) branched."
+msgstr ""
+
+#: ../branch.py:183 ../checkout.py:185
+msgid "N/A"
+msgstr ""
+
+#. Create the widgets
+#: ../checkout.py:44
+msgid "Check_out"
+msgstr ""
+
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
+msgid "_Lightweight checkout"
+msgstr ""
+
+#: ../commands.py:305
+msgid "Directory does not have a working tree"
+msgstr ""
+
+#: ../commands.py:306
+msgid "Operation aborted."
+msgstr "İşlem iptal edildi."
+
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr ""
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr ""
+
+#: ../commit.py:178
+msgid "added"
+msgstr "eklendi"
+
+#: ../commit.py:179
+msgid "removed"
+msgstr "silindi"
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr ""
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr ""
+
+#: ../commit.py:182
+msgid "modified"
+msgstr "değiştirildi"
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr ""
+
+#: ../commit.py:361
+msgid "Comm_it"
+msgstr ""
+
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr ""
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr ""
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr ""
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
+msgid "Date"
+msgstr "Tarih"
+
+#: ../commit.py:505
+msgid "Committer"
+msgstr ""
+
+#: ../commit.py:507 ../search.py:60
+msgid "Summary"
+msgstr "Özet"
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr ""
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr ""
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
+msgid "External utility:"
+msgstr ""
+
+#: ../conflicts.py:97
+msgid "Conflicts"
+msgstr "Çelişenler"
+
+#: ../conflicts.py:100
+msgid "No conflicts in working tree."
+msgstr ""
+
+#: ../conflicts.py:114
+msgid "path conflict"
+msgstr ""
+
+#: ../conflicts.py:116
+msgid "contents conflict"
+msgstr ""
+
+#: ../conflicts.py:118
+msgid "text conflict"
+msgstr ""
+
+#: ../conflicts.py:120
+msgid "duplicate id"
+msgstr ""
+
+#: ../conflicts.py:122
+msgid "duplicate"
+msgstr "kopya"
+
+#: ../conflicts.py:124
+msgid "parent loop"
+msgstr ""
+
+#: ../conflicts.py:126
+msgid "unversioned parent"
+msgstr ""
+
+#: ../conflicts.py:128
+msgid "missing parent"
+msgstr ""
+
+#: ../conflicts.py:130
+msgid "deleting parent"
+msgstr ""
+
+#: ../conflicts.py:132
+msgid "unknown type of conflict"
+msgstr ""
+
+#: ../conflicts.py:161
+msgid "No file was selected"
+msgstr ""
+
+#: ../conflicts.py:162
+msgid "Please select a file from the list."
+msgstr ""
+
+#: ../conflicts.py:172
+msgid "Call to external utility failed"
+msgstr ""
+
+#: ../conflicts.py:174
+msgid "Cannot resolve conflict"
+msgstr ""
+
+#: ../conflicts.py:175
+msgid ""
+"Only conflicts on the text of files can be resolved with Olive at the "
+"moment. Content conflicts, on the structure of the tree, need to be resolved "
+"using the command line."
+msgstr ""
+
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "_Görünüm"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr ""
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr ""
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr ""
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr ""
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr ""
+
+#: ../errors.py:34
+msgid "Directory is not a checkout"
+msgstr ""
+
+#: ../errors.py:35
+msgid "You can perform local commit only on checkouts."
+msgstr ""
+
+#: ../errors.py:37
+msgid "No changes to commit"
+msgstr ""
+
+#: ../errors.py:38
+msgid "Try force commit if you want to commit anyway."
+msgstr ""
+
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
+msgid "Conflicts in tree"
+msgstr ""
+
+#: ../errors.py:44
+msgid "You need to resolve the conflicts before committing."
+msgstr ""
+
+#: ../errors.py:46
+msgid "Strict commit failed"
+msgstr ""
+
+#: ../errors.py:47
+msgid ""
+"There are unknown files in the working tree.\n"
+"Please add or delete them."
+msgstr ""
+
+#: ../errors.py:49
+msgid "Bound branch is out of date"
+msgstr ""
+
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
+#, python-format
+msgid "%s"
+msgstr "%s"
+
+#: ../errors.py:53
+msgid "File not versioned"
+msgstr ""
+
+#: ../errors.py:54
+msgid "The selected file is not versioned."
+msgstr ""
+
+#: ../errors.py:56 ../push.py:100
+msgid "Branches have been diverged"
+msgstr ""
+
+#: ../errors.py:57
+msgid ""
+"You cannot push if branches have diverged. Use the\n"
+"overwrite option if you want to push anyway."
+msgstr ""
+
+#: ../errors.py:59
+msgid "No diff output"
+msgstr ""
+
+#: ../errors.py:60
+msgid "The selected file hasn't changed."
+msgstr ""
+
+#: ../errors.py:62
+msgid "No such revision"
+msgstr ""
+
+#: ../errors.py:63
+msgid "The revision you specified doesn't exist."
+msgstr ""
+
+#: ../errors.py:65
+msgid "Target already exists"
+msgstr "Hedef zaten mevcut"
+
+#: ../errors.py:66
+msgid "Target directory already exists. Please select another target."
+msgstr ""
+
+#: ../errors.py:68
+msgid "Directory is already a branch"
+msgstr ""
+
+#: ../errors.py:69
+#, python-format
+msgid ""
+"The current directory (%s) is already a branch.\n"
+"You can start using it, or initialize another directory."
+msgstr ""
+
+#: ../errors.py:71
+msgid "Branch without a working tree"
+msgstr ""
+
+#: ../errors.py:72
+#, python-format
+msgid ""
+"The current directory (%s)\n"
+"is a branch without a working tree."
+msgstr ""
+
+#: ../errors.py:74
+msgid "Unknown bzr error"
+msgstr ""
+
+#: ../errors.py:76
+msgid "Permission denied"
+msgstr "İzin verilmedi"
+
+#: ../errors.py:76
+msgid "permission denied."
+msgstr ""
+
+#: ../errors.py:78
+msgid "Unknown error"
+msgstr "Bilinmeyen hata"
+
+#. Create the widgets
+#: ../initialize.py:46
+msgid "_Initialize"
+msgstr ""
+
+#: ../initialize.py:47
+msgid "Which directory do you want to initialize?"
+msgstr ""
+
+#: ../initialize.py:49
+msgid "Current directory"
+msgstr ""
+
+#: ../initialize.py:51
+msgid "Create a new directory with the name:"
+msgstr ""
+
+#: ../initialize.py:87
+msgid "Directory name not specified"
+msgstr ""
+
+#: ../initialize.py:88
+msgid "You should specify a new directory name."
+msgstr ""
+
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr "_Birleştir"
+
+#: ../merge.py:130
+msgid "Branch not given"
+msgstr ""
+
+#: ../merge.py:131
+msgid "Please specify a branch to merge from."
+msgstr ""
+
+#: ../merge.py:139
+msgid "Bazaar command error"
+msgstr ""
+
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
+msgid "Location:"
+msgstr "Konum:"
+
+#: ../push.py:52
+msgid "_Push"
+msgstr ""
+
+#: ../push.py:101
+msgid ""
+"You cannot push if branches have diverged.\n"
+"Overwrite?"
+msgstr ""
+
+#: ../push.py:109
+msgid "Push successful"
+msgstr ""
+
+#: ../push.py:110
+#, python-format
+msgid "%d revision(s) pushed."
+msgstr ""
+
+#: ../push.py:141
+msgid "Non existing parent directory"
+msgstr ""
+
+#: ../push.py:142
+#, python-format
+msgid ""
+"The parent directory (%s)\n"
+"doesn't exist. Create?"
+msgstr ""
+
+#. Create the widgets
+#: ../revbrowser.py:35
+msgid "_Select"
+msgstr "_Seç"
+
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
+msgid "Added"
+msgstr ""
+
+#: ../status.py:93
+msgid "Removed"
+msgstr ""
+
+#: ../status.py:99
+msgid "Renamed"
+msgstr ""
+
+#: ../status.py:106
+msgid "Modified"
+msgstr ""
+
+#: ../status.py:114
+msgid "Unknown"
+msgstr ""
+
+#: ../status.py:119
+msgid "No changes."
+msgstr ""
+
+#. Set properties
+#: ../tags.py:60
+msgid "Tags"
+msgstr ""
+
+#: ../tags.py:110
+msgid "Tag Name"
+msgstr "Etiket Adı"
+
+#: ../tags.py:115
+msgid "Revision ID"
+msgstr ""
+
+#: ../tags.py:148
+msgid "Tags are not supported by this branch format. Please upgrade."
+msgstr ""
+
+#: ../tags.py:154
+msgid "No tagged revisions in the branch."
+msgstr ""
+
+#: ../tags.py:222
+msgid "_Remove tag"
+msgstr ""
+
+#: ../tags.py:232
+msgid "<b><big>Remove tag?</big></b>"
+msgstr ""
+
+#: ../tags.py:234
+#, python-format
+msgid "Are you sure you want to remove the tag: <b>%s</b>?"
+msgstr ""
+
+#. Create the widgets
+#: ../tags.py:278
+msgid "_Add tag"
+msgstr ""
+
+#: ../tags.py:280
+msgid "Tag Name:"
+msgstr "Etiket İsmi"
+
+#: ../tags.py:281
+msgid "Revision ID:"
+msgstr ""
+
+#: ../tags.py:312
+msgid "No tag name specified"
+msgstr ""
+
+#: ../tags.py:313
+msgid "You have to specify the tag's desired name."
+msgstr ""

=== added file 'po/uk.po'
--- po/uk.po	1970-01-01 00:00:00 +0000
+++ po/uk.po	2011-12-02 05:55:20 +0000
@@ -0,0 +1,740 @@
+# Ukrainian translation for bzr-gtk
+# Copyright (c) 2008 Rosetta Contributors and Canonical Ltd 2008
+# This file is distributed under the same license as the bzr-gtk package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2008.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: bzr-gtk\n"
+"Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:59+0000\n"
+"Last-Translator: Jelmer Vernooij <Unknown>\n"
+"Language-Team: Ukrainian <uk@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
+msgid "_Branch"
+msgstr ""
+
+#: ../branch.py:49 ../checkout.py:49
+msgid "Branch location:"
+msgstr ""
+
+#: ../branch.py:51 ../checkout.py:50
+msgid "Destination:"
+msgstr "Призначення:"
+
+#: ../branch.py:52
+msgid "Branck nick:"
+msgstr ""
+
+#: ../branch.py:53 ../checkout.py:52
+msgid "Revision:"
+msgstr "Модифікація:"
+
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "Будь ласка, виберіть теку"
+
+#: ../branch.py:134 ../checkout.py:153
+msgid "Missing branch location"
+msgstr ""
+
+#: ../branch.py:135 ../checkout.py:154
+msgid "You must specify a branch location."
+msgstr ""
+
+#: ../branch.py:174
+msgid "Branching successful"
+msgstr ""
+
+#: ../branch.py:175
+#, python-format
+msgid "%d revision(s) branched."
+msgstr ""
+
+#: ../branch.py:183 ../checkout.py:185
+msgid "N/A"
+msgstr "ВІДСУТНЬО"
+
+#. Create the widgets
+#: ../checkout.py:44
+msgid "Check_out"
+msgstr "Прийняти зміни"
+
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
+msgid "_Lightweight checkout"
+msgstr "Легко прийняти зміни"
+
+#: ../commands.py:305
+msgid "Directory does not have a working tree"
+msgstr "Директорія не має робочого дерева"
+
+#: ../commands.py:306
+msgid "Operation aborted."
+msgstr "Дію перервано."
+
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr ""
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr ""
+
+#: ../commit.py:178
+msgid "added"
+msgstr "додано"
+
+#: ../commit.py:179
+msgid "removed"
+msgstr "видалено"
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr "змінена назва"
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr "змінена назва та внесені зміни"
+
+#: ../commit.py:182
+msgid "modified"
+msgstr "змінено"
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr ""
+
+#: ../commit.py:361
+msgid "Comm_it"
+msgstr "Підтвердити"
+
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr "Фіксація"
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr "Шлях"
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr "Тип"
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
+msgid "Date"
+msgstr "Дата"
+
+#: ../commit.py:505
+msgid "Committer"
+msgstr ""
+
+#: ../commit.py:507 ../search.py:60
+msgid "Summary"
+msgstr "Підсумок"
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr "Підтвердити з пустим повідомленням?"
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr ""
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
+msgid "External utility:"
+msgstr "Зовнішні утиліти."
+
+#: ../conflicts.py:97
+msgid "Conflicts"
+msgstr "Конфлікти"
+
+#: ../conflicts.py:100
+msgid "No conflicts in working tree."
+msgstr "Не має конфліктів у робочому дереві."
+
+#: ../conflicts.py:114
+msgid "path conflict"
+msgstr "шлях конфлікту"
+
+#: ../conflicts.py:116
+msgid "contents conflict"
+msgstr "зміст конфлікту"
+
+#: ../conflicts.py:118
+msgid "text conflict"
+msgstr "текст конфлікту"
+
+#: ../conflicts.py:120
+msgid "duplicate id"
+msgstr "повторення мітки"
+
+#: ../conflicts.py:122
+msgid "duplicate"
+msgstr "повторення"
+
+#: ../conflicts.py:124
+msgid "parent loop"
+msgstr ""
+
+#: ../conflicts.py:126
+msgid "unversioned parent"
+msgstr ""
+
+#: ../conflicts.py:128
+msgid "missing parent"
+msgstr ""
+
+#: ../conflicts.py:130
+msgid "deleting parent"
+msgstr ""
+
+#: ../conflicts.py:132
+msgid "unknown type of conflict"
+msgstr "конфлікт невідомого типу"
+
+#: ../conflicts.py:161
+msgid "No file was selected"
+msgstr "Не вибрано файлу"
+
+#: ../conflicts.py:162
+msgid "Please select a file from the list."
+msgstr "Виберіть файл з переліку."
+
+#: ../conflicts.py:172
+msgid "Call to external utility failed"
+msgstr "Помилка під час виклику зовнішньої утиліти."
+
+#: ../conflicts.py:174
+msgid "Cannot resolve conflict"
+msgstr "Не можливо розвязати конфлікт"
+
+#: ../conflicts.py:175
+msgid ""
+"Only conflicts on the text of files can be resolved with Olive at the "
+"moment. Content conflicts, on the structure of the tree, need to be resolved "
+"using the command line."
+msgstr ""
+"Тільки конфлікти у текстових файлай можуть бути розвязані за допомогою Олів "
+"на даний час. Зміст конфлікту, у структурі дерева, потрібно розвязувати його "
+"за допомогою командної строки."
+
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr "_Погляд"
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr "Обєднано вдало"
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr "Всі зміни вдало прийняті."
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr ""
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr ""
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr ""
+
+#: ../errors.py:34
+msgid "Directory is not a checkout"
+msgstr "Директорія не звірена"
+
+#: ../errors.py:35
+msgid "You can perform local commit only on checkouts."
+msgstr ""
+
+#: ../errors.py:37
+msgid "No changes to commit"
+msgstr "Відсутні зміни для фіксації"
+
+#: ../errors.py:38
+msgid "Try force commit if you want to commit anyway."
+msgstr ""
+
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
+msgid "Conflicts in tree"
+msgstr "Конфлікт у дереві"
+
+#: ../errors.py:44
+msgid "You need to resolve the conflicts before committing."
+msgstr ""
+
+#: ../errors.py:46
+msgid "Strict commit failed"
+msgstr ""
+
+#: ../errors.py:47
+msgid ""
+"There are unknown files in the working tree.\n"
+"Please add or delete them."
+msgstr ""
+
+#: ../errors.py:49
+msgid "Bound branch is out of date"
+msgstr ""
+
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
+#, python-format
+msgid "%s"
+msgstr "%s"
+
+#: ../errors.py:53
+msgid "File not versioned"
+msgstr ""
+
+#: ../errors.py:54
+msgid "The selected file is not versioned."
+msgstr ""
+
+#: ../errors.py:56 ../push.py:100
+msgid "Branches have been diverged"
+msgstr ""
+
+#: ../errors.py:57
+msgid ""
+"You cannot push if branches have diverged. Use the\n"
+"overwrite option if you want to push anyway."
+msgstr ""
+
+#: ../errors.py:59
+msgid "No diff output"
+msgstr ""
+
+#: ../errors.py:60
+msgid "The selected file hasn't changed."
+msgstr "Обраний файл не змінено."
+
+#: ../errors.py:62
+msgid "No such revision"
+msgstr ""
+
+#: ../errors.py:63
+msgid "The revision you specified doesn't exist."
+msgstr ""
+
+#: ../errors.py:65
+msgid "Target already exists"
+msgstr ""
+
+#: ../errors.py:66
+msgid "Target directory already exists. Please select another target."
+msgstr ""
+
+#: ../errors.py:68
+msgid "Directory is already a branch"
+msgstr ""
+
+#: ../errors.py:69
+#, python-format
+msgid ""
+"The current directory (%s) is already a branch.\n"
+"You can start using it, or initialize another directory."
+msgstr ""
+
+#: ../errors.py:71
+msgid "Branch without a working tree"
+msgstr ""
+
+#: ../errors.py:72
+#, python-format
+msgid ""
+"The current directory (%s)\n"
+"is a branch without a working tree."
+msgstr ""
+
+#: ../errors.py:74
+msgid "Unknown bzr error"
+msgstr "Невідома помилка bzr"
+
+#: ../errors.py:76
+msgid "Permission denied"
+msgstr "Доступ заборонено"
+
+#: ../errors.py:76
+msgid "permission denied."
+msgstr "доступ заборонено"
+
+#: ../errors.py:78
+msgid "Unknown error"
+msgstr "Невідома помилка"
+
+#. Create the widgets
+#: ../initialize.py:46
+msgid "_Initialize"
+msgstr ""
+
+#: ../initialize.py:47
+msgid "Which directory do you want to initialize?"
+msgstr ""
+
+#: ../initialize.py:49
+msgid "Current directory"
+msgstr "Поточна директорія"
+
+#: ../initialize.py:51
+msgid "Create a new directory with the name:"
+msgstr "Створити нову директорію під назвою:"
+
+#: ../initialize.py:87
+msgid "Directory name not specified"
+msgstr "Назва директорії не унікальна"
+
+#: ../initialize.py:88
+msgid "You should specify a new directory name."
+msgstr "Ви повинні вказати назву нової директорії"
+
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr "_Об'єднати"
+
+#: ../merge.py:130
+msgid "Branch not given"
+msgstr ""
+
+#: ../merge.py:131
+msgid "Please specify a branch to merge from."
+msgstr ""
+
+#: ../merge.py:139
+msgid "Bazaar command error"
+msgstr "Помилка Bazaar"
+
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
+msgid "Location:"
+msgstr "Розташування:"
+
+#: ../push.py:52
+msgid "_Push"
+msgstr ""
+
+#: ../push.py:101
+msgid ""
+"You cannot push if branches have diverged.\n"
+"Overwrite?"
+msgstr ""
+
+#: ../push.py:109
+msgid "Push successful"
+msgstr ""
+
+#: ../push.py:110
+#, python-format
+msgid "%d revision(s) pushed."
+msgstr ""
+
+#: ../push.py:141
+msgid "Non existing parent directory"
+msgstr "Не існує батьківської директорії"
+
+#: ../push.py:142
+#, python-format
+msgid ""
+"The parent directory (%s)\n"
+"doesn't exist. Create?"
+msgstr ""
+
+#. Create the widgets
+#: ../revbrowser.py:35
+msgid "_Select"
+msgstr "_Вибрати"
+
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
+msgid "Added"
+msgstr "Додано"
+
+#: ../status.py:93
+msgid "Removed"
+msgstr "Видалено"
+
+#: ../status.py:99
+msgid "Renamed"
+msgstr "Назва змінена"
+
+#: ../status.py:106
+msgid "Modified"
+msgstr "Змінено"
+
+#: ../status.py:114
+msgid "Unknown"
+msgstr "Невідомо"
+
+#: ../status.py:119
+msgid "No changes."
+msgstr "Без змін."
+
+#. Set properties
+#: ../tags.py:60
+msgid "Tags"
+msgstr "Мітки"
+
+#: ../tags.py:110
+msgid "Tag Name"
+msgstr "Назва мітки"
+
+#: ../tags.py:115
+msgid "Revision ID"
+msgstr "Версія ID"
+
+#: ../tags.py:148
+msgid "Tags are not supported by this branch format. Please upgrade."
+msgstr ""
+
+#: ../tags.py:154
+msgid "No tagged revisions in the branch."
+msgstr ""
+
+#: ../tags.py:222
+msgid "_Remove tag"
+msgstr "Видалення мітки"
+
+#: ../tags.py:232
+msgid "<b><big>Remove tag?</big></b>"
+msgstr "<b><big>Видалити мітку?</big></b>"
+
+#: ../tags.py:234
+#, python-format
+msgid "Are you sure you want to remove the tag: <b>%s</b>?"
+msgstr "Ви впевнені, що хочете видалити мітку: <b>%s</b>?"
+
+#. Create the widgets
+#: ../tags.py:278
+msgid "_Add tag"
+msgstr "Додати мітку"
+
+#: ../tags.py:280
+msgid "Tag Name:"
+msgstr "Назва мітки:"
+
+#: ../tags.py:281
+msgid "Revision ID:"
+msgstr "Версія ID:"
+
+#: ../tags.py:312
+msgid "No tag name specified"
+msgstr "Не вказана назва мітки"
+
+#: ../tags.py:313
+msgid "You have to specify the tag's desired name."
+msgstr ""

=== added file 'po/zh_CN.po'
--- po/zh_CN.po	1970-01-01 00:00:00 +0000
+++ po/zh_CN.po	2011-12-02 05:55:20 +0000
@@ -0,0 +1,737 @@
+# Simplified Chinese translation for bzr-gtk
+# Copyright (c) 2008 Rosetta Contributors and Canonical Ltd 2008
+# This file is distributed under the same license as the bzr-gtk package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2008.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: bzr-gtk\n"
+"Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2011-12-01 11:46+0100\n"
+"PO-Revision-Date: 2011-11-30 22:58+0000\n"
+"Last-Translator: Eleanor Chen <chenyueg@gmail.com>\n"
+"Language-Team: Simplified Chinese <zh_CN@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
+"X-Generator: Launchpad (build 14414)\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:46
+msgid "_Branch"
+msgstr "分支(_B)"
+
+#: ../branch.py:49 ../checkout.py:49
+msgid "Branch location:"
+msgstr "分支位置："
+
+#: ../branch.py:51 ../checkout.py:50
+msgid "Destination:"
+msgstr "目标："
+
+#: ../branch.py:52
+msgid "Branck nick:"
+msgstr ""
+
+#: ../branch.py:53 ../checkout.py:52
+msgid "Revision:"
+msgstr "修订版本:"
+
+#: ../branch.py:54 ../checkout.py:47
+msgid "Please select a folder"
+msgstr "请选择一个文件夹"
+
+#: ../branch.py:134 ../checkout.py:153
+msgid "Missing branch location"
+msgstr "缺少分支地址"
+
+#: ../branch.py:135 ../checkout.py:154
+msgid "You must specify a branch location."
+msgstr "你必须指定一个分支地址"
+
+#: ../branch.py:174
+msgid "Branching successful"
+msgstr "创建分支成功"
+
+#: ../branch.py:175
+#, python-format
+msgid "%d revision(s) branched."
+msgstr ""
+
+#: ../branch.py:183 ../checkout.py:185
+msgid "N/A"
+msgstr "N/A"
+
+#. Create the widgets
+#: ../checkout.py:44
+msgid "Check_out"
+msgstr "签出(_O)"
+
+#: ../checkout.py:51
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:56
+msgid "_Lightweight checkout"
+msgstr "轻量级签出(_L)"
+
+#: ../commands.py:305
+msgid "Directory does not have a working tree"
+msgstr ""
+
+#: ../commands.py:306
+msgid "Operation aborted."
+msgstr "操作中止。"
+
+#: ../commands.py:410
+msgid "There are local changes in the branch"
+msgstr ""
+
+#: ../commands.py:411
+msgid "Please commit or revert the changes before merging."
+msgstr ""
+
+#: ../commit.py:178
+msgid "added"
+msgstr "已添加"
+
+#: ../commit.py:179
+msgid "removed"
+msgstr "已移除"
+
+#: ../commit.py:180
+msgid "renamed"
+msgstr "已重命名"
+
+#: ../commit.py:181
+msgid "renamed and modified"
+msgstr "已重命名并且已修改"
+
+#: ../commit.py:182
+msgid "modified"
+msgstr "已修改"
+
+#: ../commit.py:183
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:276
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:329
+msgid "_Only commit locally"
+msgstr ""
+
+#: ../commit.py:361
+msgid "Comm_it"
+msgstr "提交(_I)"
+
+#: ../commit.py:388
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:393
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:399
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:405
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:437
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:439
+msgid "Commit"
+msgstr "提交"
+
+#: ../commit.py:443 ../conflicts.py:107
+msgid "Path"
+msgstr "路径"
+
+#: ../commit.py:445 ../conflicts.py:109
+msgid "Type"
+msgstr "类型"
+
+#: ../commit.py:478
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:482
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:503
+msgid "Date"
+msgstr "日期"
+
+#: ../commit.py:505
+msgid "Committer"
+msgstr "提交者"
+
+#: ../commit.py:507 ../search.py:60
+msgid "Summary"
+msgstr "概要"
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:517
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:542 ../commit.py:626
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:549
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:551
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:578
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:632
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:687
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:688
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:706
+msgid "Commit with an empty message?"
+msgstr ""
+
+#: ../commit.py:707
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:727
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:728
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+
+#: ../commit.py:748
+msgid "Commit with no changes?"
+msgstr "没有更改仍然要提交吗？"
+
+#: ../commit.py:749
+msgid ""
+"There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:45
+msgid "External utility:"
+msgstr ""
+
+#: ../conflicts.py:97
+msgid "Conflicts"
+msgstr "冲突"
+
+#: ../conflicts.py:100
+msgid "No conflicts in working tree."
+msgstr "工作树中没有冲突。"
+
+#: ../conflicts.py:114
+msgid "path conflict"
+msgstr "路径冲突"
+
+#: ../conflicts.py:116
+msgid "contents conflict"
+msgstr "内容冲突"
+
+#: ../conflicts.py:118
+msgid "text conflict"
+msgstr "文本冲突"
+
+#: ../conflicts.py:120
+msgid "duplicate id"
+msgstr ""
+
+#: ../conflicts.py:122
+msgid "duplicate"
+msgstr "复制"
+
+#: ../conflicts.py:124
+msgid "parent loop"
+msgstr ""
+
+#: ../conflicts.py:126
+msgid "unversioned parent"
+msgstr ""
+
+#: ../conflicts.py:128
+msgid "missing parent"
+msgstr ""
+
+#: ../conflicts.py:130
+msgid "deleting parent"
+msgstr ""
+
+#: ../conflicts.py:132
+msgid "unknown type of conflict"
+msgstr ""
+
+#: ../conflicts.py:161
+msgid "No file was selected"
+msgstr ""
+
+#: ../conflicts.py:162
+msgid "Please select a file from the list."
+msgstr ""
+
+#: ../conflicts.py:172
+msgid "Call to external utility failed"
+msgstr ""
+
+#: ../conflicts.py:174
+msgid "Cannot resolve conflict"
+msgstr ""
+
+#: ../conflicts.py:175
+msgid ""
+"Only conflicts on the text of files can be resolved with Olive at the "
+"moment. Content conflicts, on the structure of the tree, need to be resolved "
+"using the command line."
+msgstr ""
+
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr ""
+
+#: ../diff.py:448
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:493 ../merge.py:144
+msgid "Merge successful"
+msgstr ""
+
+#: ../diff.py:494 ../merge.py:145
+msgid "All changes applied successfully."
+msgstr ""
+
+#. There are conflicts to be resolved.
+#: ../diff.py:497 ../merge.py:148
+msgid "Conflicts encountered"
+msgstr ""
+
+#: ../diff.py:498 ../merge.py:149
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a branch"
+msgstr ""
+
+#: ../errors.py:32
+msgid "You can perform this action only in a branch."
+msgstr ""
+
+#: ../errors.py:34
+msgid "Directory is not a checkout"
+msgstr ""
+
+#: ../errors.py:35
+msgid "You can perform local commit only on checkouts."
+msgstr ""
+
+#: ../errors.py:37
+msgid "No changes to commit"
+msgstr ""
+
+#: ../errors.py:38
+msgid "Try force commit if you want to commit anyway."
+msgstr ""
+
+#: ../errors.py:40
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:41
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:43
+msgid "Conflicts in tree"
+msgstr ""
+
+#: ../errors.py:44
+msgid "You need to resolve the conflicts before committing."
+msgstr ""
+
+#: ../errors.py:46
+msgid "Strict commit failed"
+msgstr ""
+
+#: ../errors.py:47
+msgid ""
+"There are unknown files in the working tree.\n"
+"Please add or delete them."
+msgstr ""
+
+#: ../errors.py:49
+msgid "Bound branch is out of date"
+msgstr ""
+
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:51
+#, python-format
+msgid "%s"
+msgstr ""
+
+#: ../errors.py:53
+msgid "File not versioned"
+msgstr ""
+
+#: ../errors.py:54
+msgid "The selected file is not versioned."
+msgstr ""
+
+#: ../errors.py:56 ../push.py:100
+msgid "Branches have been diverged"
+msgstr ""
+
+#: ../errors.py:57
+msgid ""
+"You cannot push if branches have diverged. Use the\n"
+"overwrite option if you want to push anyway."
+msgstr ""
+
+#: ../errors.py:59
+msgid "No diff output"
+msgstr ""
+
+#: ../errors.py:60
+msgid "The selected file hasn't changed."
+msgstr ""
+
+#: ../errors.py:62
+msgid "No such revision"
+msgstr ""
+
+#: ../errors.py:63
+msgid "The revision you specified doesn't exist."
+msgstr ""
+
+#: ../errors.py:65
+msgid "Target already exists"
+msgstr ""
+
+#: ../errors.py:66
+msgid "Target directory already exists. Please select another target."
+msgstr ""
+
+#: ../errors.py:68
+msgid "Directory is already a branch"
+msgstr ""
+
+#: ../errors.py:69
+#, python-format
+msgid ""
+"The current directory (%s) is already a branch.\n"
+"You can start using it, or initialize another directory."
+msgstr ""
+
+#: ../errors.py:71
+msgid "Branch without a working tree"
+msgstr ""
+
+#: ../errors.py:72
+#, python-format
+msgid ""
+"The current directory (%s)\n"
+"is a branch without a working tree."
+msgstr ""
+
+#: ../errors.py:74
+msgid "Unknown bzr error"
+msgstr ""
+
+#: ../errors.py:76
+msgid "Permission denied"
+msgstr ""
+
+#: ../errors.py:76
+msgid "permission denied."
+msgstr ""
+
+#: ../errors.py:78
+msgid "Unknown error"
+msgstr ""
+
+#. Create the widgets
+#: ../initialize.py:46
+msgid "_Initialize"
+msgstr ""
+
+#: ../initialize.py:47
+msgid "Which directory do you want to initialize?"
+msgstr ""
+
+#: ../initialize.py:49
+msgid "Current directory"
+msgstr ""
+
+#: ../initialize.py:51
+msgid "Create a new directory with the name:"
+msgstr ""
+
+#: ../initialize.py:87
+msgid "Directory name not specified"
+msgstr ""
+
+#: ../initialize.py:88
+msgid "You should specify a new directory name."
+msgstr ""
+
+#: ../loom.py:49
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:50
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:52
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:57
+msgid "_Merge"
+msgstr ""
+
+#: ../merge.py:130
+msgid "Branch not given"
+msgstr ""
+
+#: ../merge.py:131
+msgid "Please specify a branch to merge from."
+msgstr ""
+
+#: ../merge.py:139
+msgid "Bazaar command error"
+msgstr ""
+
+#: ../nautilus-bzr.py:460
+msgid "File id:"
+msgstr ""
+
+#: ../nautilus-bzr.py:463
+msgid "SHA1Sum:"
+msgstr ""
+
+#: ../nautilus-bzr.py:469
+msgid "Last Change Revision:"
+msgstr ""
+
+#: ../nautilus-bzr.py:474
+msgid "Last Change Author:"
+msgstr ""
+
+#: ../nautilus-bzr.py:515
+msgid "Push location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:518
+msgid "Parent location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:521
+msgid "Bound location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:524
+msgid "Public location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:527
+msgid "Submit location:"
+msgstr ""
+
+#: ../nautilus-bzr.py:530
+msgid "Append revisions only"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:50
+msgid "Location:"
+msgstr ""
+
+#: ../push.py:52
+msgid "_Push"
+msgstr ""
+
+#: ../push.py:101
+msgid ""
+"You cannot push if branches have diverged.\n"
+"Overwrite?"
+msgstr ""
+
+#: ../push.py:109
+msgid "Push successful"
+msgstr ""
+
+#: ../push.py:110
+#, python-format
+msgid "%d revision(s) pushed."
+msgstr ""
+
+#: ../push.py:141
+msgid "Non existing parent directory"
+msgstr ""
+
+#: ../push.py:142
+#, python-format
+msgid ""
+"The parent directory (%s)\n"
+"doesn't exist. Create?"
+msgstr ""
+
+#. Create the widgets
+#: ../revbrowser.py:35
+msgid "_Select"
+msgstr ""
+
+#: ../search.py:41
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:87
+msgid "Added"
+msgstr ""
+
+#: ../status.py:93
+msgid "Removed"
+msgstr ""
+
+#: ../status.py:99
+msgid "Renamed"
+msgstr ""
+
+#: ../status.py:106
+msgid "Modified"
+msgstr ""
+
+#: ../status.py:114
+msgid "Unknown"
+msgstr ""
+
+#: ../status.py:119
+msgid "No changes."
+msgstr ""
+
+#. Set properties
+#: ../tags.py:60
+msgid "Tags"
+msgstr ""
+
+#: ../tags.py:110
+msgid "Tag Name"
+msgstr ""
+
+#: ../tags.py:115
+msgid "Revision ID"
+msgstr ""
+
+#: ../tags.py:148
+msgid "Tags are not supported by this branch format. Please upgrade."
+msgstr ""
+
+#: ../tags.py:154
+msgid "No tagged revisions in the branch."
+msgstr ""
+
+#: ../tags.py:222
+msgid "_Remove tag"
+msgstr ""
+
+#: ../tags.py:232
+msgid "<b><big>Remove tag?</big></b>"
+msgstr ""
+
+#: ../tags.py:234
+#, python-format
+msgid "Are you sure you want to remove the tag: <b>%s</b>?"
+msgstr ""
+
+#. Create the widgets
+#: ../tags.py:278
+msgid "_Add tag"
+msgstr ""
+
+#: ../tags.py:280
+msgid "Tag Name:"
+msgstr ""
+
+#: ../tags.py:281
+msgid "Revision ID:"
+msgstr ""
+
+#: ../tags.py:312
+msgid "No tag name specified"
+msgstr ""
+
+#: ../tags.py:313
+msgid "You have to specify the tag's desired name."
+msgstr ""

=== added file 'preferences/TODO'
--- preferences/TODO	1970-01-01 00:00:00 +0000
+++ preferences/TODO	2008-10-30 13:48:44 +0000
@@ -0,0 +1,2 @@
+- per_file_commits
+- push/pull/submit/public locations

=== modified file 'preferences/__init__.py'
--- preferences/__init__.py	2008-03-28 19:39:35 +0000
+++ preferences/__init__.py	2011-09-07 16:01:14 +0000
@@ -14,47 +14,49 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
+from gi.repository import Gtk
 
 from bzrlib.config import GlobalConfig
-from identity import IdentityPage
-from plugins import PluginsPage
+from bzrlib.plugins.gtk.preferences.identity import IdentityPage
+from bzrlib.plugins.gtk.preferences.plugins import PluginsPage
+from bzrlib.plugins.gtk.preferences.notifications import NotificationsPage
 
-class PreferencesWindow(gtk.Dialog):
+class PreferencesWindow(Gtk.Dialog):
     """Displays global preferences windows."""
-    # Note that we don't allow configuration of aliases or 
-    # default log formats. This is because doing so wouldn't make 
-    # a lot of sense to pure GUI users. Users that need these settings 
+    # Note that we don't allow configuration of aliases or
+    # default log formats. This is because doing so wouldn't make
+    # a lot of sense to pure GUI users. Users that need these settings
     # will already be familiar with the configuration file.
 
     def __init__(self, config=None):
         """ Initialize the Status window. """
-        super(PreferencesWindow, self).__init__(flags=gtk.DIALOG_MODAL)
+        super(PreferencesWindow, self).__init__(flags=Gtk.DialogFlags.MODAL)
         self.set_title("Bazaar Preferences")
         self.config = config
         if self.config is None:
             self.config = GlobalConfig()
         self._create()
-        self._create_pages()
-
 
     def _create(self):
-        self.set_default_size(600, 600)
-        notebook = gtk.Notebook()
+        self.set_default_size(320, 480)
+        self.set_border_width(0)
+
+        notebook = Gtk.Notebook()
+        notebook.set_border_width(12)
         for (label, page) in self._create_pages():
-            notebook.insert_page(page, gtk.Label(label))
-        self.vbox.pack_start(notebook, True, True)
-        self.vbox.show_all()
+            notebook.append_page(page, Gtk.Label(label=label))
+
+        notebook.set_current_page(0)
+        content_area = self.get_content_area()
+        content_area.set_border_width(0)
+        content_area.pack_start(notebook, True, True, 0)
+        content_area.show_all()
+        self.get_action_area().set_border_width(12)
 
     def _create_pages(self):
-        return [("Identity", IdentityPage(self.config)), 
-                ("Plugins", PluginsPage())]
+        return [("Identity", IdentityPage(self.config)),
+                ("Plugins", PluginsPage()),
+                ("Notifications", NotificationsPage(self.config))]
 
     def display(self):
         self.window.show_all()
@@ -62,7 +64,8 @@
     def close(self, widget=None):
         self.window.destroy()
 
-class BranchPreferencesWindow(gtk.Dialog):
+
+class BranchPreferencesWindow(Gtk.Dialog):
     """Displays global preferences windows."""
     def __init__(self, config=None):
         super(BranchPreferencesWindow, self).__init__(config)

=== modified file 'preferences/identity.py'
--- preferences/identity.py	2008-03-28 19:39:35 +0000
+++ preferences/identity.py	2011-09-07 16:01:14 +0000
@@ -14,75 +14,88 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-
-class IdentityPage(gtk.Table):
+from gi.repository import Gtk
+
+
+class IdentityPage(Gtk.Table):
+
     def __init__(self, config):
         self.config = config
-        gtk.Table.__init__(self, rows=4, columns=2)
+        super(IdentityPage, self).__init__(rows=4, columns=2)
+        self.set_border_width(12)
         self.set_row_spacings(6)
         self.set_col_spacings(6)
 
-        align = gtk.Alignment(1.0, 0.5)
-        label = gtk.Label()
-        label.set_markup("<b>User Id:</b>")
+        align = Gtk.Alignment.new(0.0, 0.5, 0.0, 0.0)
+        label = Gtk.Label()
+        label.set_markup("E-Mail:")
         align.add(label)
-        self.attach(align, 0, 1, 0, 1, gtk.FILL, gtk.FILL)
+        self.attach(
+            align, 0, 1, 0, 1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        self.username = gtk.Entry()
+        self.username = Gtk.Entry()
         self.username.set_text(self.config.username())
-        self.attach(self.username, 1, 2, 0, 1, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        self.attach(
+            self.username, 1, 2, 0, 1,
+            Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL,
+            Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(1.0, 0.5)
-        label = gtk.Label()
-        label.set_markup("<b>GPG signing command:</b>")
+        align = Gtk.Alignment.new(0.0, 0.5, 0.0, 0.0)
+        label = Gtk.Label()
+        label.set_markup("GPG signing command:")
         align.add(label)
-        self.attach(align, 0, 1, 1, 2, gtk.FILL, gtk.FILL)
+        self.attach(
+            align, 0, 1, 1, 2, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        self.email = gtk.Entry()
+        self.email = Gtk.Entry()
         self.email.set_text(self.config.gpg_signing_command())
-        self.attach(self.email, 1, 2, 1, 2, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        self.attach(
+            self.email, 1, 2, 1, 2,
+            Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL,
+            Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(1.0, 0.5)
-        label = gtk.Label()
-        label.set_markup("<b>Check GPG Signatures:</b>")
+        align = Gtk.Alignment.new(0.0, 0.1, 0.0, 0.0)
+        label = Gtk.Label()
+        label.set_markup("Check GPG Signatures:")
         align.add(label)
-        self.attach(align, 0, 1, 2, 3, gtk.FILL, gtk.FILL)
+        self.attach(
+            align, 0, 1, 2, 3, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        sigvals = gtk.VBox()
-        self.check_sigs_if_possible = gtk.RadioButton(None, 
-                                                      "_Check if possible")
-        sigvals.pack_start(self.check_sigs_if_possible)
-        self.check_sigs_always = gtk.RadioButton(self.check_sigs_if_possible, 
-                                                 "Check _always")
-        sigvals.pack_start(self.check_sigs_always)
-        self.check_sigs_never = gtk.RadioButton(self.check_sigs_if_possible,
-                                                "Check _never")
-        sigvals.pack_start(self.check_sigs_never)
+        sigvals = Gtk.VBox()
+        self.check_sigs_if_possible = Gtk.RadioButton.new_with_label(
+            None, "_Check if possible")
+        sigvals.pack_start(self.check_sigs_if_possible, True, True, 0)
+        self.check_sigs_always = Gtk.RadioButton.new_with_label_from_widget(
+            self.check_sigs_if_possible, "Check _always")
+        sigvals.pack_start(self.check_sigs_always, True, True, 0)
+        self.check_sigs_never = Gtk.RadioButton.new_with_label_from_widget(
+            self.check_sigs_if_possible, "Check _never")
+        sigvals.pack_start(self.check_sigs_never, True, True, 0)
         # FIXME: Set default
-        self.attach(sigvals, 1, 2, 2, 3, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        self.attach(
+            sigvals, 1, 2, 2, 3,
+            Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL,
+            Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(1.0, 0.5)
-        label = gtk.Label()
-        label.set_markup("<b>Create GPG Signatures:</b>")
+        align = Gtk.Alignment.new(0.0, 0.1, 0.0, 0.0)
+        label = Gtk.Label()
+        label.set_markup("Create GPG Signatures:")
         align.add(label)
-        self.attach(align, 0, 1, 3, 4, gtk.FILL, gtk.FILL)
+        self.attach(
+            align, 0, 1, 3, 4, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        create_sigs = gtk.VBox()
-        self.create_sigs_when_required = gtk.RadioButton(None, 
-                                                         "Sign When _Required")
-        create_sigs.pack_start(self.create_sigs_when_required)
-        self.create_sigs_always = gtk.RadioButton(
+        create_sigs = Gtk.VBox()
+        self.create_sigs_when_required = Gtk.RadioButton.new_with_label(
+            None, "Sign When _Required")
+        create_sigs.pack_start(self.create_sigs_when_required, True, True, 0)
+        self.create_sigs_always = Gtk.RadioButton.new_with_label_from_widget(
             self.create_sigs_when_required, "Sign _Always")
-        create_sigs.pack_start(self.create_sigs_always)
-        self.create_sigs_never = gtk.RadioButton(
+        create_sigs.pack_start(self.create_sigs_always, True, True, 0)
+        self.create_sigs_never = Gtk.RadioButton.new_with_label_from_widget(
             self.create_sigs_when_required, "Sign _Never")
-        create_sigs.pack_start(self.create_sigs_never)
+        create_sigs.pack_start(self.create_sigs_never, True, True, 0)
         # FIXME: Set default
-        self.attach(create_sigs, 1, 2, 3, 4, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        self.attach(
+            create_sigs, 1, 2, 3, 4,
+            Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL,
+            Gtk.AttachOptions.FILL)

=== added file 'preferences/notifications.py'
--- preferences/notifications.py	1970-01-01 00:00:00 +0000
+++ preferences/notifications.py	2011-09-05 03:44:26 +0000
@@ -0,0 +1,79 @@
+# Copyright (C) 2008 Jelmer Vernooij <jelmer@samba.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+from gi.repository import Gtk
+
+import bzrlib.plugins.gtk
+from bzrlib.plugins.gtk.notify import (
+    has_avahi,
+    has_dbus,
+    )
+
+
+def has_email():
+    return (getattr(bzrlib.plugins, "email", None) is not None)
+
+def has_cia():
+    return (getattr(bzrlib.plugins, "cia", None) is not None)
+
+
+class NotificationsPage(Gtk.VBox):
+
+    def __init__(self, config, homogeneous=False, spacing=6):
+        self.config = config
+        super(NotificationsPage, self).__init__(
+            homogeneous=homogeneous, spacing=spacing)
+        self.set_spacing(spacing) # The vertical one
+
+        lan_frame = Gtk.Frame(label="LAN Notifications")
+
+        lan_vbox = Gtk.VBox()
+        lan_frame.add(lan_vbox)
+
+        self.gateway_to_lan = Gtk.CheckButton("_Gateway to LAN")
+        lan_vbox.pack_start(self.gateway_to_lan, False, False, 0)
+        self.gateway_to_lan.set_sensitive(has_dbus())
+
+        self.announce_on_lan = Gtk.CheckButton("_Announce on LAN")
+        lan_vbox.pack_start(self.announce_on_lan, False, False, 0)
+        self.announce_on_lan.set_sensitive(has_avahi())
+
+        self.pack_start(lan_frame, False, False, 0)
+
+        email_frame = Gtk.Frame(label="E-mail notifications")
+
+        email_hbox = Gtk.HBox()
+        self.send_email = Gtk.CheckButton("Send _E-Mail to")
+        email_hbox.pack_start(self.send_email, False, False, 0)
+        self.send_email_to = Gtk.Entry()
+        email_hbox.pack_start(self.send_email_to, False, False, 0)
+
+        email_frame.add(email_hbox)
+        email_frame.set_sensitive(has_email())
+
+        self.pack_start(email_frame, False, False, 0)
+
+        cia_frame = Gtk.Frame(label="CIA notifications")
+
+        cia_user_hbox = Gtk.HBox()
+        cia_user_hbox.pack_start(Gtk.Label("Author name"), False, False, 0)
+        self.cia_user = Gtk.Entry()
+        cia_user_hbox.pack_start(self.cia_user, False, False, 0)
+
+        cia_frame.add(cia_user_hbox)
+        cia_frame.set_sensitive(has_cia())
+
+        self.pack_start(cia_frame, False, False, 0)

=== modified file 'preferences/plugins.py'
--- preferences/plugins.py	2008-04-02 13:36:55 +0000
+++ preferences/plugins.py	2011-09-05 03:44:26 +0000
@@ -14,105 +14,109 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-
-class PluginsPage(gtk.VPaned):
+from gi.repository import Gtk
+
+
+class PluginsPage(Gtk.VPaned):
+
     def __init__(self):
-        gtk.VPaned.__init__(self)
-        scrolledwindow = gtk.ScrolledWindow()
-        scrolledwindow.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
-        self.model = gtk.ListStore(str, str)
-        treeview = gtk.TreeView()
+        super(PluginsPage, self).__init__()
+        self.set_border_width(12)
+        self.set_position(216)
+
+        scrolledwindow = Gtk.ScrolledWindow()
+        scrolledwindow.set_policy(
+            Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        scrolledwindow.set_shadow_type(Gtk.ShadowType.IN)
+        self.model = Gtk.ListStore(str, str)
+        treeview = Gtk.TreeView()
         scrolledwindow.add(treeview)
         self.pack1(scrolledwindow, resize=True, shrink=False)
 
-        self.table = gtk.Table(columns=2)
+        self.table = Gtk.Table(columns=2)
+        self.table.set_border_width(12)
         self.table.set_row_spacings(6)
         self.table.set_col_spacings(6)
 
         treeview.set_headers_visible(False)
         treeview.set_model(self.model)
         treeview.connect("row-activated", self.row_selected)
+        treeview.connect("cursor-changed", self.row_selected)
 
-        cell = gtk.CellRendererText()
-        column = gtk.TreeViewColumn()
-        column.pack_start(cell, expand=True)
+        cell = Gtk.CellRendererText()
+        column = Gtk.TreeViewColumn()
+        column.pack_start(cell, True)
         column.add_attribute(cell, "text", 0)
         treeview.append_column(column)
 
-        cell = gtk.CellRendererText()
-        column = gtk.TreeViewColumn()
-        column.pack_start(cell, expand=True)
+        cell = Gtk.CellRendererText()
+        column = Gtk.TreeViewColumn()
+        column.pack_start(cell, True)
         column.add_attribute(cell, "text", 1)
         treeview.append_column(column)
-        
+
         import bzrlib.plugin
         plugins = bzrlib.plugin.plugins()
         plugin_names = plugins.keys()
         plugin_names.sort()
         for name in plugin_names:
             self.model.append([name, getattr(plugins[name], '__file__', None)])
-                 
-        scrolledwindow = gtk.ScrolledWindow()
-        scrolledwindow.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
+
+        scrolledwindow = Gtk.ScrolledWindow()
+        scrolledwindow.set_policy(
+            Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
         scrolledwindow.add_with_viewport(self.table)
         self.pack2(scrolledwindow, resize=False, shrink=True)
         self.show()
 
-    def row_selected(self, tv, path, tvc):
+    def row_selected(self, tv, path=None, tvc=None):
+        if path is None:
+            (path, focus) = tv.get_cursor()
         import bzrlib
-        p = bzrlib.plugin.plugins()[self.model[path][0]]
+        p = bzrlib.plugin.plugins()[self.model[path][0]].module
         from inspect import getdoc
 
         for w in self.table.get_children():
             self.table.remove(w)
 
         if getattr(p, '__author__', None) is not None:
-            align = gtk.Alignment(1.0, 0.5)
-            label = gtk.Label()
+            align = Gtk.Alignment.new(0.0, 0.5, 0.0, 0.0)
+            label = Gtk.Label()
             label.set_markup("<b>Author:</b>")
             align.add(label)
-            self.table.attach(align, 0, 1, 0, 1, gtk.FILL, gtk.FILL)
+            self.table.attach(align, 0, 1, 0, 1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
             align.show()
             label.show()
 
-            align = gtk.Alignment(0.0, 0.5)
-            author = gtk.Label()
+            align = Gtk.Alignment.new(0.0, 0.5, 0.0, 0.0)
+            author = Gtk.Label()
             author.set_text(p.__author__)
             author.set_selectable(True)
             align.add(author)
-            self.table.attach(align, 1, 2, 0, 1, gtk.EXPAND | gtk.FILL, gtk.FILL)
+            self.table.attach(align, 1, 2, 0, 1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
         if getattr(p, '__version__', None) is not None:
-            align = gtk.Alignment(1.0, 0.5)
-            label = gtk.Label()
+            align = Gtk.Alignment.new(0.0, 0.5, 0.0, 0.0)
+            label = Gtk.Label()
             label.set_markup("<b>Version:</b>")
             align.add(label)
-            self.table.attach(align, 0, 1, 0, 1, gtk.FILL, gtk.FILL)
+            self.table.attach(align, 0, 1, 0, 1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
             align.show()
             label.show()
 
-            align = gtk.Alignment(0.0, 0.5)
-            author = gtk.Label()
+            align = Gtk.Alignment.new(0.0, 0.5, 0.0, 0.0)
+            author = Gtk.Label()
             author.set_text(p.__version__)
             author.set_selectable(True)
             align.add(author)
-            self.table.attach(align, 1, 2, 0, 1, gtk.EXPAND | gtk.FILL, gtk.FILL)
+            self.table.attach(align, 1, 2, 0, 1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
         if getdoc(p) is not None:
-            align = gtk.Alignment(0.0, 0.5)
-            description = gtk.Label()
+            align = Gtk.Alignment.new(0.0, 0.5, 0.0, 0.0)
+            description = Gtk.Label()
             description.set_text(getdoc(p))
             description.set_selectable(True)
             align.add(description)
-            self.table.attach(align, 0, 2, 1, 2, gtk.EXPAND | gtk.FILL, gtk.FILL)
+            self.table.attach(align, 0, 2, 1, 2, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
         self.table.show_all()
-
-

=== modified file 'push.py'
--- push.py	2008-05-05 18:16:46 +0000
+++ push.py	2011-09-05 03:44:26 +0000
@@ -15,119 +15,114 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-    
-import gtk
+from gi.repository import GObject
+from gi.repository import Gtk
 
 from errors import show_bzr_error
 
-# FIXME: This needs to be public JRV 20070714
-from bzrlib.builtins import _create_prefix
-from bzrlib.config import LocationConfig
 import bzrlib.errors as errors
 
-from bzrlib.plugins.gtk import _i18n
-from dialog import error_dialog, info_dialog, question_dialog
-
-from history import UrlHistory
-
-class PushDialog(gtk.Dialog):
-    """ New implementation of the Push dialog. """
+from bzrlib.plugins.gtk.dialog import (
+    info_dialog,
+    question_dialog,
+    )
+
+from bzrlib.plugins.gtk.history import UrlHistory
+from bzrlib.plugins.gtk.i18n import _i18n
+
+
+class PushDialog(Gtk.Dialog):
+    """New implementation of the Push dialog."""
+
     def __init__(self, repository, revid, branch=None, parent=None):
-        """ Initialize the Push dialog. """
-        gtk.Dialog.__init__(self, title="Push - Olive",
-                                  parent=parent,
-                                  flags=0,
-                                  buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
-        
+        """Initialize the Push dialog. """
+        super(PushDialog, self).__init__(
+            title="Push", parent=parent, flags=0,
+            buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
+
+
         # Get arguments
         self.repository = repository
         self.revid = revid
         self.branch = branch
-        
+
         # Create the widgets
-        self._label_location = gtk.Label(_i18n("Location:"))
-        self._combo = gtk.ComboBoxEntry()
-        self._button_push = gtk.Button(_i18n("_Push"), use_underline=True)
-        self._hbox_location = gtk.HBox()
-        
+        self._label_location = Gtk.Label(label=_i18n("Location:"))
+        self._combo = Gtk.ComboBox.new_with_entry()
+        self._button_push = Gtk.Button(_i18n("_Push"), use_underline=True)
+        self._hbox_location = Gtk.HBox()
+
         # Set callbacks
         self._button_push.connect('clicked', self._on_push_clicked)
-        
+
         # Set properties
         self._label_location.set_alignment(0, 0.5)
         self._hbox_location.set_spacing(3)
-        self.vbox.set_spacing(3)
-        
+        self.get_content_area().set_spacing(3)
+
         # Pack widgets
-        self._hbox_location.pack_start(self._label_location, False, False)
-        self._hbox_location.pack_start(self._combo, True, True)
-        self.vbox.pack_start(self._hbox_location)
-        self.action_area.pack_end(self._button_push)
-        
+        self._hbox_location.pack_start(
+            self._label_location, False, False, 0)
+        self._hbox_location.pack_start(self._combo, True, True, 0)
+        self.get_content_area().pack_start(self._hbox_location, True, True, 0)
+        # XXX sinzui 2011-08-12: maybe False, False, 0
+        self.get_action_area().pack_end(self._button_push, True, True, 0)
+
         # Show the dialog
-        self.vbox.show_all()
-        
+        self.get_content_area().show_all()
+
         # Build location history
         self._history = UrlHistory(self.branch.get_config(), 'push_history')
         self._build_history()
-        
+
     def _build_history(self):
-        """ Build up the location history. """
-        self._combo_model = gtk.ListStore(str)
+        """Build up the location history. """
+        self._combo_model = Gtk.ListStore(str)
         for item in self._history.get_entries():
             self._combo_model.append([ item ])
         self._combo.set_model(self._combo_model)
-        self._combo.set_text_column(0)
-        
+        self._combo.set_entry_text_column(0)
+
         if self.branch is not None:
             location = self.branch.get_push_location()
             if location is not None:
                 self._combo.get_child().set_text(location)
-    
+
     @show_bzr_error
     def _on_push_clicked(self, widget):
-        """ Push button clicked handler. """
+        """Push button clicked handler. """
         location = self._combo.get_child().get_text()
         revs = 0
-        if self.branch is not None and self.branch.get_push_location() is None:
-            response = question_dialog(_i18n('Set default push location'),
-                                       _i18n('There is no default push location set.\nSet %r as default now?') % location)
-            if response == gtk.RESPONSE_OK:
-                self.branch.set_push_location(location)
 
         try:
             revs = do_push(self.branch, location=location, overwrite=False)
         except errors.DivergedBranches:
             response = question_dialog(_i18n('Branches have been diverged'),
                                        _i18n('You cannot push if branches have diverged.\nOverwrite?'))
-            if response == gtk.RESPONSE_YES:
+            if response == Gtk.ResponseType.YES:
                 revs = do_push(self.branch, location=location, overwrite=True)
-        
+
+        if self.branch is not None and self.branch.get_push_location() is None:
+            self.branch.set_push_location(location)
+
         self._history.add_entry(location)
         info_dialog(_i18n('Push successful'),
                     _i18n("%d revision(s) pushed.") % revs)
-        
-        self.response(gtk.RESPONSE_OK)
+
+        self.response(Gtk.ResponseType.OK)
+
 
 def do_push(br_from, location, overwrite):
-    """ Update a mirror of a branch.
-    
+    """Update a mirror of a branch.
+
     :param br_from: the source branch
-    
     :param location: the location of the branch that you'd like to update
-    
     :param overwrite: overwrite target location if it diverged
-    
     :return: number of revisions pushed
     """
     from bzrlib.bzrdir import BzrDir
     from bzrlib.transport import get_transport
-        
+
     transport = get_transport(location)
     location_url = transport.base
 
@@ -145,8 +140,8 @@
         except errors.NoSuchFile:
             response = question_dialog(_i18n('Non existing parent directory'),
                          _i18n("The parent directory (%s)\ndoesn't exist. Create?") % location)
-            if response == gtk.RESPONSE_OK:
-                _create_prefix(transport)
+            if response == Gtk.ResponseType.OK:
+                transport.create_prefix()
             else:
                 return
         dir_to = br_from.bzrdir.clone(location_url,

=== modified file 'revbrowser.py'
--- revbrowser.py	2008-05-05 18:16:46 +0000
+++ revbrowser.py	2011-09-08 03:11:06 +0000
@@ -14,67 +14,57 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-import time
-
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gobject
-import gtk
-
-from bzrlib.osutils import format_date
-from bzrlib.plugins.gtk import _i18n
+from gi.repository import Gtk
+
 from bzrlib.plugins.gtk.branchview.treeview import TreeView
-
-
-class RevisionBrowser(gtk.Dialog):
+from bzrlib.plugins.gtk.i18n import _i18n
+
+
+class RevisionBrowser(Gtk.Dialog):
     """ Revision Browser main window. """
     def __init__(self, branch, parent=None):
-        gtk.Dialog.__init__(self, title="Revision Browser - Olive",
-                                  parent=parent,
-                                  flags=gtk.DIALOG_MODAL,
-                                  buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
-    
+        super(RevisionBrowser, self).__init__(
+            title="Revision Browser - Olive", parent=parent,
+            flags=Gtk.DialogFlags.MODAL,
+            buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
+
         # Get arguments
         self.branch = branch
-        
+
         # Create the widgets
-        self._button_select = gtk.Button(_i18n("_Select"), use_underline=True)
+        self._button_select = Gtk.Button(_i18n("_Select"), use_underline=True)
         start_revs = [branch.last_revision(),]
         self.treeview = TreeView(branch, start_revs, None)
-        
+
         # Set callbacks
         self._button_select.connect('clicked', self._on_select_clicked)
         self.treeview.connect('revision-activated',
                                self._on_treeview_revision_activated)
-        
+
         # Set properties
         self.set_default_size(600, 400)
-        self.vbox.set_spacing(3)
+        self.get_content_area().set_spacing(3)
         self.treeview.set_property('graph-column-visible', False)
         self.treeview.set_property('date-column-visible', True)
         self.treeview.set_property('mainline-only', True)
-        
+
         # Construct the dialog
-        self.action_area.pack_end(self._button_select)
-        
-        self.vbox.pack_start(self.treeview, True, True)
+        self.action_area.pack_end(self._button_select, False, False, 0)
+
+        self.get_content_area().pack_start(self.treeview, True, True, 0)
 
         # Show the dialog
         self.show_all()
 
-    
+
     def _on_treeview_revision_activated(self, treeview, path, column):
         """ Double-click on a row should also select a revision. """
         self._on_select_clicked(treeview)
-    
+
     def _on_select_clicked(self, widget):
         """ Select button clicked handler. """
-        
+
         self.selected_revno = self.treeview.get_property('revision-number')
         self.selected_revid = \
                     self.treeview.get_property('revision').revision_id
-        self.response(gtk.RESPONSE_OK)
+        self.response(Gtk.ResponseType.OK)

=== modified file 'revidbox.py'
--- revidbox.py	2007-07-15 18:12:57 +0000
+++ revidbox.py	2011-07-31 16:50:29 +0000
@@ -15,42 +15,37 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-
-class RevisionSelectionBox(gtk.HBox):
+from gi.repository import Gtk
+
+class RevisionSelectionBox(Gtk.HBox):
+
     def __init__(self, branch):
         super(RevisionSelectionBox, self).__init__()
         self._branch = branch
-        self._entry_revid = gtk.Entry()
-        self._button_revid = gtk.Button('')
-        self._button_revid.set_image(gtk.image_new_from_stock(
-            gtk.STOCK_OPEN, gtk.ICON_SIZE_BUTTON))
+        self._entry_revid = Gtk.Entry()
+        self._button_revid = Gtk.Button('')
+        self._button_revid.set_image(Gtk.Image.new_from_stock(
+            Gtk.STOCK_OPEN, Gtk.IconSize.BUTTON))
         self.pack_start(self._entry_revid, True, True)
-        self.pack_start(self._button_revid, False, False) 
+        self.pack_start(self._button_revid, False, False)
 
         self._button_revid.connect('clicked', self._on_revid_clicked)
 
     def _on_revid_clicked(self, widget):
         """ Browse for revision button clicked handler. """
         from revbrowser import RevisionBrowser
-        
+
         # FIXME: Should specific parent window here - how to get to it?
         # JRV 20070715
         revb = RevisionBrowser(self._branch)
         response = revb.run()
-        if response != gtk.RESPONSE_NONE:
+        if response != Gtk.ResponseType.NONE:
             revb.hide()
-        
-            if response == gtk.RESPONSE_OK:
+
+            if response == Gtk.ResponseType.OK:
                 if revb.selected_revno is not None:
                     self._entry_revid.set_text(revb.selected_revid)
-            
+
             revb.destroy()
 
     def get_revision_id(self):

=== modified file 'revisionmenu.py'
--- revisionmenu.py	2008-01-23 16:36:21 +0000
+++ revisionmenu.py	2011-09-03 01:25:04 +0000
@@ -15,79 +15,91 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 """Simple popup menu for revisions."""
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import bzrlib
-import gtk
-import gobject
-from bzrlib import (errors, ui)
+from gi.repository import Gtk
+from gi.repository import GObject
+from bzrlib import ui
 from bzrlib.revision import NULL_REVISION
 
-class RevisionPopupMenu(gtk.Menu):
+class RevisionMenu(Gtk.Menu):
 
     __gsignals__ = {
             'tag-added': (
-                gobject.SIGNAL_RUN_FIRST,
-                gobject.TYPE_NONE,
-                (gobject.TYPE_STRING, gobject.TYPE_STRING)
+                GObject.SignalFlags.RUN_FIRST,
+                None,
+                (GObject.TYPE_STRING, GObject.TYPE_STRING)
             )
     }
 
-    def __init__(self, repository, revids, branch=None, wt=None):
-        super(RevisionPopupMenu, self).__init__()
+    def __init__(self, repository, revids, branch=None, wt=None, parent=None):
+        super(RevisionMenu, self).__init__()
+        self._parent = parent
         self.branch = branch
         self.repository = repository
         self.wt = wt
+        self.set_revision_ids(revids)
+
+    def set_revision_ids(self, revids):
+        assert isinstance(revids, list)
+        for c in self.get_children():
+            self.remove(c)
         self.revids = revids
         self.create_items()
 
     def create_items(self):
         if len(self.revids) == 1:
-            item = gtk.MenuItem("View _Changes")
+            item = Gtk.MenuItem.new_with_mnemonic("View _Changes")
             item.connect('activate', self.show_diff)
             self.append(item)
-            self.show_all()
 
-            item = gtk.MenuItem("_Push")
+            item = Gtk.MenuItem.new_with_mnemonic("_Push")
             item.connect('activate', self.show_push)
             self.append(item)
-            self.show_all()
 
-            item = gtk.MenuItem("_Tag Revision")
+            item = Gtk.MenuItem.new_with_mnemonic("_Tag Revision")
             item.connect('activate', self.show_tag)
             self.append(item)
-            self.show_all()
 
-            item = gtk.MenuItem("_Merge Directive")
+            item = Gtk.MenuItem.new_with_mnemonic("_Merge Directive")
             item.connect('activate', self.store_merge_directive)
             # FIXME: self.append(item)
-            self.show_all()
-            
+
+            item = Gtk.MenuItem.new_with_mnemonic("_Send Merge Directive")
+            item.connect('activate', self.send_merge_directive)
+            self.append(item)
+
             if self.wt:
-                item = gtk.MenuItem("_Revert to this revision")
+                item = Gtk.MenuItem.new_with_mnemonic(
+                    "_Revert to this revision")
                 item.connect('activate', self.revert)
                 self.append(item)
-                self.show_all()
+
+        self.show_all()
 
     def store_merge_directive(self, item):
         from bzrlib.plugins.gtk.mergedirective import CreateMergeDirectiveDialog
         window = CreateMergeDirectiveDialog(self.branch, self.revids[0])
         window.show()
 
+    def send_merge_directive(self, item):
+        from bzrlib.plugins.gtk.mergedirective import SendMergeDirectiveDialog
+        from cStringIO import StringIO
+        window = SendMergeDirectiveDialog(self.branch, self.revids[0])
+        if window.run() == Gtk.ResponseType.OK:
+            outf = StringIO()
+            outf.writelines(window.get_merge_directive().to_lines())
+            mail_client = self.branch.get_config().get_mail_client()
+            mail_client.compose_merge_request(window.get_mail_to(), "[MERGE]",
+                                              outf.getvalue())
+        window.destroy()
+
     def show_diff(self, item):
         from bzrlib.plugins.gtk.diff import DiffWindow
-        window = DiffWindow(parent=self.parent)
-        parentids = self.repository.revision_parents(self.revids[0])
-
+        window = DiffWindow(parent=self._parent)
+        parentids = self.repository.get_revision(self.revids[0]).parent_ids
         if len(parentids) == 0:
             parentid = NULL_REVISION
         else:
             parentid = parentids[0]
-
         rev_tree    = self.repository.revision_tree(self.revids[0])
         parent_tree = self.repository.revision_tree(parentid)
         window.set_diff(self.revids[0], rev_tree, parent_tree)
@@ -98,7 +110,7 @@
         dialog = PushDialog(self.repository, self.revids[0], self.branch)
         response = dialog.run()
 
-        if response != gtk.RESPONSE_NONE:
+        if response != Gtk.ResponseType.NONE:
             dialog.destroy()
 
     def show_tag(self, item):
@@ -106,14 +118,14 @@
         dialog = AddTagDialog(self.repository, self.revids[0], self.branch)
         response = dialog.run()
 
-        if response != gtk.RESPONSE_NONE:
+        if response != Gtk.ResponseType.NONE:
             dialog.hide()
-        
-            if response == gtk.RESPONSE_OK:
+
+            if response == Gtk.ResponseType.OK:
                 self.emit('tag-added', dialog.tagname, dialog._revid)
-            
+
             dialog.destroy()
-    
+
     def revert(self, item):
         pb = ui.ui_factory.nested_progress_bar()
         revision_tree = self.branch.repository.revision_tree(self.revids[0])

=== modified file 'revisionview.py'
--- revisionview.py	2008-06-24 10:34:38 +0000
+++ revisionview.py	2011-09-07 16:01:14 +0000
@@ -15,16 +15,22 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-import pygtk
-pygtk.require("2.0")
-import gtk
-import pango
-import gobject
+from gi.repository import Gtk
+from gi.repository import Pango
+from gi.repository import GObject
 import webbrowser
 
+from bzrlib import trace
+from bzrlib.osutils import format_date
+try:
+    from bzrlib.bencode import bdecode
+except ImportError:
+    from bzrlib.util.bencode import bdecode
+from bzrlib.testament import Testament
+
 from bzrlib.plugins.gtk import icon_path
-from bzrlib.osutils import format_date
-from bzrlib.util.bencode import bdecode
+
+from bzrlib.plugins.gtk.avatarsbox import AvatarsBox
 
 try:
     from bzrlib.plugins.gtk import seahorse
@@ -45,32 +51,31 @@
             webbrowser._tryorder.insert(0, '%s "%%s"' % cmd)
     webbrowser.open(uri)
 
-gtk.link_button_set_uri_hook(_open_link)
 
-class BugsTab(gtk.VBox):
+class BugsTab(Gtk.VBox):
 
     def __init__(self):
-        super(BugsTab, self).__init__(False, 6)
-    
-        table = gtk.Table(rows=2, columns=2)
+        super(BugsTab, self).__init__(homogeneous=False, spacing=6)
+
+        table = Gtk.Table(rows=2, columns=2)
 
         table.set_row_spacings(6)
         table.set_col_spacing(0, 16)
 
-        image = gtk.Image()
+        image = Gtk.Image()
         image.set_from_file(icon_path("bug.png"))
-        table.attach(image, 0, 1, 0, 1, gtk.FILL)
+        table.attach(image, 0, 1, 0, 1, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.1)
-        self.label = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.1, 0, 0)
+        self.label = Gtk.Label()
         align.add(self.label)
-        table.attach(align, 1, 2, 0, 1, gtk.FILL)
+        table.attach(align, 1, 2, 0, 1, Gtk.AttachOptions.FILL)
 
         treeview = self.construct_treeview()
-        table.attach(treeview, 1, 2, 1, 2, gtk.FILL | gtk.EXPAND)
+        table.attach(treeview, 1, 2, 1, 2, Gtk.AttachOptions.FILL | Gtk.AttachOptions.EXPAND)
 
         self.set_border_width(6)
-        self.pack_start(table, expand=False)
+        self.pack_start(table, False, True, 0)
 
         self.clear()
         self.show_all()
@@ -85,7 +90,7 @@
                 (url, status) = bugline.split(" ")
                 if status == "fixed":
                     self.add_bug(url, status)
-        
+
         if self.num_bugs == 0:
             return
         elif self.num_bugs == 1:
@@ -98,18 +103,18 @@
                               "%d %s." % (self.num_bugs, label))
 
     def construct_treeview(self):
-        self.bugs = gtk.ListStore(gobject.TYPE_STRING, gobject.TYPE_STRING)
-        self.treeview = gtk.TreeView(self.bugs)
+        self.bugs = Gtk.ListStore(GObject.TYPE_STRING, GObject.TYPE_STRING)
+        self.treeview = Gtk.TreeView(model=self.bugs)
         self.treeview.set_headers_visible(False)
 
-        uri_column = gtk.TreeViewColumn('Bug URI', gtk.CellRendererText(), text=0)
+        uri_column = Gtk.TreeViewColumn('Bug URI', Gtk.CellRendererText(), text=0)
         self.treeview.append_column(uri_column)
 
         self.treeview.connect('row-activated', self.on_row_activated)
 
-        win = gtk.ScrolledWindow()
-        win.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
-        win.set_shadow_type(gtk.SHADOW_IN)
+        win = Gtk.ScrolledWindow()
+        win.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        win.set_shadow_type(Gtk.ShadowType.IN)
         win.add(self.treeview)
 
         return win
@@ -134,65 +139,65 @@
         _open_link(self, uri)
 
 
-class SignatureTab(gtk.VBox):
+class SignatureTab(Gtk.VBox):
 
     def __init__(self, repository):
         self.key = None
         self.revision = None
         self.repository = repository
 
-        super(SignatureTab, self).__init__(False, 6)
-        signature_box = gtk.Table(rows=3, columns=3)
+        super(SignatureTab, self).__init__(homogeneous=False, spacing=6)
+        signature_box = Gtk.Table(rows=3, columns=3)
         signature_box.set_col_spacing(0, 16)
         signature_box.set_col_spacing(1, 12)
         signature_box.set_row_spacings(6)
 
-        self.signature_image = gtk.Image()
-        signature_box.attach(self.signature_image, 0, 1, 0, 1, gtk.FILL)
+        self.signature_image = Gtk.Image()
+        signature_box.attach(self.signature_image, 0, 1, 0, 1, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.1)
-        self.signature_label = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.1, 0.0, 0.0)
+        self.signature_label = Gtk.Label()
         align.add(self.signature_label)
-        signature_box.attach(align, 1, 3, 0, 1, gtk.FILL)
+        signature_box.attach(align, 1, 3, 0, 1, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.5)
-        self.signature_key_id_label = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.5, 0.0, 0.0)
+        self.signature_key_id_label = Gtk.Label()
         self.signature_key_id_label.set_markup("<b>Key Id:</b>")
         align.add(self.signature_key_id_label)
-        signature_box.attach(align, 1, 2, 1, 2, gtk.FILL, gtk.FILL)
+        signature_box.attach(align, 1, 2, 1, 2, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.5)
-        self.signature_key_id = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.5, 0.0, 0.0)
+        self.signature_key_id = Gtk.Label()
         self.signature_key_id.set_selectable(True)
         align.add(self.signature_key_id)
-        signature_box.attach(align, 2, 3, 1, 2, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        signature_box.attach(align, 2, 3, 1, 2, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.5)
-        self.signature_fingerprint_label = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.5, 0.0, 0.0)
+        self.signature_fingerprint_label = Gtk.Label()
         self.signature_fingerprint_label.set_markup("<b>Fingerprint:</b>")
         align.add(self.signature_fingerprint_label)
-        signature_box.attach(align, 1, 2, 2, 3, gtk.FILL, gtk.FILL)
+        signature_box.attach(align, 1, 2, 2, 3, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.5)
-        self.signature_fingerprint = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.5, 0.0, 0.0)
+        self.signature_fingerprint = Gtk.Label()
         self.signature_fingerprint.set_selectable(True)
         align.add(self.signature_fingerprint)
-        signature_box.attach(align, 2, 3, 2, 3, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        signature_box.attach(align, 2, 3, 2, 3, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.5)
-        self.signature_trust_label = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.5, 0.0, 0.0)
+        self.signature_trust_label = Gtk.Label()
         self.signature_trust_label.set_markup("<b>Trust:</b>")
         align.add(self.signature_trust_label)
-        signature_box.attach(align, 1, 2, 3, 4, gtk.FILL, gtk.FILL)
+        signature_box.attach(align, 1, 2, 3, 4, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.5)
-        self.signature_trust = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.5, 0.0, 0.0)
+        self.signature_trust = Gtk.Label()
         self.signature_trust.set_selectable(True)
         align.add(self.signature_trust)
-        signature_box.attach(align, 2, 3, 3, 4, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        signature_box.attach(align, 2, 3, 3, 4, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
         self.set_border_width(6)
-        self.pack_start(signature_box, expand=False)
+        self.pack_start(signature_box, False, True, 0)
         self.show_all()
 
     def set_revision(self, revision):
@@ -220,7 +225,17 @@
                                         "This revision has not been signed.")
 
     def show_signature(self, crypttext):
-        key = seahorse.verify(crypttext)
+        (cleartext, key) = seahorse.verify(crypttext)
+
+        assert cleartext is not None
+
+        inv = self.repository.get_inventory(self.revision.revision_id)
+        expected_testament = Testament(self.revision, inv).as_short_text()
+        if expected_testament != cleartext:
+            self.signature_image.set_from_file(icon_path("sign-bad.png"))
+            self.signature_label.set_markup("<b>Signature does not match repository data</b>\n" +
+                        "The signature plaintext is different from the expected testament plaintext.")
+            return
 
         if key and key.is_available():
             if key.is_trusted():
@@ -272,7 +287,7 @@
         self.signature_trust.set_text('This key is ' + trust_text)
 
 
-class RevisionView(gtk.Notebook):
+class RevisionView(Gtk.Notebook):
     """ Custom widget for commit log details.
 
     A variety of bzr tools may need to implement such a thing. This is a
@@ -281,36 +296,36 @@
 
     __gproperties__ = {
         'branch': (
-            gobject.TYPE_PYOBJECT,
+            GObject.TYPE_PYOBJECT,
             'Branch',
             'The branch holding the revision being displayed',
-            gobject.PARAM_CONSTRUCT_ONLY | gobject.PARAM_WRITABLE
+            GObject.PARAM_CONSTRUCT_ONLY | GObject.PARAM_WRITABLE
         ),
 
         'revision': (
-            gobject.TYPE_PYOBJECT,
+            GObject.TYPE_PYOBJECT,
             'Revision',
             'The revision being displayed',
-            gobject.PARAM_READWRITE
+            GObject.PARAM_READWRITE
         ),
 
         'children': (
-            gobject.TYPE_PYOBJECT,
+            GObject.TYPE_PYOBJECT,
             'Children',
             'Child revisions',
-            gobject.PARAM_READWRITE
+            GObject.PARAM_READWRITE
         ),
 
         'file-id': (
-            gobject.TYPE_PYOBJECT,
+            GObject.TYPE_PYOBJECT,
             'File Id',
             'The file id',
-            gobject.PARAM_READWRITE
+            GObject.PARAM_READWRITE
         )
     }
 
     def __init__(self, branch=None, repository=None):
-        gtk.Notebook.__init__(self)
+        super(RevisionView, self).__init__()
 
         self._revision = None
         self._branch = branch
@@ -318,12 +333,13 @@
             self._repository = branch.repository
         else:
             self._repository = repository
+        self.signature_table = None
 
         self._create_general()
         self._create_relations()
         # Disabled because testaments aren't verified yet:
-        # if has_seahorse:
-        #    self._create_signature()
+        if has_seahorse:
+            self._create_signature()
         self._create_file_info_view()
         self._create_bugs()
 
@@ -384,13 +400,18 @@
 
     def _set_revision(self, revision):
         if revision is None: return
-
+        
+        self.avatarsbox.reset()
+        
         self._revision = revision
         if revision.committer is not None:
             self.committer.set_text(revision.committer)
+            self.avatarsbox.add(revision.committer, "committer")
         else:
             self.committer.set_text("")
+            self.avatarsbox.hide()
         author = revision.properties.get('author', '')
+        self.avatarsbox.merge(revision.get_apparent_authors(), "author")
         if author != '':
             self.author.set_text(author)
             self.author.show()
@@ -403,17 +424,25 @@
             self.timestamp.set_text(format_date(revision.timestamp,
                                                 revision.timezone))
         try:
-            self.branchnick_label.set_text(revision.properties['branch-nick'])
+            self.branchnick.show()
+            self.branchnick_label.show()
+            self.branchnick.set_text(revision.properties['branch-nick'])
         except KeyError:
-            self.branchnick_label.set_text("")
+            self.branchnick.hide()
+            self.branchnick_label.hide()
 
         self._add_parents_or_children(revision.parent_ids,
                                       self.parents_widgets,
                                       self.parents_table)
-        
+
         file_info = revision.properties.get('file-info', None)
         if file_info is not None:
-            file_info = bdecode(file_info.encode('UTF-8'))
+            try:
+                file_info = bdecode(file_info.encode('UTF-8'))
+            except ValueError:
+                trace.note('Invalid per-file info for revision:%s, value: %r',
+                           revision.revision_id, file_info)
+                file_info = None
 
         if file_info:
             if self._file_id is None:
@@ -444,6 +473,8 @@
         self._add_tags()
 
     def _update_signature(self, widget, param):
+        if not has_seahorse:
+            return
         if self.get_current_page() == PAGE_SIGNATURE:
             self.signature_table.set_revision(self._revision)
 
@@ -458,6 +489,8 @@
                                       self.children_table)
 
     def _switch_page_cb(self, notebook, page, page_num):
+        if not has_seahorse:
+            return
         if page_num == PAGE_SIGNATURE:
             self.signature_table.set_revision(self._revision)
 
@@ -497,213 +530,213 @@
         table.resize(max(len(revids), 1), 2)
 
         for idx, revid in enumerate(revids):
-            align = gtk.Alignment(0.0, 0.0)
+            align = Gtk.Alignment.new(0.0, 0.0, 1, 1)
             widgets.append(align)
             table.attach(align, 1, 2, idx, idx + 1,
-                                      gtk.EXPAND | gtk.FILL, gtk.FILL)
+                                      Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
             align.show()
 
-            hbox = gtk.HBox(False, spacing=6)
+            hbox = Gtk.HBox(homogeneous=False, spacing=6)
             align.add(hbox)
             hbox.show()
 
-            image = gtk.Image()
+            image = Gtk.Image()
             image.set_from_stock(
-                gtk.STOCK_FIND, gtk.ICON_SIZE_SMALL_TOOLBAR)
+                Gtk.STOCK_FIND, Gtk.IconSize.SMALL_TOOLBAR)
             image.show()
 
             if self._show_callback is not None:
-                button = gtk.Button()
+                button = Gtk.Button()
                 button.add(image)
                 button.connect("clicked", self._show_clicked_cb,
                                self._revision.revision_id, revid)
-                hbox.pack_start(button, expand=False, fill=True)
+                hbox.pack_start(button, False, True, 0)
                 button.show()
 
-            button = gtk.Button(revid)
+            button = Gtk.Button()
+            revid_label = Gtk.Label(label=str(revid))
+            revid_label.set_ellipsize(Pango.EllipsizeMode.MIDDLE)
+            revid_label.set_alignment(0.0, 0.5)
+            button.add(revid_label)
             button.connect("clicked",
-                    lambda w, r: self.set_revision(self._repository.get_revision(r)), revid)
+                    lambda w, r: self.set_revision(
+                        self._repository.get_revision(r)), revid)
             button.set_use_underline(False)
-            hbox.pack_start(button, expand=False, fill=True)
-            button.show()
+            hbox.pack_start(button, True, True, 0)
+            button.show_all()
 
     def _create_general(self):
-        vbox = gtk.VBox(False, 6)
+        vbox = Gtk.VBox(homogeneous=False, spacing=6)
         vbox.set_border_width(6)
-        vbox.pack_start(self._create_headers(), expand=False, fill=True)
-        vbox.pack_start(self._create_message_view())
-        self.append_page(vbox, tab_label=gtk.Label("General"))
+        vbox.pack_start(self._create_headers(), False, True, 0)
+        vbox.pack_start(self._create_message_view(), True, True, 0)
+        self.append_page(vbox, Gtk.Label(label="General"))
         vbox.show()
 
     def _create_relations(self):
-        vbox = gtk.VBox(False, 6)
+        vbox = Gtk.VBox(homogeneous=False, spacing=6)
         vbox.set_border_width(6)
-        vbox.pack_start(self._create_parents(), expand=False, fill=True)
-        vbox.pack_start(self._create_children(), expand=False, fill=True)
-        self.append_page(vbox, tab_label=gtk.Label("Relations"))
+        vbox.pack_start(self._create_parents(), False, True, 0)
+        vbox.pack_start(self._create_children(), False, True, 0)
+        self.append_page(vbox, Gtk.Label(label="Relations"))
         vbox.show()
 
     def _create_signature(self):
         self.signature_table = SignatureTab(self._repository)
-        self.append_page(self.signature_table, tab_label=gtk.Label('Signature'))
+        self.append_page(
+            self.signature_table, Gtk.Label(label='Signature'))
         self.connect_after('notify::revision', self._update_signature)
 
     def _create_headers(self):
-        self.table = gtk.Table(rows=5, columns=2)
+        self.avatarsbox = AvatarsBox()
+        
+        self.table = Gtk.Table(rows=5, columns=2)
         self.table.set_row_spacings(6)
         self.table.set_col_spacings(6)
         self.table.show()
-
-        align = gtk.Alignment(1.0, 0.5)
-        label = gtk.Label()
+        
+        self.avatarsbox.pack_start(self.table, True, True, 0)
+        self.avatarsbox.show()
+
+        row = 0
+
+        label = Gtk.Label()
+        label.set_alignment(1.0, 0.5)
         label.set_markup("<b>Revision Id:</b>")
-        align.add(label)
-        self.table.attach(align, 0, 1, 0, 1, gtk.FILL, gtk.FILL)
-        align.show()
+        self.table.attach(label, 0, 1, row, row+1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         label.show()
 
-        align = gtk.Alignment(0.0, 0.5)
-        revision_id = gtk.Label()
+        revision_id = Gtk.Label()
+        revision_id.set_ellipsize(Pango.EllipsizeMode.MIDDLE)
+        revision_id.set_alignment(0.0, 0.5)
         revision_id.set_selectable(True)
         self.connect('notify::revision', 
                 lambda w, p: revision_id.set_text(self._revision.revision_id))
-        align.add(revision_id)
-        self.table.attach(align, 1, 2, 0, 1, gtk.EXPAND | gtk.FILL, gtk.FILL)
-        align.show()
+        self.table.attach(revision_id, 1, 2, row, row+1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         revision_id.show()
 
-        align = gtk.Alignment(1.0, 0.5)
-        self.author_label = gtk.Label()
+        row += 1
+        self.author_label = Gtk.Label()
+        self.author_label.set_alignment(1.0, 0.5)
         self.author_label.set_markup("<b>Author:</b>")
-        align.add(self.author_label)
-        self.table.attach(align, 0, 1, 1, 2, gtk.FILL, gtk.FILL)
-        align.show()
+        self.table.attach(self.author_label, 0, 1, row, row+1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         self.author_label.show()
 
-        align = gtk.Alignment(0.0, 0.5)
-        self.author = gtk.Label()
+        self.author = Gtk.Label()
+        self.author.set_ellipsize(Pango.EllipsizeMode.END)
+        self.author.set_alignment(0.0, 0.5)
         self.author.set_selectable(True)
-        align.add(self.author)
-        self.table.attach(align, 1, 2, 1, 2, gtk.EXPAND | gtk.FILL, gtk.FILL)
-        align.show()
+        self.table.attach(self.author, 1, 2, row, row+1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         self.author.show()
         self.author.hide()
 
-        align = gtk.Alignment(1.0, 0.5)
-        label = gtk.Label()
+        row += 1
+        label = Gtk.Label()
+        label.set_alignment(1.0, 0.5)
         label.set_markup("<b>Committer:</b>")
-        align.add(label)
-        self.table.attach(align, 0, 1, 2, 3, gtk.FILL, gtk.FILL)
-        align.show()
+        self.table.attach(label, 0, 1, row, row+1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         label.show()
 
-        align = gtk.Alignment(0.0, 0.5)
-        self.committer = gtk.Label()
+        self.committer = Gtk.Label()
+        self.committer.set_ellipsize(Pango.EllipsizeMode.END)
+        self.committer.set_alignment(0.0, 0.5)
         self.committer.set_selectable(True)
-        align.add(self.committer)
-        self.table.attach(align, 1, 2, 2, 3, gtk.EXPAND | gtk.FILL, gtk.FILL)
-        align.show()
+        self.table.attach(self.committer, 1, 2, row, row+1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         self.committer.show()
 
-        align = gtk.Alignment(0.0, 0.5)
-        label = gtk.Label()
-        label.set_markup("<b>Branch nick:</b>")
-        align.add(label)
-        self.table.attach(align, 0, 1, 3, 4, gtk.FILL, gtk.FILL)
-        label.show()
-        align.show()
-
-        align = gtk.Alignment(0.0, 0.5)
-        self.branchnick_label = gtk.Label()
-        self.branchnick_label.set_selectable(True)
-        align.add(self.branchnick_label)
-        self.table.attach(align, 1, 2, 3, 4, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        row += 1
+        self.branchnick_label = Gtk.Label()
+        self.branchnick_label.set_alignment(1.0, 0.5)
+        self.branchnick_label.set_markup("<b>Branch nick:</b>")
+        self.table.attach(self.branchnick_label, 0, 1, row, row+1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         self.branchnick_label.show()
-        align.show()
-
-        align = gtk.Alignment(1.0, 0.5)
-        label = gtk.Label()
+
+        self.branchnick = Gtk.Label()
+        self.branchnick.set_ellipsize(Pango.EllipsizeMode.MIDDLE)
+        self.branchnick.set_alignment(0.0, 0.5)
+        self.branchnick.set_selectable(True)
+        self.table.attach(self.branchnick, 1, 2, row, row+1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
+        self.branchnick.show()
+
+        row += 1
+        label = Gtk.Label()
+        label.set_alignment(1.0, 0.5)
         label.set_markup("<b>Timestamp:</b>")
-        align.add(label)
-        self.table.attach(align, 0, 1, 4, 5, gtk.FILL, gtk.FILL)
-        align.show()
+        self.table.attach(label, 0, 1, row, row+1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         label.show()
 
-        align = gtk.Alignment(0.0, 0.5)
-        self.timestamp = gtk.Label()
+        self.timestamp = Gtk.Label()
+        self.timestamp.set_ellipsize(Pango.EllipsizeMode.END)
+        self.timestamp.set_alignment(0.0, 0.5)
         self.timestamp.set_selectable(True)
-        align.add(self.timestamp)
-        self.table.attach(align, 1, 2, 4, 5, gtk.EXPAND | gtk.FILL, gtk.FILL)
-        align.show()
+        self.table.attach(self.timestamp, 1, 2, row, row+1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         self.timestamp.show()
 
-        align = gtk.Alignment(1.0, 0.5)
-        self.tags_label = gtk.Label()
+        row += 1
+        self.tags_label = Gtk.Label()
+        self.tags_label.set_alignment(1.0, 0.5)
         self.tags_label.set_markup("<b>Tags:</b>")
-        align.add(self.tags_label)
-        align.show()
-        self.table.attach(align, 0, 1, 5, 6, gtk.FILL, gtk.FILL)
+        self.table.attach(self.tags_label, 0, 1, row, row+1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         self.tags_label.show()
 
-        align = gtk.Alignment(0.0, 0.5)
-        self.tags_list = gtk.Label()
-        align.add(self.tags_list)
-        self.table.attach(align, 1, 2, 5, 6, gtk.EXPAND | gtk.FILL, gtk.FILL)
-        align.show()
+        self.tags_list = Gtk.Label()
+        self.tags_list.set_ellipsize(Pango.EllipsizeMode.MIDDLE)
+        self.tags_list.set_alignment(0.0, 0.5)
+        self.table.attach(self.tags_list, 1, 2, row, row+1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         self.tags_list.show()
 
         self.connect('notify::revision', self._add_tags)
 
-        return self.table
+        return self.avatarsbox
     
     def _create_parents(self):
-        hbox = gtk.HBox(True, 3)
+        hbox = Gtk.HBox(homogeneous=True, spacing=3)
         
         self.parents_table = self._create_parents_or_children_table(
             "<b>Parents:</b>")
         self.parents_widgets = []
-        hbox.pack_start(self.parents_table)
+        hbox.pack_start(self.parents_table, True, True, 0)
 
         hbox.show()
         return hbox
 
     def _create_children(self):
-        hbox = gtk.HBox(True, 3)
+        hbox = Gtk.HBox(homogeneous=True, spacing=3)
         self.children_table = self._create_parents_or_children_table(
             "<b>Children:</b>")
         self.children_widgets = []
-        hbox.pack_start(self.children_table)
+        hbox.pack_start(self.children_table, True, True, 0)
         hbox.show()
         return hbox
         
     def _create_parents_or_children_table(self, text):
-        table = gtk.Table(rows=1, columns=2)
+        table = Gtk.Table(rows=1, columns=2)
         table.set_row_spacings(3)
         table.set_col_spacings(6)
         table.show()
 
-        label = gtk.Label()
+        label = Gtk.Label()
         label.set_markup(text)
-        align = gtk.Alignment(0.0, 0.5)
+        align = Gtk.Alignment.new(0.0, 0.5, 0, 0)
         align.add(label)
-        table.attach(align, 0, 1, 0, 1, gtk.FILL, gtk.FILL)
+        table.attach(align, 0, 1, 0, 1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         label.show()
         align.show()
 
         return table
 
     def _create_message_view(self):
-        msg_buffer = gtk.TextBuffer()
+        msg_buffer = Gtk.TextBuffer()
         self.connect('notify::revision',
                 lambda w, p: msg_buffer.set_text(self._revision.message))
-        window = gtk.ScrolledWindow()
-        window.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
-        window.set_shadow_type(gtk.SHADOW_IN)
-        tv = gtk.TextView(msg_buffer)
+        window = Gtk.ScrolledWindow()
+        window.set_policy(Gtk.PolicyType.NEVER, Gtk.PolicyType.AUTOMATIC)
+        window.set_shadow_type(Gtk.ShadowType.IN)
+        tv = Gtk.TextView(buffer=msg_buffer)
         tv.set_editable(False)
-        tv.set_wrap_mode(gtk.WRAP_WORD)
+        tv.set_wrap_mode(Gtk.WrapMode.WORD)
 
-        tv.modify_font(pango.FontDescription("Monospace"))
+        tv.modify_font(Pango.FontDescription("Monospace"))
         tv.show()
         window.add(tv)
         window.show()
@@ -712,23 +745,23 @@
     def _create_bugs(self):
         self.bugs_page = BugsTab()
         self.connect_after('notify::revision', self._update_bugs) 
-        self.append_page(self.bugs_page, tab_label=gtk.Label('Bugs'))
+        self.append_page(self.bugs_page, Gtk.Label(label='Bugs'))
 
     def _create_file_info_view(self):
-        self.file_info_box = gtk.VBox(False, 6)
+        self.file_info_box = Gtk.VBox(homogeneous=False, spacing=6)
         self.file_info_box.set_border_width(6)
-        self.file_info_buffer = gtk.TextBuffer()
-        window = gtk.ScrolledWindow()
-        window.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
-        window.set_shadow_type(gtk.SHADOW_IN)
-        tv = gtk.TextView(self.file_info_buffer)
+        self.file_info_buffer = Gtk.TextBuffer()
+        window = Gtk.ScrolledWindow()
+        window.set_policy(Gtk.PolicyType.NEVER, Gtk.PolicyType.AUTOMATIC)
+        window.set_shadow_type(Gtk.ShadowType.IN)
+        tv = Gtk.TextView(buffer=self.file_info_buffer)
         tv.set_editable(False)
-        tv.set_wrap_mode(gtk.WRAP_WORD)
-        tv.modify_font(pango.FontDescription("Monospace"))
+        tv.set_wrap_mode(Gtk.WrapMode.WORD)
+        tv.modify_font(Pango.FontDescription("Monospace"))
         tv.show()
         window.add(tv)
         window.show()
-        self.file_info_box.pack_start(window)
+        self.file_info_box.pack_start(window, True, True, 0)
         self.file_info_box.hide() # Only shown when there are per-file messages
-        self.append_page(self.file_info_box, tab_label=gtk.Label('Per-file'))
+        self.append_page(self.file_info_box, Gtk.Label(label='Per-file'))
 

=== modified file 'seahorse.py'
--- seahorse.py	2008-06-20 03:33:17 +0000
+++ seahorse.py	2011-06-18 17:41:11 +0000
@@ -30,33 +30,31 @@
 
 try:
     bus = dbus.SessionBus()
+    crypto = dbus.Interface(bus.get_object(BUS_NAME, CRYPTO_PATH), 
+                            CRYPTO_INTERFACE)
+    openpgp = dbus.Interface(bus.get_object(BUS_NAME, OPENPGP_PATH),
+                             OPENPGP_INTERFACE)
 except dbus.exceptions.DBusException, e:
     get_name = getattr(e, 'get_dbus_name', None)
     if get_name is not None:
         name = get_name()
     else:
         name = getattr(e, '_dbus_error_name', None)
+
+    if name is None:
+        args = getattr(e, 'args', None) # This is case for old python-dbus-0.62
+        if args == ("Unable to determine the address of the message bus (try 'man dbus-launch' and 'man dbus-daemon' for help)",):
+            raise ImportError
+
     # DBus sometimes fails like this, just treat it as if seahorse is not
     # available rather than crashing.
-    if name == "org.freedesktop.DBus.Error.Spawn.ExecFailed":
+    if name in ("org.freedesktop.DBus.Error.Spawn.ExecFailed", 
+                "org.freedesktop.DBus.Error.ServiceUnknown",
+                "org.freedesktop.DBus.Error.NotSupported"):
         raise ImportError
     else:
         raise
 
-if hasattr(bus, 'list_activatable_names'):
-    bus_names = bus.list_activatable_names()
-else:
-    bus_object = bus.get_object('org.freedesktop.DBus', '/org/freedesktop/DBus')
-    bus_names = bus_object.ListNames(dbus_interface='org.freedesktop.DBus')
-
-if BUS_NAME not in bus_names:
-    raise ImportError
-
-crypto = dbus.Interface(bus.get_object(BUS_NAME, CRYPTO_PATH), 
-                        CRYPTO_INTERFACE)
-openpgp = dbus.Interface(bus.get_object(BUS_NAME, OPENPGP_PATH),
-                         OPENPGP_INTERFACE)
-
 FLAG_VALID = 0x0001
 FLAG_CAN_ENCRYPT = 0x0002
 FLAG_CAN_SIGN = 0x0004
@@ -85,7 +83,10 @@
         if key not in keyset:
             keyset[key] = Key(key)
 
-        return keyset[key]
+        return (cleartext, keyset[key])
+
+    return (cleartext, None)
+
 
 class Key:
 

=== added file 'search.py'
--- search.py	1970-01-01 00:00:00 +0000
+++ search.py	2011-09-05 03:44:26 +0000
@@ -0,0 +1,102 @@
+# Copyright (C) 2008 by Jelmer Vernooij <jelmer@samba.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+from gi.repository import GObject
+from gi.repository import Gtk
+
+from bzrlib.plugins.search import index as _mod_index
+
+from bzrlib.plugins.gtk.i18n import _i18n
+
+
+class SearchDialog(Gtk.Dialog):
+    """Search dialog."""
+
+    def __init__(self, index, parent=None):
+        super(SearchDialog, self).__init__(
+            title="Search Revisions", parent=parent,
+            flags=Gtk.DialogFlags.MODAL,
+            buttons=(Gtk.STOCK_OK, Gtk.ResponseType.OK,
+                Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
+        pixbuf = self.render_icon_pixbuf(Gtk.STOCK_FIND, Gtk.IconSize.MENU)
+        self.set_icon(pixbuf)
+        
+        # Get arguments
+        self.index = index
+
+        self.searchbar = Gtk.HBox()
+        searchbar_label = Gtk.Label(label=_i18n("Search for:"))
+        self.searchbar.pack_start(searchbar_label, False, False, 0)
+        self.searchentry = Gtk.Entry()
+        self.searchentry.connect('activate', self._searchentry_activate)
+        # TODO: Completion using the bzr-search suggests functionality
+        self.searchbar.add(self.searchentry)
+        self.get_content_area().pack_start(self.searchbar, False, False, 0)
+
+        self.results_model = Gtk.ListStore(
+            GObject.TYPE_STRING, GObject.TYPE_STRING, GObject.TYPE_PYOBJECT)
+        self.results_treeview = Gtk.TreeView(self.results_model)
+        self.results_treeview.connect(
+            "row-activated", self._searchresult_row_activated)
+
+        documentname_column = Gtk.TreeViewColumn(
+            _i18n("Document"), Gtk.CellRendererText(), text=0)
+        self.results_treeview.append_column(documentname_column)
+
+        summary_column = Gtk.TreeViewColumn(
+            _i18n("Summary"), Gtk.CellRendererText(), text=1)
+        self.results_treeview.append_column(summary_column)
+
+        results_scrolledwindow = Gtk.ScrolledWindow()
+        results_scrolledwindow.set_policy(
+            Gtk.PolicyType.NEVER, Gtk.PolicyType.AUTOMATIC)
+        results_scrolledwindow.add(self.results_treeview)
+
+        self.get_content_area().pack_start(
+            results_scrolledwindow, True, True, 0)
+
+        self.set_default_size(600, 400)
+        # Show the dialog
+        self.show_all()
+
+    def get_revision(self):
+        (path, focus) = self.results_treeview.get_cursor()
+        if path is None:
+            return None
+        iter = self.results_model.get_iter(path)
+        return self.results_model.get_value(iter, 2)
+
+    def _searchentry_activate(self, entry):
+        self.results_model.clear()
+        self.index._branch.lock_read()
+        try:
+            query = [
+                (query_item,)
+                for query_item in self.searchentry.get_text().split(" ")]
+            for result in self.index.search(query):
+                if isinstance(result, _mod_index.FileTextHit):
+                    revid = result.text_key[-1]
+                elif isinstance(result, _mod_index.RevisionHit):
+                    revid = result.revision_key[0]
+                else:
+                    raise AssertionError()
+                self.results_model.append(
+                    [result.document_name(), result.summary(), revid])
+        finally:
+            self.index._branch.unlock()
+    
+    def _searchresult_row_activated(self, treeview, path, view_column):
+        self.response(Gtk.ResponseType.OK)

=== added file 'setup.cfg'
--- setup.cfg	1970-01-01 00:00:00 +0000
+++ setup.cfg	2010-08-21 09:38:06 +0000
@@ -0,0 +1,7 @@
+[build_i18n]
+domain=bzr-gtk
+desktop_files=[
+	('share/applications', ['bazaar-properties.desktop.in',
+				'bzr-handle-patch.desktop.in',
+				'bzr-notify.desktop.in'])]
+

=== modified file 'setup.py'
--- setup.py	2008-06-27 16:53:56 +0000
+++ setup.py	2011-11-06 00:49:02 +0000
@@ -1,11 +1,23 @@
 #!/usr/bin/python
 """GTK+ Frontends for various Bazaar commands."""
 
+from info import *
+
 from distutils.core import setup, Command
 from distutils.command.install_data import install_data
-from distutils.dep_util import newer
-from distutils.log import info
-import glob
+from distutils.command.build import build
+from distutils.command.sdist import sdist
+try:
+    from DistUtilsExtra.command import *
+except ImportError:
+   # Python distutils extra is not available.
+    class cmd_build_i18n(Command):
+        def run(self):
+            print >> sys.stderr, "For internationalization support you'll need to install https://launchpad.net/python-distutils-extra"
+else:
+    # Use build_i18n from DistUtilsExtra
+    cmd_build_i18n = build_i18n.build_i18n
+
 import os
 import sys
 
@@ -25,130 +37,158 @@
 
     def run(self):
         from bzrlib.tests import TestLoader, TestSuite, TextTestRunner
-        import __init__ as bzrgtk
+        from bzrlib.plugin import PluginImporter
+        PluginImporter.specific_paths["bzrlib.plugins.gtk"] = os.path.dirname(__file__)
+        from bzrlib.plugins.gtk.tests import load_tests
+        suite = TestSuite()
+        loader = TestLoader()
+        load_tests(suite, None, loader)
         runner = TextTestRunner()
-        loader = TestLoader()
-        suite = TestSuite()
-        suite.addTest(bzrgtk.test_suite())
         result = runner.run(suite)
         return result.wasSuccessful()
 
+
+class CreateCredits(Command):
+    description = "Create credits file"
+
+    user_options = [("url=", None, "URL of branch")]
+
+    def initialize_options(self):
+        self.url = "."
+
+    def finalize_options(self):
+        pass
+
+    def get_command_name(self):
+        return 'build_credits'
+
+    def run(self):
+        from bzrlib.plugin import load_plugins; load_plugins()
+        from bzrlib.branch import Branch
+        from bzrlib.plugins.stats.cmds import find_credits
+
+        import pickle
+
+        branch = Branch.open(self.url)
+        credits = find_credits(branch.repository, branch.last_revision())
+
+        pickle.dump(credits, file("credits.pickle", 'w'))
+        return True
+
+
+def is_versioned(cmd):
+    from bzrlib.errors import NotBranchError
+    try:
+        from bzrlib.branch import Branch
+        Branch.open(".")
+        return True
+    except NotBranchError:
+        return False
+
+
+class BuildData(build):
+    sub_commands = build.sub_commands[:]
+    sub_commands.append(('build_credits', is_versioned))
+
+
+class SourceDist(sdist):
+    sub_commands = sdist.sub_commands[:]
+    sub_commands.append(('build_credits', is_versioned))
+
+
 class InstallData(install_data):
+
     def run(self):
-        self.data_files.extend(self._compile_po_files())
+        import subprocess
         self.data_files.extend(self._nautilus_plugin())
         install_data.run(self)
 
         try:
-            subprocess.check_call('gtk-update-icon-cache -f -t /usr/share/icons/hicolor')
-        except:
+            subprocess.check_call('gtk-update-icon-cache '
+                                  '-f -t /usr/share/icons/hicolor')
+        except OSError:
             pass
 
-    def _compile_po_files(self):
-        data_files = []
-        
-        # Don't install language files on Win32
-        if sys.platform == 'win32':
-            return data_files
-        
-        PO_DIR = 'po'
-        for po in glob.glob(os.path.join(PO_DIR,'*.po')):
-            lang = os.path.basename(po[:-3])
-            # It's necessary to compile in this directory (not in po_dir)
-            # because install_data can't rename file
-            mo = os.path.join('build', 'mo', lang, 'olive-gtk.mo')
-            
-            directory = os.path.dirname(mo)
-            if not os.path.exists(directory):
-                info('creating %s' % directory)
-                os.makedirs(directory)
-            
-            if newer(po, mo):
-                # True if mo doesn't exist
-                cmd = 'msgfmt -o %s %s' % (mo, po)
-                info('compiling %s -> %s' % (po, mo))
-                if os.system(cmd) != 0:
-                    raise SystemExit('Error while running msgfmt')
-                
-                dest = os.path.dirname(os.path.join('share', 'locale', lang, 'LC_MESSAGES', 'olive-gtk.mo'))
-                data_files.append((dest, [mo]))
-        
-        return data_files
-    
     def _nautilus_plugin(self):
         files = []
         if sys.platform[:5] == 'linux':
-            cmd = os.popen('pkg-config --variable=pythondir nautilus-python', 'r')
-            res = cmd.readline()
+            cmd = os.popen('pkg-config --variable=pythondir nautilus-python',
+                           'r')
+            res = cmd.readline().strip()
             ret = cmd.close()
-            
             if ret is None:
                 dest = res[5:]
                 files.append((dest, ['nautilus-bzr.py']))
-        
         return files
 
 
-setup(
-    name = "bzr-gtk",
-    version = "0.95.0",
-    maintainer = "Jelmer Vernooij",
-    maintainer_email = "jelmer@samba.org",
-    description = "GTK+ Frontends for various Bazaar commands",
-    license = "GNU GPL v2 or later",
-    scripts=['olive-gtk', 'bzr-handle-patch'],
-    package_dir = {
-        "bzrlib.plugins.gtk": ".",
-        "bzrlib.plugins.gtk.viz": "viz", 
-        "bzrlib.plugins.gtk.annotate": "annotate",
-        "bzrlib.plugins.gtk.olive": "olive",
-        "bzrlib.plugins.gtk.tests": "tests",
-        "bzrlib.plugins.gtk.branchview": "branchview",
-        "bzrlib.plugins.gtk.preferences": "preferences",
-        },
-    packages = [
-        "bzrlib.plugins.gtk",
-        "bzrlib.plugins.gtk.viz",
-        "bzrlib.plugins.gtk.annotate",
-        "bzrlib.plugins.gtk.olive",
-        "bzrlib.plugins.gtk.tests",
-        "bzrlib.plugins.gtk.branchview",
-        "bzrlib.plugins.gtk.preferences",
+if __name__ == '__main__':
+    version = bzr_plugin_version[:3]
+    version_string = ".".join([str(x) for x in version])
+    setup(
+        name = "bzr-gtk",
+        version = version_string,
+        maintainer = "Jelmer Vernooij",
+        maintainer_email = "jelmer@samba.org",
+        description = "GTK+ Frontends for various Bazaar commands",
+        license = "GNU GPL v2 or later",
+        scripts = ['bzr-handle-patch', 'bzr-notify'],
+        url = "http://bazaar-vcs.org/BzrGtk",
+        package_dir = {
+            "bzrlib.plugins.gtk": ".",
+            "bzrlib.plugins.gtk.viz": "viz",
+            "bzrlib.plugins.gtk.annotate": "annotate",
+            "bzrlib.plugins.gtk.tests": "tests",
+            "bzrlib.plugins.gtk.branchview": "branchview",
+            "bzrlib.plugins.gtk.preferences": "preferences",
+            },
+        packages = [
+            "bzrlib.plugins.gtk",
+            "bzrlib.plugins.gtk.viz",
+            "bzrlib.plugins.gtk.annotate",
+            "bzrlib.plugins.gtk.tests",
+            "bzrlib.plugins.gtk.branchview",
+            "bzrlib.plugins.gtk.preferences",
         ],
-    data_files=[('share/olive', ['olive.glade',
-                                 'cmenu.ui',
-                                ]),
-                ('share/olive/icons', ['icons/commit.png',
-                                 'icons/commit16.png',
-                                 'icons/diff.png',
-                                 'icons/diff16.png',
-                                 'icons/log.png',
-                                 'icons/log16.png',
-                                 'icons/pull.png',
-                                 'icons/pull16.png',
-                                 'icons/push.png',
-                                 'icons/push16.png',
-                                 'icons/refresh.png',
-                                 'icons/oliveicon2.png']),
-                ('share/bzr-gtk/icons', ['icons/sign-bad.png',
-                                 'icons/sign-ok.png',
-                                 'icons/sign.png',
-                                 'icons/sign-unknown.png',
-                                 'icons/bug.png',
-                                 'icons/bzr-icon-64.png']),
-                ('share/applications', ['olive-gtk.desktop',
-                                        'bazaar-properties.desktop',
-                                        'bzr-handle-patch.desktop',
-                                        'bzr-notify.desktop']),
-                ('share/application-registry', ['bzr-gtk.applications']),
-                ('share/pixmaps', ['icons/olive-gtk.png', 'icons/bzr-icon-64.png']),
-                ('share/icons/hicolor/scalable/emblems', 
-                    ['icons/emblem-bzr-added.svg', 
-                        'icons/emblem-bzr-conflict.svg', 
-                        'icons/emblem-bzr-controlled.svg', 
-                        'icons/emblem-bzr-modified.svg',
-                        'icons/emblem-bzr-removed.svg'])
-               ],
-    cmdclass={'install_data': InstallData,
-              'check': Check}
-)
+        data_files=[ ('share/bzr-gtk', ['credits.pickle']),
+                    ('share/bzr-gtk/icons', ['icons/commit.png',
+                                             'icons/commit16.png',
+                                             'icons/diff.png',
+                                             'icons/diff16.png',
+                                             'icons/log.png',
+                                             'icons/log16.png',
+                                             'icons/pull.png',
+                                             'icons/pull16.png',
+                                             'icons/push.png',
+                                             'icons/push16.png',
+                                             'icons/refresh.png',
+                                             'icons/sign-bad.png',
+                                             'icons/sign-ok.png',
+                                             'icons/sign.png',
+                                             'icons/sign-unknown.png',
+                                             'icons/tag-16.png',
+                                             'icons/bug.png',
+                                             'icons/bzr-icon-64.png']),
+                    # In case Python distutils extra is not available,
+                    # install the .desktop files
+                    ('share/applications', ['bazaar-properties.desktop',
+                                            'bzr-handle-patch.desktop',
+                                            'bzr-notify.desktop']),
+                    ('share/application-registry', ['bzr-gtk.applications']),
+                    ('share/pixmaps', ['icons/bzr-icon-64.png']),
+                    ('share/icons/hicolor/scalable/apps', ['icons/bzr-panel.svg']),
+                    ('share/icons/hicolor/scalable/emblems',
+                     ['icons/emblem-bzr-added.svg',
+                      'icons/emblem-bzr-conflict.svg',
+                      'icons/emblem-bzr-controlled.svg',
+                      'icons/emblem-bzr-modified.svg',
+                      'icons/emblem-bzr-removed.svg',
+                      'icons/emblem-bzr-ignored.svg'])
+                    ],
+        cmdclass={'install_data': InstallData,
+                  'build_credits': CreateCredits,
+                  'build': BuildData,
+                  'build_i18n': cmd_build_i18n,
+                  'sdist': SourceDist,
+                  'check': Check}
+        )

=== modified file 'status.py'
--- status.py	2008-05-05 18:16:46 +0000
+++ status.py	2011-08-12 20:25:28 +0000
@@ -14,29 +14,25 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-from bzrlib.plugins.gtk import _i18n
-
-
-class StatusDialog(gtk.Dialog):
+from gi.repository import Gtk
+from bzrlib.plugins.gtk import window
+from bzrlib.plugins.gtk.i18n import _i18n
+
+
+class StatusWindow(window.Window):
     """ Display Status window and perform the needed actions. """
+
     def __init__(self, wt, wtpath, revision=None):
         """ Initialize the Status window. """
-        super(StatusDialog, self).__init__(flags=gtk.DIALOG_MODAL, buttons=(gtk.STOCK_OK, gtk.RESPONSE_ACCEPT))
+        super(StatusWindow, self).__init__()
         self.set_title("Working tree changes")
         self._create()
         self.wt = wt
         self.wtpath = wtpath
-        
+
         if revision is None:
             revision = self.wt.branch.last_revision()
-            
+
         # Set the old working tree
         self.old_tree = self.wt.branch.repository.revision_tree(revision)
         # Generate status output
@@ -44,12 +40,18 @@
 
     def _create(self):
         self.set_default_size(400, 300)
-        scrolledwindow = gtk.ScrolledWindow()
-        scrolledwindow.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
-        self.treeview = gtk.TreeView()
-        scrolledwindow.add(self.treeview)
-        self.vbox.pack_start(scrolledwindow, True, True)
-        self.vbox.show_all()
+        sw = Gtk.ScrolledWindow()
+        sw.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        sw.set_shadow_type(Gtk.ShadowType.IN)
+        self.treeview = Gtk.TreeView()
+        sw.add(self.treeview)
+        self.add(sw)
+
+        # sane border and spacing widths (as recommended by GNOME HIG) 
+        self.set_border_width(5)
+        sw.set_border_width(5)
+        self.show_all()
+
 
     def row_diff(self, tv, path, tvc):
         file = self.model[path][1]
@@ -57,28 +59,29 @@
             return
         from bzrlib.plugins.gtk.diff import DiffWindow
         window = DiffWindow()
-        window.set_diff("Working tree changes", self.old_tree, self.wt)
+        window.set_diff("Working tree changes", self.wt, self.old_tree)
         window.set_file(file)
         window.show()
 
+
     def _generate_status(self):
         """ Generate 'bzr status' output. """
-        self.model = gtk.TreeStore(str, str)
+        self.model = Gtk.TreeStore(str, str)
         self.treeview.set_headers_visible(False)
         self.treeview.set_model(self.model)
         self.treeview.connect("row-activated", self.row_diff)
-        
-        cell = gtk.CellRendererText()
+
+        cell = Gtk.CellRendererText()
         cell.set_property("width-chars", 20)
-        column = gtk.TreeViewColumn()
-        column.pack_start(cell, expand=True)
+        column = Gtk.TreeViewColumn()
+        column.pack_start(cell, True)
         column.add_attribute(cell, "text", 0)
         self.treeview.append_column(column)
-        
+
         delta = self.wt.changes_from(self.old_tree)
 
         changes = False
-        
+
         if len(delta.added):
             changes = True
             titer = self.model.append(None, [ _i18n('Added'), None ])
@@ -103,7 +106,7 @@
             titer = self.model.append(None, [ _i18n('Modified'), None ])
             for path, id, kind, text_modified, meta_modified in delta.modified:
                 self.model.append(titer, [ path, path ])
-        
+
         done_unknown = False
         for path in self.wt.unknowns():
             changes = True
@@ -116,6 +119,6 @@
             self.model.append(None, [ _i18n('No changes.'), None ])
 
         self.treeview.expand_all()
-    
+
     def close(self, widget=None):
         self.window.destroy()

=== modified file 'tags.py'
--- tags.py	2008-05-23 13:14:58 +0000
+++ tags.py	2011-09-05 03:44:26 +0000
@@ -15,115 +15,115 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
-import gtk
-
-from bzrlib.plugins.gtk import _i18n
+from gi.repository import GObject
+from gi.repository import Gtk
+
+from bzrlib.plugins.gtk.dialog import error_dialog
+from bzrlib.plugins.gtk.i18n import _i18n
+from bzrlib.plugins.gtk.revidbox import RevisionSelectionBox
 from bzrlib.plugins.gtk.revisionview import RevisionView
 from bzrlib.plugins.gtk.window import Window
 
-from dialog import error_dialog
-from revidbox import RevisionSelectionBox
-
 
 class TagsWindow(Window):
     """ Tags window. Allows the user to view/add/remove tags. """
     def __init__(self, branch, parent=None):
         """ Initialize the Tags window. """
-        Window.__init__(self, parent)
+        super(TagsWindow, self).__init__(parent=parent)
 
         # Get arguments
         self.branch = branch
 
         # Create the widgets
-        self._button_add = gtk.Button(stock=gtk.STOCK_ADD)
-        self._button_remove = gtk.Button(stock=gtk.STOCK_REMOVE)
-        self._button_refresh = gtk.Button(stock=gtk.STOCK_REFRESH)
-        self._button_close = gtk.Button(stock=gtk.STOCK_CLOSE)
-        self._model = gtk.ListStore(str, str)
-        self._treeview_tags = gtk.TreeView(self._model)
-        self._scrolledwindow_tags = gtk.ScrolledWindow()
+        self._button_add = Gtk.Button(stock=Gtk.STOCK_ADD)
+        self._button_remove = Gtk.Button(stock=Gtk.STOCK_REMOVE)
+        self._button_refresh = Gtk.Button(stock=Gtk.STOCK_REFRESH)
+        self._button_close = Gtk.Button(stock=Gtk.STOCK_CLOSE)
+        self._model = Gtk.ListStore(str, str)
+        self._treeview_tags = Gtk.TreeView(model=self._model)
+        self._scrolledwindow_tags = Gtk.ScrolledWindow()
         self._revisionview = RevisionView()
-        self._hbox = gtk.HBox()
-        self._vbox_buttons = gtk.VBox()
-        self._vbox_buttons_top = gtk.VBox()
-        self._vbox_buttons_bottom = gtk.VBox()
-        self._vpaned = gtk.VPaned()
-        
+        self._hbox = Gtk.HBox()
+        self._vbox_buttons = Gtk.VBox()
+        self._vbox_buttons_top = Gtk.VBox()
+        self._vbox_buttons_bottom = Gtk.VBox()
+        self._vpaned = Gtk.VPaned()
+
         # Set callbacks
         self._button_add.connect('clicked', self._on_add_clicked)
         self._button_close.connect('clicked', self._on_close_clicked)
         self._button_refresh.connect('clicked', self._on_refresh_clicked)
         self._button_remove.connect('clicked', self._on_remove_clicked)
         self._treeview_tags.connect('cursor-changed', self._on_treeview_changed)
-        
+
         # Set properties
         self.set_title(_i18n("Tags"))
         self.set_default_size(600, 400)
-        
-        self._scrolledwindow_tags.set_policy(gtk.POLICY_AUTOMATIC,
-                                             gtk.POLICY_AUTOMATIC)
-        
+
+        self._scrolledwindow_tags.set_policy(Gtk.PolicyType.AUTOMATIC,
+                                             Gtk.PolicyType.AUTOMATIC)
+
         self._hbox.set_border_width(5)
         self._hbox.set_spacing(5)
         self._vbox_buttons.set_size_request(100, -1)
-        
+
         self._vbox_buttons_top.set_spacing(3)
-        
+
         self._vpaned.set_position(200)
-        
+
         # Construct the dialog
         self._scrolledwindow_tags.add(self._treeview_tags)
-        
-        self._vbox_buttons_top.pack_start(self._button_add, False, False)
-        self._vbox_buttons_top.pack_start(self._button_remove, False, False)
-        self._vbox_buttons_top.pack_start(self._button_refresh, False, False)
-        self._vbox_buttons_bottom.pack_start(self._button_close, False, False)
-        
-        self._vbox_buttons.pack_start(self._vbox_buttons_top, True, True)
-        self._vbox_buttons.pack_start(self._vbox_buttons_bottom, False, False)
-        
+
+        self._vbox_buttons_top.pack_start(
+            self._button_add, False, False, 0)
+        self._vbox_buttons_top.pack_start(
+            self._button_remove, False, False, 0)
+        self._vbox_buttons_top.pack_start(
+            self._button_refresh, False, False, 0)
+        self._vbox_buttons_bottom.pack_start(
+            self._button_close, False, False, 0)
+
+        self._vbox_buttons.pack_start(
+            self._vbox_buttons_top, True, True, 0)
+        self._vbox_buttons.pack_start(
+            self._vbox_buttons_bottom, False, False, 0)
+
         self._vpaned.add1(self._scrolledwindow_tags)
         self._vpaned.add2(self._revisionview)
-        
-        self._hbox.pack_start(self._vpaned, True, True)
-        self._hbox.pack_start(self._vbox_buttons, False, True)
-        
+
+        self._hbox.pack_start(self._vpaned, True, True, 0)
+        self._hbox.pack_start(self._vbox_buttons, False, True, 0)
+
         self.add(self._hbox)
-        
+
         # Default to no tags
         self._no_tags = True
-        
+
         # Load the tags
         self._load_tags()
-        
+
         # Display everything
         self._hbox.show_all()
-    
+
     def _load_tags(self):
         """ Load the tags into the TreeView. """
-        tvcol_name = gtk.TreeViewColumn(_i18n("Tag Name"),
-                                        gtk.CellRendererText(),
+        tvcol_name = Gtk.TreeViewColumn(_i18n("Tag Name"),
+                                        Gtk.CellRendererText(),
                                         text=0)
         tvcol_name.set_resizable(True)
-        
-        tvcol_revid = gtk.TreeViewColumn(_i18n("Revision ID"),
-                                         gtk.CellRendererText(),
+
+        tvcol_revid = Gtk.TreeViewColumn(_i18n("Revision ID"),
+                                         Gtk.CellRendererText(),
                                          text=1)
         tvcol_revid.set_resizable(True)
-        
+
         self._treeview_tags.append_column(tvcol_name)
         self._treeview_tags.append_column(tvcol_revid)
-        
+
         self._treeview_tags.set_search_column(0)
-        
+
         self._refresh_tags()
-    
+
     def _refresh_tags(self):
         """ Refresh the list of tags. """
         self._model.clear()
@@ -133,7 +133,6 @@
                 self._no_tags = False
                 for name, target in tags.items():
                     self._model.append([name, target])
-                
                 self._button_add.set_sensitive(True)
                 self._button_remove.set_sensitive(True)
             else:
@@ -142,193 +141,184 @@
         else:
             self._no_tags = True
             self._tags_not_supported()
-        
         self._treeview_tags.set_model(self._model)
-    
+
     def _tags_not_supported(self):
         """ Tags are not supported. """
         self._model.append([_i18n("Tags are not supported by this branch format. Please upgrade."), ""])
         self._button_add.set_sensitive(False)
         self._button_remove.set_sensitive(False)
-    
+
     def _no_tags_available(self):
         """ No tags in the branch. """
         self._model.append([_i18n("No tagged revisions in the branch."), ""])
         self._button_add.set_sensitive(True)
         self._button_remove.set_sensitive(False)
-    
+
     def _on_add_clicked(self, widget):
         """ Add button event handler. """
         dialog = AddTagDialog(self.branch.repository, None,
                               self.branch, self)
         response = dialog.run()
-        if response != gtk.RESPONSE_NONE:
+        if response != Gtk.ResponseType.NONE:
             dialog.hide()
-        
-            if response == gtk.RESPONSE_OK:
+            if response == Gtk.ResponseType.OK:
                 self.branch.tags.set_tag(dialog.tagname, dialog._revid)
                 self._refresh_tags()
-            
             dialog.destroy()
-    
+
     def _on_close_clicked(self, widget):
         """ Close button event handler. """
         self.destroy()
         if self._parent is None:
-            gtk.main_quit()
+            Gtk.main_quit()
 
     def _on_refresh_clicked(self, widget):
         """ Refresh button event handler. """
         self._refresh_tags()
-    
+
     def _on_remove_clicked(self, widget):
         """ Remove button event handler. """
         (path, col) = self._treeview_tags.get_cursor()
         if path is None:
             return
-        
+
         tag = self._model[path][0]
-        
         dialog = RemoveTagDialog(tag, self)
         response = dialog.run()
-        if response != gtk.RESPONSE_NONE:
+        if response != Gtk.ResponseType.NONE:
             dialog.hide()
-        
-            if response == gtk.RESPONSE_OK:
+            if response == Gtk.ResponseType.OK:
                 self.branch.tags.delete_tag(tag)
                 self._refresh_tags()
-            
             dialog.destroy()
-    
+
     def _on_treeview_changed(self, *args):
         """ When a user clicks on a tag. """
         # Refresh RevisionView only if there are tags available
         if not self._no_tags:
             (path, col) = self._treeview_tags.get_cursor()
             revision = self._model[path][1]
-            
             self._revisionview.set_revision(self.branch.repository.get_revision(revision))
 
 
-class RemoveTagDialog(gtk.Dialog):
+class RemoveTagDialog(Gtk.Dialog):
     """ Confirm removal of tag. """
     def __init__(self, tagname, parent):
-        gtk.Dialog.__init__(self, title="Remove tag",
-                                  parent=parent,
-                                  flags=0,
-                                  buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
-        
+        super(RemoveTagDialog, self).__init__(
+            title="Remove tag", parent=parent, flags=0,
+            buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
+
         # Get the arguments
         self.tag = tagname
-        
+
         # Create the widgets
-        self._hbox = gtk.HBox()
-        self._vbox_question = gtk.VBox()
-        self._image_question = gtk.image_new_from_stock(gtk.STOCK_DIALOG_QUESTION,
-                                                        gtk.ICON_SIZE_DIALOG)
-        self._label_title = gtk.Label()
-        self._label_question = gtk.Label()
-        self._button_remove = gtk.Button(_i18n("_Remove tag"), use_underline=True)
-        
+        self._hbox = Gtk.HBox()
+        self._vbox_question = Gtk.VBox()
+        self._image_question = Gtk.Image.new_from_stock(Gtk.STOCK_DIALOG_QUESTION,
+                                                        Gtk.IconSize.DIALOG)
+        self._label_title = Gtk.Label()
+        self._label_question = Gtk.Label()
+        self._button_remove = Gtk.Button(_i18n("_Remove tag"), use_underline=True)
+
         # Set callbacks
         self._button_remove.connect('clicked', self._on_remove_clicked)
-        
+
         # Set properties
         self._hbox.set_border_width(5)
         self._hbox.set_spacing(5)
         self._vbox_question.set_spacing(3)
-        
+
         self._label_title.set_markup(_i18n("<b><big>Remove tag?</big></b>"))
         self._label_title.set_alignment(0.0, 0.5)
         self._label_question.set_markup(_i18n("Are you sure you want to remove the tag: <b>%s</b>?") % self.tag)
         self._label_question.set_alignment(0.0, 0.5)
-        
-        self._button_remove.set_image(gtk.image_new_from_stock(gtk.STOCK_REMOVE,
-                                                               gtk.ICON_SIZE_BUTTON))
-        self._button_remove.set_flags(gtk.CAN_DEFAULT)
-        
+
+        self._button_remove.set_image(Gtk.Image.new_from_stock(Gtk.STOCK_REMOVE,
+                                                               Gtk.IconSize.BUTTON))
+        self._button_remove.set_can_default(True)
+
         # Construct the dialog
-        self._vbox_question.pack_start(self._label_title)
-        self._vbox_question.pack_start(self._label_question)
-        
-        self._hbox.pack_start(self._image_question)
-        self._hbox.pack_start(self._vbox_question)
-        
-        self.vbox.add(self._hbox)
-        
-        self.action_area.pack_end(self._button_remove)
-        
+        self._vbox_question.pack_start(self._label_title, True, True, 0)
+        self._vbox_question.pack_start(self._label_question, True, True, 0)
+
+        self._hbox.pack_start(self._image_question, True, True, 0)
+        self._hbox.pack_start(self._vbox_question, True, True, 0)
+
+        self.get_content_area().add(self._hbox)
+
+        self.action_area.pack_end(self._button_remove, False, False, 0)
+
         # Display dialog
-        self.vbox.show_all()
-        
+        self.get_content_area().show_all()
+
         # Default to Commit button
         self._button_remove.grab_default()
-    
+
     def _on_remove_clicked(self, widget):
         """ Remove button event handler. """
-        self.response(gtk.RESPONSE_OK)
-
-
-class AddTagDialog(gtk.Dialog):
+        self.response(Gtk.ResponseType.OK)
+
+
+class AddTagDialog(Gtk.Dialog):
     """ Add tag dialog. """
+
     def __init__(self, repository, revid=None, branch=None, parent=None):
         """ Initialize Add tag dialog. """
-        gtk.Dialog.__init__(self, title="Add tag",
-                                  parent=parent,
-                                  flags=0,
-                                  buttons=(gtk.STOCK_CANCEL, 
-                                           gtk.RESPONSE_CANCEL))
-        
+        super(AddTagDialog, self).__init__(
+            title="Add tag", parent=parent, flags=0,
+            buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
+
         # Get arguments
         self._repository = repository
         self._revid = revid
         self._branch = branch
-        
+
         # Create the widgets
-        self._button_add = gtk.Button(_i18n("_Add tag"), use_underline=True)
-        self._table = gtk.Table(2, 2)
-        self._label_name = gtk.Label(_i18n("Tag Name:"))
-        self._label_revid = gtk.Label(_i18n("Revision ID:"))
-        self._entry_name = gtk.Entry()
+        self._button_add = Gtk.Button(_i18n("_Add tag"), use_underline=True)
+        self._table = Gtk.Table(2, 2)
+        self._label_name = Gtk.Label(label=_i18n("Tag Name:"))
+        self._label_revid = Gtk.Label(label=_i18n("Revision ID:"))
+        self._entry_name = Gtk.Entry()
         if self._revid is not None:
-            self._hbox_revid = gtk.Label(self._revid)
+            self._hbox_revid = Gtk.Label(label=self._revid)
         else:
             self._hbox_revid = RevisionSelectionBox(self._branch)
-        
+
         # Set callbacks
         self._button_add.connect('clicked', self._on_add_clicked)
-        
+
         # Set properties
         self._label_name.set_alignment(0, 0.5)
         self._label_revid.set_alignment(0, 0.5)
-        self._button_add.set_image(gtk.image_new_from_stock(gtk.STOCK_ADD,
-                                                            gtk.ICON_SIZE_BUTTON))
-        self._button_add.set_flags(gtk.CAN_DEFAULT)
-        
+        self._button_add.set_image(Gtk.Image.new_from_stock(Gtk.STOCK_ADD,
+                                                            Gtk.IconSize.BUTTON))
+        self._button_add.set_can_default(True)
+
         # Construct the dialog
         self._table.attach(self._label_name, 0, 1, 0, 1)
         self._table.attach(self._label_revid, 0, 1, 1, 2)
         self._table.attach(self._entry_name, 1, 2, 0, 1)
         self._table.attach(self._hbox_revid, 1, 2, 1, 2)
-        self.vbox.add(self._table)
-        self.action_area.pack_end(self._button_add)
-        
+        self.get_content_area().add(self._table)
+        self.action_area.pack_end(self._button_add, False, False, 0)
+
         # Show the dialog
-        self.vbox.show_all()
-    
+        self.get_content_area().show_all()
+
     def _on_add_clicked(self, widget):
         """ Add button clicked handler. """
         if len(self._entry_name.get_text()) == 0:
             error_dialog(_i18n("No tag name specified"),
                          _i18n("You have to specify the tag's desired name."))
             return
-        
+
         if self._revid is None:
             if self._hbox_revid.get_revision_id() is None:
                 self._revid = self._branch.last_revision()
             else:
                 self._revid = self._hbox_revid.get_revision_id()
-            
+
         self.tagname = self._entry_name.get_text()
-        
-        self.response(gtk.RESPONSE_OK)
+
+        self.response(Gtk.ResponseType.OK)

=== modified file 'tests/__init__.py'
--- tests/__init__.py	2008-06-29 15:54:40 +0000
+++ tests/__init__.py	2011-09-04 20:04:03 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Jelmer Vernooij <jelmer@samba.org>
+# Copyright (C) 2007, 2008 Jelmer Vernooij <jelmer@samba.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -14,27 +14,20 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-from unittest import TestLoader, TestSuite
-from bzrlib.tests import TestUtil
-
-import os
-
-def test_suite():
-    result = TestSuite()
-
-    loader = TestUtil.TestLoader()
-
+
+def load_tests(basic_tests, module, loader):
     testmod_names = [
+        'test_annotate_config',
+        'test_avatarsbox',
         'test_commit',
         'test_diff',
+        'test_history',
+        'test_graphcell',
         'test_linegraph',
-        'test_preferences',
-        'test_history',
+        'test_revisionview',
+        'test_treemodel',
         ]
 
-    if os.name == 'nt':
-        testmod_names.append("test_tortoise_bzr")
-
-    result.addTest(loader.loadTestsFromModuleNames(["%s.%s" % (__name__, i) for i in testmod_names]))
-    return result
-
+    basic_tests.addTest(loader.loadTestsFromModuleNames(
+            ["%s.%s" % (__name__, tmn) for tmn in testmod_names]))
+    return basic_tests

=== added file 'tests/test_annotate_config.py'
--- tests/test_annotate_config.py	1970-01-01 00:00:00 +0000
+++ tests/test_annotate_config.py	2011-09-04 03:53:20 +0000
@@ -0,0 +1,47 @@
+# Copyright (C) 2009 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+"""Test the annotate configuration functionality."""
+
+from bzrlib import (
+    tests,
+    )
+
+from bzrlib.plugins.gtk.annotate import (
+    config,
+    gannotate,
+    )
+
+
+class TestConfig(tests.TestCaseInTempDir):
+
+    def setUp(self):
+        # Create an instance before the env is changed so that
+        # icon lookups work.
+        self.window = gannotate.GAnnotateWindow()
+        super(TestConfig, self).setUp()
+
+    def tearDown(self):
+        self.window.destroy()
+        super(TestConfig, self).tearDown()
+
+    def test_create_initial_config(self):
+        """We can create a config even without a prior conf file"""
+        conf = config.GAnnotateConfig(self.window)
+        # We can access the default values (we just pick a random one)
+        width = conf['window']['width']
+        # configobj presents attributes as strings only
+        self.assertIsInstance(width, str)

=== added file 'tests/test_avatarsbox.py'
--- tests/test_avatarsbox.py	1970-01-01 00:00:00 +0000
+++ tests/test_avatarsbox.py	2011-09-03 22:00:09 +0000
@@ -0,0 +1,47 @@
+# Copyright (C) 2011 Curtis Hovey <sinzui.is@verizon.net>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+"""Test the AvatarsBox functionality."""
+
+from bzrlib import (
+    tests,
+    )
+
+from bzrlib.plugins.gtk.avatarsbox import Avatar
+
+
+class TestAvatar(tests.TestCase):
+
+    def test__init(self):
+        apparent_username = 'Random J User <randomjuser@eg.dom>'
+        avatar = Avatar(apparent_username)
+        self.assertEqual(apparent_username, avatar.apparent_username)
+        self.assertEqual('Random J User', avatar.username)
+        self.assertEqual('randomjuser@eg.dom', avatar.email)
+        self.assertEqual(None, avatar.image)
+
+    def test_eq_true(self):
+        apparent_username = 'Random J User <randomjuser@eg.dom>'
+        avatar_1 = Avatar(apparent_username)
+        avatar_2 = Avatar(apparent_username)
+        self.assertTrue(avatar_1 == avatar_2)
+
+    def test_eq_false(self):
+        apparent_username = 'Random J User <randomjuser@eg.dom>'
+        avatar_1 = Avatar(apparent_username)
+        avatar_2 = Avatar(apparent_username)
+        avatar_2.username = 'changed'
+        self.assertFalse(avatar_1 == avatar_2)

=== modified file 'tests/test_commit.py'
--- tests/test_commit.py	2008-06-10 15:25:47 +0000
+++ tests/test_commit.py	2011-11-24 14:53:53 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 John Arbash Meinel <john@arbash-meinel.com>
+# Copyright (C) 2007, 2008 John Arbash Meinel <john@arbash-meinel.com>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,15 +18,26 @@
 
 import os
 
-import gtk
+from gi.repository import Gtk
 
 from bzrlib import (
+    branch,
     tests,
-    revision,
+    uncommit,
     )
-from bzrlib.util import bencode
+try:
+    from bzrlib.tests.features import UnicodeFilenameFeature
+except ImportError: # bzr < 2.5
+    from bzrlib.tests import UnicodeFilenameFeature
+try:
+    from bzrlib import bencode
+except ImportError:
+    from bzrlib.util import bencode
 
-from bzrlib.plugins.gtk import commit
+from bzrlib.plugins.gtk import (
+    commit,
+    commitmsgs,
+    )
 
 
 # TODO: All we need is basic ancestry code to test this, we shouldn't need a
@@ -38,6 +49,7 @@
         tree = self.make_branch_and_tree('.')
         tree.commit('one')
 
+        self.addCleanup(tree.lock_read().unlock)
         self.assertIs(None, commit.pending_revisions(tree))
 
     def test_pending_revisions_simple(self):
@@ -48,6 +60,7 @@
         tree.merge_from_branch(tree2.branch)
         self.assertEqual([rev_id1, rev_id2], tree.get_parent_ids())
 
+        self.addCleanup(tree.lock_read().unlock)
         pending_revisions = commit.pending_revisions(tree)
         # One primary merge
         self.assertEqual(1, len(pending_revisions))
@@ -66,6 +79,7 @@
         tree.merge_from_branch(tree2.branch)
         self.assertEqual([rev_id1, rev_id4], tree.get_parent_ids())
 
+        self.addCleanup(tree.lock_read().unlock)
         pending_revisions = commit.pending_revisions(tree)
         # One primary merge
         self.assertEqual(1, len(pending_revisions))
@@ -86,9 +100,10 @@
         rev_id4 = tree3.commit('four')
         rev_id5 = tree3.commit('five')
         tree.merge_from_branch(tree2.branch)
-        tree.merge_from_branch(tree3.branch)
+        tree.merge_from_branch(tree3.branch, force=True)
         self.assertEqual([rev_id1, rev_id3, rev_id5], tree.get_parent_ids())
 
+        self.addCleanup(tree.lock_read().unlock)
         pending_revisions = commit.pending_revisions(tree)
         # Two primary merges
         self.assertEqual(2, len(pending_revisions))
@@ -207,7 +222,7 @@
 
         commit_col = dlg._treeview_files.get_column(0)
         self.assertEqual('Commit', commit_col.get_title())
-        renderer = commit_col.get_cell_renderers()[0]
+        renderer = commit_col.get_cells()[0]
         self.assertTrue(renderer.get_property('activatable'))
 
         self.assertEqual('Commit all changes',
@@ -232,7 +247,7 @@
 
         commit_col = dlg._treeview_files.get_column(0)
         self.assertEqual('Commit*', commit_col.get_title())
-        renderer = commit_col.get_cell_renderers()[0]
+        renderer = commit_col.get_cells()[0]
         self.assertFalse(renderer.get_property('activatable'))
 
         values = [(r[0], r[1], r[2], r[3]) for r in dlg._pending_store]
@@ -266,7 +281,7 @@
                                committer='Jerry Foo <jerry@foo.com>',
                                timestamp=1191372278.05,
                                timezone=+7200)
-        tree.merge_from_branch(tree3.branch)
+        tree.merge_from_branch(tree3.branch, force=True)
 
         dlg = commit.CommitDialog(tree)
         # TODO: assert that the pending box is set to show
@@ -380,7 +395,8 @@
                           ('b-id', 'b', True, 'b/', 'removed'),
                          ], values)
         # All Files should be selected
-        self.assertEqual(((0,), None), dlg._treeview_files.get_cursor())
+        self.assertEqual(
+            (Gtk.TreePath(path=0), None), dlg._treeview_files.get_cursor())
 
     def test_filelist_with_selected(self):
         tree = self.make_branch_and_tree('tree')
@@ -395,7 +411,8 @@
                          ], values)
         # This file should also be selected in the file list, rather than the
         # 'All Files' selection
-        self.assertEqual(((1,), None), dlg._treeview_files.get_cursor())
+        self.assertEqual(
+            (Gtk.TreePath(path=1), None), dlg._treeview_files.get_cursor())
 
     def test_diff_view(self):
         tree = self.make_branch_and_tree('tree')
@@ -409,7 +426,8 @@
         dlg = commit.CommitDialog(tree)
         diff_buffer = dlg._diff_view.buffer
         text = diff_buffer.get_text(diff_buffer.get_start_iter(),
-                                    diff_buffer.get_end_iter()).splitlines(True)
+                                    diff_buffer.get_end_iter(),
+                                    True).splitlines(True)
 
         self.assertEqual("=== modified file 'a'\n", text[0])
         self.assertContainsRe(text[1],
@@ -460,10 +478,12 @@
         self.assertFalse(dlg._file_message_expander.get_expanded())
         self.assertFalse(dlg._file_message_expander.get_property('sensitive'))
 
-        dlg._treeview_files.set_cursor((1,))
+        dlg._treeview_files.set_cursor(
+            Gtk.TreePath(path=1), None, False)
         self.assertEqual('Diff for a', dlg._diff_label.get_text())
         text = diff_buffer.get_text(diff_buffer.get_start_iter(),
-                                    diff_buffer.get_end_iter()).splitlines(True)
+                                    diff_buffer.get_end_iter(),
+                                    True).splitlines(True)
         self.assertEqual("=== added file 'a'\n", text[0])
         self.assertContainsRe(text[1],
             r"--- a\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
@@ -477,10 +497,12 @@
         self.assertTrue(dlg._file_message_expander.get_expanded())
         self.assertTrue(dlg._file_message_expander.get_property('sensitive'))
 
-        dlg._treeview_files.set_cursor((2,))
+        dlg._treeview_files.set_cursor(
+            Gtk.TreePath(path=2), None, False)
         self.assertEqual('Diff for b', dlg._diff_label.get_text())
         text = diff_buffer.get_text(diff_buffer.get_start_iter(),
-                                    diff_buffer.get_end_iter()).splitlines(True)
+                                    diff_buffer.get_end_iter(),
+                                    True).splitlines(True)
         self.assertEqual("=== added file 'b'\n", text[0])
         self.assertContainsRe(text[1],
             r"--- b\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
@@ -494,7 +516,8 @@
         self.assertTrue(dlg._file_message_expander.get_expanded())
         self.assertTrue(dlg._file_message_expander.get_property('sensitive'))
 
-        dlg._treeview_files.set_cursor((0,))
+        dlg._treeview_files.set_cursor(
+            Gtk.TreePath(path=0), None, False)
         self.assertEqual('Diff for All Files', dlg._diff_label.get_text())
         self.assertEqual('File commit message',
                          dlg._file_message_expander.get_label())
@@ -510,7 +533,8 @@
 
         def get_file_text():
             buf = dlg._file_message_text_view.get_buffer()
-            return buf.get_text(buf.get_start_iter(), buf.get_end_iter())
+            return buf.get_text(
+                buf.get_start_iter(), buf.get_end_iter(), True)
 
         def get_saved_text(path):
             """Get the saved text for a given record."""
@@ -523,7 +547,8 @@
         self.assertFalse(dlg._file_message_expander.get_property('sensitive'))
         self.assertEqual('', get_file_text())
 
-        dlg._treeview_files.set_cursor((1,))
+        dlg._treeview_files.set_cursor(
+            Gtk.TreePath(path=1), None, False)
         self.assertEqual('Commit message for a',
                          dlg._file_message_expander.get_label())
         self.assertTrue(dlg._file_message_expander.get_expanded())
@@ -536,7 +561,8 @@
         # We should have updated the ListStore with the new file commit info
         self.assertEqual('Some text\nfor a\n', get_saved_text(1))
 
-        dlg._treeview_files.set_cursor((2,))
+        dlg._treeview_files.set_cursor(
+            Gtk.TreePath(path=2), None, False)
         self.assertEqual('Commit message for b/',
                          dlg._file_message_expander.get_label())
         self.assertTrue(dlg._file_message_expander.get_expanded())
@@ -547,7 +573,8 @@
         dlg._set_file_commit_message('More text\nfor b\n')
         # Now switch back to 'a'. The message should be saved, and the buffer
         # should be updated with the other text
-        dlg._treeview_files.set_cursor((1,))
+        dlg._treeview_files.set_cursor(
+            Gtk.TreePath(path=1), None, False)
         self.assertEqual('More text\nfor b\n', get_saved_text(2))
         self.assertEqual('Commit message for a',
                          dlg._file_message_expander.get_label())
@@ -573,7 +600,7 @@
         #       do with. So instead, we just call toggle directly, and assume
         #       that toggle is hooked in correctly
         # column = dlg._treeview_files.get_column(0)
-        # renderer = column.get_cell_renderers()[0]
+        # renderer = column.get_cells()[0]
 
         # Toggle a single entry should set just that entry to False
         dlg._toggle_commit(None, 1, dlg._files_store)
@@ -626,9 +653,11 @@
         dlg._commit_selected_radio.set_active(True)
         self.assertEqual((['a_file', 'b_dir'], []), dlg._get_specific_files())
 
-        dlg._treeview_files.set_cursor((1,))
+        dlg._treeview_files.set_cursor(
+            Gtk.TreePath(path=1), None, False)
         dlg._set_file_commit_message('Test\nmessage\nfor a_file\n')
-        dlg._treeview_files.set_cursor((2,))
+        dlg._treeview_files.set_cursor(
+            Gtk.TreePath(path=2), None, False)
         dlg._set_file_commit_message('message\nfor b_dir\n')
 
         self.assertEqual((['a_file', 'b_dir'],
@@ -644,28 +673,55 @@
                             'message':'message\nfor b_dir\n'},
                           ]), dlg._get_specific_files())
 
-
-class TestCommitDialog_Commit(tests.TestCaseWithTransport):
-    """Tests on the actual 'commit' button being pushed."""
+    def test_specific_files_sanitizes_messages(self):
+        tree = self.make_branch_and_tree('tree')
+        tree.branch.get_config().set_user_option('per_file_commits', 'true')
+        self.build_tree(['tree/a_file', 'tree/b_dir/'])
+        tree.add(['a_file', 'b_dir'], ['1a-id', '0b-id'])
+
+        dlg = commit.CommitDialog(tree)
+        dlg._commit_selected_radio.set_active(True)
+        self.assertEqual((['a_file', 'b_dir'], []), dlg._get_specific_files())
+
+        dlg._treeview_files.set_cursor(
+            Gtk.TreePath(path=1), None, False)
+        dlg._set_file_commit_message('Test\r\nmessage\rfor a_file\n')
+        dlg._treeview_files.set_cursor(
+            Gtk.TreePath(path=2), None, False)
+        dlg._set_file_commit_message('message\r\nfor\nb_dir\r')
+
+        self.assertEqual((['a_file', 'b_dir'],
+                          [{'path':'a_file', 'file_id':'1a-id',
+                            'message':'Test\nmessage\nfor a_file\n'},
+                           {'path':'b_dir', 'file_id':'0b-id',
+                            'message':'message\nfor\nb_dir\n'},
+                          ]), dlg._get_specific_files())
+
+
+class QuestionHelpers(object):
 
     def _set_question_yes(self, dlg):
         """Set the dialog to answer YES to any questions."""
         self.questions = []
-        def _question_yes(*args):
+        def _question_yes(*args, **kwargs):
             self.questions.append(args)
             self.questions.append('YES')
-            return gtk.RESPONSE_YES
+            return Gtk.ResponseType.YES
         dlg._question_dialog = _question_yes
 
     def _set_question_no(self, dlg):
         """Set the dialog to answer NO to any questions."""
         self.questions = []
-        def _question_no(*args):
+        def _question_no(*args, **kwargs):
             self.questions.append(args)
             self.questions.append('NO')
-            return gtk.RESPONSE_NO
+            return Gtk.ResponseType.NO
         dlg._question_dialog = _question_no
 
+
+class TestCommitDialog_Commit(tests.TestCaseWithTransport, QuestionHelpers):
+    """Tests on the actual 'commit' button being pushed."""
+
     def test_bound_commit_local(self):
         tree = self.make_branch_and_tree('tree')
         self.build_tree(['tree/a'])
@@ -687,6 +743,21 @@
         self.assertEqual(last_rev, dlg.committed_revision_id)
         self.assertEqual(rev_id1, tree.branch.last_revision())
 
+    def test_commit_global_sanitizes_message(self):
+        tree = self.make_branch_and_tree('tree')
+        self.build_tree(['tree/a'])
+        tree.add(['a'], ['a-id'])
+        rev_id1 = tree.commit('one')
+
+        self.build_tree(['tree/b'])
+        tree.add(['b'], ['b-id'])
+        dlg = commit.CommitDialog(tree)
+        # With the check box set, it should only effect the local branch
+        dlg._set_global_commit_message('Commit\r\nmessage\rfoo\n')
+        dlg._do_commit()
+        rev = tree.branch.repository.get_revision(tree.last_revision())
+        self.assertEqual('Commit\nmessage\nfoo\n', rev.message)
+
     def test_bound_commit_both(self):
         tree = self.make_branch_and_tree('tree')
         self.build_tree(['tree/a'])
@@ -708,7 +779,7 @@
         self.assertEqual(last_rev, dlg.committed_revision_id)
         self.assertEqual(last_rev, tree.branch.last_revision())
 
-    def test_commit_no_message(self):
+    def test_commit_empty_message(self):
         tree = self.make_branch_and_tree('tree')
         self.build_tree(['tree/a', 'tree/b'])
         tree.add(['a'], ['a-id'])
@@ -929,9 +1000,11 @@
 
         dlg = commit.CommitDialog(tree)
         dlg._commit_selected_radio.set_active(True) # enable partial
-        dlg._treeview_files.set_cursor((1,))
+        dlg._treeview_files.set_cursor(
+            Gtk.TreePath(path=1), None, False)
         dlg._set_file_commit_message('Message for A\n')
-        dlg._treeview_files.set_cursor((2,))
+        dlg._treeview_files.set_cursor(
+            Gtk.TreePath(path=2), None, False)
         dlg._set_file_commit_message('Message for B\n')
         dlg._toggle_commit(None, 2, dlg._files_store) # unset 'b'
         dlg._set_global_commit_message('Commit just "a"')
@@ -943,13 +1016,14 @@
         rev = tree.branch.repository.get_revision(rev_id2)
         self.assertEqual('Commit just "a"', rev.message)
         file_info = rev.properties['file-info']
-        self.assertEqual('ld7:file_id4:a-id'
-                           '7:message14:Message for A\n'
-                           '4:path1:a'
-                         'ee', file_info)
+        self.assertEqual(u'ld7:file_id4:a-id'
+                         '7:message14:Message for A\n'
+                         '4:path1:a'
+                         'ee',
+                         file_info)
         self.assertEqual([{'path':'a', 'file_id':'a-id',
-                           'message':'Message for A\n'},
-                         ], bencode.bdecode(file_info))
+                           'message':'Message for A\n'},],
+                         bencode.bdecode(file_info.encode('UTF-8')))
 
     def test_commit_messages_after_merge(self):
         tree = self.make_branch_and_tree('tree')
@@ -963,7 +1037,8 @@
         tree.merge_from_branch(tree2.branch)
 
         dlg = commit.CommitDialog(tree)
-        dlg._treeview_files.set_cursor((1,)) # 'a'
+        dlg._treeview_files.set_cursor(
+            Gtk.TreePath(path=1), None, False) # 'a'
         dlg._set_file_commit_message('Message for A\n')
         # No message for 'B'
         dlg._set_global_commit_message('Merging from "tree2"\n')
@@ -976,16 +1051,17 @@
         self.assertEqual('Merging from "tree2"\n', rev.message)
         self.assertEqual([rev_id1, rev_id2], rev.parent_ids)
         file_info = rev.properties['file-info']
-        self.assertEqual('ld7:file_id4:a-id'
-                           '7:message14:Message for A\n'
-                           '4:path1:a'
-                         'ee', file_info)
+        self.assertEqual(u'ld7:file_id4:a-id'
+                         '7:message14:Message for A\n'
+                         '4:path1:a'
+                         'ee',
+                         file_info)
         self.assertEqual([{'path':'a', 'file_id':'a-id',
-                           'message':'Message for A\n'},
-                         ], bencode.bdecode(file_info))
+                           'message':'Message for A\n'},],
+                         bencode.bdecode(file_info.encode('UTF-8')))
 
     def test_commit_unicode_messages(self):
-        self.requireFeature(tests.UnicodeFilenameFeature)
+        self.requireFeature(UnicodeFilenameFeature)
 
         tree = self.make_branch_and_tree('tree')
         tree.branch.get_config().set_user_option('per_file_commits', 'true')
@@ -993,9 +1069,11 @@
         tree.add(['a', u'\u03a9'], ['a-id', 'omega-id'])
 
         dlg = commit.CommitDialog(tree)
-        dlg._treeview_files.set_cursor((1,)) # 'a'
+        dlg._treeview_files.set_cursor(
+            Gtk.TreePath(path=1), None, False) # 'a'
         dlg._set_file_commit_message(u'Test \xfan\xecc\xf6de\n')
-        dlg._treeview_files.set_cursor((2,)) # omega
+        dlg._treeview_files.set_cursor(
+            Gtk.TreePath(path=2), None, False) # omega
         dlg._set_file_commit_message(u'\u03a9 is the end of all things.\n')
         dlg._set_global_commit_message(u'\u03a9 and \xfan\xecc\xf6de\n')
 
@@ -1030,3 +1108,153 @@
                           {'path':u'\u03a9', 'file_id':'omega-id',
                            'message':u'\u03a9 is the end of all things.\n'},
                          ], file_info_decoded)
+
+
+class TestSanitizeMessage(tests.TestCase):
+
+    def assertSanitize(self, expected, original):
+        self.assertEqual(expected,
+                         commit._sanitize_and_decode_message(original))
+
+    def test_untouched(self):
+        self.assertSanitize('foo\nbar\nbaz\n', 'foo\nbar\nbaz\n')
+
+    def test_converts_cr_to_lf(self):
+        self.assertSanitize('foo\nbar\nbaz\n', 'foo\rbar\rbaz\r')
+
+    def test_converts_crlf_to_lf(self):
+        self.assertSanitize('foo\nbar\nbaz\n', 'foo\r\nbar\r\nbaz\r\n')
+
+    def test_converts_mixed_to_lf(self):
+        self.assertSanitize('foo\nbar\nbaz\n', 'foo\r\nbar\rbaz\n')
+
+
+class TestSavedCommitMessages(tests.TestCaseWithTransport):
+
+    def setUp(self):
+        super(TestSavedCommitMessages, self).setUp()
+        # Install our hook
+        branch.Branch.hooks.install_named_hook(
+            'post_uncommit', commitmsgs.save_commit_messages, None)
+
+    def _get_file_info_dict(self, rank):
+        file_info = [dict(path='a', file_id='a-id', message='a msg %d' % rank),
+                     dict(path='b', file_id='b-id', message='b msg %d' % rank)]
+        return file_info
+
+    def _get_file_info_revprops(self, rank):
+        file_info_prop = self._get_file_info_dict(rank)
+        return {'file-info': bencode.bencode(file_info_prop).decode('UTF-8')}
+
+    def _get_commit_message(self):
+        return self.config.get_user_option('gtk_global_commit_message')
+
+    def _get_file_commit_messages(self):
+        return self.config.get_user_option('gtk_file_commit_messages')
+
+
+class TestUncommitHook(TestSavedCommitMessages):
+
+    def setUp(self):
+        super(TestUncommitHook, self).setUp()
+        self.tree = self.make_branch_and_tree('tree')
+        self.config = self.tree.branch.get_config()
+        self.build_tree(['tree/a', 'tree/b'])
+        self.tree.add(['a'], ['a-id'])
+        self.tree.add(['b'], ['b-id'])
+        rev1 = self.tree.commit('one', rev_id='one-id',
+                                revprops=self._get_file_info_revprops(1))
+        rev2 = self.tree.commit('two', rev_id='two-id',
+                                revprops=self._get_file_info_revprops(2))
+        rev3 = self.tree.commit('three', rev_id='three-id',
+                                revprops=self._get_file_info_revprops(3))
+
+    def test_uncommit_one_by_one(self):
+        uncommit.uncommit(self.tree.branch, tree=self.tree)
+        self.assertEquals(u'three', self._get_commit_message())
+        self.assertEquals(u'd4:a-id7:a msg 34:b-id7:b msg 3e',
+                          self._get_file_commit_messages())
+
+        uncommit.uncommit(self.tree.branch, tree=self.tree)
+        self.assertEquals(u'two\n******\nthree', self._get_commit_message())
+        self.assertEquals(u'd4:a-id22:a msg 2\n******\na msg 3'
+                          '4:b-id22:b msg 2\n******\nb msg 3e',
+                          self._get_file_commit_messages())
+
+        uncommit.uncommit(self.tree.branch, tree=self.tree)
+        self.assertEquals(u'one\n******\ntwo\n******\nthree',
+                          self._get_commit_message())
+        self.assertEquals(u'd4:a-id37:a msg 1\n******\na msg 2\n******\na msg 3'
+                          '4:b-id37:b msg 1\n******\nb msg 2\n******\nb msg 3e',
+                          self._get_file_commit_messages())
+
+    def test_uncommit_all_at_once(self):
+        uncommit.uncommit(self.tree.branch, tree=self.tree, revno=1)
+        self.assertEquals(u'one\n******\ntwo\n******\nthree',
+                          self._get_commit_message())
+        self.assertEquals(u'd4:a-id37:a msg 1\n******\na msg 2\n******\na msg 3'
+                          '4:b-id37:b msg 1\n******\nb msg 2\n******\nb msg 3e',
+                          self._get_file_commit_messages())
+
+
+class TestReusingSavedCommitMessages(TestSavedCommitMessages, QuestionHelpers):
+
+    def setUp(self):
+        super(TestReusingSavedCommitMessages, self).setUp()
+        self.tree = self.make_branch_and_tree('tree')
+        self.config = self.tree.branch.get_config()
+        self.config.set_user_option('per_file_commits', 'true')
+        self.build_tree(['tree/a', 'tree/b'])
+        self.tree.add(['a'], ['a-id'])
+        self.tree.add(['b'], ['b-id'])
+        rev1 = self.tree.commit('one', revprops=self._get_file_info_revprops(1))
+        rev2 = self.tree.commit('two', revprops=self._get_file_info_revprops(2))
+        uncommit.uncommit(self.tree.branch, tree=self.tree)
+        self.build_tree_contents([('tree/a', 'new a content\n'),
+                                  ('tree/b', 'new b content'),])
+
+    def _get_commit_dialog(self, tree):
+        # Ensure we will never use a dialog that can actually prompt the user
+        # during the test suite. Test *can* and *should* override with the
+        # correct question dialog type.
+        dlg = commit.CommitDialog(tree)
+        self._set_question_no(dlg)
+        return dlg
+
+    def test_setup_saved_messages(self):
+        # Check the initial setup
+        self.assertEquals(u'two', self._get_commit_message())
+        self.assertEquals(u'd4:a-id7:a msg 24:b-id7:b msg 2e',
+                          self._get_file_commit_messages())
+
+    def test_messages_are_reloaded(self):
+        dlg = self._get_commit_dialog(self.tree)
+        self.assertEquals(u'two', dlg._get_global_commit_message())
+        self.assertEquals(([u'a', u'b'],
+                           [{ 'path': 'a',
+                             'file_id': 'a-id', 'message': 'a msg 2',},
+                           {'path': 'b',
+                            'file_id': 'b-id', 'message': 'b msg 2',}],),
+                          dlg._get_specific_files())
+
+    def test_messages_are_consumed(self):
+        dlg = self._get_commit_dialog(self.tree)
+        dlg._do_commit()
+        self.assertEquals(u'', self._get_commit_message())
+        self.assertEquals(u'de', self._get_file_commit_messages())
+
+    def test_messages_are_saved_on_cancel_if_required(self):
+        dlg = self._get_commit_dialog(self.tree)
+        self._set_question_yes(dlg) # Save messages
+        dlg._do_cancel()
+        self.assertEquals(u'two', self._get_commit_message())
+        self.assertEquals(u'd4:a-id7:a msg 24:b-id7:b msg 2e',
+                          self._get_file_commit_messages())
+
+    def test_messages_are_cleared_on_cancel_if_required(self):
+        dlg = self._get_commit_dialog(self.tree)
+        self._set_question_no(dlg) # Don't save messages
+        dlg._do_cancel()
+        self.assertEquals(u'', self._get_commit_message())
+        self.assertEquals(u'de',
+                          self._get_file_commit_messages())

=== modified file 'tests/test_diff.py'
--- tests/test_diff.py	2008-06-09 15:59:13 +0000
+++ tests/test_diff.py	2011-09-03 20:58:34 +0000
@@ -18,7 +18,15 @@
 from cStringIO import StringIO
 import os
 
-from bzrlib import errors, tests
+from bzrlib import (
+    conflicts,
+    errors,
+    tests,
+    )
+try:
+    from bzrlib.tests.features import UnicodeFilenameFeature
+except ImportError: # bzr < 2.5
+    from bzrlib.tests import UnicodeFilenameFeature
 from bzrlib.merge_directive import MergeDirective2
 
 from bzrlib.plugins.gtk.diff import (
@@ -69,7 +77,7 @@
 class TestDiffView(tests.TestCaseWithTransport):
 
     def test_unicode(self):
-        self.requireFeature(tests.UnicodeFilenameFeature)
+        self.requireFeature(UnicodeFilenameFeature)
 
         tree = self.make_branch_and_tree('tree')
         self.build_tree([u'tree/\u03a9'])
@@ -80,7 +88,7 @@
         view.show_diff(None)
         buf = view.buffer
         start, end = buf.get_bounds()
-        text = buf.get_text(start, end)
+        text = buf.get_text(start, end, True)
         self.assertContainsRe(text,
             "=== added file '\xce\xa9'\n"
             '--- .*\t1970-01-01 00:00:00 \\+0000\n'
@@ -98,6 +106,7 @@
 
 
 class MockWindow(object):
+
     def __init__(self):
         self.diff = MockDiffWidget()
         self.merge_successful = False
@@ -303,3 +312,57 @@
             [('a-id', 'a', 'removed', 'a'),
              ('b-id', 'b', 'removed', 'b/'),
             ], tree)
+
+    def test_status_missing_file(self):
+        this = self.make_branch_and_tree('this')
+        self.build_tree(['this/foo'])
+        this.add(['foo'], ['foo-id'])
+        this.commit('add')
+
+        other = this.bzrdir.sprout('other').open_workingtree()
+
+        os.remove('this/foo')
+        this.remove('foo', force=True)
+        this.commit('remove')
+
+        f = open('other/foo', 'wt')
+        try:
+            f.write('Modified\n')
+        finally:
+            f.close()
+        other.commit('modified')
+
+        this.merge_from_branch(other.branch)
+        conflicts.resolve(this)
+
+        self.assertStatusEqual(
+            [('foo-id', 'foo.OTHER', 'missing', 'foo.OTHER'),],
+            this)
+
+    def test_status_missing_directory(self):
+        this = self.make_branch_and_tree('this')
+        self.build_tree(['this/foo/', 'this/foo/bar'])
+        this.add(['foo', 'foo/bar'], ['foo-id', 'bar-id'])
+        this.commit('add')
+
+        other = this.bzrdir.sprout('other').open_workingtree()
+
+        os.remove('this/foo/bar')
+        os.rmdir('this/foo')
+        this.remove('foo', force=True)
+        this.commit('remove')
+
+        f = open('other/foo/bar', 'wt')
+        try:
+            f.write('Modified\n')
+        finally:
+            f.close()
+        other.commit('modified')
+
+        this.merge_from_branch(other.branch)
+        conflicts.resolve(this)
+
+        self.assertStatusEqual(
+            [('foo-id', u'foo', 'added', u'foo/'),
+             ('bar-id', u'foo/bar.OTHER', 'missing', u'foo/bar.OTHER'),],
+            this)

=== added file 'tests/test_graphcell.py'
--- tests/test_graphcell.py	1970-01-01 00:00:00 +0000
+++ tests/test_graphcell.py	2011-09-04 20:04:03 +0000
@@ -0,0 +1,81 @@
+# Copyright (C) 2011 Curtis Hovey <sinzui.is@verizon.net>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+"""Test the CellRendererGraph functionality."""
+
+from gi.repository import Gtk
+
+from bzrlib import (
+    tests,
+    )
+
+from bzrlib.plugins.gtk.branchview.graphcell import CellRendererGraph
+
+
+class CellRendererGraphTestCase(tests.TestCase):
+
+    def test_columns_len(self):
+        cell = CellRendererGraph()
+        self.assertEqual(0, cell.columns_len)
+        cell.columns_len = 1
+        self.assertEqual(1, cell.columns_len)
+
+    def test_props_writeonly(self):
+        # Props can be set, but not read, though they can be accessed
+        # as attributes
+        cell = CellRendererGraph()
+        cell.props.node = (1, 0)
+        cell.props.tags = ['2.0']
+        cell.props.in_lines = ((1, 2, 1.0))
+        cell.props.out_lines = ((1, 3, 1.0))
+        self.assertEqual((1, 0), cell.node)
+        self.assertRaises(TypeError, cell.props, 'node')
+        self.assertEqual(['2.0'], cell.tags)
+        self.assertRaises(TypeError, cell.props, 'tags')
+        self.assertEqual(((1, 2, 1.0)), cell.in_lines)
+        self.assertRaises(TypeError, cell.props, 'in_lines')
+        self.assertEqual(((1, 3, 1.0)), cell.out_lines)
+        self.assertRaises(TypeError, cell.props, 'out_lines')
+
+    def test_do_activate(self):
+        # The cell cannot be activated. It returns True to indicate the
+        # event is handled.
+        cell = CellRendererGraph()
+        self.assertEqual(
+            True, cell.do_activate(None, None, None, None, None))
+
+    def test_do_editing_started(self):
+        # The cell cannot be edited. It returns None.
+        cell = CellRendererGraph()
+        self.assertEqual(
+            None, cell.do_editing_started(None, None, None, None, None))
+
+    def test_do_get_size(self):
+        # The layout offset and size is based by cell.box_size(widget)
+        # box_size is cached, and this can be set ensure a predictable result.
+        cell = CellRendererGraph()
+        cell.columns_len = 1
+        cell._box_size = 21
+        treeview = Gtk.TreeView()
+        self.assertEqual(
+            (0, 0, 44, 22), cell.do_get_size(treeview, None))
+
+    def test_do_render(self):
+        # A simple test to verify the method is defined. Cairo is broken
+        # in gi--contexts cannot get created.
+        cell = CellRendererGraph()
+        self.assertEqual(
+            "<type 'instancemethod'>", str(type(cell.do_render)))

=== modified file 'tests/test_history.py'
--- tests/test_history.py	2007-03-09 17:47:28 +0000
+++ tests/test_history.py	2011-02-18 13:01:03 +0000
@@ -14,12 +14,14 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
+from bzrlib import config
 from bzrlib.tests import TestCaseInTempDir
+
 from bzrlib.plugins.gtk.history import UrlHistory
 
-from bzrlib import config
 
 class TestsUrlHistory(TestCaseInTempDir):
+
     def setUp(self):
         super(TestsUrlHistory, self).setUp()
         self.config = config.GlobalConfig()

=== modified file 'tests/test_linegraph.py'
--- tests/test_linegraph.py	2008-06-29 15:54:40 +0000
+++ tests/test_linegraph.py	2011-03-14 20:12:19 +0000
@@ -16,26 +16,22 @@
 
 """Test the linegraph functionality."""
 
-import os
-
-import gtk
-
 from bzrlib import (
-	graph,
+    graph,
     tests,
     )
-from bzrlib.util import bencode
 
 from bzrlib.plugins.gtk.branchview.linegraph import linegraph
 
 
 class TestLinegraph(tests.TestCase):
-	def get_graph(self, dict):
-		return graph.Graph(graph.DictParentsProvider(dict))
-
-	def test_simple(self):
-		lg = linegraph(self.get_graph({"A": ("B", "C"), "B": ()}), ["A"])
-		self.assertEquals(lg,  
+
+    def get_graph(self, dict):
+        return graph.Graph(graph.DictParentsProvider(dict))
+
+    def test_simple(self):
+        lg = linegraph(self.get_graph({"A": ("B", "C"), "B": ()}), ["A"])
+        self.assertEquals(lg,
             ([
                ['A', (0, 0), [(0, 0, 0)], ['B'], [], (2,)],
                ['B', (0, 0), [], (), ['A'], (1,)]

=== removed file 'tests/test_preferences.py'
--- tests/test_preferences.py	2007-03-15 16:23:15 +0000
+++ tests/test_preferences.py	1970-01-01 00:00:00 +0000
@@ -1,91 +0,0 @@
-# Copyright (C) 2007 Jelmer Vernooij <jelmer@samba.org>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-from bzrlib.tests import TestCase, TestCaseInTempDir
-from bzrlib.plugins.gtk.olive import Preferences
-
-import os
-
-# FIXME: need to make sure that this also tests writing/reading.
-class TestPreferences(TestCaseInTempDir):
-    def setUp(self):
-        super(TestPreferences, self).setUp()
-        self.prefs = Preferences(os.path.join(self.test_dir, 'prefs'))
-
-    def test_create(self):
-        Preferences()
-
-    def test_add_bookmark(self):
-        """make sure a bookmark can be added. This function is only supposed 
-        to store the location, not try to access it. """
-        self.assertTrue(self.prefs.add_bookmark("file://foobar"))
-        self.assertTrue("file://foobar" in self.prefs.get_bookmarks())
-
-    def test_add_bookmark_twice(self):
-        """Adding an already present bookmark will result in False being 
-        returned."""
-        self.assertTrue(self.prefs.add_bookmark("file://foobar"))
-        self.assertFalse(self.prefs.add_bookmark("file://foobar"))
-
-    def test_set_bookmark_title(self):
-        """Test setting a title for an existing bookmark."""
-        self.prefs.add_bookmark("file://foobar")
-        self.prefs.set_bookmark_title("file://foobar", "My Bookmark")
-
-    def test_remove_bookmark(self):
-        """Test removing a bookmark."""
-        self.prefs.add_bookmark("http://example.com/branch")
-        self.prefs.remove_bookmark("http://example.com/branch")
-        self.assertFalse("http://example.com/branch" in self.prefs.get_bookmarks())
-
-    def test_get_bookmarks_empty(self):
-        """Test whether a new Preferences() object has an empty bookmarks 
-        list."""
-        self.assertEqual([], self.prefs.get_bookmarks())
-
-    def test_get_bookmark_title_set(self):
-        """Test getting a title for an existing bookmark."""
-        self.prefs.add_bookmark("file://foobar")
-        self.prefs.set_bookmark_title("file://foobar", "My Bookmark")
-        self.assertEqual("My Bookmark", self.prefs.get_bookmark_title("file://foobar"))
-
-    def test_get_bookmark_title_implicit(self):
-        """Test getting a bookmark title for a bookmark that doesn't
-        have a title set."""
-        self.prefs.add_bookmark("file://bla")
-        self.assertEqual("file://bla", self.prefs.get_bookmark_title("file://bla"))
-
-    def test_set_preference(self):
-        """Check whether setting preferences works."""
-        self.prefs.set_preference("foo", True)
-        self.prefs.set_preference("foo", False)
-        self.prefs.set_preference("foo", "bloe")
-
-    def test_get_preference_bool(self):
-        """Check whether a preference can be retrieved."""
-        self.prefs.set_preference("foo", True)
-        self.assertEqual(True, self.prefs.get_preference("foo", "bool"))
-
-    def test_get_preference_str(self):
-        """Check whether a string preference can be retrieved."""
-        self.prefs.set_preference("bla", "bloe")
-        self.assertEqual("bloe", self.prefs.get_preference("bla"))
-
-    def test_get_preference_nonexistant(self):
-        """Check whether get_preference returns None for nonexisting 
-        options."""
-        self.assertEqual(None, self.prefs.get_preference("foo"))
-

=== added file 'tests/test_revisionview.py'
--- tests/test_revisionview.py	1970-01-01 00:00:00 +0000
+++ tests/test_revisionview.py	2011-09-04 03:53:20 +0000
@@ -0,0 +1,105 @@
+# Copyright (C) 2007, 2008 John Arbash Meinel <john@arbash-meinel.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+"""Test the RevisionView functionality."""
+
+import os
+
+from bzrlib import (
+    tests,
+    )
+try:
+    from bzrlib import bencode
+except ImportError:
+    from bzrlib.util import bencode
+
+from bzrlib.plugins.gtk import revisionview
+
+
+def fake_icon_path(*args):
+    return os.path.join(
+        os.path.dirname(__file__),  '..', 'icons', *args)
+
+
+class TestPendingRevisions(tests.TestCaseWithMemoryTransport):
+
+    def setUp(self):
+        super(TestPendingRevisions, self).setUp()
+        self.overrideAttr(revisionview, 'icon_path', new=fake_icon_path)
+
+    def assertBufferText(self, text, buffer):
+        """Check the text stored in the buffer."""
+        self.assertEqual(text, buffer.get_text(buffer.get_start_iter(),
+                                               buffer.get_end_iter(),
+                                               True))
+
+    def test_create_view(self):
+        builder = self.make_branch_builder('test')
+        builder.build_snapshot('A', None,
+            [('add', ('', 'root-id', 'directory', None))])
+        b = builder.get_branch()
+
+        rv = revisionview.RevisionView(b)
+        self.addCleanup(rv.destroy)
+        rev = b.repository.get_revision('A')
+        rv.set_revision(rev)
+        self.assertEqual(rev.committer, rv.committer.get_text())
+        self.assertFalse(rv.author.get_property('visible'))
+        self.assertFalse(rv.author_label.get_property('visible'))
+        self.assertFalse(rv.file_info_box.get_property('visible'))
+
+    def test_create_view_with_file_info(self):
+        tree = self.make_branch_and_memory_tree('test')
+        file_info = bencode.bencode([{'file_id':'root-id', 'path':'',
+                                      'message':'test-message\n'}])
+        tree.lock_write()
+        try:
+            tree.add([''], ['root-id'])
+            tree.commit('test', rev_id='A', revprops={'file-info': file_info})
+        finally:
+            tree.unlock()
+        b = tree.branch
+
+        rv = revisionview.RevisionView(b)
+        self.addCleanup(rv.destroy)
+        rev = b.repository.get_revision('A')
+        rv.set_revision(rev)
+
+        self.assertEqual(rev.committer, rv.committer.get_text())
+        self.assertTrue(rv.file_info_box.get_property('visible'))
+        self.assertBufferText('\ntest-message\n', rv.file_info_buffer)
+
+    def test_create_view_with_broken_file_info(self):
+        tree = self.make_branch_and_memory_tree('test')
+        # This should be 'message13:'
+        file_info = 'ld7:file_id7:root-id7:message11:test-message\n4:path0:ee'
+        tree.lock_write()
+        try:
+            tree.add([''], ['root-id'])
+            tree.commit('test', rev_id='A', revprops={'file-info': file_info})
+        finally:
+            tree.unlock()
+        b = tree.branch
+
+        rv = revisionview.RevisionView(b)
+        self.addCleanup(rv.destroy)
+        rev = b.repository.get_revision('A')
+        rv.set_revision(rev)
+
+        self.assertEqual(rev.committer, rv.committer.get_text())
+        self.assertFalse(rv.file_info_box.get_property('visible'))
+        log = self.get_log()
+        self.assertContainsRe(log, 'Invalid per-file info for revision:A')

=== removed file 'tests/test_tortoise_bzr.py'
--- tests/test_tortoise_bzr.py	2007-03-15 12:43:48 +0000
+++ tests/test_tortoise_bzr.py	1970-01-01 00:00:00 +0000
@@ -1,28 +0,0 @@
-# Copyright (C) 2007 Jelmer Vernooij <jelmer@samba.org>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-from bzrlib.tests import TestCaseInTempDir
-from bzrlib import config
-
-import win32com.client as client
-
-class TestsShellExtension(TestCaseInTempDir):
-    def setUp(self):
-        super(TestsUrlHistory, self).setUp()
-        self.ext = client.Dispatch("Bazaar.ShellExtension.ContextMenu")
-
-    def test_get_command_string(self):
-        self.assertEqual(u"Hello from Python!!", self.ext.GetCommandString(1,1))

=== added file 'tests/test_treemodel.py'
--- tests/test_treemodel.py	1970-01-01 00:00:00 +0000
+++ tests/test_treemodel.py	2011-09-04 20:04:03 +0000
@@ -0,0 +1,101 @@
+# Copyright (C) 2011 Curtis Hovey <sinzui.is@verizon.net>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+"""Test the BranchTreeModel functionality."""
+
+from time import (
+    strftime,
+    localtime,
+    )
+
+from bzrlib import (
+    tests,
+    )
+
+from bzrlib.plugins.gtk.branchview.treemodel import BranchTreeModel
+
+
+class BranchTreeModelTestCase(tests.TestCaseWithMemoryTransport):
+
+    def make_test_branch(self, revid, message=None, committer=None):
+        builder = self.make_branch_builder('test')
+        builder.build_snapshot(
+            revid, None, [('add', ('', 'root-id', 'directory', None))],
+            message=message, committer=committer)
+        return builder.get_branch()
+
+    def test_init(self):
+        branch = self.make_test_branch('A')
+        revision = branch.repository.get_revision('A')
+        branch.tags.set_tag('2.0', revision.revision_id)
+        model = BranchTreeModel(branch, [])
+        self.assertEqual(branch, model.branch)
+        self.assertEqual(branch.repository, model.repository)
+        self.assertEqual({'A': [u'2.0']}, model.tags)
+        self.assertEqual({}, model.revisions)
+        self.assertEqual([], model.line_graph_data)
+
+    def test_add_tag_create(self):
+        branch = self.make_test_branch('A')
+        revision = branch.repository.get_revision('A')
+        model = BranchTreeModel(branch, [])
+        model.add_tag('2.0', revision.revision_id)
+        self.assertEqual({'A': [u'2.0']}, model.tags)
+
+    def test_add_tag_append(self):
+        branch = self.make_test_branch('A')
+        revision = branch.repository.get_revision('A')
+        branch.tags.set_tag('2.0', revision.revision_id)
+        model = BranchTreeModel(branch, [])
+        model.add_tag('2.1', revision.revision_id)
+        self.assertEqual({'A': ['2.0', '2.1']}, model.tags)
+
+    def test_line_graph_item_to_model_row(self):
+        branch = self.make_test_branch(
+            'A', message='badger', committer='fnord')
+        revision = branch.repository.get_revision('A')
+        branch.tags.set_tag('2.0', revision.revision_id)
+        model = BranchTreeModel(branch, [])
+        data_item = (
+            revision.revision_id, (1, 0), (5, 6, 0.5), ('B'), ('C'), [12, 34])
+        row = model._line_graph_item_to_model_row(0, data_item)
+        self.assertEqual(revision.revision_id, row[0], 'Wrong revid.')
+        self.assertEqual((1, 0), row[1], 'Wrong node.')
+        self.assertEqual((5, 6, 0.5), row[2], 'Wrong lines.')
+        self.assertEqual([], row[3], 'Wrong last_lines.')
+        self.assertEqual('12.34', row[4], 'Wrong revno.')
+        self.assertEqual('badger', row[5], 'Wrong summary.')
+        self.assertEqual('badger', row[6], 'Wrong message.')
+        self.assertEqual('fnord', row[7], 'wrong committer.')
+        self.assertEqual(
+            strftime("%Y-%m-%d %H:%M", localtime(revision.timestamp)),
+            row[8], 'Wrong timestamp.')
+        self.assertEqual(revision, row[9], 'Wrong revision.')
+        self.assertEqual(('B'), row[10], 'Wrong parents.')
+        self.assertEqual(('C'), row[11], 'Wrong children.')
+        self.assertEqual(['2.0'], row[12], 'Wrong tags.')
+        self.assertEqual('fnord', row[13], 'Wrong authors.')
+
+    def test_set_line_graph_data(self):
+        branch = self.make_test_branch(
+            'A', message='badger', committer='fnord')
+        rev_id = branch.repository.get_revision('A').revision_id
+        model = BranchTreeModel(branch, [])
+        data = [(rev_id, (2, 0), (3, 4, 0.5), None, None, [1, 2])]
+        model.set_line_graph_data(data)
+        self.assertEqual(data, model.line_graph_data)
+        tree_iter = model.get_iter_first()
+        self.assertEqual(rev_id, model.get_value(tree_iter, 0))

=== modified file 'ui.py'
--- ui.py	2008-06-29 18:12:29 +0000
+++ ui.py	2011-09-08 03:11:06 +0000
@@ -19,133 +19,139 @@
 """GTK UI
 """
 
-import gtk
-import sys
+from gi.repository import Gtk
 
-from bzrlib import progress
 from bzrlib.ui import UIFactory
 
 
-class PromptDialog(gtk.Dialog):
-    """ Prompt the user for a yes/no answer. """
+class PromptDialog(Gtk.Dialog):
+    """Prompt the user for a yes/no answer."""
+
     def __init__(self, prompt):
-        gtk.Dialog.__init__(self)
-        
-        label = gtk.Label(prompt)
-        self.vbox.pack_start(label, padding=10)
-        
-        self.vbox.show_all()
-
-        self.add_buttons(gtk.STOCK_YES, gtk.RESPONSE_YES, gtk.STOCK_NO, 
-                         gtk.RESPONSE_NO)
-
-
-class GtkProgressBar(gtk.ProgressBar,progress._BaseProgressBar):
-    def __init__(self, _stack=None):
-        gtk.ProgressBar.__init__(self)
+        super(PromptDialog, self).__init__()
+
+        label = Gtk.Label(label=prompt)
+        self.get_content_area().pack_start(label, True, True, 10)
+        self.get_content_area().show_all()
+
+        self.add_buttons(Gtk.STOCK_YES, Gtk.ResponseType.YES, Gtk.STOCK_NO,
+                         Gtk.ResponseType.NO)
+
+
+class GtkProgressBar(Gtk.ProgressBar):
+
+    def __init__(self):
+        super(GtkProgressBar, self).__init__()
         self.set_fraction(0.0)
-        progress._BaseProgressBar.__init__(self, _stack=_stack)
         self.current = None
         self.total = None
 
-    def clear(self):
-        self.hide()
-
     def tick(self):
+        self.show()
         self.pulse()
 
-    def child_update(self, message, current, total):
-        pass
-
     def update(self, msg=None, current_cnt=None, total_cnt=None):
-        if current_cnt:
+        self.show()
+        if current_cnt is not None:
             self.current = current_cnt
-        if total_cnt:
+        if total_cnt is not None:
             self.total = total_cnt
         if msg is not None:
             self.set_text(msg)
         if None not in (self.current, self.total):
             self.fraction = float(self.current) / self.total
+            if self.fraction < 0.0 or self.fraction > 1.0:
+                raise AssertionError
             self.set_fraction(self.fraction)
-        while gtk.events_pending():
-            gtk.main_iteration()
-
-
-class ProgressBarWindow(gtk.Window):
+        while Gtk.events_pending():
+            Gtk.main_iteration()
+
+    def finished(self):
+        self.hide()
+
+    def clear(self):
+        self.hide()
+
+
+class ProgressBarWindow(Gtk.Window):
+
     def __init__(self):
-        super(ProgressBarWindow, self).__init__(type=gtk.WINDOW_TOPLEVEL)
+        super(ProgressBarWindow, self).__init__(type=Gtk.WindowType.TOPLEVEL)
         self.set_border_width(0)
         self.set_title("Progress")
-        self.set_position(gtk.WIN_POS_CENTER_ALWAYS)
-        self.pb = GtkProgressBar(self)
+        self.set_position(Gtk.WindowPosition.CENTER_ALWAYS)
+        self.pb = GtkProgressBar()
         self.add(self.pb)
         self.resize(250, 15)
         self.set_resizable(False)
-        self.show_all()
-
-    def clear(self):
-        self.pb.clear()
+
+    def tick(self, *args, **kwargs):
+        self.show_all()
+        self.pb.tick(*args, **kwargs)
+
+    def update(self, *args, **kwargs):
+        self.show_all()
+        self.pb.update(*args, **kwargs)
+
+    def finished(self):
+        self.pb.finished()
+        self.hide()
         self.destroy()
 
-
-class ProgressPanel(gtk.HBox):
+    def clear(self):
+        self.pb.clear()
+        self.hide()
+
+
+class ProgressPanel(Gtk.HBox):
+
     def __init__(self):
         super(ProgressPanel, self).__init__()
-        image_loading = gtk.image_new_from_stock(gtk.STOCK_REFRESH,
-                                                 gtk.ICON_SIZE_BUTTON)
+        image_loading = Gtk.Image.new_from_stock(Gtk.STOCK_REFRESH,
+                                                 Gtk.IconSize.BUTTON)
         image_loading.show()
-        
-        self.pb = GtkProgressBar(self)
+
+        self.pb = GtkProgressBar()
         self.set_spacing(5)
-        self.set_border_width(5)        
-        self.pack_start(image_loading, False, False)
-        self.pack_start(self.pb, True, True)
-
-    def return_pb(self, pb):
-        self._stack.return_pb(self)
-
-    def get_progress_bar(self, to_file=None, show_pct=None, show_spinner=None, show_eta=None, 
-                         show_bar=None, show_count=None, to_messages_file=None, 
-                         _stack=None):
-        self._stack = _stack
+        self.set_border_width(5)
+        self.pack_start(image_loading, False, False, 0)
+        self.pack_start(self.pb, True, True, 0)
+
+    def tick(self, *args, **kwargs):
         self.show_all()
-        return self
-    
+        self.pb.tick(*args, **kwargs)
+
     def update(self, *args, **kwargs):
+        self.show_all()
         self.pb.update(*args, **kwargs)
 
     def finished(self):
         self.pb.finished()
-        self.hide_all()
+        self.hide()
 
     def clear(self):
         self.pb.clear()
-        self.hide_all()
-
-    def child_progress(self, *args, **kwargs):
-        return self.pb.child_progress(*args, **kwargs)
-
-    def child_update(self, *args, **kwargs):
-        return self.pb.child_update(*args, **kwargs)
-
-
-
-class PasswordDialog(gtk.Dialog):
+        self.hide()
+
+
+class PasswordDialog(Gtk.Dialog):
     """ Prompt the user for a password. """
+
     def __init__(self, prompt):
-        gtk.Dialog.__init__(self)
-        
-        label = gtk.Label(prompt)
-        self.vbox.pack_start(label, padding=10)
-        
-        self.entry = gtk.Entry()
+        super(PasswordDialog, self).__init__()
+
+        label = Gtk.Label(label=prompt)
+        self.get_content_area().pack_start(label, True, True, 10)
+
+        self.entry = Gtk.Entry()
         self.entry.set_visibility(False)
-        self.vbox.pack_end(self.entry, padding=10)
-        
-        self.vbox.show_all()
-        
-        self.add_buttons(gtk.STOCK_OK, gtk.RESPONSE_OK, gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL)
-    
+        self.get_content_area().pack_end(self.entry, False, False, 10)
+
+        self.get_content_area().show_all()
+
+        self.add_buttons(Gtk.STOCK_OK, Gtk.ResponseType.OK,
+                         Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL)
+
     def _get_passwd(self):
         return self.entry.get_text()
 
@@ -155,22 +161,21 @@
 class GtkUIFactory(UIFactory):
     """A UI factory for GTK user interfaces."""
 
-    def __init__(self,
-                 stdout=None,
-                 stderr=None):
-        """Create a GtkUIFactory.
-
-        """
+    def __init__(self):
+        """Create a GtkUIFactory"""
         super(GtkUIFactory, self).__init__()
-        self.set_nested_progress_bar_widget(ProgressBarWindow)
+        self.set_progress_bar_widget(None)
+
+    def set_progress_bar_widget(self, widget):
+        self._progress_bar_widget = widget
 
     def get_boolean(self, prompt):
         """GtkDialog with yes/no answers"""
         dialog = PromptDialog(prompt)
         response = dialog.run()
         dialog.destroy()
-        return (response == gtk.RESPONSE_YES)
-        
+        return (response == Gtk.ResponseType.YES)
+
     def get_password(self, prompt='', **kwargs):
         """Prompt the user for a password.
 
@@ -185,26 +190,23 @@
         response = dialog.run()
         passwd = dialog.passwd
         dialog.destroy()
-        if response == gtk.RESPONSE_OK:
+        if response == Gtk.ResponseType.OK:
             return passwd
         else:
             return None
 
-    def set_nested_progress_bar_widget(self, widget):
-        self._progress_bar_stack = progress.ProgressBarStack(klass=widget)
-
-    def nested_progress_bar(self):
-        """Return a nested progress bar.
-        """
-        return self._progress_bar_stack.get_nested()
-
-    def set_progress_bar_vbox(self, vbox):
-        """Change the vbox to put progress bars in.
-        """
-        self._progress_bar_stack = vbox
-
-    def clear_term(self):
-        """Prepare the terminal for output.
-
-        It has no sense when talking about GTK."""
-        pass
+    def _progress_all_finished(self):
+        """See UIFactory._progress_all_finished"""
+        pbw = self._progress_bar_widget
+        if pbw:
+            pbw.finished()
+
+    def _progress_updated(self, task):
+        """See UIFactory._progress_updated"""
+        if self._progress_bar_widget is None:
+            # Default to a window since nobody gave us a better mean to report
+            # progress.
+            self.set_progress_bar_widget(ProgressBarWindow())
+        self._progress_bar_widget.update(task.msg,
+                                         task.current_cnt, task.total_cnt)
+

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2008-06-06 17:46:26 +0000
+++ viz/branchwin.py	2011-11-29 10:09:23 +0000
@@ -1,26 +1,26 @@
-# -*- coding: UTF-8 -*-
 """Branch window.
 
 This module contains the code to manage the branch information window,
 which contains both the revision graph and details panes.
 """
 
-__copyright__ = "Copyright © 2005 Canonical Ltd."
+__copyright__ = "Copyright (c) 2005 Canonical Ltd."
 __author__    = "Scott James Remnant <scott@ubuntu.com>"
 
 
-import gtk
-import gobject
-import pango
+from gi.repository import Gdk
+from gi.repository import Gtk
 
-from bzrlib.plugins.gtk.window import Window
 from bzrlib.plugins.gtk import icon_path
-from bzrlib.plugins.gtk.tags import AddTagDialog
+from bzrlib.plugins.gtk.branchview import TreeView
 from bzrlib.plugins.gtk.preferences import PreferencesWindow
-from bzrlib.plugins.gtk.branchview import TreeView, treemodel
-from bzrlib.revision import Revision, NULL_REVISION
-from bzrlib.config import BranchConfig
+from bzrlib.plugins.gtk.revisionmenu import RevisionMenu
+from bzrlib.plugins.gtk.window import Window
+
 from bzrlib.config import GlobalConfig
+from bzrlib.revision import NULL_REVISION
+from bzrlib.trace import mutter
+
 
 class BranchWindow(Window):
     """Branch window.
@@ -38,7 +38,7 @@
                        None for no limit.
         """
 
-        Window.__init__(self, parent=parent)
+        super(BranchWindow, self).__init__(parent=parent)
         self.set_border_width(0)
 
         self.branch      = branch
@@ -51,126 +51,190 @@
         else:
             self.compact_view = False
 
-        self.set_title(branch.nick + " - revision history")
+        self.set_title(branch._get_nick(local=True) + " - revision history")
 
-        # Use three-quarters of the screen by default
-        screen = self.get_screen()
-        monitor = screen.get_monitor_geometry(0)
-        width = int(monitor.width * 0.75)
-        height = int(monitor.height * 0.75)
+        # user-configured window size
+        size = self._load_size('viz-window-size')
+        if size:
+            width, height = size
+        else:
+            # Use three-quarters of the screen by default
+            screen = self.get_screen()
+            monitor = screen.get_monitor_geometry(0)
+            width = int(monitor.width * 0.75)
+            height = int(monitor.height * 0.75)
         self.set_default_size(width, height)
+        self.set_size_request(width/3, height/3)
+        self._save_size_on_destroy(self, 'viz-window-size')
 
         # FIXME AndyFitz!
-        icon = self.render_icon(gtk.STOCK_INDEX, gtk.ICON_SIZE_BUTTON)
+        icon = self.render_icon_pixbuf(Gtk.STOCK_INDEX, Gtk.IconSize.BUTTON)
         self.set_icon(icon)
 
-        gtk.accel_map_add_entry("<viz>/Go/Next Revision", gtk.keysyms.Up, gtk.gdk.MOD1_MASK)
-        gtk.accel_map_add_entry("<viz>/Go/Previous Revision", gtk.keysyms.Down, gtk.gdk.MOD1_MASK)
-        gtk.accel_map_add_entry("<viz>/View/Refresh", gtk.keysyms.F5, 0)
+        Gtk.AccelMap.add_entry("<viz>/Go/Next Revision", Gdk.KEY_Up, Gdk.ModifierType.MOD1_MASK)
+        Gtk.AccelMap.add_entry("<viz>/Go/Previous Revision", Gdk.KEY_Down, Gdk.ModifierType.MOD1_MASK)
+        Gtk.AccelMap.add_entry("<viz>/View/Refresh", Gdk.KEY_F5, 0)
 
-        self.accel_group = gtk.AccelGroup()
+        self.accel_group = Gtk.AccelGroup()
         self.add_accel_group(self.accel_group)
 
-        gtk.Action.set_tool_item_type(gtk.MenuToolButton)
-
-        self.prev_rev_action = gtk.Action("prev-rev", "_Previous Revision", "Go to the previous revision", gtk.STOCK_GO_DOWN)
+        self.prev_rev_action = Gtk.Action("prev-rev", "_Previous Revision", "Go to the previous revision", Gtk.STOCK_GO_DOWN)
         self.prev_rev_action.set_accel_path("<viz>/Go/Previous Revision")
         self.prev_rev_action.set_accel_group(self.accel_group)
         self.prev_rev_action.connect("activate", self._back_clicked_cb)
         self.prev_rev_action.connect_accelerator()
 
-        self.next_rev_action = gtk.Action("next-rev", "_Next Revision", "Go to the next revision", gtk.STOCK_GO_UP)
+        self.next_rev_action = Gtk.Action("next-rev", "_Next Revision", "Go to the next revision", Gtk.STOCK_GO_UP)
         self.next_rev_action.set_accel_path("<viz>/Go/Next Revision")
         self.next_rev_action.set_accel_group(self.accel_group)
         self.next_rev_action.connect("activate", self._fwd_clicked_cb)
         self.next_rev_action.connect_accelerator()
 
-        self.refresh_action = gtk.Action("refresh", "_Refresh", "Refresh view", gtk.STOCK_REFRESH)
+        self.refresh_action = Gtk.Action("refresh", "_Refresh", "Refresh view", Gtk.STOCK_REFRESH)
         self.refresh_action.set_accel_path("<viz>/View/Refresh")
         self.refresh_action.set_accel_group(self.accel_group)
         self.refresh_action.connect("activate", self._refresh_clicked)
         self.refresh_action.connect_accelerator()
 
-        self.construct()
+        self.vbox = self.construct()
+
+    def _save_size_on_destroy(self, widget, config_name):
+        """Creates a hook that saves the size of widget to config option 
+           config_name when the window is destroyed/closed."""
+        def save_size(src):
+            allocation = widget.get_allocation()
+            width, height = allocation.width, allocation.height
+            value = '%sx%s' % (width, height)
+            self.config.set_user_option(config_name, value)
+        self.connect("destroy", save_size)
 
     def set_revision(self, revid):
         self.treeview.set_revision_id(revid)
 
     def construct(self):
         """Construct the window contents."""
-        vbox = gtk.VBox(spacing=0)
+        vbox = Gtk.VBox(spacing=0)
         self.add(vbox)
 
-        self.paned = gtk.VPaned()
-        self.paned.pack1(self.construct_top(), resize=True, shrink=False)
-        self.paned.pack2(self.construct_bottom(), resize=False, shrink=True)
+        # order is important here
+        paned = self.construct_paned()
+        nav = self.construct_navigation()
+        menubar = self.construct_menubar()
+
+        vbox.pack_start(menubar, False, True, 0)
+        vbox.pack_start(nav, False, True, 0)
+        vbox.pack_start(paned, True, True, 0)
+        vbox.set_focus_child(paned)
+
+
+        vbox.show()
+
+        return vbox
+
+    def construct_paned(self):
+        """Construct the main HPaned/VPaned contents."""
+        if self.config.get_user_option('viz-vertical') == 'True':
+            self.paned = Gtk.HPaned()
+        else:
+            self.paned = Gtk.VPaned()
+
+        self.paned.pack1(self.construct_top(), resize=False, shrink=True)
+        self.paned.pack2(self.construct_bottom(), resize=True, shrink=False)
         self.paned.show()
 
-        vbox.pack_start(self.construct_menubar(), expand=False, fill=True)
-        vbox.pack_start(self.construct_navigation(), expand=False, fill=True)
-        
-        vbox.pack_start(self.paned, expand=True, fill=True)
-        vbox.set_focus_child(self.paned)
-
-        vbox.show()
+        return self.paned
 
     def construct_menubar(self):
-        menubar = gtk.MenuBar()
+        menubar = Gtk.MenuBar()
 
-        file_menu = gtk.Menu()
-        file_menuitem = gtk.MenuItem("_File")
+        file_menu = Gtk.Menu()
+        file_menuitem = Gtk.MenuItem.new_with_mnemonic("_File")
         file_menuitem.set_submenu(file_menu)
 
-        file_menu_close = gtk.ImageMenuItem(gtk.STOCK_CLOSE, self.accel_group)
+        file_menu_close = Gtk.ImageMenuItem.new_from_stock(
+            Gtk.STOCK_CLOSE, self.accel_group)
         file_menu_close.connect('activate', lambda x: self.destroy())
-        
-        file_menu_quit = gtk.ImageMenuItem(gtk.STOCK_QUIT, self.accel_group)
-        file_menu_quit.connect('activate', lambda x: gtk.main_quit())
-        
+
+        file_menu_quit = Gtk.ImageMenuItem.new_from_stock(
+            Gtk.STOCK_QUIT, self.accel_group)
+        file_menu_quit.connect('activate', lambda x: Gtk.main_quit())
+
         if self._parent is not None:
             file_menu.add(file_menu_close)
         file_menu.add(file_menu_quit)
 
-        edit_menu = gtk.Menu()
-        edit_menuitem = gtk.MenuItem("_Edit")
+        edit_menu = Gtk.Menu()
+        edit_menuitem = Gtk.MenuItem.new_with_mnemonic("_Edit")
         edit_menuitem.set_submenu(edit_menu)
 
-        edit_menu_find = gtk.ImageMenuItem(gtk.STOCK_FIND)
-
-        edit_menu_branchopts = gtk.MenuItem("Branch Settings")
+        edit_menu_branchopts = Gtk.MenuItem(label="Branch Settings")
         edit_menu_branchopts.connect('activate', lambda x: PreferencesWindow(self.branch.get_config()).show())
 
-        edit_menu_globopts = gtk.MenuItem("Global Settings")
+        edit_menu_globopts = Gtk.MenuItem(label="Global Settings")
         edit_menu_globopts.connect('activate', lambda x: PreferencesWindow().show())
 
-        edit_menu.add(edit_menu_find)
         edit_menu.add(edit_menu_branchopts)
         edit_menu.add(edit_menu_globopts)
 
-        view_menu = gtk.Menu()
-        view_menuitem = gtk.MenuItem("_View")
+        view_menu = Gtk.Menu()
+        view_menuitem = Gtk.MenuItem.new_with_mnemonic("_View")
         view_menuitem.set_submenu(view_menu)
 
         view_menu_refresh = self.refresh_action.create_menu_item()
         view_menu_refresh.connect('activate', self._refresh_clicked)
 
         view_menu.add(view_menu_refresh)
-        view_menu.add(gtk.SeparatorMenuItem())
+        view_menu.add(Gtk.SeparatorMenuItem())
 
-        view_menu_toolbar = gtk.CheckMenuItem("Show Toolbar")
+        view_menu_toolbar = Gtk.CheckMenuItem(label="Show Toolbar")
         view_menu_toolbar.set_active(True)
+        if self.config.get_user_option('viz-toolbar-visible') == 'False':
+            view_menu_toolbar.set_active(False)
+            self.toolbar.hide()
         view_menu_toolbar.connect('toggled', self._toolbar_visibility_changed)
 
-        view_menu_compact = gtk.CheckMenuItem("Show Compact Graph")
+        view_menu_compact = Gtk.CheckMenuItem(label="Show Compact Graph")
         view_menu_compact.set_active(self.compact_view)
         view_menu_compact.connect('activate', self._brokenlines_toggled_cb)
 
+        view_menu_vertical = Gtk.CheckMenuItem(label="Side-by-side Layout")
+        view_menu_vertical.set_active(False)
+        if self.config.get_user_option('viz-vertical') == 'True':
+            view_menu_vertical.set_active(True)
+        view_menu_vertical.connect('toggled', self._vertical_layout)
+
+        view_menu_diffs = Gtk.CheckMenuItem(label="Show Diffs")
+        view_menu_diffs.set_active(False)
+        if self.config.get_user_option('viz-show-diffs') == 'True':
+            view_menu_diffs.set_active(True)
+        view_menu_diffs.connect('toggled', self._diff_visibility_changed)
+
+        view_menu_wide_diffs = Gtk.CheckMenuItem(label="Wide Diffs")
+        view_menu_wide_diffs.set_active(False)
+        if self.config.get_user_option('viz-wide-diffs') == 'True':
+            view_menu_wide_diffs.set_active(True)
+        view_menu_wide_diffs.connect('toggled', self._diff_placement_changed)
+
+        view_menu_wrap_diffs = Gtk.CheckMenuItem.new_with_mnemonic(
+            "Wrap _Long Lines in Diffs")
+        view_menu_wrap_diffs.set_active(False)
+        if self.config.get_user_option('viz-wrap-diffs') == 'True':
+            view_menu_wrap_diffs.set_active(True)
+        view_menu_wrap_diffs.connect('toggled', self._diff_wrap_changed)
+
         view_menu.add(view_menu_toolbar)
         view_menu.add(view_menu_compact)
-        view_menu.add(gtk.SeparatorMenuItem())
+        view_menu.add(view_menu_vertical)
+        view_menu.add(Gtk.SeparatorMenuItem())
+        view_menu.add(view_menu_diffs)
+        view_menu.add(view_menu_wide_diffs)
+        view_menu.add(view_menu_wrap_diffs)
+        view_menu.add(Gtk.SeparatorMenuItem())
 
-        self.mnu_show_revno_column = gtk.CheckMenuItem("Show Revision _Number Column")
-        self.mnu_show_date_column = gtk.CheckMenuItem("Show _Date Column")
+        self.mnu_show_revno_column = Gtk.CheckMenuItem.new_with_mnemonic(
+            "Show Revision _Number Column")
+        self.mnu_show_date_column = Gtk.CheckMenuItem.new_with_mnemonic(
+            "Show _Date Column")
 
         # Revision numbers are pointless if there are multiple branches
         if len(self.start_revs) > 1:
@@ -183,56 +247,58 @@
             col.connect('toggled', self._col_visibility_changed, name)
             view_menu.add(col)
 
-        go_menu = gtk.Menu()
+        go_menu = Gtk.Menu()
         go_menu.set_accel_group(self.accel_group)
-        go_menuitem = gtk.MenuItem("_Go")
+        go_menuitem = Gtk.MenuItem.new_with_mnemonic("_Go")
         go_menuitem.set_submenu(go_menu)
-        
+
         go_menu_next = self.next_rev_action.create_menu_item()
         go_menu_prev = self.prev_rev_action.create_menu_item()
 
-        tag_image = gtk.Image()
+        tag_image = Gtk.Image()
         tag_image.set_from_file(icon_path("tag-16.png"))
-        self.go_menu_tags = gtk.ImageMenuItem("_Tags")
+        self.go_menu_tags = Gtk.ImageMenuItem.new_with_mnemonic("_Tags")
         self.go_menu_tags.set_image(tag_image)
-        self._update_tags()
+        self.treeview.connect('refreshed', lambda w: self._update_tags())
 
         go_menu.add(go_menu_next)
         go_menu.add(go_menu_prev)
-        go_menu.add(gtk.SeparatorMenuItem())
+        go_menu.add(Gtk.SeparatorMenuItem())
         go_menu.add(self.go_menu_tags)
 
-        revision_menu = gtk.Menu()
-        revision_menuitem = gtk.MenuItem("_Revision")
-        revision_menuitem.set_submenu(revision_menu)
-
-        revision_menu_diff = gtk.MenuItem("View Changes")
-        revision_menu_diff.connect('activate', 
-                self._menu_diff_cb)
-        
-        revision_menu_compare = gtk.MenuItem("Compare with...")
-        revision_menu_compare.connect('activate',
-                self._compare_with_cb)
-
-        revision_menu_tag = gtk.MenuItem("Tag Revision")
-        revision_menu_tag.connect('activate', self._tag_revision_cb)
-
-        revision_menu.add(revision_menu_tag)
-        revision_menu.add(revision_menu_diff)
-        revision_menu.add(revision_menu_compare)
-
-        branch_menu = gtk.Menu()
-        branch_menuitem = gtk.MenuItem("_Branch")
+        self.revision_menu = RevisionMenu(self.branch.repository, [],
+            self.branch, parent=self)
+        revision_menuitem = Gtk.MenuItem.new_with_mnemonic("_Revision")
+        revision_menuitem.set_submenu(self.revision_menu)
+
+        branch_menu = Gtk.Menu()
+        branch_menuitem = Gtk.MenuItem.new_with_mnemonic("_Branch")
         branch_menuitem.set_submenu(branch_menu)
 
-        branch_menu.add(gtk.MenuItem("Pu_ll Revisions"))
-        branch_menu.add(gtk.MenuItem("Pu_sh Revisions"))
-
-        help_menu = gtk.Menu()
-        help_menuitem = gtk.MenuItem("_Help")
+        branch_menu.add(Gtk.MenuItem.new_with_mnemonic("Pu_ll Revisions"))
+        branch_menu.add(Gtk.MenuItem.new_with_mnemonic("Pu_sh Revisions"))
+
+        try:
+            from bzrlib.plugins import search
+        except ImportError:
+            mutter("Didn't find search plugin")
+        else:
+            branch_menu.add(Gtk.SeparatorMenuItem())
+
+            branch_index_menuitem = Gtk.MenuItem.new_with_mnemonic("_Index")
+            branch_index_menuitem.connect('activate', self._branch_index_cb)
+            branch_menu.add(branch_index_menuitem)
+
+            branch_search_menuitem = Gtk.MenuItem.new_with_mnemonic("_Search")
+            branch_search_menuitem.connect('activate', self._branch_search_cb)
+            branch_menu.add(branch_search_menuitem)
+
+        help_menu = Gtk.Menu()
+        help_menuitem = Gtk.MenuItem.new_with_mnemonic("_Help")
         help_menuitem.set_submenu(help_menu)
 
-        help_about_menuitem = gtk.ImageMenuItem(gtk.STOCK_ABOUT, self.accel_group)
+        help_about_menuitem = Gtk.ImageMenuItem.new_from_stock(
+            Gtk.STOCK_ABOUT, self.accel_group)
         help_about_menuitem.connect('activate', self._about_dialog_cb)
 
         help_menu.add(help_about_menuitem)
@@ -252,35 +318,39 @@
         """Construct the top-half of the window."""
         # FIXME: Make broken_line_length configurable
 
-        self.treeview = TreeView(self.branch, self.start_revs, self.maxnum, self.compact_view)
-
-        self.treeview.connect('revision-selected',
-                self._treeselection_changed_cb)
-        self.treeview.connect('revision-activated',
-                self._tree_revision_activated)
-
-        self.treeview.connect('tag-added', lambda w, t, r: self._update_tags())
+        self.treeview = TreeView(self.branch, self.start_revs, self.maxnum,
+            self.compact_view)
 
         for col in ["revno", "date"]:
             option = self.config.get_user_option(col + '-column-visible')
             if option is not None:
-                self.treeview.set_property(col + '-column-visible', option == 'True')
+                self.treeview.set_property(col + '-column-visible',
+                    option == 'True')
             else:
                 self.treeview.set_property(col + '-column-visible', False)
 
         self.treeview.show()
 
-        align = gtk.Alignment(0.0, 0.0, 1.0, 1.0)
+        align = Gtk.Alignment.new(0.0, 0.0, 1.0, 1.0)
         align.set_padding(5, 0, 0, 0)
         align.add(self.treeview)
+        # user-configured size
+        size = self._load_size('viz-graph-size')
+        if size:
+            width, height = size
+            align.set_size_request(width, height)
+        else:
+            (width, height) = self.get_size()
+            align.set_size_request(width, int(height / 2.5))
+        self._save_size_on_destroy(align, 'viz-graph-size')
         align.show()
 
         return align
 
     def construct_navigation(self):
         """Construct the navigation buttons."""
-        self.toolbar = gtk.Toolbar()
-        self.toolbar.set_style(gtk.TOOLBAR_BOTH_HORIZ)
+        self.toolbar = Gtk.Toolbar()
+        self.toolbar.set_style(Gtk.ToolbarStyle.BOTH_HORIZ)
 
         self.prev_button = self.prev_rev_action.create_tool_item()
         self.toolbar.insert(self.prev_button, -1)
@@ -288,9 +358,9 @@
         self.next_button = self.next_rev_action.create_tool_item()
         self.toolbar.insert(self.next_button, -1)
 
-        self.toolbar.insert(gtk.SeparatorToolItem(), -1)
+        self.toolbar.insert(Gtk.SeparatorToolItem(), -1)
 
-        refresh_button = gtk.ToolButton(gtk.STOCK_REFRESH)
+        refresh_button = Gtk.ToolButton.new_from_stock(Gtk.STOCK_REFRESH)
         refresh_button.connect('clicked', self._refresh_clicked)
         self.toolbar.insert(refresh_button, -1)
 
@@ -300,15 +370,42 @@
 
     def construct_bottom(self):
         """Construct the bottom half of the window."""
+        if self.config.get_user_option('viz-wide-diffs') == 'True':
+            self.diff_paned = Gtk.VPaned()
+        else:
+            self.diff_paned = Gtk.HPaned()
+        (width, height) = self.get_size()
+        self.diff_paned.set_size_request(20, 20) # shrinkable
+
         from bzrlib.plugins.gtk.revisionview import RevisionView
         self.revisionview = RevisionView(branch=self.branch)
-        (width, height) = self.get_size()
-        self.revisionview.set_size_request(width, int(height / 2.5))
+        self.revisionview.set_size_request(width/3, int(height / 2.5))
+        # user-configured size
+        size = self._load_size('viz-revisionview-size')
+        if size:
+            width, height = size
+            self.revisionview.set_size_request(width, height)
+        self._save_size_on_destroy(self.revisionview, 'viz-revisionview-size')
         self.revisionview.show()
         self.revisionview.set_show_callback(self._show_clicked_cb)
         self.revisionview.connect('notify::revision', self._go_clicked_cb)
-        self.treeview.connect('tag-added', lambda w, t, r: self.revisionview.update_tags())
-        return self.revisionview
+        self.treeview.connect('tag-added',
+            lambda w, t, r: self.revisionview.update_tags())
+        self.treeview.connect('revision-selected',
+                self._treeselection_changed_cb)
+        self.treeview.connect('revision-activated',
+                self._tree_revision_activated)
+        self.diff_paned.pack1(self.revisionview)
+
+        from bzrlib.plugins.gtk.diff import DiffWidget
+        self.diff = DiffWidget()
+        self.diff_paned.pack2(self.diff)
+
+        self.diff_paned.show_all()
+        if self.config.get_user_option('viz-show-diffs') != 'True':
+            self.diff.hide()
+
+        return self.diff_paned
 
     def _tag_selected_cb(self, menuitem, revid):
         self.treeview.set_revision_id(revid)
@@ -319,19 +416,21 @@
         parents  = self.treeview.get_parents()
         children = self.treeview.get_children()
 
-        if revision and revision != NULL_REVISION:
-            prev_menu = gtk.Menu()
+        if revision and revision.revision_id != NULL_REVISION:
+            self.revision_menu.set_revision_ids([revision.revision_id])
+            prev_menu = Gtk.Menu()
             if len(parents) > 0:
                 self.prev_rev_action.set_sensitive(True)
                 for parent_id in parents:
                     if parent_id and parent_id != NULL_REVISION:
                         parent = self.branch.repository.get_revision(parent_id)
                         try:
-                            str = ' (' + parent.properties['branch-nick'] + ')'
+                            str = ' (%s)' % parent.properties['branch-nick']
                         except KeyError:
                             str = ""
 
-                        item = gtk.MenuItem(parent.message.split("\n")[0] + str)
+                        item = Gtk.MenuItem(
+                            label=parent.message.split("\n")[0] + str)
                         item.connect('activate', self._set_revision_cb, parent_id)
                         prev_menu.add(item)
                 prev_menu.show_all()
@@ -339,19 +438,21 @@
                 self.prev_rev_action.set_sensitive(False)
                 prev_menu.hide()
 
-            self.prev_button.set_menu(prev_menu)
+            if getattr(self.prev_button, 'set_menu', None) is not None:
+                self.prev_button.set_menu(prev_menu)
 
-            next_menu = gtk.Menu()
+            next_menu = Gtk.Menu()
             if len(children) > 0:
                 self.next_rev_action.set_sensitive(True)
                 for child_id in children:
                     child = self.branch.repository.get_revision(child_id)
                     try:
-                        str = ' (' + child.properties['branch-nick'] + ')'
+                        str = ' (%s)' % child.properties['branch-nick']
                     except KeyError:
                         str = ""
 
-                    item = gtk.MenuItem(child.message.split("\n")[0] + str)
+                    item = Gtk.MenuItem(
+                        label=child.message.split("\n")[0] + str)
                     item.connect('activate', self._set_revision_cb, child_id)
                     next_menu.add(item)
                 next_menu.show_all()
@@ -359,11 +460,13 @@
                 self.next_rev_action.set_sensitive(False)
                 next_menu.hide()
 
-            self.next_button.set_menu(next_menu)
+            if getattr(self.next_button, 'set_menu', None) is not None:
+                self.next_button.set_menu(next_menu)
 
             self.revisionview.set_revision(revision)
             self.revisionview.set_children(children)
-    
+            self.update_diff_panel(revision, parents)
+
     def _tree_revision_activated(self, widget, path, col):
         # TODO: more than one parent
         """Callback for when a treeview row gets activated."""
@@ -371,30 +474,17 @@
         parents  = self.treeview.get_parents()
 
         if len(parents) == 0:
-            parent_id = None
+            parent_id = NULL_REVISION
         else:
             parent_id = parents[0]
 
         self.show_diff(revision.revision_id, parent_id)
         self.treeview.grab_focus()
-        
-    def _menu_diff_cb(self,w):
-        (path, focus) = self.treeview.treeview.get_cursor()
-        revid = self.treeview.model[path][treemodel.REVID]
-        
-        parentids = self.branch.repository.revision_parents(revid)
-
-        if len(parentids) == 0:
-            parentid = NULL_REVISION
-        else:
-            parentid = parentids[0]
-        
-        self.show_diff(revid,parentid)    
 
     def _back_clicked_cb(self, *args):
         """Callback for when the back button is clicked."""
         self.treeview.back()
-        
+
     def _fwd_clicked_cb(self, *args):
         """Callback for when the forward button is clicked."""
         self.treeview.forward()
@@ -409,22 +499,6 @@
         self.show_diff(revid, parentid)
         self.treeview.grab_focus()
 
-    def _compare_with_cb(self,w):
-        """Callback for revision 'compare with' menu. Will show a small
-            dialog with branch revisions to compare with selected revision in TreeView"""
-        
-        from bzrlib.plugins.gtk.revbrowser import RevisionBrowser
-        
-        rb = RevisionBrowser(self.branch,self)
-        ret = rb.run()
-        
-        if ret == gtk.RESPONSE_OK:          
-            (path, focus) = self.treeview.treeview.get_cursor()
-            revid = self.treeview.model[path][treemodel.REVID]
-            self.show_diff(revid, rb.selected_revid)
-            
-        rb.destroy()
-            
     def _set_revision_cb(self, w, revision_id):
         self.treeview.set_revision_id(revision_id)
 
@@ -440,25 +514,42 @@
         self.treeview.set_property('compact', self.compact_view)
         self.treeview.refresh()
 
-    def _tag_revision_cb(self, w):
+    def _branch_index_cb(self, w):
+        from bzrlib.plugins.search import index as _mod_index
+        _mod_index.index_url(self.branch.base)
+
+    def _branch_search_cb(self, w):
+        from bzrlib.plugins.search import (
+            index as _mod_index,
+            errors as search_errors,
+            )
+        from bzrlib.plugins.gtk.search import SearchDialog
+
         try:
-            self.treeview.set_sensitive(False)
-            dialog = AddTagDialog(self.branch.repository, self.treeview.get_revision().revision_id, self.branch)
-            response = dialog.run()
-            if response != gtk.RESPONSE_NONE:
-                dialog.hide()
-            
-                if response == gtk.RESPONSE_OK:
-                    self.treeview.add_tag(dialog.tagname, dialog._revid)
-                
-                dialog.destroy()
-
-        finally:
-            self.treeview.set_sensitive(True)
+            index = _mod_index.open_index_url(self.branch.base)
+        except search_errors.NoSearchIndex:
+            dialog = Gtk.MessageDialog(self, type=Gtk.MessageType.QUESTION, 
+                buttons=Gtk.ButtonsType.OK_CANCEL, 
+                message_format="This branch has not been indexed yet. "
+                               "Index now?")
+            if dialog.run() == Gtk.ResponseType.OK:
+                dialog.destroy()
+                index = _mod_index.index_url(self.branch.base)
+            else:
+                dialog.destroy()
+                return
+
+        dialog = SearchDialog(index)
+
+        if dialog.run() == Gtk.ResponseType.OK:
+            revid = dialog.get_revision()
+            if revid is not None:
+                self.set_revision(revid)
+
+        dialog.destroy()
 
     def _about_dialog_cb(self, w):
         from bzrlib.plugins.gtk.about import AboutDialog
-
         AboutDialog().run()
 
     def _col_visibility_changed(self, col, property):
@@ -467,31 +558,81 @@
 
     def _toolbar_visibility_changed(self, col):
         if col.get_active():
-            self.toolbar.show() 
+            self.toolbar.show()
         else:
             self.toolbar.hide()
-
-    def _show_about_cb(self, w):
-        dialog = AboutDialog()
-        dialog.connect('response', lambda d,r: d.destroy())
-        dialog.run()
+        self.config.set_user_option('viz-toolbar-visible', col.get_active())
+
+    def _vertical_layout(self, col):
+        """Toggle the layout vertical/horizontal"""
+        self.config.set_user_option('viz-vertical', str(col.get_active()))
+
+        old = self.paned
+        self.vbox.remove(old)
+        self.vbox.pack_start(
+            self.construct_paned(), True, True, 0)
+        self._make_diff_paned_nonzero_size()
+        self._make_diff_nonzero_size()
+
+        self.treeview.emit('revision-selected')
+
+    def _make_diff_paned_nonzero_size(self):
+        """make sure the diff/revision pane isn't zero-width or zero-height"""
+        alloc = self.diff_paned.get_allocation()
+        if (alloc.width < 10) or (alloc.height < 10):
+            width, height = self.get_size()
+            self.diff_paned.set_size_request(width/3, int(height / 2.5))
+
+    def _make_diff_nonzero_size(self):
+        """make sure the diff isn't zero-width or zero-height"""
+        alloc = self.diff.get_allocation()
+        if (alloc.width < 10) or (alloc.height < 10):
+            width, height = self.get_size()
+            self.revisionview.set_size_request(width/3, int(height / 2.5))
+
+    def _diff_visibility_changed(self, col):
+        """Hide or show the diff panel."""
+        if col.get_active():
+            self.diff.show()
+            self._make_diff_nonzero_size()
+        else:
+            self.diff.hide()
+        self.config.set_user_option('viz-show-diffs', str(col.get_active()))
+        self.update_diff_panel()
+
+    def _diff_placement_changed(self, col):
+        """Toggle the diff panel's position."""
+        self.config.set_user_option('viz-wide-diffs', str(col.get_active()))
+
+        old = self.paned.get_child2()
+        self.paned.remove(old)
+        self.paned.pack2(self.construct_bottom(), resize=True, shrink=False)
+        self._make_diff_nonzero_size()
+
+        self.treeview.emit('revision-selected')
+
+    def _diff_wrap_changed(self, widget):
+        """Toggle word wrap in the diff widget."""
+        self.config.set_user_option('viz-wrap-diffs', widget.get_active())
+        self.diff._on_wraplines_toggled(widget)
 
     def _refresh_clicked(self, w):
         self.treeview.refresh()
 
     def _update_tags(self):
-        menu = gtk.Menu()
+        menu = Gtk.Menu()
 
         if self.branch.supports_tags():
             tags = self.branch.tags.get_tag_dict().items()
-            tags.sort()
-            tags.reverse()
+            tags.sort(reverse=True)
             for tag, revid in tags:
-                tag_image = gtk.Image()
+                tag_image = Gtk.Image()
                 tag_image.set_from_file(icon_path('tag-16.png'))
-                tag_item = gtk.ImageMenuItem(tag.replace('_', '__'))
+                tag_item = Gtk.ImageMenuItem.new_with_mnemonic(
+                    tag.replace('_', '__'))
                 tag_item.set_image(tag_image)
                 tag_item.connect('activate', self._tag_selected_cb, revid)
+                tag_item.set_sensitive(self.treeview.has_revision_id(revid))
                 menu.add(tag_item)
             self.go_menu_tags.set_submenu(menu)
 
@@ -501,19 +642,51 @@
 
         self.go_menu_tags.show_all()
 
-    def show_diff(self, revid=None, parentid=None):
+    def _load_size(self, name):
+        """Read and parse 'name' from self.config.
+        The value is a string, formatted as WIDTHxHEIGHT
+        Returns None, or (width, height)
+        """
+        size = self.config.get_user_option(name)
+        if size:
+            width, height = [int(num) for num in size.split('x')]
+            # avoid writing config every time we start
+            return width, height
+        return None
+
+    def show_diff(self, revid=None, parentid=NULL_REVISION):
         """Open a new window to show a diff between the given revisions."""
         from bzrlib.plugins.gtk.diff import DiffWindow
         window = DiffWindow(parent=self)
 
-        if parentid is None:
-            parentid = NULL_REVISION
-
         rev_tree    = self.branch.repository.revision_tree(revid)
         parent_tree = self.branch.repository.revision_tree(parentid)
 
-        description = revid + " - " + self.branch.nick
+        description = revid + " - " + self.branch._get_nick(local=True)
         window.set_diff(description, rev_tree, parent_tree)
         window.show()
 
-
+    def update_diff_panel(self, revision=None, parents=None):
+        """Show the current revision in the diff panel."""
+        if self.config.get_user_option('viz-show-diffs') != 'True':
+            return
+
+        if not revision: # default to selected row
+            revision = self.treeview.get_revision()
+        if revision == NULL_REVISION:
+            return
+
+        if not parents: # default to selected row's parents
+            parents  = self.treeview.get_parents()
+        if len(parents) == 0:
+            parent_id = NULL_REVISION
+        else:
+            parent_id = parents[0]
+
+        rev_tree    = self.branch.repository.revision_tree(revision.revision_id)
+        parent_tree = self.branch.repository.revision_tree(parent_id)
+
+        self.diff.set_diff(rev_tree, parent_tree)
+        if self.config.get_user_option('viz-wrap-diffs') == 'True':
+            self.diff._on_wraplines_toggled(wrap=True)
+        self.diff.show_all()

=== modified file 'window.py'
--- window.py	2007-10-14 15:54:57 +0000
+++ window.py	2011-09-05 03:44:26 +0000
@@ -1,22 +1,23 @@
 
-import pygtk
-import gtk
-
-class Window(gtk.Window):
+from gi.repository import Gdk
+from gi.repository import Gtk
+
+
+class Window(Gtk.Window):
 
     def __init__(self, parent=None):
-        gtk.Window.__init__(self, gtk.WINDOW_TOPLEVEL)
+        super(Window, self).__init__(type=Gtk.WindowType.TOPLEVEL)
         self._parent = parent
-        
+
         self.connect('key-press-event', self._on_key_press)
-        
+
     def _on_key_press(self, widget, event):
-        keyname = gtk.gdk.keyval_name(event.keyval)
-        if event.state & gtk.gdk.CONTROL_MASK:
+        keyname = Gdk.keyval_name(event.keyval)
+        if event.get_state() & Gdk.ModifierType.CONTROL_MASK:
             if keyname is "w":
                 self.destroy()
                 if self._parent is None:
-                    gtk.main_quit()
+                    Gtk.main_quit()
             elif keyname is "q":
-                gtk.main_quit()
+                Gtk.main_quit()
 

